/* Generated from library.scm by the CHICKEN compiler
   http://www.call-cc.org
   Version 5.0.0 (rev 2943b7a5)
   linux-unix-gnu-x86-64 [ 64bit dload ptables ]
   command line: library.scm -optimize-level 2 -include-path . -include-path ./ -inline -ignore-repository -feature chicken-bootstrap -no-warnings -specialize -consult-type-file ./types.db -explicit-use -no-trace -output-file library.c -no-module-registration -emit-import-library chicken.bitwise -emit-import-library chicken.blob -emit-import-library chicken.fixnum -emit-import-library chicken.flonum -emit-import-library chicken.gc -emit-import-library chicken.keyword -emit-import-library chicken.platform -emit-import-library chicken.plist -emit-import-library chicken.process-context -emit-import-library chicken.time
   unit: library
   uses: build-version
*/
#include "chicken.h"

#include <errno.h>
#include <float.h>

#ifdef HAVE_SYSEXITS_H
# include <sysexits.h>
#endif

#ifndef EX_SOFTWARE
# define EX_SOFTWARE	70
#endif

#define C_close_file(p)	      (C_fclose((C_FILEPTR)(C_port_file(p))), C_SCHEME_UNDEFINED)
#define C_a_f64peek(ptr, c, b, i)  C_flonum(ptr, ((double *)C_data_pointer(b))[ C_unfix(i) ])
#define C_fetch_c_strlen(b, i) C_fix(strlen((C_char *)C_block_item(b, C_unfix(i))))
#define C_asciiz_strlen(str) C_fix(strlen(C_c_string(str)))
#define C_peek_c_string(b, i, to, len) (C_memcpy(C_data_pointer(to), (C_char *)C_block_item(b, C_unfix(i)), C_unfix(len)), C_SCHEME_UNDEFINED)
#define C_free_mptr(p, i)     (C_free((void *)C_block_item(p, C_unfix(i))), C_SCHEME_UNDEFINED)
#define C_free_sptr(p, i)     (C_free((void *)(((C_char **)C_block_item(p, 0))[ C_unfix(i) ])), C_SCHEME_UNDEFINED)

#define C_a_get_current_seconds(ptr, c, dummy)  C_int64_to_num(ptr, time(NULL))
#define C_peek_c_string_at(ptr, i)    ((C_char *)(((C_char **)ptr)[ i ]))

static C_word
fast_read_line_from_file(C_word str, C_word port, C_word size) {
  int n = C_unfix(size);
  int i;
  int c;
  char *buf = C_c_string(str);
  C_FILEPTR fp = C_port_file(port);

  if ((c = C_getc(fp)) == EOF) {
    if (ferror(fp)) {
      clearerr(fp);
      return C_fix(-1);
    } else { /* feof (fp) */
      return C_SCHEME_END_OF_FILE;
    }
  }

  C_ungetc(c, fp);

  for (i = 0; i < n; i++) {
    c = C_getc(fp);

    if(c == EOF && ferror(fp)) {
      clearerr(fp);
      return C_fix(-(i + 1));
    }

    switch (c) {
    case '\r':	if ((c = C_getc(fp)) != '\n') C_ungetc(c, fp);
    case EOF:	clearerr(fp);
    case '\n':	return C_fix(i);
    }
    buf[i] = c;
  }
  return C_SCHEME_FALSE;
}

static C_word
fast_read_string_from_file(C_word dest, C_word port, C_word len, C_word pos)
{
  size_t m;
  int n = C_unfix (len);
  char * buf = ((char *)C_data_pointer (dest) + C_unfix (pos));
  C_FILEPTR fp = C_port_file (port);

  if(feof(fp)) return C_SCHEME_END_OF_FILE;

  m = fread (buf, sizeof (char), n, fp);

  if (m < n) {
    if (ferror(fp)) /* Report to Scheme, which may retry, so clear errors */
      clearerr(fp);
    else if (feof(fp) && 0 == m) /* eof but m > 0? Return data first, below */
      return C_SCHEME_END_OF_FILE; /* Calling again will get us here */
  }

  return C_fix (m);
}

static C_word
shallow_equal(C_word x, C_word y)
{
  /* assumes x and y are non-immediate */
  int i, len = C_header_size(x);

  if(C_header_size(y) != len) return C_SCHEME_FALSE;      
  else return C_mk_bool(!C_memcmp((void *)x, (void *)y, len * sizeof(C_word)));
}

static C_word
signal_debug_event(C_word mode, C_word msg, C_word args)
{
  C_DEBUG_INFO cell;
  C_word av[ 3 ];
  cell.enabled = 1;
  cell.event = C_DEBUG_SIGNAL;
  cell.loc = "";
  cell.val = "";
  av[ 0 ] = mode;
  av[ 1 ] = msg;
  av[ 2 ] = args;
  C_debugger(&cell, 3, av);
  return C_SCHEME_UNDEFINED;
}

#ifdef NO_DLOAD2
# define HAVE_DLOAD 0
#else
# define HAVE_DLOAD 1
#endif

#ifdef C_ENABLE_PTABLES
# define HAVE_PTABLES 1
#else
# define HAVE_PTABLES 0
#endif

#ifdef C_GC_HOOKS
# define HAVE_GCHOOKS 1
#else
# define HAVE_GCHOOKS 0
#endif

#if defined(C_CROSS_CHICKEN) && C_CROSS_CHICKEN
# define IS_CROSS_CHICKEN 1
#else
# define IS_CROSS_CHICKEN 0
#endif


#define C_chdir(str) C_fix(chdir(C_c_string(str)))
#define C_curdir(buf) (getcwd(C_c_string(buf), 1024) ? C_fix(strlen(C_c_string(buf))) : C_SCHEME_FALSE)
#define C_getenventry(i) (environ[ i ])

#ifdef HAVE_CRT_EXTERNS_H
# include <crt_externs.h>
# define environ (*_NSGetEnviron())
#else
extern char **environ;
#endif

#ifdef HAVE_SETENV
# define C_unsetenv(s)    (unsetenv((char *)C_data_pointer(s)), C_SCHEME_TRUE)
# define C_setenv(x, y)   C_fix(setenv((char *)C_data_pointer(x), (char *)C_data_pointer(y), 1))
#else
# if defined(_WIN32) && !defined(__CYGWIN__)
#  define C_unsetenv(s)   C_setenv(s, C_SCHEME_FALSE)
# else
#  define C_unsetenv(s)   C_fix(putenv((char *)C_data_pointer(s)))
# endif
static C_word C_fcall C_setenv(C_word x, C_word y) {
  char *sx = C_c_string(x),
       *sy = (y == C_SCHEME_FALSE ? "" : C_c_string(y));
  int n1 = C_strlen(sx), n2 = C_strlen(sy);
  int buf_len = n1 + n2 + 2;
  char *buf = (char *)C_malloc(buf_len);
  if(buf == NULL) return(C_fix(0));
  else {
    C_strlcpy(buf, sx, buf_len);
    C_strlcat(buf, "=", buf_len);
    C_strlcat(buf, sy, buf_len);
    return(C_fix(putenv(buf)));
  }
}
#endif



static C_PTABLE_ENTRY *create_ptable(void);
C_noret_decl(C_build_2dversion_toplevel)
C_externimport void C_ccall C_build_2dversion_toplevel(C_word c,C_word *av) C_noret;

static C_TLS C_word lf[1403];
static double C_possibly_force_alignment;
static C_char C_TLS li0[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,110,111,116,32,120,49,48,41};
static C_char C_TLS li1[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,98,111,111,108,101,97,110,63,32,120,49,50,41,0,0,0};
static C_char C_TLS li2[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,101,113,63,32,120,49,52,32,121,49,53,41,0,0,0,0};
static C_char C_TLS li3[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,101,113,118,63,32,120,49,55,32,121,49,56,41,0,0,0};
static C_char C_TLS li4[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,101,113,117,97,108,63,32,120,50,48,32,121,50,49,41,0};
static C_char C_TLS li5[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,112,97,105,114,63,32,120,50,51,41,0,0,0,0,0,0};
static C_char C_TLS li6[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,111,110,115,32,120,50,53,32,121,50,54,41,0,0,0};
static C_char C_TLS li7[] C_aligned={C_lihdr(0,0,12),40,102,95,56,53,51,49,32,120,50,56,41,0,0,0,0};
static C_char C_TLS li8[] C_aligned={C_lihdr(0,0,12),40,102,95,56,53,51,52,32,120,51,48,41,0,0,0,0};
static C_char C_TLS li9[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,115,101,116,45,99,97,114,33,32,120,51,50,32,121,51,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li10[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,115,101,116,45,99,100,114,33,32,120,51,53,32,121,51,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li11[] C_aligned={C_lihdr(0,0,12),40,102,95,56,53,52,51,32,120,51,56,41,0,0,0,0};
static C_char C_TLS li12[] C_aligned={C_lihdr(0,0,12),40,102,95,56,53,52,54,32,120,52,48,41,0,0,0,0};
static C_char C_TLS li13[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,99,97,100,100,100,114,32,120,52,50,41,0,0,0,0,0};
static C_char C_TLS li14[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,99,100,100,100,100,114,32,120,52,52,41,0,0,0,0,0};
static C_char C_TLS li15[] C_aligned={C_lihdr(0,0,12),40,102,95,56,53,53,53,32,120,52,54,41,0,0,0,0};
static C_char C_TLS li16[] C_aligned={C_lihdr(0,0,12),40,102,95,56,53,53,56,32,120,52,56,41,0,0,0,0};
static C_char C_TLS li17[] C_aligned={C_lihdr(0,0,12),40,102,95,56,53,54,49,32,120,53,48,41,0,0,0,0};
static C_char C_TLS li18[] C_aligned={C_lihdr(0,0,12),40,102,95,56,53,54,52,32,120,53,50,41,0,0,0,0};
static C_char C_TLS li19[] C_aligned={C_lihdr(0,0,12),40,102,95,56,53,55,56,32,120,53,52,41,0,0,0,0};
static C_char C_TLS li20[] C_aligned={C_lihdr(0,0,12),40,102,95,56,53,56,53,32,120,53,54,41,0,0,0,0};
static C_char C_TLS li21[] C_aligned={C_lihdr(0,0,12),40,102,95,56,53,57,50,32,120,53,56,41,0,0,0,0};
static C_char C_TLS li22[] C_aligned={C_lihdr(0,0,12),40,102,95,56,54,48,54,32,120,54,48,41,0,0,0,0};
static C_char C_TLS li23[] C_aligned={C_lihdr(0,0,12),40,102,95,56,54,49,51,32,120,54,50,41,0,0,0,0};
static C_char C_TLS li24[] C_aligned={C_lihdr(0,0,12),40,102,95,56,54,50,55,32,120,54,52,41,0,0,0,0};
static C_char C_TLS li25[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,99,97,97,97,97,114,32,120,54,54,41,0,0,0,0,0};
static C_char C_TLS li26[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,99,97,97,97,100,114,32,120,54,56,41,0,0,0,0,0};
static C_char C_TLS li27[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,99,97,97,100,97,114,32,120,55,48,41,0,0,0,0,0};
static C_char C_TLS li28[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,99,97,97,100,100,114,32,120,55,50,41,0,0,0,0,0};
static C_char C_TLS li29[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,99,97,100,97,97,114,32,120,55,52,41,0,0,0,0,0};
static C_char C_TLS li30[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,99,97,100,97,100,114,32,120,55,54,41,0,0,0,0,0};
static C_char C_TLS li31[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,99,97,100,100,97,114,32,120,55,56,41,0,0,0,0,0};
static C_char C_TLS li32[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,99,100,97,97,97,114,32,120,56,48,41,0,0,0,0,0};
static C_char C_TLS li33[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,99,100,97,97,100,114,32,120,56,50,41,0,0,0,0,0};
static C_char C_TLS li34[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,99,100,97,100,97,114,32,120,56,52,41,0,0,0,0,0};
static C_char C_TLS li35[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,99,100,97,100,100,114,32,120,56,54,41,0,0,0,0,0};
static C_char C_TLS li36[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,99,100,100,97,97,114,32,120,56,56,41,0,0,0,0,0};
static C_char C_TLS li37[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,99,100,100,97,100,114,32,120,57,48,41,0,0,0,0,0};
static C_char C_TLS li38[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,99,100,100,100,97,114,32,120,57,50,41,0,0,0,0,0};
static C_char C_TLS li39[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,110,117,108,108,63,32,120,57,52,41,0,0,0,0,0,0};
static C_char C_TLS li40[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,108,105,115,116,32,46,32,108,115,116,57,54,41,0,0,0};
static C_char C_TLS li41[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,108,101,110,103,116,104,32,108,115,116,57,56,41,0,0,0};
static C_char C_TLS li42[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,108,105,115,116,45,116,97,105,108,32,108,115,116,49,48,48,32,105,49,48,49,41,0,0};
static C_char C_TLS li43[] C_aligned={C_lihdr(0,0,20),40,102,95,56,56,49,57,32,108,115,116,49,48,51,32,105,49,48,52,41,0,0,0,0};
static C_char C_TLS li44[] C_aligned={C_lihdr(0,0,21),40,108,111,111,112,32,108,115,116,49,48,57,32,114,101,115,116,49,49,48,41,0,0,0};
static C_char C_TLS li45[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,114,101,118,101,114,115,101,32,108,115,116,48,49,48,55,41};
static C_char C_TLS li46[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,109,101,109,113,32,120,49,49,55,32,108,115,116,49,49,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li47[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,109,101,109,118,32,120,49,50,48,32,108,115,116,49,50,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li48[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,109,101,109,98,101,114,32,120,49,50,51,32,108,115,116,49,50,52,41,0,0,0,0,0};
static C_char C_TLS li49[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,97,115,115,113,32,120,49,50,54,32,108,115,116,49,50,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li50[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,97,115,115,118,32,120,49,50,57,32,108,115,116,49,51,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li51[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,97,115,115,111,99,32,120,49,51,50,32,108,115,116,49,51,51,41,0,0,0,0,0,0};
static C_char C_TLS li52[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,108,105,115,116,63,32,120,49,51,53,41,0,0,0,0,0};
static C_char C_TLS li53[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,116,114,105,110,103,63,32,120,49,51,56,41,0,0,0};
static C_char C_TLS li54[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,108,101,110,103,116,104,32,115,49,52,48,41,0,0,0,0,0};
static C_char C_TLS li55[] C_aligned={C_lihdr(0,0,18),40,102,95,56,56,56,56,32,115,49,52,50,32,105,49,52,51,41,0,0,0,0,0,0};
static C_char C_TLS li56[] C_aligned={C_lihdr(0,0,35),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,115,101,116,33,32,115,49,52,53,32,105,49,52,54,32,99,49,52,55,41,0,0,0,0,0};
static C_char C_TLS li57[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,61,63,32,120,49,52,57,32,121,49,53,48,41,0,0,0,0,0};
static C_char C_TLS li58[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,61,63,32,120,49,53,50,32,121,49,53,51,41,0,0};
static C_char C_TLS li59[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,101,120,97,99,116,45,62,105,110,101,120,97,99,116,32,120,49,56,48,41,0,0,0,0};
static C_char C_TLS li60[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,97,98,115,32,120,49,56,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li61[] C_aligned={C_lihdr(0,0,6),67,95,112,108,117,115,0,0};
static C_char C_TLS li62[] C_aligned={C_lihdr(0,0,7),67,95,109,105,110,117,115,0};
static C_char C_TLS li63[] C_aligned={C_lihdr(0,0,7),67,95,116,105,109,101,115,0};
static C_char C_TLS li64[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,113,117,111,116,105,101,110,116,32,97,49,57,51,32,98,49,57,52,41,0,0,0,0,0};
static C_char C_TLS li65[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,114,101,109,97,105,110,100,101,114,32,97,49,57,54,32,98,49,57,55,41,0,0,0,0};
static C_char C_TLS li66[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,109,111,100,117,108,111,32,97,49,57,57,32,98,50,48,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li67[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,101,118,101,110,63,32,110,50,48,50,41,0,0,0,0,0};
static C_char C_TLS li68[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,111,100,100,63,32,110,50,48,52,41,0,0,0,0,0,0};
static C_char C_TLS li69[] C_aligned={C_lihdr(0,0,9),67,95,110,101,113,117,97,108,112,0,0,0,0,0,0,0};
static C_char C_TLS li70[] C_aligned={C_lihdr(0,0,10),67,95,103,114,101,97,116,101,114,112,0,0,0,0,0,0};
static C_char C_TLS li71[] C_aligned={C_lihdr(0,0,7),67,95,108,101,115,115,112,0};
static C_char C_TLS li72[] C_aligned={C_lihdr(0,0,20),67,95,103,114,101,97,116,101,114,95,111,114,95,101,113,117,97,108,95,112,0,0,0,0};
static C_char C_TLS li73[] C_aligned={C_lihdr(0,0,17),67,95,108,101,115,115,95,111,114,95,101,113,117,97,108,95,112,0,0,0,0,0,0,0};
static C_char C_TLS li74[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,110,117,109,98,101,114,63,32,120,50,50,53,41,0,0,0};
static C_char C_TLS li75[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,114,101,97,108,63,32,120,50,50,56,41,0,0,0,0,0};
static C_char C_TLS li76[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,114,97,116,105,111,110,97,108,63,32,110,50,51,48,41,0};
static C_char C_TLS li77[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,105,110,116,101,103,101,114,63,32,120,50,51,50,41,0,0};
static C_char C_TLS li78[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,101,120,97,99,116,63,32,120,50,51,52,41,0,0,0,0};
static C_char C_TLS li79[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,105,110,101,120,97,99,116,63,32,120,50,51,54,41,0,0};
static C_char C_TLS li80[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,122,101,114,111,63,32,110,50,51,56,41,0,0,0,0,0};
static C_char C_TLS li81[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,112,111,115,105,116,105,118,101,63,32,110,50,52,48,41,0};
static C_char C_TLS li82[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,110,101,103,97,116,105,118,101,63,32,110,50,52,50,41,0};
static C_char C_TLS li83[] C_aligned={C_lihdr(0,0,18),67,95,110,117,109,98,101,114,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li84[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,121,109,98,111,108,63,32,120,50,52,54,41,0,0,0};
static C_char C_TLS li85[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,118,101,99,116,111,114,63,32,120,50,53,48,41,0,0,0};
static C_char C_TLS li86[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,108,101,110,103,116,104,32,118,50,53,50,41,0,0,0,0,0};
static C_char C_TLS li87[] C_aligned={C_lihdr(0,0,18),40,102,95,56,57,54,56,32,118,50,53,52,32,105,50,53,53,41,0,0,0,0,0,0};
static C_char C_TLS li88[] C_aligned={C_lihdr(0,0,35),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,115,101,116,33,32,118,50,53,55,32,105,50,53,56,32,120,50,53,57,41,0,0,0,0,0};
static C_char C_TLS li89[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,99,104,97,114,63,32,120,50,54,54,41,0,0,0,0,0};
static C_char C_TLS li90[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,62,105,110,116,101,103,101,114,32,99,50,54,56,41,0,0,0,0,0};
static C_char C_TLS li91[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,105,110,116,101,103,101,114,45,62,99,104,97,114,32,110,50,55,49,41,0,0,0,0,0};
static C_char C_TLS li92[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,61,63,32,99,49,50,55,52,32,99,50,50,55,53,41,0,0,0,0,0};
static C_char C_TLS li93[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,62,63,32,99,49,50,55,55,32,99,50,50,55,56,41,0,0,0,0,0};
static C_char C_TLS li94[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,60,63,32,99,49,50,56,48,32,99,50,50,56,49,41,0,0,0,0,0};
static C_char C_TLS li95[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,99,104,97,114,62,61,63,32,99,49,50,56,51,32,99,50,50,56,52,41,0,0,0,0};
static C_char C_TLS li96[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,99,104,97,114,60,61,63,32,99,49,50,56,54,32,99,50,50,56,55,41,0,0,0,0};
static C_char C_TLS li97[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,99,104,97,114,45,117,112,99,97,115,101,32,99,50,56,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li98[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,100,111,119,110,99,97,115,101,32,99,50,57,50,41,0,0,0,0,0};
static C_char C_TLS li99[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,99,104,97,114,45,117,112,112,101,114,45,99,97,115,101,63,32,99,51,48,48,41,0,0};
static C_char C_TLS li100[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,99,104,97,114,45,108,111,119,101,114,45,99,97,115,101,63,32,99,51,48,51,41,0,0};
static C_char C_TLS li101[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,110,117,109,101,114,105,99,63,32,99,51,48,54,41,0,0,0,0,0};
static C_char C_TLS li102[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,99,104,97,114,45,119,104,105,116,101,115,112,97,99,101,63,32,99,51,48,57,41,0,0};
static C_char C_TLS li103[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,99,104,97,114,45,97,108,112,104,97,98,101,116,105,99,63,32,99,51,49,50,41,0,0};
static C_char C_TLS li104[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,112,114,111,99,101,100,117,114,101,63,32,120,51,49,53,41};
static C_char C_TLS li105[] C_aligned={C_lihdr(0,0,7),67,95,97,112,112,108,121,0};
static C_char C_TLS li106[] C_aligned={C_lihdr(0,0,8),67,95,118,97,108,117,101,115};
static C_char C_TLS li107[] C_aligned={C_lihdr(0,0,18),67,95,99,97,108,108,95,119,105,116,104,95,118,97,108,117,101,115,0,0,0,0,0,0};
static C_char C_TLS li108[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,105,110,112,117,116,45,112,111,114,116,63,32,120,51,50,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li109[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,111,117,116,112,117,116,45,112,111,114,116,63,32,120,51,50,52,41,0,0,0,0,0,0};
static C_char C_TLS li110[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,101,111,102,45,111,98,106,101,99,116,63,32,120,51,51,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li111[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,101,118,97,108,32,120,51,52,55,32,46,32,101,110,118,51,52,56,41,0,0,0,0,0};
static C_char C_TLS li112[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,105,110,116,101,114,97,99,116,105,111,110,45,101,110,118,105,114,111,110,109,101,110,116,41};
static C_char C_TLS li113[] C_aligned={C_lihdr(0,0,39),40,115,99,104,101,109,101,35,115,99,104,101,109,101,45,114,101,112,111,114,116,45,101,110,118,105,114,111,110,109,101,110,116,32,110,51,53,49,41,0};
static C_char C_TLS li114[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,110,117,108,108,45,101,110,118,105,114,111,110,109,101,110,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li115[] C_aligned={C_lihdr(0,0,40),40,115,99,104,101,109,101,35,108,111,97,100,32,102,105,108,101,110,97,109,101,51,53,52,32,46,32,101,118,97,108,117,97,116,111,114,51,53,53,41};
static C_char C_TLS li116[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,105,120,110,117,109,63,32,120,53,54,56,41,0,0,0,0,0};
static C_char C_TLS li117[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,111,110,117,109,63,32,120,53,55,48,41,0,0,0,0,0};
static C_char C_TLS li118[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,98,105,103,110,117,109,63,32,120,53,55,50,41,0,0,0,0,0};
static C_char C_TLS li119[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,114,97,116,110,117,109,63,32,120,53,55,52,41,0,0,0,0,0};
static C_char C_TLS li120[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,112,108,120,110,117,109,63,32,120,53,55,54,41,0,0,0,0};
static C_char C_TLS li121[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,63,32,120,53,55,56,41,0,0,0,0,0,0};
static C_char C_TLS li122[] C_aligned={C_lihdr(0,0,24),67,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114};
static C_char C_TLS li123[] C_aligned={C_lihdr(0,0,7),40,97,57,49,53,53,41,0};
static C_char C_TLS li124[] C_aligned={C_lihdr(0,0,21),40,97,57,49,54,49,32,100,105,118,53,56,53,32,114,101,109,53,56,54,41,0,0,0};
static C_char C_TLS li125[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,98,97,115,101,35,113,117,111,116,105,101,110,116,38,109,111,100,117,108,111,32,120,53,56,51,32,121,53,56,52,41};
static C_char C_TLS li126[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,105,110,105,116,101,63,32,120,53,56,56,41,0,0,0,0,0};
static C_char C_TLS li127[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,102,105,110,105,116,101,63,32,120,53,57,48,41,0,0,0};
static C_char C_TLS li128[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,110,97,110,63,32,120,53,57,50,41};
static C_char C_TLS li129[] C_aligned={C_lihdr(0,0,8),67,95,115,105,103,110,117,109};
static C_char C_TLS li130[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,100,100,49,32,110,54,48,48,41};
static C_char C_TLS li131[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,117,98,49,32,110,54,48,50,41};
static C_char C_TLS li132[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,114,114,111,114,32,46,32,97,114,103,115,54,48,53,41,0,0};
static C_char C_TLS li133[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,111,105,100,32,46,32,95,54,48,55,41,0,0,0,0,0,0};
static C_char C_TLS li134[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,111,109,105,115,101,63,32,120,54,51,50,41,0,0,0,0};
static C_char C_TLS li135[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,109,97,107,101,45,112,114,111,109,105,115,101,32,112,114,111,99,54,51,52,41,0,0,0,0};
static C_char C_TLS li136[] C_aligned={C_lihdr(0,0,7),40,97,57,50,55,56,41,0};
static C_char C_TLS li137[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,109,97,107,101,45,112,114,111,109,105,115,101,32,111,98,106,54,51,54,41,0,0,0,0,0,0};
static C_char C_TLS li138[] C_aligned={C_lihdr(0,0,18),40,108,111,111,112,32,108,115,116,54,52,50,32,122,54,52,51,41,0,0,0,0,0,0};
static C_char C_TLS li139[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,111,108,100,108,32,102,54,51,56,32,122,54,51,57,32,108,115,116,54,52,48,41,0,0,0};
static C_char C_TLS li140[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,108,115,116,54,53,49,41,0,0,0};
static C_char C_TLS li141[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,111,108,100,114,32,102,54,52,55,32,122,54,52,56,32,108,115,116,54,52,57,41,0,0,0};
static C_char C_TLS li142[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,110,45,101,120,105,116,32,116,104,117,110,107,54,53,56,41,0};
static C_char C_TLS li143[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,105,116,32,46,32,116,109,112,54,54,51,54,54,52,41,0};
static C_char C_TLS li144[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,109,101,114,103,101,110,99,121,45,101,120,105,116,32,46,32,116,109,112,54,55,54,54,55,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li145[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,100,101,110,116,105,116,121,32,120,54,56,57,41,0,0,0,0};
static C_char C_TLS li146[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,112,114,101,100,115,54,57,52,41,0};
static C_char C_TLS li147[] C_aligned={C_lihdr(0,0,13),40,102,95,57,52,48,56,32,120,54,57,50,41,0,0,0};
static C_char C_TLS li148[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,110,106,111,105,110,32,46,32,112,114,101,100,115,54,57,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li149[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,112,114,101,100,115,55,48,54,41,0};
static C_char C_TLS li150[] C_aligned={C_lihdr(0,0,13),40,102,95,57,52,52,49,32,120,55,48,52,41,0,0,0};
static C_char C_TLS li151[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,100,105,115,106,111,105,110,32,46,32,112,114,101,100,115,55,48,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li152[] C_aligned={C_lihdr(0,0,15),40,102,95,57,52,56,55,32,46,32,95,55,49,55,41,0};
static C_char C_TLS li153[] C_aligned={C_lihdr(0,0,15),40,102,95,57,52,56,57,32,46,32,95,55,49,56,41,0};
static C_char C_TLS li154[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,110,115,116,97,110,116,108,121,32,46,32,120,115,55,49,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li155[] C_aligned={C_lihdr(0,0,18),40,102,95,57,52,57,57,32,120,55,50,49,32,121,55,50,50,41,0,0,0,0,0,0};
static C_char C_TLS li156[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,105,112,32,112,114,111,99,55,50,48,41,0,0,0,0,0};
static C_char C_TLS li157[] C_aligned={C_lihdr(0,0,18),40,102,95,57,53,48,55,32,46,32,97,114,103,115,55,50,53,41,0,0,0,0,0,0};
static C_char C_TLS li158[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,108,101,109,101,110,116,32,112,55,50,52,41,0,0};
static C_char C_TLS li159[] C_aligned={C_lihdr(0,0,7),40,97,57,53,51,51,41,0};
static C_char C_TLS li160[] C_aligned={C_lihdr(0,0,18),40,102,95,57,53,50,56,32,46,32,97,114,103,115,55,51,49,41,0,0,0,0,0,0};
static C_char C_TLS li161[] C_aligned={C_lihdr(0,0,20),40,114,101,99,32,102,48,55,50,57,32,46,32,102,110,115,55,51,48,41,0,0,0,0};
static C_char C_TLS li162[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,111,115,101,32,46,32,102,110,115,55,50,55,41,0};
static C_char C_TLS li163[] C_aligned={C_lihdr(0,0,13),40,102,95,57,53,55,57,32,120,55,51,57,41,0,0,0};
static C_char C_TLS li164[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,102,110,115,55,51,54,41,0,0,0};
static C_char C_TLS li165[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,32,46,32,102,110,115,55,51,52,41,0,0,0,0,0,0,0};
static C_char C_TLS li166[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,108,115,116,55,52,55,41,0,0,0};
static C_char C_TLS li167[] C_aligned={C_lihdr(0,0,15),40,102,95,57,53,57,52,32,108,115,116,55,52,53,41,0};
static C_char C_TLS li168[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,108,105,115,116,45,111,102,63,32,112,114,101,100,55,52,52,41,0};
static C_char C_TLS li169[] C_aligned={C_lihdr(0,0,15),40,102,95,57,54,52,52,32,46,32,95,55,53,57,41,0};
static C_char C_TLS li170[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,112,114,111,99,115,55,54,50,41,0};
static C_char C_TLS li171[] C_aligned={C_lihdr(0,0,18),40,102,95,57,54,53,56,32,46,32,97,114,103,115,55,54,48,41,0,0,0,0,0,0};
static C_char C_TLS li172[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,97,99,104,32,46,32,112,114,111,99,115,55,53,52,41,0,0};
static C_char C_TLS li173[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,116,111,109,63,32,120,55,54,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li174[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li175[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,116,97,105,108,63,32,120,55,55,48,32,121,55,55,49,41,0,0};
static C_char C_TLS li176[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,110,115,55,56,55,41,0,0,0,0};
static C_char C_TLS li177[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,116,101,114,115,112,101,114,115,101,32,108,115,116,55,56,52,32,120,55,56,53,41,0,0};
static C_char C_TLS li178[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,108,115,116,55,57,51,41,0,0,0};
static C_char C_TLS li179[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,97,115,101,35,98,117,116,108,97,115,116,32,108,115,116,55,57,49,41,0,0,0};
static C_char C_TLS li180[] C_aligned={C_lihdr(0,0,23),40,108,111,111,112,32,108,105,115,116,115,56,48,49,32,114,101,115,116,56,48,50,41,0};
static C_char C_TLS li181[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,97,116,116,101,110,32,46,32,108,105,115,116,115,48,55,57,57,41,0,0,0,0,0,0};
static C_char C_TLS li182[] C_aligned={C_lihdr(0,0,14),40,108,111,111,112,32,108,115,116,115,56,49,54,41,0,0};
static C_char C_TLS li183[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,98,97,115,101,35,106,111,105,110,32,108,115,116,115,56,49,50,32,46,32,108,115,116,56,49,51,41,0,0,0,0};
static C_char C_TLS li184[] C_aligned={C_lihdr(0,0,21),40,108,111,111,112,32,98,108,115,116,56,51,48,32,108,115,116,56,51,49,41,0,0,0};
static C_char C_TLS li185[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,114,101,115,115,32,98,108,115,116,56,50,54,32,108,115,116,56,50,55,41,0,0};
static C_char C_TLS li186[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,108,115,116,56,54,48,41,0,0,0};
static C_char C_TLS li187[] C_aligned={C_lihdr(0,0,21),40,102,95,49,48,48,48,53,32,120,56,53,55,32,108,115,116,56,53,56,41,0,0,0};
static C_char C_TLS li188[] C_aligned={C_lihdr(0,0,57),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,117,112,100,97,116,101,33,32,120,56,52,51,32,121,56,52,52,32,108,115,116,56,52,53,32,46,32,116,109,112,56,52,50,56,52,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li189[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,108,115,116,56,56,50,41,0,0,0};
static C_char C_TLS li190[] C_aligned={C_lihdr(0,0,56),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,117,112,100,97,116,101,32,107,56,55,50,32,118,56,55,51,32,108,115,116,56,55,52,32,46,32,116,109,112,56,55,49,56,55,53,41};
static C_char C_TLS li191[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,108,115,116,57,49,57,41,0,0,0};
static C_char C_TLS li192[] C_aligned={C_lihdr(0,0,21),40,102,95,49,48,49,57,55,32,120,57,49,54,32,108,115,116,57,49,55,41,0,0,0};
static C_char C_TLS li193[] C_aligned={C_lihdr(0,0,48),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,114,101,102,32,120,56,57,56,32,108,115,116,56,57,57,32,46,32,116,109,112,56,57,55,57,48,48,41};
static C_char C_TLS li194[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,57,51,52,41,0,0,0,0,0};
static C_char C_TLS li195[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,98,97,115,101,35,114,97,115,115,111,99,32,120,57,50,57,32,108,115,116,57,51,48,32,46,32,116,115,116,57,51,49,41,0,0,0,0,0,0};
static C_char C_TLS li196[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,43,32,120,49,48,53,54,32,121,49,48,53,55,41};
static C_char C_TLS li197[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,45,32,120,49,48,53,57,32,121,49,48,54,48,41};
static C_char C_TLS li198[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,42,32,120,49,48,54,50,32,121,49,48,54,51,41};
static C_char C_TLS li199[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,61,32,120,49,48,54,53,32,121,49,48,54,54,41};
static C_char C_TLS li200[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,62,32,120,49,48,54,56,32,121,49,48,54,57,41};
static C_char C_TLS li201[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,60,32,120,49,48,55,49,32,121,49,48,55,50,41};
static C_char C_TLS li202[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,62,61,32,120,49,48,55,52,32,121,49,48,55,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li203[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,60,61,32,120,49,48,55,55,32,121,49,48,55,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li204[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,105,110,32,120,49,48,56,48,32,121,49,48,56,49,41,0,0,0,0,0,0};
static C_char C_TLS li205[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,97,120,32,120,49,48,56,51,32,121,49,48,56,52,41,0,0,0,0,0,0};
static C_char C_TLS li206[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,110,101,103,32,120,49,48,56,54,41,0,0,0,0};
static C_char C_TLS li207[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,97,110,100,32,120,49,48,56,56,32,121,49,48,56,57,41,0,0,0,0,0,0};
static C_char C_TLS li208[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,105,111,114,32,120,49,48,57,49,32,121,49,48,57,50,41,0,0,0,0,0,0};
static C_char C_TLS li209[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,120,111,114,32,120,49,48,57,52,32,121,49,48,57,53,41,0,0,0,0,0,0};
static C_char C_TLS li210[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,110,111,116,32,120,49,48,57,55,41,0,0,0,0};
static C_char C_TLS li211[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,115,104,108,32,120,49,48,57,57,32,121,49,49,48,48,41,0,0,0,0,0,0};
static C_char C_TLS li212[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,115,104,114,32,120,49,49,48,50,32,121,49,49,48,51,41,0,0,0,0,0,0};
static C_char C_TLS li213[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,111,100,100,63,32,120,49,49,48,53,41,0,0,0};
static C_char C_TLS li214[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,101,118,101,110,63,32,120,49,49,48,55,41,0,0};
static C_char C_TLS li215[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,108,101,110,32,120,49,49,48,57,41,0,0,0,0};
static C_char C_TLS li216[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,47,32,120,49,49,49,49,32,121,49,49,49,50,41};
static C_char C_TLS li217[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,103,99,100,32,120,49,49,49,52,32,121,49,49,49,53,41,0,0,0,0,0,0};
static C_char C_TLS li218[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,111,100,32,120,49,49,49,55,32,121,49,49,49,56,41,0,0,0,0,0,0};
static C_char C_TLS li219[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,114,101,109,32,120,49,49,50,48,32,121,49,49,50,49,41,0,0,0,0,0,0};
static C_char C_TLS li220[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,43,63,32,120,49,49,50,51,32,121,49,49,50,52,41,0,0,0,0,0,0,0};
static C_char C_TLS li221[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,45,63,32,120,49,49,50,54,32,121,49,49,50,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li222[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,42,63,32,120,49,49,50,57,32,121,49,49,51,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li223[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,47,63,32,120,49,49,51,50,32,121,49,49,51,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li224[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,100,101,98,117,103,45,109,111,100,101,63,41,0,0,0,0,0};
static C_char C_TLS li225[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,119,97,114,110,105,110,103,32,109,115,103,49,49,55,51,32,46,32,97,114,103,115,49,49,55,52,41,0,0,0,0,0,0,0};
static C_char C_TLS li226[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,98,97,115,101,35,110,111,116,105,99,101,32,109,115,103,49,49,55,53,32,46,32,97,114,103,115,49,49,55,54,41};
static C_char C_TLS li227[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,110,97,98,108,101,45,119,97,114,110,105,110,103,115,32,46,32,98,111,111,108,49,49,55,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li228[] C_aligned={C_lihdr(0,0,4),67,95,103,99,0,0,0,0};
static C_char C_TLS li229[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,115,101,116,115,108,111,116,32,120,49,49,56,52,32,105,49,49,56,53,32,121,49,49,56,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li230[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,115,101,116,105,115,108,111,116,32,120,49,49,56,56,32,105,49,49,56,57,32,121,49,49,57,48,41,0,0,0,0,0,0};
static C_char C_TLS li231[] C_aligned={C_lihdr(0,0,17),67,95,97,108,108,111,99,97,116,101,95,118,101,99,116,111,114,0,0,0,0,0,0,0};
static C_char C_TLS li232[] C_aligned={C_lihdr(0,0,16),67,95,109,97,107,101,95,115,116,114,117,99,116,117,114,101};
static C_char C_TLS li233[] C_aligned={C_lihdr(0,0,21),67,95,101,110,115,117,114,101,95,104,101,97,112,95,114,101,115,101,114,118,101,0,0,0};
static C_char C_TLS li234[] C_aligned={C_lihdr(0,0,23),67,95,103,101,116,95,115,121,109,98,111,108,95,116,97,98,108,101,95,105,110,102,111,0};
static C_char C_TLS li235[] C_aligned={C_lihdr(0,0,17),67,95,103,101,116,95,109,101,109,111,114,121,95,105,110,102,111,0,0,0,0,0,0,0};
static C_char C_TLS li236[] C_aligned={C_lihdr(0,0,16),67,95,100,101,99,111,100,101,95,115,101,99,111,110,100,115};
static C_char C_TLS li237[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,115,116,97,114,116,45,116,105,109,101,114,41,0,0,0,0,0};
static C_char C_TLS li238[] C_aligned={C_lihdr(0,0,12),67,95,115,116,111,112,95,116,105,109,101,114,0,0,0,0};
static C_char C_TLS li239[] C_aligned={C_lihdr(0,0,12),67,95,115,116,111,112,95,116,105,109,101,114,0,0,0,0};
static C_char C_TLS li240[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,115,116,111,112,45,116,105,109,101,114,41,0,0,0,0,0,0};
static C_char C_TLS li241[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,105,109,109,101,100,105,97,116,101,63,32,120,49,50,48,56,41};
static C_char C_TLS li242[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,109,101,115,115,97,103,101,32,115,116,114,49,50,49,48,41,0};
static C_char C_TLS li243[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,98,121,116,101,32,120,49,50,49,50,32,105,49,50,49,51,41};
static C_char C_TLS li244[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,115,101,116,98,121,116,101,32,120,49,50,49,53,32,105,49,50,49,54,32,110,49,50,49,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li245[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,104,97,108,116,32,109,115,103,49,50,50,49,41,0,0,0,0};
static C_char C_TLS li246[] C_aligned={C_lihdr(0,0,8),67,95,98,101,99,111,109,101};
static C_char C_TLS li247[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,98,108,111,99,107,45,114,101,102,32,120,49,50,50,52,32,105,49,50,50,53,41,0,0,0};
static C_char C_TLS li248[] C_aligned={C_lihdr(0,0,14),67,95,97,112,112,108,121,95,118,97,108,117,101,115,0,0};
static C_char C_TLS li249[] C_aligned={C_lihdr(0,0,14),67,95,99,111,112,121,95,99,108,111,115,117,114,101,0,0};
static C_char C_TLS li250[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,98,108,111,99,107,45,115,101,116,33,32,120,49,50,50,57,32,105,49,50,51,48,32,121,49,50,51,49,41,0,0,0,0};
static C_char C_TLS li251[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,117,114,114,101,110,116,45,109,105,108,108,105,115,101,99,111,110,100,115,41,0,0,0,0,0};
static C_char C_TLS li252[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,117,114,114,101,110,116,45,115,101,99,111,110,100,115,41,0,0};
static C_char C_TLS li253[] C_aligned={C_lihdr(0,0,23),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,112,117,45,116,105,109,101,41,0};
static C_char C_TLS li254[] C_aligned={C_lihdr(0,0,45),40,35,35,115,121,115,35,99,104,101,99,107,45,115,116,114,117,99,116,117,114,101,32,120,49,50,55,49,32,121,49,50,55,50,32,46,32,108,111,99,49,50,55,51,41,0,0,0};
static C_char C_TLS li255[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,99,104,101,99,107,45,98,108,111,98,32,120,49,50,55,53,32,46,32,108,111,99,49,50,55,54,41,0,0,0,0,0,0};
static C_char C_TLS li256[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,99,104,101,99,107,45,112,97,105,114,32,120,49,50,55,57,32,46,32,108,111,99,49,50,56,48,41,0,0,0,0,0,0};
static C_char C_TLS li257[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,99,104,101,99,107,45,108,105,115,116,32,120,49,50,56,50,32,46,32,108,111,99,49,50,56,51,41,0,0,0,0,0,0};
static C_char C_TLS li258[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,99,104,101,99,107,45,115,116,114,105,110,103,32,120,49,50,56,53,32,46,32,108,111,99,49,50,56,54,41,0,0,0,0};
static C_char C_TLS li259[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,99,104,101,99,107,45,110,117,109,98,101,114,32,120,49,50,56,56,32,46,32,108,111,99,49,50,56,57,41,0,0,0,0};
static C_char C_TLS li260[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,99,104,101,99,107,45,102,105,120,110,117,109,32,120,49,50,57,49,32,46,32,108,111,99,49,50,57,50,41,0,0,0,0};
static C_char C_TLS li261[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,32,120,49,50,57,52,32,46,32,108,111,99,49,50,57,53,41,0,0,0,0,0};
static C_char C_TLS li262[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,101,120,97,99,116,32,120,49,50,57,55,32,46,32,108,111,99,49,50,57,56,41,0,0,0};
static C_char C_TLS li263[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,99,104,101,99,107,45,115,121,109,98,111,108,32,120,49,51,48,48,32,46,32,108,111,99,49,51,48,49,41,0,0,0,0};
static C_char C_TLS li264[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,99,104,101,99,107,45,118,101,99,116,111,114,32,120,49,51,48,51,32,46,32,108,111,99,49,51,48,52,41,0,0,0,0};
static C_char C_TLS li265[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,99,104,101,99,107,45,99,104,97,114,32,120,49,51,48,54,32,46,32,108,111,99,49,51,48,55,41,0,0,0,0,0,0};
static C_char C_TLS li266[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,99,104,101,99,107,45,98,111,111,108,101,97,110,32,120,49,51,48,57,32,46,32,108,111,99,49,51,49,48,41,0,0,0};
static C_char C_TLS li267[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,99,104,101,99,107,45,108,111,99,97,116,105,118,101,32,120,49,51,49,50,32,46,32,108,111,99,49,51,49,51,41,0,0};
static C_char C_TLS li268[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,116,101,103,101,114,32,120,49,51,49,53,32,46,32,108,111,99,49,51,49,54,41,0,0,0};
static C_char C_TLS li269[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,45,105,110,116,101,103,101,114,32,120,49,51,49,57,32,46,32,108,111,99,49,51,50,48,41,0,0,0,0,0};
static C_char C_TLS li270[] C_aligned={C_lihdr(0,0,44),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,45,117,105,110,116,101,103,101,114,32,120,49,51,50,51,32,46,32,108,111,99,49,51,50,52,41,0,0,0,0};
static C_char C_TLS li271[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,99,104,101,99,107,45,114,101,97,108,32,120,49,51,51,48,32,46,32,108,111,99,49,51,51,49,41,0,0,0,0,0,0};
static C_char C_TLS li272[] C_aligned={C_lihdr(0,0,51),40,35,35,115,121,115,35,99,104,101,99,107,45,114,97,110,103,101,32,105,49,51,51,52,32,102,114,111,109,49,51,51,53,32,116,111,49,51,51,54,32,46,32,108,111,99,49,51,51,55,41,0,0,0,0,0};
static C_char C_TLS li273[] C_aligned={C_lihdr(0,0,39),40,35,35,115,121,115,35,99,104,101,99,107,45,115,112,101,99,105,97,108,32,112,116,114,49,51,52,51,32,46,32,108,111,99,49,51,52,52,41,0};
static C_char C_TLS li274[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,99,104,101,99,107,45,99,108,111,115,117,114,101,32,120,49,51,52,56,32,46,32,108,111,99,49,51,52,57,41,0,0,0};
static C_char C_TLS li275[] C_aligned={C_lihdr(0,0,28),40,108,112,32,112,114,111,109,105,115,101,49,51,53,50,32,102,111,114,119,97,114,100,49,51,53,51,41,0,0,0,0};
static C_char C_TLS li276[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,102,111,114,99,101,32,111,98,106,49,51,53,48,41,0,0};
static C_char C_TLS li277[] C_aligned={C_lihdr(0,0,7),67,95,100,108,111,97,100,0};
static C_char C_TLS li278[] C_aligned={C_lihdr(0,0,18),67,95,115,101,116,95,100,108,111,112,101,110,95,102,108,97,103,115,0,0,0,0,0,0};
static C_char C_TLS li279[] C_aligned={C_lihdr(0,0,53),40,35,35,115,121,115,35,101,114,114,111,114,45,110,111,116,45,97,45,112,114,111,112,101,114,45,108,105,115,116,32,97,114,103,49,51,55,56,32,46,32,116,109,112,49,51,55,55,49,51,55,57,41,0,0,0};
static C_char C_TLS li280[] C_aligned={C_lihdr(0,0,46),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,110,117,109,98,101,114,32,97,114,103,49,51,57,49,32,46,32,116,109,112,49,51,57,48,49,51,57,50,41,0,0};
static C_char C_TLS li281[] C_aligned={C_lihdr(0,0,47),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,105,110,116,101,103,101,114,32,97,114,103,49,52,48,52,32,46,32,116,109,112,49,52,48,51,49,52,48,53,41,0};
static C_char C_TLS li282[] C_aligned={C_lihdr(0,0,53),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,101,120,97,99,116,45,105,110,116,101,103,101,114,32,97,114,103,49,52,49,55,32,46,32,116,109,112,49,52,49,54,49,52,49,56,41,0,0,0};
static C_char C_TLS li283[] C_aligned={C_lihdr(0,0,54),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,101,120,97,99,116,45,117,105,110,116,101,103,101,114,32,97,114,103,49,52,51,48,32,46,32,116,109,112,49,52,50,57,49,52,51,49,41,0,0};
static C_char C_TLS li284[] C_aligned={C_lihdr(0,0,47),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,105,110,101,120,97,99,116,32,97,114,103,49,52,52,51,32,46,32,116,109,112,49,52,52,50,49,52,52,52,41,0};
static C_char C_TLS li285[] C_aligned={C_lihdr(0,0,44),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,114,101,97,108,32,97,114,103,49,52,53,54,32,46,32,116,109,112,49,52,53,53,49,52,53,55,41,0,0,0,0};
static C_char C_TLS li286[] C_aligned={C_lihdr(0,0,44),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,98,97,115,101,32,97,114,103,49,52,54,57,32,46,32,116,109,112,49,52,54,56,49,52,55,48,41,0,0,0,0};
static C_char C_TLS li287[] C_aligned={C_lihdr(0,0,15),40,99,111,112,121,32,110,111,100,101,49,52,56,49,41,0};
static C_char C_TLS li288[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,108,115,116,115,49,52,55,57,41,0};
static C_char C_TLS li289[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,97,112,112,101,110,100,32,46,32,108,115,116,115,49,52,55,55,41,0,0,0,0,0,0};
static C_char C_TLS li290[] C_aligned={C_lihdr(0,0,23),40,108,111,111,112,32,108,115,116,49,52,57,49,32,114,101,115,116,49,52,57,50,41,0};
static C_char C_TLS li291[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,102,97,115,116,45,114,101,118,101,114,115,101,32,108,115,116,48,49,52,56,57,41,0,0,0};
static C_char C_TLS li292[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,109,97,107,101,45,115,116,114,105,110,103,32,115,105,122,101,49,52,57,57,32,46,32,116,109,112,49,52,57,56,49,53,48,48,41,0,0,0,0,0,0};
static C_char C_TLS li293[] C_aligned={C_lihdr(0,0,40),40,115,99,104,101,109,101,35,109,97,107,101,45,115,116,114,105,110,103,32,115,105,122,101,49,53,49,48,32,46,32,102,105,108,108,49,53,49,49,41};
static C_char C_TLS li294[] C_aligned={C_lihdr(0,0,19),40,108,111,111,112,32,105,49,53,50,51,32,108,115,49,53,50,52,41,0,0,0,0,0};
static C_char C_TLS li295[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,108,105,115,116,32,115,49,53,50,48,41,0,0,0,0,0};
static C_char C_TLS li296[] C_aligned={C_lihdr(0,0,20),40,100,111,108,111,111,112,49,53,51,49,32,108,115,116,49,53,51,52,41,0,0,0,0};
static C_char C_TLS li297[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,108,105,115,116,45,62,115,116,114,105,110,103,32,108,115,116,48,49,53,50,56,41,0,0};
static C_char C_TLS li298[] C_aligned={C_lihdr(0,0,13),40,105,116,101,114,32,110,50,49,53,52,54,41,0,0,0};
static C_char C_TLS li299[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,114,101,118,101,114,115,101,45,108,105,115,116,45,62,115,116,114,105,110,103,32,108,49,53,52,49,41,0,0,0,0,0,0};
static C_char C_TLS li300[] C_aligned={C_lihdr(0,0,33),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,102,105,108,108,33,32,115,49,53,53,54,32,99,49,53,53,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li301[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,111,112,121,32,115,49,53,54,49,41,0,0,0,0,0,0};
static C_char C_TLS li302[] C_aligned={C_lihdr(0,0,44),40,115,99,104,101,109,101,35,115,117,98,115,116,114,105,110,103,32,115,49,53,54,54,32,115,116,97,114,116,49,53,54,55,32,46,32,101,110,100,49,53,54,56,41,0,0,0,0};
static C_char C_TLS li303[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,115,117,98,115,116,114,105,110,103,32,115,49,53,55,57,32,115,116,97,114,116,49,53,56,48,32,101,110,100,49,53,56,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li304[] C_aligned={C_lihdr(0,0,41),40,99,111,109,112,97,114,101,49,53,56,52,32,115,49,49,53,56,55,32,115,50,49,53,56,56,32,108,111,99,49,53,56,57,32,107,49,53,57,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li305[] C_aligned={C_lihdr(0,0,34),40,97,49,49,53,51,51,32,108,101,110,49,49,53,57,55,32,108,101,110,50,49,53,57,56,32,99,109,112,49,53,57,57,41,0,0,0,0,0,0};
static C_char C_TLS li306[] C_aligned={C_lihdr(0,0,31),40,115,99,104,101,109,101,35,115,116,114,105,110,103,60,63,32,115,49,49,53,57,53,32,115,50,49,53,57,54,41,0};
static C_char C_TLS li307[] C_aligned={C_lihdr(0,0,34),40,97,49,49,53,53,55,32,108,101,110,49,49,54,48,54,32,108,101,110,50,49,54,48,55,32,99,109,112,49,54,48,56,41,0,0,0,0,0,0};
static C_char C_TLS li308[] C_aligned={C_lihdr(0,0,31),40,115,99,104,101,109,101,35,115,116,114,105,110,103,62,63,32,115,49,49,54,48,52,32,115,50,49,54,48,53,41,0};
static C_char C_TLS li309[] C_aligned={C_lihdr(0,0,34),40,97,49,49,53,56,49,32,108,101,110,49,49,54,49,53,32,108,101,110,50,49,54,49,54,32,99,109,112,49,54,49,55,41,0,0,0,0,0,0};
static C_char C_TLS li310[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,115,116,114,105,110,103,60,61,63,32,115,49,49,54,49,51,32,115,50,49,54,49,52,41};
static C_char C_TLS li311[] C_aligned={C_lihdr(0,0,34),40,97,49,49,54,48,50,32,108,101,110,49,49,54,50,48,32,108,101,110,50,49,54,50,49,32,99,109,112,49,54,50,50,41,0,0,0,0,0,0};
static C_char C_TLS li312[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,115,116,114,105,110,103,62,61,63,32,115,49,49,54,49,56,32,115,50,49,54,49,57,41};
static C_char C_TLS li313[] C_aligned={C_lihdr(0,0,41),40,99,111,109,112,97,114,101,49,54,50,55,32,115,49,49,54,51,48,32,115,50,49,54,51,49,32,108,111,99,49,54,51,50,32,107,49,54,51,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li314[] C_aligned={C_lihdr(0,0,34),40,97,49,49,54,52,51,32,108,101,110,49,49,54,52,48,32,108,101,110,50,49,54,52,49,32,99,109,112,49,54,52,50,41,0,0,0,0,0,0};
static C_char C_TLS li315[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,60,63,32,115,49,49,54,51,56,32,115,50,49,54,51,57,41,0,0,0,0,0,0};
static C_char C_TLS li316[] C_aligned={C_lihdr(0,0,34),40,97,49,49,54,54,55,32,108,101,110,49,49,54,52,57,32,108,101,110,50,49,54,53,48,32,99,109,112,49,54,53,49,41,0,0,0,0,0,0};
static C_char C_TLS li317[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,62,63,32,115,49,49,54,52,55,32,115,50,49,54,52,56,41,0,0,0,0,0,0};
static C_char C_TLS li318[] C_aligned={C_lihdr(0,0,34),40,97,49,49,54,57,49,32,108,101,110,49,49,54,53,56,32,108,101,110,50,49,54,53,57,32,99,109,112,49,54,54,48,41,0,0,0,0,0,0};
static C_char C_TLS li319[] C_aligned={C_lihdr(0,0,35),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,60,61,63,32,115,49,49,54,53,54,32,115,50,49,54,53,55,41,0,0,0,0,0};
static C_char C_TLS li320[] C_aligned={C_lihdr(0,0,34),40,97,49,49,55,49,50,32,108,101,110,49,49,54,54,51,32,108,101,110,50,49,54,54,52,32,99,109,112,49,54,54,53,41,0,0,0,0,0,0};
static C_char C_TLS li321[] C_aligned={C_lihdr(0,0,35),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,62,61,63,32,115,49,49,54,54,49,32,115,50,49,54,54,50,41,0,0,0,0,0};
static C_char C_TLS li322[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,115,116,114,105,110,103,45,97,112,112,101,110,100,32,120,49,54,55,49,32,121,49,54,55,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li323[] C_aligned={C_lihdr(0,0,21),40,108,111,111,112,32,115,116,114,115,49,54,56,49,32,110,49,54,56,50,41,0,0,0};
static C_char C_TLS li324[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,97,112,112,101,110,100,32,46,32,97,108,108,49,54,55,56,41};
static C_char C_TLS li325[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,32,46,32,99,104,97,114,115,49,54,57,48,41,0,0,0,0,0};
static C_char C_TLS li326[] C_aligned={C_lihdr(0,0,14),40,108,111,111,112,32,112,111,115,49,54,57,55,41,0,0};
static C_char C_TLS li327[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,102,114,97,103,109,101,110,116,115,45,62,115,116,114,105,110,103,32,116,111,116,97,108,49,54,57,50,32,102,115,49,54,57,51,41,0,0,0,0,0,0};
static C_char C_TLS li328[] C_aligned={C_lihdr(0,0,32),40,100,111,108,111,111,112,49,55,49,50,32,104,100,49,55,49,52,32,116,108,49,55,49,53,32,99,49,55,49,54,41};
static C_char C_TLS li329[] C_aligned={C_lihdr(0,0,20),40,108,111,111,112,32,108,115,116,49,55,48,54,32,105,49,55,48,55,41,0,0,0,0};
static C_char C_TLS li330[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,104,111,112,32,108,115,116,49,55,48,50,32,110,49,55,48,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li331[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,43,32,120,49,55,53,56,32,121,49,55,53,57,41};
static C_char C_TLS li332[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,45,32,120,49,55,54,57,32,121,49,55,55,48,41};
static C_char C_TLS li333[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,42,32,120,49,55,56,48,32,121,49,55,56,49,41};
static C_char C_TLS li334[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,47,32,120,49,55,57,49,32,121,49,55,57,50,41};
static C_char C_TLS li335[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,103,99,100,32,120,49,56,48,50,32,121,49,56,48,51,41,0,0,0,0,0,0};
static C_char C_TLS li336[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,47,63,32,120,49,56,49,51,32,121,49,56,49,52,41,0,0,0,0,0,0,0};
static C_char C_TLS li337[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,61,32,120,49,56,50,52,32,121,49,56,50,53,41};
static C_char C_TLS li338[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,62,32,120,49,56,51,53,32,121,49,56,51,54,41};
static C_char C_TLS li339[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,60,32,120,49,56,52,54,32,121,49,56,52,55,41};
static C_char C_TLS li340[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,62,61,32,120,49,56,53,55,32,121,49,56,53,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li341[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,60,61,32,120,49,56,54,56,32,121,49,56,54,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li342[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,110,101,103,32,120,49,56,55,57,41,0,0,0,0};
static C_char C_TLS li343[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,109,97,120,32,120,49,56,56,55,32,121,49,56,56,56,41,0,0,0,0,0,0};
static C_char C_TLS li344[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,109,105,110,32,120,49,56,57,56,32,121,49,56,57,57,41,0,0,0,0,0,0};
static C_char C_TLS li345[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,102,108,111,111,114,32,120,49,57,48,57,41,0,0};
static C_char C_TLS li346[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,116,114,117,110,99,97,116,101,32,120,49,57,49,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li347[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,114,111,117,110,100,32,120,49,57,50,53,41,0,0};
static C_char C_TLS li348[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,99,101,105,108,105,110,103,32,120,49,57,51,51,41};
static C_char C_TLS li349[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,115,105,110,32,120,49,57,52,49,41,0,0,0,0};
static C_char C_TLS li350[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,99,111,115,32,120,49,57,52,57,41,0,0,0,0};
static C_char C_TLS li351[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,116,97,110,32,120,49,57,53,55,41,0,0,0,0};
static C_char C_TLS li352[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,115,105,110,32,120,49,57,54,53,41,0,0,0};
static C_char C_TLS li353[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,99,111,115,32,120,49,57,55,51,41,0,0,0};
static C_char C_TLS li354[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,116,97,110,32,120,49,57,56,49,41,0,0,0};
static C_char C_TLS li355[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,116,97,110,50,32,120,49,57,56,57,32,121,49,57,57,48,41,0,0,0,0};
static C_char C_TLS li356[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,101,120,112,32,120,50,48,48,48,41,0,0,0,0};
static C_char C_TLS li357[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,101,120,112,116,32,120,50,48,48,56,32,121,50,48,48,57,41,0,0,0,0,0};
static C_char C_TLS li358[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,108,111,103,32,120,50,48,49,57,41,0,0,0,0};
static C_char C_TLS li359[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,115,113,114,116,32,120,50,48,50,55,41,0,0,0};
static C_char C_TLS li360[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,98,115,32,120,50,48,51,53,41,0,0,0,0};
static C_char C_TLS li361[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,105,110,116,101,103,101,114,63,32,120,50,48,52,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li362[] C_aligned={C_lihdr(0,0,53),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,108,111,110,117,109,45,112,114,105,110,116,45,112,114,101,99,105,115,105,111,110,32,46,32,116,109,112,50,48,53,52,50,48,53,53,41,0,0,0};
static C_char C_TLS li363[] C_aligned={C_lihdr(0,0,26),40,109,97,107,101,45,99,111,109,112,108,101,120,32,114,50,49,49,53,32,105,50,49,49,54,41,0,0,0,0,0,0};
static C_char C_TLS li364[] C_aligned={C_lihdr(0,0,37),40,115,99,104,101,109,101,35,109,97,107,101,45,114,101,99,116,97,110,103,117,108,97,114,32,114,50,49,50,49,32,105,50,49,50,50,41,0,0,0};
static C_char C_TLS li365[] C_aligned={C_lihdr(0,0,33),40,115,99,104,101,109,101,35,109,97,107,101,45,112,111,108,97,114,32,114,50,49,50,53,32,112,104,105,50,49,50,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li366[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,114,101,97,108,45,112,97,114,116,32,120,50,49,51,48,41};
static C_char C_TLS li367[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,105,109,97,103,45,112,97,114,116,32,120,50,49,51,56,41};
static C_char C_TLS li368[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,97,110,103,108,101,32,110,50,49,52,54,41,0,0,0,0};
static C_char C_TLS li369[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,109,97,103,110,105,116,117,100,101,32,120,50,49,52,56,41};
static C_char C_TLS li370[] C_aligned={C_lihdr(0,0,20),40,114,97,116,110,117,109,32,109,50,49,54,50,32,110,50,49,54,51,41,0,0,0,0};
static C_char C_TLS li371[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,110,117,109,101,114,97,116,111,114,32,110,50,49,56,53,41};
static C_char C_TLS li372[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,100,101,110,111,109,105,110,97,116,111,114,32,110,50,49,57,55,41,0,0,0,0,0,0};
static C_char C_TLS li373[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,101,120,116,101,110,100,101,100,45,115,105,103,110,117,109,32,120,50,50,49,48,41,0,0,0};
static C_char C_TLS li374[] C_aligned={C_lihdr(0,0,24),40,100,111,108,111,111,112,50,50,50,51,32,120,50,50,50,53,32,105,50,50,50,54,41};
static C_char C_TLS li375[] C_aligned={C_lihdr(0,0,21),40,100,101,108,105,118,101,114,32,121,50,50,50,56,32,100,50,50,50,57,41,0,0,0};
static C_char C_TLS li376[] C_aligned={C_lihdr(0,0,29),40,115,99,104,101,109,101,35,105,110,101,120,97,99,116,45,62,101,120,97,99,116,32,120,50,50,51,56,41,0,0,0};
static C_char C_TLS li377[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,97,110,100,0,0,0};
static C_char C_TLS li378[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,105,111,114,0,0,0};
static C_char C_TLS li379[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,120,111,114,0,0,0};
static C_char C_TLS li380[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,98,105,116,119,105,115,101,45,110,111,116,32,110,50,50,54,54,41,0,0,0,0,0};
static C_char C_TLS li381[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,98,105,116,45,62,98,111,111,108,101,97,110,32,110,50,50,54,56,32,105,50,50,54,57,41,0,0,0,0,0,0};
static C_char C_TLS li382[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,105,110,116,101,103,101,114,45,108,101,110,103,116,104,32,120,50,50,55,49,41,0,0};
static C_char C_TLS li383[] C_aligned={C_lihdr(0,0,46),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,97,114,105,116,104,109,101,116,105,99,45,115,104,105,102,116,32,110,50,50,55,51,32,109,50,50,55,52,41,0,0};
static C_char C_TLS li384[] C_aligned={C_lihdr(0,0,21),40,108,111,111,112,32,97,114,103,115,50,50,56,57,32,120,50,50,57,48,41,0,0,0};
static C_char C_TLS li385[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,47,32,97,114,103,49,50,50,56,54,32,46,32,97,114,103,115,50,50,56,55,41,0,0};
static C_char C_TLS li386[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,47,45,50,32,120,50,50,57,51,32,121,50,50,57,52,41,0};
static C_char C_TLS li387[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,102,108,111,111,114,32,120,50,51,55,52,41,0,0,0,0};
static C_char C_TLS li388[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,101,105,108,105,110,103,32,120,50,51,56,55,41,0,0};
static C_char C_TLS li389[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,116,114,117,110,99,97,116,101,32,120,50,52,48,48,41,0};
static C_char C_TLS li390[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,111,117,110,100,32,120,50,52,49,49,41,0,0,0,0};
static C_char C_TLS li391[] C_aligned={C_lihdr(0,0,16),40,115,114,32,120,50,52,51,49,32,121,50,52,51,50,41};
static C_char C_TLS li392[] C_aligned={C_lihdr(0,0,32),40,102,105,110,100,45,114,97,116,105,111,45,98,101,116,119,101,101,110,32,120,50,52,50,52,32,121,50,52,50,53,41};
static C_char C_TLS li393[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,114,97,116,105,111,110,97,108,105,122,101,32,120,50,52,52,53,32,101,50,52,52,54,41};
static C_char C_TLS li394[] C_aligned={C_lihdr(0,0,25),40,108,111,111,112,32,105,50,52,53,52,32,109,50,52,53,53,32,120,115,50,52,53,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li395[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,109,97,120,32,120,49,50,52,53,49,32,46,32,120,115,50,52,53,50,41,0,0,0,0};
static C_char C_TLS li396[] C_aligned={C_lihdr(0,0,25),40,108,111,111,112,32,105,50,52,54,54,32,109,50,52,54,55,32,120,115,50,52,54,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li397[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,109,105,110,32,120,49,50,52,54,51,32,46,32,120,115,50,52,54,52,41,0,0,0,0};
static C_char C_TLS li398[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,101,120,112,32,110,50,52,55,53,41,0,0,0,0,0,0};
static C_char C_TLS li399[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,108,111,103,45,49,32,120,50,52,56,53,41,0,0,0,0,0};
static C_char C_TLS li400[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,108,111,103,32,97,50,52,57,55,32,46,32,116,109,112,50,52,57,54,50,52,57,56,41};
static C_char C_TLS li401[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,115,105,110,32,110,50,53,48,52,41,0,0,0,0,0,0};
static C_char C_TLS li402[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,99,111,115,32,110,50,53,48,55,41,0,0,0,0,0,0};
static C_char C_TLS li403[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,116,97,110,32,110,50,53,49,48,41,0,0,0,0,0,0};
static C_char C_TLS li404[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,97,115,105,110,32,110,50,53,49,50,41,0,0,0,0,0};
static C_char C_TLS li405[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,97,99,111,115,32,110,50,53,50,51,41,0,0,0,0,0};
static C_char C_TLS li406[] C_aligned={C_lihdr(0,0,33),40,115,99,104,101,109,101,35,97,116,97,110,32,110,50,53,51,55,32,46,32,116,109,112,50,53,51,54,50,53,51,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li407[] C_aligned={C_lihdr(0,0,8),40,97,49,52,50,50,50,41};
static C_char C_TLS li408[] C_aligned={C_lihdr(0,0,34),67,95,117,95,105,110,116,101,103,101,114,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114,0,0,0,0,0,0};
static C_char C_TLS li409[] C_aligned={C_lihdr(0,0,8),40,97,49,52,50,53,52,41};
static C_char C_TLS li410[] C_aligned={C_lihdr(0,0,36),40,97,49,52,50,55,48,32,113,50,53,57,49,50,53,57,50,50,53,57,55,32,117,50,53,57,51,50,53,57,52,50,53,57,56,41,0,0,0,0};
static C_char C_TLS li411[] C_aligned={C_lihdr(0,0,38),40,97,49,52,50,51,54,32,115,94,50,53,55,49,50,53,55,50,50,53,55,53,32,114,94,50,53,55,51,50,53,55,52,50,53,55,54,41,0,0};
static C_char C_TLS li412[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,115,113,114,116,32,97,50,53,53,49,41};
static C_char C_TLS li413[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,115,113,114,116,32,120,50,54,48,57,41,0};
static C_char C_TLS li414[] C_aligned={C_lihdr(0,0,8),40,97,49,52,51,57,48,41};
static C_char C_TLS li415[] C_aligned={C_lihdr(0,0,22),40,97,49,52,51,57,54,32,115,94,50,50,54,50,48,32,114,50,54,50,49,41,0,0};
static C_char C_TLS li416[] C_aligned={C_lihdr(0,0,8),40,97,49,52,52,49,56,41};
static C_char C_TLS li417[] C_aligned={C_lihdr(0,0,8),40,97,49,52,52,52,50,41};
static C_char C_TLS li418[] C_aligned={C_lihdr(0,0,24),40,97,49,52,52,53,52,32,100,115,94,50,50,54,51,48,32,100,114,50,54,51,49,41};
static C_char C_TLS li419[] C_aligned={C_lihdr(0,0,24),40,97,49,52,52,51,48,32,110,115,94,50,50,54,50,53,32,110,114,50,54,50,54,41};
static C_char C_TLS li420[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,115,113,114,116,47,108,111,99,32,108,111,99,50,54,49,50,32,110,50,54,49,51,41,0,0};
static C_char C_TLS li421[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,115,113,114,116,32,120,50,54,51,50,41,0,0,0,0,0};
static C_char C_TLS li422[] C_aligned={C_lihdr(0,0,49),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,110,116,104,45,114,111,111,116,32,107,50,54,51,51,32,110,50,54,51,52,41,0,0,0,0,0,0,0};
static C_char C_TLS li423[] C_aligned={C_lihdr(0,0,18),40,108,112,32,103,48,50,54,53,50,32,103,49,50,54,53,51,41,0,0,0,0,0,0};
static C_char C_TLS li424[] C_aligned={C_lihdr(0,0,54),40,35,35,115,121,115,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,110,116,104,45,114,111,111,116,47,108,111,99,32,108,111,99,50,54,51,56,32,107,50,54,51,57,32,110,50,54,52,48,41,0,0};
static C_char C_TLS li425[] C_aligned={C_lihdr(0,0,19),40,108,112,32,114,101,115,50,54,54,52,32,101,50,50,54,54,53,41,0,0,0,0,0};
static C_char C_TLS li426[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,105,110,116,101,103,101,114,45,112,111,119,101,114,32,98,97,115,101,50,54,53,54,32,101,50,54,53,55,41,0,0,0,0};
static C_char C_TLS li427[] C_aligned={C_lihdr(0,0,22),40,108,111,103,45,101,120,112,116,32,97,50,54,56,48,32,98,50,54,56,49,41,0,0};
static C_char C_TLS li428[] C_aligned={C_lihdr(0,0,23),40,115,108,111,119,45,101,120,112,116,32,97,50,54,56,50,32,98,50,54,56,51,41,0};
static C_char C_TLS li429[] C_aligned={C_lihdr(0,0,8),40,97,49,52,55,55,55,41};
static C_char C_TLS li430[] C_aligned={C_lihdr(0,0,23),40,97,49,52,55,56,57,32,100,115,94,110,50,54,57,56,32,114,50,54,57,57,41,0};
static C_char C_TLS li431[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,101,120,112,116,32,97,50,54,55,50,32,98,50,54,55,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li432[] C_aligned={C_lihdr(0,0,40),40,35,35,115,121,115,35,105,110,116,101,114,110,97,108,45,103,99,100,32,108,111,99,50,55,49,52,32,97,50,55,49,53,32,98,50,55,49,54,41};
static C_char C_TLS li433[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,103,99,100,32,97,50,55,52,52,32,98,50,55,52,53,41,0};
static C_char C_TLS li434[] C_aligned={C_lihdr(0,0,24),40,108,111,111,112,32,104,101,97,100,50,55,52,56,32,110,101,120,116,50,55,52,57,41};
static C_char C_TLS li435[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,103,99,100,32,46,32,110,115,50,55,52,54,41,0,0,0};
static C_char C_TLS li436[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,108,99,109,32,120,50,55,53,51,32,121,50,55,53,52,41,0};
static C_char C_TLS li437[] C_aligned={C_lihdr(0,0,24),40,108,111,111,112,32,104,101,97,100,50,55,53,56,32,110,101,120,116,50,55,53,57,41};
static C_char C_TLS li438[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,108,99,109,32,46,32,110,115,50,55,53,54,41,0,0,0};
static C_char C_TLS li439[] C_aligned={C_lihdr(0,0,34),67,95,117,95,105,110,116,101,103,101,114,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114,0,0,0,0,0,0};
static C_char C_TLS li440[] C_aligned={C_lihdr(0,0,8),40,97,49,53,49,51,52,41};
static C_char C_TLS li441[] C_aligned={C_lihdr(0,0,38),40,97,49,53,49,52,48,32,104,105,50,55,55,54,50,55,55,55,50,55,56,50,32,108,111,50,55,55,56,50,55,55,57,50,55,56,51,41,0,0};
static C_char C_TLS li442[] C_aligned={C_lihdr(0,0,73),40,35,35,115,121,115,35,105,110,116,101,103,101,114,45,62,115,116,114,105,110,103,47,114,101,99,117,114,115,105,118,101,32,110,50,55,54,52,32,98,97,115,101,50,55,54,53,32,101,120,112,101,99,116,101,100,45,115,116,114,105,110,103,45,115,105,122,101,50,55,54,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li443[] C_aligned={C_lihdr(0,0,46),40,35,35,115,121,115,35,101,120,116,101,110,100,101,100,45,110,117,109,98,101,114,45,62,115,116,114,105,110,103,32,110,50,55,57,54,32,98,97,115,101,50,55,57,55,41,0,0};
static C_char C_TLS li444[] C_aligned={C_lihdr(0,0,28),40,114,111,117,110,100,45,113,117,111,116,105,101,110,116,32,110,50,56,52,48,32,100,50,56,52,49,41,0,0,0,0};
static C_char C_TLS li445[] C_aligned={C_lihdr(0,0,31),40,115,97,102,101,45,101,120,112,111,110,101,110,116,32,118,97,108,117,101,50,56,53,55,32,101,50,56,53,56,41,0};
static C_char C_TLS li446[] C_aligned={C_lihdr(0,0,10),40,108,112,32,105,50,56,55,56,41,0,0,0,0,0,0};
static C_char C_TLS li447[] C_aligned={C_lihdr(0,0,23),40,115,99,97,110,45,100,105,103,105,116,115,32,115,116,97,114,116,50,56,55,54,41,0};
static C_char C_TLS li448[] C_aligned={C_lihdr(0,0,10),40,108,112,32,105,50,57,48,49,41,0,0,0,0,0,0};
static C_char C_TLS li449[] C_aligned={C_lihdr(0,0,23),40,115,99,97,110,45,104,97,115,104,101,115,32,115,116,97,114,116,50,56,57,57,41,0};
static C_char C_TLS li450[] C_aligned={C_lihdr(0,0,58),40,115,99,97,110,45,100,105,103,105,116,115,43,104,97,115,104,101,115,32,115,116,97,114,116,50,57,49,49,32,110,101,103,63,50,57,49,50,32,97,108,108,45,104,97,115,104,101,115,45,111,107,63,50,57,49,51,41,0,0,0,0,0,0};
static C_char C_TLS li451[] C_aligned={C_lihdr(0,0,25),40,115,99,97,110,45,101,120,112,111,110,101,110,116,32,115,116,97,114,116,50,57,51,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li452[] C_aligned={C_lihdr(0,0,55),40,115,99,97,110,45,100,101,99,105,109,97,108,45,116,97,105,108,32,115,116,97,114,116,50,57,52,57,32,110,101,103,63,50,57,53,48,32,100,101,99,105,109,97,108,45,104,101,97,100,50,57,53,49,41,0};
static C_char C_TLS li453[] C_aligned={C_lihdr(0,0,31),40,115,99,97,110,45,117,114,101,97,108,32,115,116,97,114,116,51,48,50,54,32,110,101,103,63,51,48,50,55,41,0};
static C_char C_TLS li454[] C_aligned={C_lihdr(0,0,21),40,115,99,97,110,45,114,101,97,108,32,115,116,97,114,116,51,49,48,51,41,0,0,0};
static C_char C_TLS li455[] C_aligned={C_lihdr(0,0,66),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,99,111,109,112,110,117,109,32,114,97,100,105,120,50,56,53,48,32,115,116,114,50,56,53,49,32,111,102,102,115,101,116,50,56,53,50,32,101,120,97,99,116,110,101,115,115,50,56,53,51,41,0,0,0,0,0,0};
static C_char C_TLS li456[] C_aligned={C_lihdr(0,0,48),40,115,99,97,110,45,112,114,101,102,105,120,32,105,51,50,51,52,32,101,120,110,101,115,115,51,50,51,53,32,114,97,100,105,120,51,50,51,54,32,108,101,110,51,50,51,55,41};
static C_char C_TLS li457[] C_aligned={C_lihdr(0,0,45),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,110,117,109,98,101,114,32,115,116,114,51,50,50,52,32,46,32,116,109,112,51,50,50,51,51,50,50,53,41,0,0,0};
static C_char C_TLS li458[] C_aligned={C_lihdr(0,0,44),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,110,117,109,98,101,114,32,115,116,114,51,50,56,56,32,46,32,116,109,112,51,50,56,55,51,50,56,57,41,0,0,0,0};
static C_char C_TLS li459[] C_aligned={C_lihdr(0,0,18),67,95,102,105,120,110,117,109,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li460[] C_aligned={C_lihdr(0,0,18),67,95,102,108,111,110,117,109,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li461[] C_aligned={C_lihdr(0,0,19),67,95,105,110,116,101,103,101,114,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0};
static C_char C_TLS li462[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,105,51,51,49,57,41,0,0,0,0};
static C_char C_TLS li463[] C_aligned={C_lihdr(0,0,37),40,99,111,109,112,97,114,101,45,115,108,111,116,115,32,120,51,51,48,56,32,121,51,51,48,57,32,115,116,97,114,116,51,51,49,48,41,0,0,0};
static C_char C_TLS li464[] C_aligned={C_lihdr(0,0,18),40,119,97,108,107,32,120,51,51,50,50,32,121,51,51,50,51,41,0,0,0,0,0,0};
static C_char C_TLS li465[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,113,117,97,108,61,63,32,120,51,51,48,52,32,121,51,51,48,53,41,0,0,0,0,0,0};
static C_char C_TLS li466[] C_aligned={C_lihdr(0,0,18),67,95,115,116,114,105,110,103,95,116,111,95,115,121,109,98,111,108,0,0,0,0,0,0};
static C_char C_TLS li467[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,105,110,116,101,114,110,101,100,45,115,121,109,98,111,108,63,32,120,51,51,52,50,41,0,0};
static C_char C_TLS li468[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,115,121,109,98,111,108,32,115,116,114,51,51,52,52,41,0,0};
static C_char C_TLS li469[] C_aligned={C_lihdr(0,0,15),40,115,112,108,105,116,32,108,101,110,51,51,53,51,41,0};
static C_char C_TLS li470[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,115,121,109,98,111,108,45,62,115,116,114,105,110,103,32,115,51,51,53,55,41,0,0,0,0};
static C_char C_TLS li471[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,115,121,109,98,111,108,45,62,113,117,97,108,105,102,105,101,100,45,115,116,114,105,110,103,32,115,51,51,54,49,41,0,0};
static C_char C_TLS li472[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,113,117,97,108,105,102,105,101,100,45,115,121,109,98,111,108,45,112,114,101,102,105,120,32,115,51,51,54,53,41,0,0,0};
static C_char C_TLS li473[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,113,117,97,108,105,102,105,101,100,45,115,121,109,98,111,108,63,32,115,51,51,55,52,41,0};
static C_char C_TLS li474[] C_aligned={C_lihdr(0,0,51),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,113,117,97,108,105,102,105,101,100,45,115,121,109,98,111,108,32,112,114,101,102,105,120,51,51,55,56,32,115,116,114,51,51,55,57,41,0,0,0,0,0};
static C_char C_TLS li475[] C_aligned={C_lihdr(0,0,29),40,115,99,104,101,109,101,35,115,121,109,98,111,108,45,62,115,116,114,105,110,103,32,115,51,51,56,48,41,0,0,0};
static C_char C_TLS li476[] C_aligned={C_lihdr(0,0,31),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,115,121,109,98,111,108,32,115,116,114,51,51,56,51,41,0};
static C_char C_TLS li477[] C_aligned={C_lihdr(0,0,13),67,95,109,97,107,101,95,115,121,109,98,111,108,0,0,0};
static C_char C_TLS li478[] C_aligned={C_lihdr(0,0,48),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,116,114,105,110,103,45,62,117,110,105,110,116,101,114,110,101,100,45,115,121,109,98,111,108,32,115,116,114,51,51,56,54,41};
static C_char C_TLS li479[] C_aligned={C_lihdr(0,0,13),67,95,109,97,107,101,95,115,121,109,98,111,108,0,0,0};
static C_char C_TLS li480[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,110,115,121,109,32,46,32,115,116,114,45,111,114,45,115,121,109,51,51,57,49,41,0,0};
static C_char C_TLS li481[] C_aligned={C_lihdr(0,0,24),40,109,97,112,45,108,111,111,112,51,52,49,48,32,103,51,52,50,50,51,52,51,48,41};
static C_char C_TLS li482[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,121,109,98,111,108,45,97,112,112,101,110,100,32,46,32,115,115,51,52,48,55,41,0,0,0};
static C_char C_TLS li483[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,107,101,121,119,111,114,100,63,32,120,51,52,52,53,41};
static C_char C_TLS li484[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,115,116,114,105,110,103,45,62,107,101,121,119,111,114,100,32,115,51,52,52,57,41,0};
static C_char C_TLS li485[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,107,101,121,119,111,114,100,45,62,115,116,114,105,110,103,32,107,119,51,52,53,51,41};
static C_char C_TLS li486[] C_aligned={C_lihdr(0,0,60),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,103,101,116,45,107,101,121,119,111,114,100,32,107,101,121,51,52,54,48,32,97,114,103,115,51,52,54,49,32,46,32,116,109,112,51,52,53,57,51,52,54,50,41,0,0,0,0};
static C_char C_TLS li487[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,109,97,107,101,45,98,108,111,98,32,115,105,122,101,51,52,56,54,41,0,0,0,0,0,0};
static C_char C_TLS li488[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,108,111,98,35,109,97,107,101,45,98,108,111,98,32,115,105,122,101,51,52,57,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li489[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,63,32,120,51,52,57,51,41,0,0,0,0,0,0};
static C_char C_TLS li490[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,45,115,105,122,101,32,98,118,51,52,57,54,41,0};
static C_char C_TLS li491[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,108,111,98,35,115,116,114,105,110,103,45,62,98,108,111,98,32,115,51,52,57,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li492[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,45,62,115,116,114,105,110,103,32,98,118,51,53,48,53,41,0,0,0,0,0,0};
static C_char C_TLS li493[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,61,63,32,98,49,51,53,49,49,32,98,50,51,53,49,50,41,0,0,0,0,0};
static C_char C_TLS li494[] C_aligned={C_lihdr(0,0,40),40,115,99,104,101,109,101,35,109,97,107,101,45,118,101,99,116,111,114,32,115,105,122,101,51,53,50,52,32,46,32,102,105,108,108,51,53,50,53,41};
static C_char C_TLS li495[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,105,51,53,51,52,41,0,0,0,0};
static C_char C_TLS li496[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,108,105,115,116,45,62,118,101,99,116,111,114,32,108,115,116,48,51,53,50,57,41,0,0};
static C_char C_TLS li497[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,105,51,53,52,48,41,0,0,0,0};
static C_char C_TLS li498[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,62,108,105,115,116,32,118,51,53,51,55,41,0,0,0,0,0};
static C_char C_TLS li499[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,118,101,99,116,111,114,32,46,32,120,115,51,53,52,51,41};
static C_char C_TLS li500[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,52,55,41,0,0,0,0};
static C_char C_TLS li501[] C_aligned={C_lihdr(0,0,33),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,102,105,108,108,33,32,118,51,53,52,52,32,120,51,53,52,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li502[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,53,57,41,0,0,0,0};
static C_char C_TLS li503[] C_aligned={C_lihdr(0,0,51),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,101,99,116,111,114,45,99,111,112,121,33,32,102,114,111,109,51,53,53,51,32,116,111,51,53,53,52,32,46,32,110,51,53,53,53,41,0,0,0,0,0};
static C_char C_TLS li504[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,57,48,41,0,0,0,0};
static C_char C_TLS li505[] C_aligned={C_lihdr(0,0,50),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,117,98,118,101,99,116,111,114,32,118,51,53,55,53,32,105,51,53,55,54,32,46,32,116,109,112,51,53,55,52,51,53,55,55,41,0,0,0,0,0,0};
static C_char C_TLS li506[] C_aligned={C_lihdr(0,0,54),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,101,99,116,111,114,45,114,101,115,105,122,101,32,118,51,54,48,50,32,110,51,54,48,51,32,46,32,116,109,112,51,54,48,49,51,54,48,52,41,0,0};
static C_char C_TLS li507[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,54,49,56,41,0,0,0,0};
static C_char C_TLS li508[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,118,101,99,116,111,114,45,114,101,115,105,122,101,32,118,51,54,49,51,32,110,51,54,49,52,32,105,110,105,116,51,54,49,53,41,0,0,0,0,0,0};
static C_char C_TLS li509[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,61,63,32,120,51,54,50,52,32,121,51,54,50,53,41,0,0};
static C_char C_TLS li510[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,62,63,32,120,51,54,50,54,32,121,51,54,50,55,41,0,0};
static C_char C_TLS li511[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,60,63,32,120,51,54,50,56,32,121,51,54,50,57,41,0,0};
static C_char C_TLS li512[] C_aligned={C_lihdr(0,0,31),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,62,61,63,32,120,51,54,51,48,32,121,51,54,51,49,41,0};
static C_char C_TLS li513[] C_aligned={C_lihdr(0,0,31),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,60,61,63,32,120,51,54,51,50,32,121,51,54,51,51,41,0};
static C_char C_TLS li514[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li515[] C_aligned={C_lihdr(0,0,19),40,108,111,111,107,117,112,45,99,104,97,114,32,99,51,54,52,49,41,0,0,0,0,0};
static C_char C_TLS li516[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,104,97,114,45,110,97,109,101,32,120,51,54,52,57,32,46,32,121,51,54,53,48,41,0,0};
static C_char C_TLS li517[] C_aligned={C_lihdr(0,0,9),67,95,99,97,108,108,95,99,99,0,0,0,0,0,0,0};
static C_char C_TLS li518[] C_aligned={C_lihdr(0,0,19),67,95,99,97,108,108,95,119,105,116,104,95,99,116,104,117,108,104,117,0,0,0,0,0};
static C_char C_TLS li519[] C_aligned={C_lihdr(0,0,14),40,108,111,111,112,32,108,115,116,51,54,55,55,41,0,0};
static C_char C_TLS li520[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,102,111,114,45,101,97,99,104,32,112,51,54,55,52,32,108,115,116,48,51,54,55,53,41,0};
static C_char C_TLS li521[] C_aligned={C_lihdr(0,0,14),40,108,111,111,112,32,108,115,116,51,54,56,56,41,0,0};
static C_char C_TLS li522[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,109,97,112,32,112,51,54,56,53,32,108,115,116,48,51,54,56,54,41,0,0,0,0,0,0};
static C_char C_TLS li523[] C_aligned={C_lihdr(0,0,46),40,109,97,112,115,97,102,101,51,54,57,52,32,112,51,55,48,48,32,108,115,116,115,51,55,48,49,32,115,116,97,114,116,51,55,48,50,32,108,111,99,51,55,48,51,41,0,0};
static C_char C_TLS li524[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li525[] C_aligned={C_lihdr(0,0,38),40,99,104,101,99,107,51,54,57,53,32,108,115,116,115,51,55,48,57,32,115,116,97,114,116,51,55,49,48,32,108,111,99,51,55,49,49,41,0,0};
static C_char C_TLS li526[] C_aligned={C_lihdr(0,0,29),40,102,111,114,45,101,97,99,104,45,108,111,111,112,51,55,50,53,32,103,51,55,51,50,51,55,51,54,41,0,0,0};
static C_char C_TLS li527[] C_aligned={C_lihdr(0,0,14),40,97,49,56,53,53,51,32,120,51,55,52,56,41,0,0};
static C_char C_TLS li528[] C_aligned={C_lihdr(0,0,14),40,97,49,56,53,54,51,32,120,51,55,52,55,41,0,0};
static C_char C_TLS li529[] C_aligned={C_lihdr(0,0,14),40,108,111,111,112,32,97,108,108,51,55,52,49,41,0,0};
static C_char C_TLS li530[] C_aligned={C_lihdr(0,0,44),40,115,99,104,101,109,101,35,102,111,114,45,101,97,99,104,32,102,110,51,55,50,48,32,108,115,116,49,51,55,50,49,32,46,32,108,115,116,115,51,55,50,50,41,0,0,0,0};
static C_char C_TLS li531[] C_aligned={C_lihdr(0,0,24),40,109,97,112,45,108,111,111,112,51,55,53,54,32,103,51,55,54,56,51,55,55,52,41};
static C_char C_TLS li532[] C_aligned={C_lihdr(0,0,14),40,97,49,56,54,53,56,32,120,51,55,56,56,41,0,0};
static C_char C_TLS li533[] C_aligned={C_lihdr(0,0,14),40,97,49,56,54,54,56,32,120,51,55,56,55,41,0,0};
static C_char C_TLS li534[] C_aligned={C_lihdr(0,0,14),40,108,111,111,112,32,97,108,108,51,55,56,49,41,0,0};
static C_char C_TLS li535[] C_aligned={C_lihdr(0,0,39),40,115,99,104,101,109,101,35,109,97,112,32,102,110,51,55,53,49,32,108,115,116,49,51,55,53,50,32,46,32,108,115,116,115,51,55,53,51,41,0};
static C_char C_TLS li536[] C_aligned={C_lihdr(0,0,22),40,97,49,56,54,57,50,32,46,32,114,101,115,117,108,116,115,51,55,57,56,41,0,0};
static C_char C_TLS li537[] C_aligned={C_lihdr(0,0,52),40,115,99,104,101,109,101,35,100,121,110,97,109,105,99,45,119,105,110,100,32,98,101,102,111,114,101,51,55,57,53,32,116,104,117,110,107,51,55,57,54,32,97,102,116,101,114,51,55,57,55,41,0,0,0,0};
static C_char C_TLS li538[] C_aligned={C_lihdr(0,0,28),40,99,111,110,116,105,110,117,97,116,105,111,110,32,46,32,114,101,115,117,108,116,115,51,56,48,56,41,0,0,0,0};
static C_char C_TLS li539[] C_aligned={C_lihdr(0,0,17),40,97,49,56,55,49,54,32,99,111,110,116,51,56,48,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li540[] C_aligned={C_lihdr(0,0,48),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,99,117,114,114,101,110,116,45,99,111,110,116,105,110,117,97,116,105,111,110,32,112,114,111,99,51,56,48,52,41};
static C_char C_TLS li541[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,100,121,110,97,109,105,99,45,117,110,119,105,110,100,32,119,105,110,100,115,51,56,49,50,32,110,51,56,49,51,41,0,0};
static C_char C_TLS li542[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,111,114,116,63,32,120,51,56,50,56,41,0,0,0,0,0,0};
static C_char C_TLS li543[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,112,117,116,45,112,111,114,116,45,111,112,101,110,63,32,112,51,56,51,48,41,0,0,0};
static C_char C_TLS li544[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,117,116,112,117,116,45,112,111,114,116,45,111,112,101,110,63,32,112,51,56,51,50,41,0,0};
static C_char C_TLS li545[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,111,114,116,45,99,108,111,115,101,100,63,32,112,51,56,51,52,41,0,0,0,0,0,0,0};
static C_char C_TLS li546[] C_aligned={C_lihdr(0,0,53),40,35,35,115,121,115,35,109,97,107,101,45,112,111,114,116,32,105,47,111,51,56,51,55,32,99,108,97,115,115,51,56,51,56,32,110,97,109,101,51,56,51,57,32,116,121,112,101,51,56,52,48,41,0,0,0};
static C_char C_TLS li547[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li548[] C_aligned={C_lihdr(0,0,14),40,97,51,49,56,50,51,32,112,51,56,53,48,41,0,0};
static C_char C_TLS li549[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li550[] C_aligned={C_lihdr(0,0,14),40,97,51,49,56,54,51,32,112,51,56,53,57,41,0,0};
static C_char C_TLS li551[] C_aligned={C_lihdr(0,0,20),40,97,51,49,57,48,51,32,112,51,56,54,56,32,99,51,56,54,57,41,0,0,0,0};
static C_char C_TLS li552[] C_aligned={C_lihdr(0,0,20),40,97,51,49,57,48,54,32,112,51,56,55,48,32,115,51,56,55,49,41,0,0,0,0};
static C_char C_TLS li553[] C_aligned={C_lihdr(0,0,20),40,97,51,49,57,48,57,32,112,51,56,55,50,32,100,51,56,55,51,41,0,0,0,0};
static C_char C_TLS li554[] C_aligned={C_lihdr(0,0,14),40,97,51,49,57,49,53,32,112,51,56,55,53,41,0,0};
static C_char C_TLS li555[] C_aligned={C_lihdr(0,0,14),40,97,51,49,57,49,56,32,112,51,56,55,54,41,0,0};
static C_char C_TLS li556[] C_aligned={C_lihdr(0,0,8),40,97,51,49,57,53,53,41};
static C_char C_TLS li557[] C_aligned={C_lihdr(0,0,32),40,108,111,111,112,32,114,101,109,51,56,56,50,32,97,99,116,51,56,56,51,32,115,116,97,114,116,51,56,56,52,41};
static C_char C_TLS li558[] C_aligned={C_lihdr(0,0,39),40,97,51,49,57,50,49,32,112,51,56,55,55,32,110,51,56,55,56,32,100,101,115,116,51,56,55,57,32,115,116,97,114,116,51,56,56,48,41,0};
static C_char C_TLS li559[] C_aligned={C_lihdr(0,0,8),40,97,51,50,49,49,54,41};
static C_char C_TLS li560[] C_aligned={C_lihdr(0,0,52),40,108,111,111,112,32,108,101,110,51,56,57,57,32,108,105,109,105,116,51,57,48,48,32,98,117,102,102,101,114,51,57,48,49,32,114,101,115,117,108,116,51,57,48,50,32,102,51,57,48,51,41,0,0,0,0};
static C_char C_TLS li561[] C_aligned={C_lihdr(0,0,25),40,97,51,50,48,50,48,32,112,51,56,57,53,32,114,108,105,109,105,116,51,56,57,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li562[] C_aligned={C_lihdr(0,0,16),67,95,111,112,101,110,95,102,105,108,101,95,112,111,114,116};
static C_char C_TLS li563[] C_aligned={C_lihdr(0,0,49),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,112,117,116,45,112,111,114,116,32,120,51,57,50,52,32,111,112,101,110,51,57,50,53,32,46,32,108,111,99,51,57,50,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li564[] C_aligned={C_lihdr(0,0,50),40,35,35,115,121,115,35,99,104,101,99,107,45,111,117,116,112,117,116,45,112,111,114,116,32,120,51,57,50,56,32,111,112,101,110,51,57,50,57,32,46,32,108,111,99,51,57,51,48,41,0,0,0,0,0,0};
static C_char C_TLS li565[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,99,104,101,99,107,45,112,111,114,116,32,120,51,57,51,50,32,46,32,108,111,99,51,57,51,51,41,0,0,0,0,0,0};
static C_char C_TLS li566[] C_aligned={C_lihdr(0,0,39),40,35,35,115,121,115,35,99,104,101,99,107,45,111,112,101,110,45,112,111,114,116,32,120,51,57,51,53,32,46,32,108,111,99,51,57,51,54,41,0};
static C_char C_TLS li567[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,52,49,41,0,0,0,0,0,0};
static C_char C_TLS li568[] C_aligned={C_lihdr(0,0,38),40,115,99,104,101,109,101,35,99,117,114,114,101,110,116,45,105,110,112,117,116,45,112,111,114,116,32,46,32,97,114,103,115,51,57,51,55,41,0,0};
static C_char C_TLS li569[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,54,54,41,0,0,0,0,0,0};
static C_char C_TLS li570[] C_aligned={C_lihdr(0,0,39),40,115,99,104,101,109,101,35,99,117,114,114,101,110,116,45,111,117,116,112,117,116,45,112,111,114,116,32,46,32,97,114,103,115,51,57,54,50,41,0};
static C_char C_TLS li571[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,57,49,41,0,0,0,0,0,0};
static C_char C_TLS li572[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,117,114,114,101,110,116,45,101,114,114,111,114,45,112,111,114,116,32,46,32,97,114,103,115,51,57,56,55,41,0,0,0,0};
static C_char C_TLS li573[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,116,116,121,45,112,111,114,116,63,32,112,111,114,116,52,48,49,51,41,0,0,0,0,0,0};
static C_char C_TLS li574[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,112,111,114,116,45,100,97,116,97,32,112,111,114,116,52,48,49,54,41,0,0,0,0,0,0};
static C_char C_TLS li575[] C_aligned={C_lihdr(0,0,40),40,35,35,115,121,115,35,115,101,116,45,112,111,114,116,45,100,97,116,97,33,32,112,111,114,116,52,48,49,56,32,100,97,116,97,52,48,49,57,41};
static C_char C_TLS li576[] C_aligned={C_lihdr(0,0,22),40,100,111,108,111,111,112,52,48,50,56,32,109,111,100,101,115,52,48,51,48,41,0,0};
static C_char C_TLS li577[] C_aligned={C_lihdr(0,0,41),40,111,112,101,110,32,110,97,109,101,52,48,50,50,32,105,110,112,52,48,50,51,32,109,111,100,101,115,52,48,50,52,32,108,111,99,52,48,50,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li578[] C_aligned={C_lihdr(0,0,32),40,99,108,111,115,101,32,112,111,114,116,52,48,52,53,32,105,110,112,52,48,52,54,32,108,111,99,52,48,52,55,41};
static C_char C_TLS li579[] C_aligned={C_lihdr(0,0,44),40,115,99,104,101,109,101,35,111,112,101,110,45,105,110,112,117,116,45,102,105,108,101,32,110,97,109,101,52,48,53,51,32,46,32,109,111,100,101,52,48,53,52,41,0,0,0,0};
static C_char C_TLS li580[] C_aligned={C_lihdr(0,0,45),40,115,99,104,101,109,101,35,111,112,101,110,45,111,117,116,112,117,116,45,102,105,108,101,32,110,97,109,101,52,48,53,53,32,46,32,109,111,100,101,52,48,53,54,41,0,0,0};
static C_char C_TLS li581[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,99,108,111,115,101,45,105,110,112,117,116,45,112,111,114,116,32,112,111,114,116,52,48,53,55,41,0,0,0,0,0,0};
static C_char C_TLS li582[] C_aligned={C_lihdr(0,0,35),40,115,99,104,101,109,101,35,99,108,111,115,101,45,111,117,116,112,117,116,45,112,111,114,116,32,112,111,114,116,52,48,53,56,41,0,0,0,0,0};
static C_char C_TLS li583[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,48,56,41};
static C_char C_TLS li584[] C_aligned={C_lihdr(0,0,22),40,97,49,57,51,49,52,32,46,32,114,101,115,117,108,116,115,52,48,55,48,41,0,0};
static C_char C_TLS li585[] C_aligned={C_lihdr(0,0,55),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,105,110,112,117,116,45,102,105,108,101,32,110,97,109,101,52,48,54,54,32,112,52,48,54,55,32,46,32,109,111,100,101,52,48,54,56,41,0};
static C_char C_TLS li586[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,51,50,41};
static C_char C_TLS li587[] C_aligned={C_lihdr(0,0,22),40,97,49,57,51,51,56,32,46,32,114,101,115,117,108,116,115,52,48,55,56,41,0,0};
static C_char C_TLS li588[] C_aligned={C_lihdr(0,0,56),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,111,117,116,112,117,116,45,102,105,108,101,32,110,97,109,101,52,48,55,52,32,112,52,48,55,53,32,46,32,109,111,100,101,52,48,55,54,41};
static C_char C_TLS li589[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,53,54,41};
static C_char C_TLS li590[] C_aligned={C_lihdr(0,0,22),40,97,49,57,51,54,55,32,46,32,114,101,115,117,108,116,115,52,48,57,52,41,0,0};
static C_char C_TLS li591[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,54,49,41};
static C_char C_TLS li592[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,55,54,41};
static C_char C_TLS li593[] C_aligned={C_lihdr(0,0,58),40,115,99,104,101,109,101,35,119,105,116,104,45,105,110,112,117,116,45,102,114,111,109,45,102,105,108,101,32,115,116,114,52,48,56,50,32,116,104,117,110,107,52,48,56,51,32,46,32,109,111,100,101,52,48,56,52,41,0,0,0,0,0,0};
static C_char C_TLS li594[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,57,48,41};
static C_char C_TLS li595[] C_aligned={C_lihdr(0,0,22),40,97,49,57,52,48,49,32,46,32,114,101,115,117,108,116,115,52,49,49,50,41,0,0};
static C_char C_TLS li596[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,57,53,41};
static C_char C_TLS li597[] C_aligned={C_lihdr(0,0,8),40,97,49,57,52,49,48,41};
static C_char C_TLS li598[] C_aligned={C_lihdr(0,0,57),40,115,99,104,101,109,101,35,119,105,116,104,45,111,117,116,112,117,116,45,116,111,45,102,105,108,101,32,115,116,114,52,49,48,48,32,116,104,117,110,107,52,49,48,49,32,46,32,109,111,100,101,52,49,48,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li599[] C_aligned={C_lihdr(0,0,56),40,35,35,115,121,115,35,102,105,108,101,45,101,120,105,115,116,115,63,32,110,97,109,101,52,49,49,55,32,102,105,108,101,63,52,49,49,56,32,100,105,114,63,52,49,49,57,32,108,111,99,52,49,50,48,41};
static C_char C_TLS li600[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,102,108,117,115,104,45,111,117,116,112,117,116,32,112,111,114,116,52,49,50,56,41,0,0,0};
static C_char C_TLS li601[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,117,115,104,45,111,117,116,112,117,116,32,46,32,116,109,112,52,49,51,53,52,49,51,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li602[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,112,111,114,116,45,108,105,110,101,32,112,111,114,116,52,49,52,52,41,0,0,0,0,0,0};
static C_char C_TLS li603[] C_aligned={C_lihdr(0,0,18),40,100,111,108,111,111,112,52,49,53,56,32,105,52,49,54,48,41,0,0,0,0,0,0};
static C_char C_TLS li604[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,105,52,49,53,50,41,0,0,0,0};
static C_char C_TLS li605[] C_aligned={C_lihdr(0,0,55),40,35,35,115,121,115,35,100,101,99,111,114,97,116,101,45,108,97,109,98,100,97,32,112,114,111,99,52,49,52,55,32,112,114,101,100,52,49,52,56,32,100,101,99,111,114,97,116,111,114,52,49,52,57,41,0};
static C_char C_TLS li606[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,105,52,49,55,49,41,0,0,0,0};
static C_char C_TLS li607[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,108,97,109,98,100,97,45,100,101,99,111,114,97,116,105,111,110,32,112,114,111,99,52,49,54,56,32,112,114,101,100,52,49,54,57,41,0,0,0,0,0};
static C_char C_TLS li608[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,109,97,107,101,45,108,97,109,98,100,97,45,105,110,102,111,32,115,116,114,52,49,55,54,41};
static C_char C_TLS li609[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,63,32,120,52,49,56,50,41,0,0,0,0,0,0};
static C_char C_TLS li610[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,32,112,114,111,99,52,49,56,53,41,0,0,0,0};
static C_char C_TLS li611[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,45,62,115,116,114,105,110,103,32,105,110,102,111,52,49,56,55,41,0,0,0,0};
static C_char C_TLS li612[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,111,99,101,100,117,114,101,45,105,110,102,111,114,109,97,116,105,111,110,32,120,52,49,57,49,41,0,0,0,0,0,0};
static C_char C_TLS li613[] C_aligned={C_lihdr(0,0,20),40,97,49,57,54,56,56,32,112,52,50,52,52,32,105,52,50,52,53,41,0,0,0,0};
static C_char C_TLS li614[] C_aligned={C_lihdr(0,0,14),40,97,49,57,54,57,56,32,120,52,50,51,57,41,0,0};
static C_char C_TLS li615[] C_aligned={C_lihdr(0,0,23),40,97,49,57,55,49,52,32,112,114,111,99,52,50,52,49,32,105,52,50,52,50,41,0};
static C_char C_TLS li616[] C_aligned={C_lihdr(0,0,63),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,116,101,114,45,119,105,116,104,45,115,101,116,116,101,114,32,103,101,116,52,50,50,53,32,115,101,116,52,50,50,54,32,46,32,116,109,112,52,50,50,52,52,50,50,55,41,0};
static C_char C_TLS li617[] C_aligned={C_lihdr(0,0,15),40,102,95,49,57,57,55,49,32,120,52,50,57,48,41,0};
static C_char C_TLS li618[] C_aligned={C_lihdr(0,0,44),40,97,115,115,105,103,110,32,118,97,108,52,50,57,52,32,110,52,50,57,53,32,99,111,110,118,101,114,116,63,52,50,57,54,32,115,101,116,63,52,50,57,55,41,0,0,0,0};
static C_char C_TLS li619[] C_aligned={C_lihdr(0,0,32),40,98,111,100,121,52,51,48,57,32,99,111,110,118,101,114,116,63,52,51,49,57,32,115,101,116,63,52,51,50,48,41};
static C_char C_TLS li620[] C_aligned={C_lihdr(0,0,32),40,100,101,102,45,115,101,116,63,52,51,49,50,32,37,99,111,110,118,101,114,116,63,52,51,48,55,52,51,50,50,41};
static C_char C_TLS li621[] C_aligned={C_lihdr(0,0,18),40,100,101,102,45,99,111,110,118,101,114,116,63,52,51,49,49,41,0,0,0,0,0,0};
static C_char C_TLS li622[] C_aligned={C_lihdr(0,0,19),40,97,49,57,56,54,50,32,46,32,97,114,103,115,52,51,48,49,41,0,0,0,0,0};
static C_char C_TLS li623[] C_aligned={C_lihdr(0,0,16),40,97,49,57,57,52,52,32,118,97,108,52,51,50,57,41};
static C_char C_TLS li624[] C_aligned={C_lihdr(0,0,52),40,99,104,105,99,107,101,110,46,98,97,115,101,35,109,97,107,101,45,112,97,114,97,109,101,116,101,114,32,105,110,105,116,52,50,56,51,32,46,32,116,109,112,52,50,56,50,52,50,56,52,41,0,0,0,0};
static C_char C_TLS li625[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,99,104,97,114,45,114,101,97,100,121,63,32,46,32,116,109,112,52,51,51,55,52,51,51,56,41,0,0,0,0,0,0};
static C_char C_TLS li626[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,114,101,97,100,45,99,104,97,114,32,46,32,116,109,112,52,51,53,48,52,51,53,49,41};
static C_char C_TLS li627[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,114,101,97,100,45,99,104,97,114,45,48,32,112,52,51,53,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li628[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,114,101,97,100,45,99,104,97,114,47,112,111,114,116,32,112,111,114,116,52,51,55,49,41,0};
static C_char C_TLS li629[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,101,101,107,45,99,104,97,114,45,48,32,112,52,51,55,52,41,0,0,0,0,0,0,0};
static C_char C_TLS li630[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,112,101,101,107,45,99,104,97,114,32,46,32,116,109,112,52,51,56,50,52,51,56,51,41};
static C_char C_TLS li631[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,114,101,97,100,32,46,32,116,109,112,52,51,57,51,52,51,57,52,41,0,0,0,0,0};
static C_char C_TLS li632[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,114,101,97,100,45,112,114,111,109,112,116,45,104,111,111,107,41};
static C_char C_TLS li633[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,105,110,102,105,120,45,108,105,115,116,45,104,111,111,107,32,108,115,116,52,52,48,54,41,0};
static C_char C_TLS li634[] C_aligned={C_lihdr(0,0,40),40,35,35,115,121,115,35,115,104,97,114,112,45,110,117,109,98,101,114,45,104,111,111,107,32,112,111,114,116,52,52,48,56,32,110,52,52,48,57,41};
static C_char C_TLS li635[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,114,101,97,100,45,119,97,114,110,105,110,103,32,112,111,114,116,52,52,49,51,32,109,115,103,52,52,49,52,32,46,32,97,114,103,115,52,52,49,53,41};
static C_char C_TLS li636[] C_aligned={C_lihdr(0,0,46),40,35,35,115,121,115,35,114,101,97,100,45,101,114,114,111,114,32,112,111,114,116,52,52,50,48,32,109,115,103,52,52,50,49,32,46,32,97,114,103,115,52,52,50,50,41,0,0};
static C_char C_TLS li637[] C_aligned={C_lihdr(0,0,15),40,102,95,50,48,50,53,50,32,99,52,52,52,56,41,0};
static C_char C_TLS li638[] C_aligned={C_lihdr(0,0,33),40,105,110,102,111,32,99,108,97,115,115,52,52,52,57,32,100,97,116,97,52,52,53,48,32,118,97,108,52,52,53,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li639[] C_aligned={C_lihdr(0,0,12),40,115,107,105,112,32,99,52,52,53,51,41,0,0,0,0};
static C_char C_TLS li640[] C_aligned={C_lihdr(0,0,13),40,115,107,105,112,45,116,111,45,101,111,108,41,0,0,0};
static C_char C_TLS li641[] C_aligned={C_lihdr(0,0,26),40,114,101,115,101,114,118,101,100,45,99,104,97,114,97,99,116,101,114,32,99,52,52,53,54,41,0,0,0,0,0,0};
static C_char C_TLS li642[] C_aligned={C_lihdr(0,0,33),40,114,101,97,100,45,117,110,114,101,115,101,114,118,101,100,45,99,104,97,114,45,48,32,112,111,114,116,52,52,53,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li643[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,52,52,55,57,41,0,0,0,0};
static C_char C_TLS li644[] C_aligned={C_lihdr(0,0,10),40,114,45,115,112,97,99,101,115,41,0,0,0,0,0,0};
static C_char C_TLS li645[] C_aligned={C_lihdr(0,0,20),40,108,111,111,112,32,115,101,113,52,52,57,52,32,110,52,52,57,53,41,0,0,0,0};
static C_char C_TLS li646[] C_aligned={C_lihdr(0,0,34),40,114,45,117,115,101,113,117,101,110,99,101,32,117,52,52,57,48,32,110,52,52,57,49,32,98,97,115,101,52,52,57,50,41,0,0,0,0,0,0};
static C_char C_TLS li647[] C_aligned={C_lihdr(0,0,18),40,108,112,32,105,52,53,49,49,32,108,115,116,52,53,49,50,41,0,0,0,0,0,0};
static C_char C_TLS li648[] C_aligned={C_lihdr(0,0,33),40,114,45,99,111,110,115,45,99,111,100,101,112,111,105,110,116,32,99,112,52,53,48,54,32,108,115,116,52,53,48,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li649[] C_aligned={C_lihdr(0,0,22),40,101,97,116,45,119,115,32,99,52,53,53,51,32,110,108,63,52,53,53,52,41,0,0};
static C_char C_TLS li650[] C_aligned={C_lihdr(0,0,20),40,108,111,111,112,32,99,52,53,49,54,32,108,115,116,52,53,49,55,41,0,0,0,0};
static C_char C_TLS li651[] C_aligned={C_lihdr(0,0,19),40,114,45,115,116,114,105,110,103,32,116,101,114,109,52,53,49,52,41,0,0,0,0,0};
static C_char C_TLS li652[] C_aligned={C_lihdr(0,0,23),40,115,116,97,114,116,105,110,103,45,108,105,110,101,32,109,115,103,52,53,56,51,41,0};
static C_char C_TLS li653[] C_aligned={C_lihdr(0,0,15),40,102,95,50,49,48,56,52,32,99,52,53,56,54,41,0};
static C_char C_TLS li654[] C_aligned={C_lihdr(0,0,23),40,97,50,49,49,57,57,32,116,111,107,52,54,49,53,32,107,119,52,54,49,54,41,0};
static C_char C_TLS li655[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,108,97,115,116,52,53,56,56,41,0};
static C_char C_TLS li656[] C_aligned={C_lihdr(0,0,19),40,97,50,49,48,56,48,32,114,101,116,117,114,110,52,53,56,53,41,0,0,0,0,0};
static C_char C_TLS li657[] C_aligned={C_lihdr(0,0,26),40,114,45,108,105,115,116,32,115,116,97,114,116,52,53,55,55,32,101,110,100,52,53,55,56,41,0,0,0,0,0,0};
static C_char C_TLS li658[] C_aligned={C_lihdr(0,0,10),40,114,45,118,101,99,116,111,114,41,0,0,0,0,0,0};
static C_char C_TLS li659[] C_aligned={C_lihdr(0,0,23),40,97,50,49,51,50,55,32,116,111,107,52,54,52,51,32,107,119,52,54,52,52,41,0};
static C_char C_TLS li660[] C_aligned={C_lihdr(0,0,34),40,114,45,110,117,109,98,101,114,32,114,97,100,105,120,52,54,52,49,32,101,120,97,99,116,110,101,115,115,52,54,52,50,41,0,0,0,0,0,0};
static C_char C_TLS li661[] C_aligned={C_lihdr(0,0,35),40,114,45,110,117,109,98,101,114,45,119,105,116,104,45,101,120,97,99,116,110,101,115,115,32,114,97,100,105,120,52,54,53,55,41,0,0,0,0,0};
static C_char C_TLS li662[] C_aligned={C_lihdr(0,0,35),40,114,45,110,117,109,98,101,114,45,119,105,116,104,45,114,97,100,105,120,32,101,120,97,99,116,110,101,115,115,52,54,54,56,41,0,0,0,0,0};
static C_char C_TLS li663[] C_aligned={C_lihdr(0,0,20),40,108,111,111,112,32,99,52,54,56,48,32,108,115,116,52,54,56,49,41,0,0,0,0};
static C_char C_TLS li664[] C_aligned={C_lihdr(0,0,9),40,114,45,116,111,107,101,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li665[] C_aligned={C_lihdr(0,0,20),40,108,111,111,112,32,99,52,54,57,53,32,108,115,116,52,54,57,54,41,0,0,0,0};
static C_char C_TLS li666[] C_aligned={C_lihdr(0,0,10),40,114,45,100,105,103,105,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li667[] C_aligned={C_lihdr(0,0,23),40,97,50,49,54,50,53,32,115,116,114,52,55,48,54,32,107,119,52,55,48,55,41,0};
static C_char C_TLS li668[] C_aligned={C_lihdr(0,0,10),40,114,45,115,121,109,98,111,108,41,0,0,0,0,0,0};
static C_char C_TLS li669[] C_aligned={C_lihdr(0,0,22),40,108,111,111,112,32,108,115,116,52,55,49,50,32,115,107,119,52,55,49,51,41,0,0};
static C_char C_TLS li670[] C_aligned={C_lihdr(0,0,16),40,114,45,120,116,111,107,101,110,32,107,52,55,48,57,41};
static C_char C_TLS li671[] C_aligned={C_lihdr(0,0,8),40,114,45,99,104,97,114,41};
static C_char C_TLS li672[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,105,52,55,57,53,41,0,0,0,0};
static C_char C_TLS li673[] C_aligned={C_lihdr(0,0,11),40,114,45,99,111,109,109,101,110,116,41,0,0,0,0,0};
static C_char C_TLS li674[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,105,52,56,48,56,41,0,0,0,0};
static C_char C_TLS li675[] C_aligned={C_lihdr(0,0,14),40,114,45,101,120,116,45,115,121,109,98,111,108,41,0,0};
static C_char C_TLS li676[] C_aligned={C_lihdr(0,0,23),40,98,117,105,108,100,45,107,101,121,119,111,114,100,32,116,111,107,52,56,49,56,41,0};
static C_char C_TLS li677[] C_aligned={C_lihdr(0,0,8),40,97,50,50,50,55,56,41};
static C_char C_TLS li678[] C_aligned={C_lihdr(0,0,17),40,97,50,50,50,56,52,32,46,32,120,115,52,56,50,52,41,0,0,0,0,0,0,0};
static C_char C_TLS li679[] C_aligned={C_lihdr(0,0,8),40,97,50,50,52,50,49,41};
static C_char C_TLS li680[] C_aligned={C_lihdr(0,0,17),40,97,50,50,52,50,55,32,46,32,120,115,52,56,53,52,41,0,0,0,0,0,0,0};
static C_char C_TLS li681[] C_aligned={C_lihdr(0,0,8),40,97,50,50,52,57,50,41};
static C_char C_TLS li682[] C_aligned={C_lihdr(0,0,17),40,97,50,50,52,57,56,32,46,32,120,115,52,56,54,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li683[] C_aligned={C_lihdr(0,0,8),40,97,50,50,54,48,54,41};
static C_char C_TLS li684[] C_aligned={C_lihdr(0,0,8),40,97,50,50,54,49,49,41};
static C_char C_TLS li685[] C_aligned={C_lihdr(0,0,8),40,97,50,50,54,49,55,41};
static C_char C_TLS li686[] C_aligned={C_lihdr(0,0,8),40,97,50,50,55,54,56,41};
static C_char C_TLS li687[] C_aligned={C_lihdr(0,0,23),40,97,50,50,55,55,57,32,115,116,114,52,57,49,52,32,107,119,52,57,49,53,41,0};
static C_char C_TLS li688[] C_aligned={C_lihdr(0,0,8),40,97,50,50,55,55,51,41};
static C_char C_TLS li689[] C_aligned={C_lihdr(0,0,8),40,97,50,50,56,48,56,41};
static C_char C_TLS li690[] C_aligned={C_lihdr(0,0,8),40,97,50,50,57,51,50,41};
static C_char C_TLS li691[] C_aligned={C_lihdr(0,0,17),40,97,50,50,57,51,56,32,46,32,120,115,52,57,52,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li692[] C_aligned={C_lihdr(0,0,9),40,114,101,97,100,114,101,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li693[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,114,101,97,100,32,112,111,114,116,52,52,51,51,32,105,110,102,111,104,97,110,100,108,101,114,52,52,51,52,41,0,0,0};
static C_char C_TLS li694[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,99,104,97,114,45,62,117,116,102,56,45,115,116,114,105,110,103,32,99,52,57,56,57,41,0};
static C_char C_TLS li695[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,117,110,105,99,111,100,101,45,115,117,114,114,111,103,97,116,101,63,32,110,52,57,57,54,41};
static C_char C_TLS li696[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,115,117,114,114,111,103,97,116,101,115,45,62,99,111,100,101,112,111,105,110,116,32,104,105,52,57,57,57,32,108,111,53,48,48,48,41,0,0,0,0,0};
static C_char C_TLS li697[] C_aligned={C_lihdr(0,0,11),40,104,101,120,32,99,53,48,48,56,41,0,0,0,0,0};
static C_char C_TLS li698[] C_aligned={C_lihdr(0,0,20),40,108,111,111,112,32,108,115,116,53,48,49,55,32,104,53,48,49,56,41,0,0,0,0};
static C_char C_TLS li699[] C_aligned={C_lihdr(0,0,40),40,35,35,115,121,115,35,114,101,97,100,45,98,121,116,101,118,101,99,116,111,114,45,108,105,116,101,114,97,108,32,112,111,114,116,53,48,48,54,41};
static C_char C_TLS li700[] C_aligned={C_lihdr(0,0,27),40,102,95,50,51,53,54,54,32,99,104,97,114,53,48,50,57,32,112,111,114,116,53,48,51,48,41,0,0,0,0,0};
static C_char C_TLS li701[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,119,114,105,116,101,45,99,104,97,114,45,48,32,99,53,48,52,55,32,112,53,48,52,56,41};
static C_char C_TLS li702[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,119,114,105,116,101,45,99,104,97,114,47,112,111,114,116,32,99,53,48,53,51,32,112,111,114,116,53,48,53,52,41,0,0};
static C_char C_TLS li703[] C_aligned={C_lihdr(0,0,39),40,115,99,104,101,109,101,35,119,114,105,116,101,45,99,104,97,114,32,99,53,48,54,49,32,46,32,116,109,112,53,48,54,48,53,48,54,50,41,0};
static C_char C_TLS li704[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,110,101,119,108,105,110,101,32,46,32,116,109,112,53,48,55,51,53,48,55,52,41,0,0};
static C_char C_TLS li705[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,119,114,105,116,101,32,120,53,48,56,52,32,46,32,116,109,112,53,48,56,51,53,48,56,53,41,0,0,0,0,0,0};
static C_char C_TLS li706[] C_aligned={C_lihdr(0,0,36),40,115,99,104,101,109,101,35,100,105,115,112,108,97,121,32,120,53,48,57,54,32,46,32,116,109,112,53,48,57,53,53,48,57,55,41,0,0,0,0};
static C_char C_TLS li707[] C_aligned={C_lihdr(0,0,29),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,49,49,48,32,103,53,49,49,55,53,49,50,57,41,0,0,0};
static C_char C_TLS li708[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,32,46,32,97,114,103,115,53,49,48,52,41,0};
static C_char C_TLS li709[] C_aligned={C_lihdr(0,0,29),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,49,52,50,32,103,53,49,52,57,53,49,54,49,41,0,0,0};
static C_char C_TLS li710[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,42,32,46,32,97,114,103,115,53,49,51,54,41};
static C_char C_TLS li711[] C_aligned={C_lihdr(0,0,25),40,111,117,116,115,116,114,32,112,111,114,116,53,49,56,56,32,115,116,114,53,49,56,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li712[] C_aligned={C_lihdr(0,0,25),40,111,117,116,99,104,114,32,112,111,114,116,53,50,48,51,32,99,104,114,53,50,48,52,41,0,0,0,0,0,0,0};
static C_char C_TLS li713[] C_aligned={C_lihdr(0,0,25),40,111,117,116,115,121,109,32,112,111,114,116,53,50,49,56,32,115,121,109,53,50,49,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li714[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,105,53,50,50,56,41,0,0,0,0};
static C_char C_TLS li715[] C_aligned={C_lihdr(0,0,33),40,111,117,116,114,101,97,100,97,98,108,101,115,121,109,32,112,111,114,116,53,50,50,52,32,115,116,114,53,50,50,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li716[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,105,53,50,54,51,41,0,0,0,0};
static C_char C_TLS li717[] C_aligned={C_lihdr(0,0,26),40,115,121,109,45,105,115,45,114,101,97,100,97,98,108,101,63,32,115,116,114,53,50,52,56,41,0,0,0,0,0,0};
static C_char C_TLS li718[] C_aligned={C_lihdr(0,0,14),40,103,53,51,48,57,32,99,110,53,51,49,49,41,0,0};
static C_char C_TLS li719[] C_aligned={C_lihdr(0,0,24),40,100,111,108,111,111,112,53,51,51,52,32,105,53,51,51,54,32,99,53,51,51,55,41};
static C_char C_TLS li720[] C_aligned={C_lihdr(0,0,18),40,100,111,108,111,111,112,53,51,54,52,32,120,53,51,54,54,41,0,0,0,0,0,0};
static C_char C_TLS li721[] C_aligned={C_lihdr(0,0,18),40,100,111,108,111,111,112,53,51,55,56,32,105,53,51,56,48,41,0,0,0,0,0,0};
static C_char C_TLS li722[] C_aligned={C_lihdr(0,0,24),40,100,111,108,111,111,112,53,52,48,50,32,105,53,52,48,52,32,99,53,52,48,53,41};
static C_char C_TLS li723[] C_aligned={C_lihdr(0,0,11),40,111,117,116,32,120,53,50,57,52,41,0,0,0,0,0};
static C_char C_TLS li724[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,112,114,105,110,116,32,120,53,49,55,52,32,114,101,97,100,97,98,108,101,53,49,55,53,32,112,111,114,116,53,49,55,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li725[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,112,114,111,99,101,100,117,114,101,45,62,115,116,114,105,110,103,32,120,53,52,50,51,41,0};
static C_char C_TLS li726[] C_aligned={C_lihdr(0,0,49),40,35,35,115,121,115,35,114,101,103,105,115,116,101,114,45,114,101,99,111,114,100,45,112,114,105,110,116,101,114,32,116,121,112,101,53,52,50,55,32,112,114,111,99,53,52,50,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li727[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,48,50,41};
static C_char C_TLS li728[] C_aligned={C_lihdr(0,0,15),40,97,50,52,57,57,54,32,101,120,53,52,52,54,41,0};
static C_char C_TLS li729[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,53,51,41};
static C_char C_TLS li730[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,54,56,41};
static C_char C_TLS li731[] C_aligned={C_lihdr(0,0,23),40,97,50,53,48,54,50,32,46,32,97,114,103,115,53,52,52,49,53,52,53,53,41,0};
static C_char C_TLS li732[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,52,55,41};
static C_char C_TLS li733[] C_aligned={C_lihdr(0,0,18),40,97,50,52,57,57,48,32,107,53,52,52,48,53,52,52,53,41,0,0,0,0,0,0};
static C_char C_TLS li734[] C_aligned={C_lihdr(0,0,51),40,35,35,115,121,115,35,117,115,101,114,45,112,114,105,110,116,45,104,111,111,107,32,120,53,52,51,50,32,114,101,97,100,97,98,108,101,53,52,51,51,32,112,111,114,116,53,52,51,52,41,0,0,0,0,0};
static C_char C_TLS li735[] C_aligned={C_lihdr(0,0,8),40,97,50,53,49,51,53,41};
static C_char C_TLS li736[] C_aligned={C_lihdr(0,0,8),40,97,50,53,49,55,56,41};
static C_char C_TLS li737[] C_aligned={C_lihdr(0,0,8),40,97,50,53,49,56,52,41};
static C_char C_TLS li738[] C_aligned={C_lihdr(0,0,19),40,97,50,53,49,50,57,32,114,101,116,117,114,110,53,52,55,49,41,0,0,0,0,0};
static C_char C_TLS li739[] C_aligned={C_lihdr(0,0,51),40,35,35,115,121,115,35,119,105,116,104,45,112,114,105,110,116,45,108,101,110,103,116,104,45,108,105,109,105,116,32,108,105,109,105,116,53,52,54,57,32,116,104,117,110,107,53,52,55,48,41,0,0,0,0,0};
static C_char C_TLS li740[] C_aligned={C_lihdr(0,0,23),40,99,104,101,99,107,53,53,50,49,32,112,53,53,50,52,32,110,53,53,50,53,41,0};
static C_char C_TLS li741[] C_aligned={C_lihdr(0,0,14),40,97,51,49,51,50,53,32,112,53,53,51,54,41,0,0};
static C_char C_TLS li742[] C_aligned={C_lihdr(0,0,14),40,97,51,49,51,53,48,32,112,53,53,52,50,41,0,0};
static C_char C_TLS li743[] C_aligned={C_lihdr(0,0,20),40,97,51,49,51,54,56,32,112,53,53,52,54,32,99,53,53,52,55,41,0,0,0,0};
static C_char C_TLS li744[] C_aligned={C_lihdr(0,0,22),40,97,51,49,51,56,55,32,112,53,53,53,50,32,115,116,114,53,53,53,51,41,0,0};
static C_char C_TLS li745[] C_aligned={C_lihdr(0,0,14),40,97,51,49,52,48,54,32,112,53,53,53,57,41,0,0};
static C_char C_TLS li746[] C_aligned={C_lihdr(0,0,14),40,97,51,49,52,48,57,32,112,53,53,54,48,41,0,0};
static C_char C_TLS li747[] C_aligned={C_lihdr(0,0,39),40,97,51,49,52,49,50,32,112,53,53,54,49,32,110,53,53,54,50,32,100,101,115,116,53,53,54,51,32,115,116,97,114,116,53,53,54,52,41,0};
static C_char C_TLS li748[] C_aligned={C_lihdr(0,0,16),40,97,51,49,52,56,55,32,112,111,115,53,53,55,57,41};
static C_char C_TLS li749[] C_aligned={C_lihdr(0,0,8),40,97,51,49,52,55,55,41};
static C_char C_TLS li750[] C_aligned={C_lihdr(0,0,41),40,97,51,49,52,57,54,32,110,101,120,116,53,53,56,48,32,108,105,110,101,53,53,56,49,32,102,117,108,108,45,108,105,110,101,63,53,53,56,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li751[] C_aligned={C_lihdr(0,0,24),40,97,51,49,52,53,51,32,112,53,53,55,51,32,108,105,109,105,116,53,53,55,52,41};
static C_char C_TLS li752[] C_aligned={C_lihdr(0,0,14),40,97,51,49,53,51,55,32,112,53,53,56,54,41,0,0};
static C_char C_TLS li753[] C_aligned={C_lihdr(0,0,53),40,99,111,112,121,38,97,112,112,101,110,100,32,98,117,102,53,53,57,57,32,111,102,102,115,101,116,53,54,48,48,32,112,111,115,53,54,48,49,32,111,108,100,45,108,105,110,101,53,54,48,50,41,0,0,0};
static C_char C_TLS li754[] C_aligned={C_lihdr(0,0,8),40,97,50,53,51,48,50,41};
static C_char C_TLS li755[] C_aligned={C_lihdr(0,0,37),40,97,50,53,51,48,56,32,98,117,102,53,54,49,52,32,111,102,102,115,101,116,53,54,49,53,32,108,105,109,105,116,53,54,49,54,41,0,0,0};
static C_char C_TLS li756[] C_aligned={C_lihdr(0,0,8),40,97,50,53,51,54,54,41};
static C_char C_TLS li757[] C_aligned={C_lihdr(0,0,37),40,97,50,53,51,55,50,32,98,117,102,53,54,50,54,32,111,102,102,115,101,116,53,54,50,55,32,108,105,109,105,116,53,54,50,56,41,0,0,0};
static C_char C_TLS li758[] C_aligned={C_lihdr(0,0,52),40,108,111,111,112,32,98,117,102,53,54,48,56,32,111,102,102,115,101,116,53,54,48,57,32,112,111,115,53,54,49,48,32,108,105,109,105,116,53,54,49,49,32,108,105,110,101,53,54,49,50,41,0,0,0,0};
static C_char C_TLS li759[] C_aligned={C_lihdr(0,0,72),40,35,35,115,121,115,35,115,99,97,110,45,98,117,102,102,101,114,45,108,105,110,101,32,98,117,102,53,53,57,52,32,108,105,109,105,116,53,53,57,53,32,115,116,97,114,116,45,112,111,115,53,53,57,54,32,101,111,115,45,104,97,110,100,108,101,114,53,53,57,55,41};
static C_char C_TLS li760[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,112,101,110,45,105,110,112,117,116,45,115,116,114,105,110,103,32,115,116,114,105,110,103,53,54,51,49,41,0,0,0,0,0};
static C_char C_TLS li761[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,112,101,110,45,111,117,116,112,117,116,45,115,116,114,105,110,103,41,0,0,0,0,0,0,0};
static C_char C_TLS li762[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,45,111,117,116,112,117,116,45,115,116,114,105,110,103,32,112,111,114,116,53,54,52,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li763[] C_aligned={C_lihdr(0,0,13),40,103,53,54,53,49,32,120,53,54,54,48,41,0,0,0};
static C_char C_TLS li764[] C_aligned={C_lihdr(0,0,29),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,54,53,48,32,103,53,54,53,55,53,54,54,50,41,0,0,0};
static C_char C_TLS li765[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,112,114,105,110,116,45,116,111,45,115,116,114,105,110,103,32,120,115,53,54,52,54,41,0,0};
static C_char C_TLS li766[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,112,111,105,110,116,101,114,45,62,115,116,114,105,110,103,32,120,53,54,54,57,41,0,0,0};
static C_char C_TLS li767[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,105,53,55,48,49,41,0,0,0,0};
static C_char C_TLS li768[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,45,99,97,108,108,45,99,104,97,105,110,32,46,32,116,109,112,53,54,56,48,53,54,56,49,41,0,0,0,0,0};
static C_char C_TLS li769[] C_aligned={C_lihdr(0,0,8),40,97,50,53,56,49,52,41};
static C_char C_TLS li770[] C_aligned={C_lihdr(0,0,16),40,103,53,55,49,55,32,105,110,102,111,53,55,50,54,41};
static C_char C_TLS li771[] C_aligned={C_lihdr(0,0,29),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,55,49,54,32,103,53,55,50,51,53,55,51,56,41,0,0,0};
static C_char C_TLS li772[] C_aligned={C_lihdr(0,0,61),40,35,35,115,121,115,35,114,101,97,108,108,121,45,112,114,105,110,116,45,99,97,108,108,45,99,104,97,105,110,32,112,111,114,116,53,55,49,49,32,99,104,97,105,110,53,55,49,50,32,104,101,97,100,101,114,53,55,49,51,41,0,0,0};
static C_char C_TLS li773[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,45,99,97,108,108,45,99,104,97,105,110,32,46,32,116,109,112,53,55,52,55,53,55,52,56,41,0,0,0};
static C_char C_TLS li774[] C_aligned={C_lihdr(0,0,7),40,98,114,101,97,107,41,0};
static C_char C_TLS li775[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,117,115,101,114,45,105,110,116,101,114,114,117,112,116,45,104,111,111,107,41,0,0,0,0,0};
static C_char C_TLS li776[] C_aligned={C_lihdr(0,0,29),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,55,55,54,32,103,53,55,56,51,53,55,56,56,41,0,0,0};
static C_char C_TLS li777[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li778[] C_aligned={C_lihdr(0,0,21),40,99,108,101,97,110,117,112,45,98,101,102,111,114,101,45,101,120,105,116,41,0,0,0};
static C_char C_TLS li779[] C_aligned={C_lihdr(0,0,8),40,97,50,54,49,50,51,41};
static C_char C_TLS li780[] C_aligned={C_lihdr(0,0,29),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,56,52,52,32,103,53,56,53,49,53,56,53,55,41,0,0,0};
static C_char C_TLS li781[] C_aligned={C_lihdr(0,0,47),40,35,35,115,121,115,35,115,105,103,110,97,108,45,104,111,111,107,32,109,111,100,101,53,56,50,55,32,109,115,103,53,56,50,56,32,46,32,97,114,103,115,53,56,50,57,41,0};
static C_char C_TLS li782[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,97,98,111,114,116,32,120,53,56,56,53,41,0};
static C_char C_TLS li783[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,115,105,103,110,97,108,32,120,53,56,56,56,41};
static C_char C_TLS li784[] C_aligned={C_lihdr(0,0,15),40,102,95,50,54,51,57,56,32,99,53,57,54,52,41,0};
static C_char C_TLS li785[] C_aligned={C_lihdr(0,0,8),40,97,50,54,53,54,51,41};
static C_char C_TLS li786[] C_aligned={C_lihdr(0,0,8),40,97,50,54,53,54,55,41};
static C_char C_TLS li787[] C_aligned={C_lihdr(0,0,64),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,119,105,116,104,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,104,97,110,100,108,101,114,53,57,57,54,32,116,104,117,110,107,53,57,57,55,41};
static C_char C_TLS li788[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,54,48,48,52,41,0,0,0,0,0,0};
static C_char C_TLS li789[] C_aligned={C_lihdr(0,0,56),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,117,114,114,101,110,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,46,32,97,114,103,115,54,48,48,48,41};
static C_char C_TLS li790[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,112,114,111,112,115,54,48,51,48,41};
static C_char C_TLS li791[] C_aligned={C_lihdr(0,0,81),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,112,114,111,112,45,108,105,115,116,45,62,107,105,110,100,45,112,114,101,102,105,120,101,100,45,112,114,111,112,45,108,105,115,116,32,108,111,99,54,48,50,54,32,107,105,110,100,54,48,50,55,32,112,108,105,115,116,54,48,50,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li792[] C_aligned={C_lihdr(0,0,64),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,109,97,107,101,45,112,114,111,112,101,114,116,121,45,99,111,110,100,105,116,105,111,110,32,107,105,110,100,54,48,52,48,32,46,32,112,114,111,112,115,54,48,52,49,41};
static C_char C_TLS li793[] C_aligned={C_lihdr(0,0,19),40,102,111,114,45,101,97,99,104,45,108,111,111,112,54,48,52,56,41,0,0,0,0,0};
static C_char C_TLS li794[] C_aligned={C_lihdr(0,0,24),40,109,97,112,45,108,111,111,112,54,48,57,51,32,103,54,49,48,53,54,49,49,50,41};
static C_char C_TLS li795[] C_aligned={C_lihdr(0,0,24),40,109,97,112,45,108,111,111,112,54,48,54,54,32,103,54,48,55,56,54,48,56,53,41};
static C_char C_TLS li796[] C_aligned={C_lihdr(0,0,63),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,109,97,107,101,45,99,111,109,112,111,115,105,116,101,45,99,111,110,100,105,116,105,111,110,32,99,49,54,48,52,51,32,46,32,99,111,110,100,115,54,48,52,52,41,0};
static C_char C_TLS li797[] C_aligned={C_lihdr(0,0,24),40,109,97,112,45,108,111,111,112,54,49,53,51,32,103,54,49,54,53,54,49,55,49,41};
static C_char C_TLS li798[] C_aligned={C_lihdr(0,0,24),40,109,97,112,45,108,111,111,112,54,49,50,54,32,103,54,49,51,56,54,49,52,53,41};
static C_char C_TLS li799[] C_aligned={C_lihdr(0,0,49),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,32,97,114,103,49,54,49,50,48,32,46,32,97,114,103,115,54,49,50,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li800[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,63,32,120,54,49,55,56,41,0,0,0,0};
static C_char C_TLS li801[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,112,114,111,112,115,54,50,48,50,41};
static C_char C_TLS li802[] C_aligned={C_lihdr(0,0,13),40,103,54,49,56,57,32,107,54,50,48,48,41,0,0,0};
static C_char C_TLS li803[] C_aligned={C_lihdr(0,0,24),40,109,97,112,45,108,111,111,112,54,49,56,51,32,103,54,49,57,53,54,50,48,57,41};
static C_char C_TLS li804[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,62,108,105,115,116,32,120,54,49,56,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li805[] C_aligned={C_lihdr(0,0,15),40,102,95,50,55,48,56,54,32,99,54,50,49,56,41,0};
static C_char C_TLS li806[] C_aligned={C_lihdr(0,0,48),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,112,114,101,100,105,99,97,116,101,32,107,105,110,100,54,50,49,55,41};
static C_char C_TLS li807[] C_aligned={C_lihdr(0,0,15),40,102,95,50,55,49,49,51,32,99,54,50,50,54,41,0};
static C_char C_TLS li808[] C_aligned={C_lihdr(0,0,79),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,112,114,111,112,101,114,116,121,45,97,99,99,101,115,115,111,114,32,107,105,110,100,54,50,50,49,32,112,114,111,112,54,50,50,50,32,46,32,101,114,114,45,100,101,102,54,50,50,51,41,0};
static C_char C_TLS li809[] C_aligned={C_lihdr(0,0,80),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,103,101,116,45,99,111,110,100,105,116,105,111,110,45,112,114,111,112,101,114,116,121,32,99,54,50,51,52,32,107,105,110,100,54,50,51,53,32,112,114,111,112,54,50,51,54,32,46,32,101,114,114,45,100,101,102,54,50,51,55,41};
static C_char C_TLS li810[] C_aligned={C_lihdr(0,0,8),40,97,50,55,49,55,57,41};
static C_char C_TLS li811[] C_aligned={C_lihdr(0,0,13),40,103,54,50,53,52,32,120,54,50,54,51,41,0,0,0};
static C_char C_TLS li812[] C_aligned={C_lihdr(0,0,29),40,102,111,114,45,101,97,99,104,45,108,111,111,112,54,50,53,51,32,103,54,50,54,48,54,50,54,54,41,0,0,0};
static C_char C_TLS li813[] C_aligned={C_lihdr(0,0,29),40,119,114,105,116,101,97,114,103,115,32,97,114,103,115,54,50,52,57,32,112,111,114,116,54,50,53,48,41,0,0,0};
static C_char C_TLS li814[] C_aligned={C_lihdr(0,0,15),40,103,54,50,57,55,32,109,115,103,54,50,57,57,41,0};
static C_char C_TLS li815[] C_aligned={C_lihdr(0,0,30),40,98,111,100,121,54,50,55,52,32,112,111,114,116,54,50,56,52,32,104,101,97,100,101,114,54,50,56,53,41,0,0};
static C_char C_TLS li816[] C_aligned={C_lihdr(0,0,30),40,100,101,102,45,104,101,97,100,101,114,54,50,55,55,32,37,112,111,114,116,54,50,55,50,54,51,50,52,41,0,0};
static C_char C_TLS li817[] C_aligned={C_lihdr(0,0,14),40,100,101,102,45,112,111,114,116,54,50,55,54,41,0,0};
static C_char C_TLS li818[] C_aligned={C_lihdr(0,0,57),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,112,114,105,110,116,45,101,114,114,111,114,45,109,101,115,115,97,103,101,32,101,120,54,50,55,48,32,46,32,97,114,103,115,54,50,55,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li819[] C_aligned={C_lihdr(0,0,62),40,35,35,115,121,115,35,115,104,111,119,45,101,120,99,101,112,116,105,111,110,45,119,97,114,110,105,110,103,32,101,120,110,54,51,52,49,32,99,97,117,115,101,54,51,52,50,32,46,32,116,109,112,54,51,52,48,54,51,52,51,41,0,0};
static C_char C_TLS li820[] C_aligned={C_lihdr(0,0,46),40,35,35,115,121,115,35,101,114,114,111,114,45,104,111,111,107,32,99,111,100,101,54,51,53,57,32,108,111,99,54,51,54,48,32,46,32,97,114,103,115,54,51,54,49,41,0,0};
static C_char C_TLS li821[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,115,116,114,117,99,116,117,114,101,63,32,120,54,52,48,48,32,115,54,52,48,49,41,0,0};
static C_char C_TLS li822[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,103,101,110,101,114,105,99,45,115,116,114,117,99,116,117,114,101,63,32,120,54,52,48,51,41};
static C_char C_TLS li823[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,115,108,111,116,32,120,54,52,48,53,32,105,54,52,48,54,41};
static C_char C_TLS li824[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,115,105,122,101,32,120,54,52,48,56,41,0,0,0,0,0,0};
static C_char C_TLS li825[] C_aligned={C_lihdr(0,0,14),67,95,109,97,107,101,95,112,111,105,110,116,101,114,0,0};
static C_char C_TLS li826[] C_aligned={C_lihdr(0,0,21),67,95,109,97,107,101,95,116,97,103,103,101,100,95,112,111,105,110,116,101,114,0,0,0};
static C_char C_TLS li827[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,112,111,105,110,116,101,114,63,32,120,54,52,49,50,41,0,0};
static C_char C_TLS li828[] C_aligned={C_lihdr(0,0,45),40,35,35,115,121,115,35,115,101,116,45,112,111,105,110,116,101,114,45,97,100,100,114,101,115,115,33,32,112,116,114,54,52,49,52,32,97,100,100,114,54,52,49,53,41,0,0,0};
static C_char C_TLS li829[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,98,121,116,101,118,101,99,116,111,114,63,32,120,54,52,49,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li830[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,112,98,121,116,101,118,101,99,116,111,114,32,115,54,52,49,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li831[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,112,101,114,109,97,110,101,110,116,63,32,120,54,52,50,49,41};
static C_char C_TLS li832[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,98,108,111,99,107,45,97,100,100,114,101,115,115,32,120,54,52,50,51,41,0,0,0,0,0};
static C_char C_TLS li833[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,108,111,99,97,116,105,118,101,63,32,120,54,52,50,53,41,0};
static C_char C_TLS li834[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,115,114,102,105,45,52,45,118,101,99,116,111,114,63,32,120,54,52,50,55,41,0,0,0,0};
static C_char C_TLS li835[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,110,117,108,108,45,112,111,105,110,116,101,114,41,0,0,0,0};
static C_char C_TLS li836[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,110,117,108,108,45,112,111,105,110,116,101,114,63,32,120,54,52,51,52,41,0,0,0,0,0};
static C_char C_TLS li837[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,97,100,100,114,101,115,115,45,62,112,111,105,110,116,101,114,32,97,100,100,114,54,52,51,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li838[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,112,111,105,110,116,101,114,45,62,97,100,100,114,101,115,115,32,112,116,114,54,52,52,48,41};
static C_char C_TLS li839[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,109,97,107,101,45,99,45,115,116,114,105,110,103,32,115,116,114,54,52,52,54,32,46,32,116,109,112,54,52,52,53,54,52,52,55,41,0,0,0,0,0};
static C_char C_TLS li840[] C_aligned={C_lihdr(0,0,21),67,95,112,101,101,107,95,115,105,103,110,101,100,95,105,110,116,101,103,101,114,0,0,0};
static C_char C_TLS li841[] C_aligned={C_lihdr(0,0,23),67,95,112,101,101,107,95,117,110,115,105,103,110,101,100,95,105,110,116,101,103,101,114,0};
static C_char C_TLS li842[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,112,101,101,107,45,102,105,120,110,117,109,32,98,54,52,54,49,32,105,54,52,54,50,41,0};
static C_char C_TLS li843[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,112,101,101,107,45,98,121,116,101,32,112,116,114,54,52,54,52,32,105,54,52,54,53,41,0};
static C_char C_TLS li844[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,118,101,99,116,111,114,45,62,115,116,114,117,99,116,117,114,101,33,32,118,101,99,54,52,54,55,41,0,0,0,0,0,0};
static C_char C_TLS li845[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,112,101,101,107,45,100,111,117,98,108,101,32,98,54,52,54,57,32,105,54,52,55,48,41,0};
static C_char C_TLS li846[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,112,101,101,107,45,99,45,115,116,114,105,110,103,32,98,54,52,55,50,32,105,54,52,55,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li847[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,112,101,101,107,45,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,32,98,54,52,55,57,32,105,54,52,56,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li848[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,99,45,115,116,114,105,110,103,32,98,54,52,56,53,32,105,54,52,56,54,41,0,0,0,0,0,0};
static C_char C_TLS li849[] C_aligned={C_lihdr(0,0,50),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,32,98,54,52,57,51,32,105,54,52,57,52,41,0,0,0,0,0,0};
static C_char C_TLS li850[] C_aligned={C_lihdr(0,0,39),40,35,35,115,121,115,35,112,111,107,101,45,99,45,115,116,114,105,110,103,32,98,54,53,48,48,32,105,54,53,48,49,32,115,54,53,48,50,41,0};
static C_char C_TLS li851[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,112,111,107,101,45,105,110,116,101,103,101,114,32,98,54,53,48,52,32,105,54,53,48,53,32,110,54,53,48,54,41,0,0};
static C_char C_TLS li852[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,112,111,107,101,45,100,111,117,98,108,101,32,98,54,53,48,56,32,105,54,53,48,57,32,110,54,53,49,48,41,0,0,0};
static C_char C_TLS li853[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,105,54,53,50,53,41,0,0,0,0};
static C_char C_TLS li854[] C_aligned={C_lihdr(0,0,40),40,35,35,115,121,115,35,112,101,101,107,45,99,45,115,116,114,105,110,103,45,108,105,115,116,32,112,116,114,54,53,50,50,32,110,54,53,50,51,41};
static C_char C_TLS li855[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,105,54,53,53,49,41,0,0,0,0};
static C_char C_TLS li856[] C_aligned={C_lihdr(0,0,49),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,99,45,115,116,114,105,110,103,45,108,105,115,116,32,112,116,114,54,53,52,55,32,110,54,53,52,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li857[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,118,101,99,116,111,114,45,62,99,108,111,115,117,114,101,33,32,118,101,99,54,53,54,49,32,97,100,100,114,54,53,54,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li858[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,115,121,109,98,111,108,45,104,97,115,45,116,111,112,108,101,118,101,108,45,98,105,110,100,105,110,103,63,32,115,54,53,54,53,41,0,0,0,0,0,0};
static C_char C_TLS li859[] C_aligned={C_lihdr(0,0,68),40,35,35,115,121,115,35,99,111,112,121,45,98,121,116,101,115,32,102,114,111,109,54,53,54,55,32,116,111,54,53,54,56,32,111,102,102,115,101,116,49,54,53,54,57,32,111,102,102,115,101,116,50,54,53,55,48,32,98,121,116,101,115,54,53,55,49,41,0,0,0,0};
static C_char C_TLS li860[] C_aligned={C_lihdr(0,0,68),40,35,35,115,121,115,35,99,111,112,121,45,119,111,114,100,115,32,102,114,111,109,54,53,55,51,32,116,111,54,53,55,52,32,111,102,102,115,101,116,49,54,53,55,53,32,111,102,102,115,101,116,50,54,53,55,54,32,119,111,114,100,115,54,53,55,55,41,0,0,0,0};
static C_char C_TLS li861[] C_aligned={C_lihdr(0,0,71),40,35,35,115,121,115,35,99,111,109,112,97,114,101,45,98,121,116,101,115,32,102,114,111,109,54,53,55,57,32,116,111,54,53,56,48,32,111,102,102,115,101,116,49,54,53,56,49,32,111,102,102,115,101,116,50,54,53,56,50,32,98,121,116,101,115,54,53,56,51,41,0};
static C_char C_TLS li862[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,98,108,111,99,107,45,112,111,105,110,116,101,114,32,120,54,53,56,53,41,0,0,0,0,0};
static C_char C_TLS li863[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,99,104,97,114,45,97,114,103,117,109,101,110,116,32,120,54,53,56,57,41,0,0,0,0,0};
static C_char C_TLS li864[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,102,105,120,110,117,109,45,97,114,103,117,109,101,110,116,32,120,54,53,57,49,41,0,0,0};
static C_char C_TLS li865[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,102,108,111,110,117,109,45,97,114,103,117,109,101,110,116,32,120,54,53,57,51,41,0,0,0};
static C_char C_TLS li866[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,98,108,111,99,107,45,97,114,103,117,109,101,110,116,32,120,54,53,57,53,41,0,0,0,0};
static C_char C_TLS li867[] C_aligned={C_lihdr(0,0,51),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,116,114,117,99,116,45,119,114,97,112,112,101,114,45,97,114,103,117,109,101,110,116,32,116,54,53,57,55,32,120,54,53,57,56,41,0,0,0,0,0};
static C_char C_TLS li868[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,116,114,105,110,103,45,97,114,103,117,109,101,110,116,32,120,54,54,48,48,41,0,0,0};
static C_char C_TLS li869[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,121,109,98,111,108,45,97,114,103,117,109,101,110,116,32,120,54,54,48,50,41,0,0,0};
static C_char C_TLS li870[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,112,111,105,110,116,101,114,45,97,114,103,117,109,101,110,116,32,120,54,54,48,52,41,0,0};
static C_char C_TLS li871[] C_aligned={C_lihdr(0,0,52),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,116,97,103,103,101,100,45,112,111,105,110,116,101,114,45,97,114,103,117,109,101,110,116,32,120,54,54,48,54,32,116,120,54,54,48,55,41,0,0,0,0};
static C_char C_TLS li872[] C_aligned={C_lihdr(0,0,56),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,114,97,110,103,101,100,45,105,110,116,101,103,101,114,45,97,114,103,117,109,101,110,116,32,111,98,106,54,54,48,57,32,115,105,122,101,54,54,49,48,41};
static C_char C_TLS li873[] C_aligned={C_lihdr(0,0,65),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,117,110,115,105,103,110,101,100,45,114,97,110,103,101,100,45,105,110,116,101,103,101,114,45,97,114,103,117,109,101,110,116,32,111,98,106,54,54,49,50,32,115,105,122,101,54,54,49,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li874[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,100,101,102,97,117,108,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,97,114,103,54,54,49,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li875[] C_aligned={C_lihdr(0,0,54),40,35,35,115,121,115,35,109,97,107,101,45,116,104,114,101,97,100,32,116,104,117,110,107,54,54,49,56,32,115,116,97,116,101,54,54,49,57,32,110,97,109,101,54,54,50,48,32,113,54,54,50,49,41,0,0};
static C_char C_TLS li876[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,109,97,107,101,45,109,117,116,101,120,32,105,100,54,54,50,53,32,111,119,110,101,114,54,54,50,54,41,0,0,0,0,0};
static C_char C_TLS li877[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,115,99,104,101,100,117,108,101,41};
static C_char C_TLS li878[] C_aligned={C_lihdr(0,0,8),40,97,50,56,53,51,51,41};
static C_char C_TLS li879[] C_aligned={C_lihdr(0,0,19),40,97,50,56,53,50,52,32,114,101,116,117,114,110,54,54,51,49,41,0,0,0,0,0};
static C_char C_TLS li880[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,116,104,114,101,97,100,45,121,105,101,108,100,33,41,0,0,0};
static C_char C_TLS li881[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,107,105,108,108,45,111,116,104,101,114,45,116,104,114,101,97,100,115,32,116,104,117,110,107,54,54,51,53,41,0,0,0,0};
static C_char C_TLS li882[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,108,101,101,112,45,104,111,111,107,32,110,54,54,51,55,41,0};
static C_char C_TLS li883[] C_aligned={C_lihdr(0,0,13),40,115,108,101,101,112,32,110,54,54,51,57,41,0,0,0};
static C_char C_TLS li884[] C_aligned={C_lihdr(0,0,16),67,95,99,111,110,116,101,120,116,95,115,119,105,116,99,104};
static C_char C_TLS li885[] C_aligned={C_lihdr(0,0,17),40,108,111,111,112,32,114,101,97,115,111,110,54,54,53,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li886[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,105,110,116,101,114,114,117,112,116,45,104,111,111,107,32,114,101,97,115,111,110,54,54,52,53,32,115,116,97,116,101,54,54,52,54,41,0,0,0,0,0};
static C_char C_TLS li887[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,100,105,115,112,97,116,99,104,45,105,110,116,101,114,114,117,112,116,32,107,54,54,53,56,41};
static C_char C_TLS li888[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,117,112,100,97,116,101,45,101,114,114,110,111,41,0,0,0,0};
static C_char C_TLS li889[] C_aligned={C_lihdr(0,0,13),40,35,35,115,121,115,35,101,114,114,110,111,41,0,0,0};
static C_char C_TLS li890[] C_aligned={C_lihdr(0,0,18),40,100,111,108,111,111,112,54,54,55,54,32,99,54,54,55,56,41,0,0,0,0,0,0};
static C_char C_TLS li891[] C_aligned={C_lihdr(0,0,17),40,114,101,97,100,108,110,32,112,111,114,116,54,54,55,52,41,0,0,0,0,0,0,0};
static C_char C_TLS li892[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li893[] C_aligned={C_lihdr(0,0,44),40,114,101,97,100,45,101,115,99,97,112,101,100,45,115,101,120,112,32,112,111,114,116,54,54,56,52,32,115,107,105,112,45,98,114,97,99,101,63,54,54,56,53,41,0,0,0,0};
static C_char C_TLS li894[] C_aligned={C_lihdr(0,0,19),40,100,111,108,111,111,112,54,55,49,49,32,108,110,54,55,50,49,41,0,0,0,0,0};
static C_char C_TLS li895[] C_aligned={C_lihdr(0,0,15),40,103,101,116,47,99,108,101,97,114,45,115,116,114,41,0};
static C_char C_TLS li896[] C_aligned={C_lihdr(0,0,39),40,108,111,111,112,50,32,108,115,116,54,55,54,56,32,110,101,120,116,45,115,116,114,105,110,103,54,55,54,57,32,97,99,99,54,55,55,48,41,0};
static C_char C_TLS li897[] C_aligned={C_lihdr(0,0,14),40,108,111,111,112,32,108,115,116,54,55,52,53,41,0,0};
static C_char C_TLS li898[] C_aligned={C_lihdr(0,0,40),40,35,35,115,121,115,35,117,115,101,114,45,114,101,97,100,45,104,111,111,107,32,99,104,97,114,54,54,57,54,32,112,111,114,116,54,54,57,55,41};
static C_char C_TLS li899[] C_aligned={C_lihdr(0,0,51),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,32,110,97,109,101,54,56,49,53,41,0,0,0,0,0};
static C_char C_TLS li900[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,45,104,111,111,107,32,100,105,114,54,56,50,49,41,0,0,0};
static C_char C_TLS li901[] C_aligned={C_lihdr(0,0,67),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,32,99,45,115,116,114,105,110,103,54,56,50,56,54,56,51,50,41,0,0,0,0,0};
static C_char C_TLS li902[] C_aligned={C_lihdr(0,0,67),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,115,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,33,32,118,97,114,54,56,51,54,32,118,97,108,54,56,51,55,41,0,0,0,0,0};
static C_char C_TLS li903[] C_aligned={C_lihdr(0,0,61),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,117,110,115,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,33,32,118,97,114,54,56,52,50,41,0,0,0};
static C_char C_TLS li904[] C_aligned={C_lihdr(0,0,12),40,115,99,97,110,32,106,54,56,53,54,41,0,0,0,0};
static C_char C_TLS li905[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,105,54,56,53,51,41,0,0,0,0};
static C_char C_TLS li906[] C_aligned={C_lihdr(0,0,51),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,115,41,0,0,0,0,0};
static C_char C_TLS li907[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,101,120,101,99,117,116,97,98,108,101,45,112,97,116,104,110,97,109,101,41,0,0,0};
static C_char C_TLS li908[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,97,114,103,99,43,97,114,103,118,41,0,0,0,0,0};
static C_char C_TLS li909[] C_aligned={C_lihdr(0,0,24),40,100,111,108,111,111,112,54,56,55,50,32,105,54,56,55,52,32,118,54,56,55,53,41};
static C_char C_TLS li910[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,97,114,103,118,41,0,0};
static C_char C_TLS li911[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,103,99,35,99,117,114,114,101,110,116,45,103,99,45,109,105,108,108,105,115,101,99,111,110,100,115,41,0,0,0,0};
static C_char C_TLS li912[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,103,99,35,115,101,116,45,103,99,45,114,101,112,111,114,116,33,32,102,108,97,103,54,57,49,55,41,0,0,0,0};
static C_char C_TLS li913[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,103,99,35,109,101,109,111,114,121,45,115,116,97,116,105,115,116,105,99,115,41,0,0};
static C_char C_TLS li914[] C_aligned={C_lihdr(0,0,20),67,95,114,101,103,105,115,116,101,114,95,102,105,110,97,108,105,122,101,114,0,0,0,0};
static C_char C_TLS li915[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,103,99,35,115,101,116,45,102,105,110,97,108,105,122,101,114,33,32,120,54,57,50,54,32,121,54,57,50,55,41,0};
static C_char C_TLS li916[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,54,56,41};
static C_char C_TLS li917[] C_aligned={C_lihdr(0,0,15),40,97,50,57,53,54,50,32,101,120,54,57,53,55,41,0};
static C_char C_TLS li918[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,56,48,41};
static C_char C_TLS li919[] C_aligned={C_lihdr(0,0,8),40,97,50,57,54,48,51,41};
static C_char C_TLS li920[] C_aligned={C_lihdr(0,0,23),40,97,50,57,53,57,55,32,46,32,97,114,103,115,54,57,53,50,54,57,54,48,41,0};
static C_char C_TLS li921[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,55,52,41};
static C_char C_TLS li922[] C_aligned={C_lihdr(0,0,18),40,97,50,57,53,53,54,32,107,54,57,53,49,54,57,53,54,41,0,0,0,0,0,0};
static C_char C_TLS li923[] C_aligned={C_lihdr(0,0,18),40,100,111,108,111,111,112,54,57,52,55,32,105,54,57,52,57,41,0,0,0,0,0,0};
static C_char C_TLS li924[] C_aligned={C_lihdr(0,0,40),40,35,35,115,121,115,35,114,117,110,45,112,101,110,100,105,110,103,45,102,105,110,97,108,105,122,101,114,115,32,115,116,97,116,101,54,57,51,57,41};
static C_char C_TLS li925[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li926[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,102,111,114,99,101,45,102,105,110,97,108,105,122,101,114,115,41};
static C_char C_TLS li927[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,103,99,35,103,99,32,46,32,97,114,103,54,57,56,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li928[] C_aligned={C_lihdr(0,0,57),40,35,35,115,121,115,35,109,97,107,101,45,108,111,99,97,116,105,118,101,32,111,98,106,55,48,50,48,32,105,110,100,101,120,55,48,50,49,32,119,101,97,107,63,55,48,50,50,32,108,111,99,55,48,50,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li929[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,112,117,116,33,32,115,121,109,55,48,55,53,32,112,114,111,112,55,48,55,54,32,118,97,108,55,48,55,55,41,0,0,0};
static C_char C_TLS li930[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,103,101,116,32,115,121,109,55,48,56,53,32,112,114,111,112,55,48,56,54,32,46,32,116,109,112,55,48,56,52,55,48,56,55,41,0,0,0,0,0,0};
static C_char C_TLS li931[] C_aligned={C_lihdr(0,0,14),40,108,111,111,112,32,112,116,108,55,49,48,48,41,0,0};
static C_char C_TLS li932[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,114,101,109,112,114,111,112,33,32,115,121,109,55,48,57,54,32,112,114,111,112,55,48,57,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li933[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,112,108,105,115,116,55,49,50,52,41};
static C_char C_TLS li934[] C_aligned={C_lihdr(0,0,48),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,103,101,116,45,112,114,111,112,101,114,116,105,101,115,32,115,121,109,55,49,50,49,32,112,114,111,112,115,55,49,50,50,41};
static C_char C_TLS li935[] C_aligned={C_lihdr(0,0,14),40,112,110,117,109,32,110,117,109,55,49,52,56,41,0,0};
static C_char C_TLS li936[] C_aligned={C_lihdr(0,0,22),40,114,111,117,110,100,45,116,111,32,120,55,49,52,57,32,121,55,49,53,48,41,0,0};
static C_char C_TLS li937[] C_aligned={C_lihdr(0,0,16),40,112,109,101,109,32,98,121,116,101,115,55,49,53,49,41};
static C_char C_TLS li938[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,100,105,115,112,108,97,121,45,116,105,109,101,115,32,105,110,102,111,55,49,52,48,41,0,0};
static C_char C_TLS li939[] C_aligned={C_lihdr(0,0,17),67,95,100,117,109,112,95,104,101,97,112,95,115,116,97,116,101,0,0,0,0,0,0,0};
static C_char C_TLS li940[] C_aligned={C_lihdr(0,0,21),67,95,102,105,108,116,101,114,95,104,101,97,112,95,111,98,106,101,99,116,115,0,0,0};
static C_char C_TLS li941[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,111,102,116,119,97,114,101,45,116,121,112,101,41};
static C_char C_TLS li942[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,109,97,99,104,105,110,101,45,116,121,112,101,41,0};
static C_char C_TLS li943[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,109,97,99,104,105,110,101,45,98,121,116,101,45,111,114,100,101,114,41,0,0,0};
static C_char C_TLS li944[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,111,102,116,119,97,114,101,45,118,101,114,115,105,111,110,41,0,0,0,0,0};
static C_char C_TLS li945[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,98,117,105,108,100,45,112,108,97,116,102,111,114,109,41,0,0,0,0,0,0,0};
static C_char C_TLS li946[] C_aligned={C_lihdr(0,0,11),40,115,116,114,32,120,55,50,53,48,41,0,0,0,0,0};
static C_char C_TLS li947[] C_aligned={C_lihdr(0,0,48),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,99,104,105,99,107,101,110,45,118,101,114,115,105,111,110,32,46,32,116,109,112,55,50,51,55,55,50,51,56,41};
static C_char C_TLS li948[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,99,104,105,99,107,101,110,45,104,111,109,101,41,0};
static C_char C_TLS li949[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,45,62,102,101,97,116,117,114,101,45,105,100,32,120,55,50,55,54,41,0,0,0};
static C_char C_TLS li950[] C_aligned={C_lihdr(0,0,13),40,99,104,101,99,107,32,102,55,50,56,53,41,0,0,0};
static C_char C_TLS li951[] C_aligned={C_lihdr(0,0,29),40,102,111,114,45,101,97,99,104,45,108,111,111,112,55,51,48,51,32,103,55,51,49,48,55,51,49,54,41,0,0,0};
static C_char C_TLS li952[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,114,101,103,105,115,116,101,114,45,102,101,97,116,117,114,101,33,32,46,32,102,115,55,51,48,48,41,0,0,0};
static C_char C_TLS li953[] C_aligned={C_lihdr(0,0,14),40,108,111,111,112,32,102,102,115,55,51,53,49,41,0,0};
static C_char C_TLS li954[] C_aligned={C_lihdr(0,0,24),40,109,97,112,45,108,111,111,112,55,51,50,54,32,103,55,51,51,56,55,51,52,52,41};
static C_char C_TLS li955[] C_aligned={C_lihdr(0,0,47),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,117,110,114,101,103,105,115,116,101,114,45,102,101,97,116,117,114,101,33,32,46,32,102,115,55,51,50,50,41,0};
static C_char C_TLS li956[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,102,101,97,116,117,114,101,115,41,0,0,0,0,0};
static C_char C_TLS li957[] C_aligned={C_lihdr(0,0,14),40,108,111,111,112,32,105,100,115,55,51,54,48,41,0,0};
static C_char C_TLS li958[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,102,101,97,116,117,114,101,63,32,46,32,105,100,115,55,51,53,56,41,0,0,0};
static C_char C_TLS li959[] C_aligned={C_lihdr(0,0,16),67,95,114,101,116,117,114,110,95,116,111,95,104,111,115,116};
static C_char C_TLS li960[] C_aligned={C_lihdr(0,0,16),67,95,98,117,105,108,100,95,112,108,97,116,102,111,114,109};
static C_char C_TLS li961[] C_aligned={C_lihdr(0,0,18),67,95,115,111,102,116,119,97,114,101,95,118,101,114,115,105,111,110,0,0,0,0,0,0};
static C_char C_TLS li962[] C_aligned={C_lihdr(0,0,20),67,95,109,97,99,104,105,110,101,95,98,121,116,101,95,111,114,100,101,114,0,0,0,0};
static C_char C_TLS li963[] C_aligned={C_lihdr(0,0,14),67,95,109,97,99,104,105,110,101,95,116,121,112,101,0,0};
static C_char C_TLS li964[] C_aligned={C_lihdr(0,0,15),67,95,115,111,102,116,119,97,114,101,95,116,121,112,101,0};
static C_char C_TLS li965[] C_aligned={C_lihdr(0,0,16),40,97,51,48,57,54,52,32,115,121,109,55,49,49,51,41};
static C_char C_TLS li966[] C_aligned={C_lihdr(0,0,24),40,97,51,48,57,55,51,32,115,121,109,55,49,49,53,32,108,115,116,55,49,49,54,41};
static C_char C_TLS li967[] C_aligned={C_lihdr(0,0,14),40,97,51,49,48,49,51,32,120,54,56,56,57,41,0,0};
static C_char C_TLS li968[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,97,114,103,115,54,56,56,52,41,0};
static C_char C_TLS li969[] C_aligned={C_lihdr(0,0,19),40,102,51,54,54,56,52,32,120,54,56,56,57,51,54,54,56,51,41,0,0,0,0,0};
static C_char C_TLS li970[] C_aligned={C_lihdr(0,0,19),40,102,51,54,54,57,48,32,120,54,56,55,57,51,54,54,56,57,41,0,0,0,0,0};
static C_char C_TLS li971[] C_aligned={C_lihdr(0,0,19),40,102,51,54,54,57,54,32,120,54,56,55,57,51,54,54,57,53,41,0,0,0,0,0};
static C_char C_TLS li972[] C_aligned={C_lihdr(0,0,8),40,97,51,49,48,57,56,41};
static C_char C_TLS li973[] C_aligned={C_lihdr(0,0,16),40,97,51,49,49,50,48,32,100,105,114,54,56,50,54,41};
static C_char C_TLS li974[] C_aligned={C_lihdr(0,0,29),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,57,48,57,32,103,53,57,49,54,53,57,50,50,41,0,0,0};
static C_char C_TLS li975[] C_aligned={C_lihdr(0,0,8),40,97,51,49,49,55,49,41};
static C_char C_TLS li976[] C_aligned={C_lihdr(0,0,13),40,103,53,57,52,49,32,120,53,57,53,48,41,0,0,0};
static C_char C_TLS li977[] C_aligned={C_lihdr(0,0,29),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,57,52,48,32,103,53,57,52,55,53,57,53,51,41,0,0,0};
static C_char C_TLS li978[] C_aligned={C_lihdr(0,0,19),40,97,51,49,50,56,51,32,46,32,97,114,103,115,53,56,57,57,41,0,0,0,0,0};
static C_char C_TLS li979[] C_aligned={C_lihdr(0,0,27),40,97,51,49,49,50,54,32,109,115,103,53,56,57,51,32,46,32,97,114,103,115,53,56,57,52,41,0,0,0,0,0};
static C_char C_TLS li980[] C_aligned={C_lihdr(0,0,8),40,97,51,49,50,56,54,41};
static C_char C_TLS li981[] C_aligned={C_lihdr(0,0,8),40,97,51,49,50,57,53,41};
static C_char C_TLS li982[] C_aligned={C_lihdr(0,0,22),40,97,51,49,51,48,49,32,46,32,116,109,112,53,56,48,51,53,56,48,52,41,0,0};
static C_char C_TLS li983[] C_aligned={C_lihdr(0,0,26),40,97,51,49,53,54,57,32,120,52,50,55,51,32,105,52,50,55,52,32,121,52,50,55,53,41,0,0,0,0,0,0};
static C_char C_TLS li984[] C_aligned={C_lihdr(0,0,20),40,97,51,49,53,55,57,32,120,52,50,55,49,32,121,52,50,55,50,41,0,0,0,0};
static C_char C_TLS li985[] C_aligned={C_lihdr(0,0,20),40,97,51,49,53,56,57,32,120,52,50,54,57,32,121,52,50,55,48,41,0,0,0,0};
static C_char C_TLS li986[] C_aligned={C_lihdr(0,0,20),40,97,51,49,53,57,57,32,120,52,50,54,55,32,121,52,50,54,56,41,0,0,0,0};
static C_char C_TLS li987[] C_aligned={C_lihdr(0,0,20),40,97,51,49,54,48,57,32,120,52,50,54,53,32,121,52,50,54,54,41,0,0,0,0};
static C_char C_TLS li988[] C_aligned={C_lihdr(0,0,20),40,97,51,49,54,49,57,32,120,52,50,54,51,32,121,52,50,54,52,41,0,0,0,0};
static C_char C_TLS li989[] C_aligned={C_lihdr(0,0,20),40,97,51,49,54,50,57,32,120,52,50,54,49,32,121,52,50,54,50,41,0,0,0,0};
static C_char C_TLS li990[] C_aligned={C_lihdr(0,0,20),40,97,51,49,54,51,57,32,120,52,50,53,57,32,121,52,50,54,48,41,0,0,0,0};
static C_char C_TLS li991[] C_aligned={C_lihdr(0,0,20),40,97,51,49,54,52,57,32,120,52,50,53,55,32,121,52,50,53,56,41,0,0,0,0};
static C_char C_TLS li992[] C_aligned={C_lihdr(0,0,20),40,97,51,49,54,53,57,32,120,52,50,53,53,32,121,52,50,53,54,41,0,0,0,0};
static C_char C_TLS li993[] C_aligned={C_lihdr(0,0,20),40,97,51,49,54,54,57,32,120,52,50,53,51,32,121,52,50,53,52,41,0,0,0,0};
static C_char C_TLS li994[] C_aligned={C_lihdr(0,0,20),40,97,51,49,54,55,57,32,120,52,50,53,49,32,121,52,50,53,50,41,0,0,0,0};
static C_char C_TLS li995[] C_aligned={C_lihdr(0,0,20),40,97,51,49,54,56,57,32,120,52,50,52,57,32,121,52,50,53,48,41,0,0,0,0};
static C_char C_TLS li996[] C_aligned={C_lihdr(0,0,14),40,97,51,49,55,50,51,32,120,52,50,48,52,41,0,0};
static C_char C_TLS li997[] C_aligned={C_lihdr(0,0,17),40,97,51,49,54,57,57,32,112,114,111,99,52,49,57,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li998[] C_aligned={C_lihdr(0,0,14),40,97,51,49,55,51,57,32,120,52,50,48,55,41,0,0};
static C_char C_TLS li999[] C_aligned={C_lihdr(0,0,14),40,97,51,49,55,57,52,32,120,52,50,49,52,41,0,0};
static C_char C_TLS li1000[] C_aligned={C_lihdr(0,0,23),40,97,51,49,56,49,48,32,112,114,111,99,52,50,49,54,32,105,52,50,49,55,41,0};
static C_char C_TLS li1001[] C_aligned={C_lihdr(0,0,24),40,97,51,49,55,54,53,32,103,101,116,52,50,49,49,32,115,101,116,52,50,49,50,41};
static C_char C_TLS li1002[] C_aligned={C_lihdr(0,0,23),40,97,51,49,55,53,53,32,112,114,111,99,52,50,48,57,32,105,52,50,49,48,41,0};
static C_char C_TLS li1003[] C_aligned={C_lihdr(0,0,10),40,116,111,112,108,101,118,101,108,41,0,0,0,0,0,0};


#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub6868(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word i=(C_word )(C_a0);
C_return(C_main_argv[C_unfix(i)]);
C_ret:
#undef return

return C_r;}

/* from chicken.process-context#executable-pathname in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
C_regparm static C_word C_fcall stub6860(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_mpointer(&C_a,(void*)C_executable_pathname());
return C_r;}

/* from k29252 */
C_regparm static C_word C_fcall stub6848(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenventry(t0));
return C_r;}

/* from k29207 in chicken.process-context#get-environment-variable in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
C_regparm static C_word C_fcall stub6829(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_string_or_null(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenv(t0));
return C_r;}

/* from k28367 */
C_regparm static C_word C_fcall stub6542(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
C_free(t0);
return C_r;}

/* from k28358 */
C_regparm static C_word C_fcall stub6534(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_mpointer(&C_a,(void*)C_peek_c_string_at(t0,t1));
return C_r;}

/* from k28306 */
C_regparm static C_word C_fcall stub6515(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_mpointer(&C_a,(void*)C_peek_c_string_at(t0,t1));
return C_r;}

#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub5673(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word x=(C_word )(C_a0);
C_return((C_char *)x);
C_ret:
#undef return

return C_r;}

/* from k15341 */
C_regparm static C_word C_fcall stub2834(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
double t0=(double )C_c_double(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_flonum(&C_a,ldexp(t0,t1));
return C_r;}

C_noret_decl(f33934)
static void C_ccall f33934(C_word c,C_word *av) C_noret;
C_noret_decl(f34463)
static void C_ccall f34463(C_word c,C_word *av) C_noret;
C_noret_decl(f36684)
static void C_ccall f36684(C_word c,C_word *av) C_noret;
C_noret_decl(f36690)
static void C_ccall f36690(C_word c,C_word *av) C_noret;
C_noret_decl(f36696)
static void C_ccall f36696(C_word c,C_word *av) C_noret;
C_noret_decl(f_10005)
static void C_ccall f_10005(C_word c,C_word *av) C_noret;
C_noret_decl(f_10011)
static void C_fcall f_10011(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10027)
static void C_ccall f_10027(C_word c,C_word *av) C_noret;
C_noret_decl(f_10052)
static void C_ccall f_10052(C_word c,C_word *av) C_noret;
C_noret_decl(f_10061)
static void C_fcall f_10061(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10102)
static void C_ccall f_10102(C_word c,C_word *av) C_noret;
C_noret_decl(f_10124)
static void C_ccall f_10124(C_word c,C_word *av) C_noret;
C_noret_decl(f_10156)
static void C_ccall f_10156(C_word c,C_word *av) C_noret;
C_noret_decl(f_10172)
static void C_fcall f_10172(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10175)
static void C_ccall f_10175(C_word c,C_word *av) C_noret;
C_noret_decl(f_10197)
static void C_ccall f_10197(C_word c,C_word *av) C_noret;
C_noret_decl(f_10203)
static void C_fcall f_10203(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10228)
static void C_ccall f_10228(C_word c,C_word *av) C_noret;
C_noret_decl(f_10268)
static void C_ccall f_10268(C_word c,C_word *av) C_noret;
C_noret_decl(f_10275)
static void C_fcall f_10275(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10280)
static void C_fcall f_10280(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10299)
static void C_ccall f_10299(C_word c,C_word *av) C_noret;
C_noret_decl(f_10321)
static void C_ccall f_10321(C_word c,C_word *av) C_noret;
C_noret_decl(f_10324)
static void C_ccall f_10324(C_word c,C_word *av) C_noret;
C_noret_decl(f_10327)
static void C_ccall f_10327(C_word c,C_word *av) C_noret;
C_noret_decl(f_10330)
static void C_ccall f_10330(C_word c,C_word *av) C_noret;
C_noret_decl(f_10336)
static void C_ccall f_10336(C_word c,C_word *av) C_noret;
C_noret_decl(f_10339)
static void C_ccall f_10339(C_word c,C_word *av) C_noret;
C_noret_decl(f_10342)
static void C_ccall f_10342(C_word c,C_word *av) C_noret;
C_noret_decl(f_10345)
static void C_ccall f_10345(C_word c,C_word *av) C_noret;
C_noret_decl(f_10348)
static void C_ccall f_10348(C_word c,C_word *av) C_noret;
C_noret_decl(f_10351)
static void C_ccall f_10351(C_word c,C_word *av) C_noret;
C_noret_decl(f_10354)
static void C_ccall f_10354(C_word c,C_word *av) C_noret;
C_noret_decl(f_10357)
static void C_ccall f_10357(C_word c,C_word *av) C_noret;
C_noret_decl(f_10360)
static void C_ccall f_10360(C_word c,C_word *av) C_noret;
C_noret_decl(f_10363)
static void C_ccall f_10363(C_word c,C_word *av) C_noret;
C_noret_decl(f_10366)
static void C_ccall f_10366(C_word c,C_word *av) C_noret;
C_noret_decl(f_10369)
static void C_ccall f_10369(C_word c,C_word *av) C_noret;
C_noret_decl(f_10372)
static void C_ccall f_10372(C_word c,C_word *av) C_noret;
C_noret_decl(f_10375)
static void C_ccall f_10375(C_word c,C_word *av) C_noret;
C_noret_decl(f_10378)
static void C_ccall f_10378(C_word c,C_word *av) C_noret;
C_noret_decl(f_10381)
static void C_ccall f_10381(C_word c,C_word *av) C_noret;
C_noret_decl(f_10384)
static void C_ccall f_10384(C_word c,C_word *av) C_noret;
C_noret_decl(f_10387)
static void C_ccall f_10387(C_word c,C_word *av) C_noret;
C_noret_decl(f_10390)
static void C_ccall f_10390(C_word c,C_word *av) C_noret;
C_noret_decl(f_10393)
static void C_ccall f_10393(C_word c,C_word *av) C_noret;
C_noret_decl(f_10396)
static void C_ccall f_10396(C_word c,C_word *av) C_noret;
C_noret_decl(f_10399)
static void C_ccall f_10399(C_word c,C_word *av) C_noret;
C_noret_decl(f_10402)
static void C_ccall f_10402(C_word c,C_word *av) C_noret;
C_noret_decl(f_10405)
static void C_ccall f_10405(C_word c,C_word *av) C_noret;
C_noret_decl(f_10408)
static void C_ccall f_10408(C_word c,C_word *av) C_noret;
C_noret_decl(f_10413)
static void C_ccall f_10413(C_word c,C_word *av) C_noret;
C_noret_decl(f_10422)
static void C_ccall f_10422(C_word c,C_word *av) C_noret;
C_noret_decl(f_10434)
static void C_ccall f_10434(C_word c,C_word *av) C_noret;
C_noret_decl(f_10449)
static void C_ccall f_10449(C_word c,C_word *av) C_noret;
C_noret_decl(f_10452)
static void C_ccall f_10452(C_word c,C_word *av) C_noret;
C_noret_decl(f_10461)
static void C_ccall f_10461(C_word c,C_word *av) C_noret;
C_noret_decl(f_10465)
static void C_ccall f_10465(C_word c,C_word *av) C_noret;
C_noret_decl(f_10467)
static void C_ccall f_10467(C_word c,C_word *av) C_noret;
C_noret_decl(f_10471)
static void C_ccall f_10471(C_word c,C_word *av) C_noret;
C_noret_decl(f_10474)
static void C_ccall f_10474(C_word c,C_word *av) C_noret;
C_noret_decl(f_10485)
static void C_ccall f_10485(C_word c,C_word *av) C_noret;
C_noret_decl(f_10487)
static void C_ccall f_10487(C_word c,C_word *av) C_noret;
C_noret_decl(f_10494)
static void C_ccall f_10494(C_word c,C_word *av) C_noret;
C_noret_decl(f_10497)
static void C_ccall f_10497(C_word c,C_word *av) C_noret;
C_noret_decl(f_10500)
static void C_ccall f_10500(C_word c,C_word *av) C_noret;
C_noret_decl(f_10505)
static void C_ccall f_10505(C_word c,C_word *av) C_noret;
C_noret_decl(f_10509)
static void C_ccall f_10509(C_word c,C_word *av) C_noret;
C_noret_decl(f_10514)
static void C_ccall f_10514(C_word c,C_word *av) C_noret;
C_noret_decl(f_10518)
static void C_ccall f_10518(C_word c,C_word *av) C_noret;
C_noret_decl(f_10521)
static void C_ccall f_10521(C_word c,C_word *av) C_noret;
C_noret_decl(f_10549)
static void C_ccall f_10549(C_word c,C_word *av) C_noret;
C_noret_decl(f_10552)
static void C_ccall f_10552(C_word c,C_word *av) C_noret;
C_noret_decl(f_10555)
static void C_ccall f_10555(C_word c,C_word *av) C_noret;
C_noret_decl(f_10572)
static void C_ccall f_10572(C_word c,C_word *av) C_noret;
C_noret_decl(f_10583)
static void C_ccall f_10583(C_word c,C_word *av) C_noret;
C_noret_decl(f_10595)
static void C_ccall f_10595(C_word c,C_word *av) C_noret;
C_noret_decl(f_10606)
static void C_ccall f_10606(C_word c,C_word *av) C_noret;
C_noret_decl(f_10617)
static void C_ccall f_10617(C_word c,C_word *av) C_noret;
C_noret_decl(f_10628)
static void C_ccall f_10628(C_word c,C_word *av) C_noret;
C_noret_decl(f_10639)
static void C_ccall f_10639(C_word c,C_word *av) C_noret;
C_noret_decl(f_10650)
static void C_ccall f_10650(C_word c,C_word *av) C_noret;
C_noret_decl(f_10661)
static void C_ccall f_10661(C_word c,C_word *av) C_noret;
C_noret_decl(f_10672)
static void C_ccall f_10672(C_word c,C_word *av) C_noret;
C_noret_decl(f_10683)
static void C_ccall f_10683(C_word c,C_word *av) C_noret;
C_noret_decl(f_10694)
static void C_ccall f_10694(C_word c,C_word *av) C_noret;
C_noret_decl(f_10705)
static void C_ccall f_10705(C_word c,C_word *av) C_noret;
C_noret_decl(f_10716)
static void C_ccall f_10716(C_word c,C_word *av) C_noret;
C_noret_decl(f_10727)
static void C_ccall f_10727(C_word c,C_word *av) C_noret;
C_noret_decl(f_10744)
static void C_ccall f_10744(C_word c,C_word *av) C_noret;
C_noret_decl(f_10761)
static void C_ccall f_10761(C_word c,C_word *av) C_noret;
C_noret_decl(f_10785)
static void C_ccall f_10785(C_word c,C_word *av) C_noret;
C_noret_decl(f_10802)
static void C_ccall f_10802(C_word c,C_word *av) C_noret;
C_noret_decl(f_10806)
static void C_ccall f_10806(C_word c,C_word *av) C_noret;
C_noret_decl(f_10832)
static void C_ccall f_10832(C_word c,C_word *av) C_noret;
C_noret_decl(f_10852)
static void C_ccall f_10852(C_word c,C_word *av) C_noret;
C_noret_decl(f_10863)
static void C_ccall f_10863(C_word c,C_word *av) C_noret;
C_noret_decl(f_10875)
static void C_fcall f_10875(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_10909)
static void C_ccall f_10909(C_word c,C_word *av) C_noret;
C_noret_decl(f_10924)
static void C_fcall f_10924(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10991)
static void C_ccall f_10991(C_word c,C_word *av) C_noret;
C_noret_decl(f_11007)
static void C_ccall f_11007(C_word c,C_word *av) C_noret;
C_noret_decl(f_11023)
static void C_ccall f_11023(C_word c,C_word *av) C_noret;
C_noret_decl(f_11039)
static void C_ccall f_11039(C_word c,C_word *av) C_noret;
C_noret_decl(f_11055)
static void C_ccall f_11055(C_word c,C_word *av) C_noret;
C_noret_decl(f_11071)
static void C_ccall f_11071(C_word c,C_word *av) C_noret;
C_noret_decl(f_11087)
static void C_ccall f_11087(C_word c,C_word *av) C_noret;
C_noret_decl(f_11103)
static void C_ccall f_11103(C_word c,C_word *av) C_noret;
C_noret_decl(f_11119)
static void C_ccall f_11119(C_word c,C_word *av) C_noret;
C_noret_decl(f_11131)
static void C_fcall f_11131(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_11150)
static void C_fcall f_11150(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_11181)
static void C_ccall f_11181(C_word c,C_word *av) C_noret;
C_noret_decl(f_11198)
static void C_ccall f_11198(C_word c,C_word *av) C_noret;
C_noret_decl(f_11204)
static void C_fcall f_11204(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11228)
static void C_ccall f_11228(C_word c,C_word *av) C_noret;
C_noret_decl(f_11248)
static void C_ccall f_11248(C_word c,C_word *av) C_noret;
C_noret_decl(f_11252)
static void C_ccall f_11252(C_word c,C_word *av) C_noret;
C_noret_decl(f_11255)
static void C_ccall f_11255(C_word c,C_word *av) C_noret;
C_noret_decl(f_11284)
static void C_ccall f_11284(C_word c,C_word *av) C_noret;
C_noret_decl(f_11300)
static void C_fcall f_11300(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11322)
static void C_ccall f_11322(C_word c,C_word *av) C_noret;
C_noret_decl(f_11338)
static void C_ccall f_11338(C_word c,C_word *av) C_noret;
C_noret_decl(f_11343)
static C_word C_fcall f_11343(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11374)
static void C_ccall f_11374(C_word c,C_word *av) C_noret;
C_noret_decl(f_11385)
static void C_ccall f_11385(C_word c,C_word *av) C_noret;
C_noret_decl(f_11394)
static C_word C_fcall f_11394(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11423)
static void C_ccall f_11423(C_word c,C_word *av) C_noret;
C_noret_decl(f_11436)
static void C_ccall f_11436(C_word c,C_word *av) C_noret;
C_noret_decl(f_11446)
static void C_ccall f_11446(C_word c,C_word *av) C_noret;
C_noret_decl(f_11448)
static void C_ccall f_11448(C_word c,C_word *av) C_noret;
C_noret_decl(f_11455)
static void C_ccall f_11455(C_word c,C_word *av) C_noret;
C_noret_decl(f_11458)
static void C_fcall f_11458(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11467)
static void C_fcall f_11467(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11493)
static void C_ccall f_11493(C_word c,C_word *av) C_noret;
C_noret_decl(f_11498)
static void C_ccall f_11498(C_word c,C_word *av) C_noret;
C_noret_decl(f_11502)
static void C_ccall f_11502(C_word c,C_word *av) C_noret;
C_noret_decl(f_11507)
static void C_ccall f_11507(C_word c,C_word *av) C_noret;
C_noret_decl(f_11528)
static void C_ccall f_11528(C_word c,C_word *av) C_noret;
C_noret_decl(f_11534)
static void C_ccall f_11534(C_word c,C_word *av) C_noret;
C_noret_decl(f_11552)
static void C_ccall f_11552(C_word c,C_word *av) C_noret;
C_noret_decl(f_11558)
static void C_ccall f_11558(C_word c,C_word *av) C_noret;
C_noret_decl(f_11576)
static void C_ccall f_11576(C_word c,C_word *av) C_noret;
C_noret_decl(f_11582)
static void C_ccall f_11582(C_word c,C_word *av) C_noret;
C_noret_decl(f_11597)
static void C_ccall f_11597(C_word c,C_word *av) C_noret;
C_noret_decl(f_11603)
static void C_ccall f_11603(C_word c,C_word *av) C_noret;
C_noret_decl(f_11617)
static void C_ccall f_11617(C_word c,C_word *av) C_noret;
C_noret_decl(f_11638)
static void C_ccall f_11638(C_word c,C_word *av) C_noret;
C_noret_decl(f_11644)
static void C_ccall f_11644(C_word c,C_word *av) C_noret;
C_noret_decl(f_11662)
static void C_ccall f_11662(C_word c,C_word *av) C_noret;
C_noret_decl(f_11668)
static void C_ccall f_11668(C_word c,C_word *av) C_noret;
C_noret_decl(f_11686)
static void C_ccall f_11686(C_word c,C_word *av) C_noret;
C_noret_decl(f_11692)
static void C_ccall f_11692(C_word c,C_word *av) C_noret;
C_noret_decl(f_11707)
static void C_ccall f_11707(C_word c,C_word *av) C_noret;
C_noret_decl(f_11713)
static void C_ccall f_11713(C_word c,C_word *av) C_noret;
C_noret_decl(f_11728)
static void C_ccall f_11728(C_word c,C_word *av) C_noret;
C_noret_decl(f_11738)
static void C_ccall f_11738(C_word c,C_word *av) C_noret;
C_noret_decl(f_11744)
static void C_ccall f_11744(C_word c,C_word *av) C_noret;
C_noret_decl(f_11748)
static void C_ccall f_11748(C_word c,C_word *av) C_noret;
C_noret_decl(f_11750)
static void C_fcall f_11750(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11761)
static void C_ccall f_11761(C_word c,C_word *av) C_noret;
C_noret_decl(f_11773)
static void C_ccall f_11773(C_word c,C_word *av) C_noret;
C_noret_decl(f_11783)
static void C_ccall f_11783(C_word c,C_word *av) C_noret;
C_noret_decl(f_11789)
static void C_ccall f_11789(C_word c,C_word *av) C_noret;
C_noret_decl(f_11793)
static void C_ccall f_11793(C_word c,C_word *av) C_noret;
C_noret_decl(f_11798)
static C_word C_fcall f_11798(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11824)
static void C_ccall f_11824(C_word c,C_word *av) C_noret;
C_noret_decl(f_11828)
static void C_ccall f_11828(C_word c,C_word *av) C_noret;
C_noret_decl(f_11831)
static void C_ccall f_11831(C_word c,C_word *av) C_noret;
C_noret_decl(f_11839)
static void C_fcall f_11839(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11860)
static void C_fcall f_11860(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_11874)
static void C_ccall f_11874(C_word c,C_word *av) C_noret;
C_noret_decl(f_11878)
static void C_ccall f_11878(C_word c,C_word *av) C_noret;
C_noret_decl(f_11919)
static void C_ccall f_11919(C_word c,C_word *av) C_noret;
C_noret_decl(f_11941)
static void C_ccall f_11941(C_word c,C_word *av) C_noret;
C_noret_decl(f_11943)
static void C_ccall f_11943(C_word c,C_word *av) C_noret;
C_noret_decl(f_11965)
static void C_ccall f_11965(C_word c,C_word *av) C_noret;
C_noret_decl(f_11967)
static void C_ccall f_11967(C_word c,C_word *av) C_noret;
C_noret_decl(f_11989)
static void C_ccall f_11989(C_word c,C_word *av) C_noret;
C_noret_decl(f_11991)
static void C_ccall f_11991(C_word c,C_word *av) C_noret;
C_noret_decl(f_12013)
static void C_ccall f_12013(C_word c,C_word *av) C_noret;
C_noret_decl(f_12015)
static void C_ccall f_12015(C_word c,C_word *av) C_noret;
C_noret_decl(f_12037)
static void C_ccall f_12037(C_word c,C_word *av) C_noret;
C_noret_decl(f_12039)
static void C_ccall f_12039(C_word c,C_word *av) C_noret;
C_noret_decl(f_12061)
static void C_ccall f_12061(C_word c,C_word *av) C_noret;
C_noret_decl(f_12063)
static void C_ccall f_12063(C_word c,C_word *av) C_noret;
C_noret_decl(f_12085)
static void C_ccall f_12085(C_word c,C_word *av) C_noret;
C_noret_decl(f_12087)
static void C_ccall f_12087(C_word c,C_word *av) C_noret;
C_noret_decl(f_12109)
static void C_ccall f_12109(C_word c,C_word *av) C_noret;
C_noret_decl(f_12111)
static void C_ccall f_12111(C_word c,C_word *av) C_noret;
C_noret_decl(f_12133)
static void C_ccall f_12133(C_word c,C_word *av) C_noret;
C_noret_decl(f_12135)
static void C_ccall f_12135(C_word c,C_word *av) C_noret;
C_noret_decl(f_12157)
static void C_ccall f_12157(C_word c,C_word *av) C_noret;
C_noret_decl(f_12159)
static void C_ccall f_12159(C_word c,C_word *av) C_noret;
C_noret_decl(f_12181)
static void C_ccall f_12181(C_word c,C_word *av) C_noret;
C_noret_decl(f_12183)
static void C_ccall f_12183(C_word c,C_word *av) C_noret;
C_noret_decl(f_12199)
static void C_ccall f_12199(C_word c,C_word *av) C_noret;
C_noret_decl(f_12201)
static void C_ccall f_12201(C_word c,C_word *av) C_noret;
C_noret_decl(f_12223)
static void C_ccall f_12223(C_word c,C_word *av) C_noret;
C_noret_decl(f_12225)
static void C_ccall f_12225(C_word c,C_word *av) C_noret;
C_noret_decl(f_12247)
static void C_ccall f_12247(C_word c,C_word *av) C_noret;
C_noret_decl(f_12249)
static void C_ccall f_12249(C_word c,C_word *av) C_noret;
C_noret_decl(f_12265)
static void C_ccall f_12265(C_word c,C_word *av) C_noret;
C_noret_decl(f_12267)
static void C_ccall f_12267(C_word c,C_word *av) C_noret;
C_noret_decl(f_12283)
static void C_ccall f_12283(C_word c,C_word *av) C_noret;
C_noret_decl(f_12285)
static void C_ccall f_12285(C_word c,C_word *av) C_noret;
C_noret_decl(f_12301)
static void C_ccall f_12301(C_word c,C_word *av) C_noret;
C_noret_decl(f_12303)
static void C_ccall f_12303(C_word c,C_word *av) C_noret;
C_noret_decl(f_12319)
static void C_ccall f_12319(C_word c,C_word *av) C_noret;
C_noret_decl(f_12321)
static void C_ccall f_12321(C_word c,C_word *av) C_noret;
C_noret_decl(f_12337)
static void C_ccall f_12337(C_word c,C_word *av) C_noret;
C_noret_decl(f_12339)
static void C_ccall f_12339(C_word c,C_word *av) C_noret;
C_noret_decl(f_12355)
static void C_ccall f_12355(C_word c,C_word *av) C_noret;
C_noret_decl(f_12357)
static void C_ccall f_12357(C_word c,C_word *av) C_noret;
C_noret_decl(f_12373)
static void C_ccall f_12373(C_word c,C_word *av) C_noret;
C_noret_decl(f_12375)
static void C_ccall f_12375(C_word c,C_word *av) C_noret;
C_noret_decl(f_12391)
static void C_ccall f_12391(C_word c,C_word *av) C_noret;
C_noret_decl(f_12393)
static void C_ccall f_12393(C_word c,C_word *av) C_noret;
C_noret_decl(f_12409)
static void C_ccall f_12409(C_word c,C_word *av) C_noret;
C_noret_decl(f_12411)
static void C_ccall f_12411(C_word c,C_word *av) C_noret;
C_noret_decl(f_12427)
static void C_ccall f_12427(C_word c,C_word *av) C_noret;
C_noret_decl(f_12429)
static void C_ccall f_12429(C_word c,C_word *av) C_noret;
C_noret_decl(f_12451)
static void C_ccall f_12451(C_word c,C_word *av) C_noret;
C_noret_decl(f_12453)
static void C_ccall f_12453(C_word c,C_word *av) C_noret;
C_noret_decl(f_12469)
static void C_ccall f_12469(C_word c,C_word *av) C_noret;
C_noret_decl(f_12471)
static void C_ccall f_12471(C_word c,C_word *av) C_noret;
C_noret_decl(f_12493)
static void C_ccall f_12493(C_word c,C_word *av) C_noret;
C_noret_decl(f_12495)
static void C_ccall f_12495(C_word c,C_word *av) C_noret;
C_noret_decl(f_12511)
static void C_ccall f_12511(C_word c,C_word *av) C_noret;
C_noret_decl(f_12513)
static void C_ccall f_12513(C_word c,C_word *av) C_noret;
C_noret_decl(f_12529)
static void C_ccall f_12529(C_word c,C_word *av) C_noret;
C_noret_decl(f_12531)
static void C_ccall f_12531(C_word c,C_word *av) C_noret;
C_noret_decl(f_12547)
static void C_ccall f_12547(C_word c,C_word *av) C_noret;
C_noret_decl(f_12549)
static void C_ccall f_12549(C_word c,C_word *av) C_noret;
C_noret_decl(f_12565)
static void C_ccall f_12565(C_word c,C_word *av) C_noret;
C_noret_decl(f_12567)
static void C_ccall f_12567(C_word c,C_word *av) C_noret;
C_noret_decl(f_12577)
static void C_ccall f_12577(C_word c,C_word *av) C_noret;
C_noret_decl(f_12589)
static void C_fcall f_12589(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_12599)
static void C_ccall f_12599(C_word c,C_word *av) C_noret;
C_noret_decl(f_12603)
static void C_ccall f_12603(C_word c,C_word *av) C_noret;
C_noret_decl(f_12625)
static void C_ccall f_12625(C_word c,C_word *av) C_noret;
C_noret_decl(f_12629)
static void C_ccall f_12629(C_word c,C_word *av) C_noret;
C_noret_decl(f_12632)
static void C_ccall f_12632(C_word c,C_word *av) C_noret;
C_noret_decl(f_12637)
static void C_ccall f_12637(C_word c,C_word *av) C_noret;
C_noret_decl(f_12641)
static void C_ccall f_12641(C_word c,C_word *av) C_noret;
C_noret_decl(f_12644)
static void C_ccall f_12644(C_word c,C_word *av) C_noret;
C_noret_decl(f_12647)
static void C_ccall f_12647(C_word c,C_word *av) C_noret;
C_noret_decl(f_12658)
static void C_ccall f_12658(C_word c,C_word *av) C_noret;
C_noret_decl(f_12681)
static void C_ccall f_12681(C_word c,C_word *av) C_noret;
C_noret_decl(f_12707)
static void C_ccall f_12707(C_word c,C_word *av) C_noret;
C_noret_decl(f_12716)
static void C_ccall f_12716(C_word c,C_word *av) C_noret;
C_noret_decl(f_12721)
static void C_ccall f_12721(C_word c,C_word *av) C_noret;
C_noret_decl(f_12723)
static void C_ccall f_12723(C_word c,C_word *av) C_noret;
C_noret_decl(f_12762)
static void C_fcall f_12762(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_12808)
static void C_ccall f_12808(C_word c,C_word *av) C_noret;
C_noret_decl(f_12832)
static void C_ccall f_12832(C_word c,C_word *av) C_noret;
C_noret_decl(f_12836)
static void C_ccall f_12836(C_word c,C_word *av) C_noret;
C_noret_decl(f_12854)
static void C_ccall f_12854(C_word c,C_word *av) C_noret;
C_noret_decl(f_12878)
static void C_ccall f_12878(C_word c,C_word *av) C_noret;
C_noret_decl(f_12882)
static void C_ccall f_12882(C_word c,C_word *av) C_noret;
C_noret_decl(f_12900)
static void C_ccall f_12900(C_word c,C_word *av) C_noret;
C_noret_decl(f_12941)
static void C_fcall f_12941(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_12952)
static void C_ccall f_12952(C_word c,C_word *av) C_noret;
C_noret_decl(f_12958)
static void C_fcall f_12958(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_12962)
static void C_ccall f_12962(C_word c,C_word *av) C_noret;
C_noret_decl(f_12967)
static void C_ccall f_12967(C_word c,C_word *av) C_noret;
C_noret_decl(f_12978)
static void C_ccall f_12978(C_word c,C_word *av) C_noret;
C_noret_decl(f_12991)
static void C_ccall f_12991(C_word c,C_word *av) C_noret;
C_noret_decl(f_13006)
static void C_ccall f_13006(C_word c,C_word *av) C_noret;
C_noret_decl(f_13010)
static void C_ccall f_13010(C_word c,C_word *av) C_noret;
C_noret_decl(f_13016)
static void C_ccall f_13016(C_word c,C_word *av) C_noret;
C_noret_decl(f_13020)
static void C_ccall f_13020(C_word c,C_word *av) C_noret;
C_noret_decl(f_13060)
static void C_ccall f_13060(C_word c,C_word *av) C_noret;
C_noret_decl(f_13064)
static void C_ccall f_13064(C_word c,C_word *av) C_noret;
C_noret_decl(f_13086)
static void C_ccall f_13086(C_word c,C_word *av) C_noret;
C_noret_decl(f_13089)
static void C_ccall f_13089(C_word c,C_word *av) C_noret;
C_noret_decl(f_13092)
static void C_ccall f_13092(C_word c,C_word *av) C_noret;
C_noret_decl(f_13095)
static void C_ccall f_13095(C_word c,C_word *av) C_noret;
C_noret_decl(f_13098)
static void C_ccall f_13098(C_word c,C_word *av) C_noret;
C_noret_decl(f_13119)
static void C_ccall f_13119(C_word c,C_word *av) C_noret;
C_noret_decl(f_13121)
static void C_fcall f_13121(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_13139)
static void C_ccall f_13139(C_word c,C_word *av) C_noret;
C_noret_decl(f_13149)
static void C_ccall f_13149(C_word c,C_word *av) C_noret;
C_noret_decl(f_13153)
static void C_ccall f_13153(C_word c,C_word *av) C_noret;
C_noret_decl(f_13159)
static void C_fcall f_13159(C_word t0,C_word t1) C_noret;
C_noret_decl(f_13191)
static void C_ccall f_13191(C_word c,C_word *av) C_noret;
C_noret_decl(f_13194)
static void C_ccall f_13194(C_word c,C_word *av) C_noret;
C_noret_decl(f_13197)
static void C_ccall f_13197(C_word c,C_word *av) C_noret;
C_noret_decl(f_13200)
static void C_ccall f_13200(C_word c,C_word *av) C_noret;
C_noret_decl(f_13209)
static void C_ccall f_13209(C_word c,C_word *av) C_noret;
C_noret_decl(f_13212)
static void C_ccall f_13212(C_word c,C_word *av) C_noret;
C_noret_decl(f_13242)
static void C_ccall f_13242(C_word c,C_word *av) C_noret;
C_noret_decl(f_13246)
static void C_ccall f_13246(C_word c,C_word *av) C_noret;
C_noret_decl(f_13313)
static void C_ccall f_13313(C_word c,C_word *av) C_noret;
C_noret_decl(f_13347)
static void C_ccall f_13347(C_word c,C_word *av) C_noret;
C_noret_decl(f_13397)
static void C_ccall f_13397(C_word c,C_word *av) C_noret;
C_noret_decl(f_13438)
static void C_ccall f_13438(C_word c,C_word *av) C_noret;
C_noret_decl(f_13479)
static void C_ccall f_13479(C_word c,C_word *av) C_noret;
C_noret_decl(f_13513)
static void C_ccall f_13513(C_word c,C_word *av) C_noret;
C_noret_decl(f_13537)
static void C_ccall f_13537(C_word c,C_word *av) C_noret;
C_noret_decl(f_13553)
static void C_fcall f_13553(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_13556)
static void C_fcall f_13556(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_13560)
static void C_ccall f_13560(C_word c,C_word *av) C_noret;
C_noret_decl(f_13563)
static void C_ccall f_13563(C_word c,C_word *av) C_noret;
C_noret_decl(f_13580)
static void C_ccall f_13580(C_word c,C_word *av) C_noret;
C_noret_decl(f_13598)
static void C_ccall f_13598(C_word c,C_word *av) C_noret;
C_noret_decl(f_13602)
static void C_ccall f_13602(C_word c,C_word *av) C_noret;
C_noret_decl(f_13621)
static void C_ccall f_13621(C_word c,C_word *av) C_noret;
C_noret_decl(f_13625)
static void C_ccall f_13625(C_word c,C_word *av) C_noret;
C_noret_decl(f_13656)
static void C_ccall f_13656(C_word c,C_word *av) C_noret;
C_noret_decl(f_13689)
static void C_ccall f_13689(C_word c,C_word *av) C_noret;
C_noret_decl(f_13693)
static void C_ccall f_13693(C_word c,C_word *av) C_noret;
C_noret_decl(f_13712)
static void C_ccall f_13712(C_word c,C_word *av) C_noret;
C_noret_decl(f_13714)
static void C_ccall f_13714(C_word c,C_word *av) C_noret;
C_noret_decl(f_13721)
static void C_fcall f_13721(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_13757)
static void C_ccall f_13757(C_word c,C_word *av) C_noret;
C_noret_decl(f_13764)
static void C_fcall f_13764(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_13800)
static void C_ccall f_13800(C_word c,C_word *av) C_noret;
C_noret_decl(f_13815)
static void C_ccall f_13815(C_word c,C_word *av) C_noret;
C_noret_decl(f_13824)
static void C_ccall f_13824(C_word c,C_word *av) C_noret;
C_noret_decl(f_13829)
static void C_ccall f_13829(C_word c,C_word *av) C_noret;
C_noret_decl(f_13842)
static void C_ccall f_13842(C_word c,C_word *av) C_noret;
C_noret_decl(f_13861)
static void C_fcall f_13861(C_word t0,C_word t1) C_noret;
C_noret_decl(f_13865)
static void C_ccall f_13865(C_word c,C_word *av) C_noret;
C_noret_decl(f_13870)
static void C_ccall f_13870(C_word c,C_word *av) C_noret;
C_noret_decl(f_13874)
static void C_ccall f_13874(C_word c,C_word *av) C_noret;
C_noret_decl(f_13878)
static void C_ccall f_13878(C_word c,C_word *av) C_noret;
C_noret_decl(f_13882)
static void C_ccall f_13882(C_word c,C_word *av) C_noret;
C_noret_decl(f_13885)
static void C_ccall f_13885(C_word c,C_word *av) C_noret;
C_noret_decl(f_13899)
static void C_ccall f_13899(C_word c,C_word *av) C_noret;
C_noret_decl(f_13903)
static void C_ccall f_13903(C_word c,C_word *av) C_noret;
C_noret_decl(f_13914)
static void C_ccall f_13914(C_word c,C_word *av) C_noret;
C_noret_decl(f_13934)
static void C_ccall f_13934(C_word c,C_word *av) C_noret;
C_noret_decl(f_13938)
static void C_ccall f_13938(C_word c,C_word *av) C_noret;
C_noret_decl(f_13944)
static void C_ccall f_13944(C_word c,C_word *av) C_noret;
C_noret_decl(f_13964)
static void C_ccall f_13964(C_word c,C_word *av) C_noret;
C_noret_decl(f_13968)
static void C_ccall f_13968(C_word c,C_word *av) C_noret;
C_noret_decl(f_13974)
static void C_ccall f_13974(C_word c,C_word *av) C_noret;
C_noret_decl(f_13991)
static void C_ccall f_13991(C_word c,C_word *av) C_noret;
C_noret_decl(f_13995)
static void C_ccall f_13995(C_word c,C_word *av) C_noret;
C_noret_decl(f_13999)
static void C_ccall f_13999(C_word c,C_word *av) C_noret;
C_noret_decl(f_14009)
static void C_fcall f_14009(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14015)
static void C_fcall f_14015(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14020)
static void C_ccall f_14020(C_word c,C_word *av) C_noret;
C_noret_decl(f_14028)
static void C_ccall f_14028(C_word c,C_word *av) C_noret;
C_noret_decl(f_14048)
static void C_ccall f_14048(C_word c,C_word *av) C_noret;
C_noret_decl(f_14052)
static void C_ccall f_14052(C_word c,C_word *av) C_noret;
C_noret_decl(f_14062)
static void C_fcall f_14062(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14068)
static void C_fcall f_14068(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14073)
static void C_ccall f_14073(C_word c,C_word *av) C_noret;
C_noret_decl(f_14088)
static void C_ccall f_14088(C_word c,C_word *av) C_noret;
C_noret_decl(f_14092)
static void C_ccall f_14092(C_word c,C_word *av) C_noret;
C_noret_decl(f_14121)
static void C_ccall f_14121(C_word c,C_word *av) C_noret;
C_noret_decl(f_14125)
static void C_ccall f_14125(C_word c,C_word *av) C_noret;
C_noret_decl(f_14140)
static void C_ccall f_14140(C_word c,C_word *av) C_noret;
C_noret_decl(f_14150)
static void C_ccall f_14150(C_word c,C_word *av) C_noret;
C_noret_decl(f_14223)
static void C_ccall f_14223(C_word c,C_word *av) C_noret;
C_noret_decl(f_14237)
static void C_ccall f_14237(C_word c,C_word *av) C_noret;
C_noret_decl(f_14255)
static void C_ccall f_14255(C_word c,C_word *av) C_noret;
C_noret_decl(f_14271)
static void C_ccall f_14271(C_word c,C_word *av) C_noret;
C_noret_decl(f_14325)
static void C_ccall f_14325(C_word c,C_word *av) C_noret;
C_noret_decl(f_14329)
static void C_ccall f_14329(C_word c,C_word *av) C_noret;
C_noret_decl(f_14334)
static void C_ccall f_14334(C_word c,C_word *av) C_noret;
C_noret_decl(f_14344)
static void C_ccall f_14344(C_word c,C_word *av) C_noret;
C_noret_decl(f_14348)
static void C_ccall f_14348(C_word c,C_word *av) C_noret;
C_noret_decl(f_14357)
static void C_ccall f_14357(C_word c,C_word *av) C_noret;
C_noret_decl(f_14363)
static void C_ccall f_14363(C_word c,C_word *av) C_noret;
C_noret_decl(f_14380)
static void C_ccall f_14380(C_word c,C_word *av) C_noret;
C_noret_decl(f_14391)
static void C_ccall f_14391(C_word c,C_word *av) C_noret;
C_noret_decl(f_14397)
static void C_ccall f_14397(C_word c,C_word *av) C_noret;
C_noret_decl(f_14408)
static void C_ccall f_14408(C_word c,C_word *av) C_noret;
C_noret_decl(f_14419)
static void C_ccall f_14419(C_word c,C_word *av) C_noret;
C_noret_decl(f_14431)
static void C_ccall f_14431(C_word c,C_word *av) C_noret;
C_noret_decl(f_14443)
static void C_ccall f_14443(C_word c,C_word *av) C_noret;
C_noret_decl(f_14455)
static void C_ccall f_14455(C_word c,C_word *av) C_noret;
C_noret_decl(f_14472)
static void C_ccall f_14472(C_word c,C_word *av) C_noret;
C_noret_decl(f_14479)
static void C_ccall f_14479(C_word c,C_word *av) C_noret;
C_noret_decl(f_14483)
static void C_ccall f_14483(C_word c,C_word *av) C_noret;
C_noret_decl(f_14485)
static void C_ccall f_14485(C_word c,C_word *av) C_noret;
C_noret_decl(f_14491)
static void C_ccall f_14491(C_word c,C_word *av) C_noret;
C_noret_decl(f_14495)
static void C_ccall f_14495(C_word c,C_word *av) C_noret;
C_noret_decl(f_14498)
static void C_ccall f_14498(C_word c,C_word *av) C_noret;
C_noret_decl(f_14503)
static void C_ccall f_14503(C_word c,C_word *av) C_noret;
C_noret_decl(f_14513)
static void C_fcall f_14513(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14531)
static void C_ccall f_14531(C_word c,C_word *av) C_noret;
C_noret_decl(f_14550)
static void C_ccall f_14550(C_word c,C_word *av) C_noret;
C_noret_decl(f_14553)
static void C_fcall f_14553(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14573)
static void C_ccall f_14573(C_word c,C_word *av) C_noret;
C_noret_decl(f_14583)
static void C_ccall f_14583(C_word c,C_word *av) C_noret;
C_noret_decl(f_14587)
static void C_ccall f_14587(C_word c,C_word *av) C_noret;
C_noret_decl(f_14591)
static void C_ccall f_14591(C_word c,C_word *av) C_noret;
C_noret_decl(f_14607)
static void C_ccall f_14607(C_word c,C_word *av) C_noret;
C_noret_decl(f_14624)
static void C_ccall f_14624(C_word c,C_word *av) C_noret;
C_noret_decl(f_14635)
static void C_fcall f_14635(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14655)
static void C_ccall f_14655(C_word c,C_word *av) C_noret;
C_noret_decl(f_14670)
static void C_ccall f_14670(C_word c,C_word *av) C_noret;
C_noret_decl(f_14673)
static void C_fcall f_14673(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_14683)
static void C_ccall f_14683(C_word c,C_word *av) C_noret;
C_noret_decl(f_14685)
static void C_fcall f_14685(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_14704)
static void C_ccall f_14704(C_word c,C_word *av) C_noret;
C_noret_decl(f_14728)
static void C_fcall f_14728(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14732)
static void C_ccall f_14732(C_word c,C_word *av) C_noret;
C_noret_decl(f_14736)
static void C_ccall f_14736(C_word c,C_word *av) C_noret;
C_noret_decl(f_14771)
static void C_ccall f_14771(C_word c,C_word *av) C_noret;
C_noret_decl(f_14778)
static void C_ccall f_14778(C_word c,C_word *av) C_noret;
C_noret_decl(f_14790)
static void C_ccall f_14790(C_word c,C_word *av) C_noret;
C_noret_decl(f_14810)
static void C_ccall f_14810(C_word c,C_word *av) C_noret;
C_noret_decl(f_14814)
static void C_ccall f_14814(C_word c,C_word *av) C_noret;
C_noret_decl(f_14834)
static void C_fcall f_14834(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14843)
static void C_fcall f_14843(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14854)
static void C_ccall f_14854(C_word c,C_word *av) C_noret;
C_noret_decl(f_14858)
static void C_ccall f_14858(C_word c,C_word *av) C_noret;
C_noret_decl(f_14862)
static void C_ccall f_14862(C_word c,C_word *av) C_noret;
C_noret_decl(f_14869)
static void C_ccall f_14869(C_word c,C_word *av) C_noret;
C_noret_decl(f_14885)
static void C_ccall f_14885(C_word c,C_word *av) C_noret;
C_noret_decl(f_14889)
static void C_ccall f_14889(C_word c,C_word *av) C_noret;
C_noret_decl(f_14930)
static void C_fcall f_14930(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14963)
static void C_ccall f_14963(C_word c,C_word *av) C_noret;
C_noret_decl(f_14992)
static void C_ccall f_14992(C_word c,C_word *av) C_noret;
C_noret_decl(f_15000)
static void C_ccall f_15000(C_word c,C_word *av) C_noret;
C_noret_decl(f_15006)
static void C_ccall f_15006(C_word c,C_word *av) C_noret;
C_noret_decl(f_15026)
static void C_fcall f_15026(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15051)
static void C_ccall f_15051(C_word c,C_word *av) C_noret;
C_noret_decl(f_15057)
static void C_ccall f_15057(C_word c,C_word *av) C_noret;
C_noret_decl(f_15061)
static void C_ccall f_15061(C_word c,C_word *av) C_noret;
C_noret_decl(f_15068)
static void C_ccall f_15068(C_word c,C_word *av) C_noret;
C_noret_decl(f_15088)
static void C_fcall f_15088(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15109)
static void C_ccall f_15109(C_word c,C_word *av) C_noret;
C_noret_decl(f_15123)
static void C_ccall f_15123(C_word c,C_word *av) C_noret;
C_noret_decl(f_15130)
static void C_ccall f_15130(C_word c,C_word *av) C_noret;
C_noret_decl(f_15135)
static void C_ccall f_15135(C_word c,C_word *av) C_noret;
C_noret_decl(f_15141)
static void C_ccall f_15141(C_word c,C_word *av) C_noret;
C_noret_decl(f_15145)
static void C_ccall f_15145(C_word c,C_word *av) C_noret;
C_noret_decl(f_15148)
static void C_ccall f_15148(C_word c,C_word *av) C_noret;
C_noret_decl(f_15155)
static void C_ccall f_15155(C_word c,C_word *av) C_noret;
C_noret_decl(f_15176)
static void C_ccall f_15176(C_word c,C_word *av) C_noret;
C_noret_decl(f_15190)
static void C_ccall f_15190(C_word c,C_word *av) C_noret;
C_noret_decl(f_15194)
static void C_ccall f_15194(C_word c,C_word *av) C_noret;
C_noret_decl(f_15231)
static void C_ccall f_15231(C_word c,C_word *av) C_noret;
C_noret_decl(f_15239)
static void C_ccall f_15239(C_word c,C_word *av) C_noret;
C_noret_decl(f_15266)
static void C_ccall f_15266(C_word c,C_word *av) C_noret;
C_noret_decl(f_15269)
static void C_ccall f_15269(C_word c,C_word *av) C_noret;
C_noret_decl(f_15284)
static void C_ccall f_15284(C_word c,C_word *av) C_noret;
C_noret_decl(f_15287)
static void C_fcall f_15287(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15294)
static void C_ccall f_15294(C_word c,C_word *av) C_noret;
C_noret_decl(f_15305)
static void C_ccall f_15305(C_word c,C_word *av) C_noret;
C_noret_decl(f_15320)
static void C_ccall f_15320(C_word c,C_word *av) C_noret;
C_noret_decl(f_15345)
static void C_fcall f_15345(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15360)
static void C_ccall f_15360(C_word c,C_word *av) C_noret;
C_noret_decl(f_15383)
static void C_fcall f_15383(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15386)
static C_word C_fcall f_15386(C_word t0);
C_noret_decl(f_15396)
static void C_fcall f_15396(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15454)
static void C_ccall f_15454(C_word c,C_word *av) C_noret;
C_noret_decl(f_15470)
static void C_fcall f_15470(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15476)
static void C_fcall f_15476(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15539)
static void C_fcall f_15539(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15578)
static void C_fcall f_15578(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15584)
static void C_fcall f_15584(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15628)
static void C_fcall f_15628(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15632)
static void C_ccall f_15632(C_word c,C_word *av) C_noret;
C_noret_decl(f_15635)
static void C_ccall f_15635(C_word c,C_word *av) C_noret;
C_noret_decl(f_15684)
static void C_fcall f_15684(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15699)
static void C_fcall f_15699(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15708)
static void C_ccall f_15708(C_word c,C_word *av) C_noret;
C_noret_decl(f_15745)
static void C_fcall f_15745(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15755)
static void C_ccall f_15755(C_word c,C_word *av) C_noret;
C_noret_decl(f_15764)
static void C_fcall f_15764(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15767)
static void C_fcall f_15767(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15776)
static void C_fcall f_15776(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15785)
static void C_ccall f_15785(C_word c,C_word *av) C_noret;
C_noret_decl(f_15797)
static void C_ccall f_15797(C_word c,C_word *av) C_noret;
C_noret_decl(f_15803)
static void C_fcall f_15803(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15809)
static void C_ccall f_15809(C_word c,C_word *av) C_noret;
C_noret_decl(f_15850)
static void C_ccall f_15850(C_word c,C_word *av) C_noret;
C_noret_decl(f_15957)
static void C_fcall f_15957(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15964)
static void C_fcall f_15964(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15977)
static void C_ccall f_15977(C_word c,C_word *av) C_noret;
C_noret_decl(f_15983)
static void C_fcall f_15983(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16035)
static void C_fcall f_16035(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16050)
static void C_ccall f_16050(C_word c,C_word *av) C_noret;
C_noret_decl(f_16060)
static void C_ccall f_16060(C_word c,C_word *av) C_noret;
C_noret_decl(f_16096)
static void C_ccall f_16096(C_word c,C_word *av) C_noret;
C_noret_decl(f_16122)
static void C_ccall f_16122(C_word c,C_word *av) C_noret;
C_noret_decl(f_16133)
static void C_ccall f_16133(C_word c,C_word *av) C_noret;
C_noret_decl(f_16300)
static void C_fcall f_16300(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_16315)
static void C_fcall f_16315(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16341)
static void C_fcall f_16341(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16373)
static void C_fcall f_16373(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16410)
static void C_ccall f_16410(C_word c,C_word *av) C_noret;
C_noret_decl(f_16434)
static void C_fcall f_16434(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16484)
static void C_ccall f_16484(C_word c,C_word *av) C_noret;
C_noret_decl(f_16532)
static void C_ccall f_16532(C_word c,C_word *av) C_noret;
C_noret_decl(f_16535)
static void C_ccall f_16535(C_word c,C_word *av) C_noret;
C_noret_decl(f_16554)
static void C_fcall f_16554(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16624)
static void C_ccall f_16624(C_word c,C_word *av) C_noret;
C_noret_decl(f_16645)
static void C_fcall f_16645(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16692)
static void C_ccall f_16692(C_word c,C_word *av) C_noret;
C_noret_decl(f_16784)
static void C_ccall f_16784(C_word c,C_word *av) C_noret;
C_noret_decl(f_16794)
static void C_ccall f_16794(C_word c,C_word *av) C_noret;
C_noret_decl(f_16803)
static void C_fcall f_16803(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
C_noret_decl(f_16810)
static void C_fcall f_16810(C_word t0,C_word t1) C_noret;
C_noret_decl(f_17039)
static void C_ccall f_17039(C_word c,C_word *av) C_noret;
C_noret_decl(f_17085)
static void C_ccall f_17085(C_word c,C_word *av) C_noret;
C_noret_decl(f_17088)
static void C_fcall f_17088(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_17115)
static void C_fcall f_17115(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17139)
static void C_ccall f_17139(C_word c,C_word *av) C_noret;
C_noret_decl(f_17156)
static void C_fcall f_17156(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_17255)
static void C_ccall f_17255(C_word c,C_word *av) C_noret;
C_noret_decl(f_17258)
static void C_ccall f_17258(C_word c,C_word *av) C_noret;
C_noret_decl(f_17267)
static C_word C_fcall f_17267(C_word t0,C_word t1);
C_noret_decl(f_17294)
static void C_ccall f_17294(C_word c,C_word *av) C_noret;
C_noret_decl(f_17312)
static void C_ccall f_17312(C_word c,C_word *av) C_noret;
C_noret_decl(f_17332)
static void C_ccall f_17332(C_word c,C_word *av) C_noret;
C_noret_decl(f_17336)
static void C_ccall f_17336(C_word c,C_word *av) C_noret;
C_noret_decl(f_17338)
static void C_ccall f_17338(C_word c,C_word *av) C_noret;
C_noret_decl(f_17356)
static void C_ccall f_17356(C_word c,C_word *av) C_noret;
C_noret_decl(f_17379)
static void C_ccall f_17379(C_word c,C_word *av) C_noret;
C_noret_decl(f_17387)
static void C_ccall f_17387(C_word c,C_word *av) C_noret;
C_noret_decl(f_17392)
static void C_ccall f_17392(C_word c,C_word *av) C_noret;
C_noret_decl(f_17403)
static void C_ccall f_17403(C_word c,C_word *av) C_noret;
C_noret_decl(f_17405)
static void C_ccall f_17405(C_word c,C_word *av) C_noret;
C_noret_decl(f_17416)
static void C_ccall f_17416(C_word c,C_word *av) C_noret;
C_noret_decl(f_17418)
static void C_ccall f_17418(C_word c,C_word *av) C_noret;
C_noret_decl(f_17429)
static void C_ccall f_17429(C_word c,C_word *av) C_noret;
C_noret_decl(f_17431)
static void C_ccall f_17431(C_word c,C_word *av) C_noret;
C_noret_decl(f_17448)
static void C_ccall f_17448(C_word c,C_word *av) C_noret;
C_noret_decl(f_17452)
static void C_ccall f_17452(C_word c,C_word *av) C_noret;
C_noret_decl(f_17456)
static void C_ccall f_17456(C_word c,C_word *av) C_noret;
C_noret_decl(f_17465)
static void C_ccall f_17465(C_word c,C_word *av) C_noret;
C_noret_decl(f_17485)
static void C_ccall f_17485(C_word c,C_word *av) C_noret;
C_noret_decl(f_17493)
static void C_ccall f_17493(C_word c,C_word *av) C_noret;
C_noret_decl(f_17508)
static void C_ccall f_17508(C_word c,C_word *av) C_noret;
C_noret_decl(f_17510)
static void C_fcall f_17510(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17535)
static void C_ccall f_17535(C_word c,C_word *av) C_noret;
C_noret_decl(f_17544)
static void C_ccall f_17544(C_word c,C_word *av) C_noret;
C_noret_decl(f_17553)
static void C_ccall f_17553(C_word c,C_word *av) C_noret;
C_noret_decl(f_17564)
static void C_ccall f_17564(C_word c,C_word *av) C_noret;
C_noret_decl(f_17574)
static void C_ccall f_17574(C_word c,C_word *av) C_noret;
C_noret_decl(f_17581)
static void C_ccall f_17581(C_word c,C_word *av) C_noret;
C_noret_decl(f_17592)
static void C_ccall f_17592(C_word c,C_word *av) C_noret;
C_noret_decl(f_17620)
static void C_ccall f_17620(C_word c,C_word *av) C_noret;
C_noret_decl(f_17624)
static void C_ccall f_17624(C_word c,C_word *av) C_noret;
C_noret_decl(f_17626)
static void C_ccall f_17626(C_word c,C_word *av) C_noret;
C_noret_decl(f_17630)
static void C_ccall f_17630(C_word c,C_word *av) C_noret;
C_noret_decl(f_17635)
static void C_ccall f_17635(C_word c,C_word *av) C_noret;
C_noret_decl(f_17641)
static void C_ccall f_17641(C_word c,C_word *av) C_noret;
C_noret_decl(f_17645)
static void C_ccall f_17645(C_word c,C_word *av) C_noret;
C_noret_decl(f_17650)
static void C_ccall f_17650(C_word c,C_word *av) C_noret;
C_noret_decl(f_17660)
static void C_ccall f_17660(C_word c,C_word *av) C_noret;
C_noret_decl(f_17662)
static void C_ccall f_17662(C_word c,C_word *av) C_noret;
C_noret_decl(f_17666)
static void C_ccall f_17666(C_word c,C_word *av) C_noret;
C_noret_decl(f_17672)
static void C_ccall f_17672(C_word c,C_word *av) C_noret;
C_noret_decl(f_17674)
static void C_ccall f_17674(C_word c,C_word *av) C_noret;
C_noret_decl(f_17678)
static void C_ccall f_17678(C_word c,C_word *av) C_noret;
C_noret_decl(f_17681)
static void C_ccall f_17681(C_word c,C_word *av) C_noret;
C_noret_decl(f_17697)
static void C_ccall f_17697(C_word c,C_word *av) C_noret;
C_noret_decl(f_17701)
static void C_ccall f_17701(C_word c,C_word *av) C_noret;
C_noret_decl(f_17704)
static void C_ccall f_17704(C_word c,C_word *av) C_noret;
C_noret_decl(f_17726)
static void C_ccall f_17726(C_word c,C_word *av) C_noret;
C_noret_decl(f_17742)
static void C_ccall f_17742(C_word c,C_word *av) C_noret;
C_noret_decl(f_17747)
static C_word C_fcall f_17747(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_17778)
static void C_ccall f_17778(C_word c,C_word *av) C_noret;
C_noret_decl(f_17787)
static void C_fcall f_17787(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17805)
static void C_ccall f_17805(C_word c,C_word *av) C_noret;
C_noret_decl(f_17811)
static void C_ccall f_17811(C_word c,C_word *av) C_noret;
C_noret_decl(f_17817)
static void C_ccall f_17817(C_word c,C_word *av) C_noret;
C_noret_decl(f_17826)
static C_word C_fcall f_17826(C_word t0,C_word t1);
C_noret_decl(f_17845)
static void C_ccall f_17845(C_word c,C_word *av) C_noret;
C_noret_decl(f_17861)
static void C_fcall f_17861(C_word t0,C_word t1) C_noret;
C_noret_decl(f_17864)
static void C_ccall f_17864(C_word c,C_word *av) C_noret;
C_noret_decl(f_17867)
static void C_ccall f_17867(C_word c,C_word *av) C_noret;
C_noret_decl(f_17872)
static C_word C_fcall f_17872(C_word t0,C_word t1);
C_noret_decl(f_17914)
static void C_ccall f_17914(C_word c,C_word *av) C_noret;
C_noret_decl(f_17933)
static void C_ccall f_17933(C_word c,C_word *av) C_noret;
C_noret_decl(f_17936)
static void C_ccall f_17936(C_word c,C_word *av) C_noret;
C_noret_decl(f_17939)
static void C_ccall f_17939(C_word c,C_word *av) C_noret;
C_noret_decl(f_17944)
static C_word C_fcall f_17944(C_word t0,C_word t1);
C_noret_decl(f_17985)
static void C_ccall f_17985(C_word c,C_word *av) C_noret;
C_noret_decl(f_17995)
static void C_ccall f_17995(C_word c,C_word *av) C_noret;
C_noret_decl(f_18006)
static void C_fcall f_18006(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_18010)
static void C_ccall f_18010(C_word c,C_word *av) C_noret;
C_noret_decl(f_18013)
static void C_ccall f_18013(C_word c,C_word *av) C_noret;
C_noret_decl(f_18018)
static C_word C_fcall f_18018(C_word t0,C_word t1);
C_noret_decl(f_18045)
static void C_ccall f_18045(C_word c,C_word *av) C_noret;
C_noret_decl(f_18059)
static void C_ccall f_18059(C_word c,C_word *av) C_noret;
C_noret_decl(f_18070)
static void C_ccall f_18070(C_word c,C_word *av) C_noret;
C_noret_decl(f_18081)
static void C_ccall f_18081(C_word c,C_word *av) C_noret;
C_noret_decl(f_18092)
static void C_ccall f_18092(C_word c,C_word *av) C_noret;
C_noret_decl(f_18105)
static void C_ccall f_18105(C_word c,C_word *av) C_noret;
C_noret_decl(f_18107)
static void C_fcall f_18107(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18120)
static C_word C_fcall f_18120(C_word t0,C_word t1);
C_noret_decl(f_18148)
static void C_ccall f_18148(C_word c,C_word *av) C_noret;
C_noret_decl(f_18152)
static void C_fcall f_18152(C_word t0,C_word t1) C_noret;
C_noret_decl(f_18161)
static void C_ccall f_18161(C_word c,C_word *av) C_noret;
C_noret_decl(f_18179)
static void C_ccall f_18179(C_word c,C_word *av) C_noret;
C_noret_decl(f_18182)
static void C_ccall f_18182(C_word c,C_word *av) C_noret;
C_noret_decl(f_18265)
static void C_ccall f_18265(C_word c,C_word *av) C_noret;
C_noret_decl(f_18268)
static void C_ccall f_18268(C_word c,C_word *av) C_noret;
C_noret_decl(f_18271)
static void C_ccall f_18271(C_word c,C_word *av) C_noret;
C_noret_decl(f_18274)
static void C_ccall f_18274(C_word c,C_word *av) C_noret;
C_noret_decl(f_18277)
static void C_ccall f_18277(C_word c,C_word *av) C_noret;
C_noret_decl(f_18280)
static void C_ccall f_18280(C_word c,C_word *av) C_noret;
C_noret_decl(f_18283)
static void C_ccall f_18283(C_word c,C_word *av) C_noret;
C_noret_decl(f_18286)
static void C_ccall f_18286(C_word c,C_word *av) C_noret;
C_noret_decl(f_18289)
static void C_ccall f_18289(C_word c,C_word *av) C_noret;
C_noret_decl(f_18292)
static void C_ccall f_18292(C_word c,C_word *av) C_noret;
C_noret_decl(f_18295)
static void C_ccall f_18295(C_word c,C_word *av) C_noret;
C_noret_decl(f_18298)
static void C_ccall f_18298(C_word c,C_word *av) C_noret;
C_noret_decl(f_18301)
static void C_ccall f_18301(C_word c,C_word *av) C_noret;
C_noret_decl(f_18304)
static void C_ccall f_18304(C_word c,C_word *av) C_noret;
C_noret_decl(f_18309)
static void C_ccall f_18309(C_word c,C_word *av) C_noret;
C_noret_decl(f_18315)
static void C_fcall f_18315(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18331)
static void C_ccall f_18331(C_word c,C_word *av) C_noret;
C_noret_decl(f_18347)
static void C_ccall f_18347(C_word c,C_word *av) C_noret;
C_noret_decl(f_18353)
static void C_fcall f_18353(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18373)
static void C_ccall f_18373(C_word c,C_word *av) C_noret;
C_noret_decl(f_18377)
static void C_ccall f_18377(C_word c,C_word *av) C_noret;
C_noret_decl(f_18389)
static void C_ccall f_18389(C_word c,C_word *av) C_noret;
C_noret_decl(f_18421)
static void C_ccall f_18421(C_word c,C_word *av) C_noret;
C_noret_decl(f_18425)
static void C_ccall f_18425(C_word c,C_word *av) C_noret;
C_noret_decl(f_18433)
static void C_ccall f_18433(C_word c,C_word *av) C_noret;
C_noret_decl(f_18443)
static void C_fcall f_18443(C_word t0,C_word t1) C_noret;
C_noret_decl(f_18451)
static C_word C_fcall f_18451(C_word t0);
C_noret_decl(f_18487)
static void C_ccall f_18487(C_word c,C_word *av) C_noret;
C_noret_decl(f_18502)
static void C_fcall f_18502(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18512)
static void C_ccall f_18512(C_word c,C_word *av) C_noret;
C_noret_decl(f_18532)
static void C_fcall f_18532(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18545)
static void C_ccall f_18545(C_word c,C_word *av) C_noret;
C_noret_decl(f_18552)
static void C_ccall f_18552(C_word c,C_word *av) C_noret;
C_noret_decl(f_18554)
static void C_ccall f_18554(C_word c,C_word *av) C_noret;
C_noret_decl(f_18562)
static void C_ccall f_18562(C_word c,C_word *av) C_noret;
C_noret_decl(f_18564)
static void C_ccall f_18564(C_word c,C_word *av) C_noret;
C_noret_decl(f_18573)
static void C_ccall f_18573(C_word c,C_word *av) C_noret;
C_noret_decl(f_18591)
static void C_fcall f_18591(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18616)
static void C_ccall f_18616(C_word c,C_word *av) C_noret;
C_noret_decl(f_18632)
static void C_fcall f_18632(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18649)
static void C_ccall f_18649(C_word c,C_word *av) C_noret;
C_noret_decl(f_18653)
static void C_ccall f_18653(C_word c,C_word *av) C_noret;
C_noret_decl(f_18657)
static void C_ccall f_18657(C_word c,C_word *av) C_noret;
C_noret_decl(f_18659)
static void C_ccall f_18659(C_word c,C_word *av) C_noret;
C_noret_decl(f_18667)
static void C_ccall f_18667(C_word c,C_word *av) C_noret;
C_noret_decl(f_18669)
static void C_ccall f_18669(C_word c,C_word *av) C_noret;
C_noret_decl(f_18676)
static void C_ccall f_18676(C_word c,C_word *av) C_noret;
C_noret_decl(f_18680)
static void C_ccall f_18680(C_word c,C_word *av) C_noret;
C_noret_decl(f_18684)
static void C_ccall f_18684(C_word c,C_word *av) C_noret;
C_noret_decl(f_18693)
static void C_ccall f_18693(C_word c,C_word *av) C_noret;
C_noret_decl(f_18701)
static void C_ccall f_18701(C_word c,C_word *av) C_noret;
C_noret_decl(f_18711)
static void C_ccall f_18711(C_word c,C_word *av) C_noret;
C_noret_decl(f_18717)
static void C_ccall f_18717(C_word c,C_word *av) C_noret;
C_noret_decl(f_18720)
static void C_ccall f_18720(C_word c,C_word *av) C_noret;
C_noret_decl(f_18724)
static void C_ccall f_18724(C_word c,C_word *av) C_noret;
C_noret_decl(f_18751)
static void C_fcall f_18751(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18767)
static void C_ccall f_18767(C_word c,C_word *av) C_noret;
C_noret_decl(f_18773)
static void C_ccall f_18773(C_word c,C_word *av) C_noret;
C_noret_decl(f_18796)
static void C_ccall f_18796(C_word c,C_word *av) C_noret;
C_noret_decl(f_18809)
static void C_ccall f_18809(C_word c,C_word *av) C_noret;
C_noret_decl(f_18815)
static void C_ccall f_18815(C_word c,C_word *av) C_noret;
C_noret_decl(f_18820)
static void C_ccall f_18820(C_word c,C_word *av) C_noret;
C_noret_decl(f_18825)
static void C_ccall f_18825(C_word c,C_word *av) C_noret;
C_noret_decl(f_18829)
static void C_ccall f_18829(C_word c,C_word *av) C_noret;
C_noret_decl(f_18838)
static void C_ccall f_18838(C_word c,C_word *av) C_noret;
C_noret_decl(f_18869)
static void C_ccall f_18869(C_word c,C_word *av) C_noret;
C_noret_decl(f_18873)
static void C_ccall f_18873(C_word c,C_word *av) C_noret;
C_noret_decl(f_18877)
static void C_ccall f_18877(C_word c,C_word *av) C_noret;
C_noret_decl(f_18880)
static void C_ccall f_18880(C_word c,C_word *av) C_noret;
C_noret_decl(f_18883)
static void C_ccall f_18883(C_word c,C_word *av) C_noret;
C_noret_decl(f_18886)
static void C_ccall f_18886(C_word c,C_word *av) C_noret;
C_noret_decl(f_18888)
static void C_ccall f_18888(C_word c,C_word *av) C_noret;
C_noret_decl(f_18899)
static void C_ccall f_18899(C_word c,C_word *av) C_noret;
C_noret_decl(f_18910)
static void C_ccall f_18910(C_word c,C_word *av) C_noret;
C_noret_decl(f_18921)
static void C_ccall f_18921(C_word c,C_word *av) C_noret;
C_noret_decl(f_18932)
static void C_ccall f_18932(C_word c,C_word *av) C_noret;
C_noret_decl(f_18945)
static void C_ccall f_18945(C_word c,C_word *av) C_noret;
C_noret_decl(f_18947)
static C_word C_fcall f_18947(C_word t0,C_word t1);
C_noret_decl(f_18953)
static C_word C_fcall f_18953(C_word t0);
C_noret_decl(f_18958)
static C_word C_fcall f_18958(C_word t0);
C_noret_decl(f_18993)
static void C_ccall f_18993(C_word c,C_word *av) C_noret;
C_noret_decl(f_19006)
static void C_ccall f_19006(C_word c,C_word *av) C_noret;
C_noret_decl(f_19008)
static C_word C_fcall f_19008(C_word t0,C_word t1);
C_noret_decl(f_19014)
static C_word C_fcall f_19014(C_word t0);
C_noret_decl(f_19019)
static C_word C_fcall f_19019(C_word t0);
C_noret_decl(f_19054)
static void C_ccall f_19054(C_word c,C_word *av) C_noret;
C_noret_decl(f_19067)
static void C_ccall f_19067(C_word c,C_word *av) C_noret;
C_noret_decl(f_19069)
static C_word C_fcall f_19069(C_word t0,C_word t1);
C_noret_decl(f_19075)
static C_word C_fcall f_19075(C_word t0);
C_noret_decl(f_19080)
static C_word C_fcall f_19080(C_word t0);
C_noret_decl(f_19115)
static void C_ccall f_19115(C_word c,C_word *av) C_noret;
C_noret_decl(f_19127)
static void C_ccall f_19127(C_word c,C_word *av) C_noret;
C_noret_decl(f_19129)
static void C_ccall f_19129(C_word c,C_word *av) C_noret;
C_noret_decl(f_19135)
static void C_ccall f_19135(C_word c,C_word *av) C_noret;
C_noret_decl(f_19141)
static void C_fcall f_19141(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_19151)
static void C_ccall f_19151(C_word c,C_word *av) C_noret;
C_noret_decl(f_19154)
static void C_ccall f_19154(C_word c,C_word *av) C_noret;
C_noret_decl(f_19157)
static void C_ccall f_19157(C_word c,C_word *av) C_noret;
C_noret_decl(f_19160)
static void C_ccall f_19160(C_word c,C_word *av) C_noret;
C_noret_decl(f_19163)
static void C_ccall f_19163(C_word c,C_word *av) C_noret;
C_noret_decl(f_19170)
static void C_ccall f_19170(C_word c,C_word *av) C_noret;
C_noret_decl(f_19174)
static void C_ccall f_19174(C_word c,C_word *av) C_noret;
C_noret_decl(f_19178)
static void C_ccall f_19178(C_word c,C_word *av) C_noret;
C_noret_decl(f_19184)
static void C_fcall f_19184(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19197)
static void C_ccall f_19197(C_word c,C_word *av) C_noret;
C_noret_decl(f_19239)
static void C_fcall f_19239(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_19243)
static void C_ccall f_19243(C_word c,C_word *av) C_noret;
C_noret_decl(f_19276)
static void C_ccall f_19276(C_word c,C_word *av) C_noret;
C_noret_decl(f_19282)
static void C_ccall f_19282(C_word c,C_word *av) C_noret;
C_noret_decl(f_19288)
static void C_ccall f_19288(C_word c,C_word *av) C_noret;
C_noret_decl(f_19294)
static void C_ccall f_19294(C_word c,C_word *av) C_noret;
C_noret_decl(f_19300)
static void C_ccall f_19300(C_word c,C_word *av) C_noret;
C_noret_decl(f_19304)
static void C_ccall f_19304(C_word c,C_word *av) C_noret;
C_noret_decl(f_19309)
static void C_ccall f_19309(C_word c,C_word *av) C_noret;
C_noret_decl(f_19315)
static void C_ccall f_19315(C_word c,C_word *av) C_noret;
C_noret_decl(f_19319)
static void C_ccall f_19319(C_word c,C_word *av) C_noret;
C_noret_decl(f_19324)
static void C_ccall f_19324(C_word c,C_word *av) C_noret;
C_noret_decl(f_19328)
static void C_ccall f_19328(C_word c,C_word *av) C_noret;
C_noret_decl(f_19333)
static void C_ccall f_19333(C_word c,C_word *av) C_noret;
C_noret_decl(f_19339)
static void C_ccall f_19339(C_word c,C_word *av) C_noret;
C_noret_decl(f_19343)
static void C_ccall f_19343(C_word c,C_word *av) C_noret;
C_noret_decl(f_19348)
static void C_ccall f_19348(C_word c,C_word *av) C_noret;
C_noret_decl(f_19352)
static void C_ccall f_19352(C_word c,C_word *av) C_noret;
C_noret_decl(f_19357)
static void C_ccall f_19357(C_word c,C_word *av) C_noret;
C_noret_decl(f_19362)
static void C_ccall f_19362(C_word c,C_word *av) C_noret;
C_noret_decl(f_19368)
static void C_ccall f_19368(C_word c,C_word *av) C_noret;
C_noret_decl(f_19372)
static void C_ccall f_19372(C_word c,C_word *av) C_noret;
C_noret_decl(f_19377)
static void C_ccall f_19377(C_word c,C_word *av) C_noret;
C_noret_decl(f_19382)
static void C_ccall f_19382(C_word c,C_word *av) C_noret;
C_noret_decl(f_19386)
static void C_ccall f_19386(C_word c,C_word *av) C_noret;
C_noret_decl(f_19391)
static void C_ccall f_19391(C_word c,C_word *av) C_noret;
C_noret_decl(f_19396)
static void C_ccall f_19396(C_word c,C_word *av) C_noret;
C_noret_decl(f_19402)
static void C_ccall f_19402(C_word c,C_word *av) C_noret;
C_noret_decl(f_19406)
static void C_ccall f_19406(C_word c,C_word *av) C_noret;
C_noret_decl(f_19411)
static void C_ccall f_19411(C_word c,C_word *av) C_noret;
C_noret_decl(f_19416)
static void C_ccall f_19416(C_word c,C_word *av) C_noret;
C_noret_decl(f_19421)
static void C_ccall f_19421(C_word c,C_word *av) C_noret;
C_noret_decl(f_19442)
static void C_ccall f_19442(C_word c,C_word *av) C_noret;
C_noret_decl(f_19449)
static void C_ccall f_19449(C_word c,C_word *av) C_noret;
C_noret_decl(f_19455)
static void C_ccall f_19455(C_word c,C_word *av) C_noret;
C_noret_decl(f_19473)
static void C_ccall f_19473(C_word c,C_word *av) C_noret;
C_noret_decl(f_19482)
static void C_ccall f_19482(C_word c,C_word *av) C_noret;
C_noret_decl(f_19495)
static void C_fcall f_19495(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19503)
static void C_ccall f_19503(C_word c,C_word *av) C_noret;
C_noret_decl(f_19508)
static void C_fcall f_19508(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19545)
static void C_ccall f_19545(C_word c,C_word *av) C_noret;
C_noret_decl(f_19557)
static void C_ccall f_19557(C_word c,C_word *av) C_noret;
C_noret_decl(f_19567)
static void C_fcall f_19567(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19583)
static void C_ccall f_19583(C_word c,C_word *av) C_noret;
C_noret_decl(f_19596)
static void C_ccall f_19596(C_word c,C_word *av) C_noret;
C_noret_decl(f_19603)
static void C_ccall f_19603(C_word c,C_word *av) C_noret;
C_noret_decl(f_19605)
static void C_ccall f_19605(C_word c,C_word *av) C_noret;
C_noret_decl(f_19618)
static void C_ccall f_19618(C_word c,C_word *av) C_noret;
C_noret_decl(f_19624)
static void C_ccall f_19624(C_word c,C_word *av) C_noret;
C_noret_decl(f_19631)
static void C_ccall f_19631(C_word c,C_word *av) C_noret;
C_noret_decl(f_19633)
static void C_ccall f_19633(C_word c,C_word *av) C_noret;
C_noret_decl(f_19637)
static void C_ccall f_19637(C_word c,C_word *av) C_noret;
C_noret_decl(f_19640)
static void C_ccall f_19640(C_word c,C_word *av) C_noret;
C_noret_decl(f_19650)
static void C_ccall f_19650(C_word c,C_word *av) C_noret;
C_noret_decl(f_19654)
static void C_ccall f_19654(C_word c,C_word *av) C_noret;
C_noret_decl(f_19662)
static void C_ccall f_19662(C_word c,C_word *av) C_noret;
C_noret_decl(f_19665)
static void C_ccall f_19665(C_word c,C_word *av) C_noret;
C_noret_decl(f_19672)
static void C_ccall f_19672(C_word c,C_word *av) C_noret;
C_noret_decl(f_19675)
static void C_ccall f_19675(C_word c,C_word *av) C_noret;
C_noret_decl(f_19678)
static void C_ccall f_19678(C_word c,C_word *av) C_noret;
C_noret_decl(f_19681)
static void C_ccall f_19681(C_word c,C_word *av) C_noret;
C_noret_decl(f_19689)
static void C_ccall f_19689(C_word c,C_word *av) C_noret;
C_noret_decl(f_19697)
static void C_ccall f_19697(C_word c,C_word *av) C_noret;
C_noret_decl(f_19699)
static void C_ccall f_19699(C_word c,C_word *av) C_noret;
C_noret_decl(f_19715)
static void C_ccall f_19715(C_word c,C_word *av) C_noret;
C_noret_decl(f_19742)
static void C_ccall f_19742(C_word c,C_word *av) C_noret;
C_noret_decl(f_19746)
static void C_ccall f_19746(C_word c,C_word *av) C_noret;
C_noret_decl(f_19750)
static void C_ccall f_19750(C_word c,C_word *av) C_noret;
C_noret_decl(f_19754)
static void C_ccall f_19754(C_word c,C_word *av) C_noret;
C_noret_decl(f_19758)
static void C_ccall f_19758(C_word c,C_word *av) C_noret;
C_noret_decl(f_19762)
static void C_ccall f_19762(C_word c,C_word *av) C_noret;
C_noret_decl(f_19766)
static void C_ccall f_19766(C_word c,C_word *av) C_noret;
C_noret_decl(f_19770)
static void C_ccall f_19770(C_word c,C_word *av) C_noret;
C_noret_decl(f_19774)
static void C_ccall f_19774(C_word c,C_word *av) C_noret;
C_noret_decl(f_19778)
static void C_ccall f_19778(C_word c,C_word *av) C_noret;
C_noret_decl(f_19782)
static void C_ccall f_19782(C_word c,C_word *av) C_noret;
C_noret_decl(f_19786)
static void C_ccall f_19786(C_word c,C_word *av) C_noret;
C_noret_decl(f_19790)
static void C_ccall f_19790(C_word c,C_word *av) C_noret;
C_noret_decl(f_19794)
static void C_ccall f_19794(C_word c,C_word *av) C_noret;
C_noret_decl(f_19798)
static void C_ccall f_19798(C_word c,C_word *av) C_noret;
C_noret_decl(f_19802)
static void C_ccall f_19802(C_word c,C_word *av) C_noret;
C_noret_decl(f_19806)
static void C_ccall f_19806(C_word c,C_word *av) C_noret;
C_noret_decl(f_19813)
static void C_ccall f_19813(C_word c,C_word *av) C_noret;
C_noret_decl(f_19820)
static void C_ccall f_19820(C_word c,C_word *av) C_noret;
C_noret_decl(f_19821)
static void C_fcall f_19821(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
C_noret_decl(f_19825)
static void C_fcall f_19825(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19828)
static void C_ccall f_19828(C_word c,C_word *av) C_noret;
C_noret_decl(f_19844)
static void C_ccall f_19844(C_word c,C_word *av) C_noret;
C_noret_decl(f_19855)
static void C_fcall f_19855(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19863)
static void C_ccall f_19863(C_word c,C_word *av) C_noret;
C_noret_decl(f_19875)
static void C_fcall f_19875(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_19884)
static void C_fcall f_19884(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19889)
static void C_fcall f_19889(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19945)
static void C_ccall f_19945(C_word c,C_word *av) C_noret;
C_noret_decl(f_19959)
static void C_ccall f_19959(C_word c,C_word *av) C_noret;
C_noret_decl(f_19971)
static void C_ccall f_19971(C_word c,C_word *av) C_noret;
C_noret_decl(f_19977)
static void C_ccall f_19977(C_word c,C_word *av) C_noret;
C_noret_decl(f_20002)
static void C_ccall f_20002(C_word c,C_word *av) C_noret;
C_noret_decl(f_20020)
static void C_ccall f_20020(C_word c,C_word *av) C_noret;
C_noret_decl(f_20024)
static void C_ccall f_20024(C_word c,C_word *av) C_noret;
C_noret_decl(f_20080)
static void C_ccall f_20080(C_word c,C_word *av) C_noret;
C_noret_decl(f_20089)
static void C_ccall f_20089(C_word c,C_word *av) C_noret;
C_noret_decl(f_20102)
static void C_ccall f_20102(C_word c,C_word *av) C_noret;
C_noret_decl(f_20114)
static void C_ccall f_20114(C_word c,C_word *av) C_noret;
C_noret_decl(f_20132)
static void C_ccall f_20132(C_word c,C_word *av) C_noret;
C_noret_decl(f_20153)
static void C_ccall f_20153(C_word c,C_word *av) C_noret;
C_noret_decl(f_20156)
static void C_ccall f_20156(C_word c,C_word *av) C_noret;
C_noret_decl(f_20159)
static void C_ccall f_20159(C_word c,C_word *av) C_noret;
C_noret_decl(f_20167)
static void C_ccall f_20167(C_word c,C_word *av) C_noret;
C_noret_decl(f_20171)
static void C_ccall f_20171(C_word c,C_word *av) C_noret;
C_noret_decl(f_20175)
static void C_ccall f_20175(C_word c,C_word *av) C_noret;
C_noret_decl(f_20179)
static void C_ccall f_20179(C_word c,C_word *av) C_noret;
C_noret_decl(f_20183)
static void C_ccall f_20183(C_word c,C_word *av) C_noret;
C_noret_decl(f_20185)
static void C_ccall f_20185(C_word c,C_word *av) C_noret;
C_noret_decl(f_20193)
static void C_ccall f_20193(C_word c,C_word *av) C_noret;
C_noret_decl(f_20196)
static void C_ccall f_20196(C_word c,C_word *av) C_noret;
C_noret_decl(f_20206)
static void C_ccall f_20206(C_word c,C_word *av) C_noret;
C_noret_decl(f_20208)
static void C_ccall f_20208(C_word c,C_word *av) C_noret;
C_noret_decl(f_20216)
static void C_ccall f_20216(C_word c,C_word *av) C_noret;
C_noret_decl(f_20219)
static void C_ccall f_20219(C_word c,C_word *av) C_noret;
C_noret_decl(f_20229)
static void C_ccall f_20229(C_word c,C_word *av) C_noret;
C_noret_decl(f_20234)
static void C_ccall f_20234(C_word c,C_word *av) C_noret;
C_noret_decl(f_20238)
static void C_ccall f_20238(C_word c,C_word *av) C_noret;
C_noret_decl(f_20241)
static void C_ccall f_20241(C_word c,C_word *av) C_noret;
C_noret_decl(f_20244)
static void C_ccall f_20244(C_word c,C_word *av) C_noret;
C_noret_decl(f_20247)
static void C_ccall f_20247(C_word c,C_word *av) C_noret;
C_noret_decl(f_20250)
static void C_ccall f_20250(C_word c,C_word *av) C_noret;
C_noret_decl(f_20252)
static void C_ccall f_20252(C_word c,C_word *av) C_noret;
C_noret_decl(f_20258)
static void C_fcall f_20258(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_20267)
static void C_fcall f_20267(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20275)
static void C_ccall f_20275(C_word c,C_word *av) C_noret;
C_noret_decl(f_20277)
static void C_fcall f_20277(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20284)
static void C_fcall f_20284(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20291)
static void C_ccall f_20291(C_word c,C_word *av) C_noret;
C_noret_decl(f_20304)
static void C_fcall f_20304(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20308)
static void C_ccall f_20308(C_word c,C_word *av) C_noret;
C_noret_decl(f_20313)
static void C_fcall f_20313(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20317)
static void C_ccall f_20317(C_word c,C_word *av) C_noret;
C_noret_decl(f_20328)
static void C_fcall f_20328(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20331)
static void C_fcall f_20331(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20339)
static void C_ccall f_20339(C_word c,C_word *av) C_noret;
C_noret_decl(f_20341)
static void C_fcall f_20341(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20354)
static void C_ccall f_20354(C_word c,C_word *av) C_noret;
C_noret_decl(f_20361)
static void C_ccall f_20361(C_word c,C_word *av) C_noret;
C_noret_decl(f_20370)
static void C_ccall f_20370(C_word c,C_word *av) C_noret;
C_noret_decl(f_20377)
static void C_ccall f_20377(C_word c,C_word *av) C_noret;
C_noret_decl(f_20379)
static void C_fcall f_20379(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_20385)
static void C_fcall f_20385(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20395)
static void C_ccall f_20395(C_word c,C_word *av) C_noret;
C_noret_decl(f_20398)
static void C_ccall f_20398(C_word c,C_word *av) C_noret;
C_noret_decl(f_20408)
static void C_ccall f_20408(C_word c,C_word *av) C_noret;
C_noret_decl(f_20411)
static void C_ccall f_20411(C_word c,C_word *av) C_noret;
C_noret_decl(f_20439)
static void C_fcall f_20439(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20443)
static void C_ccall f_20443(C_word c,C_word *av) C_noret;
C_noret_decl(f_20451)
static void C_fcall f_20451(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20476)
static void C_fcall f_20476(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20484)
static void C_ccall f_20484(C_word c,C_word *av) C_noret;
C_noret_decl(f_20486)
static void C_fcall f_20486(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20503)
static void C_ccall f_20503(C_word c,C_word *av) C_noret;
C_noret_decl(f_20516)
static void C_ccall f_20516(C_word c,C_word *av) C_noret;
C_noret_decl(f_20533)
static void C_ccall f_20533(C_word c,C_word *av) C_noret;
C_noret_decl(f_20550)
static void C_ccall f_20550(C_word c,C_word *av) C_noret;
C_noret_decl(f_20567)
static void C_ccall f_20567(C_word c,C_word *av) C_noret;
C_noret_decl(f_20584)
static void C_ccall f_20584(C_word c,C_word *av) C_noret;
C_noret_decl(f_20605)
static void C_ccall f_20605(C_word c,C_word *av) C_noret;
C_noret_decl(f_20626)
static void C_ccall f_20626(C_word c,C_word *av) C_noret;
C_noret_decl(f_20650)
static void C_ccall f_20650(C_word c,C_word *av) C_noret;
C_noret_decl(f_20658)
static void C_ccall f_20658(C_word c,C_word *av) C_noret;
C_noret_decl(f_20667)
static void C_ccall f_20667(C_word c,C_word *av) C_noret;
C_noret_decl(f_20673)
static void C_ccall f_20673(C_word c,C_word *av) C_noret;
C_noret_decl(f_20679)
static void C_fcall f_20679(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20682)
static void C_ccall f_20682(C_word c,C_word *av) C_noret;
C_noret_decl(f_20685)
static void C_ccall f_20685(C_word c,C_word *av) C_noret;
C_noret_decl(f_20695)
static void C_ccall f_20695(C_word c,C_word *av) C_noret;
C_noret_decl(f_20699)
static void C_ccall f_20699(C_word c,C_word *av) C_noret;
C_noret_decl(f_20716)
static void C_ccall f_20716(C_word c,C_word *av) C_noret;
C_noret_decl(f_20721)
static void C_ccall f_20721(C_word c,C_word *av) C_noret;
C_noret_decl(f_20728)
static void C_ccall f_20728(C_word c,C_word *av) C_noret;
C_noret_decl(f_20732)
static void C_ccall f_20732(C_word c,C_word *av) C_noret;
C_noret_decl(f_20741)
static void C_ccall f_20741(C_word c,C_word *av) C_noret;
C_noret_decl(f_20747)
static void C_ccall f_20747(C_word c,C_word *av) C_noret;
C_noret_decl(f_20757)
static void C_ccall f_20757(C_word c,C_word *av) C_noret;
C_noret_decl(f_20761)
static void C_ccall f_20761(C_word c,C_word *av) C_noret;
C_noret_decl(f_20770)
static void C_fcall f_20770(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20777)
static void C_ccall f_20777(C_word c,C_word *av) C_noret;
C_noret_decl(f_20790)
static void C_fcall f_20790(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20795)
static void C_fcall f_20795(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20812)
static void C_ccall f_20812(C_word c,C_word *av) C_noret;
C_noret_decl(f_20827)
static void C_ccall f_20827(C_word c,C_word *av) C_noret;
C_noret_decl(f_20840)
static void C_ccall f_20840(C_word c,C_word *av) C_noret;
C_noret_decl(f_20862)
static void C_ccall f_20862(C_word c,C_word *av) C_noret;
C_noret_decl(f_20865)
static void C_ccall f_20865(C_word c,C_word *av) C_noret;
C_noret_decl(f_20894)
static void C_fcall f_20894(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20904)
static void C_ccall f_20904(C_word c,C_word *av) C_noret;
C_noret_decl(f_20920)
static void C_ccall f_20920(C_word c,C_word *av) C_noret;
C_noret_decl(f_20931)
static void C_ccall f_20931(C_word c,C_word *av) C_noret;
C_noret_decl(f_20938)
static void C_ccall f_20938(C_word c,C_word *av) C_noret;
C_noret_decl(f_21036)
static void C_ccall f_21036(C_word c,C_word *av) C_noret;
C_noret_decl(f_21042)
static void C_fcall f_21042(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21051)
static void C_fcall f_21051(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21065)
static void C_ccall f_21065(C_word c,C_word *av) C_noret;
C_noret_decl(f_21068)
static void C_ccall f_21068(C_word c,C_word *av) C_noret;
C_noret_decl(f_21079)
static void C_ccall f_21079(C_word c,C_word *av) C_noret;
C_noret_decl(f_21081)
static void C_ccall f_21081(C_word c,C_word *av) C_noret;
C_noret_decl(f_21084)
static void C_ccall f_21084(C_word c,C_word *av) C_noret;
C_noret_decl(f_21101)
static void C_ccall f_21101(C_word c,C_word *av) C_noret;
C_noret_decl(f_21106)
static void C_fcall f_21106(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21110)
static void C_ccall f_21110(C_word c,C_word *av) C_noret;
C_noret_decl(f_21113)
static void C_fcall f_21113(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21116)
static void C_ccall f_21116(C_word c,C_word *av) C_noret;
C_noret_decl(f_21126)
static void C_ccall f_21126(C_word c,C_word *av) C_noret;
C_noret_decl(f_21144)
static void C_ccall f_21144(C_word c,C_word *av) C_noret;
C_noret_decl(f_21147)
static void C_ccall f_21147(C_word c,C_word *av) C_noret;
C_noret_decl(f_21156)
static void C_fcall f_21156(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21159)
static void C_ccall f_21159(C_word c,C_word *av) C_noret;
C_noret_decl(f_21162)
static void C_ccall f_21162(C_word c,C_word *av) C_noret;
C_noret_decl(f_21168)
static void C_ccall f_21168(C_word c,C_word *av) C_noret;
C_noret_decl(f_21181)
static void C_ccall f_21181(C_word c,C_word *av) C_noret;
C_noret_decl(f_21185)
static void C_ccall f_21185(C_word c,C_word *av) C_noret;
C_noret_decl(f_21189)
static void C_ccall f_21189(C_word c,C_word *av) C_noret;
C_noret_decl(f_21200)
static void C_ccall f_21200(C_word c,C_word *av) C_noret;
C_noret_decl(f_21204)
static void C_ccall f_21204(C_word c,C_word *av) C_noret;
C_noret_decl(f_21207)
static void C_ccall f_21207(C_word c,C_word *av) C_noret;
C_noret_decl(f_21235)
static void C_ccall f_21235(C_word c,C_word *av) C_noret;
C_noret_decl(f_21291)
static void C_ccall f_21291(C_word c,C_word *av) C_noret;
C_noret_decl(f_21295)
static void C_ccall f_21295(C_word c,C_word *av) C_noret;
C_noret_decl(f_21302)
static void C_ccall f_21302(C_word c,C_word *av) C_noret;
C_noret_decl(f_21304)
static void C_fcall f_21304(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21308)
static void C_ccall f_21308(C_word c,C_word *av) C_noret;
C_noret_decl(f_21322)
static void C_fcall f_21322(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21328)
static void C_ccall f_21328(C_word c,C_word *av) C_noret;
C_noret_decl(f_21335)
static void C_ccall f_21335(C_word c,C_word *av) C_noret;
C_noret_decl(f_21342)
static void C_ccall f_21342(C_word c,C_word *av) C_noret;
C_noret_decl(f_21357)
static void C_fcall f_21357(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21363)
static void C_ccall f_21363(C_word c,C_word *av) C_noret;
C_noret_decl(f_21392)
static void C_fcall f_21392(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21402)
static void C_ccall f_21402(C_word c,C_word *av) C_noret;
C_noret_decl(f_21405)
static void C_ccall f_21405(C_word c,C_word *av) C_noret;
C_noret_decl(f_21441)
static void C_ccall f_21441(C_word c,C_word *av) C_noret;
C_noret_decl(f_21443)
static void C_fcall f_21443(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21453)
static void C_ccall f_21453(C_word c,C_word *av) C_noret;
C_noret_decl(f_21456)
static void C_ccall f_21456(C_word c,C_word *av) C_noret;
C_noret_decl(f_21508)
static void C_ccall f_21508(C_word c,C_word *av) C_noret;
C_noret_decl(f_21510)
static void C_fcall f_21510(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21518)
static void C_ccall f_21518(C_word c,C_word *av) C_noret;
C_noret_decl(f_21520)
static void C_fcall f_21520(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21530)
static void C_fcall f_21530(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21545)
static void C_ccall f_21545(C_word c,C_word *av) C_noret;
C_noret_decl(f_21552)
static void C_ccall f_21552(C_word c,C_word *av) C_noret;
C_noret_decl(f_21574)
static void C_fcall f_21574(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21582)
static void C_ccall f_21582(C_word c,C_word *av) C_noret;
C_noret_decl(f_21584)
static void C_fcall f_21584(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21594)
static void C_fcall f_21594(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21600)
static void C_ccall f_21600(C_word c,C_word *av) C_noret;
C_noret_decl(f_21607)
static void C_ccall f_21607(C_word c,C_word *av) C_noret;
C_noret_decl(f_21620)
static void C_fcall f_21620(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21626)
static void C_ccall f_21626(C_word c,C_word *av) C_noret;
C_noret_decl(f_21630)
static void C_ccall f_21630(C_word c,C_word *av) C_noret;
C_noret_decl(f_21637)
static void C_ccall f_21637(C_word c,C_word *av) C_noret;
C_noret_decl(f_21645)
static void C_fcall f_21645(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21651)
static void C_fcall f_21651(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21655)
static void C_ccall f_21655(C_word c,C_word *av) C_noret;
C_noret_decl(f_21664)
static void C_fcall f_21664(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21670)
static void C_fcall f_21670(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21677)
static void C_ccall f_21677(C_word c,C_word *av) C_noret;
C_noret_decl(f_21688)
static void C_ccall f_21688(C_word c,C_word *av) C_noret;
C_noret_decl(f_21728)
static void C_ccall f_21728(C_word c,C_word *av) C_noret;
C_noret_decl(f_21737)
static void C_ccall f_21737(C_word c,C_word *av) C_noret;
C_noret_decl(f_21744)
static void C_ccall f_21744(C_word c,C_word *av) C_noret;
C_noret_decl(f_21748)
static void C_ccall f_21748(C_word c,C_word *av) C_noret;
C_noret_decl(f_21752)
static void C_ccall f_21752(C_word c,C_word *av) C_noret;
C_noret_decl(f_21761)
static void C_ccall f_21761(C_word c,C_word *av) C_noret;
C_noret_decl(f_21772)
static void C_ccall f_21772(C_word c,C_word *av) C_noret;
C_noret_decl(f_21810)
static void C_ccall f_21810(C_word c,C_word *av) C_noret;
C_noret_decl(f_21859)
static void C_fcall f_21859(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21863)
static void C_ccall f_21863(C_word c,C_word *av) C_noret;
C_noret_decl(f_21866)
static void C_ccall f_21866(C_word c,C_word *av) C_noret;
C_noret_decl(f_21878)
static void C_ccall f_21878(C_word c,C_word *av) C_noret;
C_noret_decl(f_21898)
static void C_fcall f_21898(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21904)
static void C_ccall f_21904(C_word c,C_word *av) C_noret;
C_noret_decl(f_21914)
static void C_ccall f_21914(C_word c,C_word *av) C_noret;
C_noret_decl(f_22043)
static void C_fcall f_22043(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22050)
static void C_ccall f_22050(C_word c,C_word *av) C_noret;
C_noret_decl(f_22068)
static void C_fcall f_22068(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22074)
static void C_fcall f_22074(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_22078)
static void C_ccall f_22078(C_word c,C_word *av) C_noret;
C_noret_decl(f_22114)
static void C_ccall f_22114(C_word c,C_word *av) C_noret;
C_noret_decl(f_22137)
static void C_ccall f_22137(C_word c,C_word *av) C_noret;
C_noret_decl(f_22155)
static void C_fcall f_22155(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22159)
static void C_ccall f_22159(C_word c,C_word *av) C_noret;
C_noret_decl(f_22162)
static void C_ccall f_22162(C_word c,C_word *av) C_noret;
C_noret_decl(f_22168)
static void C_ccall f_22168(C_word c,C_word *av) C_noret;
C_noret_decl(f_22173)
static void C_fcall f_22173(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_22192)
static void C_fcall f_22192(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22202)
static void C_ccall f_22202(C_word c,C_word *av) C_noret;
C_noret_decl(f_22206)
static void C_ccall f_22206(C_word c,C_word *av) C_noret;
C_noret_decl(f_22210)
static void C_ccall f_22210(C_word c,C_word *av) C_noret;
C_noret_decl(f_22221)
static void C_ccall f_22221(C_word c,C_word *av) C_noret;
C_noret_decl(f_22247)
static void C_fcall f_22247(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_22255)
static void C_ccall f_22255(C_word c,C_word *av) C_noret;
C_noret_decl(f_22259)
static void C_ccall f_22259(C_word c,C_word *av) C_noret;
C_noret_decl(f_22262)
static void C_ccall f_22262(C_word c,C_word *av) C_noret;
C_noret_decl(f_22265)
static void C_ccall f_22265(C_word c,C_word *av) C_noret;
C_noret_decl(f_22271)
static void C_fcall f_22271(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22279)
static void C_ccall f_22279(C_word c,C_word *av) C_noret;
C_noret_decl(f_22285)
static void C_ccall f_22285(C_word c,C_word *av) C_noret;
C_noret_decl(f_22307)
static void C_ccall f_22307(C_word c,C_word *av) C_noret;
C_noret_decl(f_22314)
static void C_ccall f_22314(C_word c,C_word *av) C_noret;
C_noret_decl(f_22323)
static void C_ccall f_22323(C_word c,C_word *av) C_noret;
C_noret_decl(f_22330)
static void C_ccall f_22330(C_word c,C_word *av) C_noret;
C_noret_decl(f_22339)
static void C_ccall f_22339(C_word c,C_word *av) C_noret;
C_noret_decl(f_22348)
static void C_ccall f_22348(C_word c,C_word *av) C_noret;
C_noret_decl(f_22355)
static void C_ccall f_22355(C_word c,C_word *av) C_noret;
C_noret_decl(f_22362)
static void C_ccall f_22362(C_word c,C_word *av) C_noret;
C_noret_decl(f_22366)
static void C_ccall f_22366(C_word c,C_word *av) C_noret;
C_noret_decl(f_22375)
static void C_ccall f_22375(C_word c,C_word *av) C_noret;
C_noret_decl(f_22378)
static void C_ccall f_22378(C_word c,C_word *av) C_noret;
C_noret_decl(f_22396)
static void C_ccall f_22396(C_word c,C_word *av) C_noret;
C_noret_decl(f_22399)
static void C_ccall f_22399(C_word c,C_word *av) C_noret;
C_noret_decl(f_22405)
static void C_fcall f_22405(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22422)
static void C_ccall f_22422(C_word c,C_word *av) C_noret;
C_noret_decl(f_22428)
static void C_ccall f_22428(C_word c,C_word *av) C_noret;
C_noret_decl(f_22456)
static void C_ccall f_22456(C_word c,C_word *av) C_noret;
C_noret_decl(f_22479)
static void C_ccall f_22479(C_word c,C_word *av) C_noret;
C_noret_decl(f_22485)
static void C_fcall f_22485(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22493)
static void C_ccall f_22493(C_word c,C_word *av) C_noret;
C_noret_decl(f_22499)
static void C_ccall f_22499(C_word c,C_word *av) C_noret;
C_noret_decl(f_22524)
static void C_ccall f_22524(C_word c,C_word *av) C_noret;
C_noret_decl(f_22536)
static void C_ccall f_22536(C_word c,C_word *av) C_noret;
C_noret_decl(f_22548)
static void C_ccall f_22548(C_word c,C_word *av) C_noret;
C_noret_decl(f_22560)
static void C_ccall f_22560(C_word c,C_word *av) C_noret;
C_noret_decl(f_22572)
static void C_ccall f_22572(C_word c,C_word *av) C_noret;
C_noret_decl(f_22584)
static void C_ccall f_22584(C_word c,C_word *av) C_noret;
C_noret_decl(f_22596)
static void C_ccall f_22596(C_word c,C_word *av) C_noret;
C_noret_decl(f_22599)
static void C_ccall f_22599(C_word c,C_word *av) C_noret;
C_noret_decl(f_22602)
static void C_ccall f_22602(C_word c,C_word *av) C_noret;
C_noret_decl(f_22607)
static void C_ccall f_22607(C_word c,C_word *av) C_noret;
C_noret_decl(f_22612)
static void C_ccall f_22612(C_word c,C_word *av) C_noret;
C_noret_decl(f_22618)
static void C_ccall f_22618(C_word c,C_word *av) C_noret;
C_noret_decl(f_22660)
static void C_ccall f_22660(C_word c,C_word *av) C_noret;
C_noret_decl(f_22672)
static void C_ccall f_22672(C_word c,C_word *av) C_noret;
C_noret_decl(f_22675)
static void C_ccall f_22675(C_word c,C_word *av) C_noret;
C_noret_decl(f_22687)
static void C_ccall f_22687(C_word c,C_word *av) C_noret;
C_noret_decl(f_22699)
static void C_ccall f_22699(C_word c,C_word *av) C_noret;
C_noret_decl(f_22702)
static void C_ccall f_22702(C_word c,C_word *av) C_noret;
C_noret_decl(f_22714)
static void C_ccall f_22714(C_word c,C_word *av) C_noret;
C_noret_decl(f_22721)
static void C_ccall f_22721(C_word c,C_word *av) C_noret;
C_noret_decl(f_22730)
static void C_ccall f_22730(C_word c,C_word *av) C_noret;
C_noret_decl(f_22733)
static void C_ccall f_22733(C_word c,C_word *av) C_noret;
C_noret_decl(f_22742)
static void C_ccall f_22742(C_word c,C_word *av) C_noret;
C_noret_decl(f_22752)
static void C_ccall f_22752(C_word c,C_word *av) C_noret;
C_noret_decl(f_22761)
static void C_ccall f_22761(C_word c,C_word *av) C_noret;
C_noret_decl(f_22764)
static void C_ccall f_22764(C_word c,C_word *av) C_noret;
C_noret_decl(f_22769)
static void C_ccall f_22769(C_word c,C_word *av) C_noret;
C_noret_decl(f_22774)
static void C_ccall f_22774(C_word c,C_word *av) C_noret;
C_noret_decl(f_22780)
static void C_ccall f_22780(C_word c,C_word *av) C_noret;
C_noret_decl(f_22809)
static void C_ccall f_22809(C_word c,C_word *av) C_noret;
C_noret_decl(f_22825)
static void C_ccall f_22825(C_word c,C_word *av) C_noret;
C_noret_decl(f_22829)
static void C_ccall f_22829(C_word c,C_word *av) C_noret;
C_noret_decl(f_22838)
static void C_ccall f_22838(C_word c,C_word *av) C_noret;
C_noret_decl(f_22841)
static void C_ccall f_22841(C_word c,C_word *av) C_noret;
C_noret_decl(f_22852)
static void C_ccall f_22852(C_word c,C_word *av) C_noret;
C_noret_decl(f_22861)
static void C_ccall f_22861(C_word c,C_word *av) C_noret;
C_noret_decl(f_22864)
static void C_ccall f_22864(C_word c,C_word *av) C_noret;
C_noret_decl(f_22870)
static void C_fcall f_22870(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22873)
static void C_ccall f_22873(C_word c,C_word *av) C_noret;
C_noret_decl(f_22879)
static void C_ccall f_22879(C_word c,C_word *av) C_noret;
C_noret_decl(f_22898)
static void C_ccall f_22898(C_word c,C_word *av) C_noret;
C_noret_decl(f_22917)
static void C_ccall f_22917(C_word c,C_word *av) C_noret;
C_noret_decl(f_22933)
static void C_ccall f_22933(C_word c,C_word *av) C_noret;
C_noret_decl(f_22939)
static void C_ccall f_22939(C_word c,C_word *av) C_noret;
C_noret_decl(f_23013)
static void C_ccall f_23013(C_word c,C_word *av) C_noret;
C_noret_decl(f_23025)
static void C_ccall f_23025(C_word c,C_word *av) C_noret;
C_noret_decl(f_23103)
static void C_ccall f_23103(C_word c,C_word *av) C_noret;
C_noret_decl(f_23179)
static void C_ccall f_23179(C_word c,C_word *av) C_noret;
C_noret_decl(f_23344)
static void C_ccall f_23344(C_word c,C_word *av) C_noret;
C_noret_decl(f_23356)
static void C_ccall f_23356(C_word c,C_word *av) C_noret;
C_noret_decl(f_23418)
static void C_ccall f_23418(C_word c,C_word *av) C_noret;
C_noret_decl(f_23421)
static void C_fcall f_23421(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23467)
static void C_fcall f_23467(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23471)
static void C_ccall f_23471(C_word c,C_word *av) C_noret;
C_noret_decl(f_23489)
static void C_ccall f_23489(C_word c,C_word *av) C_noret;
C_noret_decl(f_23553)
static void C_ccall f_23553(C_word c,C_word *av) C_noret;
C_noret_decl(f_23564)
static void C_ccall f_23564(C_word c,C_word *av) C_noret;
C_noret_decl(f_23566)
static void C_ccall f_23566(C_word c,C_word *av) C_noret;
C_noret_decl(f_23579)
static void C_ccall f_23579(C_word c,C_word *av) C_noret;
C_noret_decl(f_23591)
static void C_ccall f_23591(C_word c,C_word *av) C_noret;
C_noret_decl(f_23611)
static void C_ccall f_23611(C_word c,C_word *av) C_noret;
C_noret_decl(f_23618)
static void C_ccall f_23618(C_word c,C_word *av) C_noret;
C_noret_decl(f_23627)
static void C_ccall f_23627(C_word c,C_word *av) C_noret;
C_noret_decl(f_23639)
static void C_ccall f_23639(C_word c,C_word *av) C_noret;
C_noret_decl(f_23660)
static void C_ccall f_23660(C_word c,C_word *av) C_noret;
C_noret_decl(f_23675)
static void C_ccall f_23675(C_word c,C_word *av) C_noret;
C_noret_decl(f_23693)
static void C_ccall f_23693(C_word c,C_word *av) C_noret;
C_noret_decl(f_23711)
static void C_ccall f_23711(C_word c,C_word *av) C_noret;
C_noret_decl(f_23730)
static void C_fcall f_23730(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23740)
static void C_ccall f_23740(C_word c,C_word *av) C_noret;
C_noret_decl(f_23754)
static void C_ccall f_23754(C_word c,C_word *av) C_noret;
C_noret_decl(f_23757)
static void C_ccall f_23757(C_word c,C_word *av) C_noret;
C_noret_decl(f_23762)
static void C_ccall f_23762(C_word c,C_word *av) C_noret;
C_noret_decl(f_23781)
static void C_fcall f_23781(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23791)
static void C_ccall f_23791(C_word c,C_word *av) C_noret;
C_noret_decl(f_23805)
static void C_ccall f_23805(C_word c,C_word *av) C_noret;
C_noret_decl(f_23808)
static void C_ccall f_23808(C_word c,C_word *av) C_noret;
C_noret_decl(f_23815)
static void C_ccall f_23815(C_word c,C_word *av) C_noret;
C_noret_decl(f_23819)
static void C_ccall f_23819(C_word c,C_word *av) C_noret;
C_noret_decl(f_23823)
static void C_ccall f_23823(C_word c,C_word *av) C_noret;
C_noret_decl(f_23825)
static void C_ccall f_23825(C_word c,C_word *av) C_noret;
C_noret_decl(f_23832)
static void C_ccall f_23832(C_word c,C_word *av) C_noret;
C_noret_decl(f_23835)
static void C_ccall f_23835(C_word c,C_word *av) C_noret;
C_noret_decl(f_23838)
static void C_ccall f_23838(C_word c,C_word *av) C_noret;
C_noret_decl(f_23840)
static void C_fcall f_23840(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23850)
static void C_ccall f_23850(C_word c,C_word *av) C_noret;
C_noret_decl(f_23856)
static void C_ccall f_23856(C_word c,C_word *av) C_noret;
C_noret_decl(f_23868)
static void C_ccall f_23868(C_word c,C_word *av) C_noret;
C_noret_decl(f_23871)
static void C_ccall f_23871(C_word c,C_word *av) C_noret;
C_noret_decl(f_23874)
static void C_ccall f_23874(C_word c,C_word *av) C_noret;
C_noret_decl(f_23891)
static void C_ccall f_23891(C_word c,C_word *av) C_noret;
C_noret_decl(f_23912)
static void C_fcall f_23912(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23916)
static void C_ccall f_23916(C_word c,C_word *av) C_noret;
C_noret_decl(f_23929)
static void C_ccall f_23929(C_word c,C_word *av) C_noret;
C_noret_decl(f_23932)
static void C_ccall f_23932(C_word c,C_word *av) C_noret;
C_noret_decl(f_23941)
static void C_ccall f_23941(C_word c,C_word *av) C_noret;
C_noret_decl(f_23944)
static void C_ccall f_23944(C_word c,C_word *av) C_noret;
C_noret_decl(f_23972)
static void C_fcall f_23972(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23976)
static void C_ccall f_23976(C_word c,C_word *av) C_noret;
C_noret_decl(f_23985)
static void C_ccall f_23985(C_word c,C_word *av) C_noret;
C_noret_decl(f_23996)
static void C_fcall f_23996(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_24003)
static void C_ccall f_24003(C_word c,C_word *av) C_noret;
C_noret_decl(f_24008)
static void C_fcall f_24008(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24030)
static void C_ccall f_24030(C_word c,C_word *av) C_noret;
C_noret_decl(f_24036)
static void C_ccall f_24036(C_word c,C_word *av) C_noret;
C_noret_decl(f_24039)
static void C_ccall f_24039(C_word c,C_word *av) C_noret;
C_noret_decl(f_24050)
static void C_ccall f_24050(C_word c,C_word *av) C_noret;
C_noret_decl(f_24059)
static void C_ccall f_24059(C_word c,C_word *av) C_noret;
C_noret_decl(f_24062)
static void C_ccall f_24062(C_word c,C_word *av) C_noret;
C_noret_decl(f_24085)
static void C_fcall f_24085(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24134)
static void C_fcall f_24134(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24150)
static void C_fcall f_24150(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24157)
static void C_ccall f_24157(C_word c,C_word *av) C_noret;
C_noret_decl(f_24176)
static void C_fcall f_24176(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24214)
static void C_fcall f_24214(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24271)
static void C_ccall f_24271(C_word c,C_word *av) C_noret;
C_noret_decl(f_24276)
static void C_fcall f_24276(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24325)
static void C_ccall f_24325(C_word c,C_word *av) C_noret;
C_noret_decl(f_24331)
static void C_ccall f_24331(C_word c,C_word *av) C_noret;
C_noret_decl(f_24335)
static void C_fcall f_24335(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24358)
static void C_ccall f_24358(C_word c,C_word *av) C_noret;
C_noret_decl(f_24365)
static void C_ccall f_24365(C_word c,C_word *av) C_noret;
C_noret_decl(f_24384)
static void C_ccall f_24384(C_word c,C_word *av) C_noret;
C_noret_decl(f_24423)
static void C_ccall f_24423(C_word c,C_word *av) C_noret;
C_noret_decl(f_24435)
static void C_ccall f_24435(C_word c,C_word *av) C_noret;
C_noret_decl(f_24441)
static void C_ccall f_24441(C_word c,C_word *av) C_noret;
C_noret_decl(f_24457)
static void C_ccall f_24457(C_word c,C_word *av) C_noret;
C_noret_decl(f_24464)
static void C_ccall f_24464(C_word c,C_word *av) C_noret;
C_noret_decl(f_24473)
static void C_ccall f_24473(C_word c,C_word *av) C_noret;
C_noret_decl(f_24480)
static void C_ccall f_24480(C_word c,C_word *av) C_noret;
C_noret_decl(f_24490)
static void C_ccall f_24490(C_word c,C_word *av) C_noret;
C_noret_decl(f_24499)
static void C_ccall f_24499(C_word c,C_word *av) C_noret;
C_noret_decl(f_24505)
static void C_fcall f_24505(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_24518)
static void C_ccall f_24518(C_word c,C_word *av) C_noret;
C_noret_decl(f_24556)
static void C_ccall f_24556(C_word c,C_word *av) C_noret;
C_noret_decl(f_24622)
static void C_ccall f_24622(C_word c,C_word *av) C_noret;
C_noret_decl(f_24625)
static void C_ccall f_24625(C_word c,C_word *av) C_noret;
C_noret_decl(f_24632)
static void C_ccall f_24632(C_word c,C_word *av) C_noret;
C_noret_decl(f_24672)
static void C_ccall f_24672(C_word c,C_word *av) C_noret;
C_noret_decl(f_24675)
static void C_ccall f_24675(C_word c,C_word *av) C_noret;
C_noret_decl(f_24684)
static void C_fcall f_24684(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24694)
static void C_fcall f_24694(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24697)
static void C_ccall f_24697(C_word c,C_word *av) C_noret;
C_noret_decl(f_24706)
static void C_ccall f_24706(C_word c,C_word *av) C_noret;
C_noret_decl(f_24716)
static void C_ccall f_24716(C_word c,C_word *av) C_noret;
C_noret_decl(f_24719)
static void C_ccall f_24719(C_word c,C_word *av) C_noret;
C_noret_decl(f_24745)
static void C_ccall f_24745(C_word c,C_word *av) C_noret;
C_noret_decl(f_24751)
static void C_ccall f_24751(C_word c,C_word *av) C_noret;
C_noret_decl(f_24756)
static void C_fcall f_24756(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24769)
static void C_ccall f_24769(C_word c,C_word *av) C_noret;
C_noret_decl(f_24772)
static void C_ccall f_24772(C_word c,C_word *av) C_noret;
C_noret_decl(f_24783)
static void C_ccall f_24783(C_word c,C_word *av) C_noret;
C_noret_decl(f_24805)
static void C_ccall f_24805(C_word c,C_word *av) C_noret;
C_noret_decl(f_24817)
static void C_ccall f_24817(C_word c,C_word *av) C_noret;
C_noret_decl(f_24820)
static void C_ccall f_24820(C_word c,C_word *av) C_noret;
C_noret_decl(f_24827)
static void C_ccall f_24827(C_word c,C_word *av) C_noret;
C_noret_decl(f_24836)
static void C_ccall f_24836(C_word c,C_word *av) C_noret;
C_noret_decl(f_24839)
static void C_ccall f_24839(C_word c,C_word *av) C_noret;
C_noret_decl(f_24883)
static void C_ccall f_24883(C_word c,C_word *av) C_noret;
C_noret_decl(f_24886)
static void C_ccall f_24886(C_word c,C_word *av) C_noret;
C_noret_decl(f_24895)
static void C_fcall f_24895(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_24908)
static void C_ccall f_24908(C_word c,C_word *av) C_noret;
C_noret_decl(f_24911)
static void C_ccall f_24911(C_word c,C_word *av) C_noret;
C_noret_decl(f_24936)
static void C_ccall f_24936(C_word c,C_word *av) C_noret;
C_noret_decl(f_24940)
static void C_ccall f_24940(C_word c,C_word *av) C_noret;
C_noret_decl(f_24950)
static void C_ccall f_24950(C_word c,C_word *av) C_noret;
C_noret_decl(f_24953)
static void C_ccall f_24953(C_word c,C_word *av) C_noret;
C_noret_decl(f_24973)
static void C_ccall f_24973(C_word c,C_word *av) C_noret;
C_noret_decl(f_24986)
static void C_ccall f_24986(C_word c,C_word *av) C_noret;
C_noret_decl(f_24991)
static void C_ccall f_24991(C_word c,C_word *av) C_noret;
C_noret_decl(f_24997)
static void C_ccall f_24997(C_word c,C_word *av) C_noret;
C_noret_decl(f_25003)
static void C_ccall f_25003(C_word c,C_word *av) C_noret;
C_noret_decl(f_25007)
static void C_ccall f_25007(C_word c,C_word *av) C_noret;
C_noret_decl(f_25010)
static void C_ccall f_25010(C_word c,C_word *av) C_noret;
C_noret_decl(f_25025)
static void C_ccall f_25025(C_word c,C_word *av) C_noret;
C_noret_decl(f_25028)
static void C_ccall f_25028(C_word c,C_word *av) C_noret;
C_noret_decl(f_25046)
static void C_ccall f_25046(C_word c,C_word *av) C_noret;
C_noret_decl(f_25048)
static void C_ccall f_25048(C_word c,C_word *av) C_noret;
C_noret_decl(f_25054)
static void C_ccall f_25054(C_word c,C_word *av) C_noret;
C_noret_decl(f_25063)
static void C_ccall f_25063(C_word c,C_word *av) C_noret;
C_noret_decl(f_25069)
static void C_ccall f_25069(C_word c,C_word *av) C_noret;
C_noret_decl(f_25076)
static void C_ccall f_25076(C_word c,C_word *av) C_noret;
C_noret_decl(f_25079)
static void C_ccall f_25079(C_word c,C_word *av) C_noret;
C_noret_decl(f_25082)
static void C_ccall f_25082(C_word c,C_word *av) C_noret;
C_noret_decl(f_25091)
static void C_ccall f_25091(C_word c,C_word *av) C_noret;
C_noret_decl(f_25107)
static void C_ccall f_25107(C_word c,C_word *av) C_noret;
C_noret_decl(f_25122)
static void C_ccall f_25122(C_word c,C_word *av) C_noret;
C_noret_decl(f_25124)
static void C_ccall f_25124(C_word c,C_word *av) C_noret;
C_noret_decl(f_25130)
static void C_ccall f_25130(C_word c,C_word *av) C_noret;
C_noret_decl(f_25136)
static void C_ccall f_25136(C_word c,C_word *av) C_noret;
C_noret_decl(f_25140)
static void C_ccall f_25140(C_word c,C_word *av) C_noret;
C_noret_decl(f_25143)
static void C_ccall f_25143(C_word c,C_word *av) C_noret;
C_noret_decl(f_25146)
static void C_ccall f_25146(C_word c,C_word *av) C_noret;
C_noret_decl(f_25150)
static void C_ccall f_25150(C_word c,C_word *av) C_noret;
C_noret_decl(f_25154)
static void C_ccall f_25154(C_word c,C_word *av) C_noret;
C_noret_decl(f_25158)
static void C_ccall f_25158(C_word c,C_word *av) C_noret;
C_noret_decl(f_25161)
static void C_ccall f_25161(C_word c,C_word *av) C_noret;
C_noret_decl(f_25164)
static void C_ccall f_25164(C_word c,C_word *av) C_noret;
C_noret_decl(f_25167)
static void C_ccall f_25167(C_word c,C_word *av) C_noret;
C_noret_decl(f_25179)
static void C_ccall f_25179(C_word c,C_word *av) C_noret;
C_noret_decl(f_25185)
static void C_ccall f_25185(C_word c,C_word *av) C_noret;
C_noret_decl(f_25189)
static void C_ccall f_25189(C_word c,C_word *av) C_noret;
C_noret_decl(f_25192)
static void C_ccall f_25192(C_word c,C_word *av) C_noret;
C_noret_decl(f_25195)
static void C_ccall f_25195(C_word c,C_word *av) C_noret;
C_noret_decl(f_25198)
static void C_ccall f_25198(C_word c,C_word *av) C_noret;
C_noret_decl(f_25201)
static void C_ccall f_25201(C_word c,C_word *av) C_noret;
C_noret_decl(f_25204)
static void C_ccall f_25204(C_word c,C_word *av) C_noret;
C_noret_decl(f_25209)
static void C_ccall f_25209(C_word c,C_word *av) C_noret;
C_noret_decl(f_25231)
static void C_ccall f_25231(C_word c,C_word *av) C_noret;
C_noret_decl(f_25237)
static void C_ccall f_25237(C_word c,C_word *av) C_noret;
C_noret_decl(f_25240)
static void C_ccall f_25240(C_word c,C_word *av) C_noret;
C_noret_decl(f_25265)
static void C_ccall f_25265(C_word c,C_word *av) C_noret;
C_noret_decl(f_25268)
static void C_fcall f_25268(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_25275)
static void C_ccall f_25275(C_word c,C_word *av) C_noret;
C_noret_decl(f_25288)
static void C_fcall f_25288(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_25298)
static void C_ccall f_25298(C_word c,C_word *av) C_noret;
C_noret_decl(f_25303)
static void C_ccall f_25303(C_word c,C_word *av) C_noret;
C_noret_decl(f_25309)
static void C_ccall f_25309(C_word c,C_word *av) C_noret;
C_noret_decl(f_25336)
static void C_ccall f_25336(C_word c,C_word *av) C_noret;
C_noret_decl(f_25342)
static void C_fcall f_25342(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25353)
static void C_ccall f_25353(C_word c,C_word *av) C_noret;
C_noret_decl(f_25359)
static void C_fcall f_25359(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25362)
static void C_ccall f_25362(C_word c,C_word *av) C_noret;
C_noret_decl(f_25367)
static void C_ccall f_25367(C_word c,C_word *av) C_noret;
C_noret_decl(f_25373)
static void C_ccall f_25373(C_word c,C_word *av) C_noret;
C_noret_decl(f_25397)
static void C_ccall f_25397(C_word c,C_word *av) C_noret;
C_noret_decl(f_25405)
static void C_ccall f_25405(C_word c,C_word *av) C_noret;
C_noret_decl(f_25422)
static void C_ccall f_25422(C_word c,C_word *av) C_noret;
C_noret_decl(f_25462)
static void C_ccall f_25462(C_word c,C_word *av) C_noret;
C_noret_decl(f_25469)
static void C_ccall f_25469(C_word c,C_word *av) C_noret;
C_noret_decl(f_25481)
static void C_ccall f_25481(C_word c,C_word *av) C_noret;
C_noret_decl(f_25485)
static void C_ccall f_25485(C_word c,C_word *av) C_noret;
C_noret_decl(f_25498)
static void C_ccall f_25498(C_word c,C_word *av) C_noret;
C_noret_decl(f_25500)
static void C_ccall f_25500(C_word c,C_word *av) C_noret;
C_noret_decl(f_25534)
static void C_ccall f_25534(C_word c,C_word *av) C_noret;
C_noret_decl(f_25538)
static void C_ccall f_25538(C_word c,C_word *av) C_noret;
C_noret_decl(f_25539)
static void C_fcall f_25539(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25549)
static void C_ccall f_25549(C_word c,C_word *av) C_noret;
C_noret_decl(f_25554)
static void C_fcall f_25554(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25564)
static void C_ccall f_25564(C_word c,C_word *av) C_noret;
C_noret_decl(f_25577)
static void C_ccall f_25577(C_word c,C_word *av) C_noret;
C_noret_decl(f_25588)
static void C_ccall f_25588(C_word c,C_word *av) C_noret;
C_noret_decl(f_25592)
static void C_ccall f_25592(C_word c,C_word *av) C_noret;
C_noret_decl(f_25596)
static void C_ccall f_25596(C_word c,C_word *av) C_noret;
C_noret_decl(f_25618)
static void C_ccall f_25618(C_word c,C_word *av) C_noret;
C_noret_decl(f_25622)
static void C_ccall f_25622(C_word c,C_word *av) C_noret;
C_noret_decl(f_25630)
static void C_ccall f_25630(C_word c,C_word *av) C_noret;
C_noret_decl(f_25646)
static void C_ccall f_25646(C_word c,C_word *av) C_noret;
C_noret_decl(f_25657)
static void C_fcall f_25657(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25676)
static void C_fcall f_25676(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25687)
static void C_ccall f_25687(C_word c,C_word *av) C_noret;
C_noret_decl(f_25695)
static void C_ccall f_25695(C_word c,C_word *av) C_noret;
C_noret_decl(f_25774)
static void C_ccall f_25774(C_word c,C_word *av) C_noret;
C_noret_decl(f_25784)
static void C_ccall f_25784(C_word c,C_word *av) C_noret;
C_noret_decl(f_25785)
static void C_fcall f_25785(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25798)
static void C_ccall f_25798(C_word c,C_word *av) C_noret;
C_noret_decl(f_25801)
static void C_ccall f_25801(C_word c,C_word *av) C_noret;
C_noret_decl(f_25804)
static void C_ccall f_25804(C_word c,C_word *av) C_noret;
C_noret_decl(f_25807)
static void C_ccall f_25807(C_word c,C_word *av) C_noret;
C_noret_decl(f_25815)
static void C_ccall f_25815(C_word c,C_word *av) C_noret;
C_noret_decl(f_25822)
static void C_fcall f_25822(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25825)
static void C_ccall f_25825(C_word c,C_word *av) C_noret;
C_noret_decl(f_25828)
static void C_ccall f_25828(C_word c,C_word *av) C_noret;
C_noret_decl(f_25851)
static void C_ccall f_25851(C_word c,C_word *av) C_noret;
C_noret_decl(f_25856)
static void C_fcall f_25856(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25866)
static void C_ccall f_25866(C_word c,C_word *av) C_noret;
C_noret_decl(f_25879)
static void C_ccall f_25879(C_word c,C_word *av) C_noret;
C_noret_decl(f_25910)
static void C_ccall f_25910(C_word c,C_word *av) C_noret;
C_noret_decl(f_25920)
static void C_ccall f_25920(C_word c,C_word *av) C_noret;
C_noret_decl(f_25970)
static void C_ccall f_25970(C_word c,C_word *av) C_noret;
C_noret_decl(f_25973)
static void C_ccall f_25973(C_word c,C_word *av) C_noret;
C_noret_decl(f_25992)
static void C_fcall f_25992(C_word t0) C_noret;
C_noret_decl(f_25997)
static void C_ccall f_25997(C_word c,C_word *av) C_noret;
C_noret_decl(f_26003)
static void C_ccall f_26003(C_word c,C_word *av) C_noret;
C_noret_decl(f_26006)
static void C_ccall f_26006(C_word c,C_word *av) C_noret;
C_noret_decl(f_26012)
static void C_ccall f_26012(C_word c,C_word *av) C_noret;
C_noret_decl(f_26020)
static void C_fcall f_26020(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26039)
static void C_ccall f_26039(C_word c,C_word *av) C_noret;
C_noret_decl(f_26044)
static void C_fcall f_26044(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26054)
static void C_ccall f_26054(C_word c,C_word *av) C_noret;
C_noret_decl(f_26068)
static void C_ccall f_26068(C_word c,C_word *av) C_noret;
C_noret_decl(f_26075)
static void C_ccall f_26075(C_word c,C_word *av) C_noret;
C_noret_decl(f_26079)
static void C_ccall f_26079(C_word c,C_word *av) C_noret;
C_noret_decl(f_26083)
static void C_ccall f_26083(C_word c,C_word *av) C_noret;
C_noret_decl(f_26085)
static void C_ccall f_26085(C_word c,C_word *av) C_noret;
C_noret_decl(f_26111)
static void C_ccall f_26111(C_word c,C_word *av) C_noret;
C_noret_decl(f_26114)
static void C_ccall f_26114(C_word c,C_word *av) C_noret;
C_noret_decl(f_26117)
static void C_ccall f_26117(C_word c,C_word *av) C_noret;
C_noret_decl(f_26124)
static void C_ccall f_26124(C_word c,C_word *av) C_noret;
C_noret_decl(f_26128)
static void C_ccall f_26128(C_word c,C_word *av) C_noret;
C_noret_decl(f_26134)
static void C_ccall f_26134(C_word c,C_word *av) C_noret;
C_noret_decl(f_26139)
static void C_fcall f_26139(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26149)
static void C_ccall f_26149(C_word c,C_word *av) C_noret;
C_noret_decl(f_26166)
static void C_fcall f_26166(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26187)
static void C_fcall f_26187(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26190)
static void C_fcall f_26190(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26210)
static void C_fcall f_26210(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26218)
static void C_ccall f_26218(C_word c,C_word *av) C_noret;
C_noret_decl(f_26352)
static void C_ccall f_26352(C_word c,C_word *av) C_noret;
C_noret_decl(f_26369)
static void C_ccall f_26369(C_word c,C_word *av) C_noret;
C_noret_decl(f_26373)
static void C_ccall f_26373(C_word c,C_word *av) C_noret;
C_noret_decl(f_26386)
static void C_ccall f_26386(C_word c,C_word *av) C_noret;
C_noret_decl(f_26395)
static void C_ccall f_26395(C_word c,C_word *av) C_noret;
C_noret_decl(f_26398)
static void C_ccall f_26398(C_word c,C_word *av) C_noret;
C_noret_decl(f_26402)
static void C_ccall f_26402(C_word c,C_word *av) C_noret;
C_noret_decl(f_26441)
static void C_ccall f_26441(C_word c,C_word *av) C_noret;
C_noret_decl(f_26444)
static void C_ccall f_26444(C_word c,C_word *av) C_noret;
C_noret_decl(f_26451)
static void C_ccall f_26451(C_word c,C_word *av) C_noret;
C_noret_decl(f_26455)
static void C_ccall f_26455(C_word c,C_word *av) C_noret;
C_noret_decl(f_26481)
static void C_ccall f_26481(C_word c,C_word *av) C_noret;
C_noret_decl(f_26512)
static void C_ccall f_26512(C_word c,C_word *av) C_noret;
C_noret_decl(f_26515)
static void C_ccall f_26515(C_word c,C_word *av) C_noret;
C_noret_decl(f_26527)
static void C_ccall f_26527(C_word c,C_word *av) C_noret;
C_noret_decl(f_26530)
static void C_ccall f_26530(C_word c,C_word *av) C_noret;
C_noret_decl(f_26533)
static void C_ccall f_26533(C_word c,C_word *av) C_noret;
C_noret_decl(f_26558)
static void C_ccall f_26558(C_word c,C_word *av) C_noret;
C_noret_decl(f_26564)
static void C_ccall f_26564(C_word c,C_word *av) C_noret;
C_noret_decl(f_26568)
static void C_ccall f_26568(C_word c,C_word *av) C_noret;
C_noret_decl(f_26572)
static void C_ccall f_26572(C_word c,C_word *av) C_noret;
C_noret_decl(f_26585)
static void C_ccall f_26585(C_word c,C_word *av) C_noret;
C_noret_decl(f_26587)
static C_word C_fcall f_26587(C_word t0,C_word t1);
C_noret_decl(f_26593)
static C_word C_fcall f_26593(C_word t0);
C_noret_decl(f_26598)
static C_word C_fcall f_26598(C_word t0);
C_noret_decl(f_26633)
static void C_fcall f_26633(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_26639)
static void C_fcall f_26639(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26655)
static void C_fcall f_26655(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26677)
static void C_ccall f_26677(C_word c,C_word *av) C_noret;
C_noret_decl(f_26701)
static void C_ccall f_26701(C_word c,C_word *av) C_noret;
C_noret_decl(f_26713)
static void C_ccall f_26713(C_word c,C_word *av) C_noret;
C_noret_decl(f_26715)
static void C_ccall f_26715(C_word c,C_word *av) C_noret;
C_noret_decl(f_26734)
static void C_ccall f_26734(C_word c,C_word *av) C_noret;
C_noret_decl(f_26738)
static void C_ccall f_26738(C_word c,C_word *av) C_noret;
C_noret_decl(f_26750)
static void C_ccall f_26750(C_word c,C_word *av) C_noret;
C_noret_decl(f_26752)
static void C_fcall f_26752(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26796)
static void C_ccall f_26796(C_word c,C_word *av) C_noret;
C_noret_decl(f_26798)
static void C_fcall f_26798(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26832)
static C_word C_fcall f_26832(C_word t0);
C_noret_decl(f_26855)
static void C_ccall f_26855(C_word c,C_word *av) C_noret;
C_noret_decl(f_26862)
static void C_ccall f_26862(C_word c,C_word *av) C_noret;
C_noret_decl(f_26872)
static void C_ccall f_26872(C_word c,C_word *av) C_noret;
C_noret_decl(f_26874)
static void C_fcall f_26874(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26924)
static void C_ccall f_26924(C_word c,C_word *av) C_noret;
C_noret_decl(f_26926)
static void C_fcall f_26926(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26951)
static void C_ccall f_26951(C_word c,C_word *av) C_noret;
C_noret_decl(f_26960)
static void C_ccall f_26960(C_word c,C_word *av) C_noret;
C_noret_decl(f_26966)
static void C_ccall f_26966(C_word c,C_word *av) C_noret;
C_noret_decl(f_26970)
static void C_ccall f_26970(C_word c,C_word *av) C_noret;
C_noret_decl(f_26974)
static void C_fcall f_26974(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26982)
static void C_ccall f_26982(C_word c,C_word *av) C_noret;
C_noret_decl(f_26988)
static void C_fcall f_26988(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27019)
static void C_ccall f_27019(C_word c,C_word *av) C_noret;
C_noret_decl(f_27044)
static void C_fcall f_27044(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27069)
static void C_ccall f_27069(C_word c,C_word *av) C_noret;
C_noret_decl(f_27079)
static void C_ccall f_27079(C_word c,C_word *av) C_noret;
C_noret_decl(f_27084)
static void C_ccall f_27084(C_word c,C_word *av) C_noret;
C_noret_decl(f_27086)
static void C_ccall f_27086(C_word c,C_word *av) C_noret;
C_noret_decl(f_27093)
static void C_ccall f_27093(C_word c,C_word *av) C_noret;
C_noret_decl(f_27105)
static void C_ccall f_27105(C_word c,C_word *av) C_noret;
C_noret_decl(f_27113)
static void C_ccall f_27113(C_word c,C_word *av) C_noret;
C_noret_decl(f_27151)
static void C_ccall f_27151(C_word c,C_word *av) C_noret;
C_noret_decl(f_27155)
static void C_ccall f_27155(C_word c,C_word *av) C_noret;
C_noret_decl(f_27162)
static void C_ccall f_27162(C_word c,C_word *av) C_noret;
C_noret_decl(f_27165)
static void C_ccall f_27165(C_word c,C_word *av) C_noret;
C_noret_decl(f_27168)
static void C_ccall f_27168(C_word c,C_word *av) C_noret;
C_noret_decl(f_27169)
static void C_fcall f_27169(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27171)
static void C_fcall f_27171(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27175)
static void C_ccall f_27175(C_word c,C_word *av) C_noret;
C_noret_decl(f_27180)
static void C_ccall f_27180(C_word c,C_word *av) C_noret;
C_noret_decl(f_27192)
static void C_fcall f_27192(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27202)
static void C_ccall f_27202(C_word c,C_word *av) C_noret;
C_noret_decl(f_27214)
static void C_ccall f_27214(C_word c,C_word *av) C_noret;
C_noret_decl(f_27216)
static void C_fcall f_27216(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_27223)
static void C_ccall f_27223(C_word c,C_word *av) C_noret;
C_noret_decl(f_27226)
static void C_ccall f_27226(C_word c,C_word *av) C_noret;
C_noret_decl(f_27232)
static void C_fcall f_27232(C_word t0,C_word t1) C_noret;
C_noret_decl(f_27235)
static void C_ccall f_27235(C_word c,C_word *av) C_noret;
C_noret_decl(f_27238)
static void C_ccall f_27238(C_word c,C_word *av) C_noret;
C_noret_decl(f_27241)
static void C_ccall f_27241(C_word c,C_word *av) C_noret;
C_noret_decl(f_27256)
static void C_ccall f_27256(C_word c,C_word *av) C_noret;
C_noret_decl(f_27262)
static void C_ccall f_27262(C_word c,C_word *av) C_noret;
C_noret_decl(f_27270)
static void C_fcall f_27270(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27274)
static void C_ccall f_27274(C_word c,C_word *av) C_noret;
C_noret_decl(f_27277)
static void C_ccall f_27277(C_word c,C_word *av) C_noret;
C_noret_decl(f_27280)
static void C_ccall f_27280(C_word c,C_word *av) C_noret;
C_noret_decl(f_27293)
static void C_ccall f_27293(C_word c,C_word *av) C_noret;
C_noret_decl(f_27297)
static void C_ccall f_27297(C_word c,C_word *av) C_noret;
C_noret_decl(f_27318)
static void C_ccall f_27318(C_word c,C_word *av) C_noret;
C_noret_decl(f_27334)
static void C_ccall f_27334(C_word c,C_word *av) C_noret;
C_noret_decl(f_27337)
static void C_ccall f_27337(C_word c,C_word *av) C_noret;
C_noret_decl(f_27343)
static void C_ccall f_27343(C_word c,C_word *av) C_noret;
C_noret_decl(f_27365)
static void C_fcall f_27365(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27370)
static void C_fcall f_27370(C_word t0,C_word t1) C_noret;
C_noret_decl(f_27405)
static void C_ccall f_27405(C_word c,C_word *av) C_noret;
C_noret_decl(f_27415)
static void C_ccall f_27415(C_word c,C_word *av) C_noret;
C_noret_decl(f_27418)
static void C_ccall f_27418(C_word c,C_word *av) C_noret;
C_noret_decl(f_27421)
static void C_ccall f_27421(C_word c,C_word *av) C_noret;
C_noret_decl(f_27424)
static void C_ccall f_27424(C_word c,C_word *av) C_noret;
C_noret_decl(f_27427)
static void C_ccall f_27427(C_word c,C_word *av) C_noret;
C_noret_decl(f_27430)
static void C_ccall f_27430(C_word c,C_word *av) C_noret;
C_noret_decl(f_27437)
static void C_ccall f_27437(C_word c,C_word *av) C_noret;
C_noret_decl(f_27440)
static void C_ccall f_27440(C_word c,C_word *av) C_noret;
C_noret_decl(f_27443)
static void C_ccall f_27443(C_word c,C_word *av) C_noret;
C_noret_decl(f_27454)
static void C_ccall f_27454(C_word c,C_word *av) C_noret;
C_noret_decl(f_27477)
static void C_ccall f_27477(C_word c,C_word *av) C_noret;
C_noret_decl(f_27488)
static void C_ccall f_27488(C_word c,C_word *av) C_noret;
C_noret_decl(f_27492)
static void C_ccall f_27492(C_word c,C_word *av) C_noret;
C_noret_decl(f_27514)
static void C_ccall f_27514(C_word c,C_word *av) C_noret;
C_noret_decl(f_27525)
static void C_ccall f_27525(C_word c,C_word *av) C_noret;
C_noret_decl(f_27529)
static void C_ccall f_27529(C_word c,C_word *av) C_noret;
C_noret_decl(f_28110)
static void C_ccall f_28110(C_word c,C_word *av) C_noret;
C_noret_decl(f_28113)
static void C_ccall f_28113(C_word c,C_word *av) C_noret;
C_noret_decl(f_28116)
static void C_ccall f_28116(C_word c,C_word *av) C_noret;
C_noret_decl(f_28119)
static void C_ccall f_28119(C_word c,C_word *av) C_noret;
C_noret_decl(f_28124)
static void C_ccall f_28124(C_word c,C_word *av) C_noret;
C_noret_decl(f_28127)
static void C_ccall f_28127(C_word c,C_word *av) C_noret;
C_noret_decl(f_28130)
static void C_ccall f_28130(C_word c,C_word *av) C_noret;
C_noret_decl(f_28133)
static void C_ccall f_28133(C_word c,C_word *av) C_noret;
C_noret_decl(f_28136)
static void C_ccall f_28136(C_word c,C_word *av) C_noret;
C_noret_decl(f_28139)
static void C_ccall f_28139(C_word c,C_word *av) C_noret;
C_noret_decl(f_28142)
static void C_ccall f_28142(C_word c,C_word *av) C_noret;
C_noret_decl(f_28145)
static void C_ccall f_28145(C_word c,C_word *av) C_noret;
C_noret_decl(f_28162)
static void C_ccall f_28162(C_word c,C_word *av) C_noret;
C_noret_decl(f_28166)
static void C_ccall f_28166(C_word c,C_word *av) C_noret;
C_noret_decl(f_28168)
static void C_ccall f_28168(C_word c,C_word *av) C_noret;
C_noret_decl(f_28176)
static void C_ccall f_28176(C_word c,C_word *av) C_noret;
C_noret_decl(f_28178)
static void C_ccall f_28178(C_word c,C_word *av) C_noret;
C_noret_decl(f_28182)
static void C_ccall f_28182(C_word c,C_word *av) C_noret;
C_noret_decl(f_28184)
static void C_ccall f_28184(C_word c,C_word *av) C_noret;
C_noret_decl(f_28191)
static void C_ccall f_28191(C_word c,C_word *av) C_noret;
C_noret_decl(f_28201)
static void C_ccall f_28201(C_word c,C_word *av) C_noret;
C_noret_decl(f_28226)
static void C_ccall f_28226(C_word c,C_word *av) C_noret;
C_noret_decl(f_28229)
static void C_ccall f_28229(C_word c,C_word *av) C_noret;
C_noret_decl(f_28232)
static void C_ccall f_28232(C_word c,C_word *av) C_noret;
C_noret_decl(f_28235)
static void C_ccall f_28235(C_word c,C_word *av) C_noret;
C_noret_decl(f_28238)
static void C_ccall f_28238(C_word c,C_word *av) C_noret;
C_noret_decl(f_28248)
static void C_ccall f_28248(C_word c,C_word *av) C_noret;
C_noret_decl(f_28254)
static void C_ccall f_28254(C_word c,C_word *av) C_noret;
C_noret_decl(f_28258)
static void C_ccall f_28258(C_word c,C_word *av) C_noret;
C_noret_decl(f_28260)
static void C_ccall f_28260(C_word c,C_word *av) C_noret;
C_noret_decl(f_28270)
static void C_ccall f_28270(C_word c,C_word *av) C_noret;
C_noret_decl(f_28276)
static void C_ccall f_28276(C_word c,C_word *av) C_noret;
C_noret_decl(f_28280)
static void C_ccall f_28280(C_word c,C_word *av) C_noret;
C_noret_decl(f_28282)
static void C_ccall f_28282(C_word c,C_word *av) C_noret;
C_noret_decl(f_28287)
static void C_ccall f_28287(C_word c,C_word *av) C_noret;
C_noret_decl(f_28289)
static void C_ccall f_28289(C_word c,C_word *av) C_noret;
C_noret_decl(f_28292)
static void C_ccall f_28292(C_word c,C_word *av) C_noret;
C_noret_decl(f_28312)
static void C_ccall f_28312(C_word c,C_word *av) C_noret;
C_noret_decl(f_28318)
static void C_fcall f_28318(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28328)
static void C_ccall f_28328(C_word c,C_word *av) C_noret;
C_noret_decl(f_28338)
static void C_ccall f_28338(C_word c,C_word *av) C_noret;
C_noret_decl(f_28373)
static void C_ccall f_28373(C_word c,C_word *av) C_noret;
C_noret_decl(f_28377)
static void C_ccall f_28377(C_word c,C_word *av) C_noret;
C_noret_decl(f_28382)
static void C_fcall f_28382(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28392)
static void C_ccall f_28392(C_word c,C_word *av) C_noret;
C_noret_decl(f_28402)
static void C_ccall f_28402(C_word c,C_word *av) C_noret;
C_noret_decl(f_28411)
static void C_ccall f_28411(C_word c,C_word *av) C_noret;
C_noret_decl(f_28414)
static void C_ccall f_28414(C_word c,C_word *av) C_noret;
C_noret_decl(f_28417)
static void C_ccall f_28417(C_word c,C_word *av) C_noret;
C_noret_decl(f_28424)
static void C_ccall f_28424(C_word c,C_word *av) C_noret;
C_noret_decl(f_28431)
static void C_ccall f_28431(C_word c,C_word *av) C_noret;
C_noret_decl(f_28434)
static void C_ccall f_28434(C_word c,C_word *av) C_noret;
C_noret_decl(f_28438)
static void C_ccall f_28438(C_word c,C_word *av) C_noret;
C_noret_decl(f_28440)
static void C_ccall f_28440(C_word c,C_word *av) C_noret;
C_noret_decl(f_28443)
static void C_ccall f_28443(C_word c,C_word *av) C_noret;
C_noret_decl(f_28446)
static void C_ccall f_28446(C_word c,C_word *av) C_noret;
C_noret_decl(f_28449)
static void C_ccall f_28449(C_word c,C_word *av) C_noret;
C_noret_decl(f_28452)
static void C_ccall f_28452(C_word c,C_word *av) C_noret;
C_noret_decl(f_28455)
static void C_ccall f_28455(C_word c,C_word *av) C_noret;
C_noret_decl(f_28458)
static void C_ccall f_28458(C_word c,C_word *av) C_noret;
C_noret_decl(f_28461)
static void C_ccall f_28461(C_word c,C_word *av) C_noret;
C_noret_decl(f_28464)
static void C_ccall f_28464(C_word c,C_word *av) C_noret;
C_noret_decl(f_28467)
static void C_ccall f_28467(C_word c,C_word *av) C_noret;
C_noret_decl(f_28470)
static void C_ccall f_28470(C_word c,C_word *av) C_noret;
C_noret_decl(f_28474)
static void C_ccall f_28474(C_word c,C_word *av) C_noret;
C_noret_decl(f_28477)
static void C_ccall f_28477(C_word c,C_word *av) C_noret;
C_noret_decl(f_28493)
static void C_ccall f_28493(C_word c,C_word *av) C_noret;
C_noret_decl(f_28501)
static void C_ccall f_28501(C_word c,C_word *av) C_noret;
C_noret_decl(f_28504)
static void C_ccall f_28504(C_word c,C_word *av) C_noret;
C_noret_decl(f_28510)
static void C_ccall f_28510(C_word c,C_word *av) C_noret;
C_noret_decl(f_28519)
static void C_ccall f_28519(C_word c,C_word *av) C_noret;
C_noret_decl(f_28525)
static void C_ccall f_28525(C_word c,C_word *av) C_noret;
C_noret_decl(f_28534)
static void C_ccall f_28534(C_word c,C_word *av) C_noret;
C_noret_decl(f_28540)
static void C_ccall f_28540(C_word c,C_word *av) C_noret;
C_noret_decl(f_28546)
static void C_ccall f_28546(C_word c,C_word *av) C_noret;
C_noret_decl(f_28549)
static void C_ccall f_28549(C_word c,C_word *av) C_noret;
C_noret_decl(f_28553)
static void C_ccall f_28553(C_word c,C_word *av) C_noret;
C_noret_decl(f_28556)
static void C_ccall f_28556(C_word c,C_word *av) C_noret;
C_noret_decl(f_28561)
static void C_ccall f_28561(C_word c,C_word *av) C_noret;
C_noret_decl(f_28563)
static void C_ccall f_28563(C_word c,C_word *av) C_noret;
C_noret_decl(f_28567)
static void C_ccall f_28567(C_word c,C_word *av) C_noret;
C_noret_decl(f_28594)
static void C_fcall f_28594(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28604)
static void C_ccall f_28604(C_word c,C_word *av) C_noret;
C_noret_decl(f_28613)
static void C_ccall f_28613(C_word c,C_word *av) C_noret;
C_noret_decl(f_28620)
static void C_ccall f_28620(C_word c,C_word *av) C_noret;
C_noret_decl(f_28624)
static void C_ccall f_28624(C_word c,C_word *av) C_noret;
C_noret_decl(f_28638)
static void C_fcall f_28638(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28642)
static void C_ccall f_28642(C_word c,C_word *av) C_noret;
C_noret_decl(f_28649)
static void C_ccall f_28649(C_word c,C_word *av) C_noret;
C_noret_decl(f_28651)
static void C_fcall f_28651(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28673)
static void C_ccall f_28673(C_word c,C_word *av) C_noret;
C_noret_decl(f_28680)
static void C_ccall f_28680(C_word c,C_word *av) C_noret;
C_noret_decl(f_28685)
static void C_fcall f_28685(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28689)
static void C_ccall f_28689(C_word c,C_word *av) C_noret;
C_noret_decl(f_28692)
static void C_ccall f_28692(C_word c,C_word *av) C_noret;
C_noret_decl(f_28695)
static void C_ccall f_28695(C_word c,C_word *av) C_noret;
C_noret_decl(f_28700)
static void C_fcall f_28700(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28704)
static void C_ccall f_28704(C_word c,C_word *av) C_noret;
C_noret_decl(f_28730)
static void C_ccall f_28730(C_word c,C_word *av) C_noret;
C_noret_decl(f_28743)
static void C_ccall f_28743(C_word c,C_word *av) C_noret;
C_noret_decl(f_28746)
static void C_ccall f_28746(C_word c,C_word *av) C_noret;
C_noret_decl(f_28755)
static void C_ccall f_28755(C_word c,C_word *av) C_noret;
C_noret_decl(f_28758)
static void C_ccall f_28758(C_word c,C_word *av) C_noret;
C_noret_decl(f_28761)
static void C_ccall f_28761(C_word c,C_word *av) C_noret;
C_noret_decl(f_28767)
static void C_ccall f_28767(C_word c,C_word *av) C_noret;
C_noret_decl(f_28774)
static void C_ccall f_28774(C_word c,C_word *av) C_noret;
C_noret_decl(f_28776)
static void C_fcall f_28776(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28789)
static void C_ccall f_28789(C_word c,C_word *av) C_noret;
C_noret_decl(f_28802)
static void C_ccall f_28802(C_word c,C_word *av) C_noret;
C_noret_decl(f_28805)
static void C_ccall f_28805(C_word c,C_word *av) C_noret;
C_noret_decl(f_28808)
static void C_ccall f_28808(C_word c,C_word *av) C_noret;
C_noret_decl(f_28815)
static void C_ccall f_28815(C_word c,C_word *av) C_noret;
C_noret_decl(f_28868)
static void C_ccall f_28868(C_word c,C_word *av) C_noret;
C_noret_decl(f_28871)
static void C_ccall f_28871(C_word c,C_word *av) C_noret;
C_noret_decl(f_28874)
static void C_ccall f_28874(C_word c,C_word *av) C_noret;
C_noret_decl(f_28876)
static void C_fcall f_28876(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28880)
static void C_ccall f_28880(C_word c,C_word *av) C_noret;
C_noret_decl(f_28884)
static void C_ccall f_28884(C_word c,C_word *av) C_noret;
C_noret_decl(f_28890)
static void C_ccall f_28890(C_word c,C_word *av) C_noret;
C_noret_decl(f_28895)
static void C_fcall f_28895(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28899)
static void C_ccall f_28899(C_word c,C_word *av) C_noret;
C_noret_decl(f_28911)
static void C_ccall f_28911(C_word c,C_word *av) C_noret;
C_noret_decl(f_28923)
static void C_ccall f_28923(C_word c,C_word *av) C_noret;
C_noret_decl(f_28930)
static void C_ccall f_28930(C_word c,C_word *av) C_noret;
C_noret_decl(f_28936)
static void C_fcall f_28936(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_28950)
static void C_ccall f_28950(C_word c,C_word *av) C_noret;
C_noret_decl(f_28959)
static void C_fcall f_28959(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28989)
static void C_ccall f_28989(C_word c,C_word *av) C_noret;
C_noret_decl(f_29008)
static void C_ccall f_29008(C_word c,C_word *av) C_noret;
C_noret_decl(f_29031)
static void C_ccall f_29031(C_word c,C_word *av) C_noret;
C_noret_decl(f_29040)
static void C_ccall f_29040(C_word c,C_word *av) C_noret;
C_noret_decl(f_29047)
static void C_ccall f_29047(C_word c,C_word *av) C_noret;
C_noret_decl(f_29064)
static void C_ccall f_29064(C_word c,C_word *av) C_noret;
C_noret_decl(f_29072)
static void C_ccall f_29072(C_word c,C_word *av) C_noret;
C_noret_decl(f_29083)
static void C_ccall f_29083(C_word c,C_word *av) C_noret;
C_noret_decl(f_29091)
static void C_ccall f_29091(C_word c,C_word *av) C_noret;
C_noret_decl(f_29098)
static void C_ccall f_29098(C_word c,C_word *av) C_noret;
C_noret_decl(f_29160)
static void C_ccall f_29160(C_word c,C_word *av) C_noret;
C_noret_decl(f_29167)
static void C_ccall f_29167(C_word c,C_word *av) C_noret;
C_noret_decl(f_29170)
static void C_ccall f_29170(C_word c,C_word *av) C_noret;
C_noret_decl(f_29176)
static void C_ccall f_29176(C_word c,C_word *av) C_noret;
C_noret_decl(f_29183)
static void C_ccall f_29183(C_word c,C_word *av) C_noret;
C_noret_decl(f_29187)
static void C_ccall f_29187(C_word c,C_word *av) C_noret;
C_noret_decl(f_29190)
static void C_ccall f_29190(C_word c,C_word *av) C_noret;
C_noret_decl(f_29198)
static void C_ccall f_29198(C_word c,C_word *av) C_noret;
C_noret_decl(f_29200)
static void C_ccall f_29200(C_word c,C_word *av) C_noret;
C_noret_decl(f_29209)
static void C_ccall f_29209(C_word c,C_word *av) C_noret;
C_noret_decl(f_29218)
static void C_ccall f_29218(C_word c,C_word *av) C_noret;
C_noret_decl(f_29229)
static void C_ccall f_29229(C_word c,C_word *av) C_noret;
C_noret_decl(f_29233)
static void C_ccall f_29233(C_word c,C_word *av) C_noret;
C_noret_decl(f_29235)
static void C_ccall f_29235(C_word c,C_word *av) C_noret;
C_noret_decl(f_29243)
static void C_ccall f_29243(C_word c,C_word *av) C_noret;
C_noret_decl(f_29255)
static void C_ccall f_29255(C_word c,C_word *av) C_noret;
C_noret_decl(f_29261)
static void C_fcall f_29261(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29265)
static void C_ccall f_29265(C_word c,C_word *av) C_noret;
C_noret_decl(f_29273)
static void C_fcall f_29273(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29291)
static void C_ccall f_29291(C_word c,C_word *av) C_noret;
C_noret_decl(f_29299)
static void C_ccall f_29299(C_word c,C_word *av) C_noret;
C_noret_decl(f_29303)
static void C_ccall f_29303(C_word c,C_word *av) C_noret;
C_noret_decl(f_29321)
static void C_ccall f_29321(C_word c,C_word *av) C_noret;
C_noret_decl(f_29328)
static void C_ccall f_29328(C_word c,C_word *av) C_noret;
C_noret_decl(f_29340)
static void C_ccall f_29340(C_word c,C_word *av) C_noret;
C_noret_decl(f_29348)
static void C_ccall f_29348(C_word c,C_word *av) C_noret;
C_noret_decl(f_29354)
static void C_fcall f_29354(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_29376)
static void C_ccall f_29376(C_word c,C_word *av) C_noret;
C_noret_decl(f_29380)
static void C_ccall f_29380(C_word c,C_word *av) C_noret;
C_noret_decl(f_29384)
static void C_ccall f_29384(C_word c,C_word *av) C_noret;
C_noret_decl(f_29386)
static void C_ccall f_29386(C_word c,C_word *av) C_noret;
C_noret_decl(f_29389)
static void C_ccall f_29389(C_word c,C_word *av) C_noret;
C_noret_decl(f_29392)
static void C_ccall f_29392(C_word c,C_word *av) C_noret;
C_noret_decl(f_29396)
static void C_ccall f_29396(C_word c,C_word *av) C_noret;
C_noret_decl(f_29399)
static void C_ccall f_29399(C_word c,C_word *av) C_noret;
C_noret_decl(f_29417)
static void C_ccall f_29417(C_word c,C_word *av) C_noret;
C_noret_decl(f_29423)
static void C_ccall f_29423(C_word c,C_word *av) C_noret;
C_noret_decl(f_29427)
static void C_ccall f_29427(C_word c,C_word *av) C_noret;
C_noret_decl(f_29444)
static void C_ccall f_29444(C_word c,C_word *av) C_noret;
C_noret_decl(f_29454)
static void C_ccall f_29454(C_word c,C_word *av) C_noret;
C_noret_decl(f_29458)
static void C_ccall f_29458(C_word c,C_word *av) C_noret;
C_noret_decl(f_29462)
static void C_ccall f_29462(C_word c,C_word *av) C_noret;
C_noret_decl(f_29474)
static void C_ccall f_29474(C_word c,C_word *av) C_noret;
C_noret_decl(f_29484)
static void C_ccall f_29484(C_word c,C_word *av) C_noret;
C_noret_decl(f_29488)
static void C_ccall f_29488(C_word c,C_word *av) C_noret;
C_noret_decl(f_29492)
static void C_fcall f_29492(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29520)
static void C_ccall f_29520(C_word c,C_word *av) C_noret;
C_noret_decl(f_29523)
static void C_ccall f_29523(C_word c,C_word *av) C_noret;
C_noret_decl(f_29526)
static void C_ccall f_29526(C_word c,C_word *av) C_noret;
C_noret_decl(f_29532)
static void C_fcall f_29532(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29545)
static void C_ccall f_29545(C_word c,C_word *av) C_noret;
C_noret_decl(f_29548)
static void C_ccall f_29548(C_word c,C_word *av) C_noret;
C_noret_decl(f_29557)
static void C_ccall f_29557(C_word c,C_word *av) C_noret;
C_noret_decl(f_29563)
static void C_ccall f_29563(C_word c,C_word *av) C_noret;
C_noret_decl(f_29569)
static void C_ccall f_29569(C_word c,C_word *av) C_noret;
C_noret_decl(f_29575)
static void C_ccall f_29575(C_word c,C_word *av) C_noret;
C_noret_decl(f_29581)
static void C_ccall f_29581(C_word c,C_word *av) C_noret;
C_noret_decl(f_29598)
static void C_ccall f_29598(C_word c,C_word *av) C_noret;
C_noret_decl(f_29604)
static void C_ccall f_29604(C_word c,C_word *av) C_noret;
C_noret_decl(f_29619)
static void C_ccall f_29619(C_word c,C_word *av) C_noret;
C_noret_decl(f_29623)
static void C_ccall f_29623(C_word c,C_word *av) C_noret;
C_noret_decl(f_29627)
static void C_ccall f_29627(C_word c,C_word *av) C_noret;
C_noret_decl(f_29631)
static void C_ccall f_29631(C_word c,C_word *av) C_noret;
C_noret_decl(f_29637)
static void C_ccall f_29637(C_word c,C_word *av) C_noret;
C_noret_decl(f_29639)
static void C_ccall f_29639(C_word c,C_word *av) C_noret;
C_noret_decl(f_29645)
static void C_fcall f_29645(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29649)
static void C_ccall f_29649(C_word c,C_word *av) C_noret;
C_noret_decl(f_29658)
static void C_ccall f_29658(C_word c,C_word *av) C_noret;
C_noret_decl(f_29667)
static void C_ccall f_29667(C_word c,C_word *av) C_noret;
C_noret_decl(f_29710)
static void C_ccall f_29710(C_word c,C_word *av) C_noret;
C_noret_decl(f_29732)
static void C_ccall f_29732(C_word c,C_word *av) C_noret;
C_noret_decl(f_29745)
static void C_ccall f_29745(C_word c,C_word *av) C_noret;
C_noret_decl(f_29770)
static void C_ccall f_29770(C_word c,C_word *av) C_noret;
C_noret_decl(f_29786)
static void C_ccall f_29786(C_word c,C_word *av) C_noret;
C_noret_decl(f_29802)
static void C_ccall f_29802(C_word c,C_word *av) C_noret;
C_noret_decl(f_29818)
static void C_ccall f_29818(C_word c,C_word *av) C_noret;
C_noret_decl(f_29834)
static void C_ccall f_29834(C_word c,C_word *av) C_noret;
C_noret_decl(f_29850)
static void C_ccall f_29850(C_word c,C_word *av) C_noret;
C_noret_decl(f_29866)
static void C_ccall f_29866(C_word c,C_word *av) C_noret;
C_noret_decl(f_29882)
static void C_ccall f_29882(C_word c,C_word *av) C_noret;
C_noret_decl(f_29898)
static void C_ccall f_29898(C_word c,C_word *av) C_noret;
C_noret_decl(f_29914)
static void C_ccall f_29914(C_word c,C_word *av) C_noret;
C_noret_decl(f_29921)
static void C_ccall f_29921(C_word c,C_word *av) C_noret;
C_noret_decl(f_29962)
static void C_ccall f_29962(C_word c,C_word *av) C_noret;
C_noret_decl(f_29974)
static void C_ccall f_29974(C_word c,C_word *av) C_noret;
C_noret_decl(f_29981)
static void C_ccall f_29981(C_word c,C_word *av) C_noret;
C_noret_decl(f_29998)
static void C_ccall f_29998(C_word c,C_word *av) C_noret;
C_noret_decl(f_30000)
static void C_ccall f_30000(C_word c,C_word *av) C_noret;
C_noret_decl(f_30023)
static C_word C_fcall f_30023(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_30069)
static void C_ccall f_30069(C_word c,C_word *av) C_noret;
C_noret_decl(f_30071)
static void C_ccall f_30071(C_word c,C_word *av) C_noret;
C_noret_decl(f_30078)
static void C_fcall f_30078(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30090)
static void C_fcall f_30090(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30134)
static void C_ccall f_30134(C_word c,C_word *av) C_noret;
C_noret_decl(f_30149)
static void C_fcall f_30149(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30157)
static void C_ccall f_30157(C_word c,C_word *av) C_noret;
C_noret_decl(f_30163)
static void C_fcall f_30163(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30171)
static void C_ccall f_30171(C_word c,C_word *av) C_noret;
C_noret_decl(f_30175)
static void C_ccall f_30175(C_word c,C_word *av) C_noret;
C_noret_decl(f_30181)
static void C_ccall f_30181(C_word c,C_word *av) C_noret;
C_noret_decl(f_30183)
static void C_fcall f_30183(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30195)
static void C_ccall f_30195(C_word c,C_word *av) C_noret;
C_noret_decl(f_30202)
static void C_ccall f_30202(C_word c,C_word *av) C_noret;
C_noret_decl(f_30206)
static void C_ccall f_30206(C_word c,C_word *av) C_noret;
C_noret_decl(f_30222)
static void C_ccall f_30222(C_word c,C_word *av) C_noret;
C_noret_decl(f_30229)
static void C_ccall f_30229(C_word c,C_word *av) C_noret;
C_noret_decl(f_30233)
static void C_ccall f_30233(C_word c,C_word *av) C_noret;
C_noret_decl(f_30246)
static void C_ccall f_30246(C_word c,C_word *av) C_noret;
C_noret_decl(f_30253)
static void C_ccall f_30253(C_word c,C_word *av) C_noret;
C_noret_decl(f_30257)
static void C_ccall f_30257(C_word c,C_word *av) C_noret;
C_noret_decl(f_30262)
static void C_ccall f_30262(C_word c,C_word *av) C_noret;
C_noret_decl(f_30268)
static void C_ccall f_30268(C_word c,C_word *av) C_noret;
C_noret_decl(f_30271)
static void C_ccall f_30271(C_word c,C_word *av) C_noret;
C_noret_decl(f_30274)
static void C_ccall f_30274(C_word c,C_word *av) C_noret;
C_noret_decl(f_30280)
static void C_ccall f_30280(C_word c,C_word *av) C_noret;
C_noret_decl(f_30289)
static void C_ccall f_30289(C_word c,C_word *av) C_noret;
C_noret_decl(f_30298)
static void C_ccall f_30298(C_word c,C_word *av) C_noret;
C_noret_decl(f_30304)
static void C_ccall f_30304(C_word c,C_word *av) C_noret;
C_noret_decl(f_30307)
static void C_ccall f_30307(C_word c,C_word *av) C_noret;
C_noret_decl(f_30310)
static void C_ccall f_30310(C_word c,C_word *av) C_noret;
C_noret_decl(f_30322)
static void C_ccall f_30322(C_word c,C_word *av) C_noret;
C_noret_decl(f_30325)
static void C_ccall f_30325(C_word c,C_word *av) C_noret;
C_noret_decl(f_30328)
static void C_ccall f_30328(C_word c,C_word *av) C_noret;
C_noret_decl(f_30331)
static void C_ccall f_30331(C_word c,C_word *av) C_noret;
C_noret_decl(f_30343)
static void C_ccall f_30343(C_word c,C_word *av) C_noret;
C_noret_decl(f_30346)
static void C_ccall f_30346(C_word c,C_word *av) C_noret;
C_noret_decl(f_30349)
static void C_ccall f_30349(C_word c,C_word *av) C_noret;
C_noret_decl(f_30352)
static void C_ccall f_30352(C_word c,C_word *av) C_noret;
C_noret_decl(f_30360)
static void C_ccall f_30360(C_word c,C_word *av) C_noret;
C_noret_decl(f_30363)
static void C_ccall f_30363(C_word c,C_word *av) C_noret;
C_noret_decl(f_30376)
static void C_ccall f_30376(C_word c,C_word *av) C_noret;
C_noret_decl(f_30377)
static void C_ccall f_30377(C_word c,C_word *av) C_noret;
C_noret_decl(f_30382)
static void C_ccall f_30382(C_word c,C_word *av) C_noret;
C_noret_decl(f_30383)
static void C_ccall f_30383(C_word c,C_word *av) C_noret;
C_noret_decl(f_30388)
static void C_ccall f_30388(C_word c,C_word *av) C_noret;
C_noret_decl(f_30389)
static void C_ccall f_30389(C_word c,C_word *av) C_noret;
C_noret_decl(f_30394)
static void C_ccall f_30394(C_word c,C_word *av) C_noret;
C_noret_decl(f_30395)
static void C_ccall f_30395(C_word c,C_word *av) C_noret;
C_noret_decl(f_30400)
static void C_ccall f_30400(C_word c,C_word *av) C_noret;
C_noret_decl(f_30401)
static void C_ccall f_30401(C_word c,C_word *av) C_noret;
C_noret_decl(f_30406)
static void C_fcall f_30406(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30408)
static void C_ccall f_30408(C_word c,C_word *av) C_noret;
C_noret_decl(f_30418)
static void C_ccall f_30418(C_word c,C_word *av) C_noret;
C_noret_decl(f_30421)
static void C_ccall f_30421(C_word c,C_word *av) C_noret;
C_noret_decl(f_30424)
static void C_ccall f_30424(C_word c,C_word *av) C_noret;
C_noret_decl(f_30427)
static void C_ccall f_30427(C_word c,C_word *av) C_noret;
C_noret_decl(f_30429)
static void C_fcall f_30429(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30443)
static void C_ccall f_30443(C_word c,C_word *av) C_noret;
C_noret_decl(f_30451)
static void C_ccall f_30451(C_word c,C_word *av) C_noret;
C_noret_decl(f_30455)
static void C_ccall f_30455(C_word c,C_word *av) C_noret;
C_noret_decl(f_30459)
static void C_ccall f_30459(C_word c,C_word *av) C_noret;
C_noret_decl(f_30463)
static void C_ccall f_30463(C_word c,C_word *av) C_noret;
C_noret_decl(f_30469)
static void C_ccall f_30469(C_word c,C_word *av) C_noret;
C_noret_decl(f_30476)
static void C_ccall f_30476(C_word c,C_word *av) C_noret;
C_noret_decl(f_30480)
static void C_ccall f_30480(C_word c,C_word *av) C_noret;
C_noret_decl(f_30484)
static void C_ccall f_30484(C_word c,C_word *av) C_noret;
C_noret_decl(f_30488)
static void C_ccall f_30488(C_word c,C_word *av) C_noret;
C_noret_decl(f_30527)
static void C_ccall f_30527(C_word c,C_word *av) C_noret;
C_noret_decl(f_30530)
static void C_ccall f_30530(C_word c,C_word *av) C_noret;
C_noret_decl(f_30533)
static void C_ccall f_30533(C_word c,C_word *av) C_noret;
C_noret_decl(f_30536)
static void C_ccall f_30536(C_word c,C_word *av) C_noret;
C_noret_decl(f_30539)
static void C_ccall f_30539(C_word c,C_word *av) C_noret;
C_noret_decl(f_30547)
static void C_ccall f_30547(C_word c,C_word *av) C_noret;
C_noret_decl(f_30555)
static void C_ccall f_30555(C_word c,C_word *av) C_noret;
C_noret_decl(f_30559)
static void C_ccall f_30559(C_word c,C_word *av) C_noret;
C_noret_decl(f_30576)
static void C_ccall f_30576(C_word c,C_word *av) C_noret;
C_noret_decl(f_30583)
static void C_ccall f_30583(C_word c,C_word *av) C_noret;
C_noret_decl(f_30605)
static void C_ccall f_30605(C_word c,C_word *av) C_noret;
C_noret_decl(f_30610)
static void C_fcall f_30610(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30625)
static void C_ccall f_30625(C_word c,C_word *av) C_noret;
C_noret_decl(f_30628)
static void C_ccall f_30628(C_word c,C_word *av) C_noret;
C_noret_decl(f_30631)
static void C_ccall f_30631(C_word c,C_word *av) C_noret;
C_noret_decl(f_30634)
static void C_ccall f_30634(C_word c,C_word *av) C_noret;
C_noret_decl(f_30637)
static void C_ccall f_30637(C_word c,C_word *av) C_noret;
C_noret_decl(f_30640)
static void C_ccall f_30640(C_word c,C_word *av) C_noret;
C_noret_decl(f_30643)
static void C_fcall f_30643(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30646)
static void C_fcall f_30646(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30649)
static void C_fcall f_30649(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30652)
static void C_fcall f_30652(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30655)
static void C_fcall f_30655(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30659)
static void C_ccall f_30659(C_word c,C_word *av) C_noret;
C_noret_decl(f_30662)
static void C_ccall f_30662(C_word c,C_word *av) C_noret;
C_noret_decl(f_30667)
static void C_ccall f_30667(C_word c,C_word *av) C_noret;
C_noret_decl(f_30673)
static void C_ccall f_30673(C_word c,C_word *av) C_noret;
C_noret_decl(f_30686)
static void C_ccall f_30686(C_word c,C_word *av) C_noret;
C_noret_decl(f_30688)
static void C_fcall f_30688(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30698)
static void C_ccall f_30698(C_word c,C_word *av) C_noret;
C_noret_decl(f_30711)
static void C_ccall f_30711(C_word c,C_word *av) C_noret;
C_noret_decl(f_30718)
static void C_ccall f_30718(C_word c,C_word *av) C_noret;
C_noret_decl(f_30722)
static void C_ccall f_30722(C_word c,C_word *av) C_noret;
C_noret_decl(f_30724)
static void C_fcall f_30724(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30753)
static void C_ccall f_30753(C_word c,C_word *av) C_noret;
C_noret_decl(f_30755)
static void C_fcall f_30755(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30780)
static void C_ccall f_30780(C_word c,C_word *av) C_noret;
C_noret_decl(f_30789)
static void C_ccall f_30789(C_word c,C_word *av) C_noret;
C_noret_decl(f_30792)
static void C_ccall f_30792(C_word c,C_word *av) C_noret;
C_noret_decl(f_30798)
static void C_fcall f_30798(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30822)
static void C_ccall f_30822(C_word c,C_word *av) C_noret;
C_noret_decl(f_30831)
static void C_ccall f_30831(C_word c,C_word *av) C_noret;
C_noret_decl(f_30839)
static void C_ccall f_30839(C_word c,C_word *av) C_noret;
C_noret_decl(f_30843)
static void C_ccall f_30843(C_word c,C_word *av) C_noret;
C_noret_decl(f_30847)
static void C_ccall f_30847(C_word c,C_word *av) C_noret;
C_noret_decl(f_30877)
static void C_ccall f_30877(C_word c,C_word *av) C_noret;
C_noret_decl(f_30881)
static void C_ccall f_30881(C_word c,C_word *av) C_noret;
C_noret_decl(f_30885)
static void C_ccall f_30885(C_word c,C_word *av) C_noret;
C_noret_decl(f_30889)
static void C_ccall f_30889(C_word c,C_word *av) C_noret;
C_noret_decl(f_30893)
static void C_ccall f_30893(C_word c,C_word *av) C_noret;
C_noret_decl(f_30897)
static void C_ccall f_30897(C_word c,C_word *av) C_noret;
C_noret_decl(f_30900)
static void C_ccall f_30900(C_word c,C_word *av) C_noret;
C_noret_decl(f_30903)
static void C_ccall f_30903(C_word c,C_word *av) C_noret;
C_noret_decl(f_30913)
static void C_ccall f_30913(C_word c,C_word *av) C_noret;
C_noret_decl(f_30916)
static void C_ccall f_30916(C_word c,C_word *av) C_noret;
C_noret_decl(f_30919)
static void C_ccall f_30919(C_word c,C_word *av) C_noret;
C_noret_decl(f_30939)
static void C_ccall f_30939(C_word c,C_word *av) C_noret;
C_noret_decl(f_30943)
static void C_ccall f_30943(C_word c,C_word *av) C_noret;
C_noret_decl(f_30947)
static void C_ccall f_30947(C_word c,C_word *av) C_noret;
C_noret_decl(f_30951)
static void C_ccall f_30951(C_word c,C_word *av) C_noret;
C_noret_decl(f_30955)
static void C_ccall f_30955(C_word c,C_word *av) C_noret;
C_noret_decl(f_30959)
static void C_ccall f_30959(C_word c,C_word *av) C_noret;
C_noret_decl(f_30963)
static void C_ccall f_30963(C_word c,C_word *av) C_noret;
C_noret_decl(f_30965)
static void C_ccall f_30965(C_word c,C_word *av) C_noret;
C_noret_decl(f_30974)
static void C_ccall f_30974(C_word c,C_word *av) C_noret;
C_noret_decl(f_30984)
static void C_ccall f_30984(C_word c,C_word *av) C_noret;
C_noret_decl(f_31009)
static void C_ccall f_31009(C_word c,C_word *av) C_noret;
C_noret_decl(f_31012)
static void C_ccall f_31012(C_word c,C_word *av) C_noret;
C_noret_decl(f_31014)
static void C_ccall f_31014(C_word c,C_word *av) C_noret;
C_noret_decl(f_31030)
static void C_fcall f_31030(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31049)
static void C_fcall f_31049(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31059)
static void C_ccall f_31059(C_word c,C_word *av) C_noret;
C_noret_decl(f_31069)
static void C_ccall f_31069(C_word c,C_word *av) C_noret;
C_noret_decl(f_31093)
static void C_ccall f_31093(C_word c,C_word *av) C_noret;
C_noret_decl(f_31097)
static void C_ccall f_31097(C_word c,C_word *av) C_noret;
C_noret_decl(f_31099)
static void C_ccall f_31099(C_word c,C_word *av) C_noret;
C_noret_decl(f_31103)
static void C_ccall f_31103(C_word c,C_word *av) C_noret;
C_noret_decl(f_31106)
static void C_ccall f_31106(C_word c,C_word *av) C_noret;
C_noret_decl(f_31121)
static void C_ccall f_31121(C_word c,C_word *av) C_noret;
C_noret_decl(f_31127)
static void C_ccall f_31127(C_word c,C_word *av) C_noret;
C_noret_decl(f_31131)
static void C_ccall f_31131(C_word c,C_word *av) C_noret;
C_noret_decl(f_31140)
static void C_ccall f_31140(C_word c,C_word *av) C_noret;
C_noret_decl(f_31143)
static void C_ccall f_31143(C_word c,C_word *av) C_noret;
C_noret_decl(f_31146)
static void C_ccall f_31146(C_word c,C_word *av) C_noret;
C_noret_decl(f_31149)
static void C_ccall f_31149(C_word c,C_word *av) C_noret;
C_noret_decl(f_31152)
static void C_ccall f_31152(C_word c,C_word *av) C_noret;
C_noret_decl(f_31158)
static void C_ccall f_31158(C_word c,C_word *av) C_noret;
C_noret_decl(f_31164)
static void C_ccall f_31164(C_word c,C_word *av) C_noret;
C_noret_decl(f_31167)
static void C_ccall f_31167(C_word c,C_word *av) C_noret;
C_noret_decl(f_31172)
static void C_ccall f_31172(C_word c,C_word *av) C_noret;
C_noret_decl(f_31182)
static void C_ccall f_31182(C_word c,C_word *av) C_noret;
C_noret_decl(f_31194)
static void C_ccall f_31194(C_word c,C_word *av) C_noret;
C_noret_decl(f_31202)
static void C_fcall f_31202(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31212)
static void C_ccall f_31212(C_word c,C_word *av) C_noret;
C_noret_decl(f_31228)
static void C_ccall f_31228(C_word c,C_word *av) C_noret;
C_noret_decl(f_31234)
static void C_ccall f_31234(C_word c,C_word *av) C_noret;
C_noret_decl(f_31237)
static void C_ccall f_31237(C_word c,C_word *av) C_noret;
C_noret_decl(f_31240)
static void C_ccall f_31240(C_word c,C_word *av) C_noret;
C_noret_decl(f_31241)
static void C_fcall f_31241(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31245)
static void C_ccall f_31245(C_word c,C_word *av) C_noret;
C_noret_decl(f_31251)
static void C_ccall f_31251(C_word c,C_word *av) C_noret;
C_noret_decl(f_31255)
static void C_ccall f_31255(C_word c,C_word *av) C_noret;
C_noret_decl(f_31257)
static void C_fcall f_31257(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31267)
static void C_ccall f_31267(C_word c,C_word *av) C_noret;
C_noret_decl(f_31284)
static void C_ccall f_31284(C_word c,C_word *av) C_noret;
C_noret_decl(f_31287)
static void C_ccall f_31287(C_word c,C_word *av) C_noret;
C_noret_decl(f_31291)
static void C_ccall f_31291(C_word c,C_word *av) C_noret;
C_noret_decl(f_31296)
static void C_ccall f_31296(C_word c,C_word *av) C_noret;
C_noret_decl(f_31302)
static void C_ccall f_31302(C_word c,C_word *av) C_noret;
C_noret_decl(f_31309)
static void C_ccall f_31309(C_word c,C_word *av) C_noret;
C_noret_decl(f_31318)
static void C_ccall f_31318(C_word c,C_word *av) C_noret;
C_noret_decl(f_31326)
static void C_ccall f_31326(C_word c,C_word *av) C_noret;
C_noret_decl(f_31351)
static void C_ccall f_31351(C_word c,C_word *av) C_noret;
C_noret_decl(f_31369)
static void C_ccall f_31369(C_word c,C_word *av) C_noret;
C_noret_decl(f_31373)
static void C_ccall f_31373(C_word c,C_word *av) C_noret;
C_noret_decl(f_31388)
static void C_ccall f_31388(C_word c,C_word *av) C_noret;
C_noret_decl(f_31392)
static void C_ccall f_31392(C_word c,C_word *av) C_noret;
C_noret_decl(f_31407)
static void C_ccall f_31407(C_word c,C_word *av) C_noret;
C_noret_decl(f_31410)
static void C_ccall f_31410(C_word c,C_word *av) C_noret;
C_noret_decl(f_31413)
static void C_ccall f_31413(C_word c,C_word *av) C_noret;
C_noret_decl(f_31423)
static void C_fcall f_31423(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31454)
static void C_ccall f_31454(C_word c,C_word *av) C_noret;
C_noret_decl(f_31478)
static void C_ccall f_31478(C_word c,C_word *av) C_noret;
C_noret_decl(f_31488)
static void C_ccall f_31488(C_word c,C_word *av) C_noret;
C_noret_decl(f_31497)
static void C_ccall f_31497(C_word c,C_word *av) C_noret;
C_noret_decl(f_31538)
static void C_ccall f_31538(C_word c,C_word *av) C_noret;
C_noret_decl(f_31557)
static void C_ccall f_31557(C_word c,C_word *av) C_noret;
C_noret_decl(f_31570)
static void C_ccall f_31570(C_word c,C_word *av) C_noret;
C_noret_decl(f_31580)
static void C_ccall f_31580(C_word c,C_word *av) C_noret;
C_noret_decl(f_31590)
static void C_ccall f_31590(C_word c,C_word *av) C_noret;
C_noret_decl(f_31600)
static void C_ccall f_31600(C_word c,C_word *av) C_noret;
C_noret_decl(f_31610)
static void C_ccall f_31610(C_word c,C_word *av) C_noret;
C_noret_decl(f_31620)
static void C_ccall f_31620(C_word c,C_word *av) C_noret;
C_noret_decl(f_31630)
static void C_ccall f_31630(C_word c,C_word *av) C_noret;
C_noret_decl(f_31640)
static void C_ccall f_31640(C_word c,C_word *av) C_noret;
C_noret_decl(f_31650)
static void C_ccall f_31650(C_word c,C_word *av) C_noret;
C_noret_decl(f_31660)
static void C_ccall f_31660(C_word c,C_word *av) C_noret;
C_noret_decl(f_31670)
static void C_ccall f_31670(C_word c,C_word *av) C_noret;
C_noret_decl(f_31680)
static void C_ccall f_31680(C_word c,C_word *av) C_noret;
C_noret_decl(f_31690)
static void C_ccall f_31690(C_word c,C_word *av) C_noret;
C_noret_decl(f_31700)
static void C_ccall f_31700(C_word c,C_word *av) C_noret;
C_noret_decl(f_31716)
static void C_ccall f_31716(C_word c,C_word *av) C_noret;
C_noret_decl(f_31724)
static void C_ccall f_31724(C_word c,C_word *av) C_noret;
C_noret_decl(f_31740)
static void C_ccall f_31740(C_word c,C_word *av) C_noret;
C_noret_decl(f_31756)
static void C_ccall f_31756(C_word c,C_word *av) C_noret;
C_noret_decl(f_31766)
static void C_ccall f_31766(C_word c,C_word *av) C_noret;
C_noret_decl(f_31776)
static void C_ccall f_31776(C_word c,C_word *av) C_noret;
C_noret_decl(f_31795)
static void C_ccall f_31795(C_word c,C_word *av) C_noret;
C_noret_decl(f_31811)
static void C_ccall f_31811(C_word c,C_word *av) C_noret;
C_noret_decl(f_31824)
static void C_ccall f_31824(C_word c,C_word *av) C_noret;
C_noret_decl(f_31830)
static void C_ccall f_31830(C_word c,C_word *av) C_noret;
C_noret_decl(f_31853)
static void C_ccall f_31853(C_word c,C_word *av) C_noret;
C_noret_decl(f_31857)
static void C_ccall f_31857(C_word c,C_word *av) C_noret;
C_noret_decl(f_31861)
static void C_ccall f_31861(C_word c,C_word *av) C_noret;
C_noret_decl(f_31864)
static void C_ccall f_31864(C_word c,C_word *av) C_noret;
C_noret_decl(f_31870)
static void C_ccall f_31870(C_word c,C_word *av) C_noret;
C_noret_decl(f_31893)
static void C_ccall f_31893(C_word c,C_word *av) C_noret;
C_noret_decl(f_31897)
static void C_ccall f_31897(C_word c,C_word *av) C_noret;
C_noret_decl(f_31901)
static void C_ccall f_31901(C_word c,C_word *av) C_noret;
C_noret_decl(f_31904)
static void C_ccall f_31904(C_word c,C_word *av) C_noret;
C_noret_decl(f_31907)
static void C_ccall f_31907(C_word c,C_word *av) C_noret;
C_noret_decl(f_31910)
static void C_ccall f_31910(C_word c,C_word *av) C_noret;
C_noret_decl(f_31916)
static void C_ccall f_31916(C_word c,C_word *av) C_noret;
C_noret_decl(f_31919)
static void C_ccall f_31919(C_word c,C_word *av) C_noret;
C_noret_decl(f_31922)
static void C_ccall f_31922(C_word c,C_word *av) C_noret;
C_noret_decl(f_31930)
static void C_fcall f_31930(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31932)
static void C_fcall f_31932(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_31956)
static void C_ccall f_31956(C_word c,C_word *av) C_noret;
C_noret_decl(f_31979)
static void C_ccall f_31979(C_word c,C_word *av) C_noret;
C_noret_decl(f_31983)
static void C_ccall f_31983(C_word c,C_word *av) C_noret;
C_noret_decl(f_31987)
static void C_ccall f_31987(C_word c,C_word *av) C_noret;
C_noret_decl(f_32021)
static void C_ccall f_32021(C_word c,C_word *av) C_noret;
C_noret_decl(f_32025)
static void C_ccall f_32025(C_word c,C_word *av) C_noret;
C_noret_decl(f_32028)
static void C_fcall f_32028(C_word t0,C_word t1) C_noret;
C_noret_decl(f_32041)
static void C_fcall f_32041(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_32074)
static void C_ccall f_32074(C_word c,C_word *av) C_noret;
C_noret_decl(f_32089)
static void C_ccall f_32089(C_word c,C_word *av) C_noret;
C_noret_decl(f_32093)
static void C_ccall f_32093(C_word c,C_word *av) C_noret;
C_noret_decl(f_32117)
static void C_ccall f_32117(C_word c,C_word *av) C_noret;
C_noret_decl(f_32125)
static void C_ccall f_32125(C_word c,C_word *av) C_noret;
C_noret_decl(f_32129)
static void C_ccall f_32129(C_word c,C_word *av) C_noret;
C_noret_decl(f_32140)
static void C_ccall f_32140(C_word c,C_word *av) C_noret;
C_noret_decl(f_32144)
static void C_ccall f_32144(C_word c,C_word *av) C_noret;
C_noret_decl(f_32148)
static void C_ccall f_32148(C_word c,C_word *av) C_noret;
C_noret_decl(f_32162)
static void C_ccall f_32162(C_word c,C_word *av) C_noret;
C_noret_decl(f_32194)
static void C_ccall f_32194(C_word c,C_word *av) C_noret;
C_noret_decl(f_8508)
static void C_ccall f_8508(C_word c,C_word *av) C_noret;
C_noret_decl(f_8510)
static void C_ccall f_8510(C_word c,C_word *av) C_noret;
C_noret_decl(f_8513)
static void C_ccall f_8513(C_word c,C_word *av) C_noret;
C_noret_decl(f_8516)
static void C_ccall f_8516(C_word c,C_word *av) C_noret;
C_noret_decl(f_8519)
static void C_ccall f_8519(C_word c,C_word *av) C_noret;
C_noret_decl(f_8522)
static void C_ccall f_8522(C_word c,C_word *av) C_noret;
C_noret_decl(f_8525)
static void C_ccall f_8525(C_word c,C_word *av) C_noret;
C_noret_decl(f_8528)
static void C_ccall f_8528(C_word c,C_word *av) C_noret;
C_noret_decl(f_8531)
static void C_ccall f_8531(C_word c,C_word *av) C_noret;
C_noret_decl(f_8534)
static void C_ccall f_8534(C_word c,C_word *av) C_noret;
C_noret_decl(f_8537)
static void C_ccall f_8537(C_word c,C_word *av) C_noret;
C_noret_decl(f_8540)
static void C_ccall f_8540(C_word c,C_word *av) C_noret;
C_noret_decl(f_8543)
static void C_ccall f_8543(C_word c,C_word *av) C_noret;
C_noret_decl(f_8546)
static void C_ccall f_8546(C_word c,C_word *av) C_noret;
C_noret_decl(f_8549)
static void C_ccall f_8549(C_word c,C_word *av) C_noret;
C_noret_decl(f_8552)
static void C_ccall f_8552(C_word c,C_word *av) C_noret;
C_noret_decl(f_8555)
static void C_ccall f_8555(C_word c,C_word *av) C_noret;
C_noret_decl(f_8558)
static void C_ccall f_8558(C_word c,C_word *av) C_noret;
C_noret_decl(f_8561)
static void C_ccall f_8561(C_word c,C_word *av) C_noret;
C_noret_decl(f_8564)
static void C_ccall f_8564(C_word c,C_word *av) C_noret;
C_noret_decl(f_8578)
static void C_ccall f_8578(C_word c,C_word *av) C_noret;
C_noret_decl(f_8585)
static void C_ccall f_8585(C_word c,C_word *av) C_noret;
C_noret_decl(f_8592)
static void C_ccall f_8592(C_word c,C_word *av) C_noret;
C_noret_decl(f_8606)
static void C_ccall f_8606(C_word c,C_word *av) C_noret;
C_noret_decl(f_8613)
static void C_ccall f_8613(C_word c,C_word *av) C_noret;
C_noret_decl(f_8627)
static void C_ccall f_8627(C_word c,C_word *av) C_noret;
C_noret_decl(f_8641)
static void C_ccall f_8641(C_word c,C_word *av) C_noret;
C_noret_decl(f_8659)
static void C_ccall f_8659(C_word c,C_word *av) C_noret;
C_noret_decl(f_8670)
static void C_ccall f_8670(C_word c,C_word *av) C_noret;
C_noret_decl(f_8681)
static void C_ccall f_8681(C_word c,C_word *av) C_noret;
C_noret_decl(f_8688)
static void C_ccall f_8688(C_word c,C_word *av) C_noret;
C_noret_decl(f_8699)
static void C_ccall f_8699(C_word c,C_word *av) C_noret;
C_noret_decl(f_8703)
static void C_ccall f_8703(C_word c,C_word *av) C_noret;
C_noret_decl(f_8710)
static void C_ccall f_8710(C_word c,C_word *av) C_noret;
C_noret_decl(f_8728)
static void C_ccall f_8728(C_word c,C_word *av) C_noret;
C_noret_decl(f_8739)
static void C_ccall f_8739(C_word c,C_word *av) C_noret;
C_noret_decl(f_8750)
static void C_ccall f_8750(C_word c,C_word *av) C_noret;
C_noret_decl(f_8757)
static void C_ccall f_8757(C_word c,C_word *av) C_noret;
C_noret_decl(f_8775)
static void C_ccall f_8775(C_word c,C_word *av) C_noret;
C_noret_decl(f_8786)
static void C_ccall f_8786(C_word c,C_word *av) C_noret;
C_noret_decl(f_8804)
static void C_ccall f_8804(C_word c,C_word *av) C_noret;
C_noret_decl(f_8810)
static void C_ccall f_8810(C_word c,C_word *av) C_noret;
C_noret_decl(f_8813)
static void C_ccall f_8813(C_word c,C_word *av) C_noret;
C_noret_decl(f_8816)
static void C_ccall f_8816(C_word c,C_word *av) C_noret;
C_noret_decl(f_8819)
static void C_ccall f_8819(C_word c,C_word *av) C_noret;
C_noret_decl(f_8822)
static void C_ccall f_8822(C_word c,C_word *av) C_noret;
C_noret_decl(f_8828)
static void C_fcall f_8828(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_8861)
static void C_ccall f_8861(C_word c,C_word *av) C_noret;
C_noret_decl(f_8864)
static void C_ccall f_8864(C_word c,C_word *av) C_noret;
C_noret_decl(f_8867)
static void C_ccall f_8867(C_word c,C_word *av) C_noret;
C_noret_decl(f_8870)
static void C_ccall f_8870(C_word c,C_word *av) C_noret;
C_noret_decl(f_8873)
static void C_ccall f_8873(C_word c,C_word *av) C_noret;
C_noret_decl(f_8876)
static void C_ccall f_8876(C_word c,C_word *av) C_noret;
C_noret_decl(f_8879)
static void C_ccall f_8879(C_word c,C_word *av) C_noret;
C_noret_decl(f_8882)
static void C_ccall f_8882(C_word c,C_word *av) C_noret;
C_noret_decl(f_8885)
static void C_ccall f_8885(C_word c,C_word *av) C_noret;
C_noret_decl(f_8888)
static void C_ccall f_8888(C_word c,C_word *av) C_noret;
C_noret_decl(f_8891)
static void C_ccall f_8891(C_word c,C_word *av) C_noret;
C_noret_decl(f_8894)
static void C_ccall f_8894(C_word c,C_word *av) C_noret;
C_noret_decl(f_8897)
static void C_ccall f_8897(C_word c,C_word *av) C_noret;
C_noret_decl(f_8901)
static void C_ccall f_8901(C_word c,C_word *av) C_noret;
C_noret_decl(f_8904)
static void C_ccall f_8904(C_word c,C_word *av) C_noret;
C_noret_decl(f_8910)
static void C_ccall f_8910(C_word c,C_word *av) C_noret;
C_noret_decl(f_8913)
static void C_ccall f_8913(C_word c,C_word *av) C_noret;
C_noret_decl(f_8916)
static void C_ccall f_8916(C_word c,C_word *av) C_noret;
C_noret_decl(f_8919)
static void C_ccall f_8919(C_word c,C_word *av) C_noret;
C_noret_decl(f_8922)
static void C_ccall f_8922(C_word c,C_word *av) C_noret;
C_noret_decl(f_8930)
static void C_ccall f_8930(C_word c,C_word *av) C_noret;
C_noret_decl(f_8934)
static void C_ccall f_8934(C_word c,C_word *av) C_noret;
C_noret_decl(f_8937)
static void C_ccall f_8937(C_word c,C_word *av) C_noret;
C_noret_decl(f_8940)
static void C_ccall f_8940(C_word c,C_word *av) C_noret;
C_noret_decl(f_8943)
static void C_ccall f_8943(C_word c,C_word *av) C_noret;
C_noret_decl(f_8946)
static void C_ccall f_8946(C_word c,C_word *av) C_noret;
C_noret_decl(f_8949)
static void C_ccall f_8949(C_word c,C_word *av) C_noret;
C_noret_decl(f_8952)
static void C_ccall f_8952(C_word c,C_word *av) C_noret;
C_noret_decl(f_8955)
static void C_ccall f_8955(C_word c,C_word *av) C_noret;
C_noret_decl(f_8959)
static void C_ccall f_8959(C_word c,C_word *av) C_noret;
C_noret_decl(f_8962)
static void C_ccall f_8962(C_word c,C_word *av) C_noret;
C_noret_decl(f_8965)
static void C_ccall f_8965(C_word c,C_word *av) C_noret;
C_noret_decl(f_8968)
static void C_ccall f_8968(C_word c,C_word *av) C_noret;
C_noret_decl(f_8971)
static void C_ccall f_8971(C_word c,C_word *av) C_noret;
C_noret_decl(f_8979)
static void C_ccall f_8979(C_word c,C_word *av) C_noret;
C_noret_decl(f_8982)
static void C_ccall f_8982(C_word c,C_word *av) C_noret;
C_noret_decl(f_8989)
static void C_ccall f_8989(C_word c,C_word *av) C_noret;
C_noret_decl(f_8993)
static void C_ccall f_8993(C_word c,C_word *av) C_noret;
C_noret_decl(f_8996)
static void C_ccall f_8996(C_word c,C_word *av) C_noret;
C_noret_decl(f_8999)
static void C_ccall f_8999(C_word c,C_word *av) C_noret;
C_noret_decl(f_9002)
static void C_ccall f_9002(C_word c,C_word *av) C_noret;
C_noret_decl(f_9005)
static void C_ccall f_9005(C_word c,C_word *av) C_noret;
C_noret_decl(f_9008)
static void C_ccall f_9008(C_word c,C_word *av) C_noret;
C_noret_decl(f_9011)
static void C_ccall f_9011(C_word c,C_word *av) C_noret;
C_noret_decl(f_9017)
static void C_ccall f_9017(C_word c,C_word *av) C_noret;
C_noret_decl(f_9028)
static void C_ccall f_9028(C_word c,C_word *av) C_noret;
C_noret_decl(f_9034)
static void C_ccall f_9034(C_word c,C_word *av) C_noret;
C_noret_decl(f_9040)
static void C_ccall f_9040(C_word c,C_word *av) C_noret;
C_noret_decl(f_9046)
static void C_ccall f_9046(C_word c,C_word *av) C_noret;
C_noret_decl(f_9052)
static void C_ccall f_9052(C_word c,C_word *av) C_noret;
C_noret_decl(f_9058)
static void C_ccall f_9058(C_word c,C_word *av) C_noret;
C_noret_decl(f_9065)
static void C_ccall f_9065(C_word c,C_word *av) C_noret;
C_noret_decl(f_9071)
static void C_ccall f_9071(C_word c,C_word *av) C_noret;
C_noret_decl(f_9087)
static void C_ccall f_9087(C_word c,C_word *av) C_noret;
C_noret_decl(f_9098)
static void C_ccall f_9098(C_word c,C_word *av) C_noret;
C_noret_decl(f_9104)
static void C_ccall f_9104(C_word c,C_word *av) C_noret;
C_noret_decl(f_9110)
static void C_ccall f_9110(C_word c,C_word *av) C_noret;
C_noret_decl(f_9116)
static void C_ccall f_9116(C_word c,C_word *av) C_noret;
C_noret_decl(f_9122)
static void C_ccall f_9122(C_word c,C_word *av) C_noret;
C_noret_decl(f_9131)
static void C_ccall f_9131(C_word c,C_word *av) C_noret;
C_noret_decl(f_9134)
static void C_ccall f_9134(C_word c,C_word *av) C_noret;
C_noret_decl(f_9137)
static void C_ccall f_9137(C_word c,C_word *av) C_noret;
C_noret_decl(f_9140)
static void C_ccall f_9140(C_word c,C_word *av) C_noret;
C_noret_decl(f_9143)
static void C_ccall f_9143(C_word c,C_word *av) C_noret;
C_noret_decl(f_9146)
static void C_ccall f_9146(C_word c,C_word *av) C_noret;
C_noret_decl(f_9150)
static void C_ccall f_9150(C_word c,C_word *av) C_noret;
C_noret_decl(f_9156)
static void C_ccall f_9156(C_word c,C_word *av) C_noret;
C_noret_decl(f_9162)
static void C_ccall f_9162(C_word c,C_word *av) C_noret;
C_noret_decl(f_9195)
static void C_ccall f_9195(C_word c,C_word *av) C_noret;
C_noret_decl(f_9198)
static void C_ccall f_9198(C_word c,C_word *av) C_noret;
C_noret_decl(f_9201)
static void C_ccall f_9201(C_word c,C_word *av) C_noret;
C_noret_decl(f_9209)
static void C_ccall f_9209(C_word c,C_word *av) C_noret;
C_noret_decl(f_9214)
static void C_ccall f_9214(C_word c,C_word *av) C_noret;
C_noret_decl(f_9220)
static void C_ccall f_9220(C_word c,C_word *av) C_noret;
C_noret_decl(f_9235)
static void C_ccall f_9235(C_word c,C_word *av) C_noret;
C_noret_decl(f_9255)
static void C_ccall f_9255(C_word c,C_word *av) C_noret;
C_noret_decl(f_9261)
static void C_ccall f_9261(C_word c,C_word *av) C_noret;
C_noret_decl(f_9267)
static void C_ccall f_9267(C_word c,C_word *av) C_noret;
C_noret_decl(f_9274)
static void C_ccall f_9274(C_word c,C_word *av) C_noret;
C_noret_decl(f_9279)
static void C_ccall f_9279(C_word c,C_word *av) C_noret;
C_noret_decl(f_9282)
static void C_ccall f_9282(C_word c,C_word *av) C_noret;
C_noret_decl(f_9291)
static void C_fcall f_9291(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9309)
static void C_ccall f_9309(C_word c,C_word *av) C_noret;
C_noret_decl(f_9319)
static void C_ccall f_9319(C_word c,C_word *av) C_noret;
C_noret_decl(f_9328)
static void C_fcall f_9328(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9346)
static void C_ccall f_9346(C_word c,C_word *av) C_noret;
C_noret_decl(f_9359)
static void C_ccall f_9359(C_word c,C_word *av) C_noret;
C_noret_decl(f_9366)
static void C_ccall f_9366(C_word c,C_word *av) C_noret;
C_noret_decl(f_9373)
static void C_ccall f_9373(C_word c,C_word *av) C_noret;
C_noret_decl(f_9384)
static void C_ccall f_9384(C_word c,C_word *av) C_noret;
C_noret_decl(f_9391)
static void C_ccall f_9391(C_word c,C_word *av) C_noret;
C_noret_decl(f_9403)
static void C_ccall f_9403(C_word c,C_word *av) C_noret;
C_noret_decl(f_9406)
static void C_ccall f_9406(C_word c,C_word *av) C_noret;
C_noret_decl(f_9408)
static void C_ccall f_9408(C_word c,C_word *av) C_noret;
C_noret_decl(f_9414)
static void C_fcall f_9414(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9430)
static void C_ccall f_9430(C_word c,C_word *av) C_noret;
C_noret_decl(f_9439)
static void C_ccall f_9439(C_word c,C_word *av) C_noret;
C_noret_decl(f_9441)
static void C_ccall f_9441(C_word c,C_word *av) C_noret;
C_noret_decl(f_9447)
static void C_fcall f_9447(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9460)
static void C_ccall f_9460(C_word c,C_word *av) C_noret;
C_noret_decl(f_9476)
static void C_ccall f_9476(C_word c,C_word *av) C_noret;
C_noret_decl(f_9487)
static void C_ccall f_9487(C_word c,C_word *av) C_noret;
C_noret_decl(f_9489)
static void C_ccall f_9489(C_word c,C_word *av) C_noret;
C_noret_decl(f_9497)
static void C_ccall f_9497(C_word c,C_word *av) C_noret;
C_noret_decl(f_9499)
static void C_ccall f_9499(C_word c,C_word *av) C_noret;
C_noret_decl(f_9505)
static void C_ccall f_9505(C_word c,C_word *av) C_noret;
C_noret_decl(f_9507)
static void C_ccall f_9507(C_word c,C_word *av) C_noret;
C_noret_decl(f_9515)
static void C_ccall f_9515(C_word c,C_word *av) C_noret;
C_noret_decl(f_9517)
static void C_ccall f_9517(C_word c,C_word *av) C_noret;
C_noret_decl(f_9520)
static void C_ccall f_9520(C_word c,C_word *av) C_noret;
C_noret_decl(f_9528)
static void C_ccall f_9528(C_word c,C_word *av) C_noret;
C_noret_decl(f_9534)
static void C_ccall f_9534(C_word c,C_word *av) C_noret;
C_noret_decl(f_9542)
static void C_ccall f_9542(C_word c,C_word *av) C_noret;
C_noret_decl(f_9553)
static void C_ccall f_9553(C_word c,C_word *av) C_noret;
C_noret_decl(f_9565)
static void C_fcall f_9565(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9579)
static void C_ccall f_9579(C_word c,C_word *av) C_noret;
C_noret_decl(f_9587)
static void C_ccall f_9587(C_word c,C_word *av) C_noret;
C_noret_decl(f_9590)
static void C_ccall f_9590(C_word c,C_word *av) C_noret;
C_noret_decl(f_9592)
static void C_ccall f_9592(C_word c,C_word *av) C_noret;
C_noret_decl(f_9594)
static void C_ccall f_9594(C_word c,C_word *av) C_noret;
C_noret_decl(f_9600)
static void C_fcall f_9600(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9619)
static void C_ccall f_9619(C_word c,C_word *av) C_noret;
C_noret_decl(f_9636)
static void C_ccall f_9636(C_word c,C_word *av) C_noret;
C_noret_decl(f_9644)
static void C_ccall f_9644(C_word c,C_word *av) C_noret;
C_noret_decl(f_9658)
static void C_ccall f_9658(C_word c,C_word *av) C_noret;
C_noret_decl(f_9664)
static void C_fcall f_9664(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9683)
static void C_ccall f_9683(C_word c,C_word *av) C_noret;
C_noret_decl(f_9692)
static void C_ccall f_9692(C_word c,C_word *av) C_noret;
C_noret_decl(f_9695)
static void C_ccall f_9695(C_word c,C_word *av) C_noret;
C_noret_decl(f_9707)
static C_word C_fcall f_9707(C_word t0,C_word t1);
C_noret_decl(f_9723)
static void C_ccall f_9723(C_word c,C_word *av) C_noret;
C_noret_decl(f_9729)
static void C_fcall f_9729(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9754)
static void C_ccall f_9754(C_word c,C_word *av) C_noret;
C_noret_decl(f_9756)
static void C_ccall f_9756(C_word c,C_word *av) C_noret;
C_noret_decl(f_9765)
static void C_fcall f_9765(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9786)
static void C_ccall f_9786(C_word c,C_word *av) C_noret;
C_noret_decl(f_9788)
static void C_ccall f_9788(C_word c,C_word *av) C_noret;
C_noret_decl(f_9794)
static void C_fcall f_9794(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9820)
static void C_ccall f_9820(C_word c,C_word *av) C_noret;
C_noret_decl(f_9827)
static void C_ccall f_9827(C_word c,C_word *av) C_noret;
C_noret_decl(f_9829)
static void C_ccall f_9829(C_word c,C_word *av) C_noret;
C_noret_decl(f_9833)
static void C_fcall f_9833(C_word t0,C_word t1) C_noret;
C_noret_decl(f_9841)
static void C_fcall f_9841(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9876)
static void C_ccall f_9876(C_word c,C_word *av) C_noret;
C_noret_decl(f_9886)
static void C_ccall f_9886(C_word c,C_word *av) C_noret;
C_noret_decl(f_9895)
static void C_fcall f_9895(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9937)
static void C_ccall f_9937(C_word c,C_word *av) C_noret;
C_noret_decl(f_9966)
static void C_ccall f_9966(C_word c,C_word *av) C_noret;
C_noret_decl(f_9973)
static void C_fcall f_9973(C_word t0,C_word t1) C_noret;
C_noret_decl(f_9976)
static void C_ccall f_9976(C_word c,C_word *av) C_noret;
C_noret_decl(C_library_toplevel)
C_externexport void C_ccall C_library_toplevel(C_word c,C_word *av) C_noret;

C_noret_decl(trf_10011)
static void C_ccall trf_10011(C_word c,C_word *av) C_noret;
static void C_ccall trf_10011(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10011(t0,t1,t2);}

C_noret_decl(trf_10061)
static void C_ccall trf_10061(C_word c,C_word *av) C_noret;
static void C_ccall trf_10061(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10061(t0,t1,t2);}

C_noret_decl(trf_10172)
static void C_ccall trf_10172(C_word c,C_word *av) C_noret;
static void C_ccall trf_10172(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10172(t0,t1);}

C_noret_decl(trf_10203)
static void C_ccall trf_10203(C_word c,C_word *av) C_noret;
static void C_ccall trf_10203(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10203(t0,t1,t2);}

C_noret_decl(trf_10275)
static void C_ccall trf_10275(C_word c,C_word *av) C_noret;
static void C_ccall trf_10275(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10275(t0,t1);}

C_noret_decl(trf_10280)
static void C_ccall trf_10280(C_word c,C_word *av) C_noret;
static void C_ccall trf_10280(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10280(t0,t1,t2);}

C_noret_decl(trf_10875)
static void C_ccall trf_10875(C_word c,C_word *av) C_noret;
static void C_ccall trf_10875(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_10875(t0,t1,t2,t3);}

C_noret_decl(trf_10924)
static void C_ccall trf_10924(C_word c,C_word *av) C_noret;
static void C_ccall trf_10924(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10924(t0,t1);}

C_noret_decl(trf_11131)
static void C_ccall trf_11131(C_word c,C_word *av) C_noret;
static void C_ccall trf_11131(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_11131(t0,t1,t2);}

C_noret_decl(trf_11150)
static void C_ccall trf_11150(C_word c,C_word *av) C_noret;
static void C_ccall trf_11150(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_11150(t0,t1,t2);}

C_noret_decl(trf_11204)
static void C_ccall trf_11204(C_word c,C_word *av) C_noret;
static void C_ccall trf_11204(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11204(t0,t1,t2,t3);}

C_noret_decl(trf_11300)
static void C_ccall trf_11300(C_word c,C_word *av) C_noret;
static void C_ccall trf_11300(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11300(t0,t1,t2,t3);}

C_noret_decl(trf_11458)
static void C_ccall trf_11458(C_word c,C_word *av) C_noret;
static void C_ccall trf_11458(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_11458(t0,t1);}

C_noret_decl(trf_11467)
static void C_ccall trf_11467(C_word c,C_word *av) C_noret;
static void C_ccall trf_11467(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_11467(t0,t1);}

C_noret_decl(trf_11750)
static void C_ccall trf_11750(C_word c,C_word *av) C_noret;
static void C_ccall trf_11750(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11750(t0,t1,t2,t3);}

C_noret_decl(trf_11839)
static void C_ccall trf_11839(C_word c,C_word *av) C_noret;
static void C_ccall trf_11839(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11839(t0,t1,t2,t3);}

C_noret_decl(trf_11860)
static void C_ccall trf_11860(C_word c,C_word *av) C_noret;
static void C_ccall trf_11860(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_11860(t0,t1,t2,t3,t4);}

C_noret_decl(trf_12589)
static void C_ccall trf_12589(C_word c,C_word *av) C_noret;
static void C_ccall trf_12589(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_12589(t0,t1,t2);}

C_noret_decl(trf_12762)
static void C_ccall trf_12762(C_word c,C_word *av) C_noret;
static void C_ccall trf_12762(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_12762(t0,t1,t2);}

C_noret_decl(trf_12941)
static void C_ccall trf_12941(C_word c,C_word *av) C_noret;
static void C_ccall trf_12941(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_12941(t0,t1,t2,t3);}

C_noret_decl(trf_12958)
static void C_ccall trf_12958(C_word c,C_word *av) C_noret;
static void C_ccall trf_12958(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_12958(t0,t1,t2,t3);}

C_noret_decl(trf_13121)
static void C_ccall trf_13121(C_word c,C_word *av) C_noret;
static void C_ccall trf_13121(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_13121(t0,t1,t2,t3);}

C_noret_decl(trf_13159)
static void C_ccall trf_13159(C_word c,C_word *av) C_noret;
static void C_ccall trf_13159(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_13159(t0,t1);}

C_noret_decl(trf_13553)
static void C_ccall trf_13553(C_word c,C_word *av) C_noret;
static void C_ccall trf_13553(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_13553(t0,t1,t2);}

C_noret_decl(trf_13556)
static void C_ccall trf_13556(C_word c,C_word *av) C_noret;
static void C_ccall trf_13556(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_13556(t0,t1,t2,t3);}

C_noret_decl(trf_13721)
static void C_ccall trf_13721(C_word c,C_word *av) C_noret;
static void C_ccall trf_13721(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_13721(t0,t1,t2,t3,t4);}

C_noret_decl(trf_13764)
static void C_ccall trf_13764(C_word c,C_word *av) C_noret;
static void C_ccall trf_13764(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_13764(t0,t1,t2,t3,t4);}

C_noret_decl(trf_13861)
static void C_ccall trf_13861(C_word c,C_word *av) C_noret;
static void C_ccall trf_13861(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_13861(t0,t1);}

C_noret_decl(trf_14009)
static void C_ccall trf_14009(C_word c,C_word *av) C_noret;
static void C_ccall trf_14009(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14009(t0,t1);}

C_noret_decl(trf_14015)
static void C_ccall trf_14015(C_word c,C_word *av) C_noret;
static void C_ccall trf_14015(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14015(t0,t1);}

C_noret_decl(trf_14062)
static void C_ccall trf_14062(C_word c,C_word *av) C_noret;
static void C_ccall trf_14062(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14062(t0,t1);}

C_noret_decl(trf_14068)
static void C_ccall trf_14068(C_word c,C_word *av) C_noret;
static void C_ccall trf_14068(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14068(t0,t1);}

C_noret_decl(trf_14513)
static void C_ccall trf_14513(C_word c,C_word *av) C_noret;
static void C_ccall trf_14513(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14513(t0,t1);}

C_noret_decl(trf_14553)
static void C_ccall trf_14553(C_word c,C_word *av) C_noret;
static void C_ccall trf_14553(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14553(t0,t1,t2,t3);}

C_noret_decl(trf_14635)
static void C_ccall trf_14635(C_word c,C_word *av) C_noret;
static void C_ccall trf_14635(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14635(t0,t1,t2,t3);}

C_noret_decl(trf_14673)
static void C_ccall trf_14673(C_word c,C_word *av) C_noret;
static void C_ccall trf_14673(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_14673(t0,t1,t2);}

C_noret_decl(trf_14685)
static void C_ccall trf_14685(C_word c,C_word *av) C_noret;
static void C_ccall trf_14685(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_14685(t0,t1,t2);}

C_noret_decl(trf_14728)
static void C_ccall trf_14728(C_word c,C_word *av) C_noret;
static void C_ccall trf_14728(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14728(t0,t1);}

C_noret_decl(trf_14834)
static void C_ccall trf_14834(C_word c,C_word *av) C_noret;
static void C_ccall trf_14834(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14834(t0,t1);}

C_noret_decl(trf_14843)
static void C_ccall trf_14843(C_word c,C_word *av) C_noret;
static void C_ccall trf_14843(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14843(t0,t1);}

C_noret_decl(trf_14930)
static void C_ccall trf_14930(C_word c,C_word *av) C_noret;
static void C_ccall trf_14930(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14930(t0,t1,t2,t3);}

C_noret_decl(trf_15026)
static void C_ccall trf_15026(C_word c,C_word *av) C_noret;
static void C_ccall trf_15026(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15026(t0,t1,t2,t3);}

C_noret_decl(trf_15088)
static void C_ccall trf_15088(C_word c,C_word *av) C_noret;
static void C_ccall trf_15088(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15088(t0,t1,t2,t3);}

C_noret_decl(trf_15287)
static void C_ccall trf_15287(C_word c,C_word *av) C_noret;
static void C_ccall trf_15287(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15287(t0,t1);}

C_noret_decl(trf_15345)
static void C_ccall trf_15345(C_word c,C_word *av) C_noret;
static void C_ccall trf_15345(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15345(t0,t1,t2);}

C_noret_decl(trf_15383)
static void C_ccall trf_15383(C_word c,C_word *av) C_noret;
static void C_ccall trf_15383(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15383(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15396)
static void C_ccall trf_15396(C_word c,C_word *av) C_noret;
static void C_ccall trf_15396(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15396(t0,t1,t2,t3);}

C_noret_decl(trf_15470)
static void C_ccall trf_15470(C_word c,C_word *av) C_noret;
static void C_ccall trf_15470(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15470(t0,t1,t2);}

C_noret_decl(trf_15476)
static void C_ccall trf_15476(C_word c,C_word *av) C_noret;
static void C_ccall trf_15476(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15476(t0,t1,t2);}

C_noret_decl(trf_15539)
static void C_ccall trf_15539(C_word c,C_word *av) C_noret;
static void C_ccall trf_15539(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15539(t0,t1);}

C_noret_decl(trf_15578)
static void C_ccall trf_15578(C_word c,C_word *av) C_noret;
static void C_ccall trf_15578(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15578(t0,t1,t2);}

C_noret_decl(trf_15584)
static void C_ccall trf_15584(C_word c,C_word *av) C_noret;
static void C_ccall trf_15584(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15584(t0,t1,t2);}

C_noret_decl(trf_15628)
static void C_ccall trf_15628(C_word c,C_word *av) C_noret;
static void C_ccall trf_15628(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15628(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15684)
static void C_ccall trf_15684(C_word c,C_word *av) C_noret;
static void C_ccall trf_15684(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15684(t0,t1,t2);}

C_noret_decl(trf_15699)
static void C_ccall trf_15699(C_word c,C_word *av) C_noret;
static void C_ccall trf_15699(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15699(t0,t1);}

C_noret_decl(trf_15745)
static void C_ccall trf_15745(C_word c,C_word *av) C_noret;
static void C_ccall trf_15745(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15745(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15764)
static void C_ccall trf_15764(C_word c,C_word *av) C_noret;
static void C_ccall trf_15764(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15764(t0,t1);}

C_noret_decl(trf_15767)
static void C_ccall trf_15767(C_word c,C_word *av) C_noret;
static void C_ccall trf_15767(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15767(t0,t1);}

C_noret_decl(trf_15776)
static void C_ccall trf_15776(C_word c,C_word *av) C_noret;
static void C_ccall trf_15776(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15776(t0,t1);}

C_noret_decl(trf_15803)
static void C_ccall trf_15803(C_word c,C_word *av) C_noret;
static void C_ccall trf_15803(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15803(t0,t1);}

C_noret_decl(trf_15957)
static void C_ccall trf_15957(C_word c,C_word *av) C_noret;
static void C_ccall trf_15957(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15957(t0,t1,t2,t3);}

C_noret_decl(trf_15964)
static void C_ccall trf_15964(C_word c,C_word *av) C_noret;
static void C_ccall trf_15964(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15964(t0,t1);}

C_noret_decl(trf_15983)
static void C_ccall trf_15983(C_word c,C_word *av) C_noret;
static void C_ccall trf_15983(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15983(t0,t1);}

C_noret_decl(trf_16035)
static void C_ccall trf_16035(C_word c,C_word *av) C_noret;
static void C_ccall trf_16035(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16035(t0,t1);}

C_noret_decl(trf_16300)
static void C_ccall trf_16300(C_word c,C_word *av) C_noret;
static void C_ccall trf_16300(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_16300(t0,t1,t2);}

C_noret_decl(trf_16315)
static void C_ccall trf_16315(C_word c,C_word *av) C_noret;
static void C_ccall trf_16315(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16315(t0,t1);}

C_noret_decl(trf_16341)
static void C_ccall trf_16341(C_word c,C_word *av) C_noret;
static void C_ccall trf_16341(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16341(t0,t1);}

C_noret_decl(trf_16373)
static void C_ccall trf_16373(C_word c,C_word *av) C_noret;
static void C_ccall trf_16373(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16373(t0,t1);}

C_noret_decl(trf_16434)
static void C_ccall trf_16434(C_word c,C_word *av) C_noret;
static void C_ccall trf_16434(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16434(t0,t1);}

C_noret_decl(trf_16554)
static void C_ccall trf_16554(C_word c,C_word *av) C_noret;
static void C_ccall trf_16554(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16554(t0,t1);}

C_noret_decl(trf_16645)
static void C_ccall trf_16645(C_word c,C_word *av) C_noret;
static void C_ccall trf_16645(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16645(t0,t1);}

C_noret_decl(trf_16803)
static void C_ccall trf_16803(C_word c,C_word *av) C_noret;
static void C_ccall trf_16803(C_word c,C_word *av){
C_word t0=av[5];
C_word t1=av[4];
C_word t2=av[3];
C_word t3=av[2];
C_word t4=av[1];
C_word t5=av[0];
f_16803(t0,t1,t2,t3,t4,t5);}

C_noret_decl(trf_16810)
static void C_ccall trf_16810(C_word c,C_word *av) C_noret;
static void C_ccall trf_16810(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16810(t0,t1);}

C_noret_decl(trf_17088)
static void C_ccall trf_17088(C_word c,C_word *av) C_noret;
static void C_ccall trf_17088(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_17088(t0,t1,t2,t3,t4);}

C_noret_decl(trf_17115)
static void C_ccall trf_17115(C_word c,C_word *av) C_noret;
static void C_ccall trf_17115(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17115(t0,t1,t2);}

C_noret_decl(trf_17156)
static void C_ccall trf_17156(C_word c,C_word *av) C_noret;
static void C_ccall trf_17156(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_17156(t0,t1,t2,t3);}

C_noret_decl(trf_17510)
static void C_ccall trf_17510(C_word c,C_word *av) C_noret;
static void C_ccall trf_17510(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17510(t0,t1,t2);}

C_noret_decl(trf_17787)
static void C_ccall trf_17787(C_word c,C_word *av) C_noret;
static void C_ccall trf_17787(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17787(t0,t1,t2);}

C_noret_decl(trf_17861)
static void C_ccall trf_17861(C_word c,C_word *av) C_noret;
static void C_ccall trf_17861(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_17861(t0,t1);}

C_noret_decl(trf_18006)
static void C_ccall trf_18006(C_word c,C_word *av) C_noret;
static void C_ccall trf_18006(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_18006(t0,t1,t2,t3);}

C_noret_decl(trf_18107)
static void C_ccall trf_18107(C_word c,C_word *av) C_noret;
static void C_ccall trf_18107(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18107(t0,t1,t2);}

C_noret_decl(trf_18152)
static void C_ccall trf_18152(C_word c,C_word *av) C_noret;
static void C_ccall trf_18152(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_18152(t0,t1);}

C_noret_decl(trf_18315)
static void C_ccall trf_18315(C_word c,C_word *av) C_noret;
static void C_ccall trf_18315(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18315(t0,t1,t2);}

C_noret_decl(trf_18353)
static void C_ccall trf_18353(C_word c,C_word *av) C_noret;
static void C_ccall trf_18353(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18353(t0,t1,t2);}

C_noret_decl(trf_18443)
static void C_ccall trf_18443(C_word c,C_word *av) C_noret;
static void C_ccall trf_18443(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_18443(t0,t1);}

C_noret_decl(trf_18502)
static void C_ccall trf_18502(C_word c,C_word *av) C_noret;
static void C_ccall trf_18502(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18502(t0,t1,t2);}

C_noret_decl(trf_18532)
static void C_ccall trf_18532(C_word c,C_word *av) C_noret;
static void C_ccall trf_18532(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18532(t0,t1,t2);}

C_noret_decl(trf_18591)
static void C_ccall trf_18591(C_word c,C_word *av) C_noret;
static void C_ccall trf_18591(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18591(t0,t1,t2);}

C_noret_decl(trf_18632)
static void C_ccall trf_18632(C_word c,C_word *av) C_noret;
static void C_ccall trf_18632(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18632(t0,t1,t2);}

C_noret_decl(trf_18751)
static void C_ccall trf_18751(C_word c,C_word *av) C_noret;
static void C_ccall trf_18751(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18751(t0,t1,t2);}

C_noret_decl(trf_19141)
static void C_ccall trf_19141(C_word c,C_word *av) C_noret;
static void C_ccall trf_19141(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_19141(t0,t1,t2,t3,t4);}

C_noret_decl(trf_19184)
static void C_ccall trf_19184(C_word c,C_word *av) C_noret;
static void C_ccall trf_19184(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19184(t0,t1,t2);}

C_noret_decl(trf_19239)
static void C_ccall trf_19239(C_word c,C_word *av) C_noret;
static void C_ccall trf_19239(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_19239(t0,t1,t2,t3);}

C_noret_decl(trf_19495)
static void C_ccall trf_19495(C_word c,C_word *av) C_noret;
static void C_ccall trf_19495(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19495(t0,t1,t2);}

C_noret_decl(trf_19508)
static void C_ccall trf_19508(C_word c,C_word *av) C_noret;
static void C_ccall trf_19508(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19508(t0,t1,t2);}

C_noret_decl(trf_19567)
static void C_ccall trf_19567(C_word c,C_word *av) C_noret;
static void C_ccall trf_19567(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19567(t0,t1,t2);}

C_noret_decl(trf_19821)
static void C_ccall trf_19821(C_word c,C_word *av) C_noret;
static void C_ccall trf_19821(C_word c,C_word *av){
C_word t0=av[5];
C_word t1=av[4];
C_word t2=av[3];
C_word t3=av[2];
C_word t4=av[1];
C_word t5=av[0];
f_19821(t0,t1,t2,t3,t4,t5);}

C_noret_decl(trf_19825)
static void C_ccall trf_19825(C_word c,C_word *av) C_noret;
static void C_ccall trf_19825(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19825(t0,t1);}

C_noret_decl(trf_19855)
static void C_ccall trf_19855(C_word c,C_word *av) C_noret;
static void C_ccall trf_19855(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19855(t0,t1);}

C_noret_decl(trf_19875)
static void C_ccall trf_19875(C_word c,C_word *av) C_noret;
static void C_ccall trf_19875(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_19875(t0,t1,t2,t3);}

C_noret_decl(trf_19884)
static void C_ccall trf_19884(C_word c,C_word *av) C_noret;
static void C_ccall trf_19884(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19884(t0,t1,t2);}

C_noret_decl(trf_19889)
static void C_ccall trf_19889(C_word c,C_word *av) C_noret;
static void C_ccall trf_19889(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19889(t0,t1);}

C_noret_decl(trf_20258)
static void C_ccall trf_20258(C_word c,C_word *av) C_noret;
static void C_ccall trf_20258(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_20258(t0,t1,t2,t3,t4);}

C_noret_decl(trf_20267)
static void C_ccall trf_20267(C_word c,C_word *av) C_noret;
static void C_ccall trf_20267(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20267(t0,t1);}

C_noret_decl(trf_20277)
static void C_ccall trf_20277(C_word c,C_word *av) C_noret;
static void C_ccall trf_20277(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20277(t0,t1,t2);}

C_noret_decl(trf_20284)
static void C_ccall trf_20284(C_word c,C_word *av) C_noret;
static void C_ccall trf_20284(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20284(t0,t1);}

C_noret_decl(trf_20304)
static void C_ccall trf_20304(C_word c,C_word *av) C_noret;
static void C_ccall trf_20304(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20304(t0,t1,t2);}

C_noret_decl(trf_20313)
static void C_ccall trf_20313(C_word c,C_word *av) C_noret;
static void C_ccall trf_20313(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20313(t0,t1,t2);}

C_noret_decl(trf_20328)
static void C_ccall trf_20328(C_word c,C_word *av) C_noret;
static void C_ccall trf_20328(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20328(t0,t1);}

C_noret_decl(trf_20331)
static void C_ccall trf_20331(C_word c,C_word *av) C_noret;
static void C_ccall trf_20331(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20331(t0,t1);}

C_noret_decl(trf_20341)
static void C_ccall trf_20341(C_word c,C_word *av) C_noret;
static void C_ccall trf_20341(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20341(t0,t1,t2);}

C_noret_decl(trf_20379)
static void C_ccall trf_20379(C_word c,C_word *av) C_noret;
static void C_ccall trf_20379(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_20379(t0,t1,t2,t3,t4);}

C_noret_decl(trf_20385)
static void C_ccall trf_20385(C_word c,C_word *av) C_noret;
static void C_ccall trf_20385(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20385(t0,t1,t2,t3);}

C_noret_decl(trf_20439)
static void C_ccall trf_20439(C_word c,C_word *av) C_noret;
static void C_ccall trf_20439(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20439(t0,t1,t2);}

C_noret_decl(trf_20451)
static void C_ccall trf_20451(C_word c,C_word *av) C_noret;
static void C_ccall trf_20451(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20451(t0,t1,t2,t3);}

C_noret_decl(trf_20476)
static void C_ccall trf_20476(C_word c,C_word *av) C_noret;
static void C_ccall trf_20476(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20476(t0,t1,t2);}

C_noret_decl(trf_20486)
static void C_ccall trf_20486(C_word c,C_word *av) C_noret;
static void C_ccall trf_20486(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20486(t0,t1,t2,t3);}

C_noret_decl(trf_20679)
static void C_ccall trf_20679(C_word c,C_word *av) C_noret;
static void C_ccall trf_20679(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20679(t0,t1);}

C_noret_decl(trf_20770)
static void C_ccall trf_20770(C_word c,C_word *av) C_noret;
static void C_ccall trf_20770(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20770(t0,t1);}

C_noret_decl(trf_20790)
static void C_ccall trf_20790(C_word c,C_word *av) C_noret;
static void C_ccall trf_20790(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20790(t0,t1);}

C_noret_decl(trf_20795)
static void C_ccall trf_20795(C_word c,C_word *av) C_noret;
static void C_ccall trf_20795(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20795(t0,t1,t2,t3);}

C_noret_decl(trf_20894)
static void C_ccall trf_20894(C_word c,C_word *av) C_noret;
static void C_ccall trf_20894(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20894(t0,t1);}

C_noret_decl(trf_21042)
static void C_ccall trf_21042(C_word c,C_word *av) C_noret;
static void C_ccall trf_21042(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21042(t0,t1,t2,t3);}

C_noret_decl(trf_21051)
static void C_ccall trf_21051(C_word c,C_word *av) C_noret;
static void C_ccall trf_21051(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21051(t0,t1,t2);}

C_noret_decl(trf_21106)
static void C_ccall trf_21106(C_word c,C_word *av) C_noret;
static void C_ccall trf_21106(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21106(t0,t1,t2);}

C_noret_decl(trf_21113)
static void C_ccall trf_21113(C_word c,C_word *av) C_noret;
static void C_ccall trf_21113(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21113(t0,t1);}

C_noret_decl(trf_21156)
static void C_ccall trf_21156(C_word c,C_word *av) C_noret;
static void C_ccall trf_21156(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21156(t0,t1);}

C_noret_decl(trf_21304)
static void C_ccall trf_21304(C_word c,C_word *av) C_noret;
static void C_ccall trf_21304(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21304(t0,t1);}

C_noret_decl(trf_21322)
static void C_ccall trf_21322(C_word c,C_word *av) C_noret;
static void C_ccall trf_21322(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21322(t0,t1,t2,t3);}

C_noret_decl(trf_21357)
static void C_ccall trf_21357(C_word c,C_word *av) C_noret;
static void C_ccall trf_21357(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21357(t0,t1);}

C_noret_decl(trf_21392)
static void C_ccall trf_21392(C_word c,C_word *av) C_noret;
static void C_ccall trf_21392(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21392(t0,t1,t2);}

C_noret_decl(trf_21443)
static void C_ccall trf_21443(C_word c,C_word *av) C_noret;
static void C_ccall trf_21443(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21443(t0,t1,t2);}

C_noret_decl(trf_21510)
static void C_ccall trf_21510(C_word c,C_word *av) C_noret;
static void C_ccall trf_21510(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21510(t0,t1);}

C_noret_decl(trf_21520)
static void C_ccall trf_21520(C_word c,C_word *av) C_noret;
static void C_ccall trf_21520(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21520(t0,t1,t2,t3);}

C_noret_decl(trf_21530)
static void C_ccall trf_21530(C_word c,C_word *av) C_noret;
static void C_ccall trf_21530(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21530(t0,t1);}

C_noret_decl(trf_21574)
static void C_ccall trf_21574(C_word c,C_word *av) C_noret;
static void C_ccall trf_21574(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21574(t0,t1);}

C_noret_decl(trf_21584)
static void C_ccall trf_21584(C_word c,C_word *av) C_noret;
static void C_ccall trf_21584(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21584(t0,t1,t2,t3);}

C_noret_decl(trf_21594)
static void C_ccall trf_21594(C_word c,C_word *av) C_noret;
static void C_ccall trf_21594(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21594(t0,t1);}

C_noret_decl(trf_21620)
static void C_ccall trf_21620(C_word c,C_word *av) C_noret;
static void C_ccall trf_21620(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21620(t0,t1);}

C_noret_decl(trf_21645)
static void C_ccall trf_21645(C_word c,C_word *av) C_noret;
static void C_ccall trf_21645(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21645(t0,t1,t2);}

C_noret_decl(trf_21651)
static void C_ccall trf_21651(C_word c,C_word *av) C_noret;
static void C_ccall trf_21651(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21651(t0,t1,t2,t3);}

C_noret_decl(trf_21664)
static void C_ccall trf_21664(C_word c,C_word *av) C_noret;
static void C_ccall trf_21664(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21664(t0,t1);}

C_noret_decl(trf_21670)
static void C_ccall trf_21670(C_word c,C_word *av) C_noret;
static void C_ccall trf_21670(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21670(t0,t1);}

C_noret_decl(trf_21859)
static void C_ccall trf_21859(C_word c,C_word *av) C_noret;
static void C_ccall trf_21859(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21859(t0,t1);}

C_noret_decl(trf_21898)
static void C_ccall trf_21898(C_word c,C_word *av) C_noret;
static void C_ccall trf_21898(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21898(t0,t1);}

C_noret_decl(trf_22043)
static void C_ccall trf_22043(C_word c,C_word *av) C_noret;
static void C_ccall trf_22043(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22043(t0,t1);}

C_noret_decl(trf_22068)
static void C_ccall trf_22068(C_word c,C_word *av) C_noret;
static void C_ccall trf_22068(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22068(t0,t1);}

C_noret_decl(trf_22074)
static void C_ccall trf_22074(C_word c,C_word *av) C_noret;
static void C_ccall trf_22074(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_22074(t0,t1,t2);}

C_noret_decl(trf_22155)
static void C_ccall trf_22155(C_word c,C_word *av) C_noret;
static void C_ccall trf_22155(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22155(t0,t1);}

C_noret_decl(trf_22173)
static void C_ccall trf_22173(C_word c,C_word *av) C_noret;
static void C_ccall trf_22173(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_22173(t0,t1,t2);}

C_noret_decl(trf_22192)
static void C_ccall trf_22192(C_word c,C_word *av) C_noret;
static void C_ccall trf_22192(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22192(t0,t1);}

C_noret_decl(trf_22247)
static void C_ccall trf_22247(C_word c,C_word *av) C_noret;
static void C_ccall trf_22247(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_22247(t0,t1,t2);}

C_noret_decl(trf_22271)
static void C_ccall trf_22271(C_word c,C_word *av) C_noret;
static void C_ccall trf_22271(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22271(t0,t1);}

C_noret_decl(trf_22405)
static void C_ccall trf_22405(C_word c,C_word *av) C_noret;
static void C_ccall trf_22405(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22405(t0,t1);}

C_noret_decl(trf_22485)
static void C_ccall trf_22485(C_word c,C_word *av) C_noret;
static void C_ccall trf_22485(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22485(t0,t1);}

C_noret_decl(trf_22870)
static void C_ccall trf_22870(C_word c,C_word *av) C_noret;
static void C_ccall trf_22870(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22870(t0,t1);}

C_noret_decl(trf_23421)
static void C_ccall trf_23421(C_word c,C_word *av) C_noret;
static void C_ccall trf_23421(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23421(t0,t1,t2);}

C_noret_decl(trf_23467)
static void C_ccall trf_23467(C_word c,C_word *av) C_noret;
static void C_ccall trf_23467(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23467(t0,t1,t2,t3);}

C_noret_decl(trf_23730)
static void C_ccall trf_23730(C_word c,C_word *av) C_noret;
static void C_ccall trf_23730(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23730(t0,t1,t2);}

C_noret_decl(trf_23781)
static void C_ccall trf_23781(C_word c,C_word *av) C_noret;
static void C_ccall trf_23781(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23781(t0,t1,t2);}

C_noret_decl(trf_23840)
static void C_ccall trf_23840(C_word c,C_word *av) C_noret;
static void C_ccall trf_23840(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23840(t0,t1,t2,t3);}

C_noret_decl(trf_23912)
static void C_ccall trf_23912(C_word c,C_word *av) C_noret;
static void C_ccall trf_23912(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23912(t0,t1,t2,t3);}

C_noret_decl(trf_23972)
static void C_ccall trf_23972(C_word c,C_word *av) C_noret;
static void C_ccall trf_23972(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23972(t0,t1,t2,t3);}

C_noret_decl(trf_23996)
static void C_ccall trf_23996(C_word c,C_word *av) C_noret;
static void C_ccall trf_23996(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23996(t0,t1,t2,t3);}

C_noret_decl(trf_24008)
static void C_ccall trf_24008(C_word c,C_word *av) C_noret;
static void C_ccall trf_24008(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24008(t0,t1,t2);}

C_noret_decl(trf_24085)
static void C_ccall trf_24085(C_word c,C_word *av) C_noret;
static void C_ccall trf_24085(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24085(t0,t1,t2);}

C_noret_decl(trf_24134)
static void C_ccall trf_24134(C_word c,C_word *av) C_noret;
static void C_ccall trf_24134(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24134(t0,t1,t2);}

C_noret_decl(trf_24150)
static void C_ccall trf_24150(C_word c,C_word *av) C_noret;
static void C_ccall trf_24150(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24150(t0,t1);}

C_noret_decl(trf_24176)
static void C_ccall trf_24176(C_word c,C_word *av) C_noret;
static void C_ccall trf_24176(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24176(t0,t1);}

C_noret_decl(trf_24214)
static void C_ccall trf_24214(C_word c,C_word *av) C_noret;
static void C_ccall trf_24214(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24214(t0,t1);}

C_noret_decl(trf_24276)
static void C_ccall trf_24276(C_word c,C_word *av) C_noret;
static void C_ccall trf_24276(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24276(t0,t1,t2);}

C_noret_decl(trf_24335)
static void C_ccall trf_24335(C_word c,C_word *av) C_noret;
static void C_ccall trf_24335(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24335(t0,t1,t2);}

C_noret_decl(trf_24505)
static void C_ccall trf_24505(C_word c,C_word *av) C_noret;
static void C_ccall trf_24505(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_24505(t0,t1,t2,t3);}

C_noret_decl(trf_24684)
static void C_ccall trf_24684(C_word c,C_word *av) C_noret;
static void C_ccall trf_24684(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24684(t0,t1,t2);}

C_noret_decl(trf_24694)
static void C_ccall trf_24694(C_word c,C_word *av) C_noret;
static void C_ccall trf_24694(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24694(t0,t1);}

C_noret_decl(trf_24756)
static void C_ccall trf_24756(C_word c,C_word *av) C_noret;
static void C_ccall trf_24756(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24756(t0,t1,t2);}

C_noret_decl(trf_24895)
static void C_ccall trf_24895(C_word c,C_word *av) C_noret;
static void C_ccall trf_24895(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_24895(t0,t1,t2,t3);}

C_noret_decl(trf_25268)
static void C_ccall trf_25268(C_word c,C_word *av) C_noret;
static void C_ccall trf_25268(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_25268(t0,t1,t2,t3,t4);}

C_noret_decl(trf_25288)
static void C_ccall trf_25288(C_word c,C_word *av) C_noret;
static void C_ccall trf_25288(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_25288(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_25342)
static void C_ccall trf_25342(C_word c,C_word *av) C_noret;
static void C_ccall trf_25342(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25342(t0,t1);}

C_noret_decl(trf_25359)
static void C_ccall trf_25359(C_word c,C_word *av) C_noret;
static void C_ccall trf_25359(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25359(t0,t1);}

C_noret_decl(trf_25539)
static void C_ccall trf_25539(C_word c,C_word *av) C_noret;
static void C_ccall trf_25539(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25539(t0,t1,t2);}

C_noret_decl(trf_25554)
static void C_ccall trf_25554(C_word c,C_word *av) C_noret;
static void C_ccall trf_25554(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25554(t0,t1,t2);}

C_noret_decl(trf_25657)
static void C_ccall trf_25657(C_word c,C_word *av) C_noret;
static void C_ccall trf_25657(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25657(t0,t1,t2);}

C_noret_decl(trf_25676)
static void C_ccall trf_25676(C_word c,C_word *av) C_noret;
static void C_ccall trf_25676(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25676(t0,t1);}

C_noret_decl(trf_25785)
static void C_ccall trf_25785(C_word c,C_word *av) C_noret;
static void C_ccall trf_25785(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25785(t0,t1,t2);}

C_noret_decl(trf_25822)
static void C_ccall trf_25822(C_word c,C_word *av) C_noret;
static void C_ccall trf_25822(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25822(t0,t1);}

C_noret_decl(trf_25856)
static void C_ccall trf_25856(C_word c,C_word *av) C_noret;
static void C_ccall trf_25856(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25856(t0,t1,t2);}

C_noret_decl(trf_25992)
static void C_ccall trf_25992(C_word c,C_word *av) C_noret;
static void C_ccall trf_25992(C_word c,C_word *av){
C_word t0=av[0];
f_25992(t0);}

C_noret_decl(trf_26020)
static void C_ccall trf_26020(C_word c,C_word *av) C_noret;
static void C_ccall trf_26020(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26020(t0,t1);}

C_noret_decl(trf_26044)
static void C_ccall trf_26044(C_word c,C_word *av) C_noret;
static void C_ccall trf_26044(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26044(t0,t1,t2);}

C_noret_decl(trf_26139)
static void C_ccall trf_26139(C_word c,C_word *av) C_noret;
static void C_ccall trf_26139(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26139(t0,t1,t2);}

C_noret_decl(trf_26166)
static void C_ccall trf_26166(C_word c,C_word *av) C_noret;
static void C_ccall trf_26166(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26166(t0,t1);}

C_noret_decl(trf_26187)
static void C_ccall trf_26187(C_word c,C_word *av) C_noret;
static void C_ccall trf_26187(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26187(t0,t1);}

C_noret_decl(trf_26190)
static void C_ccall trf_26190(C_word c,C_word *av) C_noret;
static void C_ccall trf_26190(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26190(t0,t1);}

C_noret_decl(trf_26210)
static void C_ccall trf_26210(C_word c,C_word *av) C_noret;
static void C_ccall trf_26210(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26210(t0,t1);}

C_noret_decl(trf_26633)
static void C_ccall trf_26633(C_word c,C_word *av) C_noret;
static void C_ccall trf_26633(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_26633(t0,t1,t2,t3);}

C_noret_decl(trf_26639)
static void C_ccall trf_26639(C_word c,C_word *av) C_noret;
static void C_ccall trf_26639(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26639(t0,t1,t2);}

C_noret_decl(trf_26655)
static void C_ccall trf_26655(C_word c,C_word *av) C_noret;
static void C_ccall trf_26655(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26655(t0,t1);}

C_noret_decl(trf_26752)
static void C_ccall trf_26752(C_word c,C_word *av) C_noret;
static void C_ccall trf_26752(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26752(t0,t1,t2);}

C_noret_decl(trf_26798)
static void C_ccall trf_26798(C_word c,C_word *av) C_noret;
static void C_ccall trf_26798(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26798(t0,t1,t2);}

C_noret_decl(trf_26874)
static void C_ccall trf_26874(C_word c,C_word *av) C_noret;
static void C_ccall trf_26874(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26874(t0,t1,t2);}

C_noret_decl(trf_26926)
static void C_ccall trf_26926(C_word c,C_word *av) C_noret;
static void C_ccall trf_26926(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26926(t0,t1,t2);}

C_noret_decl(trf_26974)
static void C_ccall trf_26974(C_word c,C_word *av) C_noret;
static void C_ccall trf_26974(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26974(t0,t1,t2);}

C_noret_decl(trf_26988)
static void C_ccall trf_26988(C_word c,C_word *av) C_noret;
static void C_ccall trf_26988(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26988(t0,t1,t2);}

C_noret_decl(trf_27044)
static void C_ccall trf_27044(C_word c,C_word *av) C_noret;
static void C_ccall trf_27044(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27044(t0,t1,t2);}

C_noret_decl(trf_27169)
static void C_ccall trf_27169(C_word c,C_word *av) C_noret;
static void C_ccall trf_27169(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27169(t0,t1,t2);}

C_noret_decl(trf_27171)
static void C_ccall trf_27171(C_word c,C_word *av) C_noret;
static void C_ccall trf_27171(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27171(t0,t1,t2);}

C_noret_decl(trf_27192)
static void C_ccall trf_27192(C_word c,C_word *av) C_noret;
static void C_ccall trf_27192(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27192(t0,t1,t2);}

C_noret_decl(trf_27216)
static void C_ccall trf_27216(C_word c,C_word *av) C_noret;
static void C_ccall trf_27216(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_27216(t0,t1,t2,t3);}

C_noret_decl(trf_27232)
static void C_ccall trf_27232(C_word c,C_word *av) C_noret;
static void C_ccall trf_27232(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_27232(t0,t1);}

C_noret_decl(trf_27270)
static void C_ccall trf_27270(C_word c,C_word *av) C_noret;
static void C_ccall trf_27270(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27270(t0,t1,t2);}

C_noret_decl(trf_27365)
static void C_ccall trf_27365(C_word c,C_word *av) C_noret;
static void C_ccall trf_27365(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27365(t0,t1,t2);}

C_noret_decl(trf_27370)
static void C_ccall trf_27370(C_word c,C_word *av) C_noret;
static void C_ccall trf_27370(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_27370(t0,t1);}

C_noret_decl(trf_28318)
static void C_ccall trf_28318(C_word c,C_word *av) C_noret;
static void C_ccall trf_28318(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28318(t0,t1,t2);}

C_noret_decl(trf_28382)
static void C_ccall trf_28382(C_word c,C_word *av) C_noret;
static void C_ccall trf_28382(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28382(t0,t1,t2);}

C_noret_decl(trf_28594)
static void C_ccall trf_28594(C_word c,C_word *av) C_noret;
static void C_ccall trf_28594(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28594(t0,t1,t2);}

C_noret_decl(trf_28638)
static void C_ccall trf_28638(C_word c,C_word *av) C_noret;
static void C_ccall trf_28638(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28638(t0,t1);}

C_noret_decl(trf_28651)
static void C_ccall trf_28651(C_word c,C_word *av) C_noret;
static void C_ccall trf_28651(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28651(t0,t1,t2);}

C_noret_decl(trf_28685)
static void C_ccall trf_28685(C_word c,C_word *av) C_noret;
static void C_ccall trf_28685(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28685(t0,t1,t2);}

C_noret_decl(trf_28700)
static void C_ccall trf_28700(C_word c,C_word *av) C_noret;
static void C_ccall trf_28700(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28700(t0,t1);}

C_noret_decl(trf_28776)
static void C_ccall trf_28776(C_word c,C_word *av) C_noret;
static void C_ccall trf_28776(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28776(t0,t1,t2);}

C_noret_decl(trf_28876)
static void C_ccall trf_28876(C_word c,C_word *av) C_noret;
static void C_ccall trf_28876(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28876(t0,t1);}

C_noret_decl(trf_28895)
static void C_ccall trf_28895(C_word c,C_word *av) C_noret;
static void C_ccall trf_28895(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28895(t0,t1,t2);}

C_noret_decl(trf_28936)
static void C_ccall trf_28936(C_word c,C_word *av) C_noret;
static void C_ccall trf_28936(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_28936(t0,t1,t2,t3,t4);}

C_noret_decl(trf_28959)
static void C_ccall trf_28959(C_word c,C_word *av) C_noret;
static void C_ccall trf_28959(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28959(t0,t1);}

C_noret_decl(trf_29261)
static void C_ccall trf_29261(C_word c,C_word *av) C_noret;
static void C_ccall trf_29261(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29261(t0,t1,t2);}

C_noret_decl(trf_29273)
static void C_ccall trf_29273(C_word c,C_word *av) C_noret;
static void C_ccall trf_29273(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29273(t0,t1,t2);}

C_noret_decl(trf_29354)
static void C_ccall trf_29354(C_word c,C_word *av) C_noret;
static void C_ccall trf_29354(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_29354(t0,t1,t2,t3);}

C_noret_decl(trf_29492)
static void C_ccall trf_29492(C_word c,C_word *av) C_noret;
static void C_ccall trf_29492(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29492(t0,t1);}

C_noret_decl(trf_29532)
static void C_ccall trf_29532(C_word c,C_word *av) C_noret;
static void C_ccall trf_29532(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29532(t0,t1,t2);}

C_noret_decl(trf_29645)
static void C_ccall trf_29645(C_word c,C_word *av) C_noret;
static void C_ccall trf_29645(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29645(t0,t1);}

C_noret_decl(trf_30078)
static void C_ccall trf_30078(C_word c,C_word *av) C_noret;
static void C_ccall trf_30078(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30078(t0,t1);}

C_noret_decl(trf_30090)
static void C_ccall trf_30090(C_word c,C_word *av) C_noret;
static void C_ccall trf_30090(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30090(t0,t1,t2);}

C_noret_decl(trf_30149)
static void C_ccall trf_30149(C_word c,C_word *av) C_noret;
static void C_ccall trf_30149(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30149(t0,t1);}

C_noret_decl(trf_30163)
static void C_ccall trf_30163(C_word c,C_word *av) C_noret;
static void C_ccall trf_30163(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30163(t0,t1,t2);}

C_noret_decl(trf_30183)
static void C_ccall trf_30183(C_word c,C_word *av) C_noret;
static void C_ccall trf_30183(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30183(t0,t1,t2);}

C_noret_decl(trf_30406)
static void C_ccall trf_30406(C_word c,C_word *av) C_noret;
static void C_ccall trf_30406(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30406(t0,t1);}

C_noret_decl(trf_30429)
static void C_ccall trf_30429(C_word c,C_word *av) C_noret;
static void C_ccall trf_30429(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30429(t0,t1);}

C_noret_decl(trf_30610)
static void C_ccall trf_30610(C_word c,C_word *av) C_noret;
static void C_ccall trf_30610(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30610(t0,t1);}

C_noret_decl(trf_30643)
static void C_ccall trf_30643(C_word c,C_word *av) C_noret;
static void C_ccall trf_30643(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30643(t0,t1);}

C_noret_decl(trf_30646)
static void C_ccall trf_30646(C_word c,C_word *av) C_noret;
static void C_ccall trf_30646(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30646(t0,t1);}

C_noret_decl(trf_30649)
static void C_ccall trf_30649(C_word c,C_word *av) C_noret;
static void C_ccall trf_30649(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30649(t0,t1);}

C_noret_decl(trf_30652)
static void C_ccall trf_30652(C_word c,C_word *av) C_noret;
static void C_ccall trf_30652(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30652(t0,t1);}

C_noret_decl(trf_30655)
static void C_ccall trf_30655(C_word c,C_word *av) C_noret;
static void C_ccall trf_30655(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30655(t0,t1);}

C_noret_decl(trf_30688)
static void C_ccall trf_30688(C_word c,C_word *av) C_noret;
static void C_ccall trf_30688(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30688(t0,t1,t2);}

C_noret_decl(trf_30724)
static void C_ccall trf_30724(C_word c,C_word *av) C_noret;
static void C_ccall trf_30724(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30724(t0,t1,t2);}

C_noret_decl(trf_30755)
static void C_ccall trf_30755(C_word c,C_word *av) C_noret;
static void C_ccall trf_30755(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30755(t0,t1,t2);}

C_noret_decl(trf_30798)
static void C_ccall trf_30798(C_word c,C_word *av) C_noret;
static void C_ccall trf_30798(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30798(t0,t1,t2);}

C_noret_decl(trf_31030)
static void C_ccall trf_31030(C_word c,C_word *av) C_noret;
static void C_ccall trf_31030(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31030(t0,t1,t2);}

C_noret_decl(trf_31049)
static void C_ccall trf_31049(C_word c,C_word *av) C_noret;
static void C_ccall trf_31049(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31049(t0,t1);}

C_noret_decl(trf_31202)
static void C_ccall trf_31202(C_word c,C_word *av) C_noret;
static void C_ccall trf_31202(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31202(t0,t1,t2);}

C_noret_decl(trf_31241)
static void C_ccall trf_31241(C_word c,C_word *av) C_noret;
static void C_ccall trf_31241(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31241(t0,t1,t2);}

C_noret_decl(trf_31257)
static void C_ccall trf_31257(C_word c,C_word *av) C_noret;
static void C_ccall trf_31257(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31257(t0,t1,t2);}

C_noret_decl(trf_31423)
static void C_ccall trf_31423(C_word c,C_word *av) C_noret;
static void C_ccall trf_31423(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31423(t0,t1);}

C_noret_decl(trf_31930)
static void C_ccall trf_31930(C_word c,C_word *av) C_noret;
static void C_ccall trf_31930(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31930(t0,t1);}

C_noret_decl(trf_31932)
static void C_ccall trf_31932(C_word c,C_word *av) C_noret;
static void C_ccall trf_31932(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_31932(t0,t1,t2,t3,t4);}

C_noret_decl(trf_32028)
static void C_ccall trf_32028(C_word c,C_word *av) C_noret;
static void C_ccall trf_32028(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_32028(t0,t1);}

C_noret_decl(trf_32041)
static void C_ccall trf_32041(C_word c,C_word *av) C_noret;
static void C_ccall trf_32041(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_32041(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_8828)
static void C_ccall trf_8828(C_word c,C_word *av) C_noret;
static void C_ccall trf_8828(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_8828(t0,t1,t2,t3);}

C_noret_decl(trf_9291)
static void C_ccall trf_9291(C_word c,C_word *av) C_noret;
static void C_ccall trf_9291(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9291(t0,t1,t2,t3);}

C_noret_decl(trf_9328)
static void C_ccall trf_9328(C_word c,C_word *av) C_noret;
static void C_ccall trf_9328(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9328(t0,t1,t2);}

C_noret_decl(trf_9414)
static void C_ccall trf_9414(C_word c,C_word *av) C_noret;
static void C_ccall trf_9414(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9414(t0,t1,t2);}

C_noret_decl(trf_9447)
static void C_ccall trf_9447(C_word c,C_word *av) C_noret;
static void C_ccall trf_9447(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9447(t0,t1,t2);}

C_noret_decl(trf_9565)
static void C_ccall trf_9565(C_word c,C_word *av) C_noret;
static void C_ccall trf_9565(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9565(t0,t1,t2);}

C_noret_decl(trf_9600)
static void C_ccall trf_9600(C_word c,C_word *av) C_noret;
static void C_ccall trf_9600(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9600(t0,t1,t2);}

C_noret_decl(trf_9664)
static void C_ccall trf_9664(C_word c,C_word *av) C_noret;
static void C_ccall trf_9664(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9664(t0,t1,t2);}

C_noret_decl(trf_9729)
static void C_ccall trf_9729(C_word c,C_word *av) C_noret;
static void C_ccall trf_9729(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9729(t0,t1,t2);}

C_noret_decl(trf_9765)
static void C_ccall trf_9765(C_word c,C_word *av) C_noret;
static void C_ccall trf_9765(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9765(t0,t1,t2);}

C_noret_decl(trf_9794)
static void C_ccall trf_9794(C_word c,C_word *av) C_noret;
static void C_ccall trf_9794(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9794(t0,t1,t2,t3);}

C_noret_decl(trf_9833)
static void C_ccall trf_9833(C_word c,C_word *av) C_noret;
static void C_ccall trf_9833(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_9833(t0,t1);}

C_noret_decl(trf_9841)
static void C_ccall trf_9841(C_word c,C_word *av) C_noret;
static void C_ccall trf_9841(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9841(t0,t1,t2);}

C_noret_decl(trf_9895)
static void C_ccall trf_9895(C_word c,C_word *av) C_noret;
static void C_ccall trf_9895(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9895(t0,t1,t2,t3);}

C_noret_decl(trf_9973)
static void C_ccall trf_9973(C_word c,C_word *av) C_noret;
static void C_ccall trf_9973(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_9973(t0,t1);}

/* f33934 in chicken.base#emergency-exit in k8506 */
static void C_ccall f33934(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f33934,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_exit_runtime(C_fix(0));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f34463 in chicken.base#exit in k8506 */
static void C_ccall f34463(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f34463,2,av);}
/* library.scm:719: g670 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* f36684 in k31007 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f36684(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36684,3,av);}
t3=C_i_check_list_2(t2,lf[1350]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f36690 in k31095 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f36690(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36690,3,av);}
t3=C_i_check_string_2(t2,lf[1352]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f36696 in k31091 in k31095 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f36696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36696,3,av);}
t3=C_i_check_string_2(t2,lf[1352]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f_10005 in chicken.base#alist-update! in k8506 */
static void C_ccall f_10005(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_10005,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10011,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word)li186),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_10011(t7,t1,t3);}

/* loop */
static void C_fcall f_10011(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10011,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10027,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_pairp(t4))){
t6=C_slot(t4,C_fix(0));
/* library.scm:890: cmp */
t7=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t7;
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_10027(2,av2);}}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k10025 in loop */
static void C_ccall f_10027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10027,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:892: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10011(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#alist-update in k8506 */
static void C_ccall f_10052(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_10052,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+9);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t6=C_i_nullp(t5);
t7=(C_truep(t6)?*((C_word*)lf[5]+1):C_i_car(t5));
t8=t7;
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_10061,a[2]=t2,a[3]=t3,a[4]=t10,a[5]=t8,a[6]=((C_word)li189),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_10061(t12,t1,t4);}

/* loop in chicken.base#alist-update in k8506 */
static void C_fcall f_10061(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_10061,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_nullp(t2))){
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_a_i_list1(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:905: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[260];
av2[3]=lf[261];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_i_pairp(t5);
if(C_truep(C_i_not(t6))){
/* library.scm:909: chicken.base#error */
t7=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[260];
av2[3]=lf[262];
av2[4]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_10102,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t1,a[6]=t5,a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
t8=C_slot(t5,C_fix(0));
/* library.scm:910: cmp */
t9=((C_word*)t0)[5];{
C_word av2[4];
av2[0]=t9;
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
av2[3]=t8;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}}}

/* k10100 in loop in chicken.base#alist-update in k8506 */
static void C_ccall f_10102(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_10102,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_slot(((C_word*)t0)[4],C_fix(1));
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[6],C_fix(0));
t3=C_slot(((C_word*)t0)[6],C_fix(1));
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10124,a[2]=((C_word*)t0)[5],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:914: loop */
t8=((C_word*)((C_word*)t0)[7])[1];
f_10061(t8,t6,t7);}}

/* k10122 in k10100 in loop in chicken.base#alist-update in k8506 */
static void C_ccall f_10124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_10124,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#alist-ref in k8506 */
static void C_ccall f_10156(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +10,c,4)))){
C_save_and_reclaim((void*)f_10156,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+10);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?*((C_word*)lf[5]+1):C_i_car(t4));
t7=t6;
t8=C_i_nullp(t4);
t9=(C_truep(t8)?C_SCHEME_END_OF_LIST:C_i_cdr(t4));
t10=C_i_nullp(t9);
t11=(C_truep(t10)?C_SCHEME_FALSE:C_i_car(t9));
t12=t11;
t13=C_i_nullp(t9);
t14=(C_truep(t13)?C_SCHEME_END_OF_LIST:C_i_cdr(t9));
t15=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10172,a[2]=t1,a[3]=t12,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t16=C_eqp(*((C_word*)lf[4]+1),t7);
if(C_truep(t16)){
t17=t15;
f_10172(t17,*((C_word*)lf[52]+1));}
else{
t17=C_eqp(*((C_word*)lf[5]+1),t7);
if(C_truep(t17)){
t18=t15;
f_10172(t18,*((C_word*)lf[53]+1));}
else{
t18=C_eqp(*((C_word*)lf[6]+1),t7);
t19=t15;
f_10172(t19,(C_truep(t18)?*((C_word*)lf[54]+1):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10197,a[2]=t7,a[3]=((C_word)li192),tmp=(C_word)a,a+=4,tmp)));}}}

/* k10170 in chicken.base#alist-ref in k8506 */
static void C_fcall f_10172(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_10172,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10175,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:932: aq */
t3=t1;{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k10173 in k10170 in chicken.base#alist-ref in k8506 */
static void C_ccall f_10175(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10175,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_slot(t1,C_fix(1)):((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_10197 in chicken.base#alist-ref in k8506 */
static void C_ccall f_10197(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_10197,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10203,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word)li191),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_10203(t7,t1,t3);}

/* loop */
static void C_fcall f_10203(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_10203,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_i_check_pair_2(t4,lf[264]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10228,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t7=C_slot(t4,C_fix(0));
/* library.scm:928: cmp */
t8=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t8;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
av2[3]=t7;
((C_proc)C_fast_retrieve_proc(t8))(4,av2);}}
else{
/* library.scm:931: chicken.base#error */
t3=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[264];
av2[3]=lf[265];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}}

/* k10226 in loop */
static void C_ccall f_10228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10228,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:930: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10203(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#rassoc in k8506 */
static void C_ccall f_10268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_10268,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t5=C_i_check_list_2(t3,lf[267]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_10275,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(t4))){
t7=t4;
t8=t6;
f_10275(t8,C_u_i_car(t7));}
else{
t7=t6;
f_10275(t7,*((C_word*)lf[5]+1));}}

/* k10273 in chicken.base#rassoc in k8506 */
static void C_fcall f_10275(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_10275,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10280,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word)li194),tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_10280(t6,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* loop in k10273 in chicken.base#rassoc in k8506 */
static void C_fcall f_10280(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10280,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_i_check_pair_2(t4,lf[267]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10299,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t7=C_slot(t4,C_fix(1));
/* library.scm:945: tst */
t8=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t8;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
av2[3]=t7;
((C_proc)C_fast_retrieve_proc(t8))(4,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k10297 in loop in k10273 in chicken.base#rassoc in k8506 */
static void C_ccall f_10299(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10299,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:947: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10280(t3,((C_word*)t0)[2],t2);}}

/* chicken.fixnum#fx+ in k8506 */
static void C_ccall f_10321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10321,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_plus(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx- in k8506 */
static void C_ccall f_10324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10324,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_difference(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx* in k8506 */
static void C_ccall f_10327(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10327,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_times(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx= in k8506 */
static void C_ccall f_10330(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10330,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx> in k8506 */
static void C_ccall f_10336(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10336,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx< in k8506 */
static void C_ccall f_10339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10339,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx>= in k8506 */
static void C_ccall f_10342(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10342,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx<= in k8506 */
static void C_ccall f_10345(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10345,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmin in k8506 */
static void C_ccall f_10348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10348,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_min(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmax in k8506 */
static void C_ccall f_10351(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10351,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_max(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxneg in k8506 */
static void C_ccall f_10354(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10354,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnum_negate(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxand in k8506 */
static void C_ccall f_10357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10357,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_and(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxior in k8506 */
static void C_ccall f_10360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10360,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_or(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxxor in k8506 */
static void C_ccall f_10363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10363,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_xor(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxnot in k8506 */
static void C_ccall f_10366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10366,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnum_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxshl in k8506 */
static void C_ccall f_10369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10369,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_shift_left(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxshr in k8506 */
static void C_ccall f_10372(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10372,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_shift_right(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxodd? in k8506 */
static void C_ccall f_10375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10375,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnumoddp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxeven? in k8506 */
static void C_ccall f_10378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10378,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnumevenp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxlen in k8506 */
static void C_ccall f_10381(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10381,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnum_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fx/ in k8506 */
static void C_ccall f_10384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10384,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_divide(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxgcd in k8506 */
static void C_ccall f_10387(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10387,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_gcd(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmod in k8506 */
static void C_ccall f_10390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10390,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_modulo(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxrem in k8506 */
static void C_ccall f_10393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10393,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_remainder_checked(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx+? in k8506 */
static void C_ccall f_10396(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10396,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_plus(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx-? in k8506 */
static void C_ccall f_10399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10399,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_difference(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx*? in k8506 */
static void C_ccall f_10402(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10402,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_times(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx/? in k8506 */
static void C_ccall f_10405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10405,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_quotient(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#debug-mode? in k8506 */
static void C_ccall f_10408(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10408,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_debug_modep();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#warning in k8506 */
static void C_ccall f_10413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10413,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(*((C_word*)lf[303]+1))){{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[306];
av2[4]=t2;
av2[5]=t3;
C_apply(6,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* chicken.base#notice in k8506 */
static void C_ccall f_10422(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10422,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(C_truep(*((C_word*)lf[304]+1))?*((C_word*)lf[303]+1):C_SCHEME_FALSE);
if(C_truep(t4)){{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[308];
av2[4]=t2;
av2[5]=t3;
C_apply(6,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* chicken.base#enable-warnings in k8506 */
static void C_ccall f_10434(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10434,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_pairp(t2))){
t3=t2;
t4=C_mutate((C_word*)lf[303]+1 /* (set! ##sys#warnings-enabled ...) */,C_u_i_car(t3));
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t3=*((C_word*)lf[303]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[303]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#setslot in k8506 */
static void C_ccall f_10449(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10449,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_setslot(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#setislot in k8506 */
static void C_ccall f_10452(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10452,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_i_slot(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#start-timer in k8506 */
static void C_ccall f_10461(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_10461,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10465,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1048: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[312]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[312]+1);
av2[1]=t2;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k10463 in start-timer in k8506 */
static void C_ccall f_10465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10465,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_start_timer();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#stop-timer in k8506 */
static void C_ccall f_10467(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_10467,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_stop_timer,a[2]=((C_word)li238),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10471,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1052: g1201 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k10469 in stop-timer in k8506 */
static void C_ccall f_10471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_10471,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10474,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1055: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[312]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[312]+1);
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k10472 in k10469 in stop-timer in k8506 */
static void C_ccall f_10474(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_10474,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_stop_timer,a[2]=((C_word)li239),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10485,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1056: g1203 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k10483 in k10472 in k10469 in stop-timer in k8506 */
static void C_ccall f_10485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10485,2,av);}
t2=C_slot(t1,C_fix(6));
t3=C_i_setslot(((C_word*)t0)[2],C_fix(6),t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#immediate? in k8506 */
static void C_ccall f_10487(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10487,3,av);}
t3=C_blockp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_not(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#message in k8506 */
static void C_ccall f_10494(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10494,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_message(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#byte in k8506 */
static void C_ccall f_10497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10497,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_subbyte(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#setbyte in k8506 */
static void C_ccall f_10500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10500,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_setbyte(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#halt in k8506 */
static void C_ccall f_10505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10505,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_halt(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#block-ref in k8506 */
static void C_ccall f_10509(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10509,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_block_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#block-set! in k8506 */
static void C_ccall f_10514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_10514,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10518,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=C_blockp(t2);
t7=C_i_not(t6);
if(C_truep(t7)){
if(C_truep(t7)){
/* library.scm:1075: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t5;
av2[2]=lf[257];
av2[3]=lf[333];
av2[4]=lf[335];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}
else{
t8=t5;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_10518(2,av2);}}}
else{
t8=(C_truep(C_specialp(t2))?C_eqp(t3,C_fix(0)):C_SCHEME_FALSE);
if(C_truep(t8)){
if(C_truep(t8)){
/* library.scm:1075: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[257];
av2[3]=lf[333];
av2[4]=lf[335];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}
else{
t9=t5;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_10518(2,av2);}}}
else{
if(C_truep(C_byteblockp(t2))){
/* library.scm:1075: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[257];
av2[3]=lf[333];
av2[4]=lf[335];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}
else{
t9=t5;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_10518(2,av2);}}}}}

/* k10516 in block-set! in k8506 */
static void C_ccall f_10518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_10518,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10521,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_block_size(((C_word*)t0)[3]);
/* library.scm:1076: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=t3;
av2[5]=lf[333];
tp(6,av2);}}

/* k10519 in k10516 in block-set! in k8506 */
static void C_ccall f_10521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10521,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_setslot(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#current-milliseconds in k8506 */
static void C_ccall f_10549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_10549,2,av);}
a=C_alloc(7);
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_current_milliseconds(&a,1,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#current-seconds in k8506 */
static void C_ccall f_10552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_10552,2,av);}
a=C_alloc(7);
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_get_current_seconds(&a,1,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#cpu-time in k8506 */
static void C_ccall f_10555(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_10555,2,av);}
a=C_alloc(11);
t2=C_a_i_vector2(&a,2,C_SCHEME_FALSE,C_SCHEME_FALSE);
t3=C_a_i_cpu_time(&a,1,t2);
t4=C_slot(t2,C_fix(0));
t5=C_slot(t2,C_fix(1));
/* library.scm:1100: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
C_values(4,av2);}}

/* ##sys#check-structure in k8506 */
static void C_ccall f_10572(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10572,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_structure_2(t2,t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_structure(t2,t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-blob in k8506 */
static void C_ccall f_10583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10583,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_bytevector_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_bytevector(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-pair in k8506 */
static void C_ccall f_10595(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10595,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_pair_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_pair(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-list in k8506 */
static void C_ccall f_10606(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10606,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_list_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_list(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-string in k8506 */
static void C_ccall f_10617(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10617,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_string_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_string(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-number in k8506 */
static void C_ccall f_10628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10628,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_number_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_number(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-fixnum in k8506 */
static void C_ccall f_10639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10639,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_fixnum_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_fixnum(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-exact in k8506 */
static void C_ccall f_10650(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10650,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_exact_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_exact(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-inexact in k8506 */
static void C_ccall f_10661(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10661,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_inexact_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_inexact(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-symbol in k8506 */
static void C_ccall f_10672(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10672,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_symbol_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_symbol(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-vector in k8506 */
static void C_ccall f_10683(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10683,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_vector_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_vector(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-char in k8506 */
static void C_ccall f_10694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10694,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_char_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_char(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-boolean in k8506 */
static void C_ccall f_10705(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10705,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_boolean_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_boolean(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-locative in k8506 */
static void C_ccall f_10716(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10716,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_locative_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_locative(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-integer in k8506 */
static void C_ccall f_10727(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10727,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_integerp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1178: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1178: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-exact-integer in k8506 */
static void C_ccall f_10744(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10744,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_exact_integerp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1182: ##sys#error-bad-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[357]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[357]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1182: ##sys#error-bad-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[357]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[357]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-exact-uinteger in k8506 */
static void C_ccall f_10761(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10761,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t4=C_i_exact_integerp(t2);
t5=C_i_not(t4);
t6=(C_truep(t5)?t5:C_i_integer_negativep(t2));
if(C_truep(t6)){
if(C_truep(C_i_pairp(t3))){
t7=t3;
t8=C_u_i_car(t7);
/* library.scm:1187: ##sys#error-bad-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[359]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[359]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
tp(4,av2);}}
else{
/* library.scm:1187: ##sys#error-bad-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[359]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[359]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}
else{
t7=C_SCHEME_UNDEFINED;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* ##sys#check-real in k8506 */
static void C_ccall f_10785(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10785,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_realp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1191: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1191: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-range in k8506 */
static void C_ccall f_10802(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_10802,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+7);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_10806,a[2]=t3,a[3]=t2,a[4]=t4,a[5]=t1,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
/* library.scm:1194: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* k10804 in check-range in k8506 */
static void C_ccall f_10806(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_10806,2,av);}
t2=C_fixnum_less_or_equal_p(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(C_truep(t2)?C_fixnum_lessp(((C_word*)t0)[3],((C_word*)t0)[4]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_OUT_OF_RANGE_ERROR);
if(C_truep(C_i_pairp(((C_word*)t0)[6]))){
t5=((C_word*)t0)[6];
t6=C_u_i_car(t5);
/* library.scm:1196: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=t6;
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[2];
av2[6]=((C_word*)t0)[4];
tp(7,av2);}}
else{
/* library.scm:1196: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[2];
av2[6]=((C_word*)t0)[4];
tp(7,av2);}}}}

/* ##sys#check-special in k8506 */
static void C_ccall f_10832(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10832,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=(C_truep(C_blockp(t2))?C_specialp(t2):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=C_u_i_car(t5);
/* library.scm:1202: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[257];
av2[3]=t6;
av2[4]=lf[364];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
/* library.scm:1202: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[257];
av2[3]=C_SCHEME_FALSE;
av2[4]=lf[364];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}}}

/* ##sys#check-closure in k8506 */
static void C_ccall f_10852(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10852,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_closure_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_closure(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#force in k8506 */
static void C_ccall f_10863(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_10863,3,av);}
a=C_alloc(6);
if(C_truep(C_i_structurep(t2,lf[215]))){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10875,a[2]=t4,a[3]=((C_word)li275),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_10875(t6,t1,t2,C_SCHEME_FALSE);}
else{
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* lp in scheme#force in k8506 */
static void C_fcall f_10875(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10875,4,t0,t1,t2,t3);}
a=C_alloc(6);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_nullp(t4))){
/* library.scm:1215: ##sys#values */{
C_word av2[2];
av2[0]=0;
av2[1]=t1;
C_values(2,av2);}}
else{
if(C_truep(C_i_pairp(t4))){{
C_word av2[3];
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
C_apply_values(3,av2);}}
else{
if(C_truep(C_i_closurep(t4))){
t5=(C_truep(t3)?C_i_setslot(t3,C_fix(1),t2):C_SCHEME_UNDEFINED);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10909,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:1219: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=t6;
av2[2]=t4;
av2[3]=*((C_word*)lf[367]+1);
C_call_with_values(4,av2);}}
else{
if(C_truep(C_i_structurep(t4,lf[215]))){
/* library.scm:1231: lp */
t8=t1;
t9=t4;
t10=t3;
t1=t8;
t2=t9;
t3=t10;
goto loop;}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}}}

/* k10907 in lp in scheme#force in k8506 */
static void C_ccall f_10909(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_10909,2,av);}
a=C_alloc(6);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(1));
t4=C_i_closurep(t3);
if(C_truep(C_i_not(t4))){
/* library.scm:1221: lp */
t5=((C_word*)((C_word*)t0)[3])[1];
f_10875(t5,((C_word*)t0)[4],((C_word*)t0)[2],((C_word*)t0)[5]);}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10924,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t6=C_i_nullp(t2);
if(C_truep(C_i_not(t6))){
t7=C_i_cdr(t2);
if(C_truep(C_i_nullp(t7))){
t8=C_slot(t2,C_fix(0));
t9=t5;
f_10924(t9,C_i_structurep(t8,lf[215]));}
else{
t8=t5;
f_10924(t8,C_SCHEME_FALSE);}}
else{
t7=t5;
f_10924(t7,C_SCHEME_FALSE);}}}

/* k10922 in k10907 in lp in scheme#force in k8506 */
static void C_fcall f_10924(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_10924,2,t0,t1);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(0));
t3=C_slot(t2,C_fix(1));
t4=C_i_setslot(((C_word*)t0)[3],C_fix(1),t3);
/* library.scm:1226: lp */
t5=((C_word*)((C_word*)t0)[4])[1];
f_10875(t5,((C_word*)t0)[5],((C_word*)t0)[3],t2);}
else{
t2=C_i_setslot(((C_word*)t0)[3],C_fix(1),((C_word*)t0)[2]);{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}}

/* ##sys#error-not-a-proper-list in k8506 */
static void C_ccall f_10991(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_10991,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_NOT_A_PROPER_LIST_ERROR);
/* library.scm:1241: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_NOT_A_PROPER_LIST_ERROR);
/* library.scm:1241: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-number in k8506 */
static void C_ccall f_11007(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11007,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_NUMBER_ERROR);
/* library.scm:1245: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_NUMBER_ERROR);
/* library.scm:1245: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-integer in k8506 */
static void C_ccall f_11023(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11023,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1249: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1249: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-exact-integer in k8506 */
static void C_ccall f_11039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11039,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1253: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1253: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-exact-uinteger in k8506 */
static void C_ccall f_11055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11055,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_UINTEGER_ERROR);
/* library.scm:1257: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_UINTEGER_ERROR);
/* library.scm:1257: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-inexact in k8506 */
static void C_ccall f_11071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11071,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_CANT_REPRESENT_INEXACT_ERROR);
/* library.scm:1261: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_CANT_REPRESENT_INEXACT_ERROR);
/* library.scm:1261: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-real in k8506 */
static void C_ccall f_11087(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11087,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_REAL_ERROR);
/* library.scm:1265: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_REAL_ERROR);
/* library.scm:1265: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-base in k8506 */
static void C_ccall f_11103(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11103,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_BAD_BASE_ERROR);
/* library.scm:1269: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_BAD_BASE_ERROR);
/* library.scm:1269: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* scheme#append in k8506 */
static void C_ccall f_11119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_11119,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11131,a[2]=t5,a[3]=((C_word)li288),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_11131(t7,t1,t2);}}

/* loop in scheme#append in k8506 */
static void C_fcall f_11131(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_11131,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_slot(t2,C_fix(1));
t4=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_slot(t2,C_fix(0));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(0));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11150,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t7,a[5]=((C_word)li287),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_11150(t9,t1,t5);}}

/* copy in loop in scheme#append in k8506 */
static void C_fcall f_11150(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_11150,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:1280: loop */
t5=((C_word*)((C_word*)t0)[3])[1];
f_11131(t5,t1,t4);}
else{
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11181,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(t2,C_fix(1));
/* library.scm:1282: copy */
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}
else{
t4=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:1284: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=lf[374];
tp(4,av2);}}}}

/* k11179 in copy in loop in scheme#append in k8506 */
static void C_ccall f_11181(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_11181,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#fast-reverse in k8506 */
static void C_ccall f_11198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_11198,3,av);}
a=C_alloc(6);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11204,a[2]=t4,a[3]=((C_word)li290),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_11204(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in fast-reverse in k8506 */
static void C_fcall f_11204(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_11204,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(1));
t5=C_slot(t2,C_fix(0));
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:1290: loop */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}
else{
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#make-string in k8506 */
static void C_ccall f_11228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_11228,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_nullp(t3))){
t4=t1;
t5=t2;
/* library.scm:1297: ##sys#allocate-vector */
t6=*((C_word*)lf[315]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_make_character(32);
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
t4=C_i_car(t3);
t5=t1;
t6=t2;
/* library.scm:1297: ##sys#allocate-vector */
t7=*((C_word*)lf[315]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=C_SCHEME_TRUE;
av2[4]=t4;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}}

/* scheme#make-string in k8506 */
static void C_ccall f_11248(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_11248,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11252,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1304: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[378];
tp(4,av2);}}

/* k11250 in scheme#make-string in k8506 */
static void C_ccall f_11252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_11252,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11255,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[4],C_fix(0)))){
/* library.scm:1306: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[379];
av2[3]=lf[378];
av2[4]=lf[380];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_11255(2,av2);}}}

/* k11253 in k11250 in scheme#make-string in k8506 */
static void C_ccall f_11255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_11255,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=((C_word*)t0)[3];
t3=((C_word*)t0)[4];
/* library.scm:1297: ##sys#allocate-vector */
t4=*((C_word*)lf[315]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_make_character(32);
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[2]);
t3=C_i_check_char_2(t2,lf[378]);
t4=((C_word*)t0)[3];
t5=((C_word*)t0)[4];
/* library.scm:1297: ##sys#allocate-vector */
t6=*((C_word*)lf[315]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}}

/* scheme#string->list in k8506 */
static void C_ccall f_11284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_11284,3,av);}
a=C_alloc(7);
t3=C_i_check_string_2(t2,lf[382]);
t4=C_block_size(t2);
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11300,a[2]=t2,a[3]=t7,a[4]=((C_word)li294),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_11300(t9,t1,t5,C_SCHEME_END_OF_LIST);}

/* loop in scheme#string->list in k8506 */
static void C_fcall f_11300(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_11300,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_difference(t2,C_fix(1));
t5=C_subchar(((C_word*)t0)[2],t2);
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:1322: loop */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}

/* scheme#list->string in k8506 */
static void C_ccall f_11322(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11322,3,av);}
a=C_alloc(5);
t3=C_i_listp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:1330: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[385];
tp(4,av2);}}
else{
t4=C_i_length(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11338,a[2]=t5,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1332: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}}

/* k11336 in scheme#list->string in k8506 */
static void C_ccall f_11338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11338,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11343,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li296),tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_11343(t3,C_fix(0),((C_word*)t0)[4])
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop1531 in k11336 in scheme#list->string in k8506 */
static C_word C_fcall f_11343(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t3=C_slot(t2,C_fix(0));
t4=C_i_check_char_2(t3,lf[385]);
t5=C_setsubchar(((C_word*)t0)[3],t1,t3);
t6=C_fixnum_plus(t1,C_fix(1));
t7=C_slot(t2,C_fix(1));
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* ##sys#reverse-list->string in k8506 */
static void C_ccall f_11374(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11374,3,av);}
a=C_alloc(5);
if(C_truep(C_i_listp(t2))){
t3=t2;
t4=C_u_i_length(t3);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11385,a[2]=t4,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1347: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}
else{
/* library.scm:1355: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[388];
tp(4,av2);}}}

/* k11383 in reverse-list->string in k8506 */
static void C_ccall f_11385(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11385,2,av);}
a=C_alloc(4);
t2=t1;
t3=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11394,a[2]=t2,a[3]=((C_word)li298),tmp=(C_word)a,a+=4,tmp);
t5=(
  f_11394(t4,((C_word*)t0)[3],t3)
);
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* iter in k11383 in reverse-list->string in k8506 */
static C_word C_fcall f_11394(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t2,C_fix(0)))){
t3=C_slot(t1,C_fix(0));
t4=C_i_check_char_2(t3,lf[388]);
t5=C_setsubchar(((C_word*)t0)[2],t2,t3);
t6=C_slot(t1,C_fix(1));
t7=C_fixnum_difference(t2,C_fix(1));
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}
else{
t3=C_SCHEME_UNDEFINED;
return(t3);}}

/* scheme#string-fill! in k8506 */
static void C_ccall f_11423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11423,4,av);}
t4=C_i_check_string_2(t2,lf[390]);
t5=C_i_check_char_2(t3,lf[390]);
t6=C_block_size(t2);
t7=C_set_memory(t2,t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* scheme#string-copy in k8506 */
static void C_ccall f_11436(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_11436,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[392]);
t4=C_block_size(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11446,a[2]=t2,a[3]=t5,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1368: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k11444 in scheme#string-copy in k8506 */
static void C_ccall f_11446(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11446,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#substring in k8506 */
static void C_ccall f_11448(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_11448,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
t5=C_i_check_string_2(t2,lf[394]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11455,a[2]=t2,a[3]=t1,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:1375: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=lf[394];
tp(4,av2);}}

/* k11453 in scheme#substring in k8506 */
static void C_ccall f_11455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_11455,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11458,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[5]))){
t3=((C_word*)t0)[5];
t4=C_u_i_car(t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11493,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1378: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[394];
tp(4,av2);}}
else{
t3=t2;
f_11458(t3,C_block_size(((C_word*)t0)[2]));}}

/* k11456 in k11453 in scheme#substring in k8506 */
static void C_fcall f_11458(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_11458,2,t0,t1);}
a=C_alloc(6);
t2=t1;
t3=C_block_size(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11467,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[4],t2))){
t5=C_fixnum_greater_or_equal_p(((C_word*)t0)[4],C_fix(0));
t6=t4;
f_11467(t6,(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_SCHEME_FALSE));}
else{
t5=t4;
f_11467(t5,C_SCHEME_FALSE);}}

/* k11465 in k11456 in k11453 in scheme#substring in k8506 */
static void C_fcall f_11467(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_11467,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:1385: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}
else{
t2=C_fix((C_word)C_OUT_OF_RANGE_ERROR);
/* library.scm:1386: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word av2[6];
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
av2[3]=lf[394];
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
tp(6,av2);}}}

/* k11491 in k11453 in scheme#substring in k8506 */
static void C_ccall f_11493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11493,2,av);}
t2=((C_word*)t0)[2];
f_11458(t2,((C_word*)t0)[3]);}

/* ##sys#substring in k8506 */
static void C_ccall f_11498(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_11498,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11502,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t6=C_fixnum_difference(t4,t3);
/* library.scm:1391: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t6;
tp(3,av2);}}

/* k11500 in substring in k8506 */
static void C_ccall f_11502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11502,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,((C_word*)t0)[3],((C_word*)t0)[4],C_fix(0));
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* compare1584 in k8506 */
static void C_ccall f_11507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11507,6,av);}
t6=C_i_check_string_2(t2,t4);
t7=C_i_check_string_2(t3,t4);
t8=C_block_size(t2);
t9=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t8,t9))){
t10=C_string_compare(t2,t3,t8);
/* library.scm:1401: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}
else{
t10=C_string_compare(t2,t3,t9);
/* library.scm:1401: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}}

/* scheme#string<? in k8506 */
static void C_ccall f_11528(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11528,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11534,a[2]=((C_word)li305),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1409: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[397];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11533 in scheme#string<? in k8506 */
static void C_ccall f_11534(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11534,5,av);}
t5=C_fixnum_lessp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t2,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string>? in k8506 */
static void C_ccall f_11552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11552,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11558,a[2]=((C_word)li307),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1416: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[399];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11557 in scheme#string>? in k8506 */
static void C_ccall f_11558(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11558,5,av);}
t5=C_fixnum_greaterp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t3,t2);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string<=? in k8506 */
static void C_ccall f_11576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11576,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11582,a[2]=((C_word)li309),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1423: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[401];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11581 in scheme#string<=? in k8506 */
static void C_ccall f_11582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11582,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_fixnum_lessp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#string>=? in k8506 */
static void C_ccall f_11597(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11597,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11603,a[2]=((C_word)li311),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1430: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[403];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11602 in scheme#string>=? in k8506 */
static void C_ccall f_11603(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11603,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_greater_or_equal_p(t2,t3):C_fixnum_greaterp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* compare1627 in k8506 */
static void C_ccall f_11617(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11617,6,av);}
t6=C_i_check_string_2(t2,t4);
t7=C_i_check_string_2(t3,t4);
t8=C_block_size(t2);
t9=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t8,t9))){
t10=C_string_compare_case_insensitive(t2,t3,t8);
/* library.scm:1443: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}
else{
t10=C_string_compare_case_insensitive(t2,t3,t9);
/* library.scm:1443: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}}

/* scheme#string-ci<? in k8506 */
static void C_ccall f_11638(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11638,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11644,a[2]=((C_word)li314),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1451: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[405];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11643 in scheme#string-ci<? in k8506 */
static void C_ccall f_11644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11644,5,av);}
t5=C_fixnum_lessp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t2,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string-ci>? in k8506 */
static void C_ccall f_11662(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11662,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11668,a[2]=((C_word)li316),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1458: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[407];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11667 in scheme#string-ci>? in k8506 */
static void C_ccall f_11668(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11668,5,av);}
t5=C_fixnum_greaterp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t3,t2);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string-ci<=? in k8506 */
static void C_ccall f_11686(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11686,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11692,a[2]=((C_word)li318),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1465: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[409];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11691 in scheme#string-ci<=? in k8506 */
static void C_ccall f_11692(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11692,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_greater_or_equal_p(t2,t3):C_fixnum_lessp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#string-ci>=? in k8506 */
static void C_ccall f_11707(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11707,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11713,a[2]=((C_word)li320),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1472: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[411];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11712 in scheme#string-ci>=? in k8506 */
static void C_ccall f_11713(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11713,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_fixnum_greaterp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* ##sys#string-append in k8506 */
static void C_ccall f_11728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_11728,4,av);}
a=C_alloc(7);
t4=C_block_size(t2);
t5=t4;
t6=C_block_size(t3);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11738,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=t7,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t9=C_fixnum_plus(t5,t7);
/* library.scm:1482: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t8;
av2[2]=t9;
tp(3,av2);}}

/* k11736 in string-append in k8506 */
static void C_ccall f_11738(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11738,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_substring_copy(((C_word*)t0)[4],t1,C_fix(0),((C_word*)t0)[5],((C_word*)t0)[3]);
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-append in k8506 */
static void C_ccall f_11744(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +13,c,4)))){
C_save_and_reclaim((void*)f_11744,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+13);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11748,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11750,a[2]=t4,a[3]=t7,a[4]=((C_word)li323),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_11750(t9,t5,t2,C_fix(0));}

/* k11746 in scheme#string-append in k8506 */
static void C_ccall f_11748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11748,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[3])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in scheme#string-append in k8506 */
static void C_fcall f_11750(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_11750,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11761,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1492: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t3;
tp(3,av2);}}
else{
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=C_i_check_string_2(t6,lf[414]);
t8=C_block_size(t6);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11773,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t9,a[5]=t3,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t11=C_slot(t2,C_fix(1));
t12=C_fixnum_plus(t3,t9);
/* library.scm:1496: loop */
t14=t10;
t15=t11;
t16=t12;
t1=t14;
t2=t15;
t3=t16;
goto loop;}}

/* k11759 in loop in scheme#string-append in k8506 */
static void C_ccall f_11761(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11761,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k11771 in loop in scheme#string-append in k8506 */
static void C_ccall f_11773(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11773,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],((C_word*)((C_word*)t0)[3])[1],C_fix(0),((C_word*)t0)[4],((C_word*)t0)[5]);
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string in k8506 */
static void C_ccall f_11783(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_11783,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
/* list->string */
t3=*((C_word*)lf[386]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* ##sys#fragments->string in k8506 */
static void C_ccall f_11789(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_11789,4,av);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11793,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1505: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}

/* k11791 in fragments->string in k8506 */
static void C_ccall f_11793(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11793,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11798,a[2]=t2,a[3]=((C_word)li326),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_11798(t3,((C_word*)t0)[3],C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k11791 in fragments->string in k8506 */
static C_word C_fcall f_11798(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_nullp(t1))){
return(((C_word*)t0)[2]);}
else{
t3=C_slot(t1,C_fix(0));
t4=C_block_size(t3);
t5=C_substring_copy(t3,((C_word*)t0)[2],C_fix(0),t4,t2);
t6=C_slot(t1,C_fix(1));
t7=C_fixnum_plus(t2,t4);
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* chicken.base#chop in k8506 */
static void C_ccall f_11824(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11824,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11828,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1516: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[418];
tp(4,av2);}}

/* k11826 in chicken.base#chop in k8506 */
static void C_ccall f_11828(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_11828,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11831,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[3],C_fix(0)))){
/* library.scm:1517: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[418];
av2[3]=lf[419];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_11831(2,av2);}}}

/* k11829 in k11826 in chicken.base#chop in k8506 */
static void C_ccall f_11831(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_11831,2,av);}
a=C_alloc(7);
t2=C_i_length(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11839,a[2]=((C_word*)t0)[3],a[3]=t4,a[4]=((C_word)li329),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_11839(t6,((C_word*)t0)[4],((C_word*)t0)[2],t2);}

/* loop in k11829 in k11826 in chicken.base#chop in k8506 */
static void C_fcall f_11839(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_11839,4,t0,t1,t2,t3);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t3,((C_word*)t0)[2]))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_a_i_list1(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11860,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t5,a[6]=((C_word)li328),tmp=(C_word)a,a+=7,tmp));
t7=((C_word*)t5)[1];
f_11860(t7,t1,C_SCHEME_END_OF_LIST,t2,((C_word*)t0)[2]);}}}

/* doloop1712 in loop in k11829 in k11826 in chicken.base#chop in k8506 */
static void C_fcall f_11860(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_11860,5,t0,t1,t2,t3,t4);}
a=C_alloc(7);
t5=C_eqp(t4,C_fix(0));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11874,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:1527: scheme#reverse */
t7=*((C_word*)lf[46]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t6=C_slot(t3,C_fix(0));
t7=C_a_i_cons(&a,2,t6,t2);
t8=C_slot(t3,C_fix(1));
t9=C_fixnum_difference(t4,C_fix(1));
t11=t1;
t12=t7;
t13=t8;
t14=t9;
t1=t11;
t2=t12;
t3=t13;
t4=t14;
goto loop;}}

/* k11872 in doloop1712 in loop in k11829 in k11826 in chicken.base#chop in k8506 */
static void C_ccall f_11874(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11874,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11878,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fixnum_difference(((C_word*)t0)[3],((C_word*)t0)[4]);
/* library.scm:1527: loop */
t5=((C_word*)((C_word*)t0)[5])[1];
f_11839(t5,t3,((C_word*)t0)[6],t4);}

/* k11876 in k11872 in doloop1712 in loop in k11829 in k11826 in chicken.base#chop in k8506 */
static void C_ccall f_11878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_11878,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp+ in k8506 */
static void C_ccall f_11919(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11919,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11941,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_plus(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[432];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11939 in chicken.flonum#fp+ in k8506 */
static void C_ccall f_11941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11941,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_plus(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp- in k8506 */
static void C_ccall f_11943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11943,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11965,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_difference(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[434];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11963 in chicken.flonum#fp- in k8506 */
static void C_ccall f_11965(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11965,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_difference(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp* in k8506 */
static void C_ccall f_11967(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11967,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11989,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_times(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[436];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11987 in chicken.flonum#fp* in k8506 */
static void C_ccall f_11989(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11989,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_times(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp/ in k8506 */
static void C_ccall f_11991(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11991,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12013,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_quotient(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[438];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12011 in chicken.flonum#fp/ in k8506 */
static void C_ccall f_12013(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12013,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_quotient(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpgcd in k8506 */
static void C_ccall f_12015(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12015,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12037,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_gcd(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[440];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12035 in chicken.flonum#fpgcd in k8506 */
static void C_ccall f_12037(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12037,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_gcd(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp/? in k8506 */
static void C_ccall f_12039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12039,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12061,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_quotient_checked(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[442];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12059 in chicken.flonum#fp/? in k8506 */
static void C_ccall f_12061(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12061,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_quotient_checked(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp= in k8506 */
static void C_ccall f_12063(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12063,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12085,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[444];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12083 in chicken.flonum#fp= in k8506 */
static void C_ccall f_12085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12085,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_equalp(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp> in k8506 */
static void C_ccall f_12087(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12087,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12109,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[446];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12107 in chicken.flonum#fp> in k8506 */
static void C_ccall f_12109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12109,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_greaterp(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp< in k8506 */
static void C_ccall f_12111(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12111,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12133,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[448];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12131 in chicken.flonum#fp< in k8506 */
static void C_ccall f_12133(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12133,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_lessp(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp>= in k8506 */
static void C_ccall f_12135(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12135,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12157,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[450];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12155 in chicken.flonum#fp>= in k8506 */
static void C_ccall f_12157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12157,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_greater_or_equal_p(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp<= in k8506 */
static void C_ccall f_12159(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12159,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12181,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[452];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12179 in chicken.flonum#fp<= in k8506 */
static void C_ccall f_12181(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12181,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_less_or_equal_p(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpneg in k8506 */
static void C_ccall f_12183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12183,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12199,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_negate(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1554: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[454];
av2[4]=t4;
tp(5,av2);}}}

/* k12197 in chicken.flonum#fpneg in k8506 */
static void C_ccall f_12199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12199,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_negate(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpmax in k8506 */
static void C_ccall f_12201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12201,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12223,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_i_flonum_max(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[456];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12221 in chicken.flonum#fpmax in k8506 */
static void C_ccall f_12223(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12223,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_flonum_max(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpmin in k8506 */
static void C_ccall f_12225(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12225,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12247,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_i_flonum_min(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[458];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12245 in chicken.flonum#fpmin in k8506 */
static void C_ccall f_12247(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12247,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_flonum_min(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpfloor in k8506 */
static void C_ccall f_12249(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12249,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12265,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_floor(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1554: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[460];
av2[4]=t4;
tp(5,av2);}}}

/* k12263 in chicken.flonum#fpfloor in k8506 */
static void C_ccall f_12265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12265,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_floor(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fptruncate in k8506 */
static void C_ccall f_12267(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12267,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12283,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_truncate(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1554: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[462];
av2[4]=t4;
tp(5,av2);}}}

/* k12281 in chicken.flonum#fptruncate in k8506 */
static void C_ccall f_12283(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12283,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_truncate(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpround in k8506 */
static void C_ccall f_12285(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12285,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12301,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_round(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1554: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[464];
av2[4]=t4;
tp(5,av2);}}}

/* k12299 in chicken.flonum#fpround in k8506 */
static void C_ccall f_12301(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12301,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_round(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpceiling in k8506 */
static void C_ccall f_12303(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12303,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12319,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_ceiling(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1554: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[466];
av2[4]=t4;
tp(5,av2);}}}

/* k12317 in chicken.flonum#fpceiling in k8506 */
static void C_ccall f_12319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12319,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_ceiling(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpsin in k8506 */
static void C_ccall f_12321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12321,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12337,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_sin(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1554: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[468];
av2[4]=t4;
tp(5,av2);}}}

/* k12335 in chicken.flonum#fpsin in k8506 */
static void C_ccall f_12337(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12337,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_sin(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpcos in k8506 */
static void C_ccall f_12339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12339,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12355,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_cos(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1554: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[470];
av2[4]=t4;
tp(5,av2);}}}

/* k12353 in chicken.flonum#fpcos in k8506 */
static void C_ccall f_12355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12355,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_cos(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fptan in k8506 */
static void C_ccall f_12357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12357,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12373,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_tan(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1554: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[472];
av2[4]=t4;
tp(5,av2);}}}

/* k12371 in chicken.flonum#fptan in k8506 */
static void C_ccall f_12373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12373,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_tan(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpasin in k8506 */
static void C_ccall f_12375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12375,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12391,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_asin(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1554: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[474];
av2[4]=t4;
tp(5,av2);}}}

/* k12389 in chicken.flonum#fpasin in k8506 */
static void C_ccall f_12391(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12391,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_asin(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpacos in k8506 */
static void C_ccall f_12393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12393,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12409,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_acos(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1554: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[476];
av2[4]=t4;
tp(5,av2);}}}

/* k12407 in chicken.flonum#fpacos in k8506 */
static void C_ccall f_12409(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12409,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_acos(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpatan in k8506 */
static void C_ccall f_12411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12411,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12427,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_atan(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1554: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[478];
av2[4]=t4;
tp(5,av2);}}}

/* k12425 in chicken.flonum#fpatan in k8506 */
static void C_ccall f_12427(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12427,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_atan(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpatan2 in k8506 */
static void C_ccall f_12429(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12429,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12451,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_atan2(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[480];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12449 in chicken.flonum#fpatan2 in k8506 */
static void C_ccall f_12451(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12451,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_atan2(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpexp in k8506 */
static void C_ccall f_12453(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12453,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12469,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_exp(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1554: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[482];
av2[4]=t4;
tp(5,av2);}}}

/* k12467 in chicken.flonum#fpexp in k8506 */
static void C_ccall f_12469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12469,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_exp(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpexpt in k8506 */
static void C_ccall f_12471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12471,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12493,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_expt(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[484];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12491 in chicken.flonum#fpexpt in k8506 */
static void C_ccall f_12493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12493,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_expt(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fplog in k8506 */
static void C_ccall f_12495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12495,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12511,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_log(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1554: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[486];
av2[4]=t4;
tp(5,av2);}}}

/* k12509 in chicken.flonum#fplog in k8506 */
static void C_ccall f_12511(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12511,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_log(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpsqrt in k8506 */
static void C_ccall f_12513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12513,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12529,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_sqrt(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1554: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[488];
av2[4]=t4;
tp(5,av2);}}}

/* k12527 in chicken.flonum#fpsqrt in k8506 */
static void C_ccall f_12529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12529,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_sqrt(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpabs in k8506 */
static void C_ccall f_12531(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12531,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12547,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_abs(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1554: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[490];
av2[4]=t4;
tp(5,av2);}}}

/* k12545 in chicken.flonum#fpabs in k8506 */
static void C_ccall f_12547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12547,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_abs(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpinteger? in k8506 */
static void C_ccall f_12549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_12549,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12565,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_fpintegerp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1554: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[492];
av2[4]=t4;
tp(5,av2);}}}

/* k12563 in chicken.flonum#fpinteger? in k8506 */
static void C_ccall f_12565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12565,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_u_i_fpintegerp(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#flonum-print-precision in k8506 */
static void C_ccall f_12567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_12567,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
t5=t4;
t6=C_get_print_precision();
if(C_truep(t5)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12577,a[2]=t5,a[3]=t1,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1687: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t7;
av2[2]=t5;
av2[3]=lf[494];
tp(4,av2);}}
else{
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k12575 in chicken.flonum#flonum-print-precision in k8506 */
static void C_ccall f_12577(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12577,2,av);}
t2=C_set_print_precision(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* make-complex in k8506 */
static void C_fcall f_12589(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_12589,3,t1,t2,t3);}
a=C_alloc(5);
t4=C_eqp(t3,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12599,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t4)){
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=t4;
f_12599(2,av2);}}
else{
if(C_truep(C_i_flonump(t3))){
/* library.scm:1707: chicken.flonum#fp= */
t6=*((C_word*)lf[443]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=t3;
av2[3]=lf[500];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_12599(2,av2);}}}}

/* k12597 in make-complex in k8506 */
static void C_ccall f_12599(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_12599,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12603,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_inexactp(((C_word*)t0)[4]))){
/* library.scm:1710: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
f_12603(2,av2);}}}}

/* k12601 in k12597 in make-complex in k8506 */
static void C_ccall f_12603(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,1)))){
C_save_and_reclaim((void *)f_12603,2,av);}
a=C_alloc(14);
if(C_truep(C_i_inexactp(((C_word*)t0)[2]))){
t2=((C_word*)t0)[3];
t3=C_a_i_exact_to_inexact(&a,1,t2);
t4=C_a_i_cplxnum(&a,2,t1,t3);
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_a_i_cplxnum(&a,2,t1,t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scheme#make-rectangular in k8506 */
static void C_ccall f_12625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12625,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12629,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1715: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[502];
tp(4,av2);}}

/* k12627 in scheme#make-rectangular in k8506 */
static void C_ccall f_12629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12629,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12632,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1716: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[502];
tp(4,av2);}}

/* k12630 in k12627 in scheme#make-rectangular in k8506 */
static void C_ccall f_12632(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12632,2,av);}
/* library.scm:1717: make-complex */
f_12589(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);}

/* scheme#make-polar in k8506 */
static void C_ccall f_12637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12637,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12641,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1721: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[504];
tp(4,av2);}}

/* k12639 in scheme#make-polar in k8506 */
static void C_ccall f_12641(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12641,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12644,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1722: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[504];
tp(4,av2);}}

/* k12642 in k12639 in scheme#make-polar in k8506 */
static void C_ccall f_12644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_12644,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12647,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1723: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k12645 in k12642 in k12639 in scheme#make-polar in k8506 */
static void C_ccall f_12647(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(74,c,3)))){
C_save_and_reclaim((void *)f_12647,2,av);}
a=C_alloc(74);
t2=((C_word*)t0)[2];
t3=C_a_i_cos(&a,1,t1);
t4=C_s_a_i_times(&a,2,t2,t3);
t5=((C_word*)t0)[2];
t6=C_a_i_sin(&a,1,t1);
t7=C_s_a_i_times(&a,2,t5,t6);
/* library.scm:1724: make-complex */
f_12589(((C_word*)t0)[3],t4,t7);}

/* scheme#real-part in k8506 */
static void C_ccall f_12658(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12658,3,av);}
if(C_truep(C_i_cplxnump(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_cplxnum_real(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1732: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[506];
tp(4,av2);}}}}

/* scheme#imag-part in k8506 */
static void C_ccall f_12681(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12681,3,av);}
if(C_truep(C_i_cplxnump(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_cplxnum_imag(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[500];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1739: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[508];
tp(4,av2);}}}}}

/* scheme#angle in k8506 */
static void C_ccall f_12707(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_12707,3,av);}
a=C_alloc(4);
t3=C_i_check_number_2(t2,lf[510]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12716,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1745: scheme#imag-part */
t5=*((C_word*)lf[507]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k12714 in scheme#angle in k8506 */
static void C_ccall f_12716(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_12716,2,av);}
a=C_alloc(15);
t2=C_a_i_exact_to_inexact(&a,1,t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12721,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1746: scheme#real-part */
t4=*((C_word*)lf[505]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k12719 in k12714 in scheme#angle in k8506 */
static void C_ccall f_12721(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,1)))){
C_save_and_reclaim((void *)f_12721,2,av);}
a=C_alloc(15);
t2=C_a_i_exact_to_inexact(&a,1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_atan2(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#magnitude in k8506 */
static void C_ccall f_12723(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(95,c,3)))){
C_save_and_reclaim((void *)f_12723,3,av);}
a=C_alloc(95);
if(C_truep(C_i_cplxnump(t2))){
t3=t2;
t4=C_u_i_cplxnum_real(t3);
t5=t2;
t6=C_u_i_cplxnum_imag(t5);
t7=C_s_a_i_times(&a,2,t4,t4);
t8=C_s_a_i_times(&a,2,t6,t6);
t9=C_s_a_i_plus(&a,2,t7,t8);
/* library.scm:1753: scheme#sqrt */
t10=*((C_word*)lf[512]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t1;
av2[2]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_abs(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
/* library.scm:1755: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[513];
tp(4,av2);}}}}

/* ratnum in k8506 */
static void C_fcall f_12762(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,1)))){
C_save_and_reclaim_args((void *)trf_12762,3,t1,t2,t3);}
a=C_alloc(13);
switch(t3){
case C_fix(1):
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}
case C_fix(-1):
t4=t1;
t5=t2;
t6=t4;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_u_i_integer_negate(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}
default:
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=t2;
t6=C_s_a_u_i_integer_negate(&a,1,t5);
t7=t3;
t8=C_s_a_u_i_integer_negate(&a,1,t7);
t9=t1;
t10=t9;{
C_word av2[2];
av2[0]=t10;
av2[1]=C_a_i_ratnum(&a,2,t6,t8);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t5=t1;
t6=t2;
t7=t3;
t8=t5;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_a_i_ratnum(&a,2,t6,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}}

/* scheme#numerator in k8506 */
static void C_ccall f_12808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_12808,3,av);}
a=C_alloc(6);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t2;
t5=C_i_finitep(t4);
if(C_truep(C_i_not(t5))){
/* library.scm:1775: bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[516]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[516]+1);
av2[1]=t1;
av2[2]=lf[517];
av2[3]=t2;
tp(4,av2);}}
else{
if(C_truep(C_u_i_fpintegerp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12832,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12836,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1777: scheme#inexact->exact */
t8=*((C_word*)lf[518]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t1;
t5=t2;
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_ratnum_num(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:1779: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[257];
av2[3]=lf[517];
av2[4]=lf[519];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}}}

/* k12830 in scheme#numerator in k8506 */
static void C_ccall f_12832(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,1)))){
C_save_and_reclaim((void *)f_12832,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_exact_to_inexact(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k12834 in scheme#numerator in k8506 */
static void C_ccall f_12836(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_12836,2,av);}
/* library.scm:1777: scheme#numerator */
t2=*((C_word*)lf[515]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* scheme#denominator in k8506 */
static void C_ccall f_12854(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_12854,3,av);}
a=C_alloc(6);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fix(1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t2;
t5=C_i_finitep(t4);
if(C_truep(C_i_not(t5))){
/* library.scm:1787: bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[516]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[516]+1);
av2[1]=t1;
av2[2]=lf[521];
av2[3]=t2;
tp(4,av2);}}
else{
if(C_truep(C_u_i_fpintegerp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=lf[522];
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12878,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12882,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1789: scheme#inexact->exact */
t8=*((C_word*)lf[518]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t1;
t5=t2;
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_ratnum_denom(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:1791: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[257];
av2[3]=lf[517];
av2[4]=lf[523];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}}}

/* k12876 in scheme#denominator in k8506 */
static void C_ccall f_12878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,1)))){
C_save_and_reclaim((void *)f_12878,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_exact_to_inexact(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k12880 in scheme#denominator in k8506 */
static void C_ccall f_12882(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_12882,2,av);}
/* library.scm:1789: scheme#denominator */
t2=*((C_word*)lf[520]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* ##sys#extended-signum in k8506 */
static void C_ccall f_12900(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(26,c,3)))){
C_save_and_reclaim((void *)f_12900,3,av);}
a=C_alloc(26);
if(C_truep(C_i_ratnump(t2))){
t3=t2;
t4=C_u_i_ratnum_num(t3);
t5=C_u_i_integer_signum(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_cplxnump(t2))){
t3=t2;
t4=C_u_i_cplxnum_imag(t3);
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_u_i_cplxnum_real(t3);
t7=C_a_i_exact_to_inexact(&a,1,t6);
t8=C_a_i_flonum_atan2(&a,2,t5,t7);
/* library.scm:1798: scheme#make-polar */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[503]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[503]+1);
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=t8;
tp(4,av2);}}
else{
/* library.scm:1799: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[525];
tp(4,av2);}}}}

/* doloop2223 in deliver in scheme#inexact->exact in k8506 */
static void C_fcall f_12941(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_12941,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_u_i_fpintegerp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12952,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1807: chicken.flonum#fp* */
t5=*((C_word*)lf[435]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[529];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k12950 in doloop2223 in deliver in scheme#inexact->exact in k8506 */
static void C_ccall f_12952(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12952,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_12941(t3,((C_word*)t0)[4],t1,t2);}

/* deliver in scheme#inexact->exact in k8506 */
static void C_fcall f_12958(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,4)))){
C_save_and_reclaim_args((void *)trf_12958,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_12962,a[2]=t2,a[3]=t1,a[4]=t3,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12991,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=t2;
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12941,a[2]=t8,a[3]=((C_word)li374),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_12941(t10,t5,t6,C_fix(0));}

/* k12960 in deliver in scheme#inexact->exact in k8506 */
static void C_ccall f_12962(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_12962,2,av);}
a=C_alloc(7);
t2=t1;
t3=((C_word*)t0)[2];
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_12967,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:1813: scheme#exact->inexact */
t5=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k12965 in k12960 in deliver in scheme#inexact->exact in k8506 */
static void C_ccall f_12967(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(42,c,3)))){
C_save_and_reclaim((void *)f_12967,2,av);}
a=C_alloc(42);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
if(C_truep(C_i_finitep(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12978,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_u_i_flo_to_int(&a,1,t2);
/* library.scm:1815: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}
else{
/* library.scm:1816: ##sys#error-bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[527];
tp(4,av2);}}}

/* k12976 in k12965 in k12960 in deliver in scheme#inexact->exact in k8506 */
static void C_ccall f_12978(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12978,2,av);}
/* library.scm:1815: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k12989 in deliver in scheme#inexact->exact in k8506 */
static void C_ccall f_12991(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12991,2,av);}
/* library.scm:1812: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(2);
av2[3]=t1;
tp(4,av2);}}

/* k13004 in k13014 in scheme#inexact->exact in k8506 */
static void C_ccall f_13006(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,3)))){
C_save_and_reclaim((void *)f_13006,2,av);}
a=C_alloc(38);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13010,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1823: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=*((C_word*)lf[425]+1);
tp(4,av2);}}

/* k13008 in k13004 in k13014 in scheme#inexact->exact in k8506 */
static void C_ccall f_13010(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13010,2,av);}
/* library.scm:1820: deliver */
t2=((C_word*)t0)[2];
f_12958(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k13014 in scheme#inexact->exact in k8506 */
static void C_ccall f_13016(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13016,2,av);}
a=C_alloc(5);
t2=(C_truep(t1)?C_flonum_greaterp(((C_word*)t0)[2],lf[530]):C_SCHEME_FALSE);
if(C_truep(t2)){
t3=((C_word*)t0)[2];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13006,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1820: scheme#expt */
t5=*((C_word*)lf[531]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[529];
av2[3]=*((C_word*)lf[425]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
/* library.scm:1824: deliver */
t3=((C_word*)t0)[3];
f_12958(t3,((C_word*)t0)[4],((C_word*)t0)[2],C_fix(1));}}

/* scheme#inexact->exact in k8506 */
static void C_ccall f_13020(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_13020,3,av);}
a=C_alloc(9);
if(C_truep(C_i_exactp(t2))){
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
if(C_truep(C_u_i_fpintegerp(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_s_a_u_i_flo_to_int(&a,1,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_u_i_flonum_finitep(t2))){
t3=t1;
t4=t2;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12958,a[2]=t4,a[3]=((C_word)li375),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13016,a[2]=t4,a[3]=t5,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1818: chicken.flonum#fp< */
t7=*((C_word*)lf[447]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=t4;
av2[3]=lf[522];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}
else{
/* library.scm:1832: ##sys#error-bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[527];
tp(4,av2);}}}}
else{
if(C_truep(C_i_cplxnump(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13060,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
t5=C_u_i_cplxnum_real(t4);
/* library.scm:1834: scheme#inexact->exact */
t6=*((C_word*)lf[518]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
/* library.scm:1836: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[527];
tp(4,av2);}}}}}

/* k13058 in scheme#inexact->exact in k8506 */
static void C_ccall f_13060(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13060,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13064,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_cplxnum_imag(t4);
/* library.scm:1835: scheme#inexact->exact */
t6=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t6;
av2[1]=t3;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k13062 in k13058 in scheme#inexact->exact in k8506 */
static void C_ccall f_13064(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13064,2,av);}
/* library.scm:1834: make-complex */
f_12589(((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* chicken.bitwise#bitwise-not in k8506 */
static void C_ccall f_13086(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_13086,3,av);}
a=C_alloc(5);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_bitwise_not(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.bitwise#bit->boolean in k8506 */
static void C_ccall f_13089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_13089,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_bit_to_bool(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.bitwise#integer-length in k8506 */
static void C_ccall f_13092(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_13092,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_integer_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.bitwise#arithmetic-shift in k8506 */
static void C_ccall f_13095(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_13095,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_arithmetic_shift(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#/ in k8506 */
static void C_ccall f_13098(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_13098,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_nullp(t3))){
/* library.scm:1871: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=t2;
tp(4,av2);}}
else{
t4=C_slot(t3,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13119,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(t3,C_fix(0));
/* library.scm:1873: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}}

/* k13117 in scheme#/ in k8506 */
static void C_ccall f_13119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_13119,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13121,a[2]=t3,a[3]=((C_word)li384),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_13121(t5,((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* loop in k13117 in scheme#/ in k8506 */
static void C_fcall f_13121(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_13121,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13139,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t7=C_slot(t2,C_fix(0));
/* library.scm:1877: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=t7;
tp(4,av2);}}}

/* k13137 in loop in k13117 in scheme#/ in k8506 */
static void C_ccall f_13139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13139,2,av);}
/* library.scm:1876: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_13121(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* ##sys#/-2 in k8506 */
static void C_ccall f_13149(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_13149,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13153,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,C_fix(0));
if(C_truep(t5)){
t6=C_fix((C_word)C_DIVISION_BY_ZERO_ERROR);
/* library.scm:1884: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t6;
av2[3]=lf[544];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}
else{
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
f_13153(2,av2);}}}

/* k13151 in /-2 in k8506 */
static void C_ccall f_13153(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13153,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13159,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[2];
if(C_truep(C_i_exact_integerp(t3))){
t4=((C_word*)t0)[3];
t5=t2;
f_13159(t5,C_i_exact_integerp(t4));}
else{
t4=t2;
f_13159(t4,C_SCHEME_FALSE);}}

/* k13157 in k13151 in /-2 in k8506 */
static void C_fcall f_13159(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(96,0,4)))){
C_save_and_reclaim_args((void *)trf_13159,2,t0,t1);}
a=C_alloc(96);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=C_s_a_u_i_integer_gcd(&a,2,t2,t3);
t5=((C_word*)t0)[2];
t6=C_s_a_u_i_integer_quotient(&a,2,t5,t4);
t7=((C_word*)t0)[3];
t8=C_s_a_u_i_integer_quotient(&a,2,t7,t4);
/* library.scm:1887: ratnum */
f_12762(((C_word*)t0)[4],t6,t8);}
else{
t2=C_i_cplxnump(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_cplxnump(((C_word*)t0)[3]));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13191,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1890: scheme#real-part */
t5=*((C_word*)lf[505]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=C_i_flonump(((C_word*)t0)[2]);
t5=(C_truep(t4)?t4:C_i_flonump(((C_word*)t0)[3]));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13242,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1898: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[2]))){
if(C_truep(C_i_ratnump(((C_word*)t0)[3]))){
t6=((C_word*)t0)[2];
t7=C_u_i_ratnum_num(t6);
t8=((C_word*)t0)[2];
t9=C_u_i_ratnum_denom(t8);
t10=((C_word*)t0)[3];
t11=C_u_i_ratnum_num(t10);
t12=((C_word*)t0)[3];
t13=C_u_i_ratnum_denom(t12);
t14=C_s_a_u_i_integer_gcd(&a,2,t7,t11);
t15=C_s_a_u_i_integer_gcd(&a,2,t9,t13);
t16=C_s_a_i_quotient(&a,2,t7,t14);
t17=C_s_a_i_quotient(&a,2,t13,t15);
t18=C_s_a_i_times(&a,2,t16,t17);
t19=C_s_a_i_quotient(&a,2,t9,t15);
t20=C_s_a_i_quotient(&a,2,t11,t14);
t21=C_s_a_i_times(&a,2,t19,t20);
/* library.scm:1908: ratnum */
f_12762(((C_word*)t0)[4],t18,t21);}
else{
t6=((C_word*)t0)[2];
t7=C_u_i_ratnum_num(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13313,a[2]=t8,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1914: ##sys#internal-gcd */
f_14930(t9,lf[544],t8,((C_word*)t0)[3]);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[3]))){
t6=((C_word*)t0)[3];
t7=C_u_i_ratnum_num(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13347,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t8,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1925: ##sys#internal-gcd */
f_14930(t9,lf[544],((C_word*)t0)[2],t8);}
else{
t6=C_i_numberp(((C_word*)t0)[2]);
if(C_truep(C_i_not(t6))){
/* library.scm:1931: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[370]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[544];
tp(4,av2);}}
else{
/* library.scm:1932: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[370]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[544];
tp(4,av2);}}}}}}}}

/* k13189 in k13157 in k13151 in /-2 in k8506 */
static void C_ccall f_13191(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13191,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13194,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1890: scheme#imag-part */
t4=*((C_word*)lf[507]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13192 in k13189 in k13157 in k13151 in /-2 in k8506 */
static void C_ccall f_13194(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_13194,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13197,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1891: scheme#real-part */
t4=*((C_word*)lf[505]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13195 in k13192 in k13189 in k13157 in k13151 in /-2 in k8506 */
static void C_ccall f_13197(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_13197,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13200,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1891: scheme#imag-part */
t4=*((C_word*)lf[507]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13198 in k13195 in k13192 in k13189 in k13157 in k13151 in /-2 in k8506 */
static void C_ccall f_13200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(198,c,3)))){
C_save_and_reclaim((void *)f_13200,2,av);}
a=C_alloc(198);
t2=t1;
t3=C_s_a_i_times(&a,2,((C_word*)t0)[2],((C_word*)t0)[2]);
t4=C_s_a_i_times(&a,2,t2,t2);
t5=C_s_a_i_plus(&a,2,t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_13209,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=t5,tmp=(C_word)a,a+=8,tmp);
t7=C_s_a_i_times(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t8=C_s_a_i_times(&a,2,((C_word*)t0)[4],t2);
t9=C_s_a_i_plus(&a,2,t7,t8);
/* library.scm:1893: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t9;
av2[3]=t5;
tp(4,av2);}}

/* k13207 in k13198 in k13195 in k13192 in k13189 in k13157 in k13151 in /-2 in k8506 */
static void C_ccall f_13209(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(99,c,3)))){
C_save_and_reclaim((void *)f_13209,2,av);}
a=C_alloc(99);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13212,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_times(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
t5=C_s_a_i_times(&a,2,((C_word*)t0)[5],((C_word*)t0)[6]);
t6=C_s_a_i_minus(&a,2,t4,t5);
/* library.scm:1894: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t3;
av2[2]=t6;
av2[3]=((C_word*)t0)[7];
tp(4,av2);}}

/* k13210 in k13207 in k13198 in k13195 in k13192 in k13189 in k13157 in k13151 in /-2 in k8506 */
static void C_ccall f_13212(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13212,2,av);}
/* library.scm:1895: make-complex */
f_12589(((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* k13240 in k13157 in k13151 in /-2 in k8506 */
static void C_ccall f_13242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13242,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13246,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1898: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13244 in k13240 in k13157 in k13151 in /-2 in k8506 */
static void C_ccall f_13246(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13246,2,av);}
/* library.scm:1898: chicken.flonum#fp/ */
t2=*((C_word*)lf[437]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k13311 in k13157 in k13151 in /-2 in k8506 */
static void C_ccall f_13313(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(43,c,3)))){
C_save_and_reclaim((void *)f_13313,2,av);}
a=C_alloc(43);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];
t4=C_u_i_ratnum_denom(t3);
t5=((C_word*)t0)[4];
t6=C_s_a_i_quotient(&a,2,t5,t1);
t7=C_s_a_i_times(&a,2,t4,t6);
if(C_truep(C_i_flonump(t7))){
/* library.scm:1918: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}
else{
/* library.scm:1919: ratnum */
f_12762(((C_word*)t0)[5],t2,t7);}}

/* k13345 in k13157 in k13151 in /-2 in k8506 */
static void C_ccall f_13347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(43,c,3)))){
C_save_and_reclaim((void *)f_13347,2,av);}
a=C_alloc(43);
t2=((C_word*)t0)[2];
t3=C_s_a_i_quotient(&a,2,t2,t1);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=C_s_a_i_times(&a,2,t3,t5);
t7=C_s_a_i_quotient(&a,2,((C_word*)t0)[4],t1);
if(C_truep(C_i_flonump(t7))){
/* library.scm:1929: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t6;
av2[3]=t7;
tp(4,av2);}}
else{
/* library.scm:1930: ratnum */
f_12762(((C_word*)t0)[5],t6,t7);}}

/* scheme#floor in k8506 */
static void C_ccall f_13397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13397,3,av);}
a=C_alloc(34);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1937: chicken.flonum#fpfloor */
t4=*((C_word*)lf[459]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(C_truep(C_i_greater_or_equalp(t5,C_fix(0)))?t8:C_s_a_i_minus(&a,2,t8,C_fix(1)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* library.scm:1942: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[546];
tp(4,av2);}}}}}

/* scheme#ceiling in k8506 */
static void C_ccall f_13438(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13438,3,av);}
a=C_alloc(34);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1947: chicken.flonum#fpceiling */
t4=*((C_word*)lf[465]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(C_truep(C_i_greater_or_equalp(t5,C_fix(0)))?C_s_a_i_plus(&a,2,t8,C_fix(1)):t8);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* library.scm:1952: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[548];
tp(4,av2);}}}}}

/* scheme#truncate in k8506 */
static void C_ccall f_13479(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13479,3,av);}
a=C_alloc(5);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1957: chicken.flonum#fptruncate */
t4=*((C_word*)lf[461]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* library.scm:1961: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[550];
tp(4,av2);}}}}}

/* scheme#round in k8506 */
static void C_ccall f_13513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(36,c,3)))){
C_save_and_reclaim((void *)f_13513,3,av);}
a=C_alloc(36);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_flonum_round_proper(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_a_i_ratnum(&a,2,C_fix(1),C_fix(2));
t6=C_s_a_i_plus(&a,2,t4,t5);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13537,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1970: scheme#floor */
t8=*((C_word*)lf[545]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t6;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
/* library.scm:1972: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[552];
tp(4,av2);}}}}}

/* k13535 in scheme#round in k8506 */
static void C_ccall f_13537(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_13537,2,av);}
a=C_alloc(29);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(C_i_nequalp(t1,((C_word*)t0)[3]))?(C_truep(C_i_oddp(t1))?C_s_a_i_minus(&a,2,t1,C_fix(1)):t1):t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* find-ratio-between in k8506 */
static void C_fcall f_13553(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(67,0,4)))){
C_save_and_reclaim_args((void *)trf_13553,3,t1,t2,t3);}
a=C_alloc(67);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13556,a[2]=t5,a[3]=((C_word)li391),tmp=(C_word)a,a+=4,tmp));
t7=t3;
t8=t2;
if(C_truep(C_i_lessp(t7,t8))){
/* library.scm:1985: find-ratio-between */
t20=t1;
t21=t3;
t22=t2;
t1=t20;
t2=t21;
t3=t22;
goto loop;}
else{
t9=t2;
t10=t3;
t11=C_i_lessp(t9,t10);
if(C_truep(C_i_not(t11))){
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=C_a_i_list2(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t12=t2;
if(C_truep(C_i_positivep(t12))){
/* library.scm:1987: sr */
t13=((C_word*)t5)[1];
f_13556(t13,t1,t2,t3);}
else{
t13=t3;
if(C_truep(C_i_negativep(t13))){
t14=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13656,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t15=t3;
t16=C_s_a_i_negate(&a,1,t15);
t17=t2;
t18=C_s_a_i_negate(&a,1,t17);
/* library.scm:1988: sr */
t19=((C_word*)t5)[1];
f_13556(t19,t14,t16,t18);}
else{
t14=t1;{
C_word av2[2];
av2[0]=t14;
av2[1]=lf[554];
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}}}}}

/* sr in find-ratio-between in k8506 */
static void C_fcall f_13556(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_13556,4,t0,t1,t2,t3);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13560,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13625,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1976: scheme#floor */
t6=*((C_word*)lf[545]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k13558 in sr in find-ratio-between in k8506 */
static void C_ccall f_13560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_13560,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_13563,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13621,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1977: scheme#floor */
t5=*((C_word*)lf[545]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13561 in k13558 in sr in find-ratio-between in k8506 */
static void C_ccall f_13563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,3)))){
C_save_and_reclaim((void *)f_13563,2,av);}
a=C_alloc(39);
t2=((C_word*)t0)[2];
t3=C_i_lessp(((C_word*)t0)[3],t2);
if(C_truep(C_i_not(t3))){
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_list2(&a,2,((C_word*)t0)[3],C_fix(1));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_nequalp(((C_word*)t0)[3],t1))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13580,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13598,a[2]=((C_word*)t0)[5],a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t6=((C_word*)t0)[6];
t7=C_s_a_i_minus(&a,2,t6,t1);
/* library.scm:1980: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t5;
av2[2]=C_fix(1);
av2[3]=t7;
tp(4,av2);}}
else{
t4=C_s_a_i_plus(&a,2,C_fix(1),((C_word*)t0)[3]);
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_list2(&a,2,t4,C_fix(1));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k13578 in k13561 in k13558 in sr in find-ratio-between in k8506 */
static void C_ccall f_13580(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(68,c,1)))){
C_save_and_reclaim((void *)f_13580,2,av);}
a=C_alloc(68);
t2=C_i_cadr(t1);
t3=C_u_i_car(t1);
t4=C_s_a_i_times(&a,2,((C_word*)t0)[2],t3);
t5=C_s_a_i_plus(&a,2,t2,t4);
t6=C_u_i_car(t1);
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_list2(&a,2,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* k13596 in k13561 in k13558 in sr in find-ratio-between in k8506 */
static void C_ccall f_13598(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13598,2,av);}
a=C_alloc(34);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13602,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[4];
t5=C_s_a_i_minus(&a,2,t4,((C_word*)t0)[5]);
/* library.scm:1981: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t3;
av2[2]=C_fix(1);
av2[3]=t5;
tp(4,av2);}}

/* k13600 in k13596 in k13561 in k13558 in sr in find-ratio-between in k8506 */
static void C_ccall f_13602(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13602,2,av);}
/* library.scm:1980: sr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_13556(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k13619 in k13558 in sr in find-ratio-between in k8506 */
static void C_ccall f_13621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13621,2,av);}
/* library.scm:1977: scheme#inexact->exact */
t2=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k13623 in sr in find-ratio-between in k8506 */
static void C_ccall f_13625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13625,2,av);}
/* library.scm:1976: scheme#inexact->exact */
t2=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k13654 in find-ratio-between in k8506 */
static void C_ccall f_13656(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(35,c,1)))){
C_save_and_reclaim((void *)f_13656,2,av);}
a=C_alloc(35);
t2=C_i_car(t1);
t3=C_s_a_i_negate(&a,1,t2);
t4=C_i_cadr(t1);
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_list2(&a,2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#rationalize in k8506 */
static void C_ccall f_13689(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(66,c,3)))){
C_save_and_reclaim((void *)f_13689,4,av);}
a=C_alloc(66);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13693,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13712,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=t2;
t7=t3;
t8=C_s_a_i_minus(&a,2,t6,t7);
t9=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:1992: find-ratio-between */
f_13553(t5,t8,t9);}

/* k13691 in scheme#rationalize in k8506 */
static void C_ccall f_13693(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13693,2,av);}
t2=C_i_inexactp(((C_word*)t0)[2]);
if(C_truep(t2)){
if(C_truep(t2)){
/* library.scm:1998: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
if(C_truep(C_i_inexactp(((C_word*)t0)[4]))){
/* library.scm:1998: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* k13710 in scheme#rationalize in k8506 */
static void C_ccall f_13712(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13712,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[526]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* scheme#max in k8506 */
static void C_ccall f_13714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,5)))){
C_save_and_reclaim((void*)f_13714,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_flonump(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13721,a[2]=t6,a[3]=((C_word)li394),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_13721(t8,t1,t4,t2,t3);}

/* loop in scheme#max in k8506 */
static void C_fcall f_13721(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_13721,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=C_i_check_number_2(t3,lf[557]);
if(C_truep(C_i_nullp(t4))){
if(C_truep(t2)){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_a_i_exact_to_inexact(&a,1,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t6=C_slot(t4,C_fix(0));
t7=t2;
t8=(C_truep(t7)?t7:C_i_flonump(t6));
t9=t3;
t10=(C_truep(C_i_greaterp(t6,t9))?t6:t3);
t11=C_slot(t4,C_fix(1));
/* library.scm:2008: loop */
t13=t1;
t14=t8;
t15=t10;
t16=t11;
t1=t13;
t2=t14;
t3=t15;
t4=t16;
goto loop;}}

/* scheme#min in k8506 */
static void C_ccall f_13757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,5)))){
C_save_and_reclaim((void*)f_13757,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_flonump(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13764,a[2]=t6,a[3]=((C_word)li396),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_13764(t8,t1,t4,t2,t3);}

/* loop in scheme#min in k8506 */
static void C_fcall f_13764(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_13764,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=C_i_check_number_2(t3,lf[559]);
if(C_truep(C_i_nullp(t4))){
if(C_truep(t2)){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_a_i_exact_to_inexact(&a,1,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t6=C_slot(t4,C_fix(0));
t7=t2;
t8=(C_truep(t7)?t7:C_i_flonump(t6));
t9=t3;
t10=(C_truep(C_i_lessp(t6,t9))?t6:t3);
t11=C_slot(t4,C_fix(1));
/* library.scm:2019: loop */
t13=t1;
t14=t8;
t15=t10;
t16=t11;
t1=t13;
t2=t14;
t3=t15;
t4=t16;
goto loop;}}

/* scheme#exp in k8506 */
static void C_ccall f_13800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_13800,3,av);}
a=C_alloc(15);
t3=C_i_check_number_2(t2,lf[561]);
if(C_truep(C_i_cplxnump(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13815,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=t2;
t6=C_u_i_cplxnum_real(t5);
/* library.scm:2028: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t4;
av2[2]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_flonum_exp(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13813 in scheme#exp in k8506 */
static void C_ccall f_13815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_13815,2,av);}
a=C_alloc(12);
t2=C_a_i_exp(&a,1,t1);
t3=((C_word*)t0)[2];
t4=C_u_i_cplxnum_imag(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13824,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13829,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2031: scheme#exact->inexact */
t8=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}

/* k13822 in k13813 in scheme#exp in k8506 */
static void C_ccall f_13824(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_13824,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k13827 in k13813 in scheme#exp in k8506 */
static void C_ccall f_13829(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,3)))){
C_save_and_reclaim((void *)f_13829,2,av);}
a=C_alloc(19);
t2=C_a_i_cos(&a,1,t1);
t3=C_a_i_exact_to_inexact(&a,1,((C_word*)t0)[2]);
t4=C_a_i_sin(&a,1,t3);
/* library.scm:2030: make-complex */
f_12589(((C_word*)t0)[3],t2,t4);}

/* ##sys#log-1 in k8506 */
static void C_ccall f_13842(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_13842,3,av);}
a=C_alloc(4);
t3=C_eqp(t2,C_fix(0));
if(C_truep(t3)){
/* library.scm:2038: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[563];
av2[3]=lf[564];
av2[4]=lf[565];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t4=C_i_cplxnump(t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13861,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t4)){
t6=t5;
f_13861(t6,t4);}
else{
t6=t2;
t7=t5;
f_13861(t7,C_i_negativep(t6));}}}

/* k13859 in log-1 in k8506 */
static void C_fcall f_13861(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_13861,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13865,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13878,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2041: scheme#magnitude */
t4=*((C_word*)lf[511]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13882,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2044: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}

/* k13863 in k13859 in log-1 in k8506 */
static void C_ccall f_13865(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13865,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13870,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2042: make-complex */
f_12589(t3,C_fix(0),C_fix(1));}

/* k13868 in k13863 in k13859 in log-1 in k8506 */
static void C_ccall f_13870(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13870,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13874,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2042: scheme#angle */
t4=*((C_word*)lf[509]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13872 in k13868 in k13863 in k13859 in log-1 in k8506 */
static void C_ccall f_13874(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(62,c,1)))){
C_save_and_reclaim((void *)f_13874,2,av);}
a=C_alloc(62);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_plus(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k13876 in k13859 in log-1 in k8506 */
static void C_ccall f_13878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13878,2,av);}
/* library.scm:2041: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[562]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* k13880 in k13859 in log-1 in k8506 */
static void C_ccall f_13882(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_13882,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_log(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#log in k8506 */
static void C_ccall f_13885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_13885,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=t5;
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13899,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2048: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t7;
av2[2]=t2;
tp(3,av2);}}
else{
/* library.scm:2048: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}}

/* k13897 in scheme#log in k8506 */
static void C_ccall f_13899(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13899,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13903,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2048: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k13901 in k13897 in scheme#log in k8506 */
static void C_ccall f_13903(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13903,2,av);}
/* library.scm:2048: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* scheme#sin in k8506 */
static void C_ccall f_13914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(37,c,2)))){
C_save_and_reclaim((void *)f_13914,3,av);}
a=C_alloc(37);
t3=C_i_check_number_2(t2,lf[568]);
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_s_a_i_times(&a,2,lf[569],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13934,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2055: scheme#exp */
t7=*((C_word*)lf[560]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_sin(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13932 in scheme#sin in k8506 */
static void C_ccall f_13934(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_13934,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13938,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_negate(&a,1,((C_word*)t0)[3]);
/* library.scm:2055: scheme#exp */
t5=*((C_word*)lf[560]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13936 in k13932 in scheme#sin in k8506 */
static void C_ccall f_13938(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_13938,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2055: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=lf[570];
tp(4,av2);}}

/* scheme#cos in k8506 */
static void C_ccall f_13944(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(37,c,2)))){
C_save_and_reclaim((void *)f_13944,3,av);}
a=C_alloc(37);
t3=C_i_check_number_2(t2,lf[572]);
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_s_a_i_times(&a,2,lf[569],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13964,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2063: scheme#exp */
t7=*((C_word*)lf[560]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_cos(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13962 in scheme#cos in k8506 */
static void C_ccall f_13964(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_13964,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13968,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_negate(&a,1,((C_word*)t0)[3]);
/* library.scm:2063: scheme#exp */
t5=*((C_word*)lf[560]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13966 in k13962 in scheme#cos in k8506 */
static void C_ccall f_13968(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_13968,2,av);}
a=C_alloc(29);
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2063: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_fix(2);
tp(4,av2);}}

/* scheme#tan in k8506 */
static void C_ccall f_13974(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_13974,3,av);}
a=C_alloc(15);
t3=C_i_check_number_2(t2,lf[574]);
if(C_truep(C_i_cplxnump(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13991,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2070: scheme#sin */
t5=*((C_word*)lf[567]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_tan(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13989 in scheme#tan in k8506 */
static void C_ccall f_13991(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13991,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13995,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2070: scheme#cos */
t4=*((C_word*)lf[571]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13993 in k13989 in scheme#tan in k8506 */
static void C_ccall f_13995(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13995,2,av);}
/* library.scm:2070: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* scheme#asin in k8506 */
static void C_ccall f_13999(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_13999,3,av);}
a=C_alloc(8);
t3=C_i_check_number_2(t2,lf[576]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14009,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14048,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2077: chicken.flonum#fp>= */
t6=*((C_word*)lf[449]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[530];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t5=t4;
f_14009(t5,C_SCHEME_FALSE);}}

/* k14007 in scheme#asin in k8506 */
static void C_fcall f_14009(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_14009,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=C_a_i_asin(&a,1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14015,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t3=C_fixnum_greater_or_equal_p(((C_word*)t0)[2],C_fix(-1));
t4=t2;
f_14015(t4,(C_truep(t3)?C_fixnum_less_or_equal_p(((C_word*)t0)[2],C_fix(1)):C_SCHEME_FALSE));}
else{
t3=t2;
f_14015(t3,C_SCHEME_FALSE);}}}

/* k14013 in k14007 in scheme#asin in k8506 */
static void C_fcall f_14015(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(102,0,3)))){
C_save_and_reclaim_args((void *)trf_14015,2,t0,t1);}
a=C_alloc(102);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_asin(&a,1,C_a_i_fix_to_flo(&a,1,((C_word*)t0)[3]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14020,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[3];
t4=C_s_a_i_times(&a,2,lf[569],t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14028,a[2]=t4,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t6=((C_word*)t0)[3];
t7=((C_word*)t0)[3];
t8=C_s_a_i_times(&a,2,t6,t7);
t9=C_s_a_i_minus(&a,2,C_fix(1),t8);
/* library.scm:2086: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[578]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[578]+1);
av2[1]=t5;
av2[2]=lf[576];
av2[3]=t9;
tp(4,av2);}}}

/* k14018 in k14013 in k14007 in scheme#asin in k8506 */
static void C_ccall f_14020(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_14020,2,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,lf[577],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k14026 in k14013 in k14007 in scheme#asin in k8506 */
static void C_ccall f_14028(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,2)))){
C_save_and_reclaim((void *)f_14028,2,av);}
a=C_alloc(29);
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2084: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[562]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
tp(3,av2);}}

/* k14046 in scheme#asin in k8506 */
static void C_ccall f_14048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_14048,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_flonum_less_or_equal_p(t2,lf[522]);
t4=((C_word*)t0)[3];
f_14009(t4,t3);}
else{
t2=((C_word*)t0)[3];
f_14009(t2,C_SCHEME_FALSE);}}

/* scheme#acos in k8506 */
static void C_ccall f_14052(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_14052,3,av);}
a=C_alloc(9);
t3=C_i_check_number_2(t2,lf[580]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14062,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_flonump(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14088,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2094: chicken.flonum#fp>= */
t6=*((C_word*)lf[449]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[530];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t5=t4;
f_14062(t5,C_SCHEME_FALSE);}}

/* k14060 in scheme#acos in k8506 */
static void C_fcall f_14062(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_14062,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=C_a_i_acos(&a,1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14068,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t3=C_fixnum_greater_or_equal_p(((C_word*)t0)[2],C_fix(-1));
t4=t2;
f_14068(t4,(C_truep(t3)?C_fixnum_less_or_equal_p(((C_word*)t0)[2],C_fix(1)):C_SCHEME_FALSE));}
else{
t3=t2;
f_14068(t3,C_SCHEME_FALSE);}}}

/* k14066 in k14060 in scheme#acos in k8506 */
static void C_fcall f_14068(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_14068,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_acos(&a,1,C_a_i_fix_to_flo(&a,1,((C_word*)t0)[3]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14073,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2101: scheme#asin */
t4=*((C_word*)lf[575]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k14071 in k14066 in k14060 in scheme#acos in k8506 */
static void C_ccall f_14073(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_14073,2,av);}
a=C_alloc(29);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_minus(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k14086 in scheme#acos in k8506 */
static void C_ccall f_14088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_14088,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_flonum_less_or_equal_p(t2,lf[522]);
t4=((C_word*)t0)[3];
f_14062(t4,t3);}
else{
t2=((C_word*)t0)[3];
f_14062(t2,C_SCHEME_FALSE);}}

/* scheme#atan in k8506 */
static void C_ccall f_14092(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +66,c,3)))){
C_save_and_reclaim((void*)f_14092,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+66);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=C_i_check_number_2(t2,lf[582]);
if(C_truep(C_i_cplxnump(t2))){
if(C_truep(t5)){
/* library.scm:2108: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[582];
tp(4,av2);}}
else{
t7=t2;
t8=C_s_a_i_times(&a,2,lf[569],t7);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14121,a[2]=t1,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
t10=C_s_a_i_plus(&a,2,C_fix(1),t8);
/* library.scm:2110: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t9;
av2[2]=t10;
tp(3,av2);}}}
else{
if(C_truep(t5)){
t7=t2;
t8=C_a_i_exact_to_inexact(&a,1,t7);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14140,a[2]=t1,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2114: scheme#exact->inexact */
t10=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}
else{
t7=t2;
t8=C_a_i_exact_to_inexact(&a,1,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_atan(&a,1,t8);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}}

/* k14119 in scheme#atan in k8506 */
static void C_ccall f_14121(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14121,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14125,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_minus(&a,2,C_fix(1),((C_word*)t0)[3]);
/* library.scm:2111: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k14123 in k14119 in scheme#atan in k8506 */
static void C_ccall f_14125(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14125,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2110: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=lf[570];
tp(4,av2);}}

/* k14138 in scheme#atan in k8506 */
static void C_ccall f_14140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14140,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_atan2(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#exact-integer-sqrt in k8506 */
static void C_ccall f_14150(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_14150,3,av);}
a=C_alloc(10);
t3=C_fixnump(t2);
t4=(C_truep(t3)?C_fixnum_less_or_equal_p(t2,C_fix(4)):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=t2;
t6=C_eqp(t5,C_fix(0));
t7=(C_truep(t6)?t6:C_eqp(t5,C_fix(1)));
if(C_truep(t7)){
/* library.scm:2126: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
switch(t5){
case C_fix(2):
/* library.scm:2127: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=C_fix(1);
C_values(4,av2);}
case C_fix(3):
/* library.scm:2128: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=C_fix(2);
C_values(4,av2);}
case C_fix(4):
/* library.scm:2129: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(2);
av2[3]=C_fix(0);
C_values(4,av2);}
default:
/* library.scm:2130: chicken.base#error */
t8=*((C_word*)lf[193]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t1;
av2[2]=lf[584];
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
t5=t2;
t6=C_i_integer_length(t5);
t7=C_fixnum_plus(t6,C_fix(1));
t8=C_fixnum_shift_right(t7,C_fix(2));
t9=t8;
t10=C_fixnum_shift_left(t9,C_fix(1));
t11=t10;
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14223,a[2]=t11,a[3]=t2,a[4]=((C_word)li407),tmp=(C_word)a,a+=5,tmp);
t13=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14237,a[2]=t9,a[3]=t2,a[4]=((C_word)li411),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2131: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t12;
av2[3]=t13;
C_call_with_values(4,av2);}}}

/* a14222 in exact-integer-sqrt in k8506 */
static void C_ccall f_14223(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14223,2,av);}
a=C_alloc(5);
t2=C_fixnum_negate(((C_word*)t0)[2]);
t3=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[3],t2);
/* library.scm:2134: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}

/* a14236 in exact-integer-sqrt in k8506 */
static void C_ccall f_14237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(62,c,4)))){
C_save_and_reclaim((void *)f_14237,4,av);}
a=C_alloc(62);
t4=t2;
t5=t3;
t6=C_s_a_i_arithmetic_shift(&a,2,C_fix(1),((C_word*)t0)[2]);
t7=C_s_a_i_minus(&a,2,t6,C_fix(1));
t8=((C_word*)t0)[3];
t9=C_s_a_i_bitwise_and(&a,2,t8,t7);
t10=t9;
t11=C_fixnum_negate(((C_word*)t0)[2]);
t12=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[3],t11);
t13=C_s_a_i_bitwise_and(&a,2,t12,t7);
t14=t13;
t15=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14255,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t14,a[5]=t4,a[6]=((C_word)li409),tmp=(C_word)a,a+=7,tmp);
t16=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14271,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t10,a[5]=((C_word)li410),tmp=(C_word)a,a+=6,tmp);
/* library.scm:2131: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t15;
av2[3]=t16;
C_call_with_values(4,av2);}}

/* a14254 in a14236 in exact-integer-sqrt in k8506 */
static void C_ccall f_14255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(42,c,3)))){
C_save_and_reclaim((void *)f_14255,2,av);}
a=C_alloc(42);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_u_integer_quotient_and_remainder,a[2]=((C_word)li408),tmp=(C_word)a,a+=3,tmp);
t3=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=C_s_a_i_plus(&a,2,t3,((C_word*)t0)[4]);
t5=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[5],C_fix(1));
/* library.scm:2131: g2595 */
t6=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* a14270 in a14236 in exact-integer-sqrt in k8506 */
static void C_ccall f_14271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(222,c,3)))){
C_save_and_reclaim((void *)f_14271,4,av);}
a=C_alloc(222);
t4=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t5=C_s_a_i_plus(&a,2,t4,t2);
t6=C_s_a_i_arithmetic_shift(&a,2,t3,((C_word*)t0)[3]);
t7=C_s_a_i_times(&a,2,t2,t2);
t8=C_s_a_i_minus(&a,2,((C_word*)t0)[4],t7);
t9=C_s_a_i_plus(&a,2,t6,t8);
if(C_truep(C_i_negativep(t9))){
t10=C_s_a_i_minus(&a,2,t5,C_fix(1));
t11=C_s_a_i_arithmetic_shift(&a,2,t5,C_fix(1));
t12=C_s_a_i_plus(&a,2,t9,t11);
t13=C_s_a_i_minus(&a,2,t12,C_fix(1));
/* library.scm:2145: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t10;
av2[3]=t13;
C_values(4,av2);}}
else{
/* library.scm:2147: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t9;
C_values(4,av2);}}}

/* chicken.base#exact-integer-sqrt in k8506 */
static void C_ccall f_14325(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14325,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14329,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2151: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[586];
tp(4,av2);}}

/* k14327 in chicken.base#exact-integer-sqrt in k8506 */
static void C_ccall f_14329(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14329,2,av);}
/* library.scm:2152: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* ##sys#sqrt/loc in k8506 */
static void C_ccall f_14334(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(32,c,4)))){
C_save_and_reclaim((void *)f_14334,4,av);}
a=C_alloc(32);
if(C_truep(C_i_cplxnump(t3))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14344,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=t3;
t6=C_u_i_cplxnum_imag(t5);
t7=C_a_i_exact_to_inexact(&a,1,t6);
t8=C_u_i_cplxnum_real(t5);
t9=C_a_i_exact_to_inexact(&a,1,t8);
t10=C_a_i_flonum_atan2(&a,2,t7,t9);
/* library.scm:2158: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(2);
tp(4,av2);}}
else{
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14380,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=t3;
t7=C_s_a_i_negate(&a,1,t6);
/* library.scm:2163: scheme#exact->inexact */
t8=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t5;
av2[2]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
t5=t3;
if(C_truep(C_i_exact_integerp(t5))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14391,a[2]=t3,a[3]=((C_word)li414),tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14397,a[2]=t3,a[3]=((C_word)li415),tmp=(C_word)a,a+=4,tmp);
/* library.scm:2165: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t6;
av2[3]=t7;
C_call_with_values(4,av2);}}
else{
if(C_truep(C_i_ratnump(t3))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14419,a[2]=t3,a[3]=((C_word)li416),tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14431,a[2]=t3,a[3]=t2,a[4]=((C_word)li419),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2170: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t6;
av2[3]=t7;
C_call_with_values(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14483,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2178: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}}}}

/* k14342 in sqrt/loc in k8506 */
static void C_ccall f_14344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14344,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14348,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2159: scheme#magnitude */
t4=*((C_word*)lf[511]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14346 in k14342 in sqrt/loc in k8506 */
static void C_ccall f_14348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_14348,2,av);}
a=C_alloc(10);
t2=C_a_i_sqrt(&a,1,t1);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14357,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:2160: scheme#cos */
t5=*((C_word*)lf[571]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k14355 in k14346 in k14342 in sqrt/loc in k8506 */
static void C_ccall f_14357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,2)))){
C_save_and_reclaim((void *)f_14357,2,av);}
a=C_alloc(38);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14363,a[2]=t3,a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2160: scheme#sin */
t5=*((C_word*)lf[567]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k14361 in k14355 in k14346 in k14342 in sqrt/loc in k8506 */
static void C_ccall f_14363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,3)))){
C_save_and_reclaim((void *)f_14363,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2160: make-complex */
f_12589(((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* k14378 in sqrt/loc in k8506 */
static void C_ccall f_14380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14380,2,av);}
a=C_alloc(4);
t2=C_a_i_sqrt(&a,1,t1);
/* library.scm:2162: make-complex */
f_12589(((C_word*)t0)[2],lf[500],t2);}

/* a14390 in sqrt/loc in k8506 */
static void C_ccall f_14391(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14391,2,av);}
/* library.scm:2165: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* a14396 in sqrt/loc in k8506 */
static void C_ccall f_14397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_14397,4,av);}
a=C_alloc(3);
t4=C_eqp(C_fix(0),t3);
if(C_truep(t4)){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14408,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2168: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14406 in a14396 in sqrt/loc in k8506 */
static void C_ccall f_14408(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14408,2,av);}
a=C_alloc(4);
t2=C_a_i_sqrt(&a,1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a14418 in sqrt/loc in k8506 */
static void C_ccall f_14419(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14419,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_num(t2);
/* library.scm:2170: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}

/* a14430 in sqrt/loc in k8506 */
static void C_ccall f_14431(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_14431,4,av);}
a=C_alloc(10);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14443,a[2]=((C_word*)t0)[2],a[3]=((C_word)li417),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14455,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word)li418),tmp=(C_word)a,a+=6,tmp);
/* library.scm:2172: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t6;
C_call_with_values(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14479,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2177: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* a14442 in a14430 in sqrt/loc in k8506 */
static void C_ccall f_14443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14443,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_denom(t2);
/* library.scm:2173: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}

/* a14454 in a14430 in sqrt/loc in k8506 */
static void C_ccall f_14455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14455,4,av);}
a=C_alloc(4);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:2175: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14472,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2176: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14470 in a14454 in a14430 in sqrt/loc in k8506 */
static void C_ccall f_14472(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14472,2,av);}
/* library.scm:2176: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[578]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[578]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k14477 in a14430 in sqrt/loc in k8506 */
static void C_ccall f_14479(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14479,2,av);}
/* library.scm:2177: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[578]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[578]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k14481 in sqrt/loc in k8506 */
static void C_ccall f_14483(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14483,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_sqrt(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#sqrt in k8506 */
static void C_ccall f_14485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14485,3,av);}
/* library.scm:2180: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[578]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[578]+1);
av2[1]=t1;
av2[2]=lf[587];
av2[3]=t2;
tp(4,av2);}}

/* chicken.base#exact-integer-nth-root in k8506 */
static void C_ccall f_14491(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_14491,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14495,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2184: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[590];
tp(4,av2);}}

/* k14493 in chicken.base#exact-integer-nth-root in k8506 */
static void C_ccall f_14495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_14495,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14498,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2185: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[590];
tp(4,av2);}}

/* k14496 in k14493 in chicken.base#exact-integer-nth-root in k8506 */
static void C_ccall f_14498(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14498,2,av);}
/* library.scm:2186: ##sys#exact-integer-nth-root/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[589]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[589]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[590];
av2[3]=((C_word*)t0)[3];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* ##sys#exact-integer-nth-root/loc in k8506 */
static void C_ccall f_14503(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14503,5,av);}
a=C_alloc(5);
t5=C_eqp(C_fix(0),t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14513,a[2]=t1,a[3]=t3,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t5)){
t7=t6;
f_14513(t7,t5);}
else{
t7=C_eqp(C_fix(1),t3);
t8=t6;
f_14513(t8,(C_truep(t7)?t7:C_eqp(C_fix(1),t4)));}}

/* k14511 in exact-integer-nth-root/loc in k8506 */
static void C_fcall f_14513(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,0,3)))){
C_save_and_reclaim_args((void *)trf_14513,2,t0,t1);}
a=C_alloc(29);
if(C_truep(t1)){
/* library.scm:2192: scheme#values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_i_integer_length(t2);
t4=((C_word*)t0)[4];
if(C_truep(C_i_lessp(t3,t4))){
t5=((C_word*)t0)[3];
t6=C_s_a_i_minus(&a,2,t5,C_fix(1));
/* library.scm:2195: scheme#values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(1);
av2[3]=t6;
C_values(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14531,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14587,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14591,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_plus(t3,C_fix(1));
t9=((C_word*)t0)[4];
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t7;
av2[2]=t8;
av2[3]=t9;
tp(4,av2);}}}}

/* k14529 in k14511 in exact-integer-nth-root/loc in k8506 */
static void C_ccall f_14531(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(76,c,3)))){
C_save_and_reclaim((void *)f_14531,2,av);}
a=C_alloc(76);
t2=C_s_a_i_arithmetic_shift(&a,2,C_fix(1),t1);
t3=t2;
t4=((C_word*)t0)[2];
t5=C_s_a_i_minus(&a,2,t4,C_fix(1));
t6=C_s_a_i_times(&a,2,t5,t3);
t7=((C_word*)t0)[3];
t8=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_14550,a[2]=t7,a[3]=t6,a[4]=((C_word*)t0)[2],a[5]=t5,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=t3,tmp=(C_word)a,a+=9,tmp);
/* library.scm:2203: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t8;
av2[2]=t3;
av2[3]=t5;
tp(4,av2);}}

/* k14548 in k14529 in k14511 in exact-integer-nth-root/loc in k8506 */
static void C_ccall f_14550(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(48,c,4)))){
C_save_and_reclaim((void *)f_14550,2,av);}
a=C_alloc(48);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=C_s_a_i_plus(&a,2,((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];
t5=C_s_a_i_quotient(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14553,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=t7,a[6]=((C_word)li423),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_14553(t9,((C_word*)t0)[7],((C_word*)t0)[8],t5);}

/* lp in k14548 in k14529 in k14511 in exact-integer-nth-root/loc in k8506 */
static void C_fcall f_14553(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(41,0,3)))){
C_save_and_reclaim_args((void *)trf_14553,4,t0,t1,t2,t3);}
a=C_alloc(41);
t4=t3;
t5=t2;
if(C_truep(C_i_lessp(t4,t5))){
t6=t3;
t7=C_s_a_i_times(&a,2,((C_word*)t0)[2],t6);
t8=((C_word*)t0)[3];
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_14573,a[2]=t8,a[3]=t7,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2208: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
tp(4,av2);}}
else{
t6=((C_word*)t0)[3];
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14583,a[2]=t6,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2210: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t7;
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}}

/* k14571 in lp in k14548 in k14529 in k14511 in exact-integer-nth-root/loc in k8506 */
static void C_ccall f_14573(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,3)))){
C_save_and_reclaim((void *)f_14573,2,av);}
a=C_alloc(39);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=C_s_a_i_plus(&a,2,((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];
t5=C_s_a_i_quotient(&a,2,t3,t4);
/* library.scm:2206: lp */
t6=((C_word*)((C_word*)t0)[5])[1];
f_14553(t6,((C_word*)t0)[6],((C_word*)t0)[7],t5);}

/* k14581 in lp in k14548 in k14529 in k14511 in exact-integer-nth-root/loc in k8506 */
static void C_ccall f_14583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14583,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2210: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t2;
C_values(4,av2);}}

/* k14585 in k14511 in exact-integer-nth-root/loc in k8506 */
static void C_ccall f_14587(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14587,2,av);}
/* library.scm:2197: scheme#inexact->exact */
t2=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k14589 in k14511 in exact-integer-nth-root/loc in k8506 */
static void C_ccall f_14591(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14591,2,av);}
/* library.scm:2197: scheme#ceiling */
t2=*((C_word*)lf[547]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* ##sys#integer-power in k8506 */
static void C_ccall f_14607(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_14607,4,av);}
a=C_alloc(8);
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14624,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=t3;
t7=C_s_a_u_i_integer_negate(&a,1,t6);
/* library.scm:2215: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14635,a[2]=t6,a[3]=t2,a[4]=((C_word)li425),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_14635(t8,t1,C_fix(1),t3);}}

/* k14622 in integer-power in k8506 */
static void C_ccall f_14624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14624,2,av);}
/* library.scm:2215: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(1);
av2[3]=t1;
tp(4,av2);}}

/* lp in integer-power in k8506 */
static void C_fcall f_14635(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(62,0,3)))){
C_save_and_reclaim_args((void *)trf_14635,4,t0,t1,t2,t3);}
a=C_alloc(62);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=t3;
if(C_truep(C_i_evenp(t5))){
t6=t2;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14655,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=C_s_a_i_arithmetic_shift(&a,2,t3,C_fix(-1));
/* library.scm:2220: lp */
t12=t7;
t13=C_fix(1);
t14=t8;
t1=t12;
t2=t13;
t3=t14;
goto loop;}
else{
t6=t2;
t7=((C_word*)t0)[3];
t8=C_s_a_i_times(&a,2,t6,t7);
t9=t3;
t10=C_s_a_i_minus(&a,2,t9,C_fix(1));
/* library.scm:2222: lp */
t12=t1;
t13=t8;
t14=t10;
t1=t12;
t2=t13;
t3=t14;
goto loop;}}}

/* k14653 in lp in integer-power in k8506 */
static void C_ccall f_14655(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(66,c,1)))){
C_save_and_reclaim((void *)f_14655,2,av);}
a=C_alloc(66);
t2=C_s_a_i_times(&a,2,t1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#expt in k8506 */
static void C_ccall f_14670(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(17,c,4)))){
C_save_and_reclaim((void *)f_14670,4,av);}
a=C_alloc(17);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14673,a[2]=((C_word)li427),tmp=(C_word)a,a+=3,tmp));
t9=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14685,a[2]=((C_word)li428),tmp=(C_word)a,a+=3,tmp));
t10=C_i_numberp(t2);
if(C_truep(C_i_not(t10))){
/* library.scm:2234: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[591];
tp(4,av2);}}
else{
t11=C_i_numberp(t3);
if(C_truep(C_i_not(t11))){
/* library.scm:2235: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=lf[591];
tp(4,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14728,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t5,a[6]=t7,tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_ratnump(t2))){
t13=C_i_inexactp(t3);
t14=t12;
f_14728(t14,C_i_not(t13));}
else{
t13=t12;
f_14728(t13,C_SCHEME_FALSE);}}}}

/* log-expt in scheme#expt in k8506 */
static void C_fcall f_14673(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_14673,3,t1,t2,t3);}
a=C_alloc(4);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14683,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2227: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k14681 in log-expt in scheme#expt in k8506 */
static void C_ccall f_14683(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14683,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2227: scheme#exp */
t3=*((C_word*)lf[560]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* slow-expt in scheme#expt in k8506 */
static void C_fcall f_14685(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,6)))){
C_save_and_reclaim_args((void *)trf_14685,3,t1,t2,t3);}
a=C_alloc(4);
t4=C_eqp(C_fix(0),t2);
if(C_truep(t4)){
/* library.scm:2230: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word av2[7];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[563];
av2[3]=lf[591];
av2[4]=lf[592];
av2[5]=t2;
av2[6]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(7,av2);}}
else{
t5=t3;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14704,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2233: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t6;
av2[2]=t2;
tp(3,av2);}}}

/* k14702 in slow-expt in scheme#expt in k8506 */
static void C_ccall f_14704(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14704,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2233: scheme#exp */
t3=*((C_word*)lf[560]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k14726 in scheme#expt in k8506 */
static void C_fcall f_14728(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_14728,2,t0,t1);}
a=C_alloc(11);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14732,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[3];
t4=C_u_i_ratnum_num(t3);
/* library.scm:2239: scheme#expt */
t5=*((C_word*)lf[531]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t2;
av2[2]=t4;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[4]))){
t2=((C_word*)t0)[3];
if(C_truep(C_i_exact_integerp(t2))){
t3=((C_word*)t0)[3];
if(C_truep(C_i_negativep(t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14771,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2246: scheme#exact->inexact */
t5=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14778,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word)li429),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14790,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word)li430),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2247: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}}
else{
if(C_truep(C_i_flonump(((C_word*)t0)[3]))){
t3=((C_word*)t0)[4];
t4=C_a_i_exact_to_inexact(&a,1,t3);
/* library.scm:2256: log-expt */
f_14673(((C_word*)t0)[2],((C_word*)t0)[3],t4);}
else{
/* library.scm:2257: slow-expt */
f_14685(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);}}}
else{
t2=C_i_cplxnump(((C_word*)t0)[4]);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14834,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t2)){
t4=t3;
f_14834(t4,t2);}
else{
if(C_truep(C_i_cplxnump(((C_word*)t0)[3]))){
t4=((C_word*)t0)[4];
t5=C_i_integerp(t4);
t6=t3;
f_14834(t6,C_i_not(t5));}
else{
t4=t3;
f_14834(t4,C_SCHEME_FALSE);}}}}}

/* k14730 in k14726 in scheme#expt in k8506 */
static void C_ccall f_14732(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,3)))){
C_save_and_reclaim((void *)f_14732,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14736,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=((C_word*)t0)[4];
t7=C_s_a_i_negate(&a,1,t6);
/* library.scm:2240: scheme#expt */
t8=*((C_word*)lf[531]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t8;
av2[1]=t3;
av2[2]=t5;
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* k14734 in k14730 in k14726 in scheme#expt in k8506 */
static void C_ccall f_14736(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_14736,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14769 in k14726 in scheme#expt in k8506 */
static void C_ccall f_14771(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_14771,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];
t3=C_a_i_exact_to_inexact(&a,1,t2);
/* library.scm:2246: log-expt */
f_14673(((C_word*)t0)[4],t1,t3);}

/* a14777 in k14726 in scheme#expt in k8506 */
static void C_ccall f_14778(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14778,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_denom(t2);
/* library.scm:2248: ##sys#exact-integer-nth-root/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[589]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[589]+1);
av2[1]=t1;
av2[2]=lf[591];
av2[3]=((C_word*)t0)[3];
av2[4]=t3;
tp(5,av2);}}

/* a14789 in k14726 in scheme#expt in k8506 */
static void C_ccall f_14790(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14790,4,av);}
a=C_alloc(4);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=((C_word*)t0)[2];
t6=C_u_i_ratnum_num(t5);
/* library.scm:2251: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t6;
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14810,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2253: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14808 in a14789 in k14726 in scheme#expt in k8506 */
static void C_ccall f_14810(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14810,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14814,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2254: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14812 in k14808 in a14789 in k14726 in scheme#expt in k8506 */
static void C_ccall f_14814(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14814,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14832 in k14726 in scheme#expt in k8506 */
static void C_fcall f_14834(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_14834,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:2259: slow-expt */
f_14685(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14843,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_flonump(((C_word*)t0)[5]))){
t3=C_u_i_fpintegerp(((C_word*)t0)[5]);
t4=t2;
f_14843(t4,C_i_not(t3));}
else{
t3=t2;
f_14843(t3,C_SCHEME_FALSE);}}}

/* k14841 in k14832 in k14726 in scheme#expt in k8506 */
static void C_fcall f_14843(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_14843,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
if(C_truep(C_i_negativep(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14854,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2263: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14862,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2265: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}
else{
if(C_truep(C_i_flonump(((C_word*)t0)[2]))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14869,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2267: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t2=C_i_inexactp(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_inexactp(((C_word*)t0)[5]));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14885,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14889,a[2]=t4,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2271: scheme#inexact->exact */
t6=*((C_word*)lf[518]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
/* library.scm:2272: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}}}}

/* k14852 in k14841 in k14832 in k14726 in scheme#expt in k8506 */
static void C_ccall f_14854(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14854,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14858,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2263: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14856 in k14852 in k14841 in k14832 in k14726 in scheme#expt in k8506 */
static void C_ccall f_14858(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14858,2,av);}
/* library.scm:2263: log-expt */
f_14673(((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k14860 in k14841 in k14832 in k14726 in scheme#expt in k8506 */
static void C_ccall f_14862(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14862,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,t1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14867 in k14841 in k14832 in k14726 in scheme#expt in k8506 */
static void C_ccall f_14869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14869,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14883 in k14841 in k14832 in k14726 in scheme#expt in k8506 */
static void C_ccall f_14885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14885,2,av);}
/* library.scm:2271: scheme#exact->inexact */
t2=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k14887 in k14841 in k14832 in k14726 in scheme#expt in k8506 */
static void C_ccall f_14889(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14889,2,av);}
/* library.scm:2271: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* ##sys#internal-gcd in k8506 */
static void C_fcall f_14930(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_14930,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=t3;
if(C_truep(C_i_exact_integerp(t5))){
t6=t4;
if(C_truep(C_i_exact_integerp(t6))){
t7=t1;
t8=t3;
t9=t4;
t10=t7;{
C_word av2[2];
av2[0]=t10;
av2[1]=C_s_a_u_i_integer_gcd(&a,2,t8,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t7=(C_truep(C_i_flonump(t4))?C_u_i_fpintegerp(t4):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14963,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2280: scheme#inexact->exact */
t9=*((C_word*)lf[518]+1);{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}
else{
/* library.scm:2281: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t2;
tp(4,av2);}}}}
else{
t6=(C_truep(C_i_flonump(t3))?C_u_i_fpintegerp(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
if(C_truep(C_i_flonump(t4))){
t7=C_a_i_flonum_gcd(&a,2,t3,t4);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=t4;
if(C_truep(C_i_exact_integerp(t7))){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14992,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2287: scheme#inexact->exact */
t9=*((C_word*)lf[518]+1);{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}
else{
/* library.scm:2288: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t2;
tp(4,av2);}}}}
else{
/* library.scm:2289: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
tp(4,av2);}}}}

/* k14961 in internal-gcd in k8506 */
static void C_ccall f_14963(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14963,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_s_a_u_i_integer_gcd(&a,2,t2,t1);
/* library.scm:2280: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14990 in internal-gcd in k8506 */
static void C_ccall f_14992(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14992,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_s_a_u_i_integer_gcd(&a,2,t1,t2);
/* library.scm:2287: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* ##sys#gcd in k8506 */
static void C_ccall f_15000(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15000,4,av);}
/* library.scm:2291: ##sys#internal-gcd */
f_14930(t1,lf[594],t2,t3);}

/* scheme#gcd in k8506 */
static void C_ccall f_15006(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_15006,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=C_slot(t2,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15026,a[2]=t7,a[3]=((C_word)li434),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_15026(t9,t1,t4,t5);}}

/* loop in scheme#gcd in k8506 */
static void C_fcall f_15026(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_15026,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t3))){
t4=t2;
if(C_truep(C_i_integerp(t4))){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:2300: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[594];
tp(4,av2);}}}
else{
t4=C_slot(t3,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15051,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2302: ##sys#internal-gcd */
f_14930(t5,lf[594],t2,t4);}}

/* k15049 in loop in scheme#gcd in k8506 */
static void C_ccall f_15051(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_15051,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:2302: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_15026(t3,((C_word*)t0)[4],t1,t2);}

/* ##sys#lcm in k8506 */
static void C_ccall f_15057(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_15057,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15061,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2306: ##sys#internal-gcd */
f_14930(t4,lf[597],t2,t3);}

/* k15059 in lcm in k8506 */
static void C_ccall f_15061(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(45,c,1)))){
C_save_and_reclaim((void *)f_15061,2,av);}
a=C_alloc(45);
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=C_s_a_i_times(&a,2,t2,t3);
t5=C_s_a_i_quotient(&a,2,t4,t1);
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#lcm in k8506 */
static void C_ccall f_15068(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_15068,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fix(1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15088,a[2]=t6,a[3]=((C_word)li437),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_15088(t8,t1,t3,t4);}}

/* loop in scheme#lcm in k8506 */
static void C_fcall f_15088(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_15088,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t3))){
t4=t2;
if(C_truep(C_i_integerp(t4))){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:2316: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[597];
tp(4,av2);}}}
else{
t4=C_slot(t3,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15109,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=((C_word*)t0)[2],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:2318: ##sys#internal-gcd */
f_14930(t6,lf[597],t2,t5);}}

/* k15107 in loop in scheme#lcm in k8506 */
static void C_ccall f_15109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,3)))){
C_save_and_reclaim((void *)f_15109,2,av);}
a=C_alloc(38);
t2=((C_word*)t0)[2];
t3=C_s_a_i_times(&a,2,t2,((C_word*)t0)[3]);
t4=C_s_a_i_quotient(&a,2,t3,t1);
t5=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:2319: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_15088(t6,((C_word*)t0)[6],t4,t5);}

/* ##sys#integer->string/recursive in k8506 */
static void C_ccall f_15123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_15123,5,av);}
a=C_alloc(6);
t5=C_fixnum_plus(t4,C_fix(1));
t6=C_fixnum_shift_right(t5,C_fix(1));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15130,a[2]=t2,a[3]=t7,a[4]=t3,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2326: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t8;
av2[2]=t3;
av2[3]=t7;
tp(4,av2);}}

/* k15128 in integer->string/recursive in k8506 */
static void C_ccall f_15130(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_15130,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15135,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li440),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15141,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word)li441),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2325: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a15134 in k15128 in integer->string/recursive in k8506 */
static void C_ccall f_15135(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_15135,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_u_integer_quotient_and_remainder,a[2]=((C_word)li439),tmp=(C_word)a,a+=3,tmp);
/* library.scm:2325: g2780 */
t3=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}

/* a15140 in k15128 in integer->string/recursive in k8506 */
static void C_ccall f_15141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_15141,4,av);}
a=C_alloc(6);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15145,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t6=((C_word*)t0)[3];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=t6;
tp(4,av2);}}

/* k15143 in a15140 in k15128 in integer->string/recursive in k8506 */
static void C_ccall f_15145(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_15145,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15148,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_s_a_i_abs(&a,1,((C_word*)t0)[4]);
t5=((C_word*)t0)[5];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=t5;
tp(4,av2);}}

/* k15146 in k15143 in a15140 in k15128 in integer->string/recursive in k8506 */
static void C_ccall f_15148(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15148,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15155,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_block_size(t2);
t5=C_fixnum_difference(((C_word*)t0)[4],t4);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=C_make_character(48);
tp(4,av2);}}

/* k15153 in k15146 in k15143 in a15140 in k15128 in integer->string/recursive in k8506 */
static void C_ccall f_15155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15155,2,av);}
/* library.scm:2331: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#extended-number->string in k8506 */
static void C_ccall f_15176(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15176,4,av);}
a=C_alloc(5);
if(C_truep(C_i_ratnump(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15190,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=C_u_i_ratnum_num(t5);
t7=t3;
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t6;
av2[3]=t7;
tp(4,av2);}}
else{
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_u_i_cplxnum_real(t4);
t6=t2;
t7=C_u_i_cplxnum_imag(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15231,a[2]=t8,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t10=t3;
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t9;
av2[2]=t5;
av2[3]=t10;
tp(4,av2);}}
else{
/* library.scm:2353: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[606];
tp(4,av2);}}}}

/* k15188 in extended-number->string in k8506 */
static void C_ccall f_15190(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_15190,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15194,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=((C_word*)t0)[4];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=t6;
tp(4,av2);}}

/* k15192 in k15188 in extended-number->string in k8506 */
static void C_ccall f_15194(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15194,2,av);}
/* library.scm:2341: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[602];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k15229 in extended-number->string in k8506 */
static void C_ccall f_15231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15231,2,av);}
a=C_alloc(5);
t2=t1;
t3=(C_truep(C_i_finitep(((C_word*)t0)[2]))?(C_truep(C_i_positivep(((C_word*)t0)[2]))?lf[603]:lf[604]):lf[604]);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15239,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t6=((C_word*)t0)[4];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t6;
tp(4,av2);}}

/* k15237 in k15229 in extended-number->string in k8506 */
static void C_ccall f_15239(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_15239,2,av);}
/* library.scm:2348: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
av2[5]=lf[605];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k15264 in safe-exponent in string->compnum in k8506 */
static void C_ccall f_15266(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(44,c,1)))){
C_save_and_reclaim((void *)f_15266,2,av);}
a=C_alloc(44);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=C_a_i_exact_to_inexact(&a,1,t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k15267 in safe-exponent in string->compnum in k8506 */
static void C_ccall f_15269(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_15269,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_i_integer_length(((C_word*)t0)[2]);
t4=C_i_integer_length(t2);
t5=C_fixnum_difference(t3,t4);
t6=C_fixnum_difference(t5,*((C_word*)lf[425]+1));
t7=t6;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t8)[1],C_fix(0)))){
t9=C_fixnum_negate(((C_word*)t8)[1]);
t10=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],t9);
t11=t10;
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15284,a[2]=t8,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t11,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2372: round-quotient */
f_15345(t12,t11,t2);}
else{
t9=((C_word*)t0)[2];
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15320,a[2]=((C_word*)t0)[3],a[3]=t9,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2379: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t10;
av2[2]=C_fix(10);
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}}

/* k15282 in k15267 in safe-exponent in string->compnum in k8506 */
static void C_ccall f_15284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(44,c,3)))){
C_save_and_reclaim((void *)f_15284,2,av);}
a=C_alloc(44);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15287,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t3)[1];
t6=C_i_integer_length(t5);
t7=*((C_word*)lf[425]+1);
if(C_truep(C_fixnum_greaterp(t6,*((C_word*)lf[425]+1)))){
t8=C_fixnum_plus(C_fix(1),((C_word*)((C_word*)t0)[2])[1]);
t9=C_set_block_item(((C_word*)t0)[2],0,t8);
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15305,a[2]=t3,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t11=C_s_a_i_times(&a,2,((C_word*)t0)[4],C_fix(2));
/* library.scm:2376: round-quotient */
f_15345(t10,((C_word*)t0)[5],t11);}
else{
t8=t4;
f_15287(t8,C_SCHEME_UNDEFINED);}}

/* k15285 in k15282 in k15267 in safe-exponent in string->compnum in k8506 */
static void C_fcall f_15287(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_15287,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15294,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2377: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k15292 in k15285 in k15282 in k15267 in safe-exponent in string->compnum in k8506 */
static void C_ccall f_15294(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_15294,2,av);}
a=C_alloc(6);
t2=((C_word*)((C_word*)t0)[2])[1];
t3=C_a_i_bytevector(&a,1,C_fix(4));
t4=C_i_foreign_flonum_argumentp(t1);
t5=C_i_foreign_fixnum_argumentp(t2);
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=stub2834(t3,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k15303 in k15282 in k15267 in safe-exponent in string->compnum in k8506 */
static void C_ccall f_15305(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_15305,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_15287(t3,t2);}

/* k15318 in k15267 in safe-exponent in string->compnum in k8506 */
static void C_ccall f_15320(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_15320,2,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* round-quotient in k8506 */
static void C_fcall f_15345(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(63,0,3)))){
C_save_and_reclaim_args((void *)trf_15345,3,t1,t2,t3);}
a=C_alloc(63);
t4=t2;
t5=t3;
t6=C_s_a_u_i_integer_quotient(&a,2,t4,t5);
t7=t6;
t8=(C_truep(C_i_evenp(t7))?*((C_word*)lf[73]+1):*((C_word*)lf[75]+1));
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15360,a[2]=t2,a[3]=t3,a[4]=t7,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=t2;
t11=t3;
t12=C_s_a_i_remainder(&a,2,t10,t11);
t13=C_s_a_i_abs(&a,1,t12);
t14=C_s_a_i_times(&a,2,t13,C_fix(2));
t15=t3;
t16=C_s_a_i_abs(&a,1,t15);
/* library.scm:2386: g2847 */
t17=t8;{
C_word av2[4];
av2[0]=t17;
av2[1]=t9;
av2[2]=t14;
av2[3]=t16;
((C_proc)(void*)(*((C_word*)t17+1)))(4,av2);}}

/* k15358 in round-quotient in k8506 */
static void C_ccall f_15360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_15360,2,av);}
a=C_alloc(29);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_i_negativep(t2);
t4=((C_word*)t0)[3];
t5=C_i_negativep(t4);
t6=C_eqp(t3,t5);
if(C_truep(t6)){
t7=C_s_a_i_plus(&a,2,((C_word*)t0)[4],C_fix(1));
t8=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_s_a_i_plus(&a,2,((C_word*)t0)[4],C_fix(-1));
t8=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* ##sys#string->compnum in k8506 */
static void C_fcall f_15383(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(83,0,5)))){
C_save_and_reclaim_args((void *)trf_15383,5,t1,t2,t3,t4,t5);}
a=C_alloc(83);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15386,a[2]=t6,tmp=(C_word)a,a+=3,tmp));
t12=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15396,a[2]=t6,a[3]=((C_word)li445),tmp=(C_word)a,a+=4,tmp));
t13=C_block_size(t3);
t14=t13;
t15=C_fixnum_difference(t2,C_fix(1));
t16=C_fixnum_plus(C_fix(48),t15);
t17=C_make_character(C_unfix(t16));
t18=t17;
t19=C_fixnum_difference(t2,C_fix(11));
t20=C_fixnum_plus(C_fix(97),t19);
t21=C_make_character(C_unfix(t20));
t22=t21;
t23=C_fixnum_difference(t2,C_fix(11));
t24=C_fixnum_plus(C_fix(65),t23);
t25=C_make_character(C_unfix(t24));
t26=t25;
t27=C_SCHEME_FALSE;
t28=(*a=C_VECTOR_TYPE|1,a[1]=t27,tmp=(C_word)a,a+=2,tmp);
t29=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15470,a[2]=t14,a[3]=t3,a[4]=t2,a[5]=t18,a[6]=t22,a[7]=t26,a[8]=((C_word)li447),tmp=(C_word)a,a+=9,tmp);
t30=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15578,a[2]=t14,a[3]=t3,a[4]=((C_word)li449),tmp=(C_word)a,a+=5,tmp);
t31=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15628,a[2]=t3,a[3]=t2,a[4]=t28,a[5]=t8,a[6]=t30,a[7]=t29,a[8]=((C_word)li450),tmp=(C_word)a,a+=9,tmp);
t32=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15684,a[2]=t14,a[3]=t3,a[4]=t8,a[5]=t2,a[6]=t29,a[7]=((C_word)li451),tmp=(C_word)a,a+=8,tmp);
t33=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15745,a[2]=t14,a[3]=t10,a[4]=t32,a[5]=t3,a[6]=t31,a[7]=((C_word)li452),tmp=(C_word)a,a+=8,tmp);
t34=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_15957,a[2]=t8,a[3]=t33,a[4]=t2,a[5]=t14,a[6]=t10,a[7]=t32,a[8]=t28,a[9]=t6,a[10]=t31,a[11]=t3,a[12]=((C_word)li453),tmp=(C_word)a,a+=13,tmp);
t35=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_16300,a[2]=t14,a[3]=t3,a[4]=t34,a[5]=t8,a[6]=((C_word)li454),tmp=(C_word)a,a+=7,tmp);
t36=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_16532,a[2]=t6,a[3]=t1,a[4]=t14,a[5]=t3,a[6]=t4,a[7]=t28,a[8]=t35,tmp=(C_word)a,a+=9,tmp);
/* library.scm:2568: scan-real */
t37=t35;
f_16300(t37,t36,t4);}

/* go-inexact! in string->compnum in k8506 */
static C_word C_fcall f_15386(C_word t0){
C_word tmp;
C_word t1;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
t1=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[609]);
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,lf[610]);
return(t2);}}

/* safe-exponent in string->compnum in k8506 */
static void C_fcall f_15396(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,3)))){
C_save_and_reclaim_args((void *)trf_15396,4,t0,t1,t2,t3);}
a=C_alloc(12);
if(C_truep(t3)){
if(C_truep(C_i_not(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=t3;
if(C_truep(C_i_greaterp(t4,C_fix(10000)))){
t5=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
if(C_truep(t5)){
t6=t2;
if(C_truep(C_i_zerop(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=lf[500];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=t2;
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=(C_truep(C_i_greaterp(t7,lf[500]))?lf[611]:lf[612]);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t5=t3;
t6=C_fixnum_negate(C_fix(10000));
if(C_truep(C_i_lessp(t5,t6))){
t7=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=(C_truep(t7)?lf[500]:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
if(C_truep(t7)){
t8=t1;
t9=t2;
t10=t3;
t11=C_i_negativep(t10);
if(C_truep(C_i_not(t11))){
t12=t9;
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15266,a[2]=t12,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2365: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t13;
av2[2]=C_fix(10);
av2[3]=t10;
tp(4,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15269,a[2]=t9,a[3]=t8,a[4]=t10,tmp=(C_word)a,a+=5,tmp);
t13=C_s_a_i_abs(&a,1,t10);
/* library.scm:2366: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t12;
av2[2]=C_fix(10);
av2[3]=t13;
tp(4,av2);}}}
else{
t8=t2;
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15454,a[2]=t8,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2407: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t9;
av2[2]=C_fix(10);
av2[3]=t3;
tp(4,av2);}}}}}}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k15452 in safe-exponent in string->compnum in k8506 */
static void C_ccall f_15454(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_15454,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scan-digits in string->compnum in k8506 */
static void C_fcall f_15470(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,3)))){
C_save_and_reclaim_args((void *)trf_15470,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15476,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t4,a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word)li446),tmp=(C_word)a,a+=11,tmp));
t6=((C_word*)t4)[1];
f_15476(t6,t1,t2);}

/* lp in scan-digits in string->compnum in k8506 */
static void C_fcall f_15476(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_15476,3,t0,t1,t2);}
a=C_alloc(6);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_a_i_cons(&a,2,t2,C_SCHEME_FALSE):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[4];
t5=t2;
t6=C_subchar(t4,t5);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[5],C_fix(10)))){
t7=C_i_char_greater_or_equal_p(t6,C_make_character(48));
t8=(C_truep(t7)?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[6]):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2431: lp */
t12=t1;
t13=t9;
t1=t12;
t2=t13;
goto loop;}
else{
t9=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t10=t1;{
C_word av2[2];
av2[0]=t10;
av2[1]=(C_truep(t9)?C_a_i_cons(&a,2,t2,t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}
else{
t7=C_i_char_greater_or_equal_p(t6,C_make_character(48));
t8=(C_truep(t7)?C_u_i_char_less_or_equal_p(t6,C_make_character(57)):C_SCHEME_FALSE);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15539,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=t1,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t8)){
t10=t9;
f_15539(t10,t8);}
else{
t10=(C_truep(C_u_i_char_greater_or_equal_p(t6,C_make_character(97)))?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[8]):C_SCHEME_FALSE);
t11=t9;
f_15539(t11,(C_truep(t10)?t10:(C_truep(C_u_i_char_greater_or_equal_p(t6,C_make_character(65)))?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[9]):C_SCHEME_FALSE)));}}}}

/* k15537 in lp in scan-digits in string->compnum in k8506 */
static void C_fcall f_15539(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_15539,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:2436: lp */
t3=((C_word*)((C_word*)t0)[3])[1];
f_15476(t3,((C_word*)t0)[4],t2);}
else{
t2=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[5]);
t3=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t3;
av2[1]=(C_truep(t2)?C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[2]):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan-hashes in string->compnum in k8506 */
static void C_fcall f_15578(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_15578,3,t0,t1,t2);}
a=C_alloc(9);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15584,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word)li448),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_15584(t6,t1,t2);}

/* lp in scan-hashes in string->compnum in k8506 */
static void C_fcall f_15584(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_15584,3,t0,t1,t2);}
a=C_alloc(3);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_a_i_cons(&a,2,t2,C_SCHEME_FALSE):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[4];
t5=t2;
t6=C_subchar(t4,t5);
t7=C_eqp(t6,C_make_character(35));
if(C_truep(t7)){
t8=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2445: lp */
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t8=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=(C_truep(t8)?C_a_i_cons(&a,2,t2,t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}}

/* scan-digits+hashes in string->compnum in k8506 */
static void C_fcall f_15628(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,2)))){
C_save_and_reclaim_args((void *)trf_15628,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15632,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t3,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=t1,a[9]=((C_word*)t0)[6],a[10]=t4,tmp=(C_word)a,a+=11,tmp);
if(C_truep(C_i_not(((C_word*)((C_word*)t0)[4])[1]))){
/* library.scm:2449: scan-digits */
t6=((C_word*)t0)[7];
f_15470(t6,t5,t2);}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_15632(2,av2);}}}

/* k15630 in scan-digits+hashes in string->compnum in k8506 */
static void C_ccall f_15632(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_15632,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15635,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(t2)){
if(C_truep(C_i_cdr(t2))){
t4=C_u_i_cdr(t2);
/* library.scm:2451: scan-hashes */
t5=((C_word*)t0)[9];
f_15578(t5,t3,t4);}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_15635(2,av2);}}}
else{
if(C_truep(((C_word*)t0)[10])){
/* library.scm:2452: scan-hashes */
t4=((C_word*)t0)[9];
f_15578(t4,t3,((C_word*)t0)[3]);}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_15635(2,av2);}}}}

/* k15633 in k15630 in scan-digits+hashes in string->compnum in k8506 */
static void C_ccall f_15635(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_15635,2,av);}
a=C_alloc(8);
t2=(C_truep(t1)?t1:((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_i_car(t2);
t4=C_s_a_i_digits_to_integer(&a,5,((C_word*)t0)[3],((C_word*)t0)[4],t3,((C_word*)t0)[5],((C_word*)t0)[6]);
if(C_truep(t4)){
if(C_truep(t1)){
t5=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_TRUE);
t6=(
  /* library.scm:2460: go-inexact! */
  f_15386(((C_word*)((C_word*)t0)[8])[1])
);
t7=C_u_i_cdr(t2);
t8=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_a_i_cons(&a,2,t4,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_u_i_cdr(t2);
t6=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_cons(&a,2,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t5=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan-exponent in string->compnum in k8506 */
static void C_fcall f_15684(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_15684,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t3=((C_word*)t0)[3];
t4=t2;
t5=C_subchar(t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15699,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t5,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_15699(t8,lf[614]);}
else{
t8=C_eqp(t5,C_make_character(45));
t9=t6;
f_15699(t9,(C_truep(t8)?lf[613]:C_SCHEME_FALSE));}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15697 in scan-exponent in string->compnum in k8506 */
static void C_fcall f_15699(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_15699,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=(C_truep(t2)?C_fixnum_plus(((C_word*)t0)[2],C_fix(1)):((C_word*)t0)[2]);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15708,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=t4,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:2468: scan-digits */
t6=((C_word*)t0)[7];
f_15470(t6,t5,t4);}
else{
t5=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k15706 in k15697 in scan-exponent in string->compnum in k8506 */
static void C_ccall f_15708(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_15708,2,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(
  /* library.scm:2469: go-inexact! */
  f_15386(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_i_car(t1);
t4=C_eqp(((C_word*)t0)[3],lf[613]);
t5=C_s_a_i_digits_to_integer(&a,5,((C_word*)t0)[4],((C_word*)t0)[5],t3,((C_word*)t0)[6],t4);
t6=C_u_i_cdr(t1);
t7=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_cons(&a,2,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t2=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scan-decimal-tail in string->compnum in k8506 */
static void C_fcall f_15745(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_15745,5,t0,t1,t2,t3,t4);}
a=C_alloc(9);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15755,a[2]=t2,a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:2477: scan-digits+hashes */
t6=((C_word*)t0)[6];
f_15628(t6,t5,t2,t3,t4);}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k15753 in scan-decimal-tail in string->compnum in k8506 */
static void C_ccall f_15755(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_15755,2,av);}
a=C_alloc(11);
t2=t1;
t3=(C_truep(t2)?C_i_cdr(t2):((C_word*)t0)[2]);
t4=t3;
t5=((C_word*)t0)[3];
t6=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15764,a[2]=((C_word*)t0)[4],a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[2],a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],tmp=(C_word)a,a+=11,tmp);
if(C_truep(t5)){
t7=t6;
f_15764(t7,t5);}
else{
t7=C_i_not(t4);
t8=t6;
f_15764(t8,(C_truep(t7)?t7:C_fixnum_greaterp(t4,((C_word*)t0)[2])));}}

/* k15762 in k15753 in scan-decimal-tail in string->compnum in k8506 */
static void C_fcall f_15764(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_15764,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15767,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)t0)[3])){
t3=((C_word*)t0)[10];
t4=t2;
f_15767(t4,C_subchar(t3,((C_word*)t0)[3]));}
else{
t3=t2;
f_15767(t3,C_SCHEME_FALSE);}}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k15765 in k15762 in k15753 in scan-decimal-tail in string->compnum in k8506 */
static void C_fcall f_15767(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_15767,2,t0,t1);}
a=C_alloc(10);
t2=C_eqp(t1,C_make_character(101));
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15776,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(t2)){
t4=t3;
f_15776(t4,t2);}
else{
t4=C_eqp(t1,C_make_character(115));
if(C_truep(t4)){
t5=t3;
f_15776(t5,t4);}
else{
t5=C_eqp(t1,C_make_character(102));
if(C_truep(t5)){
t6=t3;
f_15776(t6,t5);}
else{
t6=C_eqp(t1,C_make_character(100));
if(C_truep(t6)){
t7=t3;
f_15776(t7,t6);}
else{
t7=C_eqp(t1,C_make_character(108));
if(C_truep(t7)){
t8=t3;
f_15776(t8,t7);}
else{
t8=C_eqp(t1,C_make_character(69));
if(C_truep(t8)){
t9=t3;
f_15776(t9,t8);}
else{
t9=C_eqp(t1,C_make_character(83));
if(C_truep(t9)){
t10=t3;
f_15776(t10,t9);}
else{
t10=C_eqp(t1,C_make_character(70));
if(C_truep(t10)){
t11=t3;
f_15776(t11,t10);}
else{
t11=C_eqp(t1,C_make_character(68));
t12=t3;
f_15776(t12,(C_truep(t11)?t11:C_eqp(t1,C_make_character(76))));}}}}}}}}}

/* k15774 in k15765 in k15762 in k15753 in scan-decimal-tail in string->compnum in k8506 */
static void C_fcall f_15776(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_15776,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15785,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],tmp=(C_word)a,a+=7,tmp);
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:2485: scan-exponent */
t4=((C_word*)t0)[9];
f_15684(t4,t2,t3);}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}
else{
t2=(C_truep(((C_word*)t0)[3])?((C_word*)t0)[3]:((C_word*)t0)[2]);
t3=(C_truep(((C_word*)t0)[4])?C_fixnum_difference(((C_word*)t0)[7],t2):C_SCHEME_FALSE);
t4=(C_truep(((C_word*)t0)[4])?C_i_car(((C_word*)t0)[4]):C_SCHEME_FALSE);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15850,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2495: safe-exponent */
t6=((C_word*)((C_word*)t0)[6])[1];
f_15396(t6,t5,t4,t3);}}

/* k15783 in k15774 in k15765 in k15762 in k15753 in scan-decimal-tail in string->compnum in k8506 */
static void C_ccall f_15785(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_15785,2,av);}
a=C_alloc(8);
t2=t1;
if(C_truep(t2)){
t3=C_i_car(t2);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15797,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t4,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2487: safe-exponent */
t6=((C_word*)((C_word*)t0)[4])[1];
f_15396(t6,t5,((C_word*)t0)[6],t4);}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15795 in k15783 in k15774 in k15765 in k15762 in k15753 in scan-decimal-tail in string->compnum in k8506 */
static void C_ccall f_15797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_15797,2,av);}
a=C_alloc(7);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15803,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[2])){
t4=C_i_cdr(((C_word*)t0)[2]);
t5=C_fixnum_difference(t4,((C_word*)t0)[6]);
t6=t3;
f_15803(t6,C_fixnum_difference(((C_word*)t0)[7],t5));}
else{
t4=t3;
f_15803(t4,C_SCHEME_FALSE);}}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15801 in k15795 in k15783 in k15774 in k15765 in k15762 in k15753 in scan-decimal-tail in string->compnum in k8506 */
static void C_fcall f_15803(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_15803,2,t0,t1);}
a=C_alloc(5);
t2=(C_truep(((C_word*)t0)[2])?C_i_car(((C_word*)t0)[2]):C_SCHEME_FALSE);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15809,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2490: safe-exponent */
t4=((C_word*)((C_word*)t0)[6])[1];
f_15396(t4,t3,t2,t1);}

/* k15807 in k15801 in k15795 in k15783 in k15774 in k15765 in k15762 in k15753 in scan-decimal-tail in string->compnum in k8506 */
static void C_ccall f_15809(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(32,c,1)))){
C_save_and_reclaim((void *)f_15809,2,av);}
a=C_alloc(32);
if(C_truep(t1)){
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
t3=C_u_i_cdr(((C_word*)t0)[3]);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_u_i_cdr(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[2],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15848 in k15774 in k15765 in k15762 in k15753 in scan-decimal-tail in string->compnum in k8506 */
static void C_ccall f_15850(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(32,c,1)))){
C_save_and_reclaim((void *)f_15850,2,av);}
a=C_alloc(32);
t2=((C_word*)t0)[2];
t3=(C_truep(t2)?t2:C_fix(0));
if(C_truep(t1)){
t4=C_s_a_i_plus(&a,2,t3,t1);
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_cons(&a,2,t4,((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t3,((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scan-ureal in string->compnum in k8506 */
static void C_fcall f_15957(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_15957,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_15964,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],a[13]=((C_word*)t0)[10],a[14]=((C_word*)t0)[11],tmp=(C_word)a,a+=15,tmp);
t5=C_fixnum_plus(t2,C_fix(1));
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[5],t5))){
t6=C_eqp(((C_word*)t0)[4],C_fix(10));
if(C_truep(t6)){
t7=((C_word*)t0)[11];
t8=t2;
t9=C_subchar(t7,t8);
t10=t4;
f_15964(t10,C_eqp(t9,C_make_character(46)));}
else{
t7=t4;
f_15964(t7,C_SCHEME_FALSE);}}
else{
t6=t4;
f_15964(t6,C_SCHEME_FALSE);}}

/* k15962 in scan-ureal in string->compnum in k8506 */
static void C_fcall f_15964(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,4)))){
C_save_and_reclaim_args((void *)trf_15964,2,t0,t1);}
a=C_alloc(14);
if(C_truep(t1)){
t2=(
  /* library.scm:2503: go-inexact! */
  f_15386(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:2504: scan-decimal-tail */
t4=((C_word*)t0)[4];
f_15745(t4,((C_word*)t0)[5],t3,((C_word*)t0)[6],C_SCHEME_FALSE);}
else{
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_15977,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],tmp=(C_word)a,a+=14,tmp);
/* library.scm:2505: scan-digits+hashes */
t3=((C_word*)t0)[13];
f_15628(t3,t2,((C_word*)t0)[3],((C_word*)t0)[6],C_SCHEME_FALSE);}}

/* k15975 in k15962 in scan-ureal in string->compnum in k8506 */
static void C_ccall f_15977(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_15977,2,av);}
a=C_alloc(14);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_15983,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],tmp=(C_word)a,a+=14,tmp);
if(C_truep(C_i_cdr(t2))){
t4=C_u_i_cdr(t2);
t5=((C_word*)t0)[13];
t6=t3;
f_15983(t6,C_subchar(t5,t4));}
else{
t4=t3;
f_15983(t4,C_SCHEME_FALSE);}}
else{
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15981 in k15975 in k15962 in scan-ureal in string->compnum in k8506 */
static void C_fcall f_15983(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,4)))){
C_save_and_reclaim_args((void *)trf_15983,2,t0,t1);}
a=C_alloc(12);
t2=t1;
t3=C_eqp(t2,C_make_character(46));
if(C_truep(t3)){
t4=(
  /* library.scm:2508: go-inexact! */
  f_15386(((C_word*)((C_word*)t0)[2])[1])
);
t5=C_eqp(((C_word*)t0)[3],C_fix(10));
if(C_truep(t5)){
t6=C_u_i_cdr(((C_word*)t0)[4]);
t7=C_fixnum_plus(t6,C_fix(1));
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[5],t7))){
t8=C_u_i_cdr(((C_word*)t0)[4]);
t9=C_fixnum_plus(t8,C_fix(1));
t10=C_u_i_car(((C_word*)t0)[4]);
/* library.scm:2511: scan-decimal-tail */
t11=((C_word*)t0)[6];
f_15745(t11,((C_word*)t0)[7],t9,((C_word*)t0)[8],t10);}
else{
t8=C_u_i_car(((C_word*)t0)[4]);
t9=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_a_i_cons(&a,2,t8,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t6=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t4=C_eqp(t2,C_make_character(101));
t5=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_16035,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[9],a[7]=((C_word*)t0)[10],a[8]=t2,a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],a[11]=((C_word*)t0)[13],tmp=(C_word)a,a+=12,tmp);
if(C_truep(t4)){
t6=t5;
f_16035(t6,t4);}
else{
t6=C_eqp(t2,C_make_character(115));
if(C_truep(t6)){
t7=t5;
f_16035(t7,t6);}
else{
t7=C_eqp(t2,C_make_character(102));
if(C_truep(t7)){
t8=t5;
f_16035(t8,t7);}
else{
t8=C_eqp(t2,C_make_character(100));
if(C_truep(t8)){
t9=t5;
f_16035(t9,t8);}
else{
t9=C_eqp(t2,C_make_character(108));
if(C_truep(t9)){
t10=t5;
f_16035(t10,t9);}
else{
t10=C_eqp(t2,C_make_character(69));
if(C_truep(t10)){
t11=t5;
f_16035(t11,t10);}
else{
t11=C_eqp(t2,C_make_character(83));
if(C_truep(t11)){
t12=t5;
f_16035(t12,t11);}
else{
t12=C_eqp(t2,C_make_character(70));
if(C_truep(t12)){
t13=t5;
f_16035(t13,t12);}
else{
t13=C_eqp(t2,C_make_character(68));
t14=t5;
f_16035(t14,(C_truep(t13)?t13:C_eqp(t2,C_make_character(76))));}}}}}}}}}}

/* k16033 in k15981 in k15975 in k15962 in scan-ureal in string->compnum in k8506 */
static void C_fcall f_16035(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_16035,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=C_eqp(((C_word*)t0)[2],C_fix(10));
if(C_truep(t2)){
t3=C_u_i_cdr(((C_word*)t0)[3]);
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[4],t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16050,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t5=C_u_i_cdr(((C_word*)t0)[3]);
t6=C_fixnum_plus(t5,C_fix(1));
/* library.scm:2517: scan-exponent */
t7=((C_word*)t0)[7];
f_15684(t7,t4,t6);}
else{
t4=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t2=C_eqp(((C_word*)t0)[8],C_make_character(47));
if(C_truep(t2)){
t3=C_set_block_item(((C_word*)t0)[9],0,C_SCHEME_FALSE);
t4=C_u_i_cdr(((C_word*)t0)[3]);
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[4],t4))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16096,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[10],tmp=(C_word)a,a+=5,tmp);
t6=C_u_i_cdr(((C_word*)t0)[3]);
t7=C_fixnum_plus(t6,C_fix(1));
/* library.scm:2524: scan-digits+hashes */
t8=((C_word*)t0)[11];
f_15628(t8,t5,t7,C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* k16048 in k16033 in k15981 in k15975 in k15962 in scan-ureal in string->compnum in k8506 */
static void C_ccall f_16050(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_16050,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16060,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t5=C_i_car(t2);
/* library.scm:2519: safe-exponent */
t6=((C_word*)((C_word*)t0)[4])[1];
f_15396(t6,t4,t3,t5);}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16058 in k16048 in k16033 in k15981 in k15975 in k15962 in scan-ureal in string->compnum in k8506 */
static void C_ccall f_16060(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_16060,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16094 in k16033 in k15981 in k15975 in k15962 in scan-ureal in string->compnum in k8506 */
static void C_ccall f_16096(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_16096,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_i_car(t2);
if(C_truep(t4)){
t5=C_eqp(t4,C_fix(0));
if(C_truep(C_i_not(t5))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16122,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2528: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}
else{
t6=C_eqp(((C_word*)((C_word*)t0)[4])[1],lf[609]);
if(C_truep(C_i_not(t6))){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16133,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2532: chicken.base#signum */
t8=*((C_word*)lf[185]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16120 in k16094 in k16033 in k15981 in k15975 in k15962 in scan-ureal in string->compnum in k8506 */
static void C_ccall f_16122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_16122,2,av);}
a=C_alloc(3);
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k16131 in k16094 in k16033 in k15981 in k15975 in k15962 in scan-ureal in string->compnum in k8506 */
static void C_ccall f_16133(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_16133,2,av);}
a=C_alloc(7);
switch(t1){
case C_fix(-1):
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,lf[612],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_fix(0):
t2=C_a_i_flonum_quotient(&a,2,lf[500],lf[500]);
t3=C_u_i_cdr(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}
case C_fix(1):
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,lf[611],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scan-real in string->compnum in k8506 */
static void C_fcall f_16300(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_16300,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t3=((C_word*)t0)[3];
t4=t2;
t5=C_subchar(t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_16315,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t5,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_16315(t8,lf[614]);}
else{
t8=C_eqp(t5,C_make_character(45));
t9=t6;
f_16315(t9,(C_truep(t8)?lf[613]:C_SCHEME_FALSE));}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16313 in scan-real in string->compnum in k8506 */
static void C_fcall f_16315(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,0,4)))){
C_save_and_reclaim_args((void *)trf_16315,2,t0,t1);}
a=C_alloc(16);
t2=t1;
t3=(C_truep(t2)?C_fixnum_plus(((C_word*)t0)[2],C_fix(1)):((C_word*)t0)[2]);
t4=t3;
if(C_truep(C_fixnum_lessp(t4,((C_word*)t0)[3]))){
t5=((C_word*)t0)[4];
t6=C_subchar(t5,t4);
t7=C_eqp(t6,C_make_character(105));
t8=(C_truep(t7)?t7:C_eqp(t6,C_make_character(73)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16341,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t2)){
t10=C_fixnum_plus(t4,C_fix(1));
t11=C_eqp(t10,((C_word*)t0)[3]);
if(C_truep(t11)){
t12=C_eqp(t2,lf[613]);
t13=t9;
f_16341(t13,(C_truep(t12)?C_a_i_cons(&a,2,C_fix(-1),t4):C_a_i_cons(&a,2,C_fix(1),t4)));}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_16373,a[2]=((C_word*)t0)[7],a[3]=t2,a[4]=t4,a[5]=((C_word*)t0)[3],a[6]=t9,tmp=(C_word)a,a+=7,tmp);
t13=C_fixnum_plus(t4,C_fix(5));
if(C_truep(C_fixnum_less_or_equal_p(t13,((C_word*)t0)[3]))){
t14=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_16410,a[2]=t12,tmp=(C_word)a,a+=3,tmp);
t15=C_fixnum_plus(t4,C_fix(5));
/* library.scm:2551: scheme#substring */
t16=*((C_word*)lf[393]+1);{
C_word av2[5];
av2[0]=t16;
av2[1]=t14;
av2[2]=((C_word*)t0)[4];
av2[3]=t4;
av2[4]=t15;
((C_proc)(void*)(*((C_word*)t16+1)))(5,av2);}}
else{
t14=t12;
f_16373(t14,C_SCHEME_FALSE);}}}
else{
t10=t9;
f_16341(t10,C_SCHEME_FALSE);}}
else{
t9=C_eqp(t6,C_make_character(110));
t10=(C_truep(t9)?t9:C_eqp(t6,C_make_character(78)));
if(C_truep(t10)){
t11=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16434,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t2)){
t12=C_fixnum_plus(t4,C_fix(5));
if(C_truep(C_fixnum_less_or_equal_p(t12,((C_word*)t0)[3]))){
t13=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16484,a[2]=((C_word*)t0)[7],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=t11,tmp=(C_word)a,a+=6,tmp);
t14=C_fixnum_plus(t4,C_fix(5));
/* library.scm:2561: scheme#substring */
t15=*((C_word*)lf[393]+1);{
C_word av2[5];
av2[0]=t15;
av2[1]=t13;
av2[2]=((C_word*)t0)[4];
av2[3]=t4;
av2[4]=t14;
((C_proc)(void*)(*((C_word*)t15+1)))(5,av2);}}
else{
t13=t11;
f_16434(t13,C_SCHEME_FALSE);}}
else{
t12=t11;
f_16434(t12,C_SCHEME_FALSE);}}
else{
t11=C_eqp(t2,lf[613]);
/* library.scm:2567: scan-ureal */
t12=((C_word*)t0)[6];
f_15957(t12,((C_word*)t0)[5],t4,t11);}}}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k16339 in k16313 in scan-real in string->compnum in k8506 */
static void C_fcall f_16341(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16341,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_eqp(((C_word*)t0)[3],lf[613]);
/* library.scm:2557: scan-ureal */
t3=((C_word*)t0)[4];
f_15957(t3,((C_word*)t0)[2],((C_word*)t0)[5],t2);}}

/* k16371 in k16313 in scan-real in string->compnum in k8506 */
static void C_fcall f_16373(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,1)))){
C_save_and_reclaim_args((void *)trf_16373,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(
  /* library.scm:2552: go-inexact! */
  f_15386(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_eqp(((C_word*)t0)[3],lf[613]);
t4=(C_truep(t3)?lf[612]:lf[611]);
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(5));
if(C_truep(C_fixnum_lessp(t5,((C_word*)t0)[5]))){
t6=C_fixnum_plus(((C_word*)t0)[4],C_fix(5));
t7=((C_word*)t0)[6];
f_16341(t7,C_a_i_cons(&a,2,t4,t6));}
else{
t6=((C_word*)t0)[6];
f_16341(t6,C_a_i_cons(&a,2,t4,C_SCHEME_FALSE));}}
else{
t2=((C_word*)t0)[6];
f_16341(t2,C_SCHEME_FALSE);}}

/* k16408 in k16313 in scan-real in string->compnum in k8506 */
static void C_ccall f_16410(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_16410,2,av);}
t2=((C_word*)t0)[2];
f_16373(t2,C_i_string_ci_equal_p(t1,lf[615]));}

/* k16432 in k16313 in scan-real in string->compnum in k8506 */
static void C_fcall f_16434(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16434,2,t0,t1);}
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_eqp(((C_word*)t0)[3],lf[613]);
/* library.scm:2566: scan-ureal */
t3=((C_word*)t0)[4];
f_15957(t3,((C_word*)t0)[2],((C_word*)t0)[5],t2);}}

/* k16482 in k16313 in scan-real in string->compnum in k8506 */
static void C_ccall f_16484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_16484,2,av);}
a=C_alloc(7);
if(C_truep(C_i_string_ci_equal_p(t1,lf[616]))){
t2=(
  /* library.scm:2562: go-inexact! */
  f_15386(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_a_i_flonum_quotient(&a,2,lf[500],lf[500]);
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(5));
if(C_truep(C_fixnum_lessp(t4,((C_word*)t0)[4]))){
t5=C_fixnum_plus(((C_word*)t0)[3],C_fix(5));
t6=((C_word*)t0)[5];
f_16434(t6,C_a_i_cons(&a,2,t3,t5));}
else{
t5=((C_word*)t0)[5];
f_16434(t5,C_a_i_cons(&a,2,t3,C_SCHEME_FALSE));}}
else{
t2=((C_word*)t0)[5];
f_16434(t2,C_SCHEME_FALSE);}}

/* k16530 in string->compnum in k8506 */
static void C_ccall f_16532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_16532,2,av);}
a=C_alloc(13);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16535,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t2)){
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_16554,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_i_cdr(t2))){
t5=C_u_i_cdr(t2);
t6=((C_word*)t0)[5];
t7=t4;
f_16554(t7,C_subchar(t6,t5));}
else{
t5=t4;
f_16554(t5,C_SCHEME_FALSE);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_16535(2,av2);}}}

/* k16533 in k16530 in string->compnum in k8506 */
static void C_ccall f_16535(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_16535,2,av);}
if(C_truep(t1)){
t2=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
if(C_truep(t2)){
/* library.scm:2590: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_i_finitep(t1))?t1:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16552 in k16530 in string->compnum in k8506 */
static void C_fcall f_16554(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_16554,2,t0,t1);}
a=C_alloc(6);
t2=C_eqp(t1,C_SCHEME_FALSE);
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
f_16535(2,av2);}}
else{
t3=C_eqp(t1,C_make_character(105));
t4=(C_truep(t3)?t3:C_eqp(t1,C_make_character(73)));
if(C_truep(t4)){
t5=C_u_i_cdr(((C_word*)t0)[2]);
t6=C_fixnum_plus(t5,C_fix(1));
t7=C_eqp(((C_word*)t0)[4],t6);
if(C_truep(t7)){
t8=((C_word*)t0)[5];
t9=((C_word*)t0)[6];
t10=C_subchar(t8,t9);
t11=C_eqp(t10,C_make_character(43));
if(C_truep(t11)){
if(C_truep(t11)){
t12=C_u_i_car(((C_word*)t0)[2]);
/* library.scm:2574: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[501]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[501]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=C_fix(0);
av2[3]=t12;
tp(4,av2);}}
else{
t12=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t12;
av2[1]=C_SCHEME_FALSE;
f_16535(2,av2);}}}
else{
t12=((C_word*)t0)[5];
t13=((C_word*)t0)[6];
t14=C_subchar(t12,t13);
t15=C_eqp(t14,C_make_character(45));
if(C_truep(t15)){
t16=C_u_i_car(((C_word*)t0)[2]);
/* library.scm:2574: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[501]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[501]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=C_fix(0);
av2[3]=t16;
tp(4,av2);}}
else{
t16=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t16;
av2[1]=C_SCHEME_FALSE;
f_16535(2,av2);}}}}
else{
t8=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
f_16535(2,av2);}}}
else{
t5=C_eqp(t1,C_make_character(43));
t6=(C_truep(t5)?t5:C_eqp(t1,C_make_character(45)));
if(C_truep(t6)){
t7=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_FALSE);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16624,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t9=C_u_i_cdr(((C_word*)t0)[2]);
/* library.scm:2577: scan-real */
t10=((C_word*)t0)[8];
f_16300(t10,t8,t9);}
else{
t7=C_eqp(t1,C_make_character(64));
if(C_truep(t7)){
t8=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_FALSE);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16692,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t10=C_u_i_cdr(((C_word*)t0)[2]);
t11=C_fixnum_plus(t10,C_fix(1));
/* library.scm:2585: scan-real */
t12=((C_word*)t0)[8];
f_16300(t12,t9,t11);}
else{
t8=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
f_16535(2,av2);}}}}}}

/* k16622 in k16552 in k16530 in string->compnum in k8506 */
static void C_ccall f_16624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_16624,2,av);}
a=C_alloc(5);
t2=t1;
if(C_truep(t2)){
if(C_truep(C_i_cdr(t2))){
t3=C_u_i_cdr(t2);
t4=C_fixnum_plus(t3,C_fix(1));
t5=C_eqp(((C_word*)t0)[2],t4);
if(C_truep(t5)){
t6=C_u_i_cdr(t2);
t7=((C_word*)t0)[3];
t8=C_subchar(t7,t6);
t9=C_eqp(t8,C_make_character(105));
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16645,a[2]=((C_word*)t0)[4],a[3]=t2,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t9)){
t11=t10;
f_16645(t11,t9);}
else{
t11=C_u_i_cdr(t2);
t12=((C_word*)t0)[3];
t13=C_subchar(t12,t11);
t14=t10;
f_16645(t14,C_eqp(t13,C_make_character(73)));}}
else{
t6=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_16535(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16535(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16535(2,av2);}}}

/* k16643 in k16622 in k16552 in k16530 in string->compnum in k8506 */
static void C_fcall f_16645(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16645,2,t0,t1);}
if(C_truep(t1)){
t2=C_u_i_car(((C_word*)t0)[2]);
t3=C_u_i_car(((C_word*)t0)[3]);
/* library.scm:2582: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[501]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[501]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_16535(2,av2);}}}

/* k16690 in k16552 in k16530 in string->compnum in k8506 */
static void C_ccall f_16692(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_16692,2,av);}
if(C_truep(t1)){
t2=C_i_cdr(t1);
if(C_truep(C_i_not(t2))){
t3=C_u_i_car(((C_word*)t0)[2]);
t4=C_u_i_car(t1);
/* library.scm:2587: scheme#make-polar */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[503]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[503]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16535(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_16535(2,av2);}}}

/* scheme#string->number in k8506 */
static void C_ccall f_16784(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_16784,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_fix(10):C_i_car(t3));
t6=t5;
t7=C_i_check_string_2(t2,lf[618]);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16794,a[2]=t2,a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnump(t6))){
if(C_truep(C_fixnum_lessp(C_fix(1),t6))){
if(C_truep(C_fixnum_lessp(t6,C_fix(37)))){
t9=t8;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_16794(2,av2);}}
else{
/* library.scm:2599: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[618];
tp(4,av2);}}}
else{
/* library.scm:2599: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[618];
tp(4,av2);}}}
else{
/* library.scm:2599: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[618];
tp(4,av2);}}}

/* k16792 in scheme#string->number in k8506 */
static void C_ccall f_16794(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,6)))){
C_save_and_reclaim((void *)f_16794,2,av);}
a=C_alloc(8);
t2=C_block_size(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16803,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=((C_word)li456),tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_16803(t6,((C_word*)t0)[4],C_fix(0),C_SCHEME_FALSE,C_SCHEME_FALSE,t2);}

/* scan-prefix in k16792 in scheme#string->number in k8506 */
static void C_fcall f_16803(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_16803,6,t0,t1,t2,t3,t4,t5);}
a=C_alloc(10);
t6=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_16810,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=t1,a[7]=t4,a[8]=t5,a[9]=((C_word*)t0)[4],tmp=(C_word)a,a+=10,tmp);
t7=C_fixnum_plus(t2,C_fix(2));
if(C_truep(C_fixnum_lessp(t7,t5))){
t8=((C_word*)t0)[2];
t9=t2;
t10=C_subchar(t8,t9);
t11=t6;
f_16810(t11,C_eqp(t10,C_make_character(35)));}
else{
t8=t6;
f_16810(t8,C_SCHEME_FALSE);}}

/* k16808 in scan-prefix in k16792 in scheme#string->number in k8506 */
static void C_fcall f_16810(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_16810,2,t0,t1);}
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)t0)[3];
t4=C_subchar(t3,t2);
t5=C_eqp(t4,C_make_character(105));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(73)));
if(C_truep(t6)){
if(C_truep(C_i_not(((C_word*)t0)[4]))){
t7=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2606: scan-prefix */
t8=((C_word*)((C_word*)t0)[5])[1];
f_16803(t8,((C_word*)t0)[6],t7,lf[610],((C_word*)t0)[7],((C_word*)t0)[8]);}
else{
t7=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t7=C_eqp(t4,C_make_character(101));
t8=(C_truep(t7)?t7:C_eqp(t4,C_make_character(69)));
if(C_truep(t8)){
if(C_truep(C_i_not(((C_word*)t0)[4]))){
t9=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2607: scan-prefix */
t10=((C_word*)((C_word*)t0)[5])[1];
f_16803(t10,((C_word*)t0)[6],t9,lf[609],((C_word*)t0)[7],((C_word*)t0)[8]);}
else{
t9=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t9=C_eqp(t4,C_make_character(98));
t10=(C_truep(t9)?t9:C_eqp(t4,C_make_character(66)));
if(C_truep(t10)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t11=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2608: scan-prefix */
t12=((C_word*)((C_word*)t0)[5])[1];
f_16803(t12,((C_word*)t0)[6],t11,((C_word*)t0)[4],C_fix(2),((C_word*)t0)[8]);}
else{
t11=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}
else{
t11=C_eqp(t4,C_make_character(111));
t12=(C_truep(t11)?t11:C_eqp(t4,C_make_character(79)));
if(C_truep(t12)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t13=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2609: scan-prefix */
t14=((C_word*)((C_word*)t0)[5])[1];
f_16803(t14,((C_word*)t0)[6],t13,((C_word*)t0)[4],C_fix(8),((C_word*)t0)[8]);}
else{
t13=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t13;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t13+1)))(2,av2);}}}
else{
t13=C_eqp(t4,C_make_character(100));
t14=(C_truep(t13)?t13:C_eqp(t4,C_make_character(68)));
if(C_truep(t14)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t15=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2610: scan-prefix */
t16=((C_word*)((C_word*)t0)[5])[1];
f_16803(t16,((C_word*)t0)[6],t15,((C_word*)t0)[4],C_fix(10),((C_word*)t0)[8]);}
else{
t15=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t15;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t15+1)))(2,av2);}}}
else{
t15=C_eqp(t4,C_make_character(120));
t16=(C_truep(t15)?t15:C_eqp(t4,C_make_character(88)));
if(C_truep(t16)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t17=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2611: scan-prefix */
t18=((C_word*)((C_word*)t0)[5])[1];
f_16803(t18,((C_word*)t0)[6],t17,((C_word*)t0)[4],C_fix(16),((C_word*)t0)[8]);}
else{
t17=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t17;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(2,av2);}}}
else{
t17=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t17;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(2,av2);}}}}}}}}
else{
t2=((C_word*)t0)[7];
if(C_truep(t2)){
/* library.scm:2613: ##sys#string->compnum */
f_15383(((C_word*)t0)[6],t2,((C_word*)t0)[3],((C_word*)t0)[2],((C_word*)t0)[4]);}
else{
/* library.scm:2613: ##sys#string->compnum */
f_15383(((C_word*)t0)[6],((C_word*)t0)[9],((C_word*)t0)[3],((C_word*)t0)[2],((C_word*)t0)[4]);}}}

/* ##sys#string->number in k8506 */
static void C_ccall f_17039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_17039,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_fix(10):C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_FALSE:C_i_car(t7));
if(C_truep(C_i_nullp(t7))){
/* library.scm:2616: ##sys#string->compnum */
f_15383(t1,t5,t2,C_fix(0),t9);}
else{
t10=C_i_cdr(t7);
/* library.scm:2616: ##sys#string->compnum */
f_15383(t1,t5,t2,C_fix(0),t9);}}

/* chicken.base#equal=? in k8506 */
static void C_ccall f_17085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,5)))){
C_save_and_reclaim((void *)f_17085,4,av);}
a=C_alloc(12);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17088,a[2]=t7,a[3]=((C_word)li463),tmp=(C_word)a,a+=4,tmp));
t9=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17156,a[2]=t5,a[3]=((C_word)li464),tmp=(C_word)a,a+=4,tmp));
/* library.scm:2659: walk */
t10=((C_word*)t7)[1];
f_17156(t10,t1,t2,t3);}

/* compare-slots in chicken.base#equal=? in k8506 */
static void C_fcall f_17088(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_17088,5,t0,t1,t2,t3,t4);}
a=C_alloc(10);
t5=C_block_size(t2);
t6=C_block_size(t3);
t7=C_eqp(t5,t6);
if(C_truep(t7)){
t8=C_fixnum_less_or_equal_p(t5,t4);
if(C_truep(t8)){
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fixnum_difference(t5,C_fix(1));
t10=t9;
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_set_block_item(t12,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17115,a[2]=t10,a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[2],a[6]=t12,a[7]=((C_word)li462),tmp=(C_word)a,a+=8,tmp));
t14=((C_word*)t12)[1];
f_17115(t14,t1,t4);}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* loop in compare-slots in chicken.base#equal=? in k8506 */
static void C_fcall f_17115(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_17115,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_slot(((C_word*)t0)[3],t2);
t5=C_slot(((C_word*)t0)[4],t2);
/* library.scm:2633: walk */
t6=((C_word*)((C_word*)t0)[5])[1];
f_17156(t6,t1,t4,t5);}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17139,a[2]=t2,a[3]=((C_word*)t0)[6],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(((C_word*)t0)[3],t2);
t6=C_slot(((C_word*)t0)[4],t2);
/* library.scm:2634: walk */
t7=((C_word*)((C_word*)t0)[5])[1];
f_17156(t7,t4,t5,t6);}}

/* k17137 in loop in compare-slots in chicken.base#equal=? in k8506 */
static void C_ccall f_17139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17139,2,av);}
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:2635: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_17115(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* walk in chicken.base#equal=? in k8506 */
static void C_fcall f_17156(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_17156,4,t0,t1,t2,t3);}
t4=C_eqp(t2,t3);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
if(C_truep(C_i_numberp(t3))){
t5=t2;
t6=t3;
t7=C_i_nequalp(t5,t6);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t5=C_blockp(t2);
if(C_truep(C_i_not(t5))){
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_blockp(t3);
if(C_truep(C_i_not(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_sametypep(t2,t3);
if(C_truep(C_i_not(t7))){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
if(C_truep(C_specialp(t2))){
if(C_truep(C_specialp(t3))){
if(C_truep(C_closurep(t2))){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=shallow_equal(t2,t3);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
/* library.scm:2649: compare-slots */
t8=((C_word*)((C_word*)t0)[2])[1];
f_17088(t8,t1,t2,t3,C_fix(1));}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
if(C_truep(C_byteblockp(t2))){
if(C_truep(C_byteblockp(t3))){
t8=C_block_size(t2);
t9=C_block_size(t3);
t10=C_eqp(t8,t9);
if(C_truep(t10)){
t11=C_substring_compare(t2,t3,C_fix(0),C_fix(0),t8);
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t8=C_block_size(t2);
t9=C_block_size(t3);
t10=C_eqp(t8,t9);
if(C_truep(t10)){
/* library.scm:2658: compare-slots */
t11=((C_word*)((C_word*)t0)[2])[1];
f_17088(t11,t1,t2,t3,C_fix(0));}
else{
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}}}}}}}}

/* ##sys#interned-symbol? in k8506 */
static void C_ccall f_17255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17255,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_lookup_symbol(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#string->symbol in k8506 */
static void C_ccall f_17258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17258,3,av);}
t3=C_i_check_string(t2);
/* library.scm:2670: ##sys#intern-symbol */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
C_string_to_symbol(3,av2);}}

/* split in k8506 */
static C_word C_fcall f_17267(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_stack_overflow_check;{}
t3=C_subbyte(t1,C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
if(C_truep(C_fixnum_lessp(t3,t2))){
t4=C_fixnum_less_or_equal_p(t3,C_fix(31));
return((C_truep(t4)?C_fixnum_plus(t3,C_fix(1)):C_SCHEME_FALSE));}
else{
return(C_SCHEME_FALSE);}}
else{
return(C_SCHEME_FALSE);}}

/* ##sys#symbol->string in k8506 */
static void C_ccall f_17294(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_17294,3,av);}
t3=C_slot(t2,C_fix(1));
t4=C_block_size(t3);
t5=(
  /* library.scm:2689: split */
  f_17267(t3,t4)
);
if(C_truep(t5)){
/* library.scm:2690: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t5;
av2[4]=t4;
tp(5,av2);}}
else{
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#symbol->qualified-string in k8506 */
static void C_ccall f_17312(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_17312,3,av);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(1));
t4=t3;
t5=C_block_size(t4);
t6=t5;
t7=(
  /* library.scm:2696: split */
  f_17267(t4,t6)
);
t8=t7;
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17332,a[2]=t1,a[3]=t4,a[4]=t8,a[5]=t6,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2698: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(1);
av2[4]=t8;
tp(5,av2);}}
else{
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* k17330 in symbol->qualified-string in k8506 */
static void C_ccall f_17332(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_17332,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17336,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2698: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}

/* k17334 in k17330 in symbol->qualified-string in k8506 */
static void C_ccall f_17336(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17336,2,av);}
/* library.scm:2698: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[631];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[632];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#qualified-symbol-prefix in k8506 */
static void C_ccall f_17338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_17338,3,av);}
t3=C_slot(t2,C_fix(1));
t4=C_block_size(t3);
t5=(
  /* library.scm:2705: split */
  f_17267(t3,t4)
);
if(C_truep(t5)){
/* library.scm:2706: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t5;
tp(5,av2);}}
else{
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#qualified-symbol? in k8506 */
static void C_ccall f_17356(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17356,3,av);}
t3=C_slot(t2,C_fix(1));
t4=C_block_size(t3);
if(C_truep(C_fixnum_greaterp(t4,C_fix(0)))){
t5=C_subbyte(t3,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_fixnum_less_or_equal_p(t5,C_fix(31));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#string->qualified-symbol in k8506 */
static void C_ccall f_17379(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_17379,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17387,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(t2)){
/* library.scm:2717: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}
else{
t5=t3;
/* library.scm:2715: ##sys#string->symbol */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[628]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[628]+1);
av2[1]=t1;
av2[2]=t5;
tp(3,av2);}}}

/* k17385 in string->qualified-symbol in k8506 */
static void C_ccall f_17387(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17387,2,av);}
/* library.scm:2715: ##sys#string->symbol */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[628]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[628]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* scheme#symbol->string in k8506 */
static void C_ccall f_17392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17392,3,av);}
a=C_alloc(3);
t3=C_i_check_symbol_2(t2,lf[637]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17403,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2723: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}

/* k17401 in scheme#symbol->string in k8506 */
static void C_ccall f_17403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17403,2,av);}
/* library.scm:2723: scheme#string-copy */
t2=*((C_word*)lf[391]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* scheme#string->symbol in k8506 */
static void C_ccall f_17405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17405,3,av);}
a=C_alloc(3);
t3=C_i_check_string_2(t2,lf[639]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17416,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2729: string-copy */
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k17414 in scheme#string->symbol in k8506 */
static void C_ccall f_17416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17416,2,av);}
/* library.scm:2729: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* chicken.base#string->uninterned-symbol in k8506 */
static void C_ccall f_17418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_17418,3,av);}
a=C_alloc(7);
t3=C_i_check_string_2(t2,lf[641]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_symbol,a[2]=((C_word)li477),tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17429,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2735: string-copy */
t6=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k17427 in chicken.base#string->uninterned-symbol in k8506 */
static void C_ccall f_17429(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17429,2,av);}
/* library.scm:2733: g3387 */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* chicken.base#gensym in k8506 */
static void C_ccall f_17431(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +15,c,5)))){
C_save_and_reclaim((void*)f_17431,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+15);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t4=C_set_block_item(((C_word*)t0)[2],0,t3);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_symbol,a[2]=((C_word)li479),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17448,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17452,a[2]=t6,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t8=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t8)){
t9=t7;{
C_word *av2=av;
av2[0]=t9;
av2[1]=lf[643];
f_17452(2,av2);}}
else{
t9=C_i_car(t2);
t10=t9;
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17465,a[2]=t7,a[3]=t10,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_blockp(t10))){
if(C_truep(C_stringp(t10))){
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=t10;
f_17465(2,av2);}}
else{
if(C_truep(C_symbolp(t10))){
/* library.scm:2749: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t11;
av2[2]=t10;
tp(3,av2);}}
else{
/* library.scm:2740: ##sys#signal-hook */
t12=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t12;
av2[1]=t11;
av2[2]=lf[257];
av2[3]=lf[644];
av2[4]=lf[645];
av2[5]=t10;
((C_proc)(void*)(*((C_word*)t12+1)))(6,av2);}}}}
else{
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_FALSE;
f_17465(2,av2);}}}}

/* k17446 in chicken.base#gensym in k8506 */
static void C_ccall f_17448(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17448,2,av);}
/* library.scm:2740: g3394 */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k17450 in chicken.base#gensym in k8506 */
static void C_ccall f_17452(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_17452,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17456,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2752: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}

/* k17454 in k17450 in chicken.base#gensym in k8506 */
static void C_ccall f_17456(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_17456,2,av);}
/* library.scm:2743: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k17463 in chicken.base#gensym in k8506 */
static void C_ccall f_17465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17465,2,av);}
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
f_17452(2,av2);}}
else{
/* library.scm:2740: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[257];
av2[3]=lf[644];
av2[4]=lf[645];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.base#symbol-append in k8506 */
static void C_ccall f_17485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +20,c,3)))){
C_save_and_reclaim((void*)f_17485,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+20);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17493,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t5=t4;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)t6)[1];
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17508,a[2]=t3,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17510,a[2]=t6,a[3]=t10,a[4]=t7,a[5]=((C_word)li481),tmp=(C_word)a,a+=6,tmp));
t12=((C_word*)t10)[1];
f_17510(t12,t8,t2);}

/* k17491 in chicken.base#symbol-append in k8506 */
static void C_ccall f_17493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17493,2,av);}
/* library.scm:2757: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k17506 in chicken.base#symbol-append in k8506 */
static void C_ccall f_17508(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_17508,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop3410 in chicken.base#symbol-append in k8506 */
static void C_fcall f_17510(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_17510,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17535,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
t5=C_i_check_symbol_2(t4,lf[647]);
/* library.scm:2762: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k17533 in map-loop3410 in chicken.base#symbol-append in k8506 */
static void C_ccall f_17535(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17535,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_17510(t6,((C_word*)t0)[5],t5);}

/* chicken.keyword#keyword? in k8506 */
static void C_ccall f_17544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17544,3,av);}
if(C_truep(C_i_symbolp(t2))){
t3=C_u_i_keywordp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.keyword#string->keyword in k8506 */
static void C_ccall f_17553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17553,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[651]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17564,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=C_a_i_string(&a,1,C_make_character(0));
/* library.scm:2780: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t4;
av2[2]=t5;
av2[3]=t2;
tp(4,av2);}}

/* k17562 in chicken.keyword#string->keyword in k8506 */
static void C_ccall f_17564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17564,2,av);}
/* library.scm:2780: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* chicken.keyword#keyword->string in k8506 */
static void C_ccall f_17574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_17574,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17581,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2785: keyword? */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k17579 in chicken.keyword#keyword->string in k8506 */
static void C_ccall f_17581(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17581,2,av);}
if(C_truep(t1)){
/* library.scm:2786: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:2787: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[257];
av2[3]=lf[653];
av2[4]=lf[654];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.keyword#get-keyword in k8506 */
static void C_ccall f_17592(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_17592,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_list_2(t3,lf[657]);
t8=C_i_get_keyword(t2,t3,((C_word*)t0)[2]);
t9=C_eqp(t8,((C_word*)t0)[2]);
if(C_truep(t9)){
if(C_truep(t6)){
/* library.scm:2795: thunk */
t10=t6;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t10))(2,av2);}}
else{
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}
else{
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* ##sys#make-blob in k8506 */
static void C_ccall f_17620(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_17620,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17624,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2811: ##sys#allocate-vector */
t4=*((C_word*)lf[315]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
av2[5]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}

/* k17622 in make-blob in k8506 */
static void C_ccall f_17624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17624,2,av);}
t2=C_string_to_bytevector(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#make-blob in k8506 */
static void C_ccall f_17626(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17626,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17630,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2816: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[662];
tp(4,av2);}}

/* k17628 in chicken.blob#make-blob in k8506 */
static void C_ccall f_17630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17630,2,av);}
/* library.scm:2817: ##sys#make-blob */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[660]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[660]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* chicken.blob#blob? in k8506 */
static void C_ccall f_17635(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17635,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_bytevectorp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.blob#blob-size in k8506 */
static void C_ccall f_17641(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17641,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17645,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2824: ##sys#check-blob */
t4=*((C_word*)lf[341]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[665];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k17643 in chicken.blob#blob-size in k8506 */
static void C_ccall f_17645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17645,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_block_size(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.blob#string->blob in k8506 */
static void C_ccall f_17650(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_17650,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[667]);
t4=C_block_size(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17660,a[2]=t2,a[3]=t5,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2830: ##sys#make-blob */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[660]);
C_word *av2=av;
av2[0]=*((C_word*)lf[660]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k17658 in chicken.blob#string->blob in k8506 */
static void C_ccall f_17660(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17660,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#blob->string in k8506 */
static void C_ccall f_17662(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17662,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17666,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2835: ##sys#check-blob */
t4=*((C_word*)lf[341]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[669];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k17664 in chicken.blob#blob->string in k8506 */
static void C_ccall f_17666(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_17666,2,av);}
a=C_alloc(5);
t2=C_block_size(((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17672,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2837: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k17670 in k17664 in chicken.blob#blob->string in k8506 */
static void C_ccall f_17672(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17672,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#blob=? in k8506 */
static void C_ccall f_17674(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17674,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17678,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2842: ##sys#check-blob */
t5=*((C_word*)lf[341]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[671];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k17676 in chicken.blob#blob=? in k8506 */
static void C_ccall f_17678(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17678,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17681,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2843: ##sys#check-blob */
t3=*((C_word*)lf[341]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[671];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k17679 in k17676 in chicken.blob#blob=? in k8506 */
static void C_ccall f_17681(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17681,2,av);}
t2=C_block_size(((C_word*)t0)[2]);
t3=C_block_size(((C_word*)t0)[3]);
t4=C_eqp(t3,t2);
if(C_truep(t4)){
t5=C_string_compare(((C_word*)t0)[2],((C_word*)t0)[3],t2);
t6=C_i_zerop(t5);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#make-vector in k8506 */
static void C_ccall f_17697(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_17697,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17701,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2855: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[672];
tp(4,av2);}}

/* k17699 in scheme#make-vector in k8506 */
static void C_ccall f_17701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_17701,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17704,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[4],C_fix(0)))){
/* library.scm:2856: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[672];
av2[3]=lf[673];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_17704(2,av2);}}}

/* k17702 in k17699 in scheme#make-vector in k8506 */
static void C_ccall f_17704(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17704,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
/* library.scm:2857: ##sys#allocate-vector */
t3=*((C_word*)lf[315]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[2]);
/* library.scm:2857: ##sys#allocate-vector */
t3=*((C_word*)lf[315]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* scheme#list->vector in k8506 */
static void C_ccall f_17726(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17726,3,av);}
a=C_alloc(4);
t3=C_i_listp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:2869: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[675];
tp(4,av2);}}
else{
t4=C_i_length(t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17742,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2871: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[674]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[674]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}}

/* k17740 in scheme#list->vector in k8506 */
static void C_ccall f_17742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17742,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17747,a[2]=t2,a[3]=((C_word)li495),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_17747(t3,((C_word*)t0)[3],C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k17740 in scheme#list->vector in k8506 */
static C_word C_fcall f_17747(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_nullp(t1))){
return(((C_word*)t0)[2]);}
else{
t3=C_slot(t1,C_fix(0));
t4=C_i_setslot(((C_word*)t0)[2],t2,t3);
t5=C_slot(t1,C_fix(1));
t6=C_fixnum_plus(t2,C_fix(1));
t8=t5;
t9=t6;
t1=t8;
t2=t9;
goto loop;}}

/* scheme#vector->list in k8506 */
static void C_ccall f_17778(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_17778,3,av);}
a=C_alloc(8);
t3=C_i_check_vector_2(t2,lf[676]);
t4=C_block_size(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17787,a[2]=t4,a[3]=t2,a[4]=t6,a[5]=((C_word)li497),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_17787(t8,t1,C_fix(0));}

/* loop in scheme#vector->list in k8506 */
static void C_fcall f_17787(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_17787,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(((C_word*)t0)[3],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17805,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2888: loop */
t8=t5;
t9=t6;
t1=t8;
t2=t9;
goto loop;}}

/* k17803 in loop in scheme#vector->list in k8506 */
static void C_ccall f_17805(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_17805,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#vector in k8506 */
static void C_ccall f_17811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_17811,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
/* library.scm:2890: scheme#list->vector */
t3=*((C_word*)lf[94]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* scheme#vector-fill! in k8506 */
static void C_ccall f_17817(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17817,4,av);}
a=C_alloc(6);
t4=C_i_check_vector_2(t2,lf[677]);
t5=C_block_size(t2);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17826,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li500),tmp=(C_word)a,a+=6,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(
  f_17826(t6,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* doloop3547 in scheme#vector-fill! in k8506 */
static C_word C_fcall f_17826(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_i_setslot(((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_fixnum_plus(t1,C_fix(1));
t5=t3;
t1=t5;
goto loop;}}

/* chicken.base#vector-copy! in k8506 */
static void C_ccall f_17845(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +7,c,2)))){
C_save_and_reclaim((void*)f_17845,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+7);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
t5=C_i_check_vector_2(t2,lf[678]);
t6=C_i_check_vector_2(t3,lf[678]);
t7=C_block_size(t2);
t8=t7;
t9=C_block_size(t3);
t10=t9;
t11=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_17861,a[2]=t2,a[3]=t3,a[4]=t1,a[5]=t10,a[6]=t8,tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_pairp(t4))){
t12=t4;
t13=t11;
f_17861(t13,C_u_i_car(t12));}
else{
t12=t11;
f_17861(t12,C_i_fixnum_min(t10,t8));}}

/* k17859 in chicken.base#vector-copy! in k8506 */
static void C_fcall f_17861(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_17861,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17864,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:2907: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[678];
tp(4,av2);}}

/* k17862 in k17859 in chicken.base#vector-copy! in k8506 */
static void C_ccall f_17864(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,7)))){
C_save_and_reclaim((void *)f_17864,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17867,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[6]);
t4=(C_truep(t3)?t3:C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[7]));
if(C_truep(t4)){
/* library.scm:2909: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 8) {
  av2=av;
} else {
  av2=C_alloc(8);
}
av2[0]=t5;
av2[1]=t2;
av2[2]=lf[379];
av2[3]=lf[678];
av2[4]=lf[679];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(8,av2);}}
else{
t5=t2;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_17867(2,av2);}}}

/* k17865 in k17862 in k17859 in chicken.base#vector-copy! in k8506 */
static void C_ccall f_17867(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17867,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17872,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li502),tmp=(C_word)a,a+=6,tmp);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(
  f_17872(t2,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop3559 in k17865 in k17862 in k17859 in chicken.base#vector-copy! in k8506 */
static C_word C_fcall f_17872(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_slot(((C_word*)t0)[3],t1);
t3=C_i_setslot(((C_word*)t0)[4],t1,t2);
t4=C_fixnum_plus(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}}

/* chicken.base#subvector in k8506 */
static void C_ccall f_17914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +8,c,5)))){
C_save_and_reclaim((void*)f_17914,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+8);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_vector_2(t2,lf[680]);
t8=C_block_size(t2);
t9=t8;
t10=(C_truep(t6)?t6:t9);
t11=t10;
t12=C_fixnum_difference(t11,t3);
t13=t12;
t14=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17933,a[2]=t13,a[3]=t3,a[4]=t2,a[5]=t1,a[6]=t9,a[7]=t11,tmp=(C_word)a,a+=8,tmp);
t15=C_fixnum_plus(t9,C_fix(1));
/* library.scm:2922: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t14;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t15;
av2[5]=lf[680];
tp(6,av2);}}

/* k17931 in chicken.base#subvector in k8506 */
static void C_ccall f_17933(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_17933,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17936,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_fixnum_plus(((C_word*)t0)[6],C_fix(1));
/* library.scm:2923: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(0);
av2[4]=t3;
av2[5]=lf[680];
tp(6,av2);}}

/* k17934 in k17931 in chicken.base#subvector in k8506 */
static void C_ccall f_17936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17936,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17939,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:2924: scheme#make-vector */
t3=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k17937 in k17934 in k17931 in chicken.base#subvector in k8506 */
static void C_ccall f_17939(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_17939,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_17944,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word)li504),tmp=(C_word)a,a+=7,tmp);
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_17944(t3,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop3590 in k17937 in k17934 in k17931 in chicken.base#subvector in k8506 */
static C_word C_fcall f_17944(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t2=C_fixnum_plus(t1,((C_word*)t0)[4]);
t3=C_slot(((C_word*)t0)[5],t2);
t4=C_i_setslot(((C_word*)t0)[3],t1,t3);
t5=C_fixnum_plus(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}}

/* chicken.base#vector-resize in k8506 */
static void C_ccall f_17985(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_17985,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=t6;
t8=C_i_check_vector_2(t2,lf[681]);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17995,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t7,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2932: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=lf[681];
tp(4,av2);}}

/* k17993 in chicken.base#vector-resize in k8506 */
static void C_ccall f_17995(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_17995,2,av);}
/* library.scm:2933: ##sys#vector-resize */
f_18006(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* ##sys#vector-resize in k8506 */
static void C_fcall f_18006(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18006,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18010,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2936: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[674]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[674]+1);
av2[1]=t5;
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}

/* k18008 in vector-resize in k8506 */
static void C_ccall f_18010(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_18010,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18013,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_block_size(((C_word*)t0)[2]);
/* library.scm:2937: scheme#min */
t5=*((C_word*)lf[558]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k18011 in k18008 in vector-resize in k8506 */
static void C_ccall f_18013(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_18013,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18018,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li507),tmp=(C_word)a,a+=6,tmp);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_18018(t3,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop3618 in k18011 in k18008 in vector-resize in k8506 */
static C_word C_fcall f_18018(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t2=C_slot(((C_word*)t0)[4],t1);
t3=C_i_setslot(((C_word*)t0)[3],t1,t2);
t4=C_fixnum_plus(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}}

/* scheme#char-ci=? in k8506 */
static void C_ccall f_18045(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18045,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_eqp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci>? in k8506 */
static void C_ccall f_18059(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18059,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_greaterp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci<? in k8506 */
static void C_ccall f_18070(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18070,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_lessp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci>=? in k8506 */
static void C_ccall f_18081(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18081,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_greater_or_equal_p(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci<=? in k8506 */
static void C_ccall f_18092(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18092,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_less_or_equal_p(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k18103 in k8506 */
static void C_ccall f_18105(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_18105,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_SCHEME_END_OF_LIST;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18107,a[2]=t2,a[3]=((C_word)li515),tmp=(C_word)a,a+=4,tmp);
t6=C_mutate((C_word*)lf[198]+1 /* (set! chicken.base#char-name ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18148,a[2]=t5,a[3]=t4,a[4]=t2,a[5]=((C_word)li516),tmp=(C_word)a,a+=6,tmp));
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18265,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3006: chicken.base#char-name */
t8=*((C_word*)lf[198]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=lf[1402];
av2[3]=C_make_character(32);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* lookup-char in k18103 in k8506 */
static void C_fcall f_18107(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_18107,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_fix(C_character_code(t2));
t4=C_fixnum_modulo(t3,C_fix(37));
t5=C_slot(((C_word*)t0)[2],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18120,a[2]=t2,a[3]=((C_word)li514),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=(
  f_18120(t6,t5)
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* loop in lookup-char in k18103 in k8506 */
static C_word C_fcall f_18120(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_slot(t2,C_fix(0));
t4=C_eqp(t3,((C_word*)t0)[2]);
if(C_truep(t4)){
return(t2);}
else{
t5=C_slot(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}}
else{
return(C_SCHEME_FALSE);}}

/* chicken.base#char-name in k18103 in k8506 */
static void C_ccall f_18148(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,2)))){
C_save_and_reclaim((void*)f_18148,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18152,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=t4;
f_18152(t6,C_u_i_car(t5));}
else{
t5=t4;
f_18152(t5,C_SCHEME_FALSE);}}

/* k18150 in chicken.base#char-name in k18103 in k8506 */
static void C_fcall f_18152(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,5)))){
C_save_and_reclaim_args((void *)trf_18152,2,t0,t1);}
a=C_alloc(8);
t2=t1;
if(C_truep(C_charp(((C_word*)t0)[2]))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18161,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2980: lookup-char */
t4=((C_word*)t0)[4];
f_18107(t4,t3,((C_word*)t0)[2]);}
else{
if(C_truep(t2)){
t3=C_i_check_symbol_2(((C_word*)t0)[2],lf[683]);
t4=C_i_check_char_2(t2,lf[683]);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_18179,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
t6=C_slot(((C_word*)t0)[2],C_fix(1));
t7=C_block_size(t6);
if(C_truep(C_fixnum_lessp(t7,C_fix(2)))){
/* library.scm:2986: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t8;
av2[1]=t5;
av2[2]=lf[257];
av2[3]=lf[683];
av2[4]=lf[684];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}
else{
t8=t5;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_18179(2,av2);}}}
else{
t3=C_i_check_symbol_2(((C_word*)t0)[2],lf[683]);
t4=C_i_assq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[5])[1]);
t5=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_slot(t4,C_fix(1)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k18159 in k18150 in chicken.base#char-name in k18103 in k8506 */
static void C_ccall f_18161(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18161,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_slot(t1,C_fix(1)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k18177 in k18150 in chicken.base#char-name in k18103 in k8506 */
static void C_ccall f_18179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_18179,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18182,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:2987: lookup-char */
t3=((C_word*)t0)[7];
f_18107(t3,t2,((C_word*)t0)[5]);}

/* k18180 in k18177 in k18150 in chicken.base#char-name in k18103 in k8506 */
static void C_ccall f_18182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,1)))){
C_save_and_reclaim((void *)f_18182,2,av);}
a=C_alloc(12);
if(C_truep(t1)){
t2=C_i_assq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[3])[1]);
t3=C_i_setslot(t1,C_fix(1),((C_word*)t0)[2]);
if(C_truep(t2)){
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_i_slot(t2,C_fix(1),((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,t4,((C_word*)((C_word*)t0)[3])[1]);
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,t5);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t2=C_fix(C_character_code(((C_word*)t0)[5]));
t3=C_fixnum_modulo(t2,C_fix(37));
t4=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,t4,((C_word*)((C_word*)t0)[3])[1]);
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,t5);
t7=C_a_i_cons(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t8=C_slot(((C_word*)t0)[6],t3);
t9=C_a_i_cons(&a,2,t7,t8);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_i_setslot(((C_word*)t0)[6],t3,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* k18263 in k18103 in k8506 */
static void C_ccall f_18265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18265,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18268,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3007: chicken.base#char-name */
t3=*((C_word*)lf[198]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1401];
av2[3]=C_make_character(9);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18268,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18271,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3008: chicken.base#char-name */
t3=*((C_word*)lf[198]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1400];
av2[3]=C_make_character(10);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18271,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18274,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3009: chicken.base#char-name */
t3=*((C_word*)lf[198]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1399];
av2[3]=C_make_character(10);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18274(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18274,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18277,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3010: chicken.base#char-name */
t3=*((C_word*)lf[198]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1398];
av2[3]=C_make_character(11);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18277(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18277,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18280,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3011: chicken.base#char-name */
t3=*((C_word*)lf[198]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1397];
av2[3]=C_make_character(127);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18280(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18280,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18283,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3012: chicken.base#char-name */
t3=*((C_word*)lf[198]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1396];
av2[3]=C_make_character(27);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18283(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18283,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18286,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3013: chicken.base#char-name */
t3=*((C_word*)lf[198]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1395];
av2[3]=C_make_character(27);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18286(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18286,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18289,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3014: chicken.base#char-name */
t3=*((C_word*)lf[198]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1394];
av2[3]=C_make_character(7);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18289(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18289,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18292,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3015: chicken.base#char-name */
t3=*((C_word*)lf[198]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1393];
av2[3]=C_make_character(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18292(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18292,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18295,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3016: chicken.base#char-name */
t3=*((C_word*)lf[198]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1392];
av2[3]=C_make_character(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18295(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18295,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18298,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3017: chicken.base#char-name */
t3=*((C_word*)lf[198]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1391];
av2[3]=C_make_character(13);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18298(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18298,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18301,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3018: chicken.base#char-name */
t3=*((C_word*)lf[198]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1390];
av2[3]=C_make_character(12);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18301(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18301,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18304,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3019: chicken.base#char-name */
t3=*((C_word*)lf[198]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1389];
av2[3]=C_make_character(8);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(102,c,6)))){
C_save_and_reclaim((void *)f_18304,2,av);}
a=C_alloc(102);
t2=C_mutate((C_word*)lf[685]+1 /* (set! ##sys#call-with-current-continuation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_cc,a[2]=((C_word)li517),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate((C_word*)lf[686]+1 /* (set! ##sys#call-with-cthulhu ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_with_cthulhu,a[2]=((C_word)li518),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[687]+1 /* (set! ##sys#call-with-values ...) */,*((C_word*)lf[131]+1));
t5=C_mutate((C_word*)lf[688]+1 /* (set! ##sys#for-each ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18309,a[2]=((C_word)li520),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[690]+1 /* (set! ##sys#map ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18347,a[2]=((C_word)li522),tmp=(C_word)a,a+=3,tmp));
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18389,a[2]=t10,a[3]=t8,a[4]=((C_word)li523),tmp=(C_word)a,a+=5,tmp);
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18433,a[2]=((C_word)li525),tmp=(C_word)a,a+=3,tmp);
t13=C_set_block_item(t8,0,t11);
t14=C_set_block_item(t10,0,t12);
t15=C_mutate((C_word*)lf[170]+1 /* (set! scheme#for-each ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18487,a[2]=t8,a[3]=t10,a[4]=((C_word)li530),tmp=(C_word)a,a+=5,tmp));
t16=C_mutate((C_word*)lf[171]+1 /* (set! scheme#map ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18573,a[2]=t8,a[3]=t10,a[4]=((C_word)li535),tmp=(C_word)a,a+=5,tmp));
t17=C_set_block_item(lf[693] /* ##sys#dynamic-winds */,0,C_SCHEME_END_OF_LIST);
t18=C_mutate((C_word*)lf[172]+1 /* (set! scheme#dynamic-wind ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18680,a[2]=((C_word)li537),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[694]+1 /* (set! ##sys#dynamic-wind ...) */,*((C_word*)lf[172]+1));
t20=C_mutate((C_word*)lf[132]+1 /* (set! scheme#call-with-current-continuation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18711,a[2]=((C_word)li540),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[197]+1 /* (set! chicken.base#call/cc ...) */,*((C_word*)lf[132]+1));
t22=C_mutate(&lf[695] /* (set! ##sys#dynamic-unwind ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18751,a[2]=((C_word)li541),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[206]+1 /* (set! chicken.base#port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18809,a[2]=((C_word)li542),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[208]+1 /* (set! chicken.base#input-port-open? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18815,a[2]=((C_word)li543),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[209]+1 /* (set! chicken.base#output-port-open? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18820,a[2]=((C_word)li544),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[207]+1 /* (set! chicken.base#port-closed? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18825,a[2]=((C_word)li545),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[700]+1 /* (set! ##sys#make-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18838,a[2]=((C_word)li546),tmp=(C_word)a,a+=3,tmp));
t28=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31824,a[2]=((C_word)li548),tmp=(C_word)a,a+=3,tmp);
t29=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31864,a[2]=((C_word)li550),tmp=(C_word)a,a+=3,tmp);
t30=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31904,a[2]=((C_word)li551),tmp=(C_word)a,a+=3,tmp);
t31=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31907,a[2]=((C_word)li552),tmp=(C_word)a,a+=3,tmp);
t32=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31910,a[2]=((C_word)li553),tmp=(C_word)a,a+=3,tmp);
t33=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31916,a[2]=((C_word)li554),tmp=(C_word)a,a+=3,tmp);
t34=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31919,a[2]=((C_word)li555),tmp=(C_word)a,a+=3,tmp);
t35=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31922,a[2]=((C_word)li558),tmp=(C_word)a,a+=3,tmp);
t36=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32021,a[2]=((C_word)li561),tmp=(C_word)a,a+=3,tmp);
t37=C_a_i_vector(&a,10,t28,t29,t30,t31,t32,t33,t34,t35,t36,C_SCHEME_FALSE);
t38=C_mutate((C_word*)lf[714]+1 /* (set! ##sys#stream-port-class ...) */,t37);
t39=C_mutate((C_word*)lf[715]+1 /* (set! ##sys#open-file-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_open_file_port,a[2]=((C_word)li562),tmp=(C_word)a,a+=3,tmp));
t40=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18869,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3303: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t40;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[714]);
av2[4]=lf[1388];
av2[5]=lf[733];
tp(6,av2);}}

/* ##sys#for-each in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18309(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_18309,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18315,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li519),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_18315(t7,t1,t3);}

/* loop in for-each in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_fcall f_18315(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18315,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18331,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:3032: p */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
/* library.scm:3034: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[689];
tp(4,av2);}}}}

/* k18329 in loop in for-each in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18331,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:3033: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_18315(t3,((C_word*)t0)[4],t2);}

/* ##sys#map in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_18347,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18353,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li521),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_18353(t7,t1,t3);}

/* loop in map in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_fcall f_18353(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18353,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18373,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:3040: p */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
/* library.scm:3041: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[691];
tp(4,av2);}}}}

/* k18371 in loop in map in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_18373,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18377,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:3040: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_18353(t5,t3,t4);}

/* k18375 in k18371 in loop in map in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18377,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* mapsafe3694 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18389(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_18389,6,av);}
a=C_alloc(7);
t6=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(t6)){
t7=t3;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_slot(t3,C_fix(0));
t8=C_eqp(t7,C_SCHEME_END_OF_LIST);
if(C_truep(t8)){
/* library.scm:3049: check */
t9=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t9;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
av2[4]=t5;
((C_proc)C_fast_retrieve_proc(t9))(5,av2);}}
else{
if(C_truep(C_i_pairp(t7))){
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18421,a[2]=t1,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3051: p */
t10=t2;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=t7;
((C_proc)C_fast_retrieve_proc(t10))(3,av2);}}
else{
/* library.scm:3052: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t7;
av2[3]=t5;
tp(4,av2);}}}}}

/* k18419 in mapsafe3694 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_18421,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18425,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:3051: mapsafe */
t5=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=t4;
av2[4]=C_SCHEME_FALSE;
av2[5]=((C_word*)t0)[6];
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* k18423 in k18419 in mapsafe3694 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18425,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* check3695 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18433(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_18433,5,av);}
a=C_alloc(8);
t5=C_i_not(t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18443,a[2]=t1,a[3]=t4,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t5)){
t7=t6;
f_18443(t7,t5);}
else{
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18451,a[2]=((C_word)li524),tmp=(C_word)a,a+=3,tmp);
t8=t6;
f_18443(t8,(
  f_18451(t2)
));}}

/* k18441 in check3695 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_fcall f_18443(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_18443,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:3060: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[692];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* loop in check3695 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static C_word C_fcall f_18451(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
t2=C_eqp(t1,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t2))){
t3=C_slot(t1,C_fix(0));
t4=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t4))){
t5=C_slot(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}
else{
return(C_SCHEME_FALSE);}}
else{
return(C_SCHEME_FALSE);}}

/* scheme#for-each in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18487(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +12,c,3)))){
C_save_and_reclaim((void*)f_18487,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+12);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
if(C_truep(C_i_nullp(t4))){
t5=t2;
t6=t3;
t7=C_i_check_list_2(t6,lf[689]);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18502,a[2]=t9,a[3]=t5,a[4]=((C_word)li526),tmp=(C_word)a,a+=5,tmp));
t11=((C_word*)t9)[1];
f_18502(t11,t1,t6);}
else{
t5=C_a_i_cons(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18532,a[2]=t7,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word)li529),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_18532(t9,t1,t5);}}

/* for-each-loop3725 in scheme#for-each in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_fcall f_18502(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_18502,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18512,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:3065: g3726 */
t5=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k18510 in for-each-loop3725 in scheme#for-each in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18512(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18512,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_18502(t3,((C_word*)t0)[4],t2);}

/* loop in scheme#for-each in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_fcall f_18532(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,5)))){
C_save_and_reclaim_args((void *)trf_18532,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_slot(t2,C_fix(0));
if(C_truep(C_i_pairp(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18545,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18562,a[2]=t4,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18564,a[2]=((C_word)li528),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3069: mapsafe */
t7=((C_word*)((C_word*)t0)[3])[1];{
C_word av2[6];
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=t2;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[689];
((C_proc)C_fast_retrieve_proc(t7))(6,av2);}}
else{
/* library.scm:3071: check */
t4=((C_word*)((C_word*)t0)[5])[1];{
C_word av2[5];
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=lf[689];
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}}

/* k18543 in loop in scheme#for-each in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_18545,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18552,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18554,a[2]=((C_word)li527),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3070: mapsafe */
t4=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=((C_word*)t0)[5];
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[689];
((C_proc)C_fast_retrieve_proc(t4))(6,av2);}}

/* k18550 in k18543 in loop in scheme#for-each in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18552,2,av);}
/* library.scm:3070: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_18532(t2,((C_word*)t0)[3],t1);}

/* a18553 in k18543 in loop in scheme#for-each in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18554(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18554,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18560 in loop in scheme#for-each in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18562(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18562,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* a18563 in loop in scheme#for-each in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18564,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#map in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18573(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +14,c,3)))){
C_save_and_reclaim((void*)f_18573,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+14);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
if(C_truep(C_i_nullp(t4))){
t5=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t6=t5;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=((C_word*)t7)[1];
t9=t2;
t10=t3;
t11=C_i_check_list_2(t10,lf[691]);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18591,a[2]=t7,a[3]=t13,a[4]=t9,a[5]=t8,a[6]=((C_word)li531),tmp=(C_word)a,a+=7,tmp));
t15=((C_word*)t13)[1];
f_18591(t15,t1,t10);}
else{
t5=C_a_i_cons(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18632,a[2]=t7,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word)li534),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_18632(t9,t1,t5);}}

/* map-loop3756 in scheme#map in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_fcall f_18591(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_18591,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18616,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:3076: g3762 */
t5=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k18614 in map-loop3756 in scheme#map in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18616(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_18616,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_18591(t6,((C_word*)t0)[5],t5);}

/* loop in scheme#map in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_fcall f_18632(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,5)))){
C_save_and_reclaim_args((void *)trf_18632,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_slot(t2,C_fix(0));
if(C_truep(C_i_pairp(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18649,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18667,a[2]=t4,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18669,a[2]=((C_word)li533),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3080: mapsafe */
t7=((C_word*)((C_word*)t0)[3])[1];{
C_word av2[6];
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=t2;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[691];
((C_proc)C_fast_retrieve_proc(t7))(6,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18676,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=C_i_cdr(t2);
/* library.scm:3082: check */
t6=((C_word*)((C_word*)t0)[5])[1];{
C_word av2[5];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=lf[691];
((C_proc)C_fast_retrieve_proc(t6))(5,av2);}}}

/* k18647 in loop in scheme#map in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18649(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_18649,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18653,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18657,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18659,a[2]=((C_word)li532),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3081: mapsafe */
t6=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=((C_word*)t0)[5];
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[691];
((C_proc)C_fast_retrieve_proc(t6))(6,av2);}}

/* k18651 in k18647 in loop in scheme#map in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18653(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18653,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k18655 in k18647 in loop in scheme#map in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18657,2,av);}
/* library.scm:3081: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_18632(t2,((C_word*)t0)[3],t1);}

/* a18658 in k18647 in loop in scheme#map in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18659(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18659,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18665 in loop in scheme#map in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18667(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18667,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* a18668 in loop in scheme#map in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18669(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18669,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18674 in loop in scheme#map in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18676(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18676,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#dynamic-wind in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_18680,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18684,a[2]=t2,a[3]=t4,a[4]=t1,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3102: before */
t6=t2;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* k18682 in scheme#dynamic-wind in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18684(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_18684,2,av);}
a=C_alloc(10);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_a_i_cons(&a,2,t2,C_fast_retrieve(lf[693]));
t4=C_mutate((C_word*)lf[693]+1 /* (set! ##sys#dynamic-winds ...) */,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18693,a[2]=((C_word*)t0)[3],a[3]=((C_word)li536),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3104: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[5];
av2[3]=t5;
C_call_with_values(4,av2);}}

/* a18692 in k18682 in scheme#dynamic-wind in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18693(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_18693,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_slot(C_fast_retrieve(lf[693]),C_fix(1));
t4=C_mutate((C_word*)lf[693]+1 /* (set! ##sys#dynamic-winds ...) */,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18701,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3108: after */
t6=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* k18699 in a18692 in k18682 in scheme#dynamic-wind in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18701,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#call-with-current-continuation in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18711(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_18711,3,av);}
a=C_alloc(5);
t3=C_fast_retrieve(lf[693]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18717,a[2]=t3,a[3]=t2,a[4]=((C_word)li539),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3116: ##sys#call-with-current-continuation */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
C_call_cc(3,av2);}}

/* a18716 in scheme#call-with-current-continuation in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18717(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_18717,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18720,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li538),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3122: proc */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* continuation in a18716 in scheme#call-with-current-continuation in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18720(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18720,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18724,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_eqp(C_fast_retrieve(lf[693]),((C_word*)t0)[3]);
if(C_truep(t4)){{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
C_apply(4,av2);}}
else{
t5=C_i_length(C_fast_retrieve(lf[693]));
t6=C_i_length(((C_word*)t0)[3]);
t7=C_fixnum_difference(t5,t6);
/* library.scm:3120: ##sys#dynamic-unwind */
f_18751(t3,((C_word*)t0)[3],t7);}}

/* k18722 in continuation in a18716 in scheme#call-with-current-continuation in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18724(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18724,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
C_apply(4,av2);}}

/* ##sys#dynamic-unwind in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_fcall f_18751(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18751,3,t1,t2,t3);}
a=C_alloc(5);
t4=C_eqp(C_fast_retrieve(lf[693]),t2);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t3,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18767,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=C_slot(t2,C_fix(1));
t7=C_fixnum_plus(t3,C_fix(1));
/* library.scm:3129: ##sys#dynamic-unwind */
t11=t5;
t12=t6;
t13=t7;
t1=t11;
t2=t12;
t3=t13;
goto loop;}
else{
t5=C_slot(C_fast_retrieve(lf[693]),C_fix(0));
t6=C_slot(t5,C_fix(1));
t7=C_slot(C_fast_retrieve(lf[693]),C_fix(1));
t8=C_mutate((C_word*)lf[693]+1 /* (set! ##sys#dynamic-winds ...) */,t7);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18796,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3135: after */
t10=t6;{
C_word av2[2];
av2[0]=t10;
av2[1]=t9;
((C_proc)C_fast_retrieve_proc(t10))(2,av2);}}}}

/* k18765 in dynamic-unwind in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_18767,2,av);}
a=C_alloc(4);
t2=C_slot(((C_word*)t0)[2],C_fix(0));
t3=C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18773,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3127: g3821 */
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)C_fast_retrieve_proc(t5))(2,av2);}}

/* k18771 in k18765 in dynamic-unwind in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18773(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18773,2,av);}
t2=C_mutate((C_word*)lf[693]+1 /* (set! ##sys#dynamic-winds ...) */,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18794 in dynamic-unwind in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18796(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18796,2,av);}
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
/* library.scm:3136: ##sys#dynamic-unwind */
f_18751(((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* chicken.base#port? in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18809(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18809,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.base#input-port-open? in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18815,3,av);}
t3=t2;
t4=C_i_check_port(t3,C_fix(1),lf[696]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_input_port_openp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#output-port-open? in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18820(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18820,3,av);}
t3=t2;
t4=C_i_check_port(t3,C_fix(2),lf[697]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_output_port_openp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#port-closed? in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18825(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_18825,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18829,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3158: ##sys#check-port */
t4=*((C_word*)lf[698]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[699];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k18827 in chicken.base#port-closed? in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18829(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18829,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(8));
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eqp(t2,C_fix(0));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-port in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(17,c,1)))){
C_save_and_reclaim((void *)f_18838,6,av);}
a=C_alloc(17);
t6=C_a_i_port(&a,0);
t7=C_i_set_i_slot(t6,C_fix(1),t2);
t8=C_i_setslot(t6,C_fix(2),t3);
t9=C_i_setslot(t6,C_fix(3),t4);
t10=C_i_set_i_slot(t6,C_fix(4),C_fix(1));
t11=C_i_set_i_slot(t6,C_fix(5),C_fix(0));
t12=C_i_setslot(t6,C_fix(7),t5);
t13=C_i_setslot(t6,C_fix(8),t2);
t14=t1;{
C_word *av2=av;
av2[0]=t14;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}

/* k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_18869,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[716]+1 /* (set! ##sys#standard-input ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18873,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3304: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[714]);
av2[4]=lf[1387];
av2[5]=lf[733];
tp(6,av2);}}

/* k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18873(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_18873,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[717]+1 /* (set! ##sys#standard-output ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18877,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3305: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[714]);
av2[4]=lf[1386];
av2[5]=lf[733];
tp(6,av2);}}

/* k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18877(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18877,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[718]+1 /* (set! ##sys#standard-error ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18880,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3307: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[715]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[715]+1);
av2[1]=t3;
av2[2]=*((C_word*)lf[716]+1);
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18880(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18880,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18883,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3308: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[715]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[715]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[717]+1);
av2[3]=C_fix(1);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_18883(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18883,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18886,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3309: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[715]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[715]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[718]+1);
av2[3]=C_fix(2);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 in ... */
static void C_ccall f_18886(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(119,c,6)))){
C_save_and_reclaim((void *)f_18886,2,av);}
a=C_alloc(119);
t2=C_mutate((C_word*)lf[719]+1 /* (set! ##sys#check-input-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18888,a[2]=((C_word)li563),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate((C_word*)lf[720]+1 /* (set! ##sys#check-output-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18899,a[2]=((C_word)li564),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[698]+1 /* (set! ##sys#check-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18910,a[2]=((C_word)li565),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[721]+1 /* (set! ##sys#check-open-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18921,a[2]=((C_word)li566),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[135]+1 /* (set! scheme#current-input-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18932,a[2]=((C_word)li568),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[136]+1 /* (set! scheme#current-output-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18993,a[2]=((C_word)li570),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[192]+1 /* (set! chicken.base#current-error-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19054,a[2]=((C_word)li572),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[725]+1 /* (set! ##sys#tty-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19115,a[2]=((C_word)li573),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[727]+1 /* (set! ##sys#port-data ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19129,a[2]=((C_word)li574),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[728]+1 /* (set! ##sys#set-port-data! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19135,a[2]=((C_word)li575),tmp=(C_word)a,a+=3,tmp));
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19141,a[2]=((C_word)li577),tmp=(C_word)a,a+=3,tmp));
t17=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19239,a[2]=((C_word)li578),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[137]+1 /* (set! scheme#open-input-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19276,a[2]=t13,a[3]=((C_word)li579),tmp=(C_word)a,a+=4,tmp));
t19=C_mutate((C_word*)lf[138]+1 /* (set! scheme#open-output-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19282,a[2]=t13,a[3]=((C_word)li580),tmp=(C_word)a,a+=4,tmp));
t20=C_mutate((C_word*)lf[139]+1 /* (set! scheme#close-input-port ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19288,a[2]=t15,a[3]=((C_word)li581),tmp=(C_word)a,a+=4,tmp));
t21=C_mutate((C_word*)lf[140]+1 /* (set! scheme#close-output-port ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19294,a[2]=t15,a[3]=((C_word)li582),tmp=(C_word)a,a+=4,tmp));
t22=*((C_word*)lf[137]+1);
t23=C_mutate((C_word*)lf[141]+1 /* (set! scheme#call-with-input-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19300,a[2]=t22,a[3]=((C_word)li585),tmp=(C_word)a,a+=4,tmp));
t24=*((C_word*)lf[138]+1);
t25=C_mutate((C_word*)lf[142]+1 /* (set! scheme#call-with-output-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19324,a[2]=t24,a[3]=((C_word)li588),tmp=(C_word)a,a+=4,tmp));
t26=*((C_word*)lf[137]+1);
t27=C_mutate((C_word*)lf[143]+1 /* (set! scheme#with-input-from-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19348,a[2]=t26,a[3]=((C_word)li593),tmp=(C_word)a,a+=4,tmp));
t28=*((C_word*)lf[138]+1);
t29=C_mutate((C_word*)lf[144]+1 /* (set! scheme#with-output-to-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19382,a[2]=t28,a[3]=((C_word)li598),tmp=(C_word)a,a+=4,tmp));
t30=C_mutate((C_word*)lf[746]+1 /* (set! ##sys#file-exists? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19416,a[2]=((C_word)li599),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[749]+1 /* (set! ##sys#flush-output ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19442,a[2]=((C_word)li600),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[213]+1 /* (set! chicken.base#flush-output ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19455,a[2]=((C_word)li601),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[751]+1 /* (set! ##sys#port-line ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19473,a[2]=((C_word)li602),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[752]+1 /* (set! ##sys#decorate-lambda ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19482,a[2]=((C_word)li605),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[753]+1 /* (set! ##sys#lambda-decoration ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19557,a[2]=((C_word)li607),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[754]+1 /* (set! ##sys#make-lambda-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19596,a[2]=((C_word)li608),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[755]+1 /* (set! ##sys#lambda-info? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19605,a[2]=((C_word)li609),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[756]+1 /* (set! ##sys#lambda-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19618,a[2]=((C_word)li610),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[757]+1 /* (set! ##sys#lambda-info->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19624,a[2]=((C_word)li611),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[201]+1 /* (set! chicken.base#procedure-information ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19633,a[2]=((C_word)li612),tmp=(C_word)a,a+=3,tmp));
t41=C_a_i_vector1(&a,1,lf[760]);
t42=C_mutate(&lf[761] /* (set! setter-tag ...) */,t41);
t43=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19662,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t44=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31700,a[2]=((C_word)li997),tmp=(C_word)a,a+=3,tmp);
t45=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31740,a[2]=((C_word)li998),tmp=(C_word)a,a+=3,tmp);
t46=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31756,a[2]=((C_word)li1002),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3538: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t43;
av2[2]=t44;
av2[3]=t45;
av2[4]=t46;
tp(5,av2);}}

/* ##sys#check-input-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_18888(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18888,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_port_2(t2,C_fix(1),t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_port(t2,C_fix(1),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-output-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_18899(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18899,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_port_2(t2,C_fix(2),t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_port(t2,C_fix(2),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_18910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18910,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_port_2(t2,C_fix(0),C_SCHEME_FALSE,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_port(t2,C_fix(0),C_SCHEME_FALSE);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-open-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_18921(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18921,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_port_2(t2,C_fix(0),C_SCHEME_TRUE,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_port(t2,C_fix(0),C_SCHEME_TRUE);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#current-input-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_18932(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18932,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[716]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[716]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18945,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3336: ##sys#check-port */
t6=*((C_word*)lf[698]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[722];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k18943 in scheme#current-input-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_18945(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_18945,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18947,a[2]=((C_word*)t0)[3],a[3]=((C_word)li567),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18953,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18958,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
  /* library.scm:3337: def-convert?3943 */
  f_18958(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
  /* library.scm:3337: def-set?3944 */
  f_18953(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
  /* library.scm:3337: body3941 */
  f_18947(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3941 in k18943 in scheme#current-input-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static C_word C_fcall f_18947(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[716]+1 /* (set! ##sys#standard-input ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3944 in k18943 in scheme#current-input-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static C_word C_fcall f_18953(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3337: body3941 */
  f_18947(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3943 in k18943 in scheme#current-input-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static C_word C_fcall f_18958(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3337: def-set?3944 */
  f_18953(((C_word*)t0)[2])
));}

/* scheme#current-output-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_18993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18993,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[717]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[717]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19006,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3346: ##sys#check-port */
t6=*((C_word*)lf[698]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[723];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k19004 in scheme#current-output-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_19006(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_19006,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19008,a[2]=((C_word*)t0)[3],a[3]=((C_word)li569),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19014,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19019,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
  /* library.scm:3347: def-convert?3968 */
  f_19019(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
  /* library.scm:3347: def-set?3969 */
  f_19014(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
  /* library.scm:3347: body3966 */
  f_19008(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3966 in k19004 in scheme#current-output-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static C_word C_fcall f_19008(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[717]+1 /* (set! ##sys#standard-output ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3969 in k19004 in scheme#current-output-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static C_word C_fcall f_19014(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3347: body3966 */
  f_19008(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3968 in k19004 in scheme#current-output-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static C_word C_fcall f_19019(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3347: def-set?3969 */
  f_19014(((C_word*)t0)[2])
));}

/* chicken.base#current-error-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_19054,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[718]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19067,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3356: ##sys#check-port */
t6=*((C_word*)lf[698]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[724];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k19065 in chicken.base#current-error-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_19067(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_19067,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19069,a[2]=((C_word*)t0)[3],a[3]=((C_word)li571),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19075,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19080,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
  /* library.scm:3357: def-convert?3993 */
  f_19080(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
  /* library.scm:3357: def-set?3994 */
  f_19075(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
  /* library.scm:3357: body3991 */
  f_19069(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3991 in k19065 in chicken.base#current-error-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static C_word C_fcall f_19069(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[718]+1 /* (set! ##sys#standard-error ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3994 in k19065 in chicken.base#current-error-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static C_word C_fcall f_19075(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3357: body3991 */
  f_19069(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3993 in k19065 in chicken.base#current-error-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static C_word C_fcall f_19080(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3357: def-set?3994 */
  f_19075(((C_word*)t0)[2])
));}

/* ##sys#tty-port? in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19115(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19115,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19127,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3362: ##sys#peek-unsigned-integer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[726]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[726]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=C_fix(0);
tp(4,av2);}}

/* k19125 in tty-port? in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_19127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19127,2,av);}
t2=C_i_zerop(t1);
if(C_truep(C_i_not(t2))){
t3=C_tty_portp(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* ##sys#port-data in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19129(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19129,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_slot(t2,C_fix(9));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#set-port-data! in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19135(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19135,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_setslot(t2,C_fix(9),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* open in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_fcall f_19141(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,0,3)))){
C_save_and_reclaim_args((void *)trf_19141,5,t1,t2,t3,t4,t5);}
a=C_alloc(22);
t6=C_i_check_string_2(t2,t5);
t7=(C_truep(t3)?lf[729]:lf[730]);
t8=t7;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=lf[731];
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19151,a[2]=t1,a[3]=t5,a[4]=t2,a[5]=t9,a[6]=t11,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t13=C_SCHEME_UNDEFINED;
t14=(*a=C_VECTOR_TYPE|1,a[1]=t13,tmp=(C_word)a,a+=2,tmp);
t15=C_set_block_item(t14,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19184,a[2]=t14,a[3]=t11,a[4]=t3,a[5]=t5,a[6]=t9,a[7]=((C_word)li576),tmp=(C_word)a,a+=8,tmp));
t16=((C_word*)t14)[1];
f_19184(t16,t12,t4);}

/* k19149 in open in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_19151(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_19151,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19154,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[7])){
/* library.scm:3384: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t2;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[714]);
av2[4]=((C_word*)t0)[4];
av2[5]=lf[733];
tp(6,av2);}}
else{
/* library.scm:3384: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t2;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[714]);
av2[4]=((C_word*)t0)[4];
av2[5]=lf[733];
tp(6,av2);}}}

/* k19152 in k19149 in open in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19154(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_19154,2,av);}
a=C_alloc(16);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19157,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19160,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19178,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3385: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t5;
av2[2]=((C_word*)((C_word*)t0)[5])[1];
av2[3]=((C_word*)((C_word*)t0)[6])[1];
tp(4,av2);}}

/* k19155 in k19152 in k19149 in open in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in ... */
static void C_ccall f_19157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19157,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k19158 in k19152 in k19149 in open in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in ... */
static void C_ccall f_19160(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19160,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19163,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3386: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word *av2=av;
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t2;
tp(2,av2);}}}

/* k19161 in k19158 in k19152 in k19149 in open in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in ... */
static void C_ccall f_19163(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_19163,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19170,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19174,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19168 in k19161 in k19158 in k19152 in k19149 in open in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in ... */
static void C_ccall f_19170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19170,2,av);}
/* library.scm:3387: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=((C_word*)t0)[3];
av2[4]=t1;
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k19172 in k19161 in k19158 in k19152 in k19149 in open in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in ... */
static void C_ccall f_19174(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19174,2,av);}
/* library.scm:3387: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[732];
av2[3]=t1;
tp(4,av2);}}

/* k19176 in k19152 in k19149 in open in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in ... */
static void C_ccall f_19178(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19178,2,av);}
/* library.scm:3385: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[715]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[715]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}

/* doloop4028 in open in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_fcall f_19184(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_19184,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19197,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,lf[734]);
if(C_truep(t5)){
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,lf[735]);
t7=C_slot(t2,C_fix(1));
t11=t1;
t12=t7;
t1=t11;
t2=t12;
goto loop;}
else{
t6=C_eqp(t3,lf[736]);
if(C_truep(t6)){
t7=C_mutate(((C_word *)((C_word*)t0)[3])+1,lf[737]);
t8=C_slot(t2,C_fix(1));
t11=t1;
t12=t8;
t1=t11;
t2=t12;
goto loop;}
else{
t7=C_eqp(t3,lf[738]);
if(C_truep(t7)){
if(C_truep(((C_word*)t0)[4])){
/* library.scm:3381: ##sys#error */
t8=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[739];
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}
else{
t8=C_mutate(((C_word *)((C_word*)t0)[6])+1,lf[740]);
t9=C_slot(t2,C_fix(1));
t11=t1;
t12=t9;
t1=t11;
t2=t12;
goto loop;}}
else{
/* library.scm:3383: ##sys#error */
t8=*((C_word*)lf[155]+1);{
C_word av2[5];
av2[0]=t8;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[741];
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}}}}}

/* k19195 in doloop4028 in open in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19197(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19197,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_19184(t3,((C_word*)t0)[4],t2);}

/* close in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_fcall f_19239(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_19239,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19243,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3391: ##sys#check-port */
t6=*((C_word*)lf[698]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* k19241 in close in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_19243(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19243,2,av);}
t2=(C_truep(((C_word*)t0)[2])?C_fix(1):C_fix(2));
if(C_truep(C_port_openp(((C_word*)t0)[3],t2))){
t3=C_slot(((C_word*)t0)[3],C_fix(8));
t4=C_fixnum_not(t2);
t5=C_fixnum_and(t3,t4);
t6=C_i_set_i_slot(((C_word*)t0)[3],C_fix(8),t5);
t7=C_slot(((C_word*)t0)[3],C_fix(2));
t8=C_slot(t7,C_fix(4));
/* library.scm:3394: g4049 */
t9=t8;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t9;
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scheme#open-input-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_19276,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
/* library.scm:3398: open */
f_19141(t1,t2,C_SCHEME_TRUE,t3,lf[742]);}

/* scheme#open-output-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19282(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_19282,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
/* library.scm:3399: open */
f_19141(t1,t2,C_SCHEME_FALSE,t3,lf[743]);}

/* scheme#close-input-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19288(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19288,3,av);}
/* library.scm:3400: close */
f_19239(t1,t2,C_SCHEME_TRUE,lf[744]);}

/* scheme#close-output-port in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19294(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19294,3,av);}
/* library.scm:3401: close */
f_19239(t1,t2,C_SCHEME_FALSE,lf[745]);}

/* scheme#call-with-input-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19300(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19300,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19304,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19302 in scheme#call-with-input-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_19304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_19304,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19309,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li583),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19315,a[2]=t2,a[3]=((C_word)li584),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3408: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a19308 in k19302 in scheme#call-with-input-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19309(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19309,2,av);}
/* library.scm:3409: p */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a19314 in k19302 in scheme#call-with-input-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19315(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19315,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19319,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3411: close-input-port */
t4=*((C_word*)lf[139]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19317 in a19314 in k19302 in scheme#call-with-input-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in ... */
static void C_ccall f_19319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19319,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#call-with-output-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19324,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19328,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19326 in scheme#call-with-output-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_19328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_19328,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19333,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li586),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19339,a[2]=t2,a[3]=((C_word)li587),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3419: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a19332 in k19326 in scheme#call-with-output-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19333(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19333,2,av);}
/* library.scm:3420: p */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a19338 in k19326 in scheme#call-with-output-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19339,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19343,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3422: close-output-port */
t4=*((C_word*)lf[140]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19341 in a19338 in k19326 in scheme#call-with-output-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in ... */
static void C_ccall f_19343(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19343,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#with-input-from-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19348,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19352,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19350 in scheme#with-input-from-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_19352(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_19352,2,av);}
a=C_alloc(19);
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19357,a[2]=t6,a[3]=t4,a[4]=((C_word)li589),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19362,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li591),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19377,a[2]=t4,a[3]=t6,a[4]=((C_word)li592),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3430: ##sys#dynamic-wind */
t10=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a19356 in k19350 in scheme#with-input-from-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19357,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[716]+1));
t3=C_mutate((C_word*)lf[716]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a19361 in k19350 in scheme#with-input-from-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19362,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19368,a[2]=((C_word*)t0)[2],a[3]=((C_word)li590),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3431: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* a19367 in a19361 in k19350 in scheme#with-input-from-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in ... */
static void C_ccall f_19368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19368,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19372,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3433: close-input-port */
t4=*((C_word*)lf[139]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19370 in a19367 in a19361 in k19350 in scheme#with-input-from-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in ... */
static void C_ccall f_19372(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19372,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a19376 in k19350 in scheme#with-input-from-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19377,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[716]+1));
t3=C_mutate((C_word*)lf[716]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#with-output-to-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19382,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19386,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19384 in scheme#with-output-to-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_19386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_19386,2,av);}
a=C_alloc(19);
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19391,a[2]=t6,a[3]=t4,a[4]=((C_word)li594),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19396,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li596),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19411,a[2]=t4,a[3]=t6,a[4]=((C_word)li597),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3441: ##sys#dynamic-wind */
t10=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a19390 in k19384 in scheme#with-output-to-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19391(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19391,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[717]+1));
t3=C_mutate((C_word*)lf[717]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a19395 in k19384 in scheme#with-output-to-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19396(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19396,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19402,a[2]=((C_word*)t0)[2],a[3]=((C_word)li595),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3442: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* a19401 in a19395 in k19384 in scheme#with-output-to-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in ... */
static void C_ccall f_19402(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19402,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19406,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3444: close-output-port */
t4=*((C_word*)lf[140]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19404 in a19401 in a19395 in k19384 in scheme#with-output-to-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in ... */
static void C_ccall f_19406(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19406,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a19410 in k19384 in scheme#with-output-to-file in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19411,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[717]+1));
t3=C_mutate((C_word*)lf[717]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#file-exists? in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_19416,6,av);}
a=C_alloc(7);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19421,a[2]=t3,a[3]=t4,a[4]=t1,a[5]=t5,a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3448: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2=av;
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* k19419 in file-exists? in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_19421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19421,2,av);}
t2=C_i_file_exists_p(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
switch(t2){
case C_SCHEME_FALSE:
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_SCHEME_TRUE:
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
/* library.scm:3452: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
av2[2]=lf[702];
av2[3]=((C_word*)t0)[5];
av2[4]=lf[747];
av2[5]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* ##sys#flush-output in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_19442,3,av);}
a=C_alloc(3);
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(5));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19449,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:3456: g4129 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}

/* k19447 in flush-output in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_19449(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19449,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#flush-output in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19455,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[717]+1);
t4=C_i_check_port_2(*((C_word*)lf[717]+1),C_fix(2),C_SCHEME_TRUE,lf[750]);
/* library.scm:3463: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[717]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_TRUE,lf[750]);
/* library.scm:3463: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* ##sys#port-line in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19473,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_input_portp(t2))?C_slot(t2,C_fix(4)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#decorate-lambda in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19482(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_19482,5,av);}
a=C_alloc(10);
t5=C_block_size(t2);
t6=t5;
t7=C_fixnum_difference(t6,C_fix(1));
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19495,a[2]=t6,a[3]=t2,a[4]=t4,a[5]=t9,a[6]=t3,a[7]=((C_word)li604),tmp=(C_word)a,a+=8,tmp));
t11=((C_word*)t9)[1];
f_19495(t11,t1,t7);}

/* loop in decorate-lambda in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_fcall f_19495(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_19495,3,t0,t1,t2);}
a=C_alloc(7);
t3=t2;
if(C_truep(C_i_zerop(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19503,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t5=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:3477: scheme#make-vector */
t6=*((C_word*)lf[93]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
t4=C_slot(((C_word*)t0)[3],t2);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19545,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3486: pred */
t6=((C_word*)t0)[6];{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k19501 in loop in decorate-lambda in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19503(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_19503,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19508,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t4,a[7]=((C_word)li603),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_19508(t6,((C_word*)t0)[5],C_fix(1));}

/* doloop4158 in k19501 in loop in decorate-lambda in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in ... */
static void C_fcall f_19508(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_19508,3,t0,t1,t2);}
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_vector_to_closure(((C_word*)t0)[3]);
t4=C_copy_pointer(((C_word*)t0)[4],((C_word*)t0)[3]);
/* library.scm:3482: decorator */
t5=((C_word*)t0)[5];{
C_word av2[4];
av2[0]=t5;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}
else{
t3=C_slot(((C_word*)t0)[4],t2);
t4=C_i_setslot(((C_word*)t0)[3],t2,t3);
t5=C_fixnum_plus(t2,C_fix(1));
t7=t1;
t8=t5;
t1=t7;
t2=t8;
goto loop;}}

/* k19543 in loop in decorate-lambda in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19545,2,av);}
if(C_truep(t1)){
/* library.scm:3487: decorator */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}
else{
t2=C_fixnum_difference(((C_word*)t0)[5],C_fix(1));
/* library.scm:3488: loop */
t3=((C_word*)((C_word*)t0)[6])[1];
f_19495(t3,((C_word*)t0)[3],t2);}}

/* ##sys#lambda-decoration in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_19557,4,av);}
a=C_alloc(8);
t4=C_block_size(t2);
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19567,a[2]=t2,a[3]=t7,a[4]=t3,a[5]=((C_word)li606),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_19567(t9,t1,t5);}

/* loop in lambda-decoration in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_fcall f_19567(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_19567,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t3=C_slot(((C_word*)t0)[2],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19583,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3494: pred */
t6=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k19581 in loop in lambda-decoration in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19583,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_fixnum_difference(((C_word*)t0)[4],C_fix(1));
/* library.scm:3496: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_19567(t3,((C_word*)t0)[2],t2);}}

/* ##sys#make-lambda-info in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19596,3,av);}
a=C_alloc(5);
t3=C_block_size(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19603,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3503: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k19601 in make-lambda-info in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_19603(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19603,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_string_to_lambdainfo(t1);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#lambda-info? in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19605,3,av);}
t3=C_immp(t2);
if(C_truep(C_i_not(t3))){
t4=C_lambdainfop(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#lambda-info in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19618,3,av);}
/* library.scm:3515: ##sys#lambda-decoration */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[753]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_fast_retrieve(lf[755]);
tp(4,av2);}}

/* ##sys#lambda-info->string in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19624,3,av);}
a=C_alloc(5);
t3=C_block_size(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19631,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3519: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k19629 in lambda-info->string in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_19631(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19631,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#procedure-information in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19633(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19633,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19637,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3525: ##sys#check-closure */
t4=*((C_word*)lf[365]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[759];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19635 in chicken.base#procedure-information in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_19637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_19637,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19640,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3526: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[756]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[756]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k19638 in k19635 in chicken.base#procedure-information in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19640(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_19640,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19650,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19654,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:3527: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[757]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[757]+1);
av2[1]=t3;
av2[2]=t1;
tp(3,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k19648 in k19638 in k19635 in chicken.base#procedure-information in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in ... */
static void C_ccall f_19650(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19650,2,av);}
/* library.scm:3527: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[758]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[758]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* k19652 in k19638 in k19635 in chicken.base#procedure-information in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in ... */
static void C_ccall f_19654(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19654,2,av);}
/* library.scm:3527: chicken.base#open-input-string */
t2=*((C_word*)lf[211]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_19662(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19662,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[202]+1 /* (set! chicken.base#setter ...) */,t1);
t3=C_mutate((C_word*)lf[762]+1 /* (set! ##sys#setter ...) */,*((C_word*)lf[202]+1));
t4=C_mutate((C_word*)lf[199]+1 /* (set! chicken.base#getter-with-setter ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19665,a[2]=((C_word)li616),tmp=(C_word)a,a+=3,tmp));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19742,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3587: chicken.base#getter-with-setter */
t6=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=*((C_word*)lf[9]+1);
av2[3]=*((C_word*)lf[11]+1);
av2[4]=lf[1383];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}

/* chicken.base#getter-with-setter in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_19665(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_19665,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19672,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=t7,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3566: ##sys#check-closure */
t9=*((C_word*)lf[365]+1);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
av2[2]=t2;
av2[3]=lf[763];
((C_proc)(void*)(*((C_word*)t9+1)))(4,av2);}}

/* k19670 in chicken.base#getter-with-setter in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19672(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_19672,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19675,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3567: ##sys#check-closure */
t3=*((C_word*)lf[365]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[763];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k19673 in k19670 in chicken.base#getter-with-setter in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in ... */
static void C_ccall f_19675(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19675,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19678,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[5])){
t3=C_i_check_string_2(((C_word*)t0)[5],lf[763]);
/* library.scm:3570: ##sys#make-lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[754]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[754]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
/* library.scm:3571: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[756]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[756]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* k19676 in k19673 in k19670 in chicken.base#getter-with-setter in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in ... */
static void C_ccall f_19678(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_19678,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19681,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19697,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3573: ##sys#copy-closure */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[332]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[332]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k19679 in k19676 in k19673 in k19670 in chicken.base#getter-with-setter in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in ... */
static void C_ccall f_19681(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_19681,2,av);}
a=C_alloc(4);
if(C_truep(((C_word*)t0)[2])){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19689,a[2]=((C_word*)t0)[2],a[3]=((C_word)li613),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3579: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=C_fast_retrieve(lf[755]);
av2[4]=t2;
tp(5,av2);}}
else{
t2=t1;
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a19688 in k19679 in k19676 in k19673 in k19670 in chicken.base#getter-with-setter in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in ... */
static void C_ccall f_19689(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19689,4,av);}
t4=C_i_setslot(t2,t3,((C_word*)t0)[2]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k19695 in k19676 in k19673 in k19670 in chicken.base#getter-with-setter in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in ... */
static void C_ccall f_19697(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_19697,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19699,a[2]=((C_word)li614),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19715,a[2]=((C_word*)t0)[2],a[3]=((C_word)li615),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3572: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=t2;
av2[4]=t3;
tp(5,av2);}}

/* a19698 in k19695 in k19676 in k19673 in k19670 in chicken.base#getter-with-setter in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in ... */
static void C_ccall f_19699(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19699,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[761],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a19714 in k19695 in k19676 in k19673 in k19670 in chicken.base#getter-with-setter in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in ... */
static void C_ccall f_19715(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_19715,4,av);}
a=C_alloc(3);
t4=C_a_i_cons(&a,2,C_retrieve2(lf[761],C_text("setter-tag")),((C_word*)t0)[2]);
t5=C_i_setslot(t2,t3,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_19742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_19742,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[9]+1 /* (set! scheme#car ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19746,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3588: chicken.base#getter-with-setter */
t4=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[10]+1);
av2[3]=*((C_word*)lf[12]+1);
av2[4]=lf[1382];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19746,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[10]+1 /* (set! scheme#cdr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19750,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31690,a[2]=((C_word)li995),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3589: chicken.base#getter-with-setter */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[17]+1);
av2[3]=t4;
av2[4]=lf[1381];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in ... */
static void C_ccall f_19750(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19750,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[17]+1 /* (set! scheme#caar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19754,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31680,a[2]=((C_word)li994),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3590: chicken.base#getter-with-setter */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[13]+1);
av2[3]=t4;
av2[4]=lf[1380];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in ... */
static void C_ccall f_19754(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19754,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[13]+1 /* (set! scheme#cadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19758,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31670,a[2]=((C_word)li993),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3591: chicken.base#getter-with-setter */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[18]+1);
av2[3]=t4;
av2[4]=lf[1379];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in ... */
static void C_ccall f_19758(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19758,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[18]+1 /* (set! scheme#cdar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19762,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31660,a[2]=((C_word)li992),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3592: chicken.base#getter-with-setter */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[19]+1);
av2[3]=t4;
av2[4]=lf[1378];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in ... */
static void C_ccall f_19762(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19762,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[19]+1 /* (set! scheme#cddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19766,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31650,a[2]=((C_word)li991),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3593: chicken.base#getter-with-setter */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[20]+1);
av2[3]=t4;
av2[4]=lf[1377];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in ... */
static void C_ccall f_19766(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19766,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[20]+1 /* (set! scheme#caaar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19770,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31640,a[2]=((C_word)li990),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3594: chicken.base#getter-with-setter */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[21]+1);
av2[3]=t4;
av2[4]=lf[1376];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in ... */
static void C_ccall f_19770(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19770,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[21]+1 /* (set! scheme#caadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19774,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31630,a[2]=((C_word)li989),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3595: chicken.base#getter-with-setter */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[22]+1);
av2[3]=t4;
av2[4]=lf[1375];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in ... */
static void C_ccall f_19774(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19774,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[22]+1 /* (set! scheme#cadar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19778,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31620,a[2]=((C_word)li988),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3596: chicken.base#getter-with-setter */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[14]+1);
av2[3]=t4;
av2[4]=lf[1374];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in ... */
static void C_ccall f_19778(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19778,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[14]+1 /* (set! scheme#caddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19782,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31610,a[2]=((C_word)li987),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3597: chicken.base#getter-with-setter */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[23]+1);
av2[3]=t4;
av2[4]=lf[1373];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in ... */
static void C_ccall f_19782(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19782,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[23]+1 /* (set! scheme#cdaar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19786,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31600,a[2]=((C_word)li986),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3598: chicken.base#getter-with-setter */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[24]+1);
av2[3]=t4;
av2[4]=lf[1372];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in ... */
static void C_ccall f_19786(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19786,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[24]+1 /* (set! scheme#cdadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19790,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31590,a[2]=((C_word)li985),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3599: chicken.base#getter-with-setter */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[25]+1);
av2[3]=t4;
av2[4]=lf[1371];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in ... */
static void C_ccall f_19790(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19790,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[25]+1 /* (set! scheme#cddar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19794,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31580,a[2]=((C_word)li984),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3600: chicken.base#getter-with-setter */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[26]+1);
av2[3]=t4;
av2[4]=lf[1370];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in ... */
static void C_ccall f_19794(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_19794,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[26]+1 /* (set! scheme#cdddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19798,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3601: chicken.base#getter-with-setter */
t4=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[58]+1);
av2[3]=*((C_word*)lf[59]+1);
av2[4]=lf[1369];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in ... */
static void C_ccall f_19798(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_19798,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[58]+1 /* (set! scheme#string-ref ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19802,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3602: chicken.base#getter-with-setter */
t4=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[91]+1);
av2[3]=*((C_word*)lf[92]+1);
av2[4]=lf[1368];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in ... */
static void C_ccall f_19802(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_19802,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[91]+1 /* (set! scheme#vector-ref ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19806,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31570,a[2]=((C_word)li983),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3605: chicken.base#getter-with-setter */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[45]+1);
av2[3]=t4;
av2[4]=lf[1367];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in ... */
static void C_ccall f_19806(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(56,c,4)))){
C_save_and_reclaim((void *)f_19806,2,av);}
a=C_alloc(56);
t2=C_mutate((C_word*)lf[45]+1 /* (set! scheme#list-ref ...) */,t1);
t3=C_SCHEME_UNDEFINED;
t4=C_a_i_vector(&a,16,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3);
t5=C_mutate(&lf[764] /* (set! ##sys#default-parameter-vector ...) */,t4);
t6=C_mutate((C_word*)lf[765]+1 /* (set! ##sys#current-parameter-vector ...) */,lf[766]);
t7=C_fix(0);
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_mutate((C_word*)lf[200]+1 /* (set! chicken.base#make-parameter ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19813,a[2]=t8,a[3]=((C_word)li624),tmp=(C_word)a,a+=4,tmp));
t10=C_mutate((C_word*)lf[146]+1 /* (set! scheme#char-ready? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19977,a[2]=((C_word)li625),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[147]+1 /* (set! scheme#read-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20002,a[2]=((C_word)li626),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[768]+1 /* (set! ##sys#read-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20020,a[2]=((C_word)li627),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[769]+1 /* (set! ##sys#read-char/port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20080,a[2]=((C_word)li628),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[770]+1 /* (set! ##sys#peek-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20089,a[2]=((C_word)li629),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[148]+1 /* (set! scheme#peek-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20114,a[2]=((C_word)li630),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[149]+1 /* (set! scheme#read ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20132,a[2]=((C_word)li631),tmp=(C_word)a,a+=3,tmp));
t17=C_set_block_item(lf[772] /* ##sys#default-read-info-hook */,0,C_SCHEME_FALSE);
t18=C_set_block_item(lf[773] /* ##sys#read-error-with-line-number */,0,C_SCHEME_FALSE);
t19=C_set_block_item(lf[774] /* ##sys#enable-qualifiers */,0,C_SCHEME_TRUE);
t20=C_mutate((C_word*)lf[775]+1 /* (set! ##sys#read-prompt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20153,a[2]=((C_word)li632),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[776]+1 /* (set! ##sys#infix-list-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20156,a[2]=((C_word)li633),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[777]+1 /* (set! ##sys#sharp-number-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20159,a[2]=((C_word)li634),tmp=(C_word)a,a+=3,tmp));
t23=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20167,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3717: chicken.base#make-parameter */
t24=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t24;
av2[1]=t23;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t24+1)))(3,av2);}}

/* chicken.base#make-parameter in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in ... */
static void C_ccall f_19813(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,3)))){
C_save_and_reclaim((void*)f_19813,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19971,a[2]=((C_word)li617),tmp=(C_word)a,a+=3,tmp):C_i_car(t3));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19820,a[2]=((C_word*)t0)[2],a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3619: guard */
t8=t6;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t8))(3,av2);}}

/* k19818 in chicken.base#make-parameter in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in ... */
static void C_ccall f_19820(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,6)))){
C_save_and_reclaim((void *)f_19820,2,av);}
a=C_alloc(14);
t2=t1;
t3=((C_word*)((C_word*)t0)[2])[1];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19821,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word)li618),tmp=(C_word)a,a+=5,tmp);
t5=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t6=C_set_block_item(((C_word*)t0)[2],0,t5);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19855,a[2]=t3,a[3]=t2,a[4]=t4,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t8=C_block_size(C_retrieve2(lf[764],C_text("##sys#default-parameter-vector")));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t8))){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19959,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t10=C_fixnum_plus(t3,C_fix(1));
/* library.scm:3636: ##sys#vector-resize */
f_18006(t9,C_retrieve2(lf[764],C_text("##sys#default-parameter-vector")),t10,C_SCHEME_UNDEFINED);}
else{
t9=t7;
f_19855(t9,C_SCHEME_UNDEFINED);}}

/* assign in k19818 in chicken.base#make-parameter in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in ... */
static void C_fcall f_19821(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_19821,6,t0,t1,t2,t3,t4,t5);}
a=C_alloc(11);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19825,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t4,a[6]=((C_word*)t0)[3],a[7]=t2,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[2],t3))){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19844,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:3624: ##sys#vector-resize */
f_18006(t7,C_fast_retrieve(lf[765]),t8,*((C_word*)lf[624]+1));}
else{
t7=t6;
f_19825(t7,C_SCHEME_UNDEFINED);}}

/* k19823 in assign in k19818 in chicken.base#make-parameter in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in ... */
static void C_fcall f_19825(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_19825,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19828,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[5])){
/* library.scm:3628: guard */
t3=((C_word*)t0)[6];{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}
else{
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[7];
f_19828(2,av2);}}}

/* k19826 in k19823 in assign in k19818 in chicken.base#make-parameter in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in ... */
static void C_ccall f_19828(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19828,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_i_setslot(C_fast_retrieve(lf[765]),((C_word*)t0)[3],t1);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k19842 in assign in k19818 in chicken.base#make-parameter in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in ... */
static void C_ccall f_19844(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19844,2,av);}
t2=C_mutate((C_word*)lf[765]+1 /* (set! ##sys#current-parameter-vector ...) */,t1);
t3=((C_word*)t0)[2];
f_19825(t3,t2);}

/* k19853 in k19818 in chicken.base#make-parameter in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in ... */
static void C_fcall f_19855(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_19855,2,t0,t1);}
a=C_alloc(9);
t2=C_i_setslot(C_retrieve2(lf[764],C_text("##sys#default-parameter-vector")),((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19863,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word)li622),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19945,a[2]=((C_word*)t0)[4],a[3]=((C_word)li623),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3642: chicken.base#getter-with-setter */
t5=*((C_word*)lf[199]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a19862 in k19853 in k19818 in chicken.base#make-parameter in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in ... */
static void C_ccall f_19863(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +14,c,4)))){
C_save_and_reclaim((void*)f_19863,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+14);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
t3=C_block_size(C_fast_retrieve(lf[765]));
t4=t3;
if(C_truep(C_i_pairp(t2))){
t5=t2;
t6=C_u_i_cdr(t5);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19875,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word)li619),tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19884,a[2]=t7,a[3]=((C_word)li620),tmp=(C_word)a,a+=4,tmp);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19889,a[2]=t8,a[3]=((C_word)li621),tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t6))){
/* library.scm:3646: def-convert?4311 */
t10=t9;
f_19889(t10,t1);}
else{
t10=C_i_car(t6);
t11=C_u_i_cdr(t6);
if(C_truep(C_i_nullp(t11))){
/* library.scm:3646: def-set?4312 */
t12=t8;
f_19884(t12,t1,t10);}
else{
t12=C_i_car(t11);
t13=C_u_i_cdr(t11);
/* library.scm:3646: body4309 */
t14=t7;
f_19875(t14,t1,t10,t12);}}}
else{
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[3],t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_slot(C_retrieve2(lf[764],C_text("##sys#default-parameter-vector")),((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_slot(C_fast_retrieve(lf[765]),((C_word*)t0)[3]);
t6=C_eqp(t5,*((C_word*)lf[624]+1));
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_slot(C_retrieve2(lf[764],C_text("##sys#default-parameter-vector")),((C_word*)t0)[3]):t5);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}

/* body4309 in a19862 in k19853 in k19818 in chicken.base#make-parameter in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in ... */
static void C_fcall f_19875(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_19875,4,t0,t1,t2,t3);}
t4=C_i_car(((C_word*)t0)[2]);
/* library.scm:3648: assign */
t5=((C_word*)t0)[3];
f_19821(t5,t1,t4,((C_word*)t0)[4],t2,t3);}

/* def-set?4312 in a19862 in k19853 in k19818 in chicken.base#make-parameter in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in ... */
static void C_fcall f_19884(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_19884,3,t0,t1,t2);}
/* library.scm:3646: body4309 */
t3=((C_word*)t0)[2];
f_19875(t3,t1,t2,C_SCHEME_TRUE);}

/* def-convert?4311 in a19862 in k19853 in k19818 in chicken.base#make-parameter in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in ... */
static void C_fcall f_19889(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_19889,2,t0,t1);}
/* library.scm:3646: def-set?4312 */
t2=((C_word*)t0)[2];
f_19884(t2,t1,C_SCHEME_TRUE);}

/* a19944 in k19853 in k19818 in chicken.base#make-parameter in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in ... */
static void C_ccall f_19945(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19945,3,av);}
t3=C_block_size(C_fast_retrieve(lf[765]));
/* library.scm:3658: assign */
t4=((C_word*)t0)[2];
f_19821(t4,t1,t2,t3,C_SCHEME_FALSE,C_SCHEME_TRUE);}

/* k19957 in k19818 in chicken.base#make-parameter in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in ... */
static void C_ccall f_19959(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19959,2,av);}
t2=C_mutate(&lf[764] /* (set! ##sys#default-parameter-vector ...) */,t1);
t3=((C_word*)t0)[2];
f_19855(t3,t2);}

/* f_19971 in chicken.base#make-parameter in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in ... */
static void C_ccall f_19971(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19971,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char-ready? in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in ... */
static void C_ccall f_19977(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19977,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?*((C_word*)lf[716]+1):C_i_car(t2));
t5=C_i_check_port_2(t4,C_fix(1),C_SCHEME_TRUE,lf[767]);
t6=C_slot(t4,C_fix(2));
t7=C_slot(t6,C_fix(6));
/* library.scm:3664: g4344 */
t8=t7;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t1;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t8))(3,av2);}}

/* scheme#read-char in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in ... */
static void C_ccall f_20002(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_20002,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[716]+1);
t4=C_i_check_port_2(*((C_word*)lf[716]+1),C_fix(1),C_SCHEME_TRUE,lf[703]);
/* library.scm:3671: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[716]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[703]);
/* library.scm:3671: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* ##sys#read-char-0 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in ... */
static void C_ccall f_20020(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20020,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20024,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_slot(t2,C_fix(6)))){
t4=C_i_set_i_slot(t2,C_fix(6),C_SCHEME_FALSE);
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_FILE;
f_20024(2,av2);}}
else{
t4=C_slot(t2,C_fix(2));
t5=C_slot(t4,C_fix(0));
/* library.scm:3674: g4362 */
t6=t5;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k20022 in read-char-0 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in ... */
static void C_ccall f_20024(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20024,2,av);}
t2=C_eqp(t1,C_make_character(10));
if(C_truep(t2)){
t3=C_slot(((C_word*)t0)[2],C_fix(4));
t4=C_fixnum_plus(t3,C_fix(1));
t5=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t4);
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),C_fix(0));
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t3=C_eofp(t1);
if(C_truep(C_i_not(t3))){
t4=C_slot(((C_word*)t0)[2],C_fix(5));
t5=C_fixnum_plus(t4,C_fix(1));
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),t5);
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* ##sys#read-char/port in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in ... */
static void C_ccall f_20080(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20080,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[703]);
/* library.scm:3688: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2=av;
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* ##sys#peek-char-0 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in ... */
static void C_ccall f_20089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20089,3,av);}
a=C_alloc(4);
if(C_truep(C_slot(t2,C_fix(6)))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(1));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20102,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3693: g4376 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k20100 in peek-char-0 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in ... */
static void C_ccall f_20102(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20102,2,av);}
if(C_truep(C_eofp(t1))){
t2=C_i_set_i_slot(((C_word*)t0)[2],C_fix(6),C_SCHEME_TRUE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scheme#peek-char in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in ... */
static void C_ccall f_20114(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_20114,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[716]+1);
t4=C_i_check_port_2(*((C_word*)lf[716]+1),C_fix(1),C_SCHEME_TRUE,lf[707]);
/* library.scm:3701: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[716]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[707]);
/* library.scm:3701: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* scheme#read in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in ... */
static void C_ccall f_20132(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_20132,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[716]+1);
t4=C_i_check_port_2(*((C_word*)lf[716]+1),C_fix(1),C_SCHEME_TRUE,lf[771]);
/* library.scm:3706: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[758]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[758]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[716]+1);
av2[3]=C_fast_retrieve(lf[772]);
tp(4,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[771]);
/* library.scm:3706: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[758]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[758]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fast_retrieve(lf[772]);
tp(4,av2);}}}

/* ##sys#read-prompt-hook in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in ... */
static void C_ccall f_20153(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20153,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#infix-list-hook in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in ... */
static void C_ccall f_20156(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20156,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#sharp-number-hook in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in ... */
static void C_ccall f_20159(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20159,4,av);}
/* library.scm:3715: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[779];
av2[4]=t3;
tp(5,av2);}}

/* k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in ... */
static void C_ccall f_20167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20167,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[229]+1 /* (set! chicken.base#case-sensitive ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20171,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3718: chicken.base#make-parameter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[815];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in ... */
static void C_ccall f_20171(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20171,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[230]+1 /* (set! chicken.base#keyword-style ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20175,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3719: chicken.base#make-parameter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in ... */
static void C_ccall f_20175(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20175,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[231]+1 /* (set! chicken.base#parentheses-synonyms ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20179,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3720: chicken.base#make-parameter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in ... */
static void C_ccall f_20179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_20179,2,av);}
a=C_alloc(8);
t2=C_mutate((C_word*)lf[232]+1 /* (set! chicken.base#symbol-escape ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20183,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_a_i_record4(&a,4,lf[1366],C_SCHEME_FALSE,C_SCHEME_FALSE,C_SCHEME_FALSE);
/* library.scm:3722: chicken.base#make-parameter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in ... */
static void C_ccall f_20183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(59,c,4)))){
C_save_and_reclaim((void *)f_20183,2,av);}
a=C_alloc(59);
t2=C_mutate((C_word*)lf[780]+1 /* (set! ##sys#current-read-table ...) */,t1);
t3=C_mutate((C_word*)lf[781]+1 /* (set! ##sys#read-warning ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20185,a[2]=((C_word)li635),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[778]+1 /* (set! ##sys#read-error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20208,a[2]=((C_word)li636),tmp=(C_word)a,a+=3,tmp));
t5=*((C_word*)lf[230]+1);
t6=*((C_word*)lf[229]+1);
t7=*((C_word*)lf[231]+1);
t8=*((C_word*)lf[232]+1);
t9=C_fast_retrieve(lf[780]);
t10=C_a_i_string(&a,1,C_make_character(0));
t11=t10;
t12=C_mutate((C_word*)lf[758]+1 /* (set! ##sys#read ...) */,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20234,a[2]=t11,a[3]=t9,a[4]=t8,a[5]=t7,a[6]=t5,a[7]=t6,a[8]=((C_word)li693),tmp=(C_word)a,a+=9,tmp));
t13=C_mutate((C_word*)lf[793]+1 /* (set! ##sys#char->utf8-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23179,a[2]=((C_word)li694),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[800]+1 /* (set! ##sys#unicode-surrogate? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23344,a[2]=((C_word)li695),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[797]+1 /* (set! ##sys#surrogates->codepoint ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23356,a[2]=((C_word)li696),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[848]+1 /* (set! ##sys#read-bytevector-literal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23418,a[2]=((C_word)li699),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[861]+1 /* (set! ##sys#user-read-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23566,a[2]=((C_word)li700),tmp=(C_word)a,a+=3,tmp));
t18=C_set_block_item(lf[859] /* ##sys#read-marks */,0,C_SCHEME_END_OF_LIST);
t19=C_mutate((C_word*)lf[868]+1 /* (set! ##sys#write-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23611,a[2]=((C_word)li701),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[869]+1 /* (set! ##sys#write-char/port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23627,a[2]=((C_word)li702),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[150]+1 /* (set! scheme#write-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23639,a[2]=((C_word)li703),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[151]+1 /* (set! scheme#newline ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23660,a[2]=((C_word)li704),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[152]+1 /* (set! scheme#write ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23675,a[2]=((C_word)li705),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[153]+1 /* (set! scheme#display ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23693,a[2]=((C_word)li706),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[188]+1 /* (set! chicken.base#print ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23711,a[2]=((C_word)li708),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[189]+1 /* (set! chicken.base#print* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23762,a[2]=((C_word)li710),tmp=(C_word)a,a+=3,tmp));
t27=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23815,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4470: chicken.base#make-parameter */
t28=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t28;
av2[1]=t27;
av2[2]=C_fix(0);
((C_proc)(void*)(*((C_word*)t28+1)))(3,av2);}}

/* ##sys#read-warning in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in ... */
static void C_ccall f_20185(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_20185,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20193,a[2]=t1,a[3]=t4,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3729: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2=av;
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k20191 in read-warning in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in ... */
static void C_ccall f_20193(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_20193,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20196,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(C_truep(C_fast_retrieve(lf[773]))?t1:C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20206,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3731: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}
else{
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[310]+1);
av2[3]=t4;
av2[4]=((C_word*)t0)[3];
C_apply(5,av2);}}}

/* k20194 in k20191 in read-warning in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in ... */
static void C_ccall f_20196(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20196,2,av);}{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[310]+1);
av2[3]=t1;
av2[4]=((C_word*)t0)[3];
C_apply(5,av2);}}

/* k20204 in k20191 in read-warning in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in ... */
static void C_ccall f_20206(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20206,2,av);}
/* library.scm:3731: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[782];
av2[3]=t1;
av2[4]=lf[783];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#read-error in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in ... */
static void C_ccall f_20208(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_20208,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20216,a[2]=t1,a[3]=t4,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3741: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2=av;
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k20214 in read-error in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in ... */
static void C_ccall f_20216(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,5)))){
C_save_and_reclaim((void *)f_20216,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20219,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(C_truep(C_fast_retrieve(lf[773]))?t1:C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20229,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3743: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}
else{
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[784];
av2[4]=t4;
av2[5]=((C_word*)t0)[3];
C_apply(6,av2);}}}

/* k20217 in k20214 in read-error in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in ... */
static void C_ccall f_20219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20219,2,av);}{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[784];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
C_apply(6,av2);}}

/* k20227 in k20214 in read-error in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in ... */
static void C_ccall f_20229(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20229,2,av);}
/* library.scm:3743: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[785];
av2[3]=t1;
av2[4]=lf[786];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in ... */
static void C_ccall f_20234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_20234,4,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20238,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3756: case-sensitive */
t5=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in ... */
static void C_ccall f_20238(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_20238,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20241,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3757: keyword-style */
t5=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in ... */
static void C_ccall f_20241(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_20241,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20244,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3758: parentheses-synonyms */
t5=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_20244(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_20244,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20247,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3759: symbol-escape */
t4=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_20247(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_20247,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20250,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3760: current-read-table */
t4=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_20250(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(53,c,5)))){
C_save_and_reclaim((void *)f_20250,2,av);}
a=C_alloc(53);
t2=t1;
t3=lf[787];
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_SCHEME_UNDEFINED;
t17=(*a=C_VECTOR_TYPE|1,a[1]=t16,tmp=(C_word)a,a+=2,tmp);
t18=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20252,a[2]=((C_word*)t0)[2],a[3]=((C_word)li637),tmp=(C_word)a,a+=4,tmp));
t19=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20258,a[2]=((C_word*)t0)[3],a[3]=((C_word)li638),tmp=(C_word)a,a+=4,tmp));
t20=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20267,a[2]=((C_word*)t0)[2],a[3]=((C_word)li640),tmp=(C_word)a,a+=4,tmp));
t21=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20304,a[2]=((C_word*)t0)[2],a[3]=((C_word)li641),tmp=(C_word)a,a+=4,tmp));
t22=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20313,a[2]=t5,a[3]=t13,a[4]=((C_word)li642),tmp=(C_word)a,a+=5,tmp));
t23=C_set_block_item(t17,0,(*a=C_CLOSURE_TYPE|17,a[1]=(C_word)f_20328,a[2]=((C_word*)t0)[2],a[3]=t11,a[4]=t7,a[5]=t9,a[6]=t17,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=t15,a[10]=t3,a[11]=t5,a[12]=t13,a[13]=((C_word*)t0)[6],a[14]=t2,a[15]=((C_word*)t0)[7],a[16]=((C_word*)t0)[8],a[17]=((C_word)li692),tmp=(C_word)a,a+=18,tmp));
/* library.scm:4337: readrec */
t24=((C_word*)t17)[1];
f_20328(t24,((C_word*)t0)[9]);}

/* f_20252 in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_20252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20252,3,av);}
/* library.scm:3766: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[788];
av2[4]=t2;
tp(5,av2);}}

/* info in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_fcall f_20258(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_20258,5,t0,t1,t2,t3,t4);}
if(C_truep(((C_word*)t0)[2])){
/* library.scm:3770: infohandler */
t5=((C_word*)t0)[2];{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
((C_proc)C_fast_retrieve_proc(t5))(5,av2);}}
else{
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* skip-to-eol in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_fcall f_20267(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20267,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20275,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3774: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20273 in skip-to-eol in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_20275(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_20275,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20277,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li639),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_20277(t5,((C_word*)t0)[3],t1);}

/* skip in k20273 in skip-to-eol in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_fcall f_20277(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20277,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20284,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_eofp(t2);
if(C_truep(C_i_not(t4))){
t5=C_eqp(C_make_character(10),t2);
t6=t3;
f_20284(t6,C_i_not(t5));}
else{
t5=t3;
f_20284(t5,C_SCHEME_FALSE);}}

/* k20282 in skip in k20273 in skip-to-eol in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_20284(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20284,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20291,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3776: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k20289 in k20282 in skip in k20273 in skip-to-eol in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_20291(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20291,2,av);}
/* library.scm:3776: skip */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20277(t2,((C_word*)t0)[3],t1);}

/* reserved-character in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_fcall f_20304(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20304,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20308,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3779: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20306 in reserved-character in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_20308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20308,2,av);}
/* library.scm:3780: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[789];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* read-unreserved-char-0 in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_fcall f_20313(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20313,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20317,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3783: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20315 in read-unreserved-char-0 in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_20317(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20317,2,av);}
if(C_truep(C_i_memq(t1,((C_word*)((C_word*)t0)[2])[1]))){
/* library.scm:3785: reserved-character */
t2=((C_word*)((C_word*)t0)[3])[1];
f_20304(t2,((C_word*)t0)[4],t1);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_fcall f_20328(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(159,0,5)))){
C_save_and_reclaim_args((void *)trf_20328,2,t0,t1);}
a=C_alloc(159);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_SCHEME_UNDEFINED;
t17=(*a=C_VECTOR_TYPE|1,a[1]=t16,tmp=(C_word)a,a+=2,tmp);
t18=C_SCHEME_UNDEFINED;
t19=(*a=C_VECTOR_TYPE|1,a[1]=t18,tmp=(C_word)a,a+=2,tmp);
t20=C_SCHEME_UNDEFINED;
t21=(*a=C_VECTOR_TYPE|1,a[1]=t20,tmp=(C_word)a,a+=2,tmp);
t22=C_SCHEME_UNDEFINED;
t23=(*a=C_VECTOR_TYPE|1,a[1]=t22,tmp=(C_word)a,a+=2,tmp);
t24=C_SCHEME_UNDEFINED;
t25=(*a=C_VECTOR_TYPE|1,a[1]=t24,tmp=(C_word)a,a+=2,tmp);
t26=C_SCHEME_UNDEFINED;
t27=(*a=C_VECTOR_TYPE|1,a[1]=t26,tmp=(C_word)a,a+=2,tmp);
t28=C_SCHEME_UNDEFINED;
t29=(*a=C_VECTOR_TYPE|1,a[1]=t28,tmp=(C_word)a,a+=2,tmp);
t30=C_SCHEME_UNDEFINED;
t31=(*a=C_VECTOR_TYPE|1,a[1]=t30,tmp=(C_word)a,a+=2,tmp);
t32=C_SCHEME_UNDEFINED;
t33=(*a=C_VECTOR_TYPE|1,a[1]=t32,tmp=(C_word)a,a+=2,tmp);
t34=C_SCHEME_UNDEFINED;
t35=(*a=C_VECTOR_TYPE|1,a[1]=t34,tmp=(C_word)a,a+=2,tmp);
t36=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20331,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li644),tmp=(C_word)a,a+=5,tmp));
t37=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20379,a[2]=((C_word*)t0)[2],a[3]=((C_word)li646),tmp=(C_word)a,a+=4,tmp));
t38=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20439,a[2]=((C_word)li648),tmp=(C_word)a,a+=3,tmp));
t39=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20476,a[2]=((C_word*)t0)[2],a[3]=t5,a[4]=t7,a[5]=((C_word)li651),tmp=(C_word)a,a+=6,tmp));
t40=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_21042,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t35,a[9]=t27,a[10]=((C_word)li657),tmp=(C_word)a,a+=11,tmp));
t41=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21304,a[2]=((C_word*)t0)[2],a[3]=t11,a[4]=((C_word)li658),tmp=(C_word)a,a+=5,tmp));
t42=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21322,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=t35,a[5]=t27,a[6]=((C_word)li660),tmp=(C_word)a,a+=7,tmp));
t43=C_set_block_item(t17,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21392,a[2]=((C_word*)t0)[2],a[3]=t15,a[4]=((C_word)li661),tmp=(C_word)a,a+=5,tmp));
t44=C_set_block_item(t19,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21443,a[2]=((C_word*)t0)[2],a[3]=t15,a[4]=((C_word)li662),tmp=(C_word)a,a+=5,tmp));
t45=C_set_block_item(t21,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21510,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[10],a[6]=((C_word)li664),tmp=(C_word)a,a+=7,tmp));
t46=C_set_block_item(t23,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21574,a[2]=((C_word*)t0)[2],a[3]=((C_word)li666),tmp=(C_word)a,a+=4,tmp));
t47=C_set_block_item(t25,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21620,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=t35,a[5]=t27,a[6]=((C_word)li668),tmp=(C_word)a,a+=7,tmp));
t48=C_set_block_item(t27,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21645,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[11],a[4]=((C_word*)t0)[12],a[5]=t9,a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[10],a[9]=((C_word)li670),tmp=(C_word)a,a+=10,tmp));
t49=C_set_block_item(t29,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21859,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[10],a[4]=t21,a[5]=((C_word)li671),tmp=(C_word)a,a+=6,tmp));
t50=C_set_block_item(t31,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22068,a[2]=((C_word*)t0)[2],a[3]=((C_word)li673),tmp=(C_word)a,a+=4,tmp));
t51=C_set_block_item(t33,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22155,a[2]=((C_word*)t0)[2],a[3]=t21,a[4]=((C_word)li675),tmp=(C_word)a,a+=5,tmp));
t52=C_set_block_item(t35,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22247,a[2]=((C_word*)t0)[13],a[3]=((C_word)li676),tmp=(C_word)a,a+=4,tmp));
t53=(*a=C_CLOSURE_TYPE|26,a[1]=(C_word)f_22259,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[14],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[6],a[6]=t1,a[7]=t23,a[8]=t17,a[9]=t19,a[10]=((C_word*)t0)[8],a[11]=t13,a[12]=t29,a[13]=t31,a[14]=t33,a[15]=((C_word*)t0)[7],a[16]=t35,a[17]=t27,a[18]=t21,a[19]=((C_word*)t0)[3],a[20]=t11,a[21]=((C_word*)t0)[4],a[22]=t9,a[23]=t15,a[24]=((C_word*)t0)[12],a[25]=t25,a[26]=t3,tmp=(C_word)a,a+=27,tmp);
t54=C_i_not(((C_word*)t0)[15]);
t55=(C_truep(t54)?lf[862]:C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(((C_word*)t0)[16]))){
/* library.scm:4180: scheme#append */
t56=*((C_word*)lf[373]+1);{
C_word av2[4];
av2[0]=t56;
av2[1]=t53;
av2[2]=t55;
av2[3]=lf[863];
((C_proc)(void*)(*((C_word*)t56+1)))(4,av2);}}
else{
/* library.scm:4180: scheme#append */
t56=*((C_word*)lf[373]+1);{
C_word av2[4];
av2[0]=t56;
av2[1]=t53;
av2[2]=t55;
av2[3]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t56+1)))(4,av2);}}}

/* r-spaces in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_20331(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20331,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20339,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3791: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20337 in r-spaces in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_20339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_20339,2,av);}
a=C_alloc(8);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20341,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li643),tmp=(C_word)a,a+=6,tmp));
t5=((C_word*)t3)[1];
f_20341(t5,((C_word*)t0)[4],t1);}

/* loop in k20337 in r-spaces in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_20341(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20341,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eofp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_eqp(C_make_character(59),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20354,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3794: skip-to-eol */
t6=((C_word*)((C_word*)t0)[4])[1];
f_20267(t6,t5);}
else{
if(C_truep(C_u_i_char_whitespacep(t2))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20370,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3797: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}}

/* k20352 in loop in k20337 in r-spaces in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_20354(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20354,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20361,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3795: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k20359 in k20352 in loop in k20337 in r-spaces in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_20361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20361,2,av);}
/* library.scm:3795: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20341(t2,((C_word*)t0)[3],t1);}

/* k20368 in loop in k20337 in r-spaces in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_20370(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20370,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20377,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3798: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k20375 in k20368 in loop in k20337 in r-spaces in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_20377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20377,2,av);}
/* library.scm:3798: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20341(t2,((C_word*)t0)[3],t1);}

/* r-usequence in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_20379(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_20379,5,t0,t1,t2,t3,t4);}
a=C_alloc(9);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20385,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t4,a[5]=t6,a[6]=((C_word)li645),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_20385(t8,t1,C_SCHEME_END_OF_LIST,t3);}

/* loop in r-usequence in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_fcall f_20385(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_20385,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20395,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3803: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20411,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=t3,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3810: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}}

/* k20393 in loop in r-usequence in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_20395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_20395,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20398,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3804: scheme#string->number */
t4=*((C_word*)lf[617]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k20396 in k20393 in loop in r-usequence in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_20398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_20398,2,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20408,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3808: string-append */
t3=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[790];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=lf[791];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* k20406 in k20396 in k20393 in loop in r-usequence in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_20408(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20408,2,av);}
/* library.scm:3806: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k20409 in loop in r-usequence in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_20411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20411,2,av);}
a=C_alloc(3);
t2=C_eofp(t1);
t3=(C_truep(t2)?t2:C_i_char_equalp(C_make_character(34),t1));
if(C_truep(t3)){
/* library.scm:3812: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[792];
tp(4,av2);}}
else{
t4=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
t5=C_fixnum_difference(((C_word*)t0)[5],C_fix(1));
/* library.scm:3813: loop */
t6=((C_word*)((C_word*)t0)[6])[1];
f_20385(t6,((C_word*)t0)[2],t4,t5);}}

/* r-cons-codepoint in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_20439(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20439,3,t1,t2,t3);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20443,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_make_character(C_unfix(t2));
/* library.scm:3816: ##sys#char->utf8-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[793]);
C_word av2[3];
av2[0]=*((C_word*)lf[793]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}

/* k20441 in r-cons-codepoint in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_20443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_20443,2,av);}
a=C_alloc(8);
t2=t1;
t3=C_block_size(t2);
t4=t3;
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20451,a[2]=t4,a[3]=t2,a[4]=t6,a[5]=((C_word)li647),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_20451(t8,((C_word*)t0)[2],C_fix(0),((C_word*)t0)[3]);}

/* lp in k20441 in r-cons-codepoint in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_20451(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_20451,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
t5=C_subchar(((C_word*)t0)[3],t2);
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:3821: lp */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}

/* r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_20476(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_20476,3,t0,t1,t2);}
a=C_alloc(7);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20484,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3824: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_20484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_20484,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20486,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li650),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_20486(t5,((C_word*)t0)[6],t1,C_SCHEME_END_OF_LIST);}

/* loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_20486(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_20486,4,t0,t1,t2,t3);}
a=C_alloc(11);
t4=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
if(C_truep(C_eofp(((C_word*)t4)[1]))){
/* library.scm:3826: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[4];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[794];
tp(4,av2);}}
else{
t5=C_eqp(C_make_character(92),((C_word*)t4)[1]);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20503,a[2]=t4,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3828: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}
else{
t6=C_eqp(((C_word*)t0)[6],((C_word*)t4)[1]);
if(C_truep(t6)){
/* library.scm:3899: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21036,a[2]=t4,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3900: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}}}}

/* k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_20503(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_20503,2,av);}
a=C_alloc(9);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)((C_word*)t0)[2])[1];
switch(t3){
case C_make_character(116):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20516,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3830: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(114):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20533,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3831: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(98):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20550,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3832: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(110):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20567,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3833: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(97):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20584,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3834: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(118):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20605,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3835: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(102):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20626,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3836: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(120):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20658,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3838: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20379(t5,t4,lf[795],C_fix(2),C_fix(16));
case C_make_character(117):
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20667,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3841: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20379(t5,t4,lf[801],C_fix(4),C_fix(16));
case C_make_character(85):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20741,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3854: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20379(t5,t4,lf[803],C_fix(8),C_fix(16));
default:
t4=C_eqp(t3,C_make_character(92));
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20770,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t3,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_20770(t6,t4);}
else{
t6=C_eqp(t3,C_make_character(39));
if(C_truep(t6)){
t7=t5;
f_20770(t7,t6);}
else{
t7=C_eqp(t3,C_make_character(34));
t8=t5;
f_20770(t8,(C_truep(t7)?t7:C_eqp(t3,C_make_character(124))));}}}}

/* k20514 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_20516(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20516,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(9),((C_word*)t0)[2]);
/* library.scm:3830: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20486(t3,((C_word*)t0)[4],t1,t2);}

/* k20531 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_20533(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20533,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(13),((C_word*)t0)[2]);
/* library.scm:3831: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20486(t3,((C_word*)t0)[4],t1,t2);}

/* k20548 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_20550(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20550,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(8),((C_word*)t0)[2]);
/* library.scm:3832: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20486(t3,((C_word*)t0)[4],t1,t2);}

/* k20565 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_20567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20567,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(10),((C_word*)t0)[2]);
/* library.scm:3833: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20486(t3,((C_word*)t0)[4],t1,t2);}

/* k20582 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_20584(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20584,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(7),((C_word*)t0)[2]);
/* library.scm:3834: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20486(t3,((C_word*)t0)[4],t1,t2);}

/* k20603 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_20605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20605,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(11),((C_word*)t0)[2]);
/* library.scm:3835: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20486(t3,((C_word*)t0)[4],t1,t2);}

/* k20624 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_20626(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20626,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(12),((C_word*)t0)[2]);
/* library.scm:3836: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20486(t3,((C_word*)t0)[4],t1,t2);}

/* k20648 in k20656 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_20650(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20650,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:3839: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20486(t3,((C_word*)t0)[5],t1,t2);}

/* k20656 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_20658(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20658,2,av);}
a=C_alloc(6);
t2=C_make_character(C_unfix(t1));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20650,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3839: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k20665 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_20667(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_20667,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20673,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3842: ##sys#unicode-surrogate? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[800]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[800]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20671 in k20665 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_20673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_20673,2,av);}
a=C_alloc(13);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20679,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20721,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3843: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20728,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3852: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}}

/* k20677 in k20671 in k20665 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_fcall f_20679(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_20679,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20682,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3845: r-usequence */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20379(t3,t2,lf[798],C_fix(4),C_fix(16));}
else{
/* library.scm:3851: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[5];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[799];
av2[4]=((C_word*)t0)[7];
tp(5,av2);}}}

/* k20680 in k20677 in k20671 in k20665 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_20682(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_20682,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20685,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
/* library.scm:3846: ##sys#surrogates->codepoint */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[797]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[797]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=t2;
tp(4,av2);}}

/* k20683 in k20680 in k20677 in k20671 in k20665 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_20685(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_20685,2,av);}
a=C_alloc(7);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20695,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3848: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
/* library.scm:3850: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[796];
av2[4]=((C_word*)t0)[7];
av2[5]=((C_word*)t0)[8];
tp(6,av2);}}}

/* k20693 in k20683 in k20680 in k20677 in k20671 in k20665 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_20695(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20695,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20699,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3849: r-cons-codepoint */
f_20439(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20697 in k20693 in k20683 in k20680 in k20677 in k20671 in k20665 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_20699(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20699,2,av);}
/* library.scm:3848: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20486(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20714 in k20719 in k20671 in k20665 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_20716(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20716,2,av);}
t2=((C_word*)t0)[2];
f_20679(t2,C_eqp(C_make_character(117),t1));}

/* k20719 in k20671 in k20665 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_20721(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20721,2,av);}
a=C_alloc(3);
t2=C_eqp(C_make_character(92),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20716,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3844: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t3=((C_word*)t0)[2];
f_20679(t3,C_SCHEME_FALSE);}}

/* k20726 in k20671 in k20665 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_20728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20728,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20732,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3852: r-cons-codepoint */
f_20439(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20730 in k20726 in k20671 in k20665 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_20732(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20732,2,av);}
/* library.scm:3852: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20486(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20739 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_20741(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_20741,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20747,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3855: ##sys#unicode-surrogate? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[800]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[800]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20745 in k20739 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_20747(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_20747,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
/* library.scm:3856: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[802];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20757,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3857: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k20755 in k20745 in k20739 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_20757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20757,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20761,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3857: r-cons-codepoint */
f_20439(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20759 in k20755 in k20745 in k20739 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_20761(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20761,2,av);}
/* library.scm:3857: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20486(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20768 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_fcall f_20770(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_20770,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20777,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3859: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
t2=C_eqp(((C_word*)t0)[7],C_make_character(10));
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20790,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t2)){
t4=t3;
f_20790(t4,t2);}
else{
t4=C_eqp(((C_word*)t0)[7],C_make_character(13));
if(C_truep(t4)){
t5=t3;
f_20790(t5,t4);}
else{
t5=C_eqp(((C_word*)t0)[7],C_make_character(32));
t6=t3;
f_20790(t6,(C_truep(t5)?t5:C_eqp(((C_word*)t0)[7],C_make_character(9))));}}}}

/* k20775 in k20768 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_20777(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20777,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3859: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20486(t3,((C_word*)t0)[5],t1,t2);}

/* k20788 in k20768 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_fcall f_20790(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_20790,2,t0,t1);}
a=C_alloc(9);
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20795,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word)li649),tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_20795(t5,((C_word*)t0)[5],((C_word*)((C_word*)t0)[6])[1],C_SCHEME_FALSE);}
else{
if(C_truep(C_eofp(((C_word*)((C_word*)t0)[6])[1]))){
/* library.scm:3885: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[4];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[805];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20894,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_u_i_char_numericp(((C_word*)((C_word*)t0)[6])[1]))){
t3=C_i_char_greater_or_equal_p(((C_word*)((C_word*)t0)[6])[1],C_make_character(48));
t4=t2;
f_20894(t4,(C_truep(t3)?C_i_char_less_or_equal_p(((C_word*)((C_word*)t0)[6])[1],C_make_character(55)):C_SCHEME_FALSE));}
else{
t3=t2;
f_20894(t3,C_SCHEME_FALSE);}}}}

/* eat-ws in k20788 in k20768 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_fcall f_20795(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_20795,4,t0,t1,t2,t3);}
a=C_alloc(6);
t4=t2;
t5=C_eqp(t4,C_make_character(32));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(9)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20812,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3865: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
switch(t4){
case C_make_character(13):
if(C_truep(t3)){
/* library.scm:3868: loop */
t7=((C_word*)((C_word*)t0)[4])[1];
f_20486(t7,t1,t2,((C_word*)t0)[5]);}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20827,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3869: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
case C_make_character(10):
if(C_truep(t3)){
/* library.scm:3875: loop */
t7=((C_word*)((C_word*)t0)[4])[1];
f_20486(t7,t1,t2,((C_word*)t0)[5]);}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20862,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3876: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
default:
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20865,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t3)){
/* library.scm:3882: loop */
t8=((C_word*)((C_word*)t0)[4])[1];
f_20486(t8,t1,t2,((C_word*)t0)[5]);}
else{
/* library.scm:3879: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word av2[4];
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[804];
tp(4,av2);}}}}}

/* k20810 in eat-ws in k20788 in k20768 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_20812(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20812,2,av);}
/* library.scm:3865: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20795(t2,((C_word*)t0)[3],t1,((C_word*)t0)[4]);}

/* k20825 in eat-ws in k20788 in k20768 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_20827(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_20827,2,av);}
a=C_alloc(4);
t2=C_eqp(t1,C_make_character(10));
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20840,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3871: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
/* library.scm:3872: eat-ws */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20795(t3,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}}

/* k20838 in k20825 in eat-ws in k20788 in k20768 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_20840(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20840,2,av);}
/* library.scm:3871: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20795(t2,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}

/* k20860 in eat-ws in k20788 in k20768 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_20862(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20862,2,av);}
/* library.scm:3876: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20795(t2,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}

/* k20863 in eat-ws in k20788 in k20768 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_20865(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20865,2,av);}
/* library.scm:3882: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20486(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k20892 in k20788 in k20768 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_fcall f_20894(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_20894,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=C_fix(C_character_code(((C_word*)((C_word*)t0)[2])[1]));
t3=C_fixnum_difference(t2,C_fix(48));
t4=C_fixnum_times(t3,C_fix(64));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20920,a[2]=t5,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3891: r-usequence */
t7=((C_word*)((C_word*)t0)[7])[1];
f_20379(t7,t6,lf[806],C_fix(2),C_fix(8));}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20931,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3894: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word av2[5];
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=lf[807];
av2[4]=((C_word*)((C_word*)t0)[2])[1];
tp(5,av2);}}}

/* k20902 in k20918 in k20892 in k20788 in k20768 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_20904(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20904,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:3892: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20486(t3,((C_word*)t0)[5],t1,t2);}

/* k20918 in k20892 in k20788 in k20768 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_20920(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20920,2,av);}
a=C_alloc(6);
t2=C_fixnum_plus(((C_word*)t0)[2],t1);
t3=C_make_character(C_unfix(t2));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20904,a[2]=t4,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3892: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k20929 in k20892 in k20788 in k20768 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_20931(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20931,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20938,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3898: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k20936 in k20929 in k20892 in k20788 in k20768 in k20501 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_20938(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20938,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3898: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20486(t3,((C_word*)t0)[5],t1,t2);}

/* k21034 in loop in k20482 in r-string in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_21036(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21036,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3900: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20486(t3,((C_word*)t0)[5],t1,t2);}

/* r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_21042(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,2)))){
C_save_and_reclaim_args((void *)trf_21042,4,t0,t1,t2,t3);}
a=C_alloc(13);
t4=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21302,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],tmp=(C_word)a,a+=13,tmp);
/* library.scm:3903: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* starting-line in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_21051(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_21051,3,t0,t1,t2);}
a=C_alloc(4);
t3=(C_truep(((C_word*)((C_word*)t0)[2])[1])?C_fast_retrieve(lf[773]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21065,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3911: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
tp(3,av2);}}
else{
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k21063 in starting-line in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_21065(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21065,2,av);}
/* library.scm:3909: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[808];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k21066 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_21068(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21068,2,av);}
a=C_alloc(5);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)t0)[3]);
if(C_truep(((C_word*)((C_word*)t0)[4])[1])){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21079,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3978: ##sys#infix-list-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[776]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[776]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
tp(3,av2);}}
else{
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k21077 in k21066 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_21079(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21079,2,av);}
/* library.scm:3978: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20258(t2,((C_word*)t0)[3],lf[809],t1,((C_word*)((C_word*)t0)[4])[1]);}

/* a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_21081(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(23,c,3)))){
C_save_and_reclaim((void *)f_21081,3,av);}
a=C_alloc(23);
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21084,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word)li653),tmp=(C_word)a,a+=7,tmp));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21106,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=t5,a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word)li655),tmp=(C_word)a,a+=14,tmp));
t7=((C_word*)t5)[1];
f_21106(t7,t1,C_SCHEME_END_OF_LIST);}

/* f_21084 in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_21084(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21084,3,av);}
a=C_alloc(6);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
/* library.scm:3918: return */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21101,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3921: starting-line */
t5=((C_word*)t0)[5];
f_21051(t5,t4,lf[810]);}}

/* k21099 */
static void C_ccall f_21101(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_21101,2,av);}
/* library.scm:3919: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
tp(6,av2);}}

/* loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_fcall f_21106(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_21106,3,t0,t1,t2);}
a=C_alloc(15);
t3=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21110,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t2,a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],a[11]=((C_word*)t0)[9],a[12]=((C_word*)t0)[10],a[13]=((C_word*)t0)[11],a[14]=((C_word*)t0)[12],tmp=(C_word)a,a+=15,tmp);
/* library.scm:3924: r-spaces */
t4=((C_word*)((C_word*)t0)[5])[1];
f_20331(t4,t3);}

/* k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_21110(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,2)))){
C_save_and_reclaim((void *)f_21110,2,av);}
a=C_alloc(18);
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21113,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
if(C_truep(((C_word*)((C_word*)t0)[9])[1])){
t3=t2;
f_21113(t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21295,a[2]=((C_word*)t0)[14],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3925: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k21111 in k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_fcall f_21113(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,2)))){
C_save_and_reclaim_args((void *)trf_21113,2,t0,t1);}
a=C_alloc(14);
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21116,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
/* library.scm:3926: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21114 in k21111 in k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_21116(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_21116,2,av);}
a=C_alloc(14);
if(C_truep(C_eofp(t1))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21126,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3930: starting-line */
t3=((C_word*)t0)[4];
f_21051(t3,t2,lf[811]);}
else{
t2=C_eqp(t1,((C_word*)t0)[5]);
if(C_truep(t2)){
/* library.scm:3932: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t3=C_eqp(t1,C_make_character(46));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21144,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
/* library.scm:3934: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21291,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[10],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3971: readrec */
t5=((C_word*)((C_word*)t0)[8])[1];
f_20328(t5,t4);}}}}

/* k21124 in k21114 in k21111 in k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_21126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21126,2,av);}
/* library.scm:3928: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k21142 in k21114 in k21111 in k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_21144(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_21144,2,av);}
a=C_alloc(14);
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21147,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
/* library.scm:3935: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k21145 in k21142 in k21114 in k21111 in k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_21147(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_21147,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_u_i_char_whitespacep(t2);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21156,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=t2,a[14]=((C_word*)t0)[13],tmp=(C_word)a,a+=15,tmp);
if(C_truep(t3)){
t5=t4;
f_21156(t5,t3);}
else{
t5=C_eqp(t2,C_make_character(40));
if(C_truep(t5)){
t6=t4;
f_21156(t6,t5);}
else{
t6=C_eqp(t2,C_make_character(41));
if(C_truep(t6)){
t7=t4;
f_21156(t7,t6);}
else{
t7=C_eqp(t2,C_make_character(34));
t8=t4;
f_21156(t8,(C_truep(t7)?t7:C_eqp(t2,C_make_character(59))));}}}}

/* k21154 in k21145 in k21142 in k21114 in k21111 in k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_fcall f_21156(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_21156,2,t0,t1);}
a=C_alloc(9);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21159,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[2]))){
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_21159(2,av2);}}
else{
/* library.scm:3942: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[4];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[813];
tp(4,av2);}}}
else{
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21200,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[10],a[5]=((C_word*)t0)[11],a[6]=((C_word*)t0)[12],a[7]=((C_word*)t0)[13],a[8]=((C_word)li654),tmp=(C_word)a,a+=9,tmp);
/* library.scm:3952: r-xtoken */
t3=((C_word*)((C_word*)t0)[14])[1];
f_21645(t3,((C_word*)t0)[4],t2);}}

/* k21157 in k21154 in k21145 in k21142 in k21114 in k21111 in k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_21159(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_21159,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21162,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3943: r-spaces */
t3=((C_word*)((C_word*)t0)[7])[1];
f_20331(t3,t2);}

/* k21160 in k21157 in k21154 in k21145 in k21142 in k21114 in k21111 in k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in ... */
static void C_ccall f_21162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_21162,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21189,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3944: readrec */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20328(t3,t2);}

/* k21166 in k21187 in k21160 in k21157 in k21154 in k21145 in k21142 in k21114 in k21111 in k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in ... */
static void C_ccall f_21168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21168,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21185,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3946: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21179 in k21183 in k21166 in k21187 in k21160 in k21157 in k21154 in k21145 in k21142 in k21114 in k21111 in k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in ... */
static void C_ccall f_21181(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21181,2,av);}
/* library.scm:3947: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* k21183 in k21166 in k21187 in k21160 in k21157 in k21154 in k21145 in k21142 in k21114 in k21111 in k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in ... */
static void C_ccall f_21185(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21185,2,av);}
a=C_alloc(5);
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21181,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3949: starting-line */
t4=((C_word*)t0)[5];
f_21051(t4,t3,lf[812]);}}

/* k21187 in k21160 in k21157 in k21154 in k21145 in k21142 in k21114 in k21111 in k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in ... */
static void C_ccall f_21189(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21189,2,av);}
a=C_alloc(6);
t2=C_i_setslot(((C_word*)t0)[2],C_fix(1),t1);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21168,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3945: r-spaces */
t4=((C_word*)((C_word*)t0)[7])[1];
f_20331(t4,t3);}

/* a21199 in k21154 in k21145 in k21142 in k21114 in k21111 in k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_21200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_21200,4,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21204,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=t3,a[9]=((C_word*)t0)[7],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3954: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t4;
av2[2]=lf[817];
av2[3]=t2;
tp(4,av2);}}

/* k21202 in a21199 in k21154 in k21145 in k21142 in k21114 in k21111 in k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in ... */
static void C_ccall f_21204(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_21204,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21207,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t4=C_i_string_equal_p(t2,lf[814]);
t5=(C_truep(t4)?C_eqp(((C_word*)((C_word*)t0)[6])[1],lf[815]):C_SCHEME_FALSE);
if(C_truep(t5)){
/* library.scm:3960: build-keyword */
t6=((C_word*)((C_word*)t0)[7])[1];
f_22247(t6,t3,lf[816]);}
else{
if(C_truep(((C_word*)t0)[8])){
/* library.scm:3961: build-keyword */
t6=((C_word*)((C_word*)t0)[7])[1];
f_22247(t6,t3,t2);}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21235,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_u_i_char_numericp(((C_word*)t0)[9]))){
/* library.scm:3963: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t6;
av2[2]=t2;
tp(3,av2);}}
else{
/* library.scm:4172: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t3;
av2[2]=t2;
C_string_to_symbol(3,av2);}}}}}

/* k21205 in k21202 in a21199 in k21154 in k21145 in k21142 in k21114 in k21111 in k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in ... */
static void C_ccall f_21207(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_21207,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t3=C_i_setslot(((C_word*)t0)[3],C_fix(1),t2);
/* library.scm:3969: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21106(t4,((C_word*)t0)[5],t2);}
else{
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
/* library.scm:3969: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21106(t4,((C_word*)t0)[5],t2);}}

/* k21233 in k21202 in a21199 in k21154 in k21145 in k21142 in k21114 in k21111 in k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in ... */
static void C_ccall f_21235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21235,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
f_21207(2,av2);}}
else{
/* library.scm:4172: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_string_to_symbol(3,av2);}}}

/* k21289 in k21114 in k21111 in k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_21291(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_21291,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t3=C_i_setslot(((C_word*)t0)[3],C_fix(1),t2);
/* library.scm:3975: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21106(t4,((C_word*)t0)[5],t2);}
else{
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
/* library.scm:3975: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21106(t4,((C_word*)t0)[5],t2);}}

/* k21293 in k21108 in loop in a21080 in k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_21295(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_21295,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_21113(t3,t2);}

/* k21300 in r-list in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_21302(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(30,c,4)))){
C_save_and_reclaim((void *)f_21302,2,av);}
a=C_alloc(30);
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)((C_word*)t0)[3])[1];
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21051,a[2]=t6,a[3]=((C_word)li652),tmp=(C_word)a,a+=4,tmp);
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21068,a[2]=((C_word*)t0)[3],a[3]=t7,a[4]=t4,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t6,tmp=(C_word)a,a+=8,tmp);
t10=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21081,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],a[5]=t8,a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=t4,a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=t6,a[13]=((C_word)li656),tmp=(C_word)a,a+=14,tmp);
/* library.scm:3913: ##sys#call-with-current-continuation */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t9;
av2[2]=t10;
C_call_cc(3,av2);}}
else{
/* library.scm:3980: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[7];
av2[3]=lf[818];
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}}

/* r-vector in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_21304(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_21304,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21308,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3983: r-list */
t3=((C_word*)((C_word*)t0)[3])[1];
f_21042(t3,t2,C_make_character(40),C_make_character(41));}

/* k21306 in r-vector in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_21308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21308,2,av);}
if(C_truep(C_i_listp(t1))){
/* library.scm:3985: ##sys#list->vector */
t2=*((C_word*)lf[819]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
/* library.scm:3986: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[820];
av2[4]=t1;
tp(5,av2);}}}

/* r-number in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_21322(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_21322,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21328,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t3,a[7]=((C_word)li659),tmp=(C_word)a,a+=8,tmp);
/* library.scm:3989: r-xtoken */
t5=((C_word*)((C_word*)t0)[5])[1];
f_21645(t5,t1,t4);}

/* a21327 in r-number in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_21328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_21328,4,av);}
a=C_alloc(7);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21335,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3992: build-keyword */
t5=((C_word*)((C_word*)t0)[4])[1];
f_22247(t5,t4,t2);}
else{
if(C_truep(C_i_string_equal_p(t2,lf[822]))){
/* library.scm:3995: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2=av;
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[823];
tp(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21357,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t5=C_block_size(t2);
if(C_truep(C_fixnum_greaterp(t5,C_fix(0)))){
t6=t2;
t7=C_i_string_ref(t6,C_fix(0));
t8=t4;
f_21357(t8,C_u_i_char_equalp(t7,C_make_character(35)));}
else{
t6=t4;
f_21357(t6,C_SCHEME_FALSE);}}}}

/* k21333 in a21327 in r-number in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_21335(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21335,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21342,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3993: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21340 in k21333 in a21327 in r-number in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_21342(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21342,2,av);}
/* library.scm:3993: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20258(t2,((C_word*)t0)[3],lf[821],((C_word*)t0)[4],t1);}

/* k21355 in a21327 in r-number in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_21357(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_21357,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:3997: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[5];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[824];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21363,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=((C_word*)t0)[5];
if(C_truep(t3)){
/* library.scm:3998: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=t3;
av2[4]=((C_word*)t0)[6];
tp(5,av2);}}
else{
/* library.scm:3998: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(10);
av2[4]=((C_word*)t0)[6];
tp(5,av2);}}}}

/* k21361 in k21355 in a21327 in r-number in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_21363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21363,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[3])){
/* library.scm:3999: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[4];
av2[3]=lf[825];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}
else{
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[5];
/* library.scm:4172: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t3;
C_string_to_symbol(3,av2);}}}}

/* r-number-with-exactness in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_21392(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21392,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21441,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4003: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21400 in k21439 in r-number-with-exactness in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_21402(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21402,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21405,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4005: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21403 in k21400 in k21439 in r-number-with-exactness in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_21405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21405,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:4007: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[826];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(t1,C_make_character(105)))){
/* library.scm:4008: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21322(t2,((C_word*)t0)[2],((C_word*)t0)[5],lf[610]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(101)))){
/* library.scm:4009: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21322(t2,((C_word*)t0)[2],((C_word*)t0)[5],lf[609]);}
else{
/* library.scm:4011: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[827];
av2[4]=t1;
tp(5,av2);}}}}}

/* k21439 in r-number-with-exactness in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_21441(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_21441,2,av);}
a=C_alloc(6);
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21402,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4004: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4014: r-number */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21322(t3,((C_word*)t0)[2],((C_word*)t0)[5],C_SCHEME_FALSE);}}

/* r-number-with-radix in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_21443(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21443,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21508,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4017: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21451 in k21506 in r-number-with-radix in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_21453(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21453,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21456,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4019: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21454 in k21451 in k21506 in r-number-with-radix in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_21456(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21456,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:4020: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[828];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(t1,C_make_character(120)))){
/* library.scm:4021: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21322(t2,((C_word*)t0)[2],C_fix(16),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(100)))){
/* library.scm:4022: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21322(t2,((C_word*)t0)[2],C_fix(10),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(111)))){
/* library.scm:4023: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21322(t2,((C_word*)t0)[2],C_fix(8),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(98)))){
/* library.scm:4024: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21322(t2,((C_word*)t0)[2],C_fix(2),((C_word*)t0)[5]);}
else{
/* library.scm:4025: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[829];
av2[4]=t1;
tp(5,av2);}}}}}}}

/* k21506 in r-number-with-radix in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_21508(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_21508,2,av);}
a=C_alloc(6);
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21453,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4018: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4026: r-number */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21322(t3,((C_word*)t0)[2],C_fix(10),((C_word*)t0)[5]);}}

/* r-token in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_21510(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21510,2,t0,t1);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21518,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4029: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21516 in r-token in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_21518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_21518,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21520,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li663),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_21520(t5,((C_word*)t0)[6],t1,C_SCHEME_END_OF_LIST);}

/* loop in k21516 in r-token in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_21520(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_21520,4,t0,t1,t2,t3);}
a=C_alloc(9);
t4=C_eofp(t2);
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21530,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_21530(t6,t4);}
else{
t6=C_u_i_char_whitespacep(t2);
t7=t5;
f_21530(t7,(C_truep(t6)?t6:C_i_memq(t2,((C_word*)t0)[6])));}}

/* k21528 in loop in k21516 in r-token in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_fcall f_21530(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_21530,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
/* library.scm:4033: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
if(C_truep(C_i_char_equalp(((C_word*)t0)[4],C_make_character(0)))){
/* library.scm:4035: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[4];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[5];
av2[3]=lf[830];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21545,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4037: read-unreserved-char-0 */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20313(t3,t2,((C_word*)t0)[5]);}}}

/* k21543 in k21528 in loop in k21516 in r-token in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_21545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_21545,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21552,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4038: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
tp(3,av2);}}

/* k21550 in k21543 in k21528 in loop in k21516 in r-token in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_21552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21552,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=((C_word*)t0)[3];
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:4038: loop */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21520(t4,((C_word*)t0)[6],t1,t3);}
else{
t2=C_u_i_char_downcase(((C_word*)t0)[3]);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:4038: loop */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21520(t4,((C_word*)t0)[6],t1,t3);}}

/* r-digits in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_21574(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_21574,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21582,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4042: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21580 in r-digits in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_21582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_21582,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21584,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li665),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_21584(t5,((C_word*)t0)[3],t1,C_SCHEME_END_OF_LIST);}

/* loop in k21580 in r-digits in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_21584(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21584,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eofp(t2);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21594,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t4)){
t6=t5;
f_21594(t6,t4);}
else{
t6=C_u_i_char_numericp(t2);
t7=t5;
f_21594(t7,C_i_not(t6));}}

/* k21592 in loop in k21580 in r-digits in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_fcall f_21594(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21594,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
/* library.scm:4044: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21600,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4046: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}}

/* k21598 in k21592 in loop in k21580 in r-digits in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_21600(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21600,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21607,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4047: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k21605 in k21598 in k21592 in loop in k21580 in r-digits in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_21607(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21607,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:4047: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21584(t3,((C_word*)t0)[5],t1,t2);}

/* r-symbol in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_21620(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_21620,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21626,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li667),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4050: r-xtoken */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21645(t3,t1,t2);}

/* a21625 in r-symbol in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_21626(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21626,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21630,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:4052: build-keyword */
t5=((C_word*)((C_word*)t0)[4])[1];
f_22247(t5,t4,t2);}
else{
t5=t2;
/* library.scm:4172: ##sys#intern-symbol */{
C_word *av2=av;
av2[0]=0;
av2[1]=t4;
av2[2]=t5;
C_string_to_symbol(3,av2);}}}

/* k21628 in a21625 in r-symbol in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_21630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21630,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21637,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4053: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21635 in k21628 in a21625 in r-symbol in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_21637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21637,2,av);}
/* library.scm:4053: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20258(t2,((C_word*)t0)[3],lf[821],((C_word*)t0)[4],t1);}

/* r-xtoken in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_21645(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,0,4)))){
C_save_and_reclaim_args((void *)trf_21645,3,t0,t1,t2);}
a=C_alloc(17);
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21651,a[2]=t2,a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=t6,a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word)li669),tmp=(C_word)a,a+=13,tmp));
t8=((C_word*)t6)[1];
f_21651(t8,t1,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}

/* loop in r-xtoken in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_fcall f_21651(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_21651,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21655,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],a[13]=((C_word*)t0)[10],a[14]=((C_word*)t0)[11],tmp=(C_word)a,a+=15,tmp);
/* library.scm:4058: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[9];
tp(3,av2);}}

/* k21653 in loop in r-xtoken in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_21655(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_21655,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_eofp(t2);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21664,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],tmp=(C_word)a,a+=15,tmp);
if(C_truep(t3)){
t5=t4;
f_21664(t5,t3);}
else{
t5=C_u_i_char_whitespacep(t2);
t6=t4;
f_21664(t6,(C_truep(t5)?t5:C_i_memq(t2,((C_word*)t0)[14])));}}

/* k21662 in k21653 in loop in r-xtoken in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_fcall f_21664(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_21664,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21670,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[6])){
t3=C_eqp(((C_word*)((C_word*)t0)[7])[1],lf[815]);
if(C_truep(t3)){
t4=C_i_cdr(((C_word*)t0)[4]);
t5=C_i_nullp(t4);
t6=t2;
f_21670(t6,C_i_not(t5));}
else{
t4=t2;
f_21670(t4,C_SCHEME_FALSE);}}
else{
t3=t2;
f_21670(t3,C_SCHEME_FALSE);}}
else{
if(C_truep(C_i_memq(((C_word*)t0)[8],((C_word*)((C_word*)t0)[9])[1]))){
/* library.scm:4070: reserved-character */
t2=((C_word*)((C_word*)t0)[10])[1];
f_20304(t2,((C_word*)t0)[3],((C_word*)t0)[8]);}
else{
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21728,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[12],a[6]=((C_word*)t0)[13],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[14],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4072: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[13];
tp(3,av2);}}}}

/* k21668 in k21662 in k21653 in loop in r-xtoken in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_fcall f_21670(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21670,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21677,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_cdr(((C_word*)t0)[4]);
/* library.scm:4066: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21688,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4067: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* k21675 in k21668 in k21662 in k21653 in loop in r-xtoken in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_21677(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21677,2,av);}
/* library.scm:4066: k */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* k21686 in k21668 in k21662 in k21653 in loop in r-xtoken in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_21688(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21688,2,av);}
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=C_i_nullp(((C_word*)t0)[3]);
t3=C_i_not(t2);
/* library.scm:4067: k */
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[5];
av2[2]=t1;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}
else{
/* library.scm:4067: k */
t2=((C_word*)t0)[4];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[5];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}}

/* k21726 in k21662 in k21653 in loop in r-xtoken in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_21728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_21728,2,av);}
a=C_alloc(9);
switch(t1){
case C_make_character(124):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21737,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4075: r-string */
t3=((C_word*)((C_word*)t0)[5])[1];
f_20476(t3,t2,C_make_character(124));
case C_make_character(10):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21761,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21772,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4081: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}
case C_make_character(58):
t2=C_i_nullp(((C_word*)t0)[4]);
t3=(C_truep(t2)?C_eqp(((C_word*)((C_word*)t0)[7])[1],lf[832]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=C_set_block_item(((C_word*)t0)[8],0,C_SCHEME_TRUE);
/* library.scm:4086: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_21651(t5,((C_word*)t0)[3],C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}
else{
t4=C_a_i_cons(&a,2,C_make_character(58),((C_word*)t0)[4]);
/* library.scm:4087: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_21651(t5,((C_word*)t0)[3],t4,C_SCHEME_TRUE);}
case C_make_character(92):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21810,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4089: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
default:
if(C_truep(((C_word*)((C_word*)t0)[9])[1])){
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
/* library.scm:4096: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_21651(t3,((C_word*)t0)[3],t2,C_SCHEME_FALSE);}
else{
t2=C_u_i_char_downcase(t1);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:4096: loop */
t4=((C_word*)((C_word*)t0)[2])[1];
f_21651(t4,((C_word*)t0)[3],t3,C_SCHEME_FALSE);}}}

/* k21735 in k21726 in k21662 in k21653 in loop in r-xtoken in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_21737(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_21737,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21744,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21748,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21752,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4076: ##sys#string->list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[383]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[383]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}

/* k21742 in k21735 in k21726 in k21662 in k21653 in loop in r-xtoken in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_21744(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21744,2,av);}
/* library.scm:4076: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21651(t2,((C_word*)t0)[3],t1,C_SCHEME_FALSE);}

/* k21746 in k21735 in k21726 in k21662 in k21653 in loop in r-xtoken in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_21748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21748,2,av);}
/* library.scm:4076: scheme#append */
t2=*((C_word*)lf[373]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k21750 in k21735 in k21726 in k21662 in k21653 in loop in r-xtoken in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_21752(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21752,2,av);}
/* library.scm:4076: ##sys#fast-reverse */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[375]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[375]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* k21759 in k21726 in k21662 in k21653 in loop in r-xtoken in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_21761(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21761,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(10),((C_word*)t0)[2]);
/* library.scm:4082: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_21651(t3,((C_word*)t0)[4],t2,C_SCHEME_FALSE);}

/* k21770 in k21726 in k21662 in k21653 in loop in r-xtoken in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_21772(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21772,2,av);}
/* library.scm:4079: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[831];
av2[4]=t1;
tp(5,av2);}}

/* k21808 in k21726 in k21662 in k21653 in loop in r-xtoken in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_21810(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21810,2,av);}
a=C_alloc(3);
if(C_truep(C_eofp(t1))){
/* library.scm:4091: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[833];
tp(4,av2);}}
else{
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
/* library.scm:4094: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21651(t3,((C_word*)t0)[2],t2,C_SCHEME_FALSE);}}

/* r-char in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_21859(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21859,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21863,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4102: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21861 in r-char in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_21863(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21863,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21866,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4103: r-token */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21510(t4,t3);}

/* k21864 in k21861 in r-char in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_21866(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_21866,2,av);}
a=C_alloc(11);
t2=t1;
t3=C_block_size(t2);
t4=t3;
if(C_truep(C_fixnum_greaterp(t4,C_fix(1)))){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21878,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=C_i_char_equalp(C_make_character(120),((C_word*)t0)[4]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22043,a[2]=t5,a[3]=t2,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t6)){
t8=t7;
f_22043(t8,t6);}
else{
t8=C_u_i_char_equalp(C_make_character(117),((C_word*)t0)[4]);
if(C_truep(t8)){
t9=t7;
f_22043(t9,t8);}
else{
t9=C_u_i_char_equalp(C_make_character(85),((C_word*)t0)[4]);
t10=t7;
f_22043(t10,t9);}}}
else{
if(C_truep(C_i_memq(((C_word*)t0)[4],((C_word*)t0)[5]))){
/* library.scm:4133: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k21876 in k21864 in k21861 in r-char in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_21878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21878,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=t1;
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_make_character(C_unfix(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_subchar(((C_word*)t0)[3],C_fix(0));
t3=C_fix(C_character_code(t2));
t4=C_fixnum_less_or_equal_p(C_fix(192),t3);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21898,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t4)){
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(247)))){
t6=C_fixnum_shift_right(t3,C_fix(4));
t7=C_fixnum_and(t6,C_fix(3));
t8=C_fixnum_shift_right(t7,C_fix(1));
t9=C_fixnum_or(t7,t8);
t10=C_fixnum_difference(t7,C_fix(1));
t11=C_fixnum_and(t9,t10);
t12=C_fixnum_plus(C_fix(2),t11);
t13=C_eqp(((C_word*)t0)[5],t12);
if(C_truep(t13)){
t14=C_fixnum_difference(C_fix(8),t12);
t15=C_fixnum_shift_left(C_fix(1),t14);
t16=C_fixnum_difference(t15,C_fix(1));
t17=C_fixnum_and(t3,t16);
t18=C_fixnum_shift_left(t17,C_fix(6));
t19=C_subchar(((C_word*)t0)[3],C_fix(1));
t20=C_fix(C_character_code(t19));
t21=C_fixnum_and(t20,C_fix(63));
t22=C_fixnum_plus(t18,t21);
t23=t22;
if(C_truep(t23)){
if(C_truep(C_fixnum_greater_or_equal_p(t12,C_fix(3)))){
t24=C_fixnum_shift_left(t23,C_fix(6));
t25=C_subchar(((C_word*)t0)[3],C_fix(2));
t26=C_fix(C_character_code(t25));
t27=C_fixnum_and(t26,C_fix(63));
t28=C_fixnum_plus(t24,t27);
t29=t23=t28;
t30=C_eqp(t12,C_fix(4));
if(C_truep(t30)){
t31=C_fixnum_shift_left(t23,C_fix(6));
t32=C_subchar(((C_word*)t0)[3],C_fix(3));
t33=C_fix(C_character_code(t32));
t34=C_fixnum_and(t33,C_fix(63));
t35=C_fixnum_plus(t31,t34);
t36=t23=t35;
t37=t5;
f_21898(t37,C_make_character(C_unfix(t23)));}
else{
t31=t5;
f_21898(t31,C_make_character(C_unfix(t23)));}}
else{
t24=t5;
f_21898(t24,C_make_character(C_unfix(t23)));}}
else{
t24=t5;
f_21898(t24,C_SCHEME_FALSE);}}
else{
t14=t5;
f_21898(t14,C_SCHEME_FALSE);}}
else{
t6=t5;
f_21898(t6,C_SCHEME_FALSE);}}
else{
t6=t5;
f_21898(t6,C_SCHEME_FALSE);}}}

/* k21896 in k21876 in k21864 in k21861 in r-char in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_fcall f_21898(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_21898,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21904,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21914,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4131: ##sys#intern-symbol */{
C_word av2[3];
av2[0]=0;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
C_string_to_symbol(3,av2);}}}

/* k21902 in k21896 in k21876 in k21864 in k21861 in r-char in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_21904(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21904,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* library.scm:4132: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[834];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}}

/* k21912 in k21896 in k21876 in k21864 in k21861 in r-char in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_21914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21914,2,av);}
/* library.scm:4131: chicken.base#char-name */
t2=*((C_word*)lf[198]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k22041 in k21864 in k21861 in r-char in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_fcall f_22043(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,4)))){
C_save_and_reclaim_args((void *)trf_22043,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22050,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4107: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=C_fix(1);
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_21878(2,av2);}}}

/* k22048 in k22041 in k21864 in k21861 in r-char in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_22050(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22050,2,av);}
/* library.scm:4107: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[619]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* r-comment in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_22068(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_22068,2,t0,t1);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22074,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li672),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_22074(t5,t1,C_fix(0));}

/* loop in r-comment in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_fcall f_22074(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_22074,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22078,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4138: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22076 in loop in r-comment in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_22078(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_22078,2,av);}
a=C_alloc(5);
switch(t1){
case C_make_character(124):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22114,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4140: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22137,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4144: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}
default:
if(C_truep(C_eofp(t1))){
/* library.scm:4148: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[5];
av2[3]=lf[835];
tp(4,av2);}}
else{
/* library.scm:4149: loop */
t2=((C_word*)((C_word*)t0)[3])[1];
f_22074(t2,((C_word*)t0)[4],((C_word*)t0)[2]);}}}

/* k22112 in k22076 in loop in r-comment in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_22114(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22114,2,av);}
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=C_eqp(((C_word*)t0)[2],C_fix(0));
if(C_truep(C_i_not(t3))){
t4=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
/* library.scm:4142: loop */
t5=((C_word*)((C_word*)t0)[3])[1];
f_22074(t5,((C_word*)t0)[4],t4);}
else{
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
/* library.scm:4143: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_22074(t3,((C_word*)t0)[4],((C_word*)t0)[2]);}}

/* k22135 in k22076 in loop in r-comment in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_22137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22137,2,av);}
t2=C_eqp(C_make_character(124),t1);
if(C_truep(t2)){
t3=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4144: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_22074(t4,((C_word*)t0)[4],t3);}
else{
t3=((C_word*)t0)[2];
/* library.scm:4144: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_22074(t4,((C_word*)t0)[4],t3);}}

/* r-ext-symbol in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_22155(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_22155,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22159,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4152: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t2;
av2[2]=C_fix(1);
tp(3,av2);}}

/* k22157 in r-ext-symbol in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_22159(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22159,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22162,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4153: r-token */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21510(t4,t3);}

/* k22160 in k22157 in r-ext-symbol in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_22162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_22162,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_block_size(((C_word*)t3)[1]);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22168,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_fast_retrieve(lf[774]))){
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_22168(2,av2);}}
else{
/* library.scm:4156: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[837];
av2[4]=((C_word*)t3)[1];
tp(5,av2);}}}

/* k22166 in k22160 in k22157 in r-ext-symbol in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_22168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_22168,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22173,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,a[7]=((C_word)li674),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_22173(t5,((C_word*)t0)[6],C_fix(0));}

/* loop in k22166 in k22160 in k22157 in r-ext-symbol in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_fcall f_22173(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_22173,3,t0,t1,t2);}
a=C_alloc(11);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
/* library.scm:4159: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[5];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[836];
av2[4]=((C_word*)((C_word*)t0)[4])[1];
tp(5,av2);}}
else{
t3=C_subbyte(((C_word*)((C_word*)t0)[4])[1],t2);
t4=C_eqp(t3,C_fix(35));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22192,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=t1,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_fixnum_greaterp(t2,C_fix(31)))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22221,a[2]=((C_word*)t0)[4],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4162: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t6;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_fix(0);
av2[4]=C_fix(31);
tp(5,av2);}}
else{
t6=t5;
f_22192(t6,C_SCHEME_UNDEFINED);}}
else{
t5=C_fixnum_plus(t2,C_fix(1));
/* library.scm:4169: loop */
t8=t1;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}

/* k22190 in loop in k22166 in k22160 in k22157 in r-ext-symbol in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_fcall f_22192(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,4)))){
C_save_and_reclaim_args((void *)trf_22192,2,t0,t1);}
a=C_alloc(10);
t2=C_setbyte(((C_word*)t0)[2],C_fix(0),((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22202,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22206,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4167: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t4;
av2[2]=((C_word*)((C_word*)t0)[5])[1];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[3];
tp(5,av2);}}

/* k22200 in k22190 in loop in k22166 in k22160 in k22157 in r-ext-symbol in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_22202(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22202,2,av);}
/* library.scm:4164: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k22204 in k22190 in loop in k22166 in k22160 in k22157 in r-ext-symbol in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_22206(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_22206,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22210,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_fixnum_plus(((C_word*)t0)[4],C_fix(1));
/* library.scm:4168: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[5])[1];
av2[3]=t4;
av2[4]=((C_word*)t0)[6];
tp(5,av2);}}

/* k22208 in k22204 in k22190 in loop in k22166 in k22160 in k22157 in r-ext-symbol in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22210(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22210,2,av);}
/* library.scm:4165: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k22219 in loop in k22166 in k22160 in k22157 in r-ext-symbol in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_22221(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22221,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_22192(t3,t2);}

/* build-keyword in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_22247(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_22247,3,t0,t1,t2);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22255,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4176: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
tp(4,av2);}}

/* k22253 in build-keyword in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_22255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22255,2,av);}
/* library.scm:4175: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_22259(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,2)))){
C_save_and_reclaim((void *)f_22259,2,av);}
a=C_alloc(26);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|25,a[1]=(C_word)f_22262,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],a[14]=((C_word*)t0)[15],a[15]=((C_word*)t0)[16],a[16]=((C_word*)t0)[17],a[17]=((C_word*)t0)[18],a[18]=((C_word*)t0)[19],a[19]=((C_word*)t0)[20],a[20]=((C_word*)t0)[21],a[21]=((C_word*)t0)[22],a[22]=((C_word*)t0)[23],a[23]=((C_word*)t0)[2],a[24]=((C_word*)t0)[24],a[25]=((C_word*)t0)[25],tmp=(C_word)a,a+=26,tmp);
/* library.scm:4183: r-spaces */
t4=((C_word*)((C_word*)t0)[26])[1];
f_20331(t4,t3);}

/* k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_22262(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,2)))){
C_save_and_reclaim((void *)f_22262,2,av);}
a=C_alloc(26);
t2=(*a=C_CLOSURE_TYPE|25,a[1]=(C_word)f_22265,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],a[20]=((C_word*)t0)[20],a[21]=((C_word*)t0)[21],a[22]=((C_word*)t0)[22],a[23]=((C_word*)t0)[23],a[24]=((C_word*)t0)[24],a[25]=((C_word*)t0)[25],tmp=(C_word)a,a+=26,tmp);
/* library.scm:4184: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_22265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(27,c,2)))){
C_save_and_reclaim((void *)f_22265,2,av);}
a=C_alloc(27);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(1));
t4=(*a=C_CLOSURE_TYPE|26,a[1]=(C_word)f_22271,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],a[15]=((C_word*)t0)[14],a[16]=((C_word*)t0)[15],a[17]=((C_word*)t0)[16],a[18]=((C_word*)t0)[17],a[19]=((C_word*)t0)[18],a[20]=((C_word*)t0)[19],a[21]=((C_word*)t0)[20],a[22]=((C_word*)t0)[21],a[23]=((C_word*)t0)[22],a[24]=((C_word*)t0)[23],a[25]=((C_word*)t0)[24],a[26]=((C_word*)t0)[25],tmp=(C_word)a,a+=27,tmp);
t5=C_eofp(t2);
if(C_truep(C_i_not(t5))){
if(C_truep(t3)){
t6=C_fix(C_character_code(t2));
t7=t4;
f_22271(t7,C_slot(t3,t6));}
else{
t6=t4;
f_22271(t6,C_SCHEME_FALSE);}}
else{
t6=t4;
f_22271(t6,C_SCHEME_FALSE);}}

/* k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_fcall f_22271(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,0,3)))){
C_save_and_reclaim_args((void *)trf_22271,2,t0,t1);}
a=C_alloc(20);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22279,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li677),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22285,a[2]=((C_word*)t0)[4],a[3]=((C_word)li678),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4190: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
switch(((C_word*)t0)[2]){
case C_make_character(39):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22307,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4196: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(96):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22323,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4199: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(44):
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22339,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4202: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(35):
t3=(*a=C_CLOSURE_TYPE|19,a[1]=(C_word)f_22375,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],tmp=(C_word)a,a+=20,tmp);
/* library.scm:4208: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(40):
/* library.scm:4320: r-list */
t3=((C_word*)((C_word*)t0)[20])[1];
f_21042(t3,((C_word*)t0)[5],C_make_character(40),C_make_character(41));
case C_make_character(41):
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23013,a[2]=((C_word*)t0)[21],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4321: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(34):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23025,a[2]=((C_word*)t0)[22],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4322: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(46):
/* library.scm:4323: r-number */
t3=((C_word*)((C_word*)t0)[23])[1];
f_21322(t3,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);
default:
t3=C_eqp(((C_word*)t0)[2],C_make_character(45));
t4=(C_truep(t3)?t3:C_eqp(((C_word*)t0)[2],C_make_character(43)));
if(C_truep(t4)){
/* library.scm:4324: r-number */
t5=((C_word*)((C_word*)t0)[23])[1];
f_21322(t5,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
if(C_truep(C_eofp(((C_word*)t0)[2]))){
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_u_i_char_numericp(((C_word*)t0)[2]))){
/* library.scm:4327: r-number */
t5=((C_word*)((C_word*)t0)[23])[1];
f_21322(t5,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
if(C_truep(C_i_memq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[24])[1]))){
/* library.scm:4329: reserved-character */
t5=((C_word*)((C_word*)t0)[25])[1];
f_20304(t5,((C_word*)t0)[5],((C_word*)t0)[2]);}
else{
switch(((C_word*)t0)[2]){
case C_make_character(91):
/* library.scm:4332: r-list */
t5=((C_word*)((C_word*)t0)[20])[1];
f_21042(t5,((C_word*)t0)[5],C_make_character(91),C_make_character(93));
case C_make_character(123):
/* library.scm:4333: r-list */
t5=((C_word*)((C_word*)t0)[20])[1];
f_21042(t5,((C_word*)t0)[5],C_make_character(123),C_make_character(125));
default:
t5=C_eqp(((C_word*)t0)[2],C_make_character(93));
t6=(C_truep(t5)?t5:C_eqp(((C_word*)t0)[2],C_make_character(125)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23103,a[2]=((C_word*)t0)[21],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4334: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4335: r-symbol */
t7=((C_word*)((C_word*)t0)[26])[1];
f_21620(t7,((C_word*)t0)[5]);}}}}}}}}}

/* a22278 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_22279(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22279,2,av);}
/* library.scm:4191: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* a22284 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_22285(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22285,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4192: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20328(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22305 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_22307(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22307,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22314,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4197: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20328(t3,t2);}

/* k22312 in k22305 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_22314(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22314,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[838],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22321 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_22323(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22323,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22330,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4200: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20328(t3,t2);}

/* k22328 in k22321 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_22330(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22330,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[839],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22337 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_22339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22339,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22366,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4203: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22346 in k22364 in k22337 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_22348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22348,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22355,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4205: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20328(t3,t2);}

/* k22353 in k22346 in k22364 in k22337 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22355,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[840],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22360 in k22364 in k22337 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_22362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22362,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[841],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22364 in k22337 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_22366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22366,2,av);}
a=C_alloc(4);
t2=C_eqp(t1,C_make_character(64));
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22348,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4204: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22362,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4206: readrec */
t4=((C_word*)((C_word*)t0)[3])[1];
f_20328(t4,t3);}}

/* k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_22375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,2)))){
C_save_and_reclaim((void *)f_22375,2,av);}
a=C_alloc(20);
t2=(*a=C_CLOSURE_TYPE|19,a[1]=(C_word)f_22378,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],tmp=(C_word)a,a+=20,tmp);
/* library.scm:4209: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_22378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_22378,2,av);}
a=C_alloc(18);
t2=t1;
if(C_truep(C_eofp(t2))){
/* library.scm:4212: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[842];
tp(4,av2);}}
else{
if(C_truep(C_u_i_char_numericp(t2))){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22396,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22479,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4215: r-digits */
t5=((C_word*)((C_word*)t0)[7])[1];
f_21574(t5,t4);}
else{
t3=C_slot(((C_word*)t0)[4],C_fix(2));
t4=(*a=C_CLOSURE_TYPE|17,a[1]=(C_word)f_22485,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],a[11]=((C_word*)t0)[13],a[12]=((C_word*)t0)[14],a[13]=((C_word*)t0)[15],a[14]=((C_word*)t0)[16],a[15]=((C_word*)t0)[17],a[16]=((C_word*)t0)[18],a[17]=((C_word*)t0)[19],tmp=(C_word)a,a+=18,tmp);
if(C_truep(t3)){
t5=C_fix(C_character_code(t2));
t6=t4;
f_22485(t6,C_slot(t3,t5));}
else{
t5=t4;
f_22485(t5,C_SCHEME_FALSE);}}}}

/* k22394 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_22396(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_22396,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22399,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4216: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22397 in k22394 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_22399,2,av);}
a=C_alloc(8);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(3));
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22405,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_charp(t2))){
if(C_truep(t3)){
t5=C_fix(C_character_code(t2));
t6=t4;
f_22405(t6,C_slot(t3,t5));}
else{
t5=t4;
f_22405(t5,C_SCHEME_FALSE);}}
else{
t5=t4;
f_22405(t5,C_SCHEME_FALSE);}}

/* k22403 in k22397 in k22394 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_fcall f_22405(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,5)))){
C_save_and_reclaim_args((void *)trf_22405,2,t0,t1);}
a=C_alloc(11);
t2=t1;
if(C_truep(C_eofp(((C_word*)t0)[2]))){
/* library.scm:4222: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[6];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=lf[843];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
tp(6,av2);}}
else{
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22422,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[6],a[6]=((C_word)li679),tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22428,a[2]=((C_word*)t0)[7],a[3]=((C_word)li680),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4225: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
t3=C_eqp(((C_word*)t0)[2],C_make_character(41));
t4=(C_truep(t3)?t3:C_u_i_char_whitespacep(((C_word*)t0)[2]));
if(C_truep(t4)){
/* library.scm:4230: ##sys#sharp-number-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[777]);
C_word av2[4];
av2[0]=*((C_word*)lf[777]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[6];
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22456,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4231: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}}}

/* a22421 in k22403 in k22397 in k22394 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_22422(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22422,2,av);}
/* library.scm:4226: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(5,av2);}}

/* a22427 in k22403 in k22397 in k22394 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_22428(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22428,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4227: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20328(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22454 in k22403 in k22397 in k22394 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_22456(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_22456,2,av);}
/* library.scm:4232: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[844];
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
av2[6]=((C_word*)t0)[6];
tp(7,av2);}}

/* k22477 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_22479(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22479,2,av);}
/* library.scm:4215: scheme#string->number */
t2=*((C_word*)lf[617]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_fcall f_22485(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_22485,2,t0,t1);}
a=C_alloc(10);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22493,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li681),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22499,a[2]=((C_word*)t0)[4],a[3]=((C_word)li682),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4240: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
t3=C_u_i_char_downcase(((C_word*)t0)[2]);
switch(t3){
case C_make_character(120):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22524,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4245: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(100):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22536,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4246: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(111):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22548,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4247: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(98):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22560,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4248: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(105):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22572,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4249: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(101):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22584,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4250: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(99):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22596,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4252: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(40):
/* library.scm:4261: r-vector */
t4=((C_word*)((C_word*)t0)[9])[1];
f_21304(t4,((C_word*)t0)[5]);
case C_make_character(92):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22660,a[2]=((C_word*)t0)[10],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4262: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(124):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22672,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[11],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4264: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(35):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22687,a[2]=((C_word*)t0)[12],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4267: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(59):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22699,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4270: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(96):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22714,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4273: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(36):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22730,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4276: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(58):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22761,a[2]=((C_word*)t0)[13],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[14],a[5]=((C_word*)t0)[15],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4283: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(37):
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22825,a[2]=((C_word*)t0)[5],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22829,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4293: r-token */
t6=((C_word*)((C_word*)t0)[16])[1];
f_21510(t6,t5);
case C_make_character(43):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22838,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4295: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(33):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22861,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[17],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[16],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4299: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
default:
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22933,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li690),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22939,a[2]=((C_word*)t0)[4],a[3]=((C_word)li691),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4318: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}}}

/* a22492 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22493,2,av);}
/* library.scm:4241: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* a22498 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22499(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22499,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4242: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20328(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22522 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22524(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22524,2,av);}
/* library.scm:4245: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21392(t2,((C_word*)t0)[3],C_fix(16));}

/* k22534 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22536,2,av);}
/* library.scm:4246: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21392(t2,((C_word*)t0)[3],C_fix(10));}

/* k22546 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22548(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22548,2,av);}
/* library.scm:4247: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21392(t2,((C_word*)t0)[3],C_fix(8));}

/* k22558 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22560,2,av);}
/* library.scm:4248: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21392(t2,((C_word*)t0)[3],C_fix(2));}

/* k22570 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22572(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22572,2,av);}
/* library.scm:4249: r-number-with-radix */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21443(t2,((C_word*)t0)[3],lf[610]);}

/* k22582 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22584(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22584,2,av);}
/* library.scm:4250: r-number-with-radix */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21443(t2,((C_word*)t0)[3],lf[609]);}

/* k22594 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22596,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22599,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4253: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22597 in k22594 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_22599(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_22599,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22602,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_eofp(t1))){
/* library.scm:4256: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[845];
tp(4,av2);}}
else{
switch(t1){
case C_make_character(105):
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_22602(2,av2);}
case C_make_character(115):
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
f_22602(2,av2);}
default:
/* library.scm:4259: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[846];
av2[4]=t1;
tp(5,av2);}}}}

/* k22600 in k22597 in k22594 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_22602(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,4)))){
C_save_and_reclaim((void *)f_22602,2,av);}
a=C_alloc(20);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22607,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word)li683),tmp=(C_word)a,a+=6,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22612,a[2]=((C_word*)t0)[3],a[3]=((C_word)li684),tmp=(C_word)a,a+=4,tmp);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22618,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t5,a[5]=((C_word)li685),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4254: ##sys#dynamic-wind */
t9=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=((C_word*)t0)[4];
av2[2]=t6;
av2[3]=t7;
av2[4]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}

/* a22606 in k22600 in k22597 in k22594 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_22607(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22607,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a22611 in k22600 in k22597 in k22594 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_22612(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22612,2,av);}
/* library.scm:4260: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20328(t2,t1);}

/* a22617 in k22600 in k22597 in k22594 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_22618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22618,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k22658 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22660(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22660,2,av);}
/* library.scm:4262: r-char */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21859(t2,((C_word*)t0)[3]);}

/* k22670 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22672(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22672,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22675,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4265: r-comment */
t3=((C_word*)((C_word*)t0)[4])[1];
f_22068(t3,t2);}

/* k22673 in k22670 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_22675(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22675,2,av);}
/* library.scm:4265: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20328(t2,((C_word*)t0)[3]);}

/* k22685 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22687(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22687,2,av);}
/* library.scm:4268: r-ext-symbol */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22155(t2,((C_word*)t0)[3]);}

/* k22697 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22699(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22699,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22702,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4271: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20328(t3,t2);}

/* k22700 in k22697 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_22702(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22702,2,av);}
/* library.scm:4271: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20328(t2,((C_word*)t0)[3]);}

/* k22712 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22714,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22721,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4274: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20328(t3,t2);}

/* k22719 in k22712 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_22721(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22721,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[847],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22728 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22730,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22733,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4277: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22731 in k22728 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_22733(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22733,2,av);}
a=C_alloc(4);
if(C_truep(C_i_char_equalp(t1,C_make_character(123)))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22742,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4279: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22752,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4281: readrec */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20328(t3,t2);}}

/* k22740 in k22731 in k22728 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_22742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22742,2,av);}
/* library.scm:4280: ##sys#read-bytevector-literal */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[848]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[848]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22750 in k22731 in k22728 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_22752(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22752,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[849],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22759 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22761(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22761,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22764,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4284: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22762 in k22759 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_22764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_22764,2,av);}
a=C_alloc(23);
t2=t1;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22769,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word)li686),tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22774,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word)li688),tmp=(C_word)a,a+=7,tmp);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22809,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word)li689),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4285: ##sys#dynamic-wind */
t10=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[6];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a22768 in k22762 in k22759 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_22769(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22769,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a22773 in k22762 in k22759 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_22774(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_22774,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22780,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li687),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4286: r-xtoken */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21645(t3,t1,t2);}

/* a22779 in a22773 in k22762 in k22759 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_22780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22780,4,av);}
t4=C_block_size(t2);
t5=C_eqp(C_fix(0),t4);
if(C_truep(t5)){
t6=C_i_char_equalp(((C_word*)t0)[2],C_make_character(124));
if(C_truep(C_i_not(t6))){
/* library.scm:4290: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2=av;
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[850];
tp(4,av2);}}
else{
/* library.scm:4291: build-keyword */
t7=((C_word*)((C_word*)t0)[4])[1];
f_22247(t7,t1,t2);}}
else{
/* library.scm:4291: build-keyword */
t6=((C_word*)((C_word*)t0)[4])[1];
f_22247(t6,t1,t2);}}

/* a22808 in k22762 in k22759 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_22809(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22809,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k22823 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22825(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22825,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:4172: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k22827 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22829(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22829,2,av);}
/* library.scm:4293: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[851];
av2[3]=t1;
tp(4,av2);}}

/* k22836 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22838,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22841,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4296: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20328(t3,t2);}

/* k22839 in k22836 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_22841(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22841,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22852,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4297: readrec */
t4=((C_word*)((C_word*)t0)[3])[1];
f_20328(t4,t3);}

/* k22850 in k22839 in k22836 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_22852(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,1)))){
C_save_and_reclaim((void *)f_22852,2,av);}
a=C_alloc(15);
t2=C_a_i_list2(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_list3(&a,3,lf[852],t2,lf[853]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k22859 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22861(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22861,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22864,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4300: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22862 in k22859 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_22864(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22864,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22870,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_charp(t1))){
t3=C_u_i_char_whitespacep(t1);
if(C_truep(t3)){
t4=t2;
f_22870(t4,t3);}
else{
t4=C_u_i_char_equalp(C_make_character(47),t1);
t5=t2;
f_22870(t5,t4);}}
else{
t3=t2;
f_22870(t3,C_SCHEME_FALSE);}}

/* k22868 in k22862 in k22859 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_fcall f_22870(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_22870,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22873,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4303: skip-to-eol */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20267(t3,t2);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22879,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4306: r-token */
t3=((C_word*)((C_word*)t0)[6])[1];
f_21510(t3,t2);}}

/* k22871 in k22868 in k22862 in k22859 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_22873(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22873,2,av);}
/* library.scm:4304: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20328(t2,((C_word*)t0)[3]);}

/* k22877 in k22868 in k22862 in k22859 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_22879(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_22879,2,av);}
a=C_alloc(5);
t2=t1;
if(C_truep(C_i_string_equal_p(lf[854],t2))){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep((C_truep(C_i_equalp(t2,lf[855]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(t2,lf[856]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(t2,lf[857]))?C_SCHEME_TRUE:C_SCHEME_FALSE))))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22898,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4309: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t3;
av2[2]=lf[858];
av2[3]=t2;
tp(4,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22917,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4311: scheme#string->symbol */
t4=*((C_word*)lf[638]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}}

/* k22896 in k22877 in k22868 in k22862 in k22859 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in ... */
static void C_ccall f_22898(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22898,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:4172: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k22915 in k22877 in k22868 in k22862 in k22859 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in ... */
static void C_ccall f_22917(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22917,2,av);}
t2=C_i_assq(t1,C_fast_retrieve(lf[859]));
if(C_truep(t2)){
t3=C_slot(t2,C_fix(1));
/* library.scm:4312: g4938 */
t4=t3;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}
else{
/* library.scm:4314: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[860];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}}

/* a22932 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22933(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22933,2,av);}
/* library.scm:4318: ##sys#user-read-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[861]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* a22938 in k22483 in k22376 in k22373 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_22939(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22939,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4319: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20328(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k23011 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_23013(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23013,2,av);}
/* library.scm:4321: container */
t2=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k23023 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_23025(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23025,2,av);}
/* library.scm:4322: r-string */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20476(t2,((C_word*)t0)[3],C_make_character(34));}

/* k23101 in k22269 in k22263 in k22260 in k22257 in readrec in k20248 in k20245 in k20242 in k20239 in k20236 in read in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_23103(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23103,2,av);}
/* library.scm:4334: container */
t2=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* ##sys#char->utf8-string in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in ... */
static void C_ccall f_23179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_23179,3,av);}
a=C_alloc(5);
t3=C_fix(C_character_code(t2));
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(127)))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_string(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(2047)))){
t4=C_fixnum_shift_right(t3,C_fix(6));
t5=C_fixnum_or(C_fix(192),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_and(t3,C_fix(63));
t8=C_fixnum_or(C_fix(128),t7);
t9=C_make_character(C_unfix(t8));
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_a_i_string(&a,2,t6,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(65535)))){
t4=C_fixnum_shift_right(t3,C_fix(12));
t5=C_fixnum_or(C_fix(224),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_shift_right(t3,C_fix(6));
t8=C_fixnum_and(t7,C_fix(63));
t9=C_fixnum_or(C_fix(128),t8);
t10=C_make_character(C_unfix(t9));
t11=C_fixnum_and(t3,C_fix(63));
t12=C_fixnum_or(C_fix(128),t11);
t13=C_make_character(C_unfix(t12));
t14=t1;{
C_word *av2=av;
av2[0]=t14;
av2[1]=C_a_i_string(&a,3,t6,t10,t13);
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(2097151)))){
t4=C_fixnum_shift_right(t3,C_fix(18));
t5=C_fixnum_or(C_fix(240),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_shift_right(t3,C_fix(12));
t8=C_fixnum_and(t7,C_fix(63));
t9=C_fixnum_or(C_fix(128),t8);
t10=C_make_character(C_unfix(t9));
t11=C_fixnum_shift_right(t3,C_fix(6));
t12=C_fixnum_and(t11,C_fix(63));
t13=C_fixnum_or(C_fix(128),t12);
t14=C_make_character(C_unfix(t13));
t15=C_fixnum_and(t3,C_fix(63));
t16=C_fixnum_or(C_fix(128),t15);
t17=C_make_character(C_unfix(t16));
t18=t1;{
C_word *av2=av;
av2[0]=t18;
av2[1]=C_a_i_string(&a,4,t6,t10,t14,t17);
((C_proc)(void*)(*((C_word*)t18+1)))(2,av2);}}
else{
/* library.scm:4359: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[864];
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}}}}

/* ##sys#unicode-surrogate? in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in ... */
static void C_ccall f_23344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23344,3,av);}
t3=C_fixnum_less_or_equal_p(C_fix(55296),t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_fixnum_less_or_equal_p(t2,C_fix(57343)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#surrogates->codepoint in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in ... */
static void C_ccall f_23356(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23356,4,av);}
if(C_truep(C_fixnum_less_or_equal_p(C_fix(55296),t2))){
if(C_truep(C_fixnum_less_or_equal_p(t2,C_fix(56319)))){
if(C_truep(C_fixnum_less_or_equal_p(C_fix(56320),t3))){
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(57343)))){
t4=C_fixnum_shift_right(t2,C_fix(6));
t5=C_fixnum_and(t4,C_fix(31));
t6=C_fixnum_plus(C_fix(1),t5);
t7=C_fixnum_shift_left(t6,C_fix(16));
t8=C_fixnum_and(t2,C_fix(63));
t9=C_fixnum_shift_left(t8,C_fix(10));
t10=C_fixnum_and(t3,C_fix(1023));
t11=C_fixnum_or(t9,t10);
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_fixnum_or(t7,t11);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#read-bytevector-literal in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in ... */
static void C_ccall f_23418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_23418,3,av);}
a=C_alloc(12);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23421,a[2]=t2,a[3]=((C_word)li697),tmp=(C_word)a,a+=4,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_23467,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=((C_word)li698),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_23467(t7,t1,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}

/* hex in read-bytevector-literal in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in ... */
static void C_fcall f_23421(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_23421,3,t0,t1,t2);}
t3=C_u_i_char_downcase(t2);
t4=(C_truep(C_u_i_char_greater_or_equal_p(t3,C_make_character(97)))?C_u_i_char_less_or_equal_p(t3,C_make_character(102)):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_fix(C_character_code(t3));
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fixnum_difference(t5,C_fix(87));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=(C_truep(C_u_i_char_greater_or_equal_p(t3,C_make_character(48)))?C_u_i_char_less_or_equal_p(t3,C_make_character(57)):C_SCHEME_FALSE);
if(C_truep(t5)){
t6=C_fix(C_character_code(t3));
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_fixnum_difference(t6,C_fix(48));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
/* library.scm:4379: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[4];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[865];
tp(4,av2);}}}}

/* loop in read-bytevector-literal in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in ... */
static void C_fcall f_23467(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_23467,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23471,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=t2,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4381: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k23469 in loop in read-bytevector-literal in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in ... */
static void C_ccall f_23471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_23471,2,av);}
a=C_alloc(6);
if(C_truep(C_eofp(t1))){
/* library.scm:4383: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[866];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(C_make_character(125),t1))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23489,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=C_fixnum_shift_right(((C_word*)t0)[4],C_fix(4));
t4=C_make_character(C_unfix(t3));
t5=C_a_i_cons(&a,2,t4,((C_word*)t0)[5]);
/* library.scm:4385: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=t5;
tp(3,av2);}}
else{
t3=((C_word*)t0)[5];
/* library.scm:4385: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}}
else{
if(C_truep(C_u_i_char_whitespacep(t1))){
if(C_truep(((C_word*)t0)[4])){
t2=C_fixnum_shift_right(((C_word*)t0)[4],C_fix(4));
t3=C_make_character(C_unfix(t2));
t4=C_a_i_cons(&a,2,t3,((C_word*)t0)[5]);
/* library.scm:4393: loop */
t5=((C_word*)((C_word*)t0)[6])[1];
f_23467(t5,((C_word*)t0)[2],t4,C_SCHEME_FALSE);}
else{
/* library.scm:4394: loop */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23467(t2,((C_word*)t0)[2],((C_word*)t0)[5],((C_word*)t0)[4]);}}
else{
if(C_truep(((C_word*)t0)[4])){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_23553,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4395: hex */
t3=((C_word*)t0)[7];
f_23421(t3,t2,t1);}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23564,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4396: hex */
t3=((C_word*)t0)[7];
f_23421(t3,t2,t1);}}}}}

/* k23487 in k23469 in loop in read-bytevector-literal in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_23489(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23489,2,av);}
t2=C_string_to_bytevector(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23551 in k23469 in loop in read-bytevector-literal in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_23553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23553,2,av);}
a=C_alloc(3);
t2=C_fixnum_or(((C_word*)t0)[2],t1);
t3=C_make_character(C_unfix(t2));
t4=C_a_i_cons(&a,2,t3,((C_word*)t0)[3]);
/* library.scm:4395: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_23467(t5,((C_word*)t0)[5],t4,C_SCHEME_FALSE);}

/* k23562 in k23469 in loop in read-bytevector-literal in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_23564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23564,2,av);}
t2=C_fixnum_shift_left(t1,C_fix(4));
/* library.scm:4396: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23467(t3,((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* f_23566 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in ... */
static void C_ccall f_23566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_23566,4,av);}
a=C_alloc(3);
t4=t2;
t5=C_eqp(t4,C_make_character(102));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(70)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23579,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4408: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2=av;
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t7;
av2[2]=t3;
tp(3,av2);}}
else{
t7=C_eqp(t4,C_make_character(116));
t8=(C_truep(t7)?t7:C_eqp(t4,C_make_character(84)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23591,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4409: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2=av;
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t9;
av2[2]=t3;
tp(3,av2);}}
else{
/* library.scm:4410: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=lf[867];
av2[4]=t2;
tp(5,av2);}}}}

/* k23577 */
static void C_ccall f_23579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23579,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k23589 */
static void C_ccall f_23591(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23591,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#write-char-0 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in ... */
static void C_ccall f_23611(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23611,4,av);}
a=C_alloc(3);
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(2));
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23618,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4424: g5049 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t3;
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}

/* k23616 in write-char-0 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in ... */
static void C_ccall f_23618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23618,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[243]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#write-char/port in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in ... */
static void C_ccall f_23627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23627,4,av);}
t4=t3;
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[870]);
t6=C_i_check_char_2(t2,lf[870]);
/* library.scm:4431: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2=av;
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}

/* scheme#write-char in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in ... */
static void C_ccall f_23639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_23639,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?*((C_word*)lf[717]+1):C_i_car(t3));
t6=C_i_check_char_2(t2,lf[870]);
t7=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,lf[870]);
/* library.scm:4437: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* scheme#newline in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in ... */
static void C_ccall f_23660(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_23660,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[717]+1);
t4=*((C_word*)lf[717]+1);
/* library.scm:4441: ##sys#write-char/port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[869]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[869]+1);
av2[1]=t1;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[717]+1);
tp(4,av2);}}
else{
t3=C_i_car(t2);
/* library.scm:4441: ##sys#write-char/port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[869]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[869]+1);
av2[1]=t1;
av2[2]=C_make_character(10);
av2[3]=t3;
tp(4,av2);}}}

/* scheme#write in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in ... */
static void C_ccall f_23675(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_23675,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=*((C_word*)lf[717]+1);
t5=C_i_check_port_2(*((C_word*)lf[717]+1),C_fix(2),C_SCHEME_TRUE,lf[871]);
/* library.scm:4446: ##sys#print */
t6=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[717]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[871]);
/* library.scm:4446: ##sys#print */
t6=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* scheme#display in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in ... */
static void C_ccall f_23693(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_23693,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=*((C_word*)lf[717]+1);
t5=C_i_check_port_2(*((C_word*)lf[717]+1),C_fix(2),C_SCHEME_TRUE,lf[873]);
/* library.scm:4451: ##sys#print */
t6=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[717]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[873]);
/* library.scm:4451: ##sys#print */
t6=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* chicken.base#print in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in ... */
static void C_ccall f_23711(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_23711,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t3=*((C_word*)lf[717]+1);
t4=C_i_check_port_2(*((C_word*)lf[717]+1),C_fix(2),C_SCHEME_TRUE,lf[874]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23754,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_i_check_list_2(t2,lf[689]);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23730,a[2]=t8,a[3]=((C_word)li707),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_23730(t10,t5,t2);}

/* for-each-loop5110 in chicken.base#print in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in ... */
static void C_fcall f_23730(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_23730,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23740,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=*((C_word*)lf[872]+1);
/* library.scm:4454: g5126 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[872]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[872]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[717]+1);
tp(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k23738 in for-each-loop5110 in chicken.base#print in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in ... */
static void C_ccall f_23740(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23740,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_23730(t3,((C_word*)t0)[4],t2);}

/* k23752 in chicken.base#print in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in ... */
static void C_ccall f_23754(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23754,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23757,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4460: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[717]+1);
tp(4,av2);}}

/* k23755 in k23752 in chicken.base#print in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in ... */
static void C_ccall f_23757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23757,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[243]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#print* in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in ... */
static void C_ccall f_23762(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_23762,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t3=*((C_word*)lf[717]+1);
t4=C_i_check_port_2(*((C_word*)lf[717]+1),C_fix(2),C_SCHEME_TRUE,lf[874]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23805,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_i_check_list_2(t2,lf[689]);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23781,a[2]=t8,a[3]=((C_word)li709),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_23781(t10,t5,t2);}

/* for-each-loop5142 in chicken.base#print* in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in ... */
static void C_fcall f_23781(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_23781,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23791,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=*((C_word*)lf[872]+1);
/* library.scm:4454: g5158 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[872]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[872]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[717]+1);
tp(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k23789 in for-each-loop5142 in chicken.base#print* in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in ... */
static void C_ccall f_23791(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23791,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_23781(t3,((C_word*)t0)[4],t2);}

/* k23803 in chicken.base#print* in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in ... */
static void C_ccall f_23805(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23805,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23808,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4467: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[717]+1);
tp(3,av2);}}

/* k23806 in k23803 in chicken.base#print* in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in ... */
static void C_ccall f_23808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23808,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[243]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in ... */
static void C_ccall f_23815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23815,2,av);}
a=C_alloc(3);
t2=C_mutate(&lf[875] /* (set! current-print-length ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23819,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4471: chicken.base#make-parameter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in ... */
static void C_ccall f_23819(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23819,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[876]+1 /* (set! ##sys#print-length-limit ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23823,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4472: chicken.base#make-parameter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in ... */
static void C_ccall f_23823(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(104,c,6)))){
C_save_and_reclaim((void *)f_23823,2,av);}
a=C_alloc(104);
t2=C_mutate(&lf[877] /* (set! ##sys#print-exit ...) */,t1);
t3=*((C_word*)lf[229]+1);
t4=*((C_word*)lf[230]+1);
t5=C_mutate((C_word*)lf[872]+1 /* (set! ##sys#print ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23825,a[2]=t4,a[3]=t3,a[4]=((C_word)li724),tmp=(C_word)a,a+=5,tmp));
t6=C_mutate((C_word*)lf[898]+1 /* (set! ##sys#procedure->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24936,a[2]=((C_word)li725),tmp=(C_word)a,a+=3,tmp));
t7=C_set_block_item(lf[911] /* ##sys#record-printers */,0,C_SCHEME_END_OF_LIST);
t8=C_mutate((C_word*)lf[912]+1 /* (set! ##sys#register-record-printer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24953,a[2]=((C_word)li726),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[897]+1 /* (set! ##sys#user-print-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24973,a[2]=((C_word)li734),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[923]+1 /* (set! ##sys#with-print-length-limit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25124,a[2]=((C_word)li739),tmp=(C_word)a,a+=3,tmp));
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25209,a[2]=t12,a[3]=((C_word)li740),tmp=(C_word)a,a+=4,tmp);
t14=C_set_block_item(t12,0,t13);
t15=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31326,a[2]=((C_word)li741),tmp=(C_word)a,a+=3,tmp);
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31351,a[2]=((C_word)li742),tmp=(C_word)a,a+=3,tmp);
t17=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31369,a[2]=t12,a[3]=((C_word)li743),tmp=(C_word)a,a+=4,tmp);
t18=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31388,a[2]=t12,a[3]=((C_word)li744),tmp=(C_word)a,a+=4,tmp);
t19=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31407,a[2]=((C_word)li745),tmp=(C_word)a,a+=3,tmp);
t20=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31410,a[2]=((C_word)li746),tmp=(C_word)a,a+=3,tmp);
t21=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31413,a[2]=((C_word)li747),tmp=(C_word)a,a+=3,tmp);
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31454,a[2]=((C_word)li751),tmp=(C_word)a,a+=3,tmp);
t23=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31538,a[2]=((C_word)li752),tmp=(C_word)a,a+=3,tmp);
t24=C_a_i_vector(&a,10,t15,t16,t17,t18,*((C_word*)lf[196]+1),t19,t20,t21,t22,t23);
t25=C_mutate((C_word*)lf[928]+1 /* (set! ##sys#string-port-class ...) */,t24);
t26=C_mutate((C_word*)lf[926]+1 /* (set! ##sys#scan-buffer-line ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25265,a[2]=((C_word)li759),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[211]+1 /* (set! chicken.base#open-input-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25462,a[2]=((C_word)li760),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[212]+1 /* (set! chicken.base#open-output-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25481,a[2]=((C_word)li761),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[210]+1 /* (set! chicken.base#get-output-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25500,a[2]=((C_word)li762),tmp=(C_word)a,a+=3,tmp));
t30=*((C_word*)lf[210]+1);
t31=*((C_word*)lf[212]+1);
t32=C_mutate((C_word*)lf[938]+1 /* (set! ##sys#print-to-string ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25534,a[2]=t30,a[3]=t31,a[4]=((C_word)li765),tmp=(C_word)a,a+=5,tmp));
t33=C_mutate((C_word*)lf[892]+1 /* (set! ##sys#pointer->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25577,a[2]=((C_word)li766),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[186]+1 /* (set! chicken.base#get-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25630,a[2]=((C_word)li768),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[947]+1 /* (set! ##sys#really-print-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25774,a[2]=((C_word)li772),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[187]+1 /* (set! chicken.base#print-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25879,a[2]=((C_word)li773),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[955]+1 /* (set! ##sys#user-interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25970,a[2]=((C_word)li775),tmp=(C_word)a,a+=3,tmp));
t38=lf[958] /* exit-in-progress */ =C_SCHEME_FALSE;;
t39=C_mutate(&lf[959] /* (set! cleanup-before-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25992,a[2]=((C_word)li778),tmp=(C_word)a,a+=3,tmp));
t40=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26075,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t41=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31302,a[2]=((C_word)li982),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5039: chicken.base#make-parameter */
t42=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t42;
av2[1]=t40;
av2[2]=t41;
((C_proc)(void*)(*((C_word*)t42+1)))(3,av2);}}

/* ##sys#print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_23825(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23825,5,av);}
a=C_alloc(7);
t5=t4;
t6=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,C_SCHEME_FALSE);
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23832,a[2]=t3,a[3]=t1,a[4]=t4,a[5]=t2,a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4479: case-sensitive */
t8=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_23832(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23832,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23835,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4480: keyword-style */
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_23835(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_23835,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23838,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4481: ##sys#print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[876]);
C_word *av2=av;
av2[0]=*((C_word*)lf[876]+1);
av2[1]=t3;
tp(2,av2);}}

/* k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_23838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(50,c,4)))){
C_save_and_reclaim((void *)f_23838,2,av);}
a=C_alloc(50);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23840,a[2]=t2,a[3]=((C_word)li711),tmp=(C_word)a,a+=4,tmp));
t14=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23912,a[2]=t2,a[3]=((C_word)li712),tmp=(C_word)a,a+=4,tmp));
t15=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23972,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=t10,a[5]=t12,a[6]=((C_word)li713),tmp=(C_word)a,a+=7,tmp));
t16=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23996,a[2]=t6,a[3]=t4,a[4]=((C_word)li715),tmp=(C_word)a,a+=5,tmp));
t17=C_set_block_item(t12,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24085,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word)li717),tmp=(C_word)a,a+=5,tmp));
t18=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24271,a[2]=((C_word*)t0)[5],tmp=(C_word)a,a+=3,tmp);
t19=C_SCHEME_UNDEFINED;
t20=(*a=C_VECTOR_TYPE|1,a[1]=t19,tmp=(C_word)a,a+=2,tmp);
t21=C_set_block_item(t20,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_24276,a[2]=t4,a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[2],a[5]=t6,a[6]=((C_word*)t0)[3],a[7]=t8,a[8]=t20,a[9]=((C_word)li723),tmp=(C_word)a,a+=10,tmp));
t22=((C_word*)t20)[1];
f_24276(t22,t18,((C_word*)t0)[7]);}

/* outstr in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_23840(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_23840,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(((C_word*)t0)[2])){
t4=C_block_size(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23850,a[2]=t5,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=t2,a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4487: current-print-length */
t7=C_retrieve2(lf[875],C_text("current-print-length"));{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=t1;
t5=t2;
t6=t3;
t7=C_slot(t5,C_fix(2));
t8=C_slot(t7,C_fix(3));
/* g52015202 */
t9=t8;{
C_word av2[4];
av2[0]=t9;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k23848 in outstr in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_23850(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_23850,2,av);}
a=C_alloc(12);
t2=C_fixnum_plus(t1,((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23856,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_greaterp(t3,((C_word*)t0)[4]))){
t5=C_fixnum_difference(((C_word*)t0)[4],t1);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23868,a[2]=t4,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_greaterp(t5,C_fix(0)))){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23891,a[2]=((C_word*)t0)[5],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4491: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[6];
av2[3]=C_fix(0);
av2[4]=t5;
tp(5,av2);}}
else{
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_23868(2,av2);}}}
else{
t5=((C_word*)t0)[5];
t6=((C_word*)t0)[6];
t7=C_slot(t5,C_fix(2));
t8=C_slot(t7,C_fix(3));
/* g52015202 */
t9=t8;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t9;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k23854 in k23848 in outstr in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_23856(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23856,2,av);}
/* library.scm:4495: current-print-length */
t2=C_retrieve2(lf[875],C_text("current-print-length"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k23866 in k23848 in outstr in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_23868(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23868,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23871,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[3];
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(3));
/* g52015202 */
t6=t5;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=t3;
av2[3]=lf[878];
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k23869 in k23866 in k23848 in outstr in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_23871(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23871,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23874,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4493: ##sys#print-exit */
t3=C_retrieve2(lf[877],C_text("##sys#print-exit"));{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23872 in k23869 in k23866 in k23848 in outstr in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_23874(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23874,2,av);}
t2=*((C_word*)lf[243]+1);
/* library.scm:4490: g5194 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[243]+1);
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* k23889 in k23848 in outstr in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_23891(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23891,2,av);}
t2=((C_word*)t0)[2];
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(3));
/* g52015202 */
t5=t4;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=t1;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}

/* outchr in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_23912(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,3)))){
C_save_and_reclaim_args((void *)trf_23912,4,t0,t1,t2,t3);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23916,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[2])){
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23929,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=t2,a[5]=t1,a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4503: current-print-length */
t6=C_retrieve2(lf[875],C_text("current-print-length"));{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(2));
t6=C_slot(t5,C_fix(2));
/* g52105211 */
t7=t6;{
C_word av2[4];
av2[0]=t7;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}}

/* k23914 in outchr in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_23916(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23916,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=C_slot(t2,C_fix(2));
/* g52105211 */
t4=t3;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* k23927 in outchr in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_23929(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_23929,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23932,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t4=C_fixnum_plus(t2,C_fix(1));
/* library.scm:4504: current-print-length */
t5=C_retrieve2(lf[875],C_text("current-print-length"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k23930 in k23927 in outchr in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_23932(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23932,2,av);}
a=C_alloc(3);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[2],((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23941,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[5];
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(3));
/* g52015202 */
t6=t5;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=t3;
av2[3]=lf[879];
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}
else{
t2=C_slot(((C_word*)t0)[5],C_fix(2));
t3=C_slot(t2,C_fix(2));
/* g52105211 */
t4=t3;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}}

/* k23939 in k23930 in k23927 in outchr in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_23941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23941,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23944,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4507: ##sys#print-exit */
t3=C_retrieve2(lf[877],C_text("##sys#print-exit"));{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23942 in k23939 in k23930 in k23927 in outchr in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_23944(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23944,2,av);}
t2=*((C_word*)lf[243]+1);
/* library.scm:4505: g5206 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[243]+1);
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* outsym in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_23972(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_23972,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23976,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4516: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k23974 in outsym in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_23976(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23976,2,av);}
a=C_alloc(7);
t2=t1;
t3=C_i_not(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23985,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t2,a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t3)){
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t3;
f_23985(2,av2);}}
else{
/* library.scm:4517: sym-is-readable? */
t5=((C_word*)((C_word*)t0)[7])[1];
f_24085(t5,t4,t2);}}

/* k23983 in k23974 in outsym in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_23985(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23985,2,av);}
if(C_truep(t1)){
/* library.scm:4518: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23840(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}
else{
/* library.scm:4519: outreadablesym */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23996(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}

/* outreadablesym in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_23996(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_23996,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=C_block_size(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24003,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=t3,a[6]=((C_word*)t0)[3],a[7]=t1,tmp=(C_word)a,a+=8,tmp);
/* library.scm:4523: outchr */
t7=((C_word*)((C_word*)t0)[2])[1];
f_23912(t7,t6,t2,C_make_character(124));}

/* k24001 in outreadablesym in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_24003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_24003,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24008,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,a[7]=((C_word*)t0)[6],a[8]=((C_word)li714),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_24008(t5,((C_word*)t0)[7],C_fix(0));}

/* loop in k24001 in outreadablesym in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_24008(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_24008,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
/* library.scm:4526: outchr */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23912(t3,t1,((C_word*)t0)[4],C_make_character(124));}
else{
t3=C_subchar(((C_word*)t0)[5],t2);
t4=C_i_char_lessp(t3,C_make_character(32));
t5=(C_truep(t4)?t4:C_u_i_char_greaterp(t3,C_make_character(126)));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24030,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t1,a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[3],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4529: outstr */
t7=((C_word*)((C_word*)t0)[7])[1];
f_23840(t7,t6,((C_word*)t0)[4],lf[880]);}
else{
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24059,a[2]=t2,a[3]=((C_word*)t0)[6],a[4]=t1,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t3,C_make_character(124));
if(C_truep(t7)){
if(C_truep(t7)){
/* library.scm:4535: outchr */
t8=((C_word*)((C_word*)t0)[3])[1];
f_23912(t8,t6,((C_word*)t0)[4],C_make_character(92));}
else{
t8=t6;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_24059(2,av2);}}}
else{
t8=C_eqp(t3,C_make_character(92));
if(C_truep(t8)){
/* library.scm:4535: outchr */
t9=((C_word*)((C_word*)t0)[3])[1];
f_23912(t9,t6,((C_word*)t0)[4],C_make_character(92));}
else{
t9=t6;{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_24059(2,av2);}}}}}}

/* k24028 in loop in k24001 in outreadablesym in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_24030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_24030,2,av);}
a=C_alloc(8);
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24036,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=t3,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_lessp(t3,C_fix(16)))){
/* library.scm:4531: outchr */
t5=((C_word*)((C_word*)t0)[8])[1];
f_23912(t5,t4,((C_word*)t0)[7],C_make_character(48));}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_24036(2,av2);}}}

/* k24034 in k24028 in loop in k24001 in outreadablesym in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_24036(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24036,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24039,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24050,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4532: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24037 in k24034 in k24028 in loop in k24001 in outreadablesym in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_24039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24039,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4533: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_24008(t3,((C_word*)t0)[4],t2);}

/* k24048 in k24034 in k24028 in loop in k24001 in outreadablesym in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_24050(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24050,2,av);}
/* library.scm:4532: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23840(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24057 in loop in k24001 in outreadablesym in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_24059(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24059,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24062,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4536: outchr */
t3=((C_word*)((C_word*)t0)[5])[1];
f_23912(t3,t2,((C_word*)t0)[6],((C_word*)t0)[7]);}

/* k24060 in k24057 in loop in k24001 in outreadablesym in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_24062(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24062,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4537: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_24008(t3,((C_word*)t0)[4],t2);}

/* sym-is-readable? in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_24085(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_24085,3,t0,t1,t2);}
a=C_alloc(10);
t3=C_block_size(t2);
t4=t3;
switch(t4){
case C_fix(0):
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}
case C_fix(1):
t5=C_subchar(t2,C_fix(0));
t6=C_eqp(C_make_character(35),t5);
t7=(C_truep(t6)?t6:C_eqp(C_make_character(46),t5));
if(C_truep(t7)){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t8=C_fix(C_character_code(t5));
t9=C_fixnum_less_or_equal_p(t8,C_fix(32));
t10=(C_truep(t9)?t9:C_i_memq(t5,lf[881]));
if(C_truep(t10)){
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}
else{
t11=C_u_i_char_numericp(t5);
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=(C_truep(t11)?C_SCHEME_FALSE:C_SCHEME_TRUE);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}
default:
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24134,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t7,a[5]=t4,a[6]=((C_word*)t0)[3],a[7]=((C_word)li716),tmp=(C_word)a,a+=8,tmp));
t9=((C_word*)t7)[1];
f_24134(t9,t1,t5);}}

/* loop in sym-is-readable? in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_fcall f_24134(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_24134,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_eqp(t2,C_fix(0));
if(C_truep(t3)){
t4=C_subchar(((C_word*)t0)[2],C_fix(0));
t5=C_u_i_char_numericp(t4);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24150,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t5)){
t7=t6;
f_24150(t7,t5);}
else{
t7=C_eqp(t4,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_24150(t8,t7);}
else{
t8=C_eqp(t4,C_make_character(46));
t9=t6;
f_24150(t9,(C_truep(t8)?t8:C_eqp(t4,C_make_character(45))));}}}
else{
t4=C_subchar(((C_word*)t0)[2],t2);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24214,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)t0)[6])){
t6=t5;
f_24214(t6,((C_word*)t0)[6]);}
else{
t6=C_u_i_char_upper_casep(t4);
t7=t5;
f_24214(t7,C_i_not(t6));}}}

/* k24148 in loop in sym-is-readable? in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_24150(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_24150,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24157,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4556: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=C_eqp(((C_word*)t0)[4],C_make_character(58));
if(C_truep(t2)){
t3=C_eqp(((C_word*)t0)[5],lf[832]);
t4=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t4;
av2[1]=C_i_not(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24176,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=C_eqp(((C_word*)t0)[4],C_make_character(35));
if(C_truep(t4)){
t5=C_subchar(((C_word*)t0)[3],C_fix(1));
t6=C_eqp(C_make_character(37),t5);
t7=t3;
f_24176(t7,C_i_not(t6));}
else{
t5=t3;
f_24176(t5,C_SCHEME_FALSE);}}}}

/* k24155 in k24148 in loop in sym-is-readable? in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_24157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24157,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_not(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k24174 in k24148 in loop in sym-is-readable? in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_fcall f_24176(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,1)))){
C_save_and_reclaim_args((void *)trf_24176,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_fix(C_character_code(((C_word*)t0)[3]));
t3=C_fixnum_less_or_equal_p(t2,C_fix(32));
t4=(C_truep(t3)?t3:C_i_memq(((C_word*)t0)[3],lf[881]));
t5=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_SCHEME_FALSE:C_SCHEME_TRUE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k24212 in loop in sym-is-readable? in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_24214(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_24214,2,t0,t1);}
if(C_truep(t1)){
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=C_fixnum_less_or_equal_p(t2,C_fix(32));
t4=(C_truep(t3)?t3:C_i_memq(((C_word*)t0)[2],lf[881]));
if(C_truep(C_i_not(t4))){
t5=C_eqp(((C_word*)t0)[2],C_make_character(58));
t6=C_i_not(t5);
if(C_truep(t6)){
if(C_truep(t6)){
t7=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4569: loop */
t8=((C_word*)((C_word*)t0)[4])[1];
f_24134(t8,((C_word*)t0)[5],t7);}
else{
t7=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t7=C_fixnum_difference(((C_word*)t0)[6],C_fix(1));
t8=C_fixnum_lessp(((C_word*)t0)[3],t7);
if(C_truep(t8)){
if(C_truep(t8)){
t9=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4569: loop */
t10=((C_word*)((C_word*)t0)[4])[1];
f_24134(t10,((C_word*)t0)[5],t9);}
else{
t9=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t9=C_eqp(((C_word*)t0)[7],lf[815]);
if(C_truep(C_i_not(t9))){
t10=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4569: loop */
t11=((C_word*)((C_word*)t0)[4])[1];
f_24134(t11,((C_word*)t0)[5],t10);}
else{
t10=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t10;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}}}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k24269 in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_24271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24271,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[243]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_24276(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_24276,3,t0,t1,t2);}
a=C_alloc(9);
switch(t2){
case C_SCHEME_END_OF_LIST:
/* library.scm:4572: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23840(t3,t1,((C_word*)t0)[3],lf[882]);
case C_SCHEME_TRUE:
/* library.scm:4573: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23840(t3,t1,((C_word*)t0)[3],lf[883]);
case C_SCHEME_FALSE:
/* library.scm:4574: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23840(t3,t1,((C_word*)t0)[3],lf[884]);
default:
if(C_truep(C_eofp(t2))){
/* library.scm:4575: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23840(t3,t1,((C_word*)t0)[3],lf[885]);}
else{
if(C_truep(C_undefinedp(t2))){
/* library.scm:4576: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23840(t3,t1,((C_word*)t0)[3],lf[886]);}
else{
if(C_truep(C_charp(t2))){
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24325,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4579: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23840(t4,t3,((C_word*)t0)[3],lf[887]);}
else{
/* library.scm:4588: outchr */
t3=((C_word*)((C_word*)t0)[5])[1];
f_23912(t3,t1,((C_word*)t0)[3],t2);}}
else{
if(C_truep(C_fixnump(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24384,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4589: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}
else{
if(C_truep(C_unboundvaluep(t2))){
/* library.scm:4590: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23840(t3,t1,((C_word*)t0)[3],lf[888]);}
else{
t3=C_blockp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:4591: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23840(t4,t1,((C_word*)t0)[3],lf[889]);}
else{
if(C_truep(C_forwardedp(t2))){
/* library.scm:4592: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23840(t4,t1,((C_word*)t0)[3],lf[890]);}
else{
if(C_truep(C_symbolp(t2))){
if(C_truep(C_u_i_keywordp(t2))){
t4=C_i_not(((C_word*)t0)[4]);
t5=(C_truep(t4)?((C_word*)t0)[6]:C_SCHEME_FALSE);
t6=C_eqp(t5,lf[832]);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24423,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4598: outchr */
t8=((C_word*)((C_word*)t0)[5])[1];
f_23912(t8,t7,((C_word*)t0)[3],C_make_character(58));}
else{
t7=C_eqp(t5,lf[815]);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24435,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4601: outsym */
t9=((C_word*)((C_word*)t0)[7])[1];
f_23972(t9,t8,((C_word*)t0)[3],t2);}
else{
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24441,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4604: outstr */
t9=((C_word*)((C_word*)t0)[2])[1];
f_23840(t9,t8,((C_word*)t0)[3],lf[891]);}}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24457,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4606: ##sys#qualified-symbol? */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[634]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[634]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}
else{
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24473,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4610: ##sys#number? */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[495]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[495]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}}}}}}}}}

/* k24323 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_24325(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24325,2,av);}
a=C_alloc(8);
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24331,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[2],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4581: chicken.base#char-name */
t5=*((C_word*)lf[198]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k24329 in k24323 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_24331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_24331,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24335,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li718),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4581: g5309 */
t3=t2;
f_24335(t3,((C_word*)t0)[4],t1);}
else{
t2=C_fixnum_lessp(((C_word*)t0)[5],C_fix(32));
t3=(C_truep(t2)?t2:C_fixnum_greaterp(((C_word*)t0)[5],C_fix(255)));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24358,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4585: outchr */
t5=((C_word*)((C_word*)t0)[6])[1];
f_23912(t5,t4,((C_word*)t0)[3],C_make_character(120));}
else{
/* library.scm:4587: outchr */
t4=((C_word*)((C_word*)t0)[6])[1];
f_23912(t4,((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[7]);}}}

/* g5309 in k24329 in k24323 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_fcall f_24335(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_24335,3,t0,t1,t2);}
t3=C_slot(t2,C_fix(1));
/* library.scm:4583: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23840(t4,t1,((C_word*)t0)[3],t3);}

/* k24356 in k24329 in k24323 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_24358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24358,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24365,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4586: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24363 in k24356 in k24329 in k24323 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_24365(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24365,2,av);}
/* library.scm:4586: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23840(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24382 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_24384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24384,2,av);}
/* library.scm:4589: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23840(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24421 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_24423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24423,2,av);}
/* library.scm:4599: outsym */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23972(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k24433 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_24435(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24435,2,av);}
/* library.scm:4602: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23912(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(58));}

/* k24439 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_24441(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24441,2,av);}
/* library.scm:4605: outsym */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23972(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k24455 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_24457(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24457,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24464,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4607: ##sys#symbol->qualified-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
/* library.scm:4609: outsym */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23972(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}

/* k24462 in k24455 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_24464(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24464,2,av);}
/* library.scm:4607: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23840(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_24473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_24473,2,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24480,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4610: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_anypointerp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24490,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4611: ##sys#pointer->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[892]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[892]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_stringp(((C_word*)t0)[5]))){
if(C_truep(((C_word*)t0)[6])){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24499,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4614: outchr */
t3=((C_word*)((C_word*)t0)[7])[1];
f_23912(t3,t2,((C_word*)t0)[4],C_make_character(34));}
else{
/* library.scm:4640: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23840(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}
else{
if(C_truep(C_pairp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24672,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4642: outchr */
t3=((C_word*)((C_word*)t0)[7])[1];
f_23912(t3,t2,((C_word*)t0)[4],C_make_character(40));}
else{
if(C_truep(C_bytevectorp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24745,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4654: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23840(t3,t2,((C_word*)t0)[4],lf[896]);}
else{
if(C_truep(C_structurep(((C_word*)t0)[5]))){
/* library.scm:4663: ##sys#user-print-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[897]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[897]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[6];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
if(C_truep(C_closurep(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24805,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4664: ##sys#procedure->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[898]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[898]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_locativep(((C_word*)t0)[5]))){
/* library.scm:4665: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23840(t2,((C_word*)t0)[3],((C_word*)t0)[4],lf[899]);}
else{
if(C_truep(C_lambdainfop(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24817,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4667: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23840(t3,t2,((C_word*)t0)[4],lf[900]);}
else{
if(C_truep(C_portp(((C_word*)t0)[5]))){
t2=C_slot(((C_word*)t0)[5],C_fix(1));
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24836,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
switch(t2){
case C_fix(1):
/* library.scm:4672: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23840(t4,t3,((C_word*)t0)[4],lf[902]);
case C_fix(2):
/* library.scm:4673: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23840(t4,t3,((C_word*)t0)[4],lf[903]);
default:
/* library.scm:4674: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23840(t4,t3,((C_word*)t0)[4],lf[904]);}}
else{
if(C_truep(C_vectorp(((C_word*)t0)[5]))){
t2=C_block_size(((C_word*)t0)[5]);
t3=C_eqp(C_fix(0),t2);
if(C_truep(t3)){
/* library.scm:4680: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23840(t4,((C_word*)t0)[3],((C_word*)t0)[4],lf[905]);}
else{
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24883,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4682: outstr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23840(t5,t4,((C_word*)t0)[4],lf[906]);}}
else{
/* library.scm:4690: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[907];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}}}}}}}}}}}}

/* k24478 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_24480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24480,2,av);}
/* library.scm:4610: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23840(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24488 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_24490(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24490,2,av);}
/* library.scm:4611: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23840(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24497 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_24499(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24499,2,av);}
a=C_alloc(10);
t2=C_block_size(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24505,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=t4,a[6]=((C_word*)t0)[5],a[7]=((C_word)li719),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24505(t6,((C_word*)t0)[6],C_fix(0),t2);}

/* doloop5334 in k24497 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_fcall f_24505(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,3)))){
C_save_and_reclaim_args((void *)trf_24505,4,t0,t1,t2,t3);}
a=C_alloc(13);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:4618: outchr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23912(t5,t1,((C_word*)t0)[3],C_make_character(34));}
else{
t5=C_subbyte(((C_word*)t0)[4],t2);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24518,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[5],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
switch(t5){
case C_fix(34):
/* library.scm:4621: outstr */
t7=((C_word*)((C_word*)t0)[6])[1];
f_23840(t7,t6,((C_word*)t0)[3],lf[893]);
case C_fix(92):
/* library.scm:4622: outstr */
t7=((C_word*)((C_word*)t0)[6])[1];
f_23840(t7,t6,((C_word*)t0)[3],lf[894]);
default:
t7=C_fixnum_lessp(t5,C_fix(32));
t8=(C_truep(t7)?t7:C_eqp(t5,C_fix(127)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24556,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4626: outchr */
t10=((C_word*)((C_word*)t0)[2])[1];
f_23912(t10,t9,((C_word*)t0)[3],C_make_character(92));}
else{
t9=C_fix_to_char(t5);
/* library.scm:4639: outchr */
t10=((C_word*)((C_word*)t0)[2])[1];
f_23912(t10,t6,((C_word*)t0)[3],t9);}}}}

/* k24516 in doloop5334 in k24497 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_24518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24518,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
t4=((C_word*)((C_word*)t0)[4])[1];
f_24505(t4,((C_word*)t0)[5],t2,t3);}

/* k24554 in doloop5334 in k24497 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_24556(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_24556,2,av);}
a=C_alloc(7);
switch(((C_word*)t0)[2]){
case C_fix(7):
/* library.scm:4628: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23912(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(97));
case C_fix(8):
/* library.scm:4629: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23912(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(98));
case C_fix(9):
/* library.scm:4630: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23912(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(116));
case C_fix(10):
/* library.scm:4631: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23912(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(110));
case C_fix(11):
/* library.scm:4632: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23912(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(118));
case C_fix(12):
/* library.scm:4633: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23912(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(102));
case C_fix(13):
/* library.scm:4634: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23912(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(114));
default:
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24622,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4636: outchr */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23912(t3,t2,((C_word*)t0)[5],C_make_character(120));}}

/* k24620 in k24554 in doloop5334 in k24497 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_24622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_24622,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24625,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[5],C_fix(16)))){
/* library.scm:4637: outchr */
t3=((C_word*)((C_word*)t0)[6])[1];
f_23912(t3,t2,((C_word*)t0)[4],C_make_character(48));}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_24625(2,av2);}}}

/* k24623 in k24620 in k24554 in doloop5334 in k24497 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_24625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24625,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24632,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4638: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24630 in k24623 in k24620 in k24554 in doloop5334 in k24497 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_24632(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24632,2,av);}
/* library.scm:4638: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23840(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24670 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_24672(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24672,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24675,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:4643: out */
t4=((C_word*)((C_word*)t0)[5])[1];
f_24276(t4,t2,t3);}

/* k24673 in k24670 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_24675(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24675,2,av);}
a=C_alloc(10);
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24684,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=t4,a[7]=((C_word)li720),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24684(t6,((C_word*)t0)[7],t2);}

/* doloop5364 in k24673 in k24670 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_fcall f_24684(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_24684,3,t0,t1,t2);}
a=C_alloc(9);
t3=C_blockp(t2);
t4=C_i_not(t3);
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24694,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_24694(t6,t4);}
else{
t6=C_pairp(t2);
t7=t5;
f_24694(t7,C_i_not(t6));}}

/* k24692 in doloop5364 in k24673 in k24670 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_fcall f_24694(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_24694,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24697,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_eqp(((C_word*)t0)[5],C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24706,a[2]=((C_word*)t0)[6],a[3]=t2,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4648: outstr */
t5=((C_word*)((C_word*)t0)[7])[1];
f_23840(t5,t4,((C_word*)t0)[4],lf[895]);}
else{
/* library.scm:4650: outchr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23912(t4,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(41));}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24716,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4651: outchr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23912(t3,t2,((C_word*)t0)[4],C_make_character(32));}}

/* k24695 in k24692 in doloop5364 in k24673 in k24670 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_24697(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24697,2,av);}
/* library.scm:4650: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23912(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(41));}

/* k24704 in k24692 in doloop5364 in k24673 in k24670 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_24706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24706,2,av);}
/* library.scm:4649: out */
t2=((C_word*)((C_word*)t0)[2])[1];
f_24276(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k24714 in k24692 in doloop5364 in k24673 in k24670 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_24716(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_24716,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24719,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:4652: out */
t4=((C_word*)((C_word*)t0)[5])[1];
f_24276(t4,t2,t3);}

/* k24717 in k24714 in k24692 in doloop5364 in k24673 in k24670 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_24719(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24719,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_24684(t3,((C_word*)t0)[4],t2);}

/* k24743 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_24745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_24745,2,av);}
a=C_alloc(16);
t2=C_block_size(((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24751,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24756,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[3],a[8]=((C_word)li721),tmp=(C_word)a,a+=9,tmp));
t8=((C_word*)t6)[1];
f_24756(t8,t4,C_fix(0));}

/* k24749 in k24743 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_24751(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24751,2,av);}
/* library.scm:4662: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23912(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(125));}

/* doloop5378 in k24743 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_fcall f_24756(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_24756,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_subbyte(((C_word*)t0)[3],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24769,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=t1,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t4,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_lessp(t4,C_fix(16)))){
/* library.scm:4660: outchr */
t6=((C_word*)((C_word*)t0)[7])[1];
f_23912(t6,t5,((C_word*)t0)[6],C_make_character(48));}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
f_24769(2,av2);}}}}

/* k24767 in doloop5378 in k24743 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_24769(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24769,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24772,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24783,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4661: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24770 in k24767 in doloop5378 in k24743 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_24772(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24772,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_24756(t3,((C_word*)t0)[4],t2);}

/* k24781 in k24767 in doloop5378 in k24743 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_24783(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24783,2,av);}
/* library.scm:4661: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23840(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24803 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_24805(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24805,2,av);}
/* library.scm:4664: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23840(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24815 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_24817(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_24817,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24820,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24827,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4668: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[757]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[757]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k24818 in k24815 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_24820(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24820,2,av);}
/* library.scm:4669: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23912(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(62));}

/* k24825 in k24815 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_24827(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24827,2,av);}
/* library.scm:4668: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23840(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24834 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_24836(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24836,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24839,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_slot(((C_word*)t0)[5],C_fix(3));
/* library.scm:4675: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23840(t4,t2,((C_word*)t0)[4],t3);}

/* k24837 in k24834 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_24839(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24839,2,av);}
/* library.scm:4676: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23840(t2,((C_word*)t0)[3],((C_word*)t0)[4],lf[901]);}

/* k24881 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_24883(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24883,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24886,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=C_slot(((C_word*)t0)[5],C_fix(0));
/* library.scm:4683: out */
t4=((C_word*)((C_word*)t0)[6])[1];
f_24276(t4,t2,t3);}

/* k24884 in k24881 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_24886(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24886,2,av);}
a=C_alloc(10);
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24895,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t4,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li722),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24895(t6,((C_word*)t0)[7],C_fix(1),t2);}

/* doloop5402 in k24884 in k24881 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_fcall f_24895(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_24895,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:4687: outchr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23912(t5,t1,((C_word*)t0)[3],C_make_character(41));}
else{
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24908,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4688: outchr */
t6=((C_word*)((C_word*)t0)[2])[1];
f_23912(t6,t5,((C_word*)t0)[3],C_make_character(32));}}

/* k24906 in doloop5402 in k24884 in k24881 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_24908(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_24908,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24911,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[6],((C_word*)t0)[2]);
/* library.scm:4689: out */
t4=((C_word*)((C_word*)t0)[7])[1];
f_24276(t4,t2,t3);}

/* k24909 in k24906 in doloop5402 in k24884 in k24881 in k24471 in out in k23836 in k23833 in k23830 in print in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_24911(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24911,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
t4=((C_word*)((C_word*)t0)[4])[1];
f_24895(t4,((C_word*)t0)[5],t2,t3);}

/* ##sys#procedure->string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_24936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_24936,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24940,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4696: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[756]);
C_word *av2=av;
av2[0]=*((C_word*)lf[756]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k24938 in procedure->string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_24940(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_24940,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24950,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4698: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[757]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[757]+1);
av2[1]=t2;
av2[2]=t1;
tp(3,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=lf[910];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k24948 in k24938 in procedure->string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_24950(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_24950,2,av);}
/* library.scm:4698: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[908];
av2[3]=t1;
av2[4]=lf[909];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#register-record-printer in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_24953(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_24953,4,av);}
a=C_alloc(6);
t4=C_i_assq(t2,C_fast_retrieve(lf[911]));
if(C_truep(t4)){
t5=C_i_setslot(t4,C_fix(1),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_a_i_cons(&a,2,t2,t3);
t6=C_a_i_cons(&a,2,t5,C_fast_retrieve(lf[911]));
t7=C_mutate((C_word*)lf[911]+1 /* (set! ##sys#record-printers ...) */,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* ##sys#user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_24973(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24973,5,av);}
a=C_alloc(10);
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=C_i_assq(t6,C_fast_retrieve(lf[911]));
t8=t7;
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24986,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24991,a[2]=t4,a[3]=t6,a[4]=t8,a[5]=t2,a[6]=((C_word)li733),tmp=(C_word)a,a+=7,tmp);
/* library.scm:4713: scheme#call-with-current-continuation */
t11=*((C_word*)lf[132]+1);{
C_word *av2=av;
av2[0]=t11;
av2[1]=t9;
av2[2]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(3,av2);}}
else{
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25076,a[2]=t1,a[3]=t4,a[4]=t6,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4725: ##sys#print */
t10=*((C_word*)lf[872]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[922];
av2[3]=C_SCHEME_FALSE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}}

/* k24984 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_24986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24986,2,av);}
/* library.scm:4713: g5443 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* a24990 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_24991(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_24991,3,av);}
a=C_alloc(13);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24997,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word)li728),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25048,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t2,a[6]=((C_word)li732),tmp=(C_word)a,a+=7,tmp);
/* library.scm:4713: chicken.condition#with-exception-handler */
t5=C_fast_retrieve(lf[918]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a24996 in a24990 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_24997(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_24997,3,av);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25003,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li727),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4713: k5440 */
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a25002 in a24996 in a24990 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_25003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_25003,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25007,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4715: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[917];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25005 in a25002 in a24996 in a24990 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_25007(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25007,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25010,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25046,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4716: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k25008 in k25005 in a25002 in a24996 in a24990 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_25010(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_25010,2,av);}
a=C_alloc(5);
if(C_truep(C_i_structurep(((C_word*)t0)[2],lf[913]))){
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=C_i_member(lf[914],t2);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25025,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4719: ##sys#print */
t6=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[915];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
/* library.scm:4722: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[916];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k25023 in k25008 in k25005 in a25002 in a24996 in a24990 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_25025(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25025,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25028,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_cadr(((C_word*)t0)[4]);
/* library.scm:4720: ##sys#print */
t4=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k25026 in k25023 in k25008 in k25005 in a25002 in a24996 in a24990 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_25028(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25028,2,av);}
/* library.scm:4721: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k25044 in k25005 in a25002 in a24996 in a24990 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_25046(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25046,2,av);}
/* library.scm:4716: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* a25047 in a24990 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_25048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_25048,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25054,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li729),tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25063,a[2]=((C_word*)t0)[5],a[3]=((C_word)li731),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4713: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a25053 in a25047 in a24990 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_25054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25054,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:4713: g5453 */
t3=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}

/* a25062 in a25047 in a24990 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_25063(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_25063,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25069,a[2]=t2,a[3]=((C_word)li730),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4713: k5440 */
t4=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a25068 in a25062 in a25047 in a24990 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_25069(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25069,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* k25074 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_25076(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_25076,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25079,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25122,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4726: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k25077 in k25074 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_25079(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_25079,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25082,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_eqp(((C_word*)t0)[4],lf[913]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25091,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4729: ##sys#print */
t5=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[919];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t4=C_eqp(((C_word*)t0)[4],lf[920]);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25107,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4732: ##sys#print */
t6=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[921];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
/* library.scm:4734: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}}}

/* k25080 in k25077 in k25074 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_25082(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25082,2,av);}
/* library.scm:4734: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k25089 in k25077 in k25074 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_25091(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25091,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:4730: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25105 in k25077 in k25074 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_25107(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25107,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(6));
/* library.scm:4733: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25120 in k25074 in user-print-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_25122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25122,2,av);}
/* library.scm:4726: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_25124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25124,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25130,a[2]=t2,a[3]=t3,a[4]=((C_word)li738),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4739: call-with-current-continuation */
t5=*((C_word*)lf[132]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_25130(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(31,c,4)))){
C_save_and_reclaim((void *)f_25130,3,av);}
a=C_alloc(31);
t3=C_fast_retrieve(lf[876]);
t4=C_retrieve2(lf[877],C_text("##sys#print-exit"));
t5=C_retrieve2(lf[875],C_text("current-print-length"));
t6=((C_word*)t0)[2];
t7=t6;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=t2;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_fix(0);
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_SCHEME_TRUE;
t14=(*a=C_VECTOR_TYPE|1,a[1]=t13,tmp=(C_word)a,a+=2,tmp);
t15=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25136,a[2]=t8,a[3]=t10,a[4]=t12,a[5]=t14,a[6]=t5,a[7]=t4,a[8]=t3,a[9]=((C_word)li735),tmp=(C_word)a,a+=10,tmp);
t16=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25179,a[2]=((C_word*)t0)[3],a[3]=((C_word)li736),tmp=(C_word)a,a+=4,tmp);
t17=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25185,a[2]=t8,a[3]=t10,a[4]=t12,a[5]=t5,a[6]=t4,a[7]=t3,a[8]=((C_word)li737),tmp=(C_word)a,a+=9,tmp);
/* library.scm:4741: ##sys#dynamic-wind */
t18=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t18;
av2[1]=t1;
av2[2]=t15;
av2[3]=t16;
av2[4]=t17;
((C_proc)(void*)(*((C_word*)t18+1)))(5,av2);}}

/* a25135 in a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_25136(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_25136,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25140,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4741: print-length-limit54755476 */
t3=((C_word*)t0)[8];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t3))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
f_25140(2,av2);}}}

/* k25138 in a25135 in a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_25140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_25140,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25143,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=t2,tmp=(C_word)a,a+=11,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4741: print-exit54775478 */
t4=((C_word*)t0)[8];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)((C_word*)t0)[3])[1];
f_25143(2,av2);}}}

/* k25141 in k25138 in a25135 in a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_25143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_25143,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25146,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=t2,a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],tmp=(C_word)a,a+=12,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4741: current-print-length54795480 */
t4=((C_word*)t0)[7];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)((C_word*)t0)[4])[1];
f_25146(2,av2);}}}

/* k25144 in k25141 in k25138 in a25135 in a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_25146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_25146,2,av);}
a=C_alloc(13);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_25150,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],tmp=(C_word)a,a+=13,tmp);
/* library.scm:4741: print-length-limit54755476 */
t4=((C_word*)t0)[10];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k25148 in k25144 in k25141 in k25138 in a25135 in a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_25150(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_25150,2,av);}
a=C_alloc(12);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25154,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],tmp=(C_word)a,a+=12,tmp);
/* library.scm:4741: print-exit54775478 */
t4=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25152 in k25148 in k25144 in k25141 in k25138 in a25135 in a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_25154(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25154,2,av);}
a=C_alloc(11);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25158,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4741: current-print-length54795480 */
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25156 in k25152 in k25148 in k25144 in k25141 in k25138 in a25135 in a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_25158(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_25158,2,av);}
a=C_alloc(8);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25161,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4741: print-length-limit54755476 */
t4=((C_word*)t0)[9];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[10];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}

/* k25159 in k25156 in k25152 in k25148 in k25144 in k25141 in k25138 in a25135 in a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_25161(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_25161,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25164,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4741: print-exit54775478 */
t3=((C_word*)t0)[6];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25162 in k25159 in k25156 in k25152 in k25148 in k25144 in k25141 in k25138 in a25135 in a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_25164(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25164,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25167,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4741: current-print-length54795480 */
t3=((C_word*)t0)[4];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25165 in k25162 in k25159 in k25156 in k25152 in k25148 in k25144 in k25141 in k25138 in a25135 in a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_25167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25167,2,av);}
t2=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_FALSE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a25178 in a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_25179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25179,2,av);}
/* library.scm:4744: thunk */
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* a25184 in a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_25185(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25185,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25189,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4741: print-length-limit54755476 */
t3=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* k25187 in a25184 in a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_25189(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_25189,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25192,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4741: print-exit54775478 */
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25190 in k25187 in a25184 in a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_25192(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25192,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25195,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4741: current-print-length54795480 */
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25193 in k25190 in k25187 in a25184 in a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_25195(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_25195,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25198,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4741: print-length-limit54755476 */
t4=((C_word*)t0)[10];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}

/* k25196 in k25193 in k25190 in k25187 in a25184 in a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_25198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_25198,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25201,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4741: print-exit54775478 */
t3=((C_word*)t0)[10];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25199 in k25196 in k25193 in k25190 in k25187 in a25184 in a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_25201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_25201,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25204,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4741: current-print-length54795480 */
t3=((C_word*)t0)[9];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[6])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25202 in k25199 in k25196 in k25193 in k25190 in k25187 in a25184 in a25129 in with-print-length-limit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_25204(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25204,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)t0)[3]);
t3=C_mutate(((C_word *)((C_word*)t0)[4])+1,((C_word*)t0)[5]);
t4=C_mutate(((C_word *)((C_word*)t0)[6])+1,((C_word*)t0)[7]);
t5=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* check5521 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_25209(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_25209,4,av);}
a=C_alloc(9);
t4=C_slot(t2,C_fix(10));
t5=t4;
t6=C_slot(t2,C_fix(11));
t7=t6;
t8=C_slot(t2,C_fix(12));
t9=t8;
t10=C_fixnum_plus(t5,t3);
if(C_truep(C_fixnum_greater_or_equal_p(t10,t7))){
t11=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25231,a[2]=t7,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t3,a[7]=t9,a[8]=t5,tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(t10,lf[268]))){
/* library.scm:4772: ##sys#error */
t12=*((C_word*)lf[155]+1);{
C_word *av2=av;
av2[0]=t12;
av2[1]=t11;
av2[2]=lf[925];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}
else{
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_UNDEFINED;
f_25231(2,av2);}}}
else{
t11=C_SCHEME_UNDEFINED;
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}

/* k25229 in check5521 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_25231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25231,2,av);}
a=C_alloc(9);
t2=C_fixnum_plus(((C_word*)t0)[2],((C_word*)t0)[2]);
t3=C_i_fixnum_min(lf[268],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25237,a[2]=((C_word*)t0)[3],a[3]=t4,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4774: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k25235 in k25229 in check5521 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_25237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,6)))){
C_save_and_reclaim((void *)f_25237,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25240,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4775: ##sys#copy-bytes */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[924]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[924]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=t2;
av2[4]=C_fix(0);
av2[5]=C_fix(0);
av2[6]=((C_word*)t0)[8];
tp(7,av2);}}

/* k25238 in k25235 in k25229 in check5521 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_25240(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25240,2,av);}
t2=C_i_setslot(((C_word*)t0)[2],C_fix(12),((C_word*)t0)[3]);
t3=C_i_set_i_slot(((C_word*)t0)[2],C_fix(11),((C_word*)t0)[4]);
/* library.scm:4778: check */
t4=((C_word*)((C_word*)t0)[5])[1];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* ##sys#scan-buffer-line in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_25265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,7)))){
C_save_and_reclaim((void *)f_25265,6,av);}
a=C_alloc(11);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25268,a[2]=((C_word)li753),tmp=(C_word)a,a+=3,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25288,a[2]=t5,a[3]=t8,a[4]=t6,a[5]=((C_word)li758),tmp=(C_word)a,a+=6,tmp));
t10=((C_word*)t8)[1];
f_25288(t10,t1,t2,t4,t4,t3,lf[931]);}

/* copy&append in scan-buffer-line in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_fcall f_25268(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_25268,5,t1,t2,t3,t4,t5);}
a=C_alloc(8);
t6=C_block_size(t5);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25275,a[2]=t5,a[3]=t7,a[4]=t2,a[5]=t3,a[6]=t4,a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t9=C_fixnum_difference(t4,t3);
t10=C_fixnum_plus(t7,t9);
/* library.scm:4855: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t8;
av2[2]=t10;
tp(3,av2);}}

/* k25273 in copy&append in scan-buffer-line in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_25275(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25275,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_substring_copy(((C_word*)t0)[4],t1,((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[3]);
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in scan-buffer-line in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_fcall f_25288(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6){
C_word tmp;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,5)))){
C_save_and_reclaim_args((void *)trf_25288,7,t0,t1,t2,t3,t4,t5,t6);}
a=C_alloc(12);
t7=C_eqp(t4,t5);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25298,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4865: copy&append */
f_25268(t8,t2,t3,t4,t6);}
else{
t8=C_subchar(t2,t4);
t9=C_eqp(t8,C_make_character(10));
if(C_truep(t9)){
t10=C_fixnum_plus(t4,C_fix(1));
t11=t10;
t12=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25336,a[2]=t1,a[3]=t11,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4872: copy&append */
f_25268(t12,t2,t3,t4,t6);}
else{
t10=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25342,a[2]=t4,a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t3,a[7]=t6,a[8]=((C_word*)t0)[2],a[9]=((C_word*)t0)[3],a[10]=t8,a[11]=t5,tmp=(C_word)a,a+=12,tmp);
t11=C_eqp(t8,C_make_character(13));
if(C_truep(t11)){
t12=C_fixnum_plus(t4,C_fix(1));
if(C_truep(C_fixnum_greaterp(t5,t12))){
t13=C_fixnum_plus(t4,C_fix(1));
t14=C_subchar(t2,t13);
t15=t10;
f_25342(t15,C_eqp(t14,C_make_character(10)));}
else{
t13=t10;
f_25342(t13,C_SCHEME_FALSE);}}
else{
t12=t10;
f_25342(t12,C_SCHEME_FALSE);}}}}

/* k25296 in loop in scan-buffer-line in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_25298(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_25298,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25303,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li754),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25309,a[2]=((C_word*)t0)[4],a[3]=t2,a[4]=((C_word)li755),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4866: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a25302 in k25296 in loop in scan-buffer-line in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_25303(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25303,2,av);}
/* library.scm:4866: eos-handler */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a25308 in k25296 in loop in scan-buffer-line in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_25309(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25309,5,av);}
if(C_truep(t2)){
/* library.scm:4868: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_25288(t5,t1,t2,t3,t3,t4,((C_word*)t0)[3]);}
else{
/* library.scm:4869: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[3];
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}}

/* k25334 in loop in scan-buffer-line in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_25336(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25336,2,av);}
/* library.scm:4872: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25340 in loop in scan-buffer-line in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_fcall f_25342(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,5)))){
C_save_and_reclaim_args((void *)trf_25342,2,t0,t1);}
a=C_alloc(12);
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25353,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4876: copy&append */
f_25268(t4,((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[2],((C_word*)t0)[7]);}
else{
t2=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25359,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],tmp=(C_word)a,a+=12,tmp);
t3=C_eqp(((C_word*)t0)[10],C_make_character(13));
if(C_truep(t3)){
t4=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t5=t2;
f_25359(t5,C_eqp(((C_word*)t0)[11],t4));}
else{
t4=t2;
f_25359(t4,C_SCHEME_FALSE);}}}

/* k25351 in k25340 in loop in scan-buffer-line in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_25353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25353,2,av);}
/* library.scm:4876: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25357 in k25340 in loop in scan-buffer-line in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_fcall f_25359(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,6)))){
C_save_and_reclaim_args((void *)trf_25359,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25362,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4879: copy&append */
f_25268(t2,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[3],((C_word*)t0)[9]);}
else{
t2=C_eqp(((C_word*)t0)[10],C_make_character(13));
if(C_truep(t2)){
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25422,a[2]=((C_word*)t0)[5],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4890: copy&append */
f_25268(t5,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[3],((C_word*)t0)[9]);}
else{
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:4891: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_25288(t4,((C_word*)t0)[5],((C_word*)t0)[7],((C_word*)t0)[8],t3,((C_word*)t0)[11],((C_word*)t0)[9]);}}}

/* k25360 in k25357 in k25340 in loop in scan-buffer-line in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_25362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_25362,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25367,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li756),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25373,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word)li757),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4880: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a25366 in k25360 in k25357 in k25340 in loop in scan-buffer-line in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_25367(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25367,2,av);}
/* library.scm:4880: eos-handler */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a25372 in k25360 in k25357 in k25340 in loop in scan-buffer-line in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_25373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25373,5,av);}
a=C_alloc(7);
if(C_truep(t2)){
t5=C_subchar(t2,t3);
t6=C_eqp(t5,C_make_character(10));
if(C_truep(t6)){
t7=C_fixnum_plus(t3,C_fix(1));
/* library.scm:4883: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t7;
av2[3]=((C_word*)t0)[2];
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25397,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,a[5]=t3,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4886: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[929];
tp(4,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25405,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4888: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[930];
tp(4,av2);}}}

/* k25395 in a25372 in k25360 in k25357 in k25340 in loop in scan-buffer-line in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_25397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25397,2,av);}
/* library.scm:4885: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_25288(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[5],((C_word*)t0)[6],t1);}

/* k25403 in a25372 in k25360 in k25357 in k25340 in loop in scan-buffer-line in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_25405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25405,2,av);}
/* library.scm:4888: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25420 in k25357 in k25340 in loop in scan-buffer-line in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_25422(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25422,2,av);}
/* library.scm:4890: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* chicken.base#open-input-string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_25462(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_25462,3,av);}
a=C_alloc(4);
t3=C_i_check_string_2(t2,lf[932]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25469,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4896: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t4;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[928]);
av2[4]=lf[933];
av2[5]=lf[934];
tp(6,av2);}}

/* k25467 in chicken.base#open-input-string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_25469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25469,2,av);}
t2=C_block_size(((C_word*)t0)[2]);
t3=C_i_set_i_slot(t1,C_fix(11),t2);
t4=C_i_set_i_slot(t1,C_fix(10),C_fix(0));
t5=C_i_setslot(t1,C_fix(12),((C_word*)t0)[2]);
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.base#open-output-string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_25481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_25481,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25485,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4904: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t2;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[928]);
av2[4]=lf[935];
av2[5]=lf[934];
tp(6,av2);}}

/* k25483 in chicken.base#open-output-string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_25485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_25485,2,av);}
a=C_alloc(4);
t2=t1;
t3=C_i_set_i_slot(t2,C_fix(10),C_fix(0));
t4=C_i_set_i_slot(t2,C_fix(11),C_fix(256));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25498,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4907: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=C_fix(256);
tp(3,av2);}}

/* k25496 in k25483 in chicken.base#open-output-string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_25498(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25498,2,av);}
t2=C_i_setslot(((C_word*)t0)[2],C_fix(12),t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#get-output-string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_25500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_25500,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_FALSE,lf[936]);
t5=C_slot(t2,C_fix(7));
t6=C_eqp(lf[934],t5);
if(C_truep(C_i_not(t6))){
/* library.scm:4914: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[257];
av2[3]=lf[936];
av2[4]=lf[937];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
t7=C_slot(t2,C_fix(12));
t8=C_slot(t2,C_fix(10));
/* library.scm:4916: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t1;
av2[2]=t7;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}}

/* ##sys#print-to-string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_25534(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_25534,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25538,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4922: open-output-string */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25536 in print-to-string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_25538(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_25538,2,av);}
a=C_alloc(16);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25539,a[2]=t2,a[3]=((C_word)li763),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];
t5=C_i_check_list_2(t4,lf[689]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25549,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25554,a[2]=t8,a[3]=t3,a[4]=((C_word)li764),tmp=(C_word)a,a+=5,tmp));
t10=((C_word*)t8)[1];
f_25554(t10,t6,t4);}

/* g5651 in k25536 in print-to-string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_fcall f_25539(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_25539,3,t0,t1,t2);}
/* library.scm:4923: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word av2[5];
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25547 in k25536 in print-to-string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_25549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25549,2,av);}
/* library.scm:4924: get-output-string */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* for-each-loop5650 in k25536 in print-to-string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_fcall f_25554(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25554,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25564,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:4923: g5651 */
t5=((C_word*)t0)[3];
f_25539(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25562 in for-each-loop5650 in k25536 in print-to-string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_25564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25564,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25554(t3,((C_word*)t0)[4],t2);}

/* ##sys#pointer->string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_25577(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25577,3,av);}
a=C_alloc(7);
if(C_truep(C_taggedpointerp(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25588,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_pairp(t4))){
t5=C_u_i_car(t4);
t6=C_a_i_list1(&a,1,t5);
/* library.scm:4932: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[938]);
C_word *av2=av;
av2[0]=*((C_word*)lf[938]+1);
av2[1]=t3;
av2[2]=t6;
tp(3,av2);}}
else{
t5=C_a_i_list1(&a,1,t4);
/* library.scm:4932: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[938]);
C_word *av2=av;
av2[0]=*((C_word*)lf[938]+1);
av2[1]=t3;
av2[2]=t5;
tp(3,av2);}}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25618,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25622,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4938: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[942]);
C_word *av2=av;
av2[0]=*((C_word*)lf[942]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}

/* k25586 in pointer->string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_25588(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25588,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25592,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25596,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4936: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[942]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[942]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k25590 in k25586 in pointer->string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_25592(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25592,2,av);}
/* library.scm:4930: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[939];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[940];
av2[5]=t1;
av2[6]=lf[941];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k25594 in k25586 in pointer->string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_25596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25596,2,av);}
/* library.scm:4936: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* k25616 in pointer->string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_25618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25618,2,av);}
/* library.scm:4938: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[943];
av2[3]=t1;
av2[4]=lf[944];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25620 in pointer->string in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_25622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25622,2,av);}
/* library.scm:4938: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* chicken.base#get-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_25630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_25630,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_fix(0):C_i_car(t2));
t5=t4;
t6=C_i_nullp(t2);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t2));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_fast_retrieve(lf[945]):C_i_car(t7));
t10=t9;
t11=C_i_nullp(t7);
t12=(C_truep(t11)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t13=C_fix((C_word)C_trace_buffer_size);
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25646,a[2]=t5,a[3]=t13,a[4]=t10,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t15=C_fixnum_times(C_fix(4),t13);
/* library.scm:4952: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[674]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[674]+1);
av2[1]=t14;
av2[2]=t15;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* k25644 in chicken.base#get-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_25646(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_25646,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_fetch_trace(((C_word*)t0)[2],t2);
t4=C_fixnump(t3);
t5=(C_truep(t4)?t3:C_fixnum_times(C_fix(4),((C_word*)t0)[3]));
t6=t5;
t7=(C_truep(((C_word*)t0)[4])?C_slot(((C_word*)t0)[4],C_fix(14)):C_SCHEME_FALSE);
t8=t7;
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25657,a[2]=t6,a[3]=t2,a[4]=t10,a[5]=((C_word*)t0)[4],a[6]=t8,a[7]=((C_word)li767),tmp=(C_word)a,a+=8,tmp));
t12=((C_word*)t10)[1];
f_25657(t12,((C_word*)t0)[5],C_fix(0));}

/* loop in k25644 in chicken.base#get-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_fcall f_25657(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_25657,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_fixnum_plus(t2,C_fix(3));
t4=C_slot(((C_word*)t0)[3],t3);
t5=C_i_not(t4);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25676,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t5)){
t7=t6;
f_25676(t7,t5);}
else{
t7=C_i_not(((C_word*)t0)[5]);
t8=t6;
f_25676(t8,(C_truep(t7)?t7:C_eqp(((C_word*)t0)[6],t4)));}}}

/* k25674 in loop in k25644 in chicken.base#get-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_fcall f_25676(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_25676,2,t0,t1);}
a=C_alloc(11);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25695,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[3],((C_word*)t0)[2]);
t4=C_a_i_bytevector(&a,1,C_fix(3));
t5=stub5673(t4,t3);
/* library.scm:4947: ##sys#peek-nonnull-c-string */
t6=*((C_word*)lf[946]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t2;
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(4));
/* library.scm:4966: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_25657(t3,((C_word*)t0)[4],t2);}}

/* k25685 in k25693 in k25674 in loop in k25644 in chicken.base#get-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_25687(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_25687,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k25693 in k25674 in loop in k25644 in chicken.base#get-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_25695(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_25695,2,av);}
a=C_alloc(8);
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_slot(((C_word*)t0)[3],t2);
t4=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
t5=C_slot(((C_word*)t0)[3],t4);
t6=C_a_i_vector3(&a,3,t1,t3,t5);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25687,a[2]=((C_word*)t0)[4],a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=C_fixnum_plus(((C_word*)t0)[2],C_fix(4));
/* library.scm:4965: loop */
t10=((C_word*)((C_word*)t0)[5])[1];
f_25657(t10,t8,t9);}

/* ##sys#really-print-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_25774(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_25774,5,av);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t3))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25784,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4970: ##sys#print */
t6=*((C_word*)lf[872]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k25782 in really-print-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_25784(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_25784,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25785,a[2]=((C_word*)t0)[2],a[3]=((C_word)li770),tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25851,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25856,a[2]=t6,a[3]=t2,a[4]=((C_word)li771),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_25856(t8,t4,t3);}

/* g5717 in k25782 in really-print-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_fcall f_25785(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_25785,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_slot(t2,C_fix(1));
t4=t3;
t5=C_slot(t2,C_fix(2));
t6=t5;
t7=C_i_structurep(t6,lf[948]);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25798,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t8,a[6]=t6,a[7]=t2,tmp=(C_word)a,a+=8,tmp);
/* library.scm:4976: ##sys#print */
t10=*((C_word*)lf[872]+1);{
C_word av2[5];
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[951];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* k25796 in g5717 in k25782 in really-print-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_25798(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25798,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25801,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t3=C_slot(((C_word*)t0)[7],C_fix(0));
/* library.scm:4977: ##sys#print */
t4=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k25799 in k25796 in g5717 in k25782 in really-print-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_25801(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25801,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25804,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4978: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[950];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25802 in k25799 in k25796 in g5717 in k25782 in really-print-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_25804(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25804,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25807,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25822,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[6])){
if(C_truep(((C_word*)t0)[5])){
t4=t3;
f_25822(t4,C_slot(((C_word*)t0)[6],C_fix(1)));}
else{
t4=C_SCHEME_UNDEFINED;
t5=t3;
f_25822(t5,t4);}}
else{
t4=t3;
f_25822(t4,C_SCHEME_FALSE);}}

/* k25805 in k25802 in k25799 in k25796 in g5717 in k25782 in really-print-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_25807(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25807,2,av);}
a=C_alloc(5);
if(C_truep(((C_word*)t0)[2])){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25815,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li769),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4988: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[923]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[923]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=C_fix(100);
av2[3]=t2;
tp(4,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a25814 in k25805 in k25802 in k25799 in k25796 in g5717 in k25782 in really-print-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_25815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25815,2,av);}
/* library.scm:4991: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25820 in k25802 in k25799 in k25796 in g5717 in k25782 in really-print-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_25822(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_25822,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25825,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4980: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word av2[4];
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t2;
av2[2]=C_make_character(91);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
f_25807(2,av2);}}}

/* k25823 in k25820 in k25802 in k25799 in k25796 in g5717 in k25782 in really-print-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_25825(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25825,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25828,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=C_slot(((C_word*)t0)[5],C_fix(1));
/* library.scm:4981: ##sys#print */
t4=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
/* library.scm:4981: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}

/* k25826 in k25823 in k25820 in k25802 in k25799 in k25796 in g5717 in k25782 in really-print-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_25828(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25828,2,av);}
/* library.scm:4986: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[949];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25849 in k25782 in really-print-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_25851(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25851,2,av);}
/* library.scm:4993: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[952];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* for-each-loop5716 in k25782 in really-print-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_fcall f_25856(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25856,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25866,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:4971: g5717 */
t5=((C_word*)t0)[3];
f_25785(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25864 in for-each-loop5716 in k25782 in really-print-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_25866(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25866,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25856(t3,((C_word*)t0)[4],t2);}

/* chicken.base#print-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_25879(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_25879,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+7);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?*((C_word*)lf[717]+1):C_i_car(t2));
t5=t4;
t6=C_i_nullp(t2);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t2));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_fix(0):C_i_car(t7));
t10=t9;
t11=C_i_nullp(t7);
t12=(C_truep(t11)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t13=C_i_nullp(t12);
t14=(C_truep(t13)?C_fast_retrieve(lf[945]):C_i_car(t12));
t15=t14;
t16=C_i_nullp(t12);
t17=(C_truep(t16)?C_SCHEME_END_OF_LIST:C_i_cdr(t12));
t18=C_i_nullp(t17);
t19=(C_truep(t18)?lf[953]:C_i_car(t17));
t20=t19;
t21=C_i_nullp(t17);
t22=(C_truep(t21)?C_SCHEME_END_OF_LIST:C_i_cdr(t17));
t23=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,lf[954]);
t24=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25910,a[2]=t20,a[3]=t1,a[4]=t5,a[5]=t10,a[6]=t15,tmp=(C_word)a,a+=7,tmp);
/* library.scm:5000: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t24;
av2[2]=t10;
av2[3]=lf[954];
tp(4,av2);}}

/* k25908 in chicken.base#print-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_25910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25910,2,av);}
a=C_alloc(5);
t2=C_i_check_string_2(((C_word*)t0)[2],lf[954]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25920,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5002: chicken.base#get-call-chain */
t4=*((C_word*)lf[186]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k25918 in k25908 in chicken.base#print-call-chain in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_25920(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25920,2,av);}
/* library.scm:5002: ##sys#really-print-call-chain */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[947]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[947]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* ##sys#user-interrupt-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_25970(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_25970,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25973,a[2]=((C_word)li774),tmp=(C_word)a,a+=3,tmp);
t3=C_eqp(C_fast_retrieve(lf[945]),C_fast_retrieve(lf[957]));
if(C_truep(t3)){
t4=t1;
/* library.scm:5008: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[956];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_setslot(C_fast_retrieve(lf[957]),C_fix(1),t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* break in user-interrupt-hook in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_25973(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25973,2,av);}
/* library.scm:5008: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[956];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* cleanup-before-exit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_fcall f_25992(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_25992,1,t1);}
a=C_alloc(6);
t2=lf[958] /* exit-in-progress */ =C_SCHEME_TRUE;;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25997,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_dump_heap_on_exitp())){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26068,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5023: ##sys#print */
t5=*((C_word*)lf[872]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[964];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t4=t3;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_25997(2,av2);}}}

/* k25995 in cleanup-before-exit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_25997(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25997,2,av);}
a=C_alloc(9);
t2=(C_truep(C_i_profilingp())?C_i_dump_statistical_profile():C_SCHEME_UNDEFINED);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26003,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26020,a[2]=t5,a[3]=((C_word)li777),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_26020(t7,t3);}

/* k26001 in k25995 in cleanup-before-exit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_26003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_26003,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26006,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_debug_modep())){
/* library.scm:5034: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[962];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_26006(2,av2);}}}

/* k26004 in k26001 in k25995 in cleanup-before-exit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_26006(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26006,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26012,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5035: chicken.gc#force-finalizers */
t3=C_fast_retrieve(lf[961]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k26010 in k26004 in k26001 in k25995 in cleanup-before-exit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_26012(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26012,2,av);}
if(C_truep(t1)){
/* library.scm:5036: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[960]);
C_word *av2=av;
av2[0]=*((C_word*)lf[960]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* loop in k25995 in cleanup-before-exit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_fcall f_26020(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_26020,2,t0,t1);}
a=C_alloc(10);
t2=*((C_word*)lf[224]+1);
t3=C_set_block_item(lf[224] /* chicken.base#cleanup-tasks */,0,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_nullp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_i_check_list_2(t2,lf[689]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26039,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26044,a[2]=t7,a[3]=((C_word)li776),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_26044(t9,t5,t2);}}

/* k26037 in loop in k25995 in cleanup-before-exit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_26039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26039,2,av);}
/* library.scm:5032: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_26020(t2,((C_word*)t0)[3]);}

/* for-each-loop5776 in loop in k25995 in cleanup-before-exit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_fcall f_26044(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_26044,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26054,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5031: t */
t5=t4;{
C_word av2[2];
av2[0]=t5;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t5))(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k26052 in for-each-loop5776 in loop in k25995 in cleanup-before-exit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_26054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26054,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_26044(t3,((C_word*)t0)[4],t2);}

/* k26066 in cleanup-before-exit in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_26068(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26068,2,av);}
/* library.scm:5024: ##sys#dump-heap-state */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[963]);
C_word *av2=av;
av2[0]=*((C_word*)lf[963]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}

/* k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_26075(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_26075,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[223]+1 /* (set! chicken.base#exit-handler ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26079,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31296,a[2]=((C_word)li981),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5049: chicken.base#make-parameter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_26079(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_26079,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[222]+1 /* (set! chicken.base#implicit-exit-handler ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26083,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31287,a[2]=((C_word)li980),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5054: chicken.base#make-parameter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_26083(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_26083,2,av);}
a=C_alloc(23);
t2=C_mutate((C_word*)lf[965]+1 /* (set! ##sys#reset-handler ...) */,t1);
t3=C_a_i_provide(&a,1,lf[966]);
t4=C_mutate((C_word*)lf[194]+1 /* (set! ##sys#signal-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26085,a[2]=((C_word)li781),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[968]+1 /* (set! chicken.condition#abort ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26369,a[2]=((C_word)li782),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1006]+1 /* (set! chicken.condition#signal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26386,a[2]=((C_word)li783),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1007]+1 /* (set! ##sys#break-on-error ...) */,C_mk_bool(C_enable_repl));
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26395,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31127,a[2]=((C_word)li979),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5151: chicken.base#make-parameter */
t10=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t10;
av2[1]=t8;
av2[2]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}

/* ##sys#signal-hook in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_26085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +12,c,4)))){
C_save_and_reclaim((void*)f_26085,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+12);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t6=C_dbg_hook(C_SCHEME_FALSE);
t7=signal_debug_event(t2,((C_word*)t5)[1],t4);
t8=t2;
t9=C_eqp(t8,lf[956]);
if(C_truep(t9)){
t10=C_a_i_record3(&a,3,lf[913],lf[967],C_SCHEME_END_OF_LIST);
/* library.scm:5082: abort */
t11=C_fast_retrieve(lf[968]);{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(3,av2);}}
else{
t10=C_eqp(t8,lf[306]);
t11=(C_truep(t10)?t10:C_eqp(t8,lf[308]));
if(C_truep(t11)){
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26111,a[2]=t4,a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t13=C_eqp(t2,lf[306]);
if(C_truep(t13)){
/* library.scm:5088: ##sys#print */
t14=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t14;
av2[1]=t12;
av2[2]=lf[970];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t14+1)))(5,av2);}}
else{
/* library.scm:5088: ##sys#print */
t14=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t14;
av2[1]=t12;
av2[2]=lf[971];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t14+1)))(5,av2);}}}
else{
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26187,a[2]=t5,a[3]=t4,a[4]=t2,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t13=C_i_symbolp(((C_word*)t5)[1]);
t14=(C_truep(t13)?C_i_nullp(t4):C_SCHEME_FALSE);
if(C_truep(t14)){
t15=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26352,a[2]=t5,a[3]=t12,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5106: scheme#symbol->string */
t16=*((C_word*)lf[636]+1);{
C_word *av2=av;
av2[0]=t16;
av2[1]=t15;
av2[2]=((C_word*)t5)[1];
((C_proc)(void*)(*((C_word*)t16+1)))(3,av2);}}
else{
t15=t12;
f_26187(t15,C_SCHEME_UNDEFINED);}}}}

/* k26109 in signal-hook in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_26111(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_26111,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26114,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5091: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k26112 in k26109 in signal-hook in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_26114(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_26114,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26117,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_nullp(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26166,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
if(C_truep(t3)){
t5=t4;
f_26166(t5,t3);}
else{
t5=((C_word*)t0)[2];
t6=C_u_i_length(t5);
t7=t4;
f_26166(t7,C_fixnum_greaterp(t6,C_fix(1)));}}

/* k26115 in k26112 in k26109 in signal-hook in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_26117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_26117,2,av);}
a=C_alloc(9);
t2=((C_word*)t0)[2];
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26134,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26139,a[2]=t5,a[3]=((C_word)li780),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_26139(t7,t3,t2);}

/* a26123 in for-each-loop5844 in k26115 in k26112 in k26109 in signal-hook in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_26124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_26124,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26128,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5100: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k26126 in a26123 in for-each-loop5844 in k26115 in k26112 in k26109 in signal-hook in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_26128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26128,2,av);}
/* library.scm:5101: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[718]+1);
tp(4,av2);}}

/* k26132 in k26115 in k26112 in k26109 in signal-hook in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_26134(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26134,2,av);}
/* library.scm:5103: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[718]+1);
tp(3,av2);}}

/* for-each-loop5844 in k26115 in k26112 in k26109 in signal-hook in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_fcall f_26139(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_26139,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26149,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26124,a[2]=t5,a[3]=((C_word)li779),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5097: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[923]);
C_word av2[4];
av2[0]=*((C_word*)lf[923]+1);
av2[1]=t3;
av2[2]=C_fix(400);
av2[3]=t6;
tp(4,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k26147 in for-each-loop5844 in k26115 in k26112 in k26109 in signal-hook in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_26149(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26149,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_26139(t3,((C_word*)t0)[4],t2);}

/* k26164 in k26112 in k26109 in signal-hook in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_26166(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_26166,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:5093: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word av2[4];
av2[0]=*((C_word*)lf[868]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[718]+1);
tp(4,av2);}}
else{
/* library.scm:5094: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[969];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k26185 in signal-hook in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_26187(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_26187,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26190,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_i_not(((C_word*)((C_word*)t0)[2])[1]);
if(C_truep(t3)){
t4=t2;
f_26190(t4,(C_truep(t3)?C_i_pairp(((C_word*)t0)[3]):C_SCHEME_FALSE));}
else{
t4=C_i_symbolp(((C_word*)((C_word*)t0)[2])[1]);
t5=t2;
f_26190(t5,(C_truep(t4)?C_i_pairp(((C_word*)t0)[3]):C_SCHEME_FALSE));}}

/* k26188 in k26185 in signal-hook in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_fcall f_26190(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_26190,2,t0,t1);}
a=C_alloc(6);
t2=(C_truep(t1)?((C_word*)((C_word*)t0)[2])[1]:C_SCHEME_FALSE);
t3=t2;
t4=(C_truep(t1)?C_slot(((C_word*)t0)[3],C_fix(0)):((C_word*)((C_word*)t0)[2])[1]);
t5=t4;
t6=(C_truep(t1)?C_slot(((C_word*)t0)[3],C_fix(1)):((C_word*)t0)[3]);
t7=t6;
t8=((C_word*)t0)[4];
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26210,a[2]=t5,a[3]=t7,a[4]=t3,a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t10=C_eqp(t8,lf[257]);
if(C_truep(t10)){
t11=t9;
f_26210(t11,lf[976]);}
else{
t11=C_eqp(t8,lf[784]);
if(C_truep(t11)){
t12=t9;
f_26210(t12,lf[977]);}
else{
t12=C_eqp(t8,lf[379]);
if(C_truep(t12)){
t13=t9;
f_26210(t13,lf[978]);}
else{
t13=C_eqp(t8,lf[563]);
if(C_truep(t13)){
t14=t9;
f_26210(t14,lf[979]);}
else{
t14=C_eqp(t8,lf[702]);
if(C_truep(t14)){
t15=t9;
f_26210(t15,lf[980]);}
else{
t15=C_eqp(t8,lf[981]);
if(C_truep(t15)){
t16=t9;
f_26210(t16,lf[982]);}
else{
t16=C_eqp(t8,lf[983]);
if(C_truep(t16)){
t17=t9;
f_26210(t17,lf[984]);}
else{
t17=C_eqp(t8,lf[985]);
if(C_truep(t17)){
t18=t9;
f_26210(t18,lf[986]);}
else{
t18=C_eqp(t8,lf[987]);
if(C_truep(t18)){
t19=t9;
f_26210(t19,lf[988]);}
else{
t19=C_eqp(t8,lf[989]);
if(C_truep(t19)){
t20=t9;
f_26210(t20,lf[990]);}
else{
t20=C_eqp(t8,lf[991]);
if(C_truep(t20)){
t21=t9;
f_26210(t21,lf[992]);}
else{
t21=C_eqp(t8,lf[993]);
if(C_truep(t21)){
t22=t9;
f_26210(t22,lf[994]);}
else{
t22=C_eqp(t8,lf[995]);
if(C_truep(t22)){
t23=t9;
f_26210(t23,lf[996]);}
else{
t23=C_eqp(t8,lf[997]);
t24=t9;
f_26210(t24,(C_truep(t23)?lf[998]:lf[999]));}}}}}}}}}}}}}}

/* k26208 in k26188 in k26185 in signal-hook in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_26210(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_26210,2,t0,t1);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26218,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5132: chicken.base#get-call-chain */
t4=*((C_word*)lf[186]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k26216 in k26208 in k26188 in k26185 in signal-hook in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_26218(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(28,c,2)))){
C_save_and_reclaim((void *)f_26218,2,av);}
a=C_alloc(28);
t2=C_a_i_list8(&a,8,lf[972],((C_word*)t0)[2],lf[973],((C_word*)t0)[3],lf[974],t1,lf[975],((C_word*)t0)[4]);
t3=C_a_i_record3(&a,3,lf[913],((C_word*)t0)[5],t2);
/* library.scm:5111: abort */
t4=C_fast_retrieve(lf[968]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k26350 in signal-hook in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_26352(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26352,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_26187(t3,t2);}

/* chicken.condition#abort in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_26369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26369,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26373,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5136: ##sys#current-exception-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1005]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1005]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k26371 in chicken.condition#abort in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_26373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,c,2)))){
C_save_and_reclaim((void *)f_26373,2,av);}
a=C_alloc(22);
t2=C_a_i_list6(&a,6,lf[1000],lf[1001],lf[1002],C_SCHEME_END_OF_LIST,lf[1003],C_SCHEME_FALSE);
t3=C_a_i_record3(&a,3,lf[913],lf[1004],t2);
/* library.scm:5137: abort */
t4=C_fast_retrieve(lf[968]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* chicken.condition#signal in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_26386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26386,3,av);}
/* library.scm:5146: ##sys#current-exception-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1005]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1005]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_26395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,5)))){
C_save_and_reclaim((void *)f_26395,2,av);}
a=C_alloc(39);
t2=C_mutate((C_word*)lf[1008]+1 /* (set! ##sys#error-handler ...) */,t1);
t3=C_set_block_item(lf[1009] /* ##sys#last-exception */,0,C_SCHEME_FALSE);
t4=C_mutate((C_word*)lf[1005]+1 /* (set! ##sys#current-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26398,a[2]=((C_word)li784),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[918]+1 /* (set! chicken.condition#with-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26558,a[2]=((C_word)li787),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1025]+1 /* (set! chicken.condition#current-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26572,a[2]=((C_word)li789),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate(&lf[1027] /* (set! chicken.condition#prop-list->kind-prefixed-prop-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26633,a[2]=((C_word)li791),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1029]+1 /* (set! chicken.condition#make-property-condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26701,a[2]=((C_word)li792),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[1031]+1 /* (set! chicken.condition#make-composite-condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26715,a[2]=((C_word)li796),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1033]+1 /* (set! chicken.condition#condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26855,a[2]=((C_word)li799),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1034]+1 /* (set! chicken.condition#condition? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26960,a[2]=((C_word)li800),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[1035]+1 /* (set! chicken.condition#condition->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26966,a[2]=((C_word)li804),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[1038]+1 /* (set! chicken.condition#condition-predicate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27084,a[2]=((C_word)li806),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[1039]+1 /* (set! chicken.condition#condition-property-accessor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27105,a[2]=((C_word)li808),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[1042]+1 /* (set! chicken.condition#get-condition-property ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27151,a[2]=((C_word)li809),tmp=(C_word)a,a+=3,tmp));
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27162,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5334: condition-property-accessor */
t17=C_fast_retrieve(lf[1039]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t17;
av2[1]=t16;
av2[2]=lf[1012];
av2[3]=lf[1359];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(5,av2);}}

/* f_26398 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_26398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(14,c,4)))){
C_save_and_reclaim((void *)f_26398,3,av);}
a=C_alloc(14);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26402,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_structurep(t2,lf[913]))){
t4=C_mutate((C_word*)lf[1009]+1 /* (set! ##sys#last-exception ...) */,t2);
t5=C_slot(t2,C_fix(1));
if(C_truep(C_i_memq(lf[1012],t5))){
t6=C_slot(t2,C_fix(2));
t7=C_i_member(lf[1013],t6);
t8=t7;
t9=C_i_member(lf[1014],t6);
t10=t9;
t11=C_i_member(lf[1015],t6);
t12=t11;
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26441,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26451,a[2]=t10,a[3]=t13,a[4]=t8,a[5]=t12,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5203: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1008]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1008]+1);
av2[1]=t14;
tp(2,av2);}}
else{
t6=C_slot(t5,C_fix(0));
t7=C_eqp(lf[1020],t6);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26512,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5221: ##sys#print */
t9=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=t8;
av2[2]=lf[1021];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}
else{
t8=C_slot(t5,C_fix(0));
t9=C_eqp(lf[1022],t8);
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26527,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5224: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1008]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1008]+1);
av2[1]=t10;
tp(2,av2);}}
else{
t10=C_a_i_list2(&a,2,lf[1010],t2);
t11=C_a_i_record3(&a,3,lf[913],lf[1011],t10);
/* library.scm:5228: abort */
t12=C_fast_retrieve(lf[968]);{
C_word *av2=av;
av2[0]=t12;
av2[1]=t1;
av2[2]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(3,av2);}}}}}
else{
t4=C_a_i_list2(&a,2,lf[1010],t2);
t5=C_a_i_record3(&a,3,lf[913],lf[1011],t4);
/* library.scm:5228: abort */
t6=C_fast_retrieve(lf[968]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k26400 */
static void C_ccall f_26402(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_26402,2,av);}
a=C_alloc(10);
t2=C_a_i_list2(&a,2,lf[1010],((C_word*)t0)[2]);
t3=C_a_i_record3(&a,3,lf[913],lf[1011],t2);
/* library.scm:5228: abort */
t4=C_fast_retrieve(lf[968]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k26439 */
static void C_ccall f_26441(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26441,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26444,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5219: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[965]);
C_word *av2=av;
av2[0]=*((C_word*)lf[965]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26442 in k26439 */
static void C_ccall f_26444(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26444,2,av);}
/* library.scm:5198: g5982 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* k26449 */
static void C_ccall f_26451(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_26451,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26455,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[4])){
t4=C_i_cadr(((C_word*)t0)[4]);
t5=t4;
t6=(C_truep(((C_word*)t0)[5])?C_i_cadr(((C_word*)t0)[5]):C_SCHEME_FALSE);
t7=(C_truep(t6)?C_i_symbolp(t6):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26481,a[2]=t5,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5209: ##sys#symbol->qualified-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t8;
av2[2]=t6;
tp(3,av2);}}
else{
t8=t3;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t5;
f_26455(2,av2);}}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1019];
f_26455(2,av2);}}}

/* k26453 in k26449 */
static void C_ccall f_26455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_26455,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_i_cadr(((C_word*)t0)[2]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t1;
av2[4]=t2;
C_apply(5,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}}

/* k26479 in k26449 */
static void C_ccall f_26481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_26481,2,av);}
if(C_truep(C_i_symbolp(((C_word*)t0)[2]))){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:5208: string-append */
t3=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1016];
av2[3]=t1;
av2[4]=lf[1017];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[2]))){
/* library.scm:5208: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1016];
av2[3]=t1;
av2[4]=lf[1017];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
/* library.scm:5208: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1016];
av2[3]=t1;
av2[4]=lf[1017];
av2[5]=lf[1018];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}}

/* k26510 */
static void C_ccall f_26512(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26512,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26515,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5222: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[965]);
C_word *av2=av;
av2[0]=*((C_word*)lf[965]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26513 in k26510 */
static void C_ccall f_26515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26515,2,av);}
/* library.scm:5197: g5985 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* k26525 */
static void C_ccall f_26527(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_26527,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26530,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_slot(((C_word*)t0)[3],C_fix(2));
t4=C_i_member(lf[1023],t3);
t5=C_i_cadr(t4);
/* library.scm:5197: g5988 */
t6=t1;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=lf[1024];
av2[3]=t5;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k26528 in k26525 */
static void C_ccall f_26530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26530,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26533,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5227: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[965]);
C_word *av2=av;
av2[0]=*((C_word*)lf[965]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26531 in k26528 in k26525 */
static void C_ccall f_26533(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26533,2,av);}
/* library.scm:5197: g5990 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* chicken.condition#with-exception-handler in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_26558(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_26558,4,av);}
a=C_alloc(8);
t4=C_fast_retrieve(lf[1005]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26564,a[2]=t2,a[3]=((C_word)li785),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26568,a[2]=t4,a[3]=((C_word)li786),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5236: ##sys#dynamic-wind */
t7=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=t5;
av2[3]=t3;
av2[4]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}

/* a26563 in chicken.condition#with-exception-handler in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_26564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26564,2,av);}
t2=C_mutate((C_word*)lf[1005]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a26567 in chicken.condition#with-exception-handler in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_26568(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26568,2,av);}
t2=C_mutate((C_word*)lf[1005]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#current-exception-handler in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_26572(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_26572,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=C_fast_retrieve(lf[1005]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fast_retrieve(lf[1005]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26585,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5246: ##sys#check-closure */
t6=*((C_word*)lf[365]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[1026];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k26583 in chicken.condition#current-exception-handler in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_26585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_26585,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26587,a[2]=((C_word*)t0)[3],a[3]=((C_word)li788),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26593,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26598,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
  /* library.scm:5247: def-convert?6006 */
  f_26598(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
  /* library.scm:5247: def-set?6007 */
  f_26593(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
  /* library.scm:5247: body6004 */
  f_26587(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body6004 in k26583 in chicken.condition#current-exception-handler in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static C_word C_fcall f_26587(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[1005]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?6007 in k26583 in chicken.condition#current-exception-handler in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static C_word C_fcall f_26593(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:5247: body6004 */
  f_26587(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?6006 in k26583 in chicken.condition#current-exception-handler in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static C_word C_fcall f_26598(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:5247: def-set?6007 */
  f_26593(((C_word*)t0)[2])
));}

/* chicken.condition#prop-list->kind-prefixed-prop-list in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_fcall f_26633(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_26633,4,t1,t2,t3,t4);}
a=C_alloc(9);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26639,a[2]=t2,a[3]=t4,a[4]=t3,a[5]=t6,a[6]=((C_word)li790),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_26639(t8,t1,t4);}

/* loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_fcall f_26639(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_26639,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
t4=C_i_not(t3);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_26655,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t4)){
t6=t5;
f_26655(t6,t4);}
else{
t6=C_i_cdr(t2);
t7=C_i_pairp(t6);
t8=t5;
f_26655(t8,C_i_not(t7));}}}

/* k26653 in loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_26655(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,5)))){
C_save_and_reclaim_args((void *)trf_26655,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
/* library.scm:5257: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[257];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1028];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[5]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[6],t2);
t4=t3;
t5=C_i_cadr(((C_word*)t0)[5]);
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26677,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t8=((C_word*)t0)[5];
t9=C_u_i_cdr(t8);
t10=C_u_i_cdr(t9);
/* library.scm:5261: loop */
t11=((C_word*)((C_word*)t0)[7])[1];
f_26639(t11,t7,t10);}}

/* k26675 in k26653 in loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_26677(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_26677,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#make-property-condition in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_26701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,4)))){
C_save_and_reclaim((void*)f_26701,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=C_a_i_list1(&a,1,t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26713,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5266: prop-list->kind-prefixed-prop-list */
f_26633(t6,lf[1030],t2,t3);}

/* k26711 in chicken.condition#make-property-condition in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_26713(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26713,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[913],((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.condition#make-composite-condition in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_26715(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +26,c,3)))){
C_save_and_reclaim((void*)f_26715,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+26);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26832,a[2]=((C_word)li793),tmp=(C_word)a,a+=3,tmp);
t7=(
  f_26832(t5)
);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26734,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t9=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t10=t9;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=((C_word*)t11)[1];
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26796,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26798,a[2]=t11,a[3]=t15,a[4]=t12,a[5]=((C_word)li795),tmp=(C_word)a,a+=6,tmp));
t17=((C_word*)t15)[1];
f_26798(t17,t13,t5);}

/* k26732 in chicken.condition#make-composite-condition in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_26734(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,3)))){
C_save_and_reclaim((void *)f_26734,2,av);}
a=C_alloc(20);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26738,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t5=t4;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)t6)[1];
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26750,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26752,a[2]=t6,a[3]=t10,a[4]=t7,a[5]=((C_word)li794),tmp=(C_word)a,a+=6,tmp));
t12=((C_word*)t10)[1];
f_26752(t12,t8,((C_word*)t0)[3]);}

/* k26736 in k26732 in chicken.condition#make-composite-condition in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_26738(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26738,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[913],((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k26748 in k26732 in chicken.condition#make-composite-condition in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_26750(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26750,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[253]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6093 in k26732 in chicken.condition#make-composite-condition in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_26752(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26752,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_slot(t3,C_fix(2));
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26794 in chicken.condition#make-composite-condition in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_26796(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26796,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[253]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6066 in chicken.condition#make-composite-condition in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_fcall f_26798(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26798,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_slot(t3,C_fix(1));
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* for-each-loop6048 in chicken.condition#make-composite-condition in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static C_word C_fcall f_26832(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_i_check_structure_2(t2,lf[913],lf[1032]);
t4=C_slot(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* chicken.condition#condition in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_26855(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +23,c,3)))){
C_save_and_reclaim((void*)f_26855,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+23);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26862,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t8=t7;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=((C_word*)t9)[1];
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26924,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26926,a[2]=t9,a[3]=t13,a[4]=t10,a[5]=((C_word)li798),tmp=(C_word)a,a+=6,tmp));
t15=((C_word*)t13)[1];
f_26926(t15,t11,t5);}

/* k26860 in chicken.condition#condition in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_26862(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,3)))){
C_save_and_reclaim((void *)f_26862,2,av);}
a=C_alloc(17);
t2=t1;
t3=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=((C_word*)t5)[1];
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26872,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26874,a[2]=t5,a[3]=t9,a[4]=t6,a[5]=((C_word)li797),tmp=(C_word)a,a+=6,tmp));
t11=((C_word*)t9)[1];
f_26874(t11,t7,((C_word*)t0)[3]);}

/* k26870 in k26860 in chicken.condition#condition in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_26872(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26872,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[913],t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* map-loop6153 in k26860 in chicken.condition#condition in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_26874(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26874,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_i_car(t3);
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26922 in chicken.condition#condition in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_26924(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26924,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[253]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6126 in chicken.condition#condition in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_fcall f_26926(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_26926,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26951,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
t5=C_i_car(t4);
t6=C_u_i_cdr(t4);
/* library.scm:5281: prop-list->kind-prefixed-prop-list */
f_26633(t3,lf[913],t5,t6);}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26949 in map-loop6126 in chicken.condition#condition in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_26951(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26951,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_26926(t6,((C_word*)t0)[5],t5);}

/* chicken.condition#condition? in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_26960(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26960,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_structurep(t2,lf[913]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#condition->list in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_26966(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_26966,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26970,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27079,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5289: condition? */
t5=C_fast_retrieve(lf[1034]);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26968 in chicken.condition#condition->list in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_26970(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_26970,2,av);}
a=C_alloc(18);
t2=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=((C_word*)t4)[1];
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26974,a[2]=((C_word*)t0)[2],a[3]=((C_word)li802),tmp=(C_word)a,a+=4,tmp);
t7=C_slot(((C_word*)t0)[2],C_fix(1));
t8=C_i_check_list_2(t7,lf[691]);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27044,a[2]=t4,a[3]=t10,a[4]=t6,a[5]=t5,a[6]=((C_word)li803),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_27044(t12,((C_word*)t0)[3],t7);}

/* g6189 in k26968 in chicken.condition#condition->list in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_26974(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_26974,3,t0,t1,t2);}
a=C_alloc(11);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26982,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[2],C_fix(2));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26988,a[2]=t2,a[3]=t6,a[4]=((C_word)li801),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_26988(t8,t3,t4);}

/* k26980 in g6189 in k26968 in chicken.condition#condition->list in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_26982(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_26982,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in g6189 in k26968 in chicken.condition#condition->list in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_fcall f_26988(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_26988,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_caar(t2);
t4=C_eqp(t3,((C_word*)t0)[2]);
if(C_truep(t4)){
t5=t2;
t6=C_u_i_car(t5);
t7=C_u_i_cdr(t6);
t8=C_i_cadr(t2);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27019,a[2]=t9,a[3]=t1,a[4]=t7,tmp=(C_word)a,a+=5,tmp);
t11=t2;
t12=C_u_i_cdr(t11);
t13=C_u_i_cdr(t12);
/* library.scm:5299: loop */
t15=t10;
t16=t13;
t1=t15;
t2=t16;
goto loop;}
else{
t5=C_i_cddr(t2);
/* library.scm:5301: loop */
t15=t1;
t16=t5;
t1=t15;
t2=t16;
goto loop;}}}

/* k27017 in loop in g6189 in k26968 in chicken.condition#condition->list in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_27019(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_27019,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* map-loop6183 in k26968 in chicken.condition#condition->list in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_fcall f_27044(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_27044,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27069,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5293: g6189 */
t5=((C_word*)t0)[4];
f_26974(t5,t3,t4);}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k27067 in map-loop6183 in k26968 in chicken.condition#condition->list in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_27069(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_27069,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_27044(t6,((C_word*)t0)[5],t5);}

/* k27077 in chicken.condition#condition->list in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_27079(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27079,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
f_26970(2,av2);}}
else{
/* library.scm:5290: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[257];
av2[3]=lf[1036];
av2[4]=lf[1037];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.condition#condition-predicate in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_27084(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27084,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27086,a[2]=t2,a[3]=((C_word)li805),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_27086 in chicken.condition#condition-predicate in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_27086(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27086,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27093,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5306: condition? */
t4=C_fast_retrieve(lf[1034]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k27091 */
static void C_ccall f_27093(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27093,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_i_memv(((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_SCHEME_TRUE:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.condition#condition-property-accessor in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_27105(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +11,c,3)))){
C_save_and_reclaim((void*)f_27105,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+11);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=t5;
t7=C_a_i_cons(&a,2,t2,t3);
t8=t7;
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27113,a[2]=t2,a[3]=t8,a[4]=t6,a[5]=t3,a[6]=t4,a[7]=((C_word)li807),tmp=(C_word)a,a+=8,tmp);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}

/* f_27113 in chicken.condition#condition-property-accessor in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_27113(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27113,3,av);}
t3=C_i_check_structure(t2,lf[913]);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_memv(((C_word*)t0)[2],t4))){
t5=C_slot(t2,C_fix(2));
t6=C_i_member(((C_word*)t0)[3],t5);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_cadr(t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[4])){
/* library.scm:5317: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[257];
av2[3]=lf[1040];
av2[4]=lf[1041];
av2[5]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_car(((C_word*)t0)[6]);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* chicken.condition#get-condition-property in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_27151(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +4,c,5)))){
C_save_and_reclaim((void*)f_27151,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+4);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27155,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t6;
av2[2]=C_fast_retrieve(lf[1039]);
av2[3]=t3;
av2[4]=t4;
av2[5]=t5;
C_apply(6,av2);}}

/* k27153 in chicken.condition#get-condition-property in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_27155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27155,2,av);}
/* library.scm:5323: g6238 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_27162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_27162,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27165,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5335: condition-property-accessor */
t4=C_fast_retrieve(lf[1039]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1012];
av2[3]=lf[849];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_27165(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_27165,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27168,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5336: condition-property-accessor */
t4=C_fast_retrieve(lf[1039]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1012];
av2[3]=lf[1358];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_27168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(182,c,7)))){
C_save_and_reclaim((void *)f_27168,2,av);}
a=C_alloc(182);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27169,a[2]=((C_word)li813),tmp=(C_word)a,a+=3,tmp);
t4=C_mutate((C_word*)lf[1043]+1 /* (set! chicken.condition#print-error-message ...) */,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27214,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word)li818),tmp=(C_word)a,a+=7,tmp));
t5=C_fast_retrieve(lf[1043]);
t6=*((C_word*)lf[187]+1);
t7=*((C_word*)lf[212]+1);
t8=*((C_word*)lf[210]+1);
t9=C_mutate((C_word*)lf[1055]+1 /* (set! ##sys#show-exception-warning ...) */,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27405,a[2]=t6,a[3]=t5,a[4]=t8,a[5]=t7,a[6]=((C_word)li819),tmp=(C_word)a,a+=7,tmp));
t10=C_mutate((C_word*)lf[362]+1 /* (set! ##sys#error-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27454,a[2]=((C_word)li820),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1116]+1 /* (set! ##sys#structure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28110,a[2]=((C_word)li821),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[1117]+1 /* (set! ##sys#generic-structure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28113,a[2]=((C_word)li822),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[1118]+1 /* (set! ##sys#slot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28116,a[2]=((C_word)li823),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[1119]+1 /* (set! ##sys#size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28119,a[2]=((C_word)li824),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[1120]+1 /* (set! ##sys#make-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_pointer,a[2]=((C_word)li825),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[1121]+1 /* (set! ##sys#make-tagged-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_tagged_pointer,a[2]=((C_word)li826),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[1122]+1 /* (set! ##sys#pointer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28124,a[2]=((C_word)li827),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[1123]+1 /* (set! ##sys#set-pointer-address! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28127,a[2]=((C_word)li828),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[1124]+1 /* (set! ##sys#bytevector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28130,a[2]=((C_word)li829),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[1125]+1 /* (set! ##sys#string->pbytevector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28133,a[2]=((C_word)li830),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[1126]+1 /* (set! ##sys#permanent? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28136,a[2]=((C_word)li831),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[1127]+1 /* (set! ##sys#block-address ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28139,a[2]=((C_word)li832),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[1128]+1 /* (set! ##sys#locative? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28142,a[2]=((C_word)li833),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[1129]+1 /* (set! ##sys#srfi-4-vector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28145,a[2]=((C_word)li834),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[1131]+1 /* (set! ##sys#null-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28162,a[2]=((C_word)li835),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[1132]+1 /* (set! ##sys#null-pointer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28168,a[2]=((C_word)li836),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[1133]+1 /* (set! ##sys#address->pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28178,a[2]=((C_word)li837),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[942]+1 /* (set! ##sys#pointer->address ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28184,a[2]=((C_word)li838),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[748]+1 /* (set! ##sys#make-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28191,a[2]=((C_word)li839),tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[1134]+1 /* (set! ##sys#peek-signed-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_peek_signed_integer,a[2]=((C_word)li840),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[726]+1 /* (set! ##sys#peek-unsigned-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_peek_unsigned_integer,a[2]=((C_word)li841),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[1135]+1 /* (set! ##sys#peek-fixnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28226,a[2]=((C_word)li842),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[1136]+1 /* (set! ##sys#peek-byte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28229,a[2]=((C_word)li843),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[1137]+1 /* (set! ##sys#vector->structure! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28232,a[2]=((C_word)li844),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[1138]+1 /* (set! ##sys#peek-double ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28235,a[2]=((C_word)li845),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[705]+1 /* (set! ##sys#peek-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28238,a[2]=((C_word)li846),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[946]+1 /* (set! ##sys#peek-nonnull-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28254,a[2]=((C_word)li847),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[1139]+1 /* (set! ##sys#peek-and-free-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28260,a[2]=((C_word)li848),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[1140]+1 /* (set! ##sys#peek-and-free-nonnull-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28276,a[2]=((C_word)li849),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[1141]+1 /* (set! ##sys#poke-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28282,a[2]=((C_word)li850),tmp=(C_word)a,a+=3,tmp));
t41=C_mutate((C_word*)lf[1142]+1 /* (set! ##sys#poke-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28289,a[2]=((C_word)li851),tmp=(C_word)a,a+=3,tmp));
t42=C_mutate((C_word*)lf[1143]+1 /* (set! ##sys#poke-double ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28292,a[2]=((C_word)li852),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate((C_word*)lf[1144]+1 /* (set! ##sys#peek-c-string-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28312,a[2]=((C_word)li854),tmp=(C_word)a,a+=3,tmp));
t44=C_mutate((C_word*)lf[1145]+1 /* (set! ##sys#peek-and-free-c-string-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28373,a[2]=((C_word)li856),tmp=(C_word)a,a+=3,tmp));
t45=C_mutate((C_word*)lf[1146]+1 /* (set! ##sys#vector->closure! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28411,a[2]=((C_word)li857),tmp=(C_word)a,a+=3,tmp));
t46=C_mutate((C_word*)lf[1147]+1 /* (set! ##sys#symbol-has-toplevel-binding? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28414,a[2]=((C_word)li858),tmp=(C_word)a,a+=3,tmp));
t47=C_mutate((C_word*)lf[924]+1 /* (set! ##sys#copy-bytes ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28417,a[2]=((C_word)li859),tmp=(C_word)a,a+=3,tmp));
t48=C_mutate((C_word*)lf[1148]+1 /* (set! ##sys#copy-words ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28424,a[2]=((C_word)li860),tmp=(C_word)a,a+=3,tmp));
t49=C_mutate((C_word*)lf[1149]+1 /* (set! ##sys#compare-bytes ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28431,a[2]=((C_word)li861),tmp=(C_word)a,a+=3,tmp));
t50=C_mutate((C_word*)lf[1150]+1 /* (set! ##sys#block-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28434,a[2]=((C_word)li862),tmp=(C_word)a,a+=3,tmp));
t51=C_mutate((C_word*)lf[1151]+1 /* (set! ##sys#foreign-char-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28440,a[2]=((C_word)li863),tmp=(C_word)a,a+=3,tmp));
t52=C_mutate((C_word*)lf[1152]+1 /* (set! ##sys#foreign-fixnum-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28443,a[2]=((C_word)li864),tmp=(C_word)a,a+=3,tmp));
t53=C_mutate((C_word*)lf[1153]+1 /* (set! ##sys#foreign-flonum-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28446,a[2]=((C_word)li865),tmp=(C_word)a,a+=3,tmp));
t54=C_mutate((C_word*)lf[1154]+1 /* (set! ##sys#foreign-block-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28449,a[2]=((C_word)li866),tmp=(C_word)a,a+=3,tmp));
t55=C_mutate((C_word*)lf[1155]+1 /* (set! ##sys#foreign-struct-wrapper-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28452,a[2]=((C_word)li867),tmp=(C_word)a,a+=3,tmp));
t56=C_mutate((C_word*)lf[1156]+1 /* (set! ##sys#foreign-string-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28455,a[2]=((C_word)li868),tmp=(C_word)a,a+=3,tmp));
t57=C_mutate((C_word*)lf[1157]+1 /* (set! ##sys#foreign-symbol-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28458,a[2]=((C_word)li869),tmp=(C_word)a,a+=3,tmp));
t58=C_mutate((C_word*)lf[1158]+1 /* (set! ##sys#foreign-pointer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28461,a[2]=((C_word)li870),tmp=(C_word)a,a+=3,tmp));
t59=C_mutate((C_word*)lf[1159]+1 /* (set! ##sys#foreign-tagged-pointer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28464,a[2]=((C_word)li871),tmp=(C_word)a,a+=3,tmp));
t60=C_mutate((C_word*)lf[1160]+1 /* (set! ##sys#foreign-ranged-integer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28467,a[2]=((C_word)li872),tmp=(C_word)a,a+=3,tmp));
t61=C_mutate((C_word*)lf[1161]+1 /* (set! ##sys#foreign-unsigned-ranged-integer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28470,a[2]=((C_word)li873),tmp=(C_word)a,a+=3,tmp));
t62=C_set_block_item(lf[1162] /* ##sys#default-thread-quantum */,0,C_fix(10000));
t63=C_mutate((C_word*)lf[1163]+1 /* (set! ##sys#default-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28474,a[2]=((C_word)li874),tmp=(C_word)a,a+=3,tmp));
t64=C_mutate((C_word*)lf[1165]+1 /* (set! ##sys#make-thread ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28477,a[2]=((C_word)li875),tmp=(C_word)a,a+=3,tmp));
t65=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28501,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5694: ##sys#make-thread */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1165]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[1165]+1);
av2[1]=t65;
av2[2]=C_SCHEME_FALSE;
av2[3]=lf[1356];
av2[4]=lf[1357];
av2[5]=C_fast_retrieve(lf[1162]);
tp(6,av2);}}

/* writeargs in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_fcall f_27169(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_27169,3,t1,t2,t3);}
a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27171,a[2]=t3,a[3]=((C_word)li811),tmp=(C_word)a,a+=4,tmp);
t5=C_i_check_list_2(t2,lf[689]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27192,a[2]=t7,a[3]=t4,a[4]=((C_word)li812),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_27192(t9,t1,t2);}

/* g6254 in writeargs in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_fcall f_27171(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_27171,3,t0,t1,t2);}
a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27175,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27180,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li810),tmp=(C_word)a,a+=5,tmp);
/* library.scm:5341: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[923]);
C_word av2[4];
av2[0]=*((C_word*)lf[923]+1);
av2[1]=t3;
av2[2]=C_fix(80);
av2[3]=t4;
tp(4,av2);}}

/* k27173 in g6254 in writeargs in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_27175(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27175,2,av);}
/* library.scm:5342: newline */
t2=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a27179 in g6254 in writeargs in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_27180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27180,2,av);}
/* library.scm:5341: write */
t2=*((C_word*)lf[152]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* for-each-loop6253 in writeargs in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_fcall f_27192(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_27192,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27202,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5339: g6254 */
t5=((C_word*)t0)[3];
f_27171(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k27200 in for-each-loop6253 in writeargs in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_27202(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27202,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_27192(t3,((C_word*)t0)[4],t2);}

/* chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_27214(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +16,c,4)))){
C_save_and_reclaim((void*)f_27214,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+16);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27216,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li815),tmp=(C_word)a,a+=8,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27365,a[2]=t4,a[3]=((C_word)li816),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27370,a[2]=t5,a[3]=((C_word)li817),tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t3))){
/* library.scm:5345: def-port6276 */
t7=t6;
f_27370(t7,t1);}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
/* library.scm:5345: def-header6277 */
t9=t5;
f_27365(t9,t1,t7);}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
/* library.scm:5345: body6274 */
t11=t4;
f_27216(t11,t1,t7,t9);}}}

/* body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_fcall f_27216(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_27216,4,t0,t1,t2,t3);}
a=C_alloc(10);
t4=t2;
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[1044]);
t6=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27223,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=t3,tmp=(C_word)a,a+=10,tmp);
/* library.scm:5348: newline */
t7=*((C_word*)lf[151]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}

/* k27221 in body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_27223(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_27223,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27226,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5349: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[9];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27224 in k27221 in body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_27226(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_27226,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27232,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
t3=C_immp(((C_word*)t0)[6]);
if(C_truep(C_i_not(t3))){
t4=C_slot(((C_word*)t0)[6],C_fix(0));
t5=t2;
f_27232(t5,C_eqp(lf[913],t4));}
else{
t4=t2;
f_27232(t4,C_SCHEME_FALSE);}}

/* k27230 in k27224 in k27221 in body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_fcall f_27232(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_27232,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27235,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5351: errmsg */
t3=((C_word*)t0)[8];{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[6]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27334,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5375: display */
t3=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1052];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27343,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5379: display */
t3=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1053];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}}

/* k27233 in k27230 in k27224 in k27221 in body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_27235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_27235,2,av);}
a=C_alloc(13);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27238,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t1)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27270,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[6],a[5]=((C_word)li814),tmp=(C_word)a,a+=6,tmp);
/* library.scm:5351: g6297 */
t4=t3;
f_27270(t4,t2,t1);}
else{
t3=C_slot(((C_word*)t0)[6],C_fix(1));
if(C_truep(C_i_equalp(lf[1049],t3))){
/* library.scm:5361: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=lf[1050];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27318,a[2]=((C_word*)t0)[6],a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5363: display */
t5=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1051];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}}

/* k27236 in k27233 in k27230 in k27224 in k27221 in body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_27238(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27238,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27241,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5365: errargs */
t3=((C_word*)t0)[5];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k27239 in k27236 in k27233 in k27230 in k27224 in k27221 in body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_27241(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_27241,2,av);}
a=C_alloc(6);
t2=t1;
t3=C_i_not(t2);
if(C_truep(t3)){
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_length(t2);
t5=C_eqp(C_fix(1),t4);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27256,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5369: display */
t7=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[1045];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27262,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5372: newline */
t7=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}}

/* k27254 in k27239 in k27236 in k27233 in k27230 in k27224 in k27221 in body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_27256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27256,2,av);}
/* library.scm:5370: writeargs */
f_27169(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k27260 in k27239 in k27236 in k27233 in k27230 in k27224 in k27221 in body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_27262(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27262,2,av);}
/* library.scm:5373: writeargs */
f_27169(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* g6297 in k27233 in k27230 in k27224 in k27221 in body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_fcall f_27270(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_27270,3,t0,t1,t2);}
a=C_alloc(7);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27274,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5353: display */
t4=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1048];
av2[3]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k27272 in g6297 in k27233 in k27230 in k27224 in k27221 in body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_27274(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27274,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27277,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5354: errloc */
t3=((C_word*)t0)[5];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k27275 in k27272 in g6297 in k27233 in k27230 in k27224 in k27221 in body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_27277(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_27277,2,av);}
a=C_alloc(12);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27280,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(C_truep(t1)?C_i_symbolp(t1):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27293,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27297,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5356: ##sys#symbol->qualified-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t5;
av2[2]=t1;
tp(3,av2);}}
else{
/* library.scm:5357: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* k27278 in k27275 in k27272 in g6297 in k27233 in k27230 in k27224 in k27221 in body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static void C_ccall f_27280(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27280,2,av);}
/* library.scm:5357: display */
t2=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k27291 in k27275 in k27272 in g6297 in k27233 in k27230 in k27224 in k27221 in body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static void C_ccall f_27293(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27293,2,av);}
/* library.scm:5356: display */
t2=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k27295 in k27275 in k27272 in g6297 in k27233 in k27230 in k27224 in k27221 in body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static void C_ccall f_27297(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27297,2,av);}
/* library.scm:5356: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1046];
av2[3]=t1;
av2[4]=lf[1047];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27316 in k27233 in k27230 in k27224 in k27221 in body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_27318(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27318,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:5364: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27332 in k27230 in k27224 in k27221 in body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_27334(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27334,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27337,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5376: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27335 in k27332 in k27230 in k27224 in k27221 in body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_27337(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27337,2,av);}
/* library.scm:5377: newline */
t2=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k27341 in k27230 in k27224 in k27221 in body6274 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_27343(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_27343,2,av);}
a=C_alloc(3);
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);
/* library.scm:5380: writeargs */
f_27169(((C_word*)t0)[4],t2,((C_word*)t0)[5]);}

/* def-header6277 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_fcall f_27365(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_27365,3,t0,t1,t2);}
/* library.scm:5345: body6274 */
t3=((C_word*)t0)[2];
f_27216(t3,t1,t2,lf[1054]);}

/* def-port6276 in chicken.condition#print-error-message in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_fcall f_27370(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_27370,2,t0,t1);}
/* library.scm:5345: def-header6277 */
t2=((C_word*)t0)[2];
f_27365(t2,t1,*((C_word*)lf[717]+1));}

/* ##sys#show-exception-warning in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_27405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +9,c,2)))){
C_save_and_reclaim((void*)f_27405,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+9);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_fast_retrieve(lf[945]):C_i_car(t4));
t7=t6;
if(C_truep(*((C_word*)lf[303]+1))){
t8=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27415,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t7,a[5]=((C_word*)t0)[3],a[6]=t2,a[7]=((C_word*)t0)[4],a[8]=t3,tmp=(C_word)a,a+=9,tmp);
/* library.scm:5395: open-output-string */
t9=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t8=C_SCHEME_UNDEFINED;
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* k27413 in show-exception-warning in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_27415(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_27415,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27418,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5396: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1058];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k27416 in k27413 in show-exception-warning in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_27418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_27418,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27421,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27440,a[2]=t2,a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5398: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1057];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_27421(2,av2);}}}

/* k27419 in k27416 in k27413 in show-exception-warning in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_27421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_27421,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27424,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5401: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1056];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27422 in k27419 in k27416 in k27413 in show-exception-warning in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_27424(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_27424,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27427,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5402: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[9];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27425 in k27422 in k27419 in k27416 in k27413 in show-exception-warning in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_27427(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_27427,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27430,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27437,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5403: get-output-string */
t4=((C_word*)t0)[7];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k27428 in k27425 in k27422 in k27419 in k27416 in k27413 in show-exception-warning in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_27430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27430,2,av);}
/* library.scm:5404: print-call-chain */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=*((C_word*)lf[718]+1);
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27435 in k27425 in k27422 in k27419 in k27416 in k27413 in show-exception-warning in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_27437(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27437,2,av);}
/* library.scm:5403: print-error-message */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=*((C_word*)lf[718]+1);
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27438 in k27416 in k27413 in show-exception-warning in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_27440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27440,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27443,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5399: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27441 in k27438 in k27416 in k27413 in show-exception-warning in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_27443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27443,2,av);}
/* write-char/port */
t2=C_fast_retrieve(lf[869]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(41);
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#error-hook in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_27454(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +9,c,6)))){
C_save_and_reclaim((void*)f_27454,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+9);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
switch(t2){
case C_fix(1):
t5=C_i_car(t4);
t6=t5;
t7=C_i_cadr(t4);
t8=C_i_caddr(t4);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27477,a[2]=t9,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27488,a[2]=t10,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5419: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t11;
av2[2]=t7;
tp(3,av2);}
case C_fix(2):
t5=C_i_car(t4);
t6=t5;
t7=C_i_cadr(t4);
t8=C_i_caddr(t4);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27514,a[2]=t9,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27525,a[2]=t10,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5428: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t11;
av2[2]=t7;
tp(3,av2);}
case C_fix(3):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1063];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(4):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[981];
av2[4]=t3;
av2[5]=lf[1064];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(6):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[989];
av2[4]=t3;
av2[5]=lf[1065];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(7):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[563];
av2[4]=t3;
av2[5]=lf[1066];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(8):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[379];
av2[4]=t3;
av2[5]=lf[1067];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(9):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1068];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(10):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[991];
av2[4]=t3;
av2[5]=lf[1069];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(11):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1070];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(12):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[989];
av2[4]=t3;
av2[5]=lf[1071];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(13):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1072];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(14):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1073];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(15):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1074];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(16):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1075];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(17):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1076];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(18):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1077];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(19):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1078];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(20):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1079];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(21):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1080];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(22):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1081];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(23):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[989];
av2[4]=t3;
av2[5]=lf[1082];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(24):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1083];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(25):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1084];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(26):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1085];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(27):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1086];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(28):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1087];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(29):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1088];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(30):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1089];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(31):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1090];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(32):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1091];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(33):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1092];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(34):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1093];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(35):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1094];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(36):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[989];
av2[4]=t3;
av2[5]=lf[1095];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(37):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1096];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(38):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1097];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(39):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1098];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(40):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1099];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(41):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1100];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(42):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1101];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(43):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[702];
av2[4]=t3;
av2[5]=lf[1102];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(44):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1103];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(45):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[997];
av2[4]=t3;
av2[5]=lf[1104];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(46):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[563];
av2[4]=t3;
av2[5]=lf[1105];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(47):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[981];
av2[4]=t3;
av2[5]=lf[1106];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(48):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[997];
av2[4]=t3;
av2[5]=lf[1107];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(49):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1108];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(50):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1109];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(51):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1110];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(52):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1111];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(53):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1112];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(54):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1113];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(55):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=t3;
av2[5]=lf[1114];
av2[6]=t4;
C_apply(7,av2);}
default:{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[981];
av2[4]=t3;
av2[5]=lf[1115];
av2[6]=t4;
C_apply(7,av2);}}}

/* k27475 in error-hook in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_27477(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,6)))){
C_save_and_reclaim((void *)f_27477,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[991];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=t2;
C_apply(7,av2);}}
else{
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[194]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[194]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=lf[991];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}}

/* k27486 in error-hook in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_27488(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_27488,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27492,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5420: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k27490 in k27486 in error-hook in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_27492(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27492,2,av);}
/* library.scm:5419: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1059];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1060];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k27512 in error-hook in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_27514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,6)))){
C_save_and_reclaim((void *)f_27514,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[991];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=t2;
C_apply(7,av2);}}
else{
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[194]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[194]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=lf[991];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}}

/* k27523 in error-hook in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_27525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_27525,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27529,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5429: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k27527 in k27523 in error-hook in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_27529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27529,2,av);}
/* library.scm:5428: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1061];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1062];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#structure? in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28110(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28110,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_structurep(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#generic-structure? in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28113(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28113,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_structurep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#slot in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28116(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28116,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_slot(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#size in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28119,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_block_size(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#pointer? in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28124,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_anypointerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#set-pointer-address! in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28127,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_update_pointer(t3,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#bytevector? in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28130(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28130,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_bytevectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#string->pbytevector in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28133(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28133,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_string_to_pbytevector(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#permanent? in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28136(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28136,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_permanentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#block-address in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28139,3,av);}
a=C_alloc(6);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_block_address(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#locative? in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28142(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28142,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_locativep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#srfi-4-vector? in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28145(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28145,3,av);}
if(C_truep(C_blockp(t2))){
if(C_truep(C_structurep(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_memq(t3,lf[1130]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* ##sys#null-pointer in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28162,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28166,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5512: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1120]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1120]+1);
av2[1]=t2;
tp(2,av2);}}

/* k28164 in null-pointer in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28166(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28166,2,av);}
t2=C_update_pointer(C_fix(0),t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#null-pointer? in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28168,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28176,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5517: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[942]);
C_word *av2=av;
av2[0]=*((C_word*)lf[942]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k28174 in null-pointer? in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28176(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28176,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_eqp(C_fix(0),t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#address->pointer in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28178(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28178,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28182,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5520: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1120]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1120]+1);
av2[1]=t3;
tp(2,av2);}}

/* k28180 in address->pointer in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28182,2,av);}
t2=C_update_pointer(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#pointer->address in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28184,3,av);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_unsigned_int_to_num(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#make-c-string in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28191(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_28191,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?lf[748]:C_i_car(t3));
t6=t5;
t7=C_block_size(t2);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28201,a[2]=t2,a[3]=t8,a[4]=t1,a[5]=t6,tmp=(C_word)a,a+=6,tmp);
t10=C_fixnum_plus(t8,C_fix(1));
/* library.scm:5530: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t9;
av2[2]=t10;
tp(3,av2);}}

/* k28199 in make-c-string in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_28201,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_setsubchar(t1,((C_word*)t0)[3],C_make_character(0));
t4=C_asciiz_strlen(t1);
t5=C_eqp(t4,((C_word*)t0)[3]);
if(C_truep(t5)){
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fix((C_word)C_ASCIIZ_REPRESENTATION_ERROR);
/* library.scm:5535: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=t6;
av2[3]=((C_word*)t0)[5];
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}}

/* ##sys#peek-fixnum in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28226(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28226,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_peek_fixnum(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-byte in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28229(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28229,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_peek_byte(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#vector->structure! in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28232(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28232,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_vector_to_structure(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#peek-double in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_28235,4,av);}
a=C_alloc(4);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_f64peek(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-c-string in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28238(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28238,4,av);}
a=C_alloc(6);
t4=C_null_pointerp(t2);
if(C_truep(C_i_not(t4))){
t5=C_fetch_c_strlen(t2,t3);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28248,a[2]=t2,a[3]=t3,a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5551: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k28246 in peek-c-string in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28248(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28248,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=t1;
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-nonnull-c-string in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28254(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28254,4,av);}
a=C_alloc(6);
t4=C_fetch_c_strlen(t2,t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28258,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5557: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28256 in peek-nonnull-c-string in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28258,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#peek-and-free-c-string in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28260(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28260,4,av);}
a=C_alloc(6);
t4=C_null_pointerp(t2);
if(C_truep(C_i_not(t4))){
t5=C_fetch_c_strlen(t2,t3);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28270,a[2]=t2,a[3]=t3,a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5564: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k28268 in peek-and-free-c-string in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28270(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28270,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_free_mptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=t1;
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#peek-and-free-nonnull-c-string in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28276,4,av);}
a=C_alloc(6);
t4=C_fetch_c_strlen(t2,t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28280,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5571: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28278 in peek-and-free-nonnull-c-string in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28280(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28280,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_free_mptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#poke-c-string in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28282(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28282,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28287,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5577: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2=av;
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28285 in poke-c-string in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28287,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_poke_c_string(((C_word*)t0)[3],((C_word*)t0)[4],t1,((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#poke-integer in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28289(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28289,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_poke_integer(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#poke-double in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28292(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28292,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_poke_double(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#peek-c-string-list in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28312(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_28312,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28318,a[2]=t3,a[3]=t5,a[4]=t2,a[5]=((C_word)li853),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_28318(t7,t1,C_fix(0));}

/* loop in peek-c-string-list in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_fcall f_28318(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_28318,3,t0,t1,t2);}
a=C_alloc(10);
t3=(C_truep(((C_word*)t0)[2])?C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28328,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t0)[4];
t6=t2;
t7=C_a_i_bytevector(&a,1,C_fix(3));
t8=(C_truep(t5)?C_i_foreign_pointer_argumentp(t5):C_SCHEME_FALSE);
t9=C_i_foreign_fixnum_argumentp(t6);
t10=stub6515(t7,t8,t9);
/* library.scm:5583: ##sys#peek-c-string */
t11=*((C_word*)lf[705]+1);{
C_word av2[4];
av2[0]=t11;
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t11+1)))(4,av2);}}}

/* k28326 in loop in peek-c-string-list in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_28328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28328,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28338,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:5590: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_28318(t5,t3,t4);}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k28336 in k28326 in loop in peek-c-string-list in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_28338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_28338,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#peek-and-free-c-string-list in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_28373,4,av);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28377,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28382,a[2]=t3,a[3]=t2,a[4]=t6,a[5]=((C_word)li855),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_28382(t8,t4,C_fix(0));}

/* k28375 in peek-and-free-c-string-list in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28377,2,av);}
t2=((C_word*)t0)[2];
if(C_truep(t2)){
t3=C_i_foreign_pointer_argumentp(t2);
t4=stub6542(C_SCHEME_UNDEFINED,t3);
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t3=stub6542(C_SCHEME_UNDEFINED,C_SCHEME_FALSE);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* loop in peek-and-free-c-string-list in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_fcall f_28382(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_28382,3,t0,t1,t2);}
a=C_alloc(11);
t3=(C_truep(((C_word*)t0)[2])?C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28392,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t5=((C_word*)t0)[3];
t6=t2;
t7=C_a_i_bytevector(&a,1,C_fix(3));
t8=(C_truep(t5)?C_i_foreign_pointer_argumentp(t5):C_SCHEME_FALSE);
t9=C_i_foreign_fixnum_argumentp(t6);
t10=stub6534(t7,t8,t9);
/* library.scm:5594: ##sys#peek-c-string */
t11=*((C_word*)lf[705]+1);{
C_word av2[4];
av2[0]=t11;
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t11+1)))(4,av2);}}}

/* k28390 in loop in peek-and-free-c-string-list in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_28392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28392,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_free_sptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28402,a[2]=((C_word*)t0)[4],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:5603: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_28382(t6,t4,t5);}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k28400 in k28390 in loop in peek-and-free-c-string-list in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_28402(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_28402,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#vector->closure! in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28411,4,av);}
t4=C_vector_to_closure(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_update_pointer(t3,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#symbol-has-toplevel-binding? in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28414,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_boundp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#copy-bytes in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28417(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word t8;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28417,7,av);}
t7=C_fixnum_plus(t4,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_substring_copy(t2,t3,t4,t7,t5);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* ##sys#copy-words in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28424(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word t8;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28424,7,av);}
t7=C_fixnum_plus(t4,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_subvector_copy(t2,t3,t4,t7,t5);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* ##sys#compare-bytes in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28431(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28431,7,av);}
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_substring_compare(t2,t3,t4,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* ##sys#block-pointer in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28434(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28434,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28438,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5636: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1120]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1120]+1);
av2[1]=t3;
tp(2,av2);}}

/* k28436 in block-pointer in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28438(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28438,2,av);}
t2=C_pointer_to_block(t1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-char-argument in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28440,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_char_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-fixnum-argument in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28443,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_fixnum_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-flonum-argument in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28446(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28446,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_flonum_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-block-argument in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28449(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28449,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_block_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-struct-wrapper-argument in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28452(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28452,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_struct_wrapper_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-string-argument in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28455,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_string_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-symbol-argument in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28458,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_symbol_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-pointer-argument in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28461(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28461,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_pointer_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-tagged-pointer-argument in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28464(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28464,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_tagged_pointer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-ranged-integer-argument in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28467(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28467,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_ranged_integer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-unsigned-ranged-integer-argument in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28470(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28470,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_unsigned_ranged_integer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#default-exception-handler in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28474(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28474,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_halt(lf[1164]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-thread in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28477(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_28477,6,av);}
a=C_alloc(7);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28493,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
t7=C_block_size(C_fast_retrieve(lf[765]));
/* library.scm:5681: ##sys#vector-resize */
f_18006(t6,C_fast_retrieve(lf[765]),t7,C_SCHEME_FALSE);}

/* k28491 in make-thread in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,1)))){
C_save_and_reclaim((void *)f_28493,2,av);}
a=C_alloc(26);
t2=C_a_i_vector6(&a,6,C_fast_retrieve(lf[693]),*((C_word*)lf[716]+1),*((C_word*)lf[717]+1),*((C_word*)lf[718]+1),C_fast_retrieve(lf[1163]),t1);
t3=C_a_i_cons(&a,2,C_SCHEME_FALSE,C_SCHEME_FALSE);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_record(&a,15,lf[920],((C_word*)t0)[3],C_SCHEME_FALSE,((C_word*)t0)[4],C_SCHEME_FALSE,t2,((C_word*)t0)[5],C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST,((C_word*)t0)[6],C_SCHEME_UNDEFINED,C_SCHEME_FALSE,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_28501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(24,c,4)))){
C_save_and_reclaim((void *)f_28501,2,av);}
a=C_alloc(24);
t2=C_mutate((C_word*)lf[957]+1 /* (set! ##sys#primordial-thread ...) */,t1);
t3=C_mutate((C_word*)lf[945]+1 /* (set! ##sys#current-thread ...) */,C_fast_retrieve(lf[957]));
t4=C_mutate((C_word*)lf[1166]+1 /* (set! ##sys#make-mutex ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28504,a[2]=((C_word)li876),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1168]+1 /* (set! ##sys#schedule ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28510,a[2]=((C_word)li877),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1169]+1 /* (set! ##sys#thread-yield! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28519,a[2]=((C_word)li880),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1170]+1 /* (set! ##sys#kill-other-threads ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28540,a[2]=((C_word)li881),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1171]+1 /* (set! chicken.base#sleep-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28546,a[2]=((C_word)li882),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[1172]+1 /* (set! sleep ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28549,a[2]=((C_word)li883),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1173]+1 /* (set! ##sys#context-switch ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_context_switch,a[2]=((C_word)li884),tmp=(C_word)a,a+=3,tmp));
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28561,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5736: scheme#make-vector */
t12=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t12;
av2[1]=t11;
av2[2]=C_fix(256);
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}

/* ##sys#make-mutex in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28504(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_28504,4,av);}
a=C_alloc(8);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_record7(&a,7,lf[1167],t2,t3,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE,C_SCHEME_FALSE,C_SCHEME_UNDEFINED);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#schedule in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28510,2,av);}
t2=C_slot(C_fast_retrieve(lf[945]),C_fix(1));
/* library.scm:5708: g6628 */
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* ##sys#thread-yield! in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28519(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_28519,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28525,a[2]=((C_word)li879),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5711: ##sys#call-with-current-continuation */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
C_call_cc(3,av2);}}

/* a28524 in thread-yield! in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_28525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28525,3,av);}
a=C_alloc(4);
t3=C_fast_retrieve(lf[945]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28534,a[2]=t2,a[3]=((C_word)li878),tmp=(C_word)a,a+=4,tmp);
t5=C_i_setslot(C_fast_retrieve(lf[945]),C_fix(1),t4);
/* library.scm:5715: ##sys#schedule */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1168]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1168]+1);
av2[1]=t1;
tp(2,av2);}}

/* a28533 in a28524 in thread-yield! in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_28534(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28534,2,av);}
/* library.scm:5714: return */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_SCHEME_UNDEFINED;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* ##sys#kill-other-threads in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28540(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28540,3,av);}
/* library.scm:5718: thunk */
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* chicken.base#sleep-hook in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28546(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28546,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_process_sleep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* sleep in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_28549,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28553,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5727: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[1172];
tp(4,av2);}}

/* k28551 in sleep in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_28553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28553,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28556,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5728: chicken.base#sleep-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1171]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1171]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k28554 in k28551 in sleep in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_28556(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28556,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_28561(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(55,c,4)))){
C_save_and_reclaim((void *)f_28561,2,av);}
a=C_alloc(55);
t2=C_mutate((C_word*)lf[1174]+1 /* (set! ##sys#signal-vector ...) */,t1);
t3=C_mutate((C_word*)lf[1175]+1 /* (set! ##sys#interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28563,a[2]=((C_word)li886),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[701]+1 /* (set! ##sys#dispatch-interrupt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28613,a[2]=((C_word)li887),tmp=(C_word)a,a+=3,tmp));
t5=C_fix(0);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_mutate((C_word*)lf[706]+1 /* (set! ##sys#update-errno ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28620,a[2]=t6,a[3]=((C_word)li888),tmp=(C_word)a,a+=4,tmp));
t8=C_mutate((C_word*)lf[1178]+1 /* (set! ##sys#errno ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28624,a[2]=t6,a[3]=((C_word)li889),tmp=(C_word)a,a+=4,tmp));
t9=C_fast_retrieve(lf[861]);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28638,a[2]=((C_word)li891),tmp=(C_word)a,a+=3,tmp));
t15=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28685,a[2]=((C_word)li893),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[861]+1 /* (set! ##sys#user-read-hook ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28730,a[2]=t9,a[3]=t11,a[4]=t13,a[5]=((C_word)li898),tmp=(C_word)a,a+=6,tmp));
t17=C_a_i_provide(&a,1,lf[1189]);
t18=C_mutate((C_word*)lf[1190]+1 /* (set! chicken.process-context#change-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29160,a[2]=((C_word)li899),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[1193]+1 /* (set! ##sys#change-directory-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29190,a[2]=((C_word)li900),tmp=(C_word)a,a+=3,tmp));
t20=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29198,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t21=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31099,a[2]=((C_word)li972),tmp=(C_word)a,a+=3,tmp);
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31121,a[2]=((C_word)li973),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5954: chicken.base#getter-with-setter */
t23=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t23;
av2[1]=t20;
av2[2]=t21;
av2[3]=t22;
((C_proc)(void*)(*((C_word*)t23+1)))(4,av2);}}

/* ##sys#interrupt-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_28563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_28563,4,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28567,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28594,a[2]=t6,a[3]=((C_word)li885),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_28594(t8,t4,t2);}

/* k28565 in interrupt-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_28567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28567,2,av);}
t2=C_slot(C_fast_retrieve(lf[1176]),C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
/* library.scm:5746: ##sys#run-pending-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1177]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1177]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
if(C_truep(C_i_closurep(((C_word*)t0)[3]))){
/* library.scm:5747: state */
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:5748: ##sys#context-switch */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_context_switch(3,av2);}}}}

/* loop in interrupt-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_fcall f_28594(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28594,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(t2)){
t3=C_slot(C_fast_retrieve(lf[1174]),t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28604,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t3)){
/* library.scm:5743: handler */
t5=t3;{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t5=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5744: loop */
t7=t1;
t8=t5;
t1=t7;
t2=t8;
goto loop;}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k28602 in loop in interrupt-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_28604(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28604,2,av);}
t2=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5744: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_28594(t3,((C_word*)t0)[3],t2);}

/* ##sys#dispatch-interrupt in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_28613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28613,3,av);}
t3=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5751: ##sys#interrupt-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1175]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1175]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
tp(4,av2);}}

/* ##sys#update-errno in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_28620(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28620,2,av);}
t2=C_set_block_item(((C_word*)t0)[2],0,C_fix((C_word)errno));
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#errno in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_28624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28624,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* readln in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_fcall f_28638(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28638,2,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28642,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5780: chicken.base#open-output-string */
t4=*((C_word*)lf[212]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28640 in readln in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_28642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28642,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28649,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5781: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28647 in k28640 in readln in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_28649(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_28649,2,av);}
a=C_alloc(8);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28651,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word)li890),tmp=(C_word)a,a+=6,tmp));
t5=((C_word*)t3)[1];
f_28651(t5,((C_word*)t0)[4],t1);}

/* doloop6676 in k28647 in k28640 in readln in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_fcall f_28651(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_28651,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eofp(t2);
t4=(C_truep(t3)?t3:C_i_char_equalp(C_make_character(10),t2));
if(C_truep(t4)){
if(C_truep(C_eofp(t2))){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* library.scm:5783: chicken.base#get-output-string */
t5=*((C_word*)lf[210]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28673,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5784: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word av2[4];
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=((C_word*)t0)[2];
tp(4,av2);}}}

/* k28671 in doloop6676 in k28647 in k28640 in readln in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_28673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28673,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28680,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5781: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k28678 in k28671 in doloop6676 in k28647 in k28640 in readln in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_28680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28680,2,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_28651(t2,((C_word*)t0)[3],t1);}

/* read-escaped-sexp in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_fcall f_28685(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_28685,3,t1,t2,t3);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28689,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:5786: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}
else{
t5=t4;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_28689(2,av2);}}}

/* k28687 in read-escaped-sexp in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_28689(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28689,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28692,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5787: read */
t3=*((C_word*)lf[149]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k28690 in k28687 in read-escaped-sexp in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_28692(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_28692,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28695,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[3])){
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28700,a[2]=((C_word*)t0)[4],a[3]=t5,a[4]=((C_word)li892),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_28700(t7,t3);}
else{
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k28693 in k28690 in k28687 in read-escaped-sexp in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_28695(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28695,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in k28690 in k28687 in read-escaped-sexp in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_fcall f_28700(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_28700,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28704,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5791: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28702 in loop in k28690 in k28687 in read-escaped-sexp in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_28704(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28704,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:5793: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1179];
tp(4,av2);}}
else{
t2=C_i_char_equalp(C_make_character(125),t1);
if(C_truep(C_i_not(t2))){
/* library.scm:5794: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_28700(t3,((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* ##sys#user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_28730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28730,4,av);}
a=C_alloc(6);
t4=C_i_char_equalp(C_make_character(60),t2);
if(C_truep(C_i_not(t4))){
/* library.scm:5797: old */
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28743,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* read-char/port */
t6=C_fast_retrieve(lf[769]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_28743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28743,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28746,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5800: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_28746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28746,2,av);}
a=C_alloc(6);
switch(t1){
case C_make_character(60):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28755,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5802: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28868,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5827: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}
default:
/* library.scm:5882: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[1188];
tp(4,av2);}}}

/* k28753 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_28755(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28755,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28758,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5803: chicken.base#open-output-string */
t3=*((C_word*)lf[212]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k28756 in k28753 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_28758(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28758,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28761,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5804: readln */
f_28638(t3,((C_word*)t0)[2]);}

/* k28759 in k28756 in k28753 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_28761(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_28761,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_eofp(t2);
t6=(C_truep(t5)?C_fix(0):C_i_string_length(t2));
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28767,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t4,a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t8=C_eqp(t6,C_fix(0));
if(C_truep(t8)){
/* library.scm:5809: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1182];
tp(4,av2);}}
else{
t9=C_fixnum_difference(t6,C_fix(1));
t10=C_i_string_ref(t2,t9);
t11=C_u_i_char_equalp(t10,C_make_character(32));
if(C_truep(t11)){
if(C_truep(t11)){
/* library.scm:5813: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1183];
tp(4,av2);}}
else{
t12=C_SCHEME_UNDEFINED;
t13=t7;{
C_word *av2=av;
av2[0]=t13;
av2[1]=t12;
f_28767(2,av2);}}}
else{
t12=C_fixnum_difference(t6,C_fix(1));
t13=C_i_string_ref(t2,t12);
if(C_truep(C_u_i_char_equalp(t13,C_make_character(9)))){
/* library.scm:5813: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1183];
tp(4,av2);}}
else{
t14=C_SCHEME_UNDEFINED;
t15=t7;{
C_word *av2=av;
av2[0]=t15;
av2[1]=t14;
f_28767(2,av2);}}}}}

/* k28765 in k28759 in k28756 in k28753 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_28767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_28767,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28774,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5816: readln */
f_28638(t2,((C_word*)t0)[4]);}

/* k28772 in k28765 in k28759 in k28756 in k28753 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static void C_ccall f_28774(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_28774,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28776,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t3,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word)li894),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_28776(t5,((C_word*)t0)[7],t1);}

/* doloop6711 in k28772 in k28765 in k28759 in k28756 in k28753 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in ... */
static void C_fcall f_28776(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,0,3)))){
C_save_and_reclaim_args((void *)trf_28776,3,t0,t1,t2);}
a=C_alloc(17);
t3=C_eofp(t2);
t4=(C_truep(t3)?t3:C_i_string_equal_p(((C_word*)t0)[2],t2));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28789,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_eofp(t2))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28802,a[2]=t5,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t7=C_a_i_list(&a,3,lf[1180],((C_word*)t0)[2],lf[1181]);
/* library.scm:5771: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[938]);
C_word av2[3];
av2[0]=*((C_word*)lf[938]+1);
av2[1]=t6;
av2[2]=t7;
tp(3,av2);}}
else{
/* library.scm:5821: chicken.base#get-output-string */
t6=*((C_word*)lf[210]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28805,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[4],a[6]=t2,a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)((C_word*)t0)[7])[1])){
/* library.scm:5823: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word av2[4];
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t5;
av2[2]=C_make_character(10);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}
else{
t6=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_TRUE);
t7=t5;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
f_28805(2,av2);}}}}

/* k28787 in doloop6711 in k28772 in k28765 in k28759 in k28756 in k28753 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_28789(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28789,2,av);}
/* library.scm:5821: chicken.base#get-output-string */
t2=*((C_word*)lf[210]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k28800 in doloop6711 in k28772 in k28765 in k28759 in k28756 in k28753 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_28802(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28802,2,av);}
/* library.scm:5819: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k28803 in doloop6711 in k28772 in k28765 in k28759 in k28756 in k28753 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_28805(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28805,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28808,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5825: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[7];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k28806 in k28803 in doloop6711 in k28772 in k28765 in k28759 in k28756 in k28753 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in ... */
static void C_ccall f_28808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28808,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28815,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5816: readln */
f_28638(t2,((C_word*)t0)[5]);}

/* k28813 in k28806 in k28803 in doloop6711 in k28772 in k28765 in k28759 in k28756 in k28753 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in ... */
static void C_ccall f_28815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28815,2,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_28776(t2,((C_word*)t0)[3],t1);}

/* k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_28868(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28868,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28871,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5828: readln */
f_28638(t2,((C_word*)t0)[2]);}

/* k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_28871(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28871,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28874,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5829: chicken.base#open-output-string */
t4=*((C_word*)lf[212]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_28874(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_28874,2,av);}
a=C_alloc(14);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28876,a[2]=t3,a[3]=((C_word)li895),tmp=(C_word)a,a+=4,tmp);
t5=C_eofp(((C_word*)t0)[2]);
t6=(C_truep(t5)?C_fix(0):C_i_string_length(((C_word*)t0)[2]));
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28890,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t4,a[5]=t3,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t8=C_eqp(t6,C_fix(0));
if(C_truep(t8)){
/* library.scm:5838: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1186];
tp(4,av2);}}
else{
t9=C_fixnum_difference(t6,C_fix(1));
t10=C_i_string_ref(((C_word*)t0)[2],t9);
t11=C_u_i_char_equalp(t10,C_make_character(32));
if(C_truep(t11)){
if(C_truep(t11)){
/* library.scm:5842: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1187];
tp(4,av2);}}
else{
t12=C_SCHEME_UNDEFINED;
t13=t7;{
C_word *av2=av;
av2[0]=t13;
av2[1]=t12;
f_28890(2,av2);}}}
else{
t12=C_fixnum_difference(t6,C_fix(1));
t13=C_i_string_ref(((C_word*)t0)[2],t12);
if(C_truep(C_u_i_char_equalp(t13,C_make_character(9)))){
/* library.scm:5842: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1187];
tp(4,av2);}}
else{
t14=C_SCHEME_UNDEFINED;
t15=t7;{
C_word *av2=av;
av2[0]=t15;
av2[1]=t14;
f_28890(2,av2);}}}}}

/* get/clear-str in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_fcall f_28876(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28876,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28880,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5831: chicken.base#get-output-string */
t3=*((C_word*)lf[210]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k28878 in get/clear-str in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static void C_ccall f_28880(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28880,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28884,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5832: chicken.base#open-output-string */
t4=*((C_word*)lf[212]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28882 in k28878 in get/clear-str in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in ... */
static void C_ccall f_28884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28884,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_28890(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_28890,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28895,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word)li897),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_28895(t5,((C_word*)t0)[7],C_SCHEME_END_OF_LIST);}

/* loop in k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static void C_fcall f_28895(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_28895,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_28899,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5847: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k28897 in loop in k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in ... */
static void C_ccall f_28899(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_28899,2,av);}
a=C_alloc(9);
t2=t1;
t3=C_eqp(t2,C_make_character(10));
t4=(C_truep(t3)?t3:C_eqp(t2,C_SCHEME_END_OF_FILE));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28911,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5850: get/clear-str */
t6=((C_word*)t0)[7];
f_28876(t6,t5);}
else{
t5=C_eqp(t2,C_make_character(35));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_29031,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[9],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5870: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29098,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5880: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=((C_word*)((C_word*)t0)[8])[1];
tp(4,av2);}}}}

/* k28909 in k28897 in loop in k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_28911(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,2)))){
C_save_and_reclaim((void *)f_28911,2,av);}
a=C_alloc(17);
t2=C_eofp(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_string_equal_p(((C_word*)t0)[3],t1));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28923,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_eofp(((C_word*)t0)[2]))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29008,a[2]=t4,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
t6=C_a_i_list(&a,3,lf[1180],((C_word*)t0)[3],lf[1181]);
/* library.scm:5771: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[938]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[938]+1);
av2[1]=t5;
av2[2]=t6;
tp(3,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_28923(2,av2);}}}
else{
t4=C_a_i_cons(&a,2,t1,((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,C_make_character(10),t4);
/* library.scm:5868: loop */
t6=((C_word*)((C_word*)t0)[7])[1];
f_28895(t6,((C_word*)t0)[4],t5);}}

/* k28921 in k28909 in k28897 in loop in k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in ... */
static void C_ccall f_28923(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_28923,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28930,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_i_cdr(((C_word*)t0)[3]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28936,a[2]=t5,a[3]=((C_word)li896),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_28936(t7,t2,t3,C_SCHEME_END_OF_LIST,lf[1185]);}

/* k28928 in k28921 in k28909 in k28897 in loop in k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in ... */
static void C_ccall f_28930(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28930,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list(&a,2,lf[938],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop2 in k28921 in k28909 in k28897 in loop in k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in ... */
static void C_fcall f_28936(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_28936,5,t0,t1,t2,t3,t4);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28950,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5860: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[938]);
C_word av2[3];
av2[0]=*((C_word*)lf[938]+1);
av2[1]=t5;
av2[2]=t3;
tp(3,av2);}}
else{
t5=C_i_car(t2);
t6=C_i_stringp(t5);
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28959,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
if(C_truep(t6)){
t8=t7;
f_28959(t8,t6);}
else{
t8=t2;
t9=C_u_i_car(t8);
t10=t7;
f_28959(t10,C_charp(t9));}}}

/* k28948 in loop2 in k28921 in k28909 in k28897 in loop in k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in ... */
static void C_ccall f_28950(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,1)))){
C_save_and_reclaim((void *)f_28950,2,av);}
a=C_alloc(9);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list(&a,3,lf[1184],t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k28957 in loop2 in k28921 in k28909 in k28897 in loop in k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in ... */
static void C_fcall f_28959(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_28959,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=((C_word*)t0)[2];
t5=C_u_i_car(t4);
t6=C_a_i_cons(&a,2,t5,((C_word*)t0)[3]);
/* library.scm:5862: loop2 */
t7=((C_word*)((C_word*)t0)[4])[1];
f_28936(t7,((C_word*)t0)[5],t3,t6,((C_word*)t0)[6]);}
else{
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=((C_word*)t0)[2];
t5=C_u_i_car(t4);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28989,a[2]=((C_word*)t0)[6],a[3]=t5,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:5867: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[938]);
C_word av2[3];
av2[0]=*((C_word*)lf[938]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k28987 in k28957 in loop2 in k28921 in k28909 in k28897 in loop in k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in ... */
static void C_ccall f_28989(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,4)))){
C_save_and_reclaim((void *)f_28989,2,av);}
a=C_alloc(18);
t2=C_a_i_list(&a,3,lf[1184],t1,((C_word*)t0)[2]);
t3=C_a_i_list(&a,3,lf[1184],((C_word*)t0)[3],t2);
/* library.scm:5864: loop2 */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28936(t4,((C_word*)t0)[5],((C_word*)t0)[6],C_SCHEME_END_OF_LIST,t3);}

/* k29006 in k28909 in k28897 in loop in k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in ... */
static void C_ccall f_29008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29008,2,av);}
/* library.scm:5853: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k29029 in k28897 in loop in k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_29031(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29031,2,av);}
a=C_alloc(9);
switch(t1){
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29040,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29047,a[2]=t2,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5873: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(123):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29064,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5875: read-escaped-sexp */
f_28685(t2,((C_word*)t0)[6],C_SCHEME_TRUE);
default:
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29083,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5877: read-escaped-sexp */
f_28685(t2,((C_word*)t0)[6],C_SCHEME_FALSE);}}

/* k29038 in k29029 in k28897 in loop in k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in ... */
static void C_ccall f_29040(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29040,2,av);}
/* library.scm:5874: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_28895(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k29045 in k29029 in k28897 in loop in k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in ... */
static void C_ccall f_29047(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29047,2,av);}
/* library.scm:5873: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)((C_word*)t0)[3])[1];
tp(4,av2);}}

/* k29062 in k29029 in k28897 in loop in k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in ... */
static void C_ccall f_29064(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29064,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29072,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5876: get/clear-str */
t4=((C_word*)t0)[5];
f_28876(t4,t3);}

/* k29070 in k29062 in k29029 in k28897 in loop in k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in ... */
static void C_ccall f_29072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29072,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[3],t2);
/* library.scm:5875: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28895(t4,((C_word*)t0)[5],t3);}

/* k29081 in k29029 in k28897 in loop in k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in ... */
static void C_ccall f_29083(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29083,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29091,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5878: get/clear-str */
t4=((C_word*)t0)[5];
f_28876(t4,t3);}

/* k29089 in k29081 in k29029 in k28897 in loop in k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in ... */
static void C_ccall f_29091(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29091,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[3],t2);
/* library.scm:5877: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28895(t4,((C_word*)t0)[5],t3);}

/* k29096 in k28897 in loop in k28888 in k28872 in k28869 in k28866 in k28744 in k28741 in user-read-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_29098(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29098,2,av);}
/* library.scm:5881: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_28895(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* chicken.process-context#change-directory in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_29160(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29160,3,av);}
a=C_alloc(4);
t3=C_i_check_string_2(t2,lf[1191]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29167,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5943: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[1191];
tp(4,av2);}}

/* k29165 in chicken.process-context#change-directory in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_29167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_29167,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29170,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_chdir(t1);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29176,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5945: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word *av2=av;
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t5;
tp(2,av2);}}}

/* k29168 in k29165 in chicken.process-context#change-directory in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_29170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29170,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29174 in k29165 in chicken.process-context#change-directory in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_29176(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_29176,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29183,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29187,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k29181 in k29174 in k29165 in chicken.process-context#change-directory in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_29183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_29183,2,av);}
/* library.scm:5946: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=lf[1191];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k29185 in k29174 in k29165 in chicken.process-context#change-directory in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_29187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29187,2,av);}
/* library.scm:5947: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1192];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#change-directory-hook in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_29190(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29190,3,av);}
/* library.scm:5951: change-directory */
t3=C_fast_retrieve(lf[1190]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_29198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(30,c,4)))){
C_save_and_reclaim((void *)f_29198,2,av);}
a=C_alloc(30);
t2=C_mutate((C_word*)lf[1194]+1 /* (set! chicken.process-context#current-directory ...) */,t1);
t3=C_mutate((C_word*)lf[1195]+1 /* (set! chicken.process-context#get-environment-variable ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29200,a[2]=((C_word)li901),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1196]+1 /* (set! chicken.process-context#set-environment-variable! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29218,a[2]=((C_word)li902),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1198]+1 /* (set! chicken.process-context#unset-environment-variable! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29235,a[2]=((C_word)li903),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1200]+1 /* (set! chicken.process-context#get-environment-variables ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29255,a[2]=((C_word)li906),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1201]+1 /* (set! chicken.process-context#executable-pathname ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29321,a[2]=((C_word)li907),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1202]+1 /* (set! chicken.process-context#argc+argv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29328,a[2]=((C_word)li908),tmp=(C_word)a,a+=3,tmp));
t9=C_SCHEME_FALSE;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_mutate((C_word*)lf[1203]+1 /* (set! chicken.process-context#argv ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29340,a[2]=t10,a[3]=((C_word)li910),tmp=(C_word)a,a+=4,tmp));
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29380,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31097,a[2]=t12,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6027: argv */
t14=C_fast_retrieve(lf[1203]);{
C_word *av2=av;
av2[0]=t14;
av2[1]=t13;
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}

/* chicken.process-context#get-environment-variable in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_29200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29200,3,av);}
a=C_alloc(9);
t3=C_a_i_bytevector(&a,1,C_fix(3));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29209,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t2)){
t5=C_i_foreign_string_argumentp(t2);
/* library.scm:5972: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2=av;
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}
else{
t5=stub6829(t3,C_SCHEME_FALSE);
/* library.scm:5972: ##sys#peek-c-string */
t6=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k29207 in chicken.process-context#get-environment-variable in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_29209(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29209,2,av);}
t2=stub6829(((C_word*)t0)[2],t1);
/* library.scm:5972: ##sys#peek-c-string */
t3=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* chicken.process-context#set-environment-variable! in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_29218(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29218,4,av);}
a=C_alloc(4);
t4=C_i_check_string_2(t2,lf[1197]);
t5=C_i_check_string_2(t3,lf[1197]);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29229,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5978: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2=av;
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=lf[1197];
tp(4,av2);}}

/* k29227 in chicken.process-context#set-environment-variable! in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_29229(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29229,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29233,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5979: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1197];
tp(4,av2);}}

/* k29231 in k29227 in chicken.process-context#set-environment-variable! in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_29233(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29233,2,av);}
t2=C_setenv(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.process-context#unset-environment-variable! in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_29235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29235,3,av);}
a=C_alloc(3);
t3=C_i_check_string_2(t2,lf[1199]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29243,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5985: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[1199];
tp(4,av2);}}

/* k29241 in chicken.process-context#unset-environment-variable! in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_29243(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29243,2,av);}
t2=C_unsetenv(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.process-context#get-environment-variables in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_29255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_29255,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29261,a[2]=t3,a[3]=((C_word)li905),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_29261(t5,t1,C_fix(0));}

/* loop in chicken.process-context#get-environment-variables in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_fcall f_29261(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_29261,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29265,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=t2;
t5=C_a_i_bytevector(&a,1,C_fix(3));
t6=C_i_foreign_fixnum_argumentp(t4);
t7=stub6848(t5,t6);
/* library.scm:5989: ##sys#peek-c-string */
t8=*((C_word*)lf[705]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t3;
av2[2]=t7;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* k29263 in loop in chicken.process-context#get-environment-variables in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_29265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29265,2,av);}
a=C_alloc(9);
t2=t1;
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_29273,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word)li904),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_29273(t6,((C_word*)t0)[4],C_fix(0));}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan in k29263 in loop in chicken.process-context#get-environment-variables in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_fcall f_29273(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_29273,3,t0,t1,t2);}
a=C_alloc(7);
t3=C_subchar(((C_word*)t0)[2],t2);
if(C_truep(C_i_char_equalp(C_make_character(61),t3))){
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_29299,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5996: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
av2[3]=C_fix(0);
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
/* library.scm:5999: scan */
t6=t1;
t7=t4;
t1=t6;
t2=t7;
goto loop;}}

/* k29289 in k29301 in k29297 in scan in k29263 in loop in chicken.process-context#get-environment-variables in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static void C_ccall f_29291(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_29291,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29297 in scan in k29263 in loop in chicken.process-context#get-environment-variables in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_29299(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_29299,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29303,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=C_fixnum_plus(((C_word*)t0)[5],C_fix(1));
t5=C_block_size(((C_word*)t0)[6]);
/* library.scm:5997: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=t4;
av2[4]=t5;
tp(5,av2);}}

/* k29301 in k29297 in scan in k29263 in loop in chicken.process-context#get-environment-variables in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29303(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_29303,2,av);}
a=C_alloc(7);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29291,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(1));
/* library.scm:5998: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_29261(t6,t4,t5);}

/* chicken.process-context#executable-pathname in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_29321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_29321,2,av);}
a=C_alloc(5);
t2=C_a_i_bytevector(&a,1,C_fix(3));
t3=stub6860(t2);
/* library.scm:6009: ##sys#peek-and-free-c-string */
t4=*((C_word*)lf[1139]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* chicken.process-context#argc+argv in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_29328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29328,2,av);}
a=C_alloc(3);
/* library.scm:6012: ##sys#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix((C_word)C_main_argc);
av2[3]=C_mpointer_or_false(&a,(void*)C_main_argv);
C_values(4,av2);}}

/* chicken.process-context#argv in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_29340(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_29340,2,av);}
a=C_alloc(10);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29348,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=C_fixnum_difference(C_fix((C_word)C_main_argc),C_fix(1));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29354,a[2]=t5,a[3]=((C_word)li909),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_29354(t7,t2,t3,C_SCHEME_END_OF_LIST);}}

/* k29346 in chicken.process-context#argv in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_29348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29348,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop6872 in chicken.process-context#argv in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_fcall f_29354(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_29354,4,t0,t1,t2,t3);}
a=C_alloc(11);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_difference(t2,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29376,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
t7=t2;
t8=C_a_i_bytevector(&a,1,C_fix(3));
t9=stub6868(t8,t7);
/* library.scm:6016: ##sys#peek-c-string */
t10=*((C_word*)lf[705]+1);{
C_word av2[4];
av2[0]=t10;
av2[1]=t6;
av2[2]=t9;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}}

/* k29374 in doloop6872 in chicken.process-context#argv in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_29376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29376,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=((C_word*)((C_word*)t0)[3])[1];
f_29354(t3,((C_word*)t0)[4],((C_word*)t0)[5],t2);}

/* k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_29380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29380,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[1204]+1 /* (set! chicken.process-context#program-name ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29384,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31009,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6036: argv */
t5=C_fast_retrieve(lf[1203]);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_29384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,3)))){
C_save_and_reclaim((void *)f_29384,2,av);}
a=C_alloc(20);
t2=C_mutate((C_word*)lf[1205]+1 /* (set! chicken.process-context#command-line-arguments ...) */,t1);
t3=C_a_i_provide(&a,1,lf[1206]);
t4=C_mutate((C_word*)lf[1207]+1 /* (set! chicken.gc#current-gc-milliseconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29386,a[2]=((C_word)li911),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1208]+1 /* (set! chicken.gc#set-gc-report! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29389,a[2]=((C_word)li912),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1209]+1 /* (set! chicken.gc#memory-statistics ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29392,a[2]=((C_word)li913),tmp=(C_word)a,a+=3,tmp));
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29417,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
t9=C_fixnum_plus(t8,C_fix(1));
/* library.scm:6084: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[674]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[674]+1);
av2[1]=t7;
av2[2]=t9;
av2[3]=C_SCHEME_UNDEFINED;
tp(4,av2);}}

/* chicken.gc#current-gc-milliseconds in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_29386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29386,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_accumulated_gc_time();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.gc#set-gc-report! in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_29389(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29389,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_set_gc_report(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.gc#memory-statistics in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_29392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_29392,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29396,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6074: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[312]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[312]+1);
av2[1]=t2;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k29394 in chicken.gc#memory-statistics in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_29396(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29396,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29399,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6075: ##sys#memory-info */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[319]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[319]+1);
av2[1]=t3;
tp(2,av2);}}

/* k29397 in k29394 in chicken.gc#memory-statistics in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_29399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_29399,2,av);}
a=C_alloc(4);
t2=C_slot(t1,C_fix(0));
t3=C_fixnum_difference(t2,((C_word*)t0)[2]);
t4=C_slot(t1,C_fix(1));
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_vector3(&a,3,t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_29417(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,4)))){
C_save_and_reclaim((void *)f_29417,2,av);}
a=C_alloc(15);
t2=C_mutate((C_word*)lf[1176]+1 /* (set! ##sys#pending-finalizers ...) */,t1);
t3=C_i_set_i_slot(C_fast_retrieve(lf[1176]),C_fix(0),C_fix(0));
t4=C_mutate((C_word*)lf[1210]+1 /* (set! ##sys#set-finalizer! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_register_finalizer,a[2]=((C_word)li914),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1211]+1 /* (set! chicken.gc#set-finalizer! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29423,a[2]=((C_word)li915),tmp=(C_word)a,a+=3,tmp));
t6=C_SCHEME_FALSE;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_mutate((C_word*)lf[1177]+1 /* (set! ##sys#run-pending-finalizers ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29488,a[2]=t7,a[3]=((C_word)li924),tmp=(C_word)a,a+=4,tmp));
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29637,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6153: chicken.base#make-parameter */
t10=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t10;
av2[1]=t9;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}

/* chicken.gc#set-finalizer! in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_29423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_29423,4,av);}
a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29427,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_live_finalizer_count();
if(C_truep(C_fixnum_greater_or_equal_p(t5,C_fix((C_word)C_max_pending_finalizers)))){
t6=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
if(C_truep(C_resize_pending_finalizers(t6))){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29444,a[2]=t4,a[3]=t1,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t8=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
t9=C_fixnum_plus(t8,C_fix(1));
/* library.scm:6096: ##sys#vector-resize */
f_18006(t7,C_fast_retrieve(lf[1176]),t9,C_SCHEME_UNDEFINED);}
else{
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29474,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_debug_modep())){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29484,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t9=C_i_live_finalizer_count();
/* library.scm:6112: string-append */
t10=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=t8;
av2[2]=lf[1215];
av2[3]=t9;
av2[4]=lf[1216];
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}
else{
/* library.scm:6117: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[960]);
C_word *av2=av;
av2[0]=*((C_word*)lf[960]+1);
av2[1]=t4;
tp(2,av2);}}}}
else{
/* library.scm:6118: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1210]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1210]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}}

/* k29425 in chicken.gc#set-finalizer! in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_29427(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29427,2,av);}
/* library.scm:6118: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1210]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1210]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}

/* k29442 in chicken.gc#set-finalizer! in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_29444(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_29444,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[1176]+1 /* (set! ##sys#pending-finalizers ...) */,t1);
if(C_truep(C_i_debug_modep())){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29454,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29458,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=C_i_live_finalizer_count();
/* library.scm:6103: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}
else{
/* library.scm:6118: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1210]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1210]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}}

/* k29452 in k29442 in chicken.gc#set-finalizer! in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29454(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29454,2,av);}
/* library.scm:6100: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k29456 in k29442 in chicken.gc#set-finalizer! in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29458,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29462,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6106: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=C_fix((C_word)C_max_pending_finalizers);
tp(3,av2);}}

/* k29460 in k29456 in k29442 in chicken.gc#set-finalizer! in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static void C_ccall f_29462(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_29462,2,av);}
/* library.scm:6101: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1212];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1213];
av2[5]=t1;
av2[6]=lf[1214];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k29472 in chicken.gc#set-finalizer! in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_29474(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29474,2,av);}
/* library.scm:6117: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[960]);
C_word *av2=av;
av2[0]=*((C_word*)lf[960]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}

/* k29482 in chicken.gc#set-finalizer! in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_29484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29484,2,av);}
/* library.scm:6111: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_29488(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_29488,3,av);}
a=C_alloc(15);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29492,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t4=t3;
f_29492(t4,C_SCHEME_UNDEFINED);}
else{
t4=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_TRUE);
t5=C_slot(C_fast_retrieve(lf[1176]),C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29520,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_debug_modep())){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29619,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29623,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6130: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t9;
av2[2]=t6;
tp(3,av2);}}
else{
t8=t7;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_29520(2,av2);}}}}

/* k29490 in run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_fcall f_29492(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_29492,2,t0,t1);}
t2=C_i_not(((C_word*)t0)[2]);
if(C_truep(t2)){
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_closurep(((C_word*)t0)[2]))){
/* library.scm:6150: state */
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[2])){
/* library.scm:6151: ##sys#context-switch */{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
C_context_switch(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}}

/* k29518 in run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_29520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_29520,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29523,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29532,a[2]=((C_word*)t0)[4],a[3]=t4,a[4]=((C_word)li923),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_29532(t6,t2,C_fix(0));}

/* k29521 in k29518 in run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29523,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29526,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6146: vector-fill! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[97]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[97]+1);
av2[1]=t2;
av2[2]=C_fast_retrieve(lf[1176]);
av2[3]=C_SCHEME_UNDEFINED;
tp(4,av2);}}

/* k29524 in k29521 in k29518 in run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static void C_ccall f_29526(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29526,2,av);}
t2=C_i_set_i_slot(C_fast_retrieve(lf[1176]),C_fix(0),C_fix(0));
t3=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_FALSE);
t4=((C_word*)t0)[3];
f_29492(t4,t3);}

/* doloop6947 in k29518 in run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_fcall f_29532(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_29532,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_fixnum_times(t2,C_fix(2));
t4=C_fixnum_plus(C_fix(1),t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29545,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29557,a[2]=t5,a[3]=((C_word)li922),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6142: scheme#call-with-current-continuation */
t8=*((C_word*)lf[132]+1);{
C_word av2[3];
av2[0]=t8;
av2[1]=t6;
av2[2]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}

/* k29543 in doloop6947 in k29518 in run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static void C_ccall f_29545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_29545,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29548,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6141: g6954 */
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* k29546 in k29543 in doloop6947 in k29518 in run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in ... */
static void C_ccall f_29548(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29548,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_29532(t3,((C_word*)t0)[4],t2);}

/* a29556 in doloop6947 in k29518 in run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static void C_ccall f_29557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29557,3,av);}
a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29563,a[2]=t2,a[3]=((C_word)li917),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29575,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li921),tmp=(C_word)a,a+=5,tmp);
/* library.scm:6142: chicken.condition#with-exception-handler */
t5=C_fast_retrieve(lf[918]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a29562 in a29556 in doloop6947 in k29518 in run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in ... */
static void C_ccall f_29563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29563,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29569,a[2]=t2,a[3]=((C_word)li916),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6142: k6951 */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a29568 in a29562 in a29556 in doloop6947 in k29518 in run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_29569(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29569,2,av);}
/* library.scm:6143: ##sys#show-exception-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1055]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[1055]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[1217];
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* a29574 in a29556 in doloop6947 in k29518 in run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in ... */
static void C_ccall f_29575(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_29575,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29581,a[2]=((C_word*)t0)[2],a[3]=((C_word)li918),tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29598,a[2]=((C_word*)t0)[3],a[3]=((C_word)li920),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6142: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a29580 in a29574 in a29556 in doloop6947 in k29518 in run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_29581(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29581,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_slot(C_fast_retrieve(lf[1176]),t2);
t4=C_slot(C_fast_retrieve(lf[1176]),((C_word*)t0)[2]);
/* library.scm:6142: g6958 */
t5=t3;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}

/* a29597 in a29574 in a29556 in doloop6947 in k29518 in run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_29598(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_29598,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29604,a[2]=t2,a[3]=((C_word)li919),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6142: k6951 */
t4=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a29603 in a29597 in a29574 in a29556 in doloop6947 in k29518 in run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in ... */
static void C_ccall f_29604(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29604,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* k29617 in run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_29619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29619,2,av);}
/* library.scm:6129: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k29621 in run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_29623(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29623,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29627,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_i_live_finalizer_count();
/* library.scm:6132: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k29625 in k29621 in run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_29627,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29631,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_i_allocated_finalizer_count();
/* library.scm:6135: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k29629 in k29625 in k29621 in run-pending-finalizers in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static void C_ccall f_29631(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_29631,2,av);}
/* library.scm:6130: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1218];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1219];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1220];
av2[7]=t1;
av2[8]=lf[1221];
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_29637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,6)))){
C_save_and_reclaim((void *)f_29637,2,av);}
a=C_alloc(26);
t2=C_mutate((C_word*)lf[961]+1 /* (set! chicken.gc#force-finalizers ...) */,t1);
t3=C_mutate((C_word*)lf[960]+1 /* (set! ##sys#force-finalizers ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29639,a[2]=((C_word)li926),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1222]+1 /* (set! chicken.gc#gc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29667,a[2]=((C_word)li927),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[819]+1 /* (set! ##sys#list->vector ...) */,*((C_word*)lf[94]+1));
t6=C_mutate((C_word*)lf[367]+1 /* (set! ##sys#list ...) */,*((C_word*)lf[42]+1));
t7=C_mutate((C_word*)lf[1223]+1 /* (set! ##sys#length ...) */,*((C_word*)lf[43]+1));
t8=C_mutate((C_word*)lf[1224]+1 /* (set! ##sys#cons ...) */,*((C_word*)lf[8]+1));
t9=C_mutate((C_word*)lf[253]+1 /* (set! ##sys#append ...) */,*((C_word*)lf[373]+1));
t10=C_mutate((C_word*)lf[1225]+1 /* (set! ##sys#vector ...) */,*((C_word*)lf[96]+1));
t11=C_mutate((C_word*)lf[1226]+1 /* (set! ##sys#apply ...) */,*((C_word*)lf[129]+1));
t12=C_mutate((C_word*)lf[1227]+1 /* (set! ##sys#values ...) */,*((C_word*)lf[130]+1));
t13=C_mutate((C_word*)lf[1228]+1 /* (set! ##sys#equal? ...) */,*((C_word*)lf[6]+1));
t14=C_mutate((C_word*)lf[1229]+1 /* (set! ##sys#car ...) */,*((C_word*)lf[9]+1));
t15=C_mutate((C_word*)lf[1230]+1 /* (set! ##sys#cdr ...) */,*((C_word*)lf[10]+1));
t16=C_mutate((C_word*)lf[1231]+1 /* (set! ##sys#pair? ...) */,*((C_word*)lf[7]+1));
t17=C_mutate((C_word*)lf[1232]+1 /* (set! ##sys#vector? ...) */,*((C_word*)lf[89]+1));
t18=C_mutate((C_word*)lf[1233]+1 /* (set! ##sys#vector->list ...) */,*((C_word*)lf[95]+1));
t19=C_mutate((C_word*)lf[1234]+1 /* (set! ##sys#vector-length ...) */,*((C_word*)lf[90]+1));
t20=C_mutate((C_word*)lf[1235]+1 /* (set! ##sys#vector-ref ...) */,*((C_word*)lf[91]+1));
t21=C_mutate((C_word*)lf[1236]+1 /* (set! ##sys#>= ...) */,*((C_word*)lf[75]+1));
t22=C_mutate((C_word*)lf[1237]+1 /* (set! ##sys#= ...) */,*((C_word*)lf[72]+1));
t23=C_mutate((C_word*)lf[1238]+1 /* (set! ##sys#+ ...) */,*((C_word*)lf[64]+1));
t24=C_mutate((C_word*)lf[1239]+1 /* (set! ##sys#eq? ...) */,*((C_word*)lf[4]+1));
t25=C_mutate((C_word*)lf[1240]+1 /* (set! ##sys#eqv? ...) */,*((C_word*)lf[5]+1));
t26=C_mutate((C_word*)lf[1241]+1 /* (set! ##sys#list? ...) */,*((C_word*)lf[55]+1));
t27=C_mutate((C_word*)lf[1242]+1 /* (set! ##sys#null? ...) */,*((C_word*)lf[41]+1));
t28=C_mutate((C_word*)lf[1243]+1 /* (set! ##sys#map-n ...) */,*((C_word*)lf[171]+1));
t29=C_mutate((C_word*)lf[1244]+1 /* (set! ##sys#make-locative ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29710,a[2]=((C_word)li928),tmp=(C_word)a,a+=3,tmp));
t30=C_a_i_provide(&a,1,lf[1257]);
t31=C_mutate((C_word*)lf[1258]+1 /* (set! chicken.plist#put! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29974,a[2]=((C_word)li929),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[1260]+1 /* (set! ##sys#put! ...) */,C_fast_retrieve(lf[1258]));
t33=C_mutate((C_word*)lf[1261]+1 /* (set! ##sys#get ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29981,a[2]=((C_word)li930),tmp=(C_word)a,a+=3,tmp));
t34=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29998,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6286: chicken.base#getter-with-setter */
t35=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t35;
av2[1]=t34;
av2[2]=C_fast_retrieve(lf[1261]);
av2[3]=C_fast_retrieve(lf[1258]);
av2[4]=lf[1349];
((C_proc)(void*)(*((C_word*)t35+1)))(5,av2);}}

/* ##sys#force-finalizers in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_29639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29639,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29645,a[2]=t3,a[3]=((C_word)li925),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_29645(t5,t1);}

/* loop in force-finalizers in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_fcall f_29645(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_29645,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29649,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6157: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[312]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[312]+1);
av2[1]=t2;
tp(2,av2);}}

/* k29647 in loop in force-finalizers in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static void C_ccall f_29649(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29649,2,av);}
a=C_alloc(4);
t2=C_slot(C_fast_retrieve(lf[1176]),C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29658,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6159: ##sys#run-pending-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1177]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1177]+1);
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
tp(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k29656 in k29647 in loop in force-finalizers in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in ... */
static void C_ccall f_29658(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29658,2,av);}
/* library.scm:6160: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_29645(t2,((C_word*)t0)[3]);}

/* chicken.gc#gc in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_29667(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_29667,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_pairp(t2))){
t3=t2;
t4=C_u_i_car(t3);
if(C_truep(t4)){
/* library.scm:6166: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[960]);
C_word *av2=av;
av2[0]=*((C_word*)lf[960]+1);
av2[1]=t1;
tp(2,av2);}}
else{
/* library.scm:6167: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[312]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[312]+1);
av2[1]=t1;
av2[2]=t4;
tp(3,av2);}}}
else{
/* library.scm:6167: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[312]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[312]+1);
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
tp(3,av2);}}}

/* ##sys#make-locative in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_29710(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_29710,6,av);}
a=C_alloc(6);
if(C_truep(C_immp(t2))){
/* library.scm:6200: ##sys#signal-hook */
t6=C_fast_retrieve(lf[194]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[257];
av2[3]=t5;
av2[4]=lf[1245];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
t6=C_i_vectorp(t2);
t7=(C_truep(t6)?t6:C_i_pairp(t2));
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29732,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t9=C_block_size(t2);
/* library.scm:6202: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t8;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t9;
av2[5]=t5;
tp(6,av2);}}
else{
t8=(C_truep(C_blockp(t2))?C_bytevectorp(t2):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29745,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=C_block_size(t2);
/* library.scm:6209: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t10;
av2[5]=t5;
tp(6,av2);}}
else{
if(C_truep(C_structurep(t2))){
t9=C_slot(t2,C_fix(0));
t10=C_eqp(t9,lf[1246]);
if(C_truep(t10)){
t11=C_slot(t2,C_fix(1));
t12=t11;
t13=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29770,a[2]=t12,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t14=C_block_size(t12);
/* library.scm:6215: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t13;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t14;
av2[5]=t5;
tp(6,av2);}}
else{
t11=C_eqp(t9,lf[1247]);
if(C_truep(t11)){
t12=C_slot(t2,C_fix(1));
t13=t12;
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29786,a[2]=t1,a[3]=t13,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t15=C_block_size(t13);
/* library.scm:6219: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t14;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t15;
av2[5]=t5;
tp(6,av2);}}
else{
t12=C_eqp(t9,lf[1248]);
if(C_truep(t12)){
t13=C_slot(t2,C_fix(1));
t14=t13;
t15=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29802,a[2]=t14,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t16=C_block_size(t14);
/* library.scm:6223: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t15;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t16;
av2[5]=t5;
tp(6,av2);}}
else{
t13=C_eqp(t9,lf[1249]);
if(C_truep(t13)){
t14=C_slot(t2,C_fix(1));
t15=t14;
t16=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29818,a[2]=t1,a[3]=t15,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t17=C_block_size(t15);
/* library.scm:6227: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t16;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t17;
av2[5]=t5;
tp(6,av2);}}
else{
t14=C_eqp(t9,lf[1250]);
if(C_truep(t14)){
t15=C_slot(t2,C_fix(1));
t16=t15;
t17=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29834,a[2]=t16,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t18=C_block_size(t16);
/* library.scm:6231: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t17;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t18;
av2[5]=t5;
tp(6,av2);}}
else{
t15=C_eqp(t9,lf[1251]);
if(C_truep(t15)){
t16=C_slot(t2,C_fix(1));
t17=t16;
t18=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29850,a[2]=t1,a[3]=t17,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t19=C_block_size(t17);
/* library.scm:6235: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t18;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t19;
av2[5]=t5;
tp(6,av2);}}
else{
t16=C_eqp(t9,lf[1252]);
if(C_truep(t16)){
t17=C_slot(t2,C_fix(1));
t18=t17;
t19=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29866,a[2]=t18,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t20=C_block_size(t18);
/* library.scm:6239: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t19;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t20;
av2[5]=t5;
tp(6,av2);}}
else{
t17=C_eqp(t9,lf[1253]);
if(C_truep(t17)){
t18=C_slot(t2,C_fix(1));
t19=t18;
t20=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29882,a[2]=t1,a[3]=t19,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t21=C_block_size(t19);
/* library.scm:6243: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t20;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t21;
av2[5]=t5;
tp(6,av2);}}
else{
t18=C_eqp(t9,lf[1254]);
if(C_truep(t18)){
t19=C_slot(t2,C_fix(1));
t20=t19;
t21=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29898,a[2]=t20,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t22=C_block_size(t20);
/* library.scm:6247: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t21;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t22;
av2[5]=t5;
tp(6,av2);}}
else{
t19=C_eqp(t9,lf[1255]);
if(C_truep(t19)){
t20=C_slot(t2,C_fix(1));
t21=t20;
t22=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29914,a[2]=t1,a[3]=t21,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t23=C_block_size(t21);
/* library.scm:6251: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t22;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t23;
av2[5]=t5;
tp(6,av2);}}
else{
t20=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29921,a[2]=t3,a[3]=t1,a[4]=t2,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t21=C_block_size(t2);
t22=C_fixnum_difference(t21,C_fix(1));
/* library.scm:6255: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t20;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t22;
av2[5]=t5;
tp(6,av2);}}}}}}}}}}}}
else{
if(C_truep(C_i_stringp(t2))){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29962,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=C_block_size(t2);
/* library.scm:6258: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t10;
av2[5]=t5;
tp(6,av2);}}
else{
/* library.scm:6261: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t1;
av2[2]=lf[257];
av2[3]=t5;
av2[4]=lf[1256];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}}}}}}

/* k29730 in make-locative in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29732(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29732,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(0),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29743 in make-locative in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29745,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(2),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29768 in make-locative in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29770(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29770,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(2),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29784 in make-locative in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29786(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29786,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(3),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29800 in make-locative in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29802(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29802,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(4),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29816 in make-locative in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29818(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29818,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(5),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29832 in make-locative in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29834(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29834,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(6),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29848 in make-locative in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29850(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29850,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(7),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29864 in make-locative in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29866(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29866,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(8),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29880 in make-locative in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29882(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29882,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(9),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29896 in make-locative in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29898(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29898,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(10),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29912 in make-locative in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29914,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(11),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29919 in make-locative in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29921(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29921,2,av);}
a=C_alloc(5);
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_make_locative(&a,4,C_fix(0),((C_word*)t0)[4],t2,((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29960 in make-locative in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_29962(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29962,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(1),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.plist#put! in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_29974(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_29974,5,av);}
a=C_alloc(8);
t5=C_i_check_symbol_2(t2,lf[1259]);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_putprop(&a,3,t2,t3,t4);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* ##sys#get in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_29981(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_29981,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_symbol_2(t2,lf[1262]);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_i_getprop(t2,t3,t6);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_29998(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_29998,2,av);}
a=C_alloc(12);
t2=C_mutate((C_word*)lf[1263]+1 /* (set! chicken.plist#get ...) */,t1);
t3=C_mutate((C_word*)lf[1264]+1 /* (set! chicken.plist#remprop! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30000,a[2]=((C_word)li932),tmp=(C_word)a,a+=3,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30069,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30965,a[2]=((C_word)li965),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30974,a[2]=((C_word)li966),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6306: chicken.base#getter-with-setter */
t7=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t7;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
av2[4]=lf[1348];
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}

/* chicken.plist#remprop! in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_30000(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_30000,4,av);}
a=C_alloc(5);
t4=C_i_check_symbol_2(t2,lf[1265]);
t5=C_slot(t2,C_fix(2));
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30023,a[2]=t3,a[3]=t2,a[4]=((C_word)li931),tmp=(C_word)a,a+=5,tmp);
t7=(
  f_30023(t6,t5,C_SCHEME_FALSE)
);
t8=C_slot(t2,C_fix(2));
if(C_truep(C_i_nullp(t8))){
t9=C_i_unpersist_symbol(t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_SCHEME_UNDEFINED;
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* loop in chicken.plist#remprop! in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static C_word C_fcall f_30023(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_stack_overflow_check;
loop:{}
t3=C_i_nullp(t1);
if(C_truep(C_i_not(t3))){
t4=C_slot(t1,C_fix(1));
t5=C_slot(t4,C_fix(1));
t6=C_slot(t1,C_fix(0));
t7=C_eqp(t6,((C_word*)t0)[2]);
if(C_truep(t7)){
t8=(C_truep(t2)?C_i_setslot(t2,C_fix(1),t5):C_i_setslot(((C_word*)t0)[3],C_fix(2),t5));
return(C_SCHEME_TRUE);}
else{
t10=t5;
t11=t4;
t1=t10;
t2=t11;
goto loop;}}
else{
return(C_SCHEME_FALSE);}}

/* k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_30069(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,4)))){
C_save_and_reclaim((void *)f_30069,2,av);}
a=C_alloc(29);
t2=C_mutate((C_word*)lf[1266]+1 /* (set! chicken.plist#symbol-plist ...) */,t1);
t3=C_mutate((C_word*)lf[1267]+1 /* (set! chicken.plist#get-properties ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30071,a[2]=((C_word)li934),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1269]+1 /* (set! ##sys#display-times ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30134,a[2]=((C_word)li938),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[963]+1 /* (set! ##sys#dump-heap-state ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_dump_heap_state,a[2]=((C_word)li939),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1285]+1 /* (set! ##sys#filter-heap-objects ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_filter_heap_objects,a[2]=((C_word)li940),tmp=(C_word)a,a+=3,tmp));
t7=C_a_i_provide(&a,1,lf[1286]);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30376,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_software_type,a[2]=((C_word)li964),tmp=(C_word)a,a+=3,tmp);
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30963,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6411: g7213 */
t11=t9;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t10;
((C_proc)C_fast_retrieve_proc(t11))(2,av2);}}

/* chicken.plist#get-properties in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static void C_ccall f_30071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_30071,4,av);}
a=C_alloc(10);
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_i_check_symbol_2(t2,lf[1268]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30078,a[2]=t4,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_symbolp(((C_word*)t4)[1]))){
t7=C_a_i_list1(&a,1,((C_word*)t4)[1]);
t8=C_set_block_item(t4,0,t7);
t9=t6;
f_30078(t9,t8);}
else{
t7=t6;
f_30078(t7,C_SCHEME_UNDEFINED);}}

/* k30076 in chicken.plist#get-properties in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in ... */
static void C_fcall f_30078(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_30078,2,t0,t1);}
a=C_alloc(7);
t2=C_i_check_list_2(((C_word*)((C_word*)t0)[2])[1],lf[1268]);
t3=C_slot(((C_word*)t0)[3],C_fix(2));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30090,a[2]=((C_word*)t0)[2],a[3]=t5,a[4]=((C_word)li933),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_30090(t7,((C_word*)t0)[4],t3);}

/* loop in k30076 in chicken.plist#get-properties in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_fcall f_30090(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_30090,3,t0,t1,t2);}
if(C_truep(C_i_nullp(t2))){
/* library.scm:6330: scheme#values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=C_slot(t4,C_fix(1));
if(C_truep(C_i_memq(t3,((C_word*)((C_word*)t0)[2])[1]))){
t6=C_slot(t4,C_fix(0));
/* library.scm:6335: scheme#values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=t6;
av2[4]=t5;
C_values(5,av2);}}
else{
/* library.scm:6336: loop */
t8=t1;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}

/* ##sys#display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static void C_ccall f_30134(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_30134,3,av);}
a=C_alloc(23);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30149,a[2]=((C_word)li935),tmp=(C_word)a,a+=3,tmp));
t10=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30163,a[2]=((C_word)li936),tmp=(C_word)a,a+=3,tmp));
t11=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30183,a[2]=t4,a[3]=t6,a[4]=((C_word)li937),tmp=(C_word)a,a+=5,tmp));
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30268,a[2]=t2,a[3]=t1,a[4]=t8,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6358: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2=av;
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t12;
av2[2]=*((C_word*)lf[717]+1);
tp(3,av2);}}

/* pnum in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in ... */
static void C_fcall f_30149(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,4)))){
C_save_and_reclaim_args((void *)trf_30149,2,t1,t2);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30157,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=t2;
if(C_truep(C_i_zerop(t4))){
/* library.scm:6347: ##sys#print */
t5=*((C_word*)lf[872]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[1270];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
/* library.scm:6347: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}}

/* k30155 in pnum in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_30157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30157,2,av);}
/* library.scm:6347: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* round-to in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in ... */
static void C_fcall f_30163(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_30163,3,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30171,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=t2;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30181,a[2]=t5,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6349: scheme#expt */
t7=*((C_word*)lf[531]+1);{
C_word av2[4];
av2[0]=t7;
av2[1]=t6;
av2[2]=C_fix(10);
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}

/* k30169 in round-to in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_30171(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_30171,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30175,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6349: scheme#expt */
t4=*((C_word*)lf[531]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1271];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k30173 in k30169 in round-to in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in ... */
static void C_ccall f_30175(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30175,2,av);}
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k30179 in round-to in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_30181(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_30181,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:6349: scheme#round */
t3=*((C_word*)lf[551]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* pmem in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in ... */
static void C_fcall f_30183(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_30183,3,t0,t1,t2);}
a=C_alloc(11);
t3=t2;
if(C_truep(C_i_greaterp(t3,lf[1272]))){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30195,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30202,a[2]=((C_word*)t0)[2],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30206,a[2]=((C_word*)t0)[3],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t7;
av2[3]=lf[1272];
tp(4,av2);}}
else{
t4=t2;
if(C_truep(C_i_greaterp(t4,C_fix(1048576)))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30222,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30229,a[2]=((C_word*)t0)[2],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30233,a[2]=((C_word*)t0)[3],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t7;
av2[2]=t8;
av2[3]=C_fix(1048576);
tp(4,av2);}}
else{
t5=t2;
if(C_truep(C_i_greaterp(t5,C_fix(1024)))){
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30246,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30253,a[2]=((C_word*)t0)[2],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30257,a[2]=((C_word*)t0)[3],a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t8;
av2[2]=t9;
av2[3]=C_fix(1024);
tp(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30262,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6357: pnum */
f_30149(t6,t2);}}}}

/* k30193 in pmem in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_30195(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30195,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6344: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1273];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30200 in pmem in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_30202(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30202,2,av);}
/* library.scm:6352: pnum */
f_30149(((C_word*)t0)[3],t1);}

/* k30204 in pmem in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_30206(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30206,2,av);}
/* library.scm:6352: round-to */
f_30163(((C_word*)t0)[3],t1,C_fix(2));}

/* k30220 in pmem in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_30222(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30222,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6344: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1274];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30227 in pmem in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_30229(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30229,2,av);}
/* library.scm:6354: pnum */
f_30149(((C_word*)t0)[3],t1);}

/* k30231 in pmem in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_30233(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30233,2,av);}
/* library.scm:6354: round-to */
f_30163(((C_word*)t0)[3],t1,C_fix(2));}

/* k30244 in pmem in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_30246(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30246,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6344: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1275];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30251 in pmem in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_30253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30253,2,av);}
/* library.scm:6356: pnum */
f_30149(((C_word*)t0)[3],t1);}

/* k30255 in pmem in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_30257(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30257,2,av);}
/* library.scm:6356: round-to */
f_30163(((C_word*)t0)[3],t1,C_fix(2));}

/* k30260 in pmem in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_30262(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30262,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6344: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1276];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in ... */
static void C_ccall f_30268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30268,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30271,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:6359: pnum */
f_30149(t2,t3);}

/* k30269 in k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_30271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_30271,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30274,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:6344: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1284];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30272 in k30269 in k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in ... */
static void C_ccall f_30274(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_30274,2,av);}
a=C_alloc(11);
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30280,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_greaterp(t3,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30360,a[2]=t4,a[3]=((C_word*)t0)[5],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6344: ##sys#print */
t6=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1283];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_30280(2,av2);}}}

/* k30278 in k30272 in k30269 in k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in ... */
static void C_ccall f_30280(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_30280,2,av);}
a=C_alloc(12);
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=t2;
t4=C_slot(((C_word*)t0)[2],C_fix(3));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30289,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_greaterp(t3,C_fix(0)))){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30343,a[2]=t6,a[3]=((C_word*)t0)[5],a[4]=t5,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6344: ##sys#print */
t8=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=lf[1281];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_30289(2,av2);}}}

/* k30287 in k30278 in k30272 in k30269 in k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in ... */
static void C_ccall f_30289(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_30289,2,av);}
a=C_alloc(11);
t2=C_slot(((C_word*)t0)[2],C_fix(4));
t3=t2;
t4=C_slot(((C_word*)t0)[2],C_fix(5));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30298,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t7=C_fixnum_greaterp(t3,C_fix(0));
t8=(C_truep(t7)?t7:C_fixnum_greaterp(t5,C_fix(0)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30322,a[2]=t6,a[3]=((C_word*)t0)[5],a[4]=t3,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6344: ##sys#print */
t10=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[1279];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}
else{
t9=t6;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_30298(2,av2);}}}

/* k30296 in k30287 in k30278 in k30272 in k30269 in k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in ... */
static void C_ccall f_30298(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_30298,2,av);}
a=C_alloc(5);
t2=C_slot(((C_word*)t0)[2],C_fix(6));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30304,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6344: ##sys#print */
t5=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1277];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k30302 in k30296 in k30287 in k30278 in k30272 in k30269 in k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in ... */
static void C_ccall f_30304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30304,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30307,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6384: pmem */
t3=((C_word*)((C_word*)t0)[3])[1];
f_30183(t3,t2,((C_word*)t0)[4]);}

/* k30305 in k30302 in k30296 in k30287 in k30278 in k30272 in k30269 in k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in ... */
static void C_ccall f_30307(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30307,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30310,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6385: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[718]+1);
tp(4,av2);}}

/* k30308 in k30305 in k30302 in k30296 in k30287 in k30278 in k30272 in k30269 in k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in ... */
static void C_ccall f_30310(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30310,2,av);}
/* library.scm:6386: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[718]+1);
tp(3,av2);}}

/* k30320 in k30287 in k30278 in k30272 in k30269 in k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in ... */
static void C_ccall f_30322(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30322,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30325,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6378: pnum */
f_30149(t2,((C_word*)t0)[5]);}

/* k30323 in k30320 in k30287 in k30278 in k30272 in k30269 in k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in ... */
static void C_ccall f_30325(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_30325,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30328,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6345: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t2;
av2[2]=C_make_character(47);
av2[3]=*((C_word*)lf[718]+1);
tp(4,av2);}}

/* k30326 in k30323 in k30320 in k30287 in k30278 in k30272 in k30269 in k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in ... */
static void C_ccall f_30328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30328,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30331,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6380: pnum */
f_30149(t2,((C_word*)t0)[4]);}

/* k30329 in k30326 in k30323 in k30320 in k30287 in k30278 in k30272 in k30269 in k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in ... */
static void C_ccall f_30331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30331,2,av);}
/* library.scm:6344: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1278];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30341 in k30278 in k30272 in k30269 in k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in ... */
static void C_ccall f_30343(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30343,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30346,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6370: pnum */
f_30149(t2,((C_word*)t0)[5]);}

/* k30344 in k30341 in k30278 in k30272 in k30269 in k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in ... */
static void C_ccall f_30346(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_30346,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30349,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6345: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t2;
av2[2]=C_make_character(47);
av2[3]=*((C_word*)lf[718]+1);
tp(4,av2);}}

/* k30347 in k30344 in k30341 in k30278 in k30272 in k30269 in k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in ... */
static void C_ccall f_30349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30349,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30352,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6372: pnum */
f_30149(t2,((C_word*)t0)[4]);}

/* k30350 in k30347 in k30344 in k30341 in k30278 in k30272 in k30269 in k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in ... */
static void C_ccall f_30352(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30352,2,av);}
/* library.scm:6344: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1280];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30358 in k30272 in k30269 in k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in ... */
static void C_ccall f_30360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30360,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30363,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6364: pnum */
f_30149(t2,((C_word*)t0)[4]);}

/* k30361 in k30358 in k30272 in k30269 in k30266 in display-times in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in ... */
static void C_ccall f_30363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30363,2,av);}
/* library.scm:6344: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1282];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static void C_ccall f_30376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30376,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1287]+1 /* (set! chicken.platform#software-type ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30377,a[2]=t2,a[3]=((C_word)li941),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30382,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_machine_type,a[2]=((C_word)li963),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30959,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6415: g7217 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#software-type in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in ... */
static void C_ccall f_30377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30377,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in ... */
static void C_ccall f_30382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30382,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1288]+1 /* (set! chicken.platform#machine-type ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30383,a[2]=t2,a[3]=((C_word)li942),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30388,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_machine_byte_order,a[2]=((C_word)li962),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30955,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6419: g7221 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#machine-type in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_30383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30383,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_30388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30388,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1289]+1 /* (set! chicken.platform#machine-byte-order ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30389,a[2]=t2,a[3]=((C_word)li943),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30394,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_software_version,a[2]=((C_word)li961),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30951,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6423: g7225 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#machine-byte-order in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in ... */
static void C_ccall f_30389(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30389,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in ... */
static void C_ccall f_30394(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30394,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1290]+1 /* (set! chicken.platform#software-version ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30395,a[2]=t2,a[3]=((C_word)li944),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30400,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_build_platform,a[2]=((C_word)li960),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30947,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6427: g7229 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#software-version in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in ... */
static void C_ccall f_30395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30395,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in ... */
static void C_ccall f_30400(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_30400,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_mutate((C_word*)lf[1291]+1 /* (set! chicken.platform#build-platform ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30401,a[2]=t2,a[3]=((C_word)li945),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30406,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30943,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6431: software-type */
t6=C_fast_retrieve(lf[1287]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.platform#build-platform in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in ... */
static void C_ccall f_30401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30401,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in ... */
static void C_fcall f_30406(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,3)))){
C_save_and_reclaim_args((void *)trf_30406,2,t0,t1);}
a=C_alloc(15);
t2=C_set_block_item(lf[1292] /* ##sys#windows-platform */,0,t1);
t3=C_mutate((C_word*)lf[1293]+1 /* (set! chicken.platform#chicken-version ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30408,a[2]=((C_word)li947),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1327]+1 /* (set! chicken.platform#chicken-home ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30547,a[2]=((C_word)li948),tmp=(C_word)a,a+=3,tmp));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30555,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30913,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t7=*((C_word*)lf[705]+1);{
C_word av2[4];
av2[0]=t7;
av2[1]=t6;
av2[2]=C_mpointer(&a,(void*)C_private_repository_path());
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}

/* chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in ... */
static void C_ccall f_30408(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_30408,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30469,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30539,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6448: feature? */
t7=C_fast_retrieve(lf[1321]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[1326];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t5=C_fast_retrieve(lf[1295]);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_fast_retrieve(lf[1295]);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k30416 in k30478 in k30474 in k30467 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in ... */
static void C_ccall f_30418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30418,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30421,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6438: software-type */
t4=C_fast_retrieve(lf[1287]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30419 in k30416 in k30478 in k30474 in k30467 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in ... */
static void C_ccall f_30421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30421,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30424,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6439: software-version */
t4=C_fast_retrieve(lf[1290]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30422 in k30419 in k30416 in k30478 in k30474 in k30467 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in ... */
static void C_ccall f_30424(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30424,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30427,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6440: machine-type */
t4=C_fast_retrieve(lf[1288]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30425 in k30422 in k30419 in k30416 in k30478 in k30474 in k30467 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in ... */
static void C_ccall f_30427(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_30427,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30429,a[2]=((C_word)li946),tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30451,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* library.scm:6445: str */
f_30429(t4,((C_word*)t0)[5]);}

/* str in k30425 in k30422 in k30419 in k30416 in k30478 in k30474 in k30467 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in ... */
static void C_fcall f_30429(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30429,2,t1,t2);}
a=C_alloc(3);
t3=C_eqp(lf[1300],t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=lf[1301];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30443,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6444: scheme#symbol->string */
t5=*((C_word*)lf[636]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}

/* k30441 in str in k30425 in k30422 in k30419 in k30416 in k30478 in k30474 in k30467 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in ... */
static void C_ccall f_30443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30443,2,av);}
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=lf[1302];
tp(4,av2);}}

/* k30449 in k30425 in k30422 in k30419 in k30416 in k30478 in k30474 in k30467 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in ... */
static void C_ccall f_30451(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30451,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30455,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:6445: str */
f_30429(t3,((C_word*)t0)[6]);}

/* k30453 in k30449 in k30425 in k30422 in k30419 in k30416 in k30478 in k30474 in k30467 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in ... */
static void C_ccall f_30455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30455,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30459,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:6445: str */
f_30429(t3,((C_word*)t0)[6]);}

/* k30457 in k30453 in k30449 in k30425 in k30422 in k30419 in k30416 in k30478 in k30474 in k30467 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in ... */
static void C_ccall f_30459(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30459,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30463,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6445: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k30461 in k30457 in k30453 in k30449 in k30425 in k30422 in k30419 in k30416 in k30478 in k30474 in k30467 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in ... */
static void C_ccall f_30463(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_30463,2,av);}
/* library.scm:6445: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k30467 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in ... */
static void C_ccall f_30469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_30469,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30476,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fast_retrieve(lf[1307]))){
/* library.scm:6455: scheme#string-append */
t4=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1308];
av2[3]=C_fast_retrieve(lf[1307]);
av2[4]=lf[1309];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1310];
f_30476(2,av2);}}}

/* k30474 in k30467 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in ... */
static void C_ccall f_30476(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_30476,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30480,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fast_retrieve(lf[1303]))){
/* library.scm:6456: scheme#string-append */
t4=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1304];
av2[3]=C_fast_retrieve(lf[1303]);
av2[4]=lf[1305];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1306];
f_30480(2,av2);}}}

/* k30478 in k30474 in k30467 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in ... */
static void C_ccall f_30480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_30480,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30484,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30418,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6437: build-platform */
t6=C_fast_retrieve(lf[1291]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k30482 in k30478 in k30474 in k30467 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in ... */
static void C_ccall f_30484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,8)))){
C_save_and_reclaim((void *)f_30484,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30488,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=C_block_size(((C_word*)t0)[5]);
t5=C_eqp(t4,C_fix(0));
if(C_truep(t5)){
/* library.scm:6453: scheme#string-append */
t6=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t6;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1294];
av2[3]=C_fast_retrieve(lf[1295]);
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1296];
av2[7]=t2;
av2[8]=lf[1297];
((C_proc)(void*)(*((C_word*)t6+1)))(9,av2);}}
else{
/* library.scm:6461: scheme#string-append */
t6=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t3;
av2[2]=lf[1298];
av2[3]=((C_word*)t0)[5];
av2[4]=lf[1299];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* k30486 in k30482 in k30478 in k30474 in k30467 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in ... */
static void C_ccall f_30488(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_30488,2,av);}
/* library.scm:6453: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1294];
av2[3]=C_fast_retrieve(lf[1295]);
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1296];
av2[7]=((C_word*)t0)[5];
av2[8]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k30525 in k30528 in k30531 in k30534 in k30537 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in ... */
static void C_ccall f_30527(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_30527,2,av);}
if(C_truep(t1)){
/* library.scm:6447: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
av2[6]=lf[1319];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}
else{
/* library.scm:6447: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
av2[6]=lf[1320];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}}

/* k30528 in k30531 in k30534 in k30537 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in ... */
static void C_ccall f_30530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30530,2,av);}
a=C_alloc(7);
t2=(C_truep(t1)?lf[1317]:lf[1318]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30527,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:6452: feature? */
t5=C_fast_retrieve(lf[1321]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1322];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30531 in k30534 in k30537 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in ... */
static void C_ccall f_30533(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30533,2,av);}
a=C_alloc(6);
t2=(C_truep(t1)?lf[1315]:lf[1316]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30530,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6451: feature? */
t5=C_fast_retrieve(lf[1321]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1323];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30534 in k30537 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in ... */
static void C_ccall f_30536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30536,2,av);}
a=C_alloc(5);
t2=(C_truep(t1)?lf[1313]:lf[1314]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30533,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6450: feature? */
t5=C_fast_retrieve(lf[1321]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1324];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30537 in chicken.platform#chicken-version in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in ... */
static void C_ccall f_30539(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30539,2,av);}
a=C_alloc(4);
t2=(C_truep(t1)?lf[1311]:lf[1312]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30536,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6449: feature? */
t5=C_fast_retrieve(lf[1321]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1325];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* chicken.platform#chicken-home in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in ... */
static void C_ccall f_30547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30547,2,av);}
a=C_alloc(3);
/* ##sys#peek-c-string */
t2=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_mpointer(&a,(void*)C_INSTALL_SHARE_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in ... */
static void C_ccall f_30555(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_30555,2,av);}
a=C_alloc(9);
t2=C_mutate((C_word*)lf[1328]+1 /* (set! chicken.platform#repository-path ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30559,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30897,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t5=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=C_mpointer(&a,(void*)C_private_repository_path());
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in ... */
static void C_ccall f_30559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_30559,2,av);}
a=C_alloc(14);
t2=C_mutate((C_word*)lf[1329]+1 /* (set! chicken.platform#installation-repository ...) */,t1);
t3=C_mutate(&lf[1330] /* (set! chicken.platform#->feature-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30576,a[2]=((C_word)li949),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,lf[1333]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30610,a[2]=((C_word)li950),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30628,a[2]=((C_word*)t0)[2],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30893,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6510: software-type */
t8=C_fast_retrieve(lf[1287]);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* chicken.platform#->feature-id in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in ... */
static void C_ccall f_30576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30576,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30583,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6494: chicken.keyword#keyword? */
t4=*((C_word*)lf[649]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k30581 in chicken.platform#->feature-id in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in ... */
static void C_ccall f_30583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_30583,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[2]))){
/* library.scm:6495: chicken.keyword#string->keyword */
t2=*((C_word*)lf[650]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
if(C_truep(C_i_symbolp(((C_word*)t0)[2]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30605,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6496: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_a_i_list(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t2;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[257];
av2[4]=lf[1331];
av2[5]=t3;
C_apply(6,av2);}}}}}

/* k30603 in k30581 in chicken.platform#->feature-id in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in ... */
static void C_ccall f_30605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30605,2,av);}
/* library.scm:6496: chicken.keyword#string->keyword */
t2=*((C_word*)lf[650]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* check in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in ... */
static void C_fcall f_30610(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30610,2,t1,t2);}
a=C_alloc(3);
t3=C_eqp(lf[1300],t2);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30625,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6509: ->feature-id */
t5=C_retrieve2(lf[1330],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
f_30576(3,av2);}}}

/* k30623 in check in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in ... */
static void C_ccall f_30625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30625,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1332]));
t3=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,t2);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in ... */
static void C_ccall f_30628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30628,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30631,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30889,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6511: software-version */
t4=C_fast_retrieve(lf[1290]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in ... */
static void C_ccall f_30631(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30631,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30634,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30885,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6512: build-platform */
t4=C_fast_retrieve(lf[1291]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in ... */
static void C_ccall f_30634(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30634,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30637,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30881,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6513: machine-type */
t4=C_fast_retrieve(lf[1288]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in ... */
static void C_ccall f_30637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30637,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30640,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30877,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6514: machine-byte-order */
t4=C_fast_retrieve(lf[1289]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in ... */
static void C_ccall f_30640(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30640,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30643,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_DLOAD))){
t3=C_a_i_cons(&a,2,lf[1325],C_fast_retrieve(lf[1332]));
t4=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30643(t5,t4);}
else{
t3=t2;
f_30643(t3,C_SCHEME_UNDEFINED);}}

/* k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in ... */
static void C_fcall f_30643(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30643,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30646,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_PTABLES))){
t3=C_a_i_cons(&a,2,lf[1324],C_fast_retrieve(lf[1332]));
t4=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30646(t5,t4);}
else{
t3=t2;
f_30646(t3,C_SCHEME_UNDEFINED);}}

/* k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in ... */
static void C_fcall f_30646(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30646,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30649,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_GCHOOKS))){
t3=C_a_i_cons(&a,2,lf[1323],C_fast_retrieve(lf[1332]));
t4=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30649(t5,t4);}
else{
t3=t2;
f_30649(t3,C_SCHEME_UNDEFINED);}}

/* k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in ... */
static void C_fcall f_30649(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30649,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30652,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(IS_CROSS_CHICKEN))){
t3=C_a_i_cons(&a,2,lf[1322],C_fast_retrieve(lf[1332]));
t4=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30652(t5,t4);}
else{
t3=t2;
f_30652(t3,C_SCHEME_UNDEFINED);}}

/* k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in ... */
static void C_fcall f_30652(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30652,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30655,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_fix((C_word)C_WORD_SIZE);
t4=C_eqp(t3,C_fix(64));
if(C_truep(t4)){
t5=C_a_i_cons(&a,2,lf[1326],C_fast_retrieve(lf[1332]));
t6=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,t5);
t7=t2;
f_30655(t7,t6);}
else{
t5=t2;
f_30655(t5,C_SCHEME_UNDEFINED);}}

/* k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in ... */
static void C_fcall f_30655(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30655,2,t0,t1);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30659,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_fix((C_word)C_MAJOR_VERSION);
/* library.scm:6528: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}

/* k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in ... */
static void C_ccall f_30659(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30659,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30662,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fix((C_word)C_MINOR_VERSION);
/* library.scm:6529: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in ... */
static void C_ccall f_30662(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_30662,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30831,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30847,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6530: scheme#string-append */
t5=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1340];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* chicken.platform#register-feature! in k30837 in k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in ... */
static void C_ccall f_30667(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_30667,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30686,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30688,a[2]=t5,a[3]=((C_word)li951),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_30688(t7,t3,t2);}

/* k30671 in for-each-loop7303 in chicken.platform#register-feature! in k30837 in k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in ... */
static void C_ccall f_30673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30673,2,av);}
a=C_alloc(3);
if(C_truep(C_i_memq(t1,C_fast_retrieve(lf[1332])))){
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1332]));
t3=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,t2);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k30684 in chicken.platform#register-feature! in k30837 in k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in ... */
static void C_ccall f_30686(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30686,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* for-each-loop7303 in chicken.platform#register-feature! in k30837 in k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in ... */
static void C_fcall f_30688(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_30688,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30698,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t3;
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30673,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6537: ->feature-id */
t7=C_retrieve2(lf[1330],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t4;
f_30576(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k30696 in for-each-loop7303 in chicken.platform#register-feature! in k30837 in k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in ... */
static void C_ccall f_30698(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30698,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_30688(t3,((C_word*)t0)[4],t2);}

/* chicken.platform#unregister-feature! in k30837 in k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in ... */
static void C_ccall f_30711(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +17,c,3)))){
C_save_and_reclaim((void*)f_30711,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+17);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=((C_word*)t5)[1];
t7=C_retrieve2(lf[1330],C_text("chicken.platform#->feature-id"));
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30718,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30755,a[2]=t5,a[3]=t10,a[4]=t7,a[5]=t6,a[6]=((C_word)li954),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_30755(t12,t8,t2);}

/* k30716 in chicken.platform#unregister-feature! in k30837 in k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in ... */
static void C_ccall f_30718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_30718,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30722,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30724,a[2]=t2,a[3]=t5,a[4]=((C_word)li953),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_30724(t7,t3,C_fast_retrieve(lf[1332]));}

/* k30720 in k30716 in chicken.platform#unregister-feature! in k30837 in k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in ... */
static void C_ccall f_30722(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30722,2,av);}
t2=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* loop in k30716 in chicken.platform#unregister-feature! in k30837 in k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in ... */
static void C_fcall f_30724(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_30724,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
if(C_truep(C_i_memq(t4,((C_word*)t0)[2]))){
/* library.scm:6551: loop */
t8=t1;
t9=t5;
t1=t8;
t2=t9;
goto loop;}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30753,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6552: loop */
t8=t6;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}

/* k30751 in loop in k30716 in chicken.platform#unregister-feature! in k30837 in k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in ... */
static void C_ccall f_30753(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30753,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* map-loop7326 in chicken.platform#unregister-feature! in k30837 in k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in ... */
static void C_fcall f_30755(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30755,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30780,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:6543: g7332 */
t5=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k30778 in map-loop7326 in chicken.platform#unregister-feature! in k30837 in k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in ... */
static void C_ccall f_30780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30780,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_30755(t6,((C_word*)t0)[5],t5);}

/* chicken.platform#features in k30837 in k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in ... */
static void C_ccall f_30789(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30789,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_fast_retrieve(lf[1332]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.platform#feature? in k30837 in k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in ... */
static void C_ccall f_30792(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_30792,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30798,a[2]=t4,a[3]=((C_word)li957),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_30798(t6,t1,t2);}

/* loop in chicken.platform#feature? in k30837 in k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in ... */
static void C_fcall f_30798(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_30798,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30822,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:6560: ->feature-id */
t6=C_retrieve2(lf[1330],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
f_30576(3,av2);}}}

/* k30820 in loop in chicken.platform#feature? in k30837 in k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in ... */
static void C_ccall f_30822(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30822,2,av);}
if(C_truep(C_i_memq(t1,C_fast_retrieve(lf[1332])))){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:6561: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_30798(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in ... */
static void C_ccall f_30831(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_30831,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30839,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30843,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6531: scheme#string-append */
t5=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1338];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1339];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}

/* k30837 in k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in ... */
static void C_ccall f_30839(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(21,c,2)))){
C_save_and_reclaim((void *)f_30839,2,av);}
a=C_alloc(21);
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1332]));
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],t2);
t4=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,t3);
t5=C_mutate((C_word*)lf[1334]+1 /* (set! chicken.platform#register-feature! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30667,a[2]=((C_word)li952),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1335]+1 /* (set! chicken.platform#unregister-feature! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30711,a[2]=((C_word)li955),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1336]+1 /* (set! chicken.platform#features ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30789,a[2]=((C_word)li956),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1321]+1 /* (set! chicken.platform#feature? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30792,a[2]=((C_word)li958),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[1337]+1 /* (set! chicken.platform#return-to-host ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_return_to_host,a[2]=((C_word)li959),tmp=(C_word)a,a+=3,tmp));
t10=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}

/* k30841 in k30829 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in ... */
static void C_ccall f_30843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30843,2,av);}
/* library.scm:6531: ->feature-id */
t2=C_retrieve2(lf[1330],C_text("chicken.platform#->feature-id"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
f_30576(3,av2);}}

/* k30845 in k30660 in k30657 in k30653 in k30650 in k30647 in k30644 in k30641 in k30638 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in ... */
static void C_ccall f_30847(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30847,2,av);}
/* library.scm:6530: ->feature-id */
t2=C_retrieve2(lf[1330],C_text("chicken.platform#->feature-id"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
f_30576(3,av2);}}

/* k30875 in k30635 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in ... */
static void C_ccall f_30877(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30877,2,av);}
/* library.scm:6514: check */
f_30610(((C_word*)t0)[3],t1);}

/* k30879 in k30632 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in ... */
static void C_ccall f_30881(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30881,2,av);}
/* library.scm:6513: check */
f_30610(((C_word*)t0)[3],t1);}

/* k30883 in k30629 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in ... */
static void C_ccall f_30885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30885,2,av);}
/* library.scm:6512: check */
f_30610(((C_word*)t0)[3],t1);}

/* k30887 in k30626 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in ... */
static void C_ccall f_30889(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30889,2,av);}
/* library.scm:6511: check */
f_30610(((C_word*)t0)[3],t1);}

/* k30891 in k30557 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in ... */
static void C_ccall f_30893(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30893,2,av);}
/* library.scm:6510: check */
f_30610(((C_word*)t0)[3],t1);}

/* k30895 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in ... */
static void C_ccall f_30897(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30897,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30900,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(t1)){
t3=t1;
/* library.scm:6479: chicken.base#make-parameter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30903,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6481: chicken.process-context#get-environment-variable */
t4=C_fast_retrieve(lf[1195]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1341];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k30898 in k30895 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in ... */
static void C_ccall f_30900(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30900,2,av);}
/* library.scm:6479: chicken.base#make-parameter */
t2=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30901 in k30895 in k30553 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in ... */
static void C_ccall f_30903(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30903,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=t1;
/* library.scm:6479: chicken.base#make-parameter */
t3=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
/* ##sys#peek-c-string */
t2=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=C_mpointer(&a,(void*)C_INSTALL_EGG_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}}

/* k30911 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in ... */
static void C_ccall f_30913(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30913,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30916,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(t1)){
t3=t1;
/* library.scm:6473: chicken.base#make-parameter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30919,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6475: chicken.process-context#get-environment-variable */
t4=C_fast_retrieve(lf[1195]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1342];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k30914 in k30911 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in ... */
static void C_ccall f_30916(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30916,2,av);}
/* library.scm:6473: chicken.base#make-parameter */
t2=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30917 in k30911 in k30404 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in ... */
static void C_ccall f_30919(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30919,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=t1;
/* library.scm:6473: chicken.base#make-parameter */
t3=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
/* ##sys#peek-c-string */
t2=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=C_mpointer(&a,(void*)C_INSTALL_EGG_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}}

/* k30937 in k30941 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in ... */
static void C_ccall f_30939(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30939,2,av);}
t2=C_eqp(lf[1344],t1);
t3=((C_word*)t0)[2];
f_30406(t3,C_i_not(t2));}

/* k30941 in k30398 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in ... */
static void C_ccall f_30943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30943,2,av);}
a=C_alloc(3);
t2=C_eqp(lf[1343],t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30939,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6433: build-platform */
t4=C_fast_retrieve(lf[1291]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[2];
f_30406(t3,C_SCHEME_FALSE);}}

/* k30945 in k30392 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in ... */
static void C_ccall f_30947(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30947,2,av);}
/* library.scm:6427: scheme#string->symbol */
t2=*((C_word*)lf[638]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30949 in k30386 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in ... */
static void C_ccall f_30951(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30951,2,av);}
/* library.scm:6423: scheme#string->symbol */
t2=*((C_word*)lf[638]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30953 in k30380 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in ... */
static void C_ccall f_30955(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30955,2,av);}
/* library.scm:6419: scheme#string->symbol */
t2=*((C_word*)lf[638]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30957 in k30374 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in ... */
static void C_ccall f_30959(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30959,2,av);}
/* library.scm:6415: scheme#string->symbol */
t2=*((C_word*)lf[638]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30961 in k30067 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static void C_ccall f_30963(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30963,2,av);}
/* library.scm:6411: scheme#string->symbol */
t2=*((C_word*)lf[638]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a30964 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_30965(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30965,3,av);}
t3=C_i_check_symbol_2(t2,lf[1345]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_slot(t2,C_fix(2));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a30973 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in ... */
static void C_ccall f_30974(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_30974,4,av);}
a=C_alloc(5);
t4=C_i_check_symbol_2(t2,lf[1345]);
t5=C_i_check_list_2(t3,lf[1346]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30984,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=C_i_length(t3);
if(C_truep(C_i_fixnumevenp(t7))){
t8=t6;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_i_setslot(t2,C_fix(2),t3);
f_30984(2,av2);}}
else{
/* library.scm:6315: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t6;
av2[2]=lf[257];
av2[3]=lf[1347];
av2[4]=t3;
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}}

/* k30982 in a30973 in k29996 in k29635 in k29415 in k29382 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in ... */
static void C_ccall f_30984(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30984,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=C_i_unpersist_symbol(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_i_persist_symbol(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k31007 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_31009(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_31009,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31012,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_pairp(t1))){
t3=C_slot(t1,C_fix(1));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31030,a[2]=t5,a[3]=((C_word)li968),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_31030(t7,t2,t3);}
else{
t3=t1;
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36684,a[2]=((C_word)li969),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6035: chicken.base#make-parameter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k31010 in k31007 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_31012(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31012,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31014,a[2]=((C_word)li967),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6035: chicken.base#make-parameter */
t3=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* a31013 in k31010 in k31007 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_31014(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31014,3,av);}
t3=C_i_check_list_2(t2,lf[1350]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k31007 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_fcall f_31030(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_31030,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_31049,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t6,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t8=C_block_size(t4);
if(C_truep(C_fixnum_greater_or_equal_p(t8,C_fix(3)))){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31069,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6044: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=C_fix(2);
tp(5,av2);}}
else{
t9=t7;
f_31049(t9,C_SCHEME_FALSE);}}}

/* k31047 in loop in k31007 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_fcall f_31049(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_31049,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
/* library.scm:6045: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_31030(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31059,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6046: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_31030(t3,t2,((C_word*)t0)[4]);}}

/* k31057 in k31047 in loop in k31007 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in ... */
static void C_ccall f_31059(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_31059,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k31067 in loop in k31007 in k29378 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in ... */
static void C_ccall f_31069(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31069,2,av);}
t2=((C_word*)t0)[2];
f_31049(t2,C_i_string_equal_p(lf[1351],t1));}

/* k31091 in k31095 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_31093(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31093,2,av);}
a=C_alloc(3);
t2=C_i_car(t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36696,a[2]=((C_word)li971),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6026: chicken.base#make-parameter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k31095 in k29196 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_31097(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31097,2,av);}
a=C_alloc(3);
if(C_truep(C_i_nullp(t1))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36690,a[2]=((C_word)li970),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6026: chicken.base#make-parameter */
t3=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1353];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31093,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6029: argv */
t3=C_fast_retrieve(lf[1203]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31098 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_31099(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31099,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31103,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t2;
av2[2]=C_fix(1024);
av2[3]=C_make_character(32);
tp(4,av2);}}

/* k31101 in a31098 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_31103(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31103,2,av);}
a=C_alloc(5);
t2=t1;
t3=C_curdir(t2);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31106,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fast_retrieve(lf[1292]))){
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_31106(2,av2);}}
else{
/* library.scm:5959: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word *av2=av;
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t4;
tp(2,av2);}}}

/* k31104 in k31101 in a31098 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_31106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31106,2,av);}
if(C_truep(((C_word*)t0)[2])){
/* library.scm:5961: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}
else{
/* library.scm:5962: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[702];
av2[3]=lf[1354];
av2[4]=lf[1355];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* a31120 in k28559 in k28499 in k27166 in k27163 in k27160 in k26393 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_31121(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31121,3,av);}
/* library.scm:5966: ##sys#change-directory-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1193]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1193]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_31127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,2)))){
C_save_and_reclaim((void*)f_31127,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31131,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31284,a[2]=((C_word)li978),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5154: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1008]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1008]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}

/* k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_31131(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31131,2,av);}
a=C_alloc(5);
t2=C_mk_bool(C_gui_mode);
if(C_truep(C_i_not(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31140,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5156: ##sys#print */
t4=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1363];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31234,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5181: chicken.base#open-output-string */
t4=*((C_word*)lf[212]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31138 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_31140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_31140,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31143,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31228,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5158: ##sys#print */
t4=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1362];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_31143(2,av2);}}}

/* k31141 in k31138 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_31143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_31143,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31146,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31172,a[2]=((C_word*)t0)[3],a[3]=((C_word)li975),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5160: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[923]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[923]+1);
av2[1]=t2;
av2[2]=C_fix(400);
av2[3]=t3;
tp(4,av2);}}

/* k31144 in k31141 in k31138 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_31146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_31146,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31149,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5172: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31147 in k31144 in k31141 in k31138 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_31149(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31149,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31152,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5173: chicken.base#print-call-chain */
t3=*((C_word*)lf[187]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k31150 in k31147 in k31144 in k31141 in k31138 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_31152(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31152,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31158,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_fast_retrieve(lf[1007]))){
/* library.scm:5174: ##sys#symbol-has-toplevel-binding? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1147]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1147]+1);
av2[1]=t2;
av2[2]=lf[1360];
tp(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_31158(2,av2);}}}

/* k31156 in k31150 in k31147 in k31144 in k31141 in k31138 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in ... */
static void C_ccall f_31158(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31158,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_slot(lf[1360],C_fix(0));
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31164,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5174: g5927 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}
else{
t2=C_halt(C_SCHEME_FALSE);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k31162 in k31156 in k31150 in k31147 in k31144 in k31141 in k31138 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in ... */
static void C_ccall f_31164(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_31164,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31167,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5177: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31165 in k31162 in k31156 in k31150 in k31147 in k31144 in k31141 in k31138 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in ... */
static void C_ccall f_31167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31167,2,av);}
t2=C_exit_runtime(C_fix((C_word)EX_SOFTWARE));
t3=C_halt(C_SCHEME_FALSE);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31171 in k31141 in k31138 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_31172(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_31172,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];
t3=C_u_i_length(t2);
t4=C_eqp(C_fix(1),t3);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31182,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5164: ##sys#print */
t6=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1361];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=((C_word*)t0)[2];
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31202,a[2]=t7,a[3]=((C_word)li974),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_31202(t9,t1,t5);}}

/* k31180 in a31171 in k31141 in k31138 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_31182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31182,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:5165: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31192 in for-each-loop5909 in a31171 in k31141 in k31138 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_31194(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31194,2,av);}
/* library.scm:5170: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* for-each-loop5909 in a31171 in k31141 in k31138 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_fcall f_31202(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_31202,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31212,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t3;
t6=t4;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31194,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5169: ##sys#print */
t8=*((C_word*)lf[872]+1);{
C_word av2[5];
av2[0]=t8;
av2[1]=t7;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31210 in for-each-loop5909 in a31171 in k31141 in k31138 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_31212(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31212,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_31202(t3,((C_word*)t0)[4],t2);}

/* k31226 in k31138 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_31228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31228,2,av);}
/* library.scm:5159: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k31232 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in ... */
static void C_ccall f_31234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31234,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31237,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[4])){
/* library.scm:5182: ##sys#print */
t4=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_31237(2,av2);}}}

/* k31235 in k31232 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in ... */
static void C_ccall f_31237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31237,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31240,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5183: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31238 in k31235 in k31232 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in ... */
static void C_ccall f_31240(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_31240,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31241,a[2]=((C_word*)t0)[2],a[3]=((C_word)li976),tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31251,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31257,a[2]=t6,a[3]=t2,a[4]=((C_word)li977),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_31257(t8,t4,t3);}

/* g5941 in k31238 in k31235 in k31232 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_fcall f_31241(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,4)))){
C_save_and_reclaim_args((void *)trf_31241,3,t0,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31245,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5184: ##sys#print */
t4=*((C_word*)lf[872]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k31243 in g5941 in k31238 in k31235 in k31232 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_31245(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31245,2,av);}
/* library.scm:5184: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k31249 in k31238 in k31235 in k31232 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_ccall f_31251(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31251,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31255,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5185: chicken.base#get-output-string */
t3=*((C_word*)lf[210]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k31253 in k31249 in k31238 in k31235 in k31232 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_31255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31255,2,av);}
t2=C_halt(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* for-each-loop5940 in k31238 in k31235 in k31232 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in ... */
static void C_fcall f_31257(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_31257,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31267,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5184: g5941 */
t5=((C_word*)t0)[3];
f_31241(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31265 in for-each-loop5940 in k31238 in k31235 in k31232 in k31129 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in ... */
static void C_ccall f_31267(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31267,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_31257(t3,((C_word*)t0)[4],t2);}

/* a31283 in a31126 in k26081 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in ... */
static void C_ccall f_31284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31284,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_halt(lf[1364]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a31286 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_31287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31287,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31291,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5056: chicken.base#exit-handler */
t3=*((C_word*)lf[223]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k31289 in a31286 in k26077 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in ... */
static void C_ccall f_31291(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31291,2,av);}
/* library.scm:5055: g5816 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix((C_word)EX_SOFTWARE);
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a31295 in k26073 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_31296(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31296,2,av);}
/* library.scm:5051: cleanup-before-exit */
f_25992(t1);}

/* a31301 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_31302(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_31302,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_fix(0):C_i_car(t2));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31309,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5041: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k31307 in a31301 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_31309(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_31309,2,av);}
a=C_alloc(4);
if(C_truep(C_retrieve2(lf[958],C_text("exit-in-progress")))){
/* library.scm:5043: ##sys#warn */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[310]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[310]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1365];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31318,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5045: cleanup-before-exit */
f_25992(t2);}}

/* k31316 in k31307 in a31301 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_31318(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31318,2,av);}
t2=C_exit_runtime(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31325 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_31326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31326,3,av);}
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t5))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_subchar(t4,t3);
t7=C_fixnum_plus(t3,C_fix(1));
t8=C_i_set_i_slot(t2,C_fix(10),t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* a31350 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_31351(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31351,3,av);}
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t5))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_subchar(t4,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* a31368 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_31369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_31369,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31373,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4797: check */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=C_fix(1);
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}

/* k31371 in a31368 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_31373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31373,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(10));
t3=C_slot(((C_word*)t0)[2],C_fix(12));
t4=C_setsubchar(t3,t2,((C_word*)t0)[3]);
t5=C_fixnum_plus(t2,C_fix(1));
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31387 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_31388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_31388,4,av);}
a=C_alloc(6);
t4=C_block_size(t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_31392,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4804: check */
t6=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=t4;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k31390 in a31387 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_31392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31392,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(10));
t3=C_slot(((C_word*)t0)[2],C_fix(12));
t4=C_substring_copy(((C_word*)t0)[3],t3,C_fix(0),((C_word*)t0)[4],t2);
t5=C_fixnum_plus(t2,((C_word*)t0)[4]);
t6=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31406 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_31407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31407,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31409 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_31410(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31410,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31412 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_31413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_31413,6,av);}
a=C_alloc(10);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t7=C_slot(t2,C_fix(10));
t8=t7;
t9=C_slot(t2,C_fix(11));
t10=C_fixnum_difference(t9,t8);
t11=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_31423,a[2]=t2,a[3]=t8,a[4]=t6,a[5]=t4,a[6]=t5,a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t12=C_i_not(((C_word*)t6)[1]);
if(C_truep(t12)){
if(C_truep(t12)){
t13=C_set_block_item(t6,0,t10);
t14=t11;
f_31423(t14,t13);}
else{
t13=t11;
f_31423(t13,C_SCHEME_UNDEFINED);}}
else{
if(C_truep(C_fixnum_greaterp(((C_word*)t6)[1],t10))){
t13=C_set_block_item(t6,0,t10);
t14=t11;
f_31423(t14,t13);}
else{
t13=t11;
f_31423(t13,C_SCHEME_UNDEFINED);}}}

/* k31421 in a31412 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_fcall f_31423(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,1)))){
C_save_and_reclaim_args((void *)trf_31423,2,t0,t1);}
t2=C_slot(((C_word*)t0)[2],C_fix(12));
t3=C_fixnum_plus(((C_word*)t0)[3],((C_word*)((C_word*)t0)[4])[1]);
t4=C_substring_copy(t2,((C_word*)t0)[5],((C_word*)t0)[3],t3,((C_word*)t0)[6]);
t5=C_fixnum_plus(((C_word*)t0)[3],((C_word*)((C_word*)t0)[4])[1]);
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
t7=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t7;
av2[1]=((C_word*)((C_word*)t0)[4])[1];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* a31453 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_31454(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_31454,4,av);}
a=C_alloc(11);
t4=C_slot(t2,C_fix(10));
t5=t4;
t6=C_slot(t2,C_fix(11));
t7=t6;
t8=C_slot(t2,C_fix(12));
t9=t8;
t10=(C_truep(t3)?C_fixnum_plus(t5,t3):t7);
t11=t10;
if(C_truep(C_fixnum_greater_or_equal_p(t5,t7))){
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31478,a[2]=t11,a[3]=t7,a[4]=t9,a[5]=t5,a[6]=((C_word)li749),tmp=(C_word)a,a+=7,tmp);
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31497,a[2]=t2,a[3]=((C_word)li750),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4826: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t12;
av2[3]=t13;
C_call_with_values(4,av2);}}}

/* a31477 in a31453 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_31478(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_31478,2,av);}
a=C_alloc(3);
t2=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(C_truep(t2)?((C_word*)t0)[3]:((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31488,a[2]=((C_word)li748),tmp=(C_word)a,a+=3,tmp);
/* library.scm:4827: ##sys#scan-buffer-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[926]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[926]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=t3;
av2[4]=((C_word*)t0)[5];
av2[5]=t4;
tp(6,av2);}}

/* a31487 in a31477 in a31453 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in ... */
static void C_ccall f_31488(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31488,3,av);}
/* library.scm:4829: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
av2[3]=t2;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}

/* a31496 in a31453 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_31497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31497,5,av);}
if(C_truep(t4)){
t5=C_slot(((C_word*)t0)[2],C_fix(4));
t6=C_fixnum_plus(t5,C_fix(1));
t7=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t6);
t8=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),C_fix(0));
t9=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t5=C_slot(((C_word*)t0)[2],C_fix(5));
t6=C_block_size(t3);
t7=C_fixnum_plus(t5,t6);
t8=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),t7);
t9=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* a31537 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in ... */
static void C_ccall f_31538(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31538,3,av);}
a=C_alloc(5);
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
t6=t5;
if(C_truep(C_fixnum_greater_or_equal_p(t3,t6))){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=lf[927];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31557,a[2]=t2,a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4844: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t7;
av2[2]=t4;
av2[3]=t3;
av2[4]=t6;
tp(5,av2);}}}

/* k31555 in a31537 in k23821 in k23817 in k23813 in k20181 in k20177 in k20173 in k20169 in k20165 in k19804 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in ... */
static void C_ccall f_31557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31557,2,av);}
t2=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31569 in k19800 in k19796 in k19792 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in ... */
static void C_ccall f_31570(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31570,5,av);}
t5=C_i_list_tail(t2,t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_car(t5,t4);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31579 in k19788 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in ... */
static void C_ccall f_31580(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31580,4,av);}
t4=C_i_cddr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31589 in k19784 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in ... */
static void C_ccall f_31590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31590,4,av);}
t4=C_i_cdar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31599 in k19780 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in ... */
static void C_ccall f_31600(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31600,4,av);}
t4=C_i_cadr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31609 in k19776 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in ... */
static void C_ccall f_31610(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31610,4,av);}
t4=C_i_caar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31619 in k19772 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in ... */
static void C_ccall f_31620(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31620,4,av);}
t4=C_i_cddr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31629 in k19768 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in ... */
static void C_ccall f_31630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31630,4,av);}
t4=C_i_cdar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31639 in k19764 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in ... */
static void C_ccall f_31640(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31640,4,av);}
t4=C_i_cadr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31649 in k19760 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in ... */
static void C_ccall f_31650(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31650,4,av);}
t4=C_i_caar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31659 in k19756 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in ... */
static void C_ccall f_31660(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31660,4,av);}
t4=C_i_cdr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31669 in k19752 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in ... */
static void C_ccall f_31670(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31670,4,av);}
t4=C_i_car(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31679 in k19748 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in ... */
static void C_ccall f_31680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31680,4,av);}
t4=C_i_cdr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31689 in k19744 in k19740 in k19660 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in ... */
static void C_ccall f_31690(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31690,4,av);}
t4=C_i_car(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31699 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_31700(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_31700,3,av);}
a=C_alloc(7);
if(C_truep(C_i_closurep(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31716,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31724,a[2]=((C_word)li996),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3541: ##sys#lambda-decoration */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[753]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=t4;
tp(4,av2);}}
else{
/* library.scm:3543: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[760];
av2[3]=lf[1384];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}

/* k31714 in a31699 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_31716(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31716,2,av);}
if(C_truep(t1)){
t2=C_slot(t1,C_fix(1));
if(C_truep(t2)){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:3543: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[760];
av2[3]=lf[1384];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}
else{
/* library.scm:3543: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[760];
av2[3]=lf[1384];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* a31723 in a31699 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_31724(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31724,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[761],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31739 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_31740(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31740,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[761],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31755 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_31756(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_31756,4,av);}
a=C_alloc(6);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31766,a[2]=((C_word)li1001),tmp=(C_word)a,a+=3,tmp);
t5=C_a_i_cons(&a,2,C_retrieve2(lf[761],C_text("setter-tag")),t4);
t6=C_i_setslot(t2,t3,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* a31765 in a31755 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_31766(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_31766,4,av);}
a=C_alloc(11);
if(C_truep(C_i_closurep(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31776,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31795,a[2]=((C_word)li999),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31811,a[2]=t3,a[3]=((C_word)li1000),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3552: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=t5;
av2[4]=t6;
tp(5,av2);}}
else{
/* library.scm:3559: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[1385];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* k31774 in a31765 in a31755 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_31776(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_31776,2,av);}
a=C_alloc(6);
t2=C_eqp(((C_word*)t0)[2],t1);
if(C_truep(t2)){
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t4=C_a_i_list1(&a,1,t3);
/* library.scm:3558: ##sys#become! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[329]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[329]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t4;
tp(3,av2);}}}

/* a31794 in a31765 in a31755 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_31795(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31795,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[761],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31810 in a31765 in a31755 in k18884 in k18881 in k18878 in k18875 in k18871 in k18867 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_31811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_31811,4,av);}
a=C_alloc(3);
t4=C_a_i_cons(&a,2,C_retrieve2(lf[761],C_text("setter-tag")),((C_word*)t0)[2]);
t5=C_i_setslot(t2,t3,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31823 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31824(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31824,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31830,a[2]=t2,a[3]=t4,a[4]=((C_word)li547),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
f_31830(2,av2);}}

/* loop in a31823 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31830(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31830,2,av);}
a=C_alloc(5);
t2=C_read_char(((C_word*)t0)[2]);
t3=C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31861,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3211: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word *av2=av;
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31851 in k31859 in loop in a31823 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31853(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_31853,2,av);}
/* library.scm:3213: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=lf[703];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k31855 in k31859 in loop in a31823 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31857(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31857,2,av);}
/* library.scm:3215: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[704];
av2[3]=t1;
tp(4,av2);}}

/* k31859 in loop in a31823 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31861(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_31861,2,av);}
a=C_alloc(10);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
/* library.scm:3212: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31853,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31857,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a31863 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31864(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31864,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31870,a[2]=t2,a[3]=t4,a[4]=((C_word)li549),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
f_31870(2,av2);}}

/* loop in a31863 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31870(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31870,2,av);}
a=C_alloc(5);
t2=C_peek_char(((C_word*)t0)[2]);
t3=C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31901,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3223: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word *av2=av;
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31891 in k31899 in loop in a31863 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31893(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_31893,2,av);}
/* library.scm:3225: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=lf[707];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k31895 in k31899 in loop in a31863 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31897(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31897,2,av);}
/* library.scm:3227: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[708];
av2[3]=t1;
tp(4,av2);}}

/* k31899 in loop in a31863 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_31901,2,av);}
a=C_alloc(10);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
/* library.scm:3224: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31893,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31897,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a31903 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31904(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31904,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_display_char(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31906 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31907(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31907,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_display_string(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31909 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31910,4,av);}
t4=C_close_file(t2);
/* library.scm:3236: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word *av2=av;
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t1;
tp(2,av2);}}

/* a31915 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31916(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31916,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_flush_output(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31918 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31919(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31919,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_char_ready_p(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31921 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31922(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31922,6,av);}
a=C_alloc(7);
t6=t3;
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31930,a[2]=t4,a[3]=t2,a[4]=t3,a[5]=t1,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
if(C_truep(t6)){
t8=t7;
f_31930(t8,t6);}
else{
t8=C_block_size(t4);
t9=t7;
f_31930(t9,C_fixnum_difference(t8,t5));}}

/* k31928 in a31921 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_fcall f_31930(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_31930,2,t0,t1);}
a=C_alloc(9);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31932,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word)li557),tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_31932(t5,((C_word*)t0)[5],t1,C_fix(0),((C_word*)t0)[6]);}

/* loop in k31928 in a31921 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_fcall f_31932(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_31932,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=fast_read_string_from_file(((C_word*)t0)[2],((C_word*)t0)[3],t2,t4);
if(C_truep(C_eofp(t5))){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t5,C_fix(0)))){
t6=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_31987,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=t4,a[6]=((C_word*)t0)[4],a[7]=t1,a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[5],a[10]=((C_word*)t0)[2],tmp=(C_word)a,a+=11,tmp);
/* library.scm:3247: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word av2[2];
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t6;
tp(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t5,t2))){
t6=C_fixnum_difference(t2,t5);
t7=C_fixnum_plus(t3,t5);
t8=C_fixnum_plus(t4,t5);
/* library.scm:3256: loop */
t10=t1;
t11=t6;
t12=t7;
t13=t8;
t1=t10;
t2=t11;
t3=t12;
t4=t13;
goto loop;}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fixnum_plus(t3,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}}

/* a31955 in k31985 in loop in k31928 in a31921 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31956(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31956,2,av);}
t2=C_fixnum_difference(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_fixnum_plus(((C_word*)t0)[4],((C_word*)t0)[3]);
t4=C_fixnum_plus(((C_word*)t0)[5],((C_word*)t0)[3]);
/* library.scm:3250: loop */
t5=((C_word*)((C_word*)t0)[6])[1];
f_31932(t5,t1,t2,t3,t4);}

/* k31977 in k31985 in loop in k31928 in a31921 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31979(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_31979,2,av);}
/* library.scm:3251: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=lf[709];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[5];
av2[8]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k31981 in k31985 in loop in k31928 in a31921 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31983(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31983,2,av);}
/* library.scm:3253: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[710];
av2[3]=t1;
tp(4,av2);}}

/* k31985 in loop in k31928 in a31921 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_31987(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_31987,2,av);}
a=C_alloc(13);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_31956,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li556),tmp=(C_word)a,a+=8,tmp);
/* library.scm:3248: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=((C_word*)t0)[7];
av2[2]=t4;
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31979,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[10],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31983,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a32020 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_32021(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_32021,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32025,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:3260: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[711];
tp(4,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_32025(2,av2);}}}

/* k32023 in a32020 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_32025(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_32025,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32028,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_slot(((C_word*)t0)[3],C_fix(12)))){
t3=t2;
f_32028(t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32194,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3263: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t3;
av2[2]=C_fix(1024);
tp(3,av2);}}}

/* k32026 in k32023 in a32020 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_fcall f_32028(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,7)))){
C_save_and_reclaim_args((void *)trf_32028,2,t0,t1);}
a=C_alloc(8);
t2=((C_word*)t0)[2];
t3=(C_truep(t2)?t2:lf[268]);
t4=C_slot(((C_word*)t0)[3],C_fix(12));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_32041,a[2]=((C_word*)t0)[3],a[3]=t6,a[4]=((C_word*)t0)[2],a[5]=((C_word)li560),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_32041(t8,((C_word*)t0)[4],C_fix(1024),t3,t4,lf[713],C_SCHEME_FALSE);}

/* loop in k32026 in k32023 in a32020 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_fcall f_32041(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6){
C_word tmp;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_32041,7,t0,t1,t2,t3,t4,t5,t6);}
a=C_alloc(11);
t7=C_i_fixnum_min(t3,t2);
t8=fast_read_line_from_file(t4,((C_word*)t0)[2],t7);
if(C_truep(C_eofp(t8))){
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=(C_truep(t6)?t5:C_SCHEME_END_OF_FILE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
if(C_truep(C_i_not(t8))){
if(C_truep(C_fixnum_lessp(t3,t2))){
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32074,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3274: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t3;
tp(5,av2);}}
else{
t9=C_fixnum_times(t2,C_fix(2));
t10=t9;
t11=C_fixnum_difference(t3,t2);
t12=t11;
t13=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_32089,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t10,a[5]=t12,a[6]=t5,a[7]=t4,tmp=(C_word)a,a+=8,tmp);
t14=C_fixnum_times(t2,C_fix(2));
/* library.scm:3277: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t13;
av2[2]=t14;
tp(3,av2);}}}
else{
if(C_truep(C_fixnum_lessp(t8,C_fix(0)))){
t9=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_32148,a[2]=t8,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t3,a[6]=t4,a[7]=t5,a[8]=t1,a[9]=((C_word*)t0)[2],a[10]=((C_word*)t0)[4],tmp=(C_word)a,a+=11,tmp);
/* library.scm:3281: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word av2[2];
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t9;
tp(2,av2);}}
else{
if(C_truep(t6)){
t9=C_slot(((C_word*)t0)[2],C_fix(4));
t10=C_fixnum_plus(t9,C_fix(1));
t11=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t10);
t12=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32162,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3294: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t12;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}
else{
t9=C_slot(((C_word*)t0)[2],C_fix(4));
t10=C_fixnum_plus(t9,C_fix(1));
t11=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t10);
/* library.scm:3297: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}}}}}

/* k32072 in loop in k32026 in k32023 in a32020 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_32074(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32074,2,av);}
/* library.scm:3274: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32087 in loop in k32026 in k32023 in a32020 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_32089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_32089,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32093,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3278: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[7];
tp(4,av2);}}

/* k32091 in k32087 in loop in k32026 in k32023 in a32020 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 in ... */
static void C_ccall f_32093(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32093,2,av);}
/* library.scm:3275: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_32041(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],t1,C_SCHEME_TRUE);}

/* a32116 in k32146 in loop in k32026 in k32023 in a32020 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 in ... */
static void C_ccall f_32117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_32117,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32125,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32129,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3287: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[7];
tp(5,av2);}}

/* k32123 in a32116 in k32146 in loop in k32026 in k32023 in a32020 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_32125(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32125,2,av);}
/* library.scm:3285: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_32041(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],t1,C_SCHEME_TRUE);}

/* k32127 in a32116 in k32146 in loop in k32026 in k32023 in a32020 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in ... */
static void C_ccall f_32129(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32129,2,av);}
/* library.scm:3286: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32138 in k32146 in loop in k32026 in k32023 in a32020 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 in ... */
static void C_ccall f_32140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32140,2,av);}
/* library.scm:3289: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=lf[711];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k32142 in k32146 in loop in k32026 in k32023 in a32020 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 in ... */
static void C_ccall f_32144(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32144,2,av);}
/* library.scm:3291: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[712];
av2[3]=t1;
tp(4,av2);}}

/* k32146 in loop in k32026 in k32023 in a32020 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_32148(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_32148,2,av);}
a=C_alloc(11);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
t4=C_fixnum_negate(((C_word*)t0)[2]);
t5=C_fixnum_difference(t4,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_32117,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=t6,a[8]=((C_word)li559),tmp=(C_word)a,a+=9,tmp);
/* library.scm:3283: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=((C_word*)t0)[8];
av2[2]=t7;
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32140,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[9],a[4]=((C_word*)t0)[10],tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32144,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k32160 in loop in k32026 in k32023 in a32020 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_32162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32162,2,av);}
/* library.scm:3294: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32192 in k32023 in a32020 in k18302 in k18299 in k18296 in k18293 in k18290 in k18287 in k18284 in k18281 in k18278 in k18275 in k18272 in k18269 in k18266 in k18263 in k18103 in k8506 */
static void C_ccall f_32194(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32194,2,av);}
t2=((C_word*)t0)[2];
f_32028(t2,C_i_setslot(((C_word*)t0)[3],C_fix(12),t1));}

/* k8506 */
static void C_ccall f_8508(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word t67;
C_word t68;
C_word t69;
C_word t70;
C_word t71;
C_word t72;
C_word t73;
C_word t74;
C_word t75;
C_word t76;
C_word t77;
C_word t78;
C_word t79;
C_word t80;
C_word t81;
C_word t82;
C_word t83;
C_word t84;
C_word t85;
C_word t86;
C_word t87;
C_word t88;
C_word t89;
C_word t90;
C_word t91;
C_word t92;
C_word t93;
C_word t94;
C_word t95;
C_word t96;
C_word t97;
C_word t98;
C_word t99;
C_word t100;
C_word t101;
C_word t102;
C_word t103;
C_word t104;
C_word t105;
C_word t106;
C_word t107;
C_word t108;
C_word t109;
C_word t110;
C_word t111;
C_word t112;
C_word t113;
C_word t114;
C_word t115;
C_word t116;
C_word t117;
C_word t118;
C_word t119;
C_word t120;
C_word t121;
C_word t122;
C_word t123;
C_word t124;
C_word t125;
C_word t126;
C_word t127;
C_word t128;
C_word t129;
C_word t130;
C_word t131;
C_word t132;
C_word t133;
C_word t134;
C_word t135;
C_word t136;
C_word t137;
C_word t138;
C_word t139;
C_word t140;
C_word t141;
C_word t142;
C_word t143;
C_word t144;
C_word t145;
C_word t146;
C_word t147;
C_word t148;
C_word t149;
C_word t150;
C_word t151;
C_word t152;
C_word t153;
C_word t154;
C_word t155;
C_word t156;
C_word t157;
C_word t158;
C_word t159;
C_word t160;
C_word t161;
C_word t162;
C_word t163;
C_word t164;
C_word t165;
C_word t166;
C_word t167;
C_word t168;
C_word t169;
C_word t170;
C_word t171;
C_word t172;
C_word t173;
C_word t174;
C_word t175;
C_word t176;
C_word t177;
C_word t178;
C_word t179;
C_word t180;
C_word t181;
C_word t182;
C_word t183;
C_word t184;
C_word t185;
C_word t186;
C_word t187;
C_word t188;
C_word t189;
C_word t190;
C_word t191;
C_word t192;
C_word t193;
C_word t194;
C_word t195;
C_word t196;
C_word t197;
C_word t198;
C_word t199;
C_word t200;
C_word t201;
C_word t202;
C_word t203;
C_word t204;
C_word t205;
C_word t206;
C_word t207;
C_word t208;
C_word t209;
C_word t210;
C_word t211;
C_word t212;
C_word t213;
C_word t214;
C_word t215;
C_word t216;
C_word t217;
C_word t218;
C_word t219;
C_word t220;
C_word t221;
C_word t222;
C_word t223;
C_word t224;
C_word t225;
C_word t226;
C_word t227;
C_word t228;
C_word t229;
C_word t230;
C_word t231;
C_word t232;
C_word t233;
C_word t234;
C_word t235;
C_word t236;
C_word t237;
C_word t238;
C_word t239;
C_word t240;
C_word t241;
C_word t242;
C_word t243;
C_word t244;
C_word t245;
C_word t246;
C_word t247;
C_word t248;
C_word t249;
C_word t250;
C_word t251;
C_word t252;
C_word t253;
C_word t254;
C_word t255;
C_word t256;
C_word t257;
C_word t258;
C_word t259;
C_word t260;
C_word t261;
C_word t262;
C_word t263;
C_word t264;
C_word t265;
C_word t266;
C_word t267;
C_word t268;
C_word t269;
C_word t270;
C_word t271;
C_word t272;
C_word t273;
C_word t274;
C_word t275;
C_word t276;
C_word t277;
C_word t278;
C_word t279;
C_word t280;
C_word t281;
C_word t282;
C_word t283;
C_word t284;
C_word t285;
C_word t286;
C_word t287;
C_word t288;
C_word t289;
C_word t290;
C_word t291;
C_word t292;
C_word t293;
C_word t294;
C_word t295;
C_word t296;
C_word t297;
C_word t298;
C_word t299;
C_word t300;
C_word t301;
C_word t302;
C_word t303;
C_word t304;
C_word t305;
C_word t306;
C_word t307;
C_word t308;
C_word t309;
C_word t310;
C_word t311;
C_word t312;
C_word t313;
C_word t314;
C_word t315;
C_word t316;
C_word t317;
C_word t318;
C_word t319;
C_word t320;
C_word t321;
C_word t322;
C_word t323;
C_word t324;
C_word t325;
C_word t326;
C_word t327;
C_word t328;
C_word t329;
C_word t330;
C_word t331;
C_word t332;
C_word t333;
C_word t334;
C_word t335;
C_word t336;
C_word t337;
C_word t338;
C_word t339;
C_word t340;
C_word t341;
C_word t342;
C_word t343;
C_word t344;
C_word t345;
C_word t346;
C_word t347;
C_word t348;
C_word t349;
C_word t350;
C_word t351;
C_word t352;
C_word t353;
C_word t354;
C_word t355;
C_word t356;
C_word t357;
C_word t358;
C_word t359;
C_word t360;
C_word t361;
C_word t362;
C_word t363;
C_word t364;
C_word t365;
C_word t366;
C_word t367;
C_word t368;
C_word t369;
C_word t370;
C_word t371;
C_word t372;
C_word t373;
C_word t374;
C_word t375;
C_word t376;
C_word t377;
C_word t378;
C_word t379;
C_word t380;
C_word t381;
C_word t382;
C_word t383;
C_word t384;
C_word t385;
C_word t386;
C_word t387;
C_word t388;
C_word t389;
C_word t390;
C_word t391;
C_word t392;
C_word t393;
C_word t394;
C_word t395;
C_word t396;
C_word t397;
C_word t398;
C_word t399;
C_word t400;
C_word t401;
C_word t402;
C_word t403;
C_word t404;
C_word t405;
C_word t406;
C_word t407;
C_word t408;
C_word t409;
C_word t410;
C_word t411;
C_word t412;
C_word t413;
C_word t414;
C_word t415;
C_word t416;
C_word t417;
C_word t418;
C_word t419;
C_word t420;
C_word t421;
C_word t422;
C_word t423;
C_word t424;
C_word t425;
C_word t426;
C_word t427;
C_word t428;
C_word t429;
C_word t430;
C_word t431;
C_word t432;
C_word t433;
C_word t434;
C_word t435;
C_word t436;
C_word t437;
C_word t438;
C_word t439;
C_word t440;
C_word t441;
C_word t442;
C_word t443;
C_word t444;
C_word t445;
C_word t446;
C_word t447;
C_word t448;
C_word t449;
C_word t450;
C_word t451;
C_word t452;
C_word t453;
C_word t454;
C_word t455;
C_word t456;
C_word t457;
C_word t458;
C_word t459;
C_word t460;
C_word t461;
C_word t462;
C_word t463;
C_word t464;
C_word t465;
C_word t466;
C_word t467;
C_word t468;
C_word t469;
C_word t470;
C_word t471;
C_word t472;
C_word t473;
C_word t474;
C_word t475;
C_word t476;
C_word t477;
C_word t478;
C_word t479;
C_word t480;
C_word t481;
C_word t482;
C_word t483;
C_word t484;
C_word t485;
C_word t486;
C_word t487;
C_word t488;
C_word t489;
C_word t490;
C_word t491;
C_word t492;
C_word t493;
C_word t494;
C_word t495;
C_word t496;
C_word t497;
C_word t498;
C_word t499;
C_word t500;
C_word t501;
C_word t502;
C_word t503;
C_word t504;
C_word t505;
C_word t506;
C_word t507;
C_word t508;
C_word t509;
C_word t510;
C_word t511;
C_word t512;
C_word t513;
C_word t514;
C_word t515;
C_word t516;
C_word t517;
C_word t518;
C_word t519;
C_word t520;
C_word t521;
C_word t522;
C_word t523;
C_word t524;
C_word t525;
C_word t526;
C_word t527;
C_word t528;
C_word t529;
C_word t530;
C_word t531;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(1342,c,6)))){
C_save_and_reclaim((void *)f_8508,2,av);}
a=C_alloc(1342);
t2=C_a_i_provide(&a,1,lf[0]);
t3=C_a_i_provide(&a,1,lf[1]);
t4=C_mutate((C_word*)lf[2]+1 /* (set! scheme#not ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8510,a[2]=((C_word)li0),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[3]+1 /* (set! scheme#boolean? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8513,a[2]=((C_word)li1),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[4]+1 /* (set! scheme#eq? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8516,a[2]=((C_word)li2),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[5]+1 /* (set! scheme#eqv? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8519,a[2]=((C_word)li3),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[6]+1 /* (set! scheme#equal? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8522,a[2]=((C_word)li4),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[7]+1 /* (set! scheme#pair? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8525,a[2]=((C_word)li5),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[8]+1 /* (set! scheme#cons ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8528,a[2]=((C_word)li6),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[9]+1 /* (set! scheme#car ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8531,a[2]=((C_word)li7),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[10]+1 /* (set! scheme#cdr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8534,a[2]=((C_word)li8),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[11]+1 /* (set! scheme#set-car! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8537,a[2]=((C_word)li9),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[12]+1 /* (set! scheme#set-cdr! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8540,a[2]=((C_word)li10),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[13]+1 /* (set! scheme#cadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8543,a[2]=((C_word)li11),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[14]+1 /* (set! scheme#caddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8546,a[2]=((C_word)li12),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[15]+1 /* (set! scheme#cadddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8549,a[2]=((C_word)li13),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[16]+1 /* (set! scheme#cddddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8552,a[2]=((C_word)li14),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[17]+1 /* (set! scheme#caar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8555,a[2]=((C_word)li15),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[18]+1 /* (set! scheme#cdar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8558,a[2]=((C_word)li16),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[19]+1 /* (set! scheme#cddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8561,a[2]=((C_word)li17),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[20]+1 /* (set! scheme#caaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8564,a[2]=((C_word)li18),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[21]+1 /* (set! scheme#caadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8578,a[2]=((C_word)li19),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[22]+1 /* (set! scheme#cadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8585,a[2]=((C_word)li20),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[23]+1 /* (set! scheme#cdaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8592,a[2]=((C_word)li21),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[24]+1 /* (set! scheme#cdadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8606,a[2]=((C_word)li22),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[25]+1 /* (set! scheme#cddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8613,a[2]=((C_word)li23),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[26]+1 /* (set! scheme#cdddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8627,a[2]=((C_word)li24),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[27]+1 /* (set! scheme#caaaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8641,a[2]=((C_word)li25),tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[28]+1 /* (set! scheme#caaadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8659,a[2]=((C_word)li26),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[29]+1 /* (set! scheme#caadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8670,a[2]=((C_word)li27),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[30]+1 /* (set! scheme#caaddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8681,a[2]=((C_word)li28),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[31]+1 /* (set! scheme#cadaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8688,a[2]=((C_word)li29),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[32]+1 /* (set! scheme#cadadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8699,a[2]=((C_word)li30),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[33]+1 /* (set! scheme#caddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8703,a[2]=((C_word)li31),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[34]+1 /* (set! scheme#cdaaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8710,a[2]=((C_word)li32),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[35]+1 /* (set! scheme#cdaadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8728,a[2]=((C_word)li33),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[36]+1 /* (set! scheme#cdadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8739,a[2]=((C_word)li34),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[37]+1 /* (set! scheme#cdaddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8750,a[2]=((C_word)li35),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[38]+1 /* (set! scheme#cddaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8757,a[2]=((C_word)li36),tmp=(C_word)a,a+=3,tmp));
t41=C_mutate((C_word*)lf[39]+1 /* (set! scheme#cddadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8775,a[2]=((C_word)li37),tmp=(C_word)a,a+=3,tmp));
t42=C_mutate((C_word*)lf[40]+1 /* (set! scheme#cdddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8786,a[2]=((C_word)li38),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate((C_word*)lf[41]+1 /* (set! scheme#null? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8804,a[2]=((C_word)li39),tmp=(C_word)a,a+=3,tmp));
t44=C_mutate((C_word*)lf[42]+1 /* (set! scheme#list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8810,a[2]=((C_word)li40),tmp=(C_word)a,a+=3,tmp));
t45=C_mutate((C_word*)lf[43]+1 /* (set! scheme#length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8813,a[2]=((C_word)li41),tmp=(C_word)a,a+=3,tmp));
t46=C_mutate((C_word*)lf[44]+1 /* (set! scheme#list-tail ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8816,a[2]=((C_word)li42),tmp=(C_word)a,a+=3,tmp));
t47=C_mutate((C_word*)lf[45]+1 /* (set! scheme#list-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8819,a[2]=((C_word)li43),tmp=(C_word)a,a+=3,tmp));
t48=C_mutate((C_word*)lf[46]+1 /* (set! scheme#reverse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8822,a[2]=((C_word)li45),tmp=(C_word)a,a+=3,tmp));
t49=C_mutate((C_word*)lf[49]+1 /* (set! scheme#memq ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8861,a[2]=((C_word)li46),tmp=(C_word)a,a+=3,tmp));
t50=C_mutate((C_word*)lf[50]+1 /* (set! scheme#memv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8864,a[2]=((C_word)li47),tmp=(C_word)a,a+=3,tmp));
t51=C_mutate((C_word*)lf[51]+1 /* (set! scheme#member ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8867,a[2]=((C_word)li48),tmp=(C_word)a,a+=3,tmp));
t52=C_mutate((C_word*)lf[52]+1 /* (set! scheme#assq ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8870,a[2]=((C_word)li49),tmp=(C_word)a,a+=3,tmp));
t53=C_mutate((C_word*)lf[53]+1 /* (set! scheme#assv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8873,a[2]=((C_word)li50),tmp=(C_word)a,a+=3,tmp));
t54=C_mutate((C_word*)lf[54]+1 /* (set! scheme#assoc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8876,a[2]=((C_word)li51),tmp=(C_word)a,a+=3,tmp));
t55=C_mutate((C_word*)lf[55]+1 /* (set! scheme#list? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8879,a[2]=((C_word)li52),tmp=(C_word)a,a+=3,tmp));
t56=C_mutate((C_word*)lf[56]+1 /* (set! scheme#string? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8882,a[2]=((C_word)li53),tmp=(C_word)a,a+=3,tmp));
t57=C_mutate((C_word*)lf[57]+1 /* (set! scheme#string-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8885,a[2]=((C_word)li54),tmp=(C_word)a,a+=3,tmp));
t58=C_mutate((C_word*)lf[58]+1 /* (set! scheme#string-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8888,a[2]=((C_word)li55),tmp=(C_word)a,a+=3,tmp));
t59=C_mutate((C_word*)lf[59]+1 /* (set! scheme#string-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8891,a[2]=((C_word)li56),tmp=(C_word)a,a+=3,tmp));
t60=C_mutate((C_word*)lf[60]+1 /* (set! scheme#string=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8894,a[2]=((C_word)li57),tmp=(C_word)a,a+=3,tmp));
t61=C_mutate((C_word*)lf[61]+1 /* (set! scheme#string-ci=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8897,a[2]=((C_word)li58),tmp=(C_word)a,a+=3,tmp));
t62=C_mutate((C_word*)lf[62]+1 /* (set! scheme#exact->inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8901,a[2]=((C_word)li59),tmp=(C_word)a,a+=3,tmp));
t63=C_mutate((C_word*)lf[63]+1 /* (set! scheme#abs ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8904,a[2]=((C_word)li60),tmp=(C_word)a,a+=3,tmp));
t64=C_mutate((C_word*)lf[64]+1 /* (set! scheme#+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_plus,a[2]=((C_word)li61),tmp=(C_word)a,a+=3,tmp));
t65=C_mutate((C_word*)lf[65]+1 /* (set! scheme#- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_minus,a[2]=((C_word)li62),tmp=(C_word)a,a+=3,tmp));
t66=C_mutate((C_word*)lf[66]+1 /* (set! scheme#* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_times,a[2]=((C_word)li63),tmp=(C_word)a,a+=3,tmp));
t67=C_mutate((C_word*)lf[67]+1 /* (set! scheme#quotient ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8910,a[2]=((C_word)li64),tmp=(C_word)a,a+=3,tmp));
t68=C_mutate((C_word*)lf[68]+1 /* (set! scheme#remainder ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8913,a[2]=((C_word)li65),tmp=(C_word)a,a+=3,tmp));
t69=C_mutate((C_word*)lf[69]+1 /* (set! scheme#modulo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8916,a[2]=((C_word)li66),tmp=(C_word)a,a+=3,tmp));
t70=C_mutate((C_word*)lf[70]+1 /* (set! scheme#even? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8919,a[2]=((C_word)li67),tmp=(C_word)a,a+=3,tmp));
t71=C_mutate((C_word*)lf[71]+1 /* (set! scheme#odd? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8922,a[2]=((C_word)li68),tmp=(C_word)a,a+=3,tmp));
t72=C_mutate((C_word*)lf[72]+1 /* (set! scheme#= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_nequalp,a[2]=((C_word)li69),tmp=(C_word)a,a+=3,tmp));
t73=C_mutate((C_word*)lf[73]+1 /* (set! scheme#> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_greaterp,a[2]=((C_word)li70),tmp=(C_word)a,a+=3,tmp));
t74=C_mutate((C_word*)lf[74]+1 /* (set! scheme#< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_lessp,a[2]=((C_word)li71),tmp=(C_word)a,a+=3,tmp));
t75=C_mutate((C_word*)lf[75]+1 /* (set! scheme#>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_greater_or_equal_p,a[2]=((C_word)li72),tmp=(C_word)a,a+=3,tmp));
t76=C_mutate((C_word*)lf[76]+1 /* (set! scheme#<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_less_or_equal_p,a[2]=((C_word)li73),tmp=(C_word)a,a+=3,tmp));
t77=C_mutate((C_word*)lf[77]+1 /* (set! scheme#number? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8930,a[2]=((C_word)li74),tmp=(C_word)a,a+=3,tmp));
t78=C_mutate((C_word*)lf[78]+1 /* (set! scheme#complex? ...) */,*((C_word*)lf[77]+1));
t79=C_mutate((C_word*)lf[79]+1 /* (set! scheme#real? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8934,a[2]=((C_word)li75),tmp=(C_word)a,a+=3,tmp));
t80=C_mutate((C_word*)lf[80]+1 /* (set! scheme#rational? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8937,a[2]=((C_word)li76),tmp=(C_word)a,a+=3,tmp));
t81=C_mutate((C_word*)lf[81]+1 /* (set! scheme#integer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8940,a[2]=((C_word)li77),tmp=(C_word)a,a+=3,tmp));
t82=C_mutate((C_word*)lf[82]+1 /* (set! scheme#exact? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8943,a[2]=((C_word)li78),tmp=(C_word)a,a+=3,tmp));
t83=C_mutate((C_word*)lf[83]+1 /* (set! scheme#inexact? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8946,a[2]=((C_word)li79),tmp=(C_word)a,a+=3,tmp));
t84=C_mutate((C_word*)lf[84]+1 /* (set! scheme#zero? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8949,a[2]=((C_word)li80),tmp=(C_word)a,a+=3,tmp));
t85=C_mutate((C_word*)lf[85]+1 /* (set! scheme#positive? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8952,a[2]=((C_word)li81),tmp=(C_word)a,a+=3,tmp));
t86=C_mutate((C_word*)lf[86]+1 /* (set! scheme#negative? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8955,a[2]=((C_word)li82),tmp=(C_word)a,a+=3,tmp));
t87=C_mutate((C_word*)lf[87]+1 /* (set! scheme#number->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_number_to_string,a[2]=((C_word)li83),tmp=(C_word)a,a+=3,tmp));
t88=C_mutate((C_word*)lf[88]+1 /* (set! scheme#symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8959,a[2]=((C_word)li84),tmp=(C_word)a,a+=3,tmp));
t89=C_mutate((C_word*)lf[89]+1 /* (set! scheme#vector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8962,a[2]=((C_word)li85),tmp=(C_word)a,a+=3,tmp));
t90=C_mutate((C_word*)lf[90]+1 /* (set! scheme#vector-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8965,a[2]=((C_word)li86),tmp=(C_word)a,a+=3,tmp));
t91=C_mutate((C_word*)lf[91]+1 /* (set! scheme#vector-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8968,a[2]=((C_word)li87),tmp=(C_word)a,a+=3,tmp));
t92=C_mutate((C_word*)lf[92]+1 /* (set! scheme#vector-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8971,a[2]=((C_word)li88),tmp=(C_word)a,a+=3,tmp));
t93=C_set_block_item(lf[93] /* scheme#make-vector */,0,C_SCHEME_UNDEFINED);
t94=C_set_block_item(lf[94] /* scheme#list->vector */,0,C_SCHEME_UNDEFINED);
t95=C_set_block_item(lf[95] /* scheme#vector->list */,0,C_SCHEME_UNDEFINED);
t96=C_set_block_item(lf[96] /* scheme#vector */,0,C_SCHEME_UNDEFINED);
t97=C_set_block_item(lf[97] /* scheme#vector-fill! */,0,C_SCHEME_UNDEFINED);
t98=C_mutate((C_word*)lf[98]+1 /* (set! scheme#char? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8979,a[2]=((C_word)li89),tmp=(C_word)a,a+=3,tmp));
t99=C_mutate((C_word*)lf[99]+1 /* (set! scheme#char->integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8982,a[2]=((C_word)li90),tmp=(C_word)a,a+=3,tmp));
t100=C_mutate((C_word*)lf[101]+1 /* (set! scheme#integer->char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8989,a[2]=((C_word)li91),tmp=(C_word)a,a+=3,tmp));
t101=C_mutate((C_word*)lf[104]+1 /* (set! scheme#char=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8996,a[2]=((C_word)li92),tmp=(C_word)a,a+=3,tmp));
t102=C_mutate((C_word*)lf[105]+1 /* (set! scheme#char>? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8999,a[2]=((C_word)li93),tmp=(C_word)a,a+=3,tmp));
t103=C_mutate((C_word*)lf[106]+1 /* (set! scheme#char<? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9002,a[2]=((C_word)li94),tmp=(C_word)a,a+=3,tmp));
t104=C_mutate((C_word*)lf[107]+1 /* (set! scheme#char>=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9005,a[2]=((C_word)li95),tmp=(C_word)a,a+=3,tmp));
t105=C_mutate((C_word*)lf[108]+1 /* (set! scheme#char<=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9008,a[2]=((C_word)li96),tmp=(C_word)a,a+=3,tmp));
t106=C_mutate((C_word*)lf[109]+1 /* (set! scheme#char-upcase ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9011,a[2]=((C_word)li97),tmp=(C_word)a,a+=3,tmp));
t107=C_mutate((C_word*)lf[111]+1 /* (set! scheme#char-downcase ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9017,a[2]=((C_word)li98),tmp=(C_word)a,a+=3,tmp));
t108=C_set_block_item(lf[113] /* scheme#char-ci=? */,0,C_SCHEME_UNDEFINED);
t109=C_set_block_item(lf[114] /* scheme#char-ci>? */,0,C_SCHEME_UNDEFINED);
t110=C_set_block_item(lf[115] /* scheme#char-ci<? */,0,C_SCHEME_UNDEFINED);
t111=C_set_block_item(lf[116] /* scheme#char-ci>=? */,0,C_SCHEME_UNDEFINED);
t112=C_set_block_item(lf[117] /* scheme#char-ci<=? */,0,C_SCHEME_UNDEFINED);
t113=C_mutate((C_word*)lf[118]+1 /* (set! scheme#char-upper-case? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9028,a[2]=((C_word)li99),tmp=(C_word)a,a+=3,tmp));
t114=C_mutate((C_word*)lf[120]+1 /* (set! scheme#char-lower-case? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9034,a[2]=((C_word)li100),tmp=(C_word)a,a+=3,tmp));
t115=C_mutate((C_word*)lf[122]+1 /* (set! scheme#char-numeric? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9040,a[2]=((C_word)li101),tmp=(C_word)a,a+=3,tmp));
t116=C_mutate((C_word*)lf[124]+1 /* (set! scheme#char-whitespace? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9046,a[2]=((C_word)li102),tmp=(C_word)a,a+=3,tmp));
t117=C_mutate((C_word*)lf[126]+1 /* (set! scheme#char-alphabetic? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9052,a[2]=((C_word)li103),tmp=(C_word)a,a+=3,tmp));
t118=C_mutate((C_word*)lf[128]+1 /* (set! scheme#procedure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9058,a[2]=((C_word)li104),tmp=(C_word)a,a+=3,tmp));
t119=C_mutate((C_word*)lf[129]+1 /* (set! scheme#apply ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_apply,a[2]=((C_word)li105),tmp=(C_word)a,a+=3,tmp));
t120=C_mutate((C_word*)lf[130]+1 /* (set! scheme#values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_values,a[2]=((C_word)li106),tmp=(C_word)a,a+=3,tmp));
t121=C_mutate((C_word*)lf[131]+1 /* (set! scheme#call-with-values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_with_values,a[2]=((C_word)li107),tmp=(C_word)a,a+=3,tmp));
t122=C_set_block_item(lf[132] /* scheme#call-with-current-continuation */,0,C_SCHEME_UNDEFINED);
t123=C_mutate((C_word*)lf[133]+1 /* (set! scheme#input-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9065,a[2]=((C_word)li108),tmp=(C_word)a,a+=3,tmp));
t124=C_mutate((C_word*)lf[134]+1 /* (set! scheme#output-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9071,a[2]=((C_word)li109),tmp=(C_word)a,a+=3,tmp));
t125=C_set_block_item(lf[135] /* scheme#current-input-port */,0,C_SCHEME_UNDEFINED);
t126=C_set_block_item(lf[136] /* scheme#current-output-port */,0,C_SCHEME_UNDEFINED);
t127=C_set_block_item(lf[137] /* scheme#open-input-file */,0,C_SCHEME_UNDEFINED);
t128=C_set_block_item(lf[138] /* scheme#open-output-file */,0,C_SCHEME_UNDEFINED);
t129=C_set_block_item(lf[139] /* scheme#close-input-port */,0,C_SCHEME_UNDEFINED);
t130=C_set_block_item(lf[140] /* scheme#close-output-port */,0,C_SCHEME_UNDEFINED);
t131=C_set_block_item(lf[141] /* scheme#call-with-input-file */,0,C_SCHEME_UNDEFINED);
t132=C_set_block_item(lf[142] /* scheme#call-with-output-file */,0,C_SCHEME_UNDEFINED);
t133=C_set_block_item(lf[143] /* scheme#with-input-from-file */,0,C_SCHEME_UNDEFINED);
t134=C_set_block_item(lf[144] /* scheme#with-output-to-file */,0,C_SCHEME_UNDEFINED);
t135=C_mutate((C_word*)lf[145]+1 /* (set! scheme#eof-object? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9087,a[2]=((C_word)li110),tmp=(C_word)a,a+=3,tmp));
t136=C_set_block_item(lf[146] /* scheme#char-ready? */,0,C_SCHEME_UNDEFINED);
t137=C_set_block_item(lf[147] /* scheme#read-char */,0,C_SCHEME_UNDEFINED);
t138=C_set_block_item(lf[148] /* scheme#peek-char */,0,C_SCHEME_UNDEFINED);
t139=C_set_block_item(lf[149] /* scheme#read */,0,C_SCHEME_UNDEFINED);
t140=C_set_block_item(lf[150] /* scheme#write-char */,0,C_SCHEME_UNDEFINED);
t141=C_set_block_item(lf[151] /* scheme#newline */,0,C_SCHEME_UNDEFINED);
t142=C_set_block_item(lf[152] /* scheme#write */,0,C_SCHEME_UNDEFINED);
t143=C_set_block_item(lf[153] /* scheme#display */,0,C_SCHEME_UNDEFINED);
t144=C_mutate((C_word*)lf[154]+1 /* (set! scheme#eval ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9098,a[2]=((C_word)li111),tmp=(C_word)a,a+=3,tmp));
t145=C_mutate((C_word*)lf[158]+1 /* (set! scheme#interaction-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9104,a[2]=((C_word)li112),tmp=(C_word)a,a+=3,tmp));
t146=C_mutate((C_word*)lf[161]+1 /* (set! scheme#scheme-report-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9110,a[2]=((C_word)li113),tmp=(C_word)a,a+=3,tmp));
t147=C_mutate((C_word*)lf[164]+1 /* (set! scheme#null-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9116,a[2]=((C_word)li114),tmp=(C_word)a,a+=3,tmp));
t148=C_mutate((C_word*)lf[167]+1 /* (set! scheme#load ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9122,a[2]=((C_word)li115),tmp=(C_word)a,a+=3,tmp));
t149=C_set_block_item(lf[170] /* scheme#for-each */,0,C_SCHEME_UNDEFINED);
t150=C_set_block_item(lf[171] /* scheme#map */,0,C_SCHEME_UNDEFINED);
t151=C_set_block_item(lf[172] /* scheme#dynamic-wind */,0,C_SCHEME_UNDEFINED);
t152=C_a_i_provide(&a,1,lf[173]);
t153=C_mutate((C_word*)lf[174]+1 /* (set! chicken.base#fixnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9131,a[2]=((C_word)li116),tmp=(C_word)a,a+=3,tmp));
t154=C_mutate((C_word*)lf[175]+1 /* (set! chicken.base#flonum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9134,a[2]=((C_word)li117),tmp=(C_word)a,a+=3,tmp));
t155=C_mutate((C_word*)lf[176]+1 /* (set! chicken.base#bignum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9137,a[2]=((C_word)li118),tmp=(C_word)a,a+=3,tmp));
t156=C_mutate((C_word*)lf[177]+1 /* (set! chicken.base#ratnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9140,a[2]=((C_word)li119),tmp=(C_word)a,a+=3,tmp));
t157=C_mutate((C_word*)lf[178]+1 /* (set! chicken.base#cplxnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9143,a[2]=((C_word)li120),tmp=(C_word)a,a+=3,tmp));
t158=C_mutate((C_word*)lf[179]+1 /* (set! chicken.base#exact-integer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9146,a[2]=((C_word)li121),tmp=(C_word)a,a+=3,tmp));
t159=C_mutate((C_word*)lf[180]+1 /* (set! chicken.base#quotient&remainder ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_quotient_and_remainder,a[2]=((C_word)li122),tmp=(C_word)a,a+=3,tmp));
t160=C_mutate((C_word*)lf[181]+1 /* (set! chicken.base#quotient&modulo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9150,a[2]=((C_word)li125),tmp=(C_word)a,a+=3,tmp));
t161=C_mutate((C_word*)lf[182]+1 /* (set! chicken.base#finite? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9195,a[2]=((C_word)li126),tmp=(C_word)a,a+=3,tmp));
t162=C_mutate((C_word*)lf[183]+1 /* (set! chicken.base#infinite? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9198,a[2]=((C_word)li127),tmp=(C_word)a,a+=3,tmp));
t163=C_mutate((C_word*)lf[184]+1 /* (set! chicken.base#nan? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9201,a[2]=((C_word)li128),tmp=(C_word)a,a+=3,tmp));
t164=C_mutate((C_word*)lf[185]+1 /* (set! chicken.base#signum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_signum,a[2]=((C_word)li129),tmp=(C_word)a,a+=3,tmp));
t165=C_set_block_item(lf[186] /* chicken.base#get-call-chain */,0,C_SCHEME_UNDEFINED);
t166=C_set_block_item(lf[187] /* chicken.base#print-call-chain */,0,C_SCHEME_UNDEFINED);
t167=C_set_block_item(lf[188] /* chicken.base#print */,0,C_SCHEME_UNDEFINED);
t168=C_set_block_item(lf[189] /* chicken.base#print* */,0,C_SCHEME_UNDEFINED);
t169=C_mutate((C_word*)lf[190]+1 /* (set! chicken.base#add1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9209,a[2]=((C_word)li130),tmp=(C_word)a,a+=3,tmp));
t170=C_mutate((C_word*)lf[191]+1 /* (set! chicken.base#sub1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9214,a[2]=((C_word)li131),tmp=(C_word)a,a+=3,tmp));
t171=C_set_block_item(lf[192] /* chicken.base#current-error-port */,0,C_SCHEME_UNDEFINED);
t172=C_mutate((C_word*)lf[193]+1 /* (set! chicken.base#error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9220,a[2]=((C_word)li132),tmp=(C_word)a,a+=3,tmp));
t173=C_mutate((C_word*)lf[196]+1 /* (set! chicken.base#void ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9235,a[2]=((C_word)li133),tmp=(C_word)a,a+=3,tmp));
t174=C_set_block_item(lf[197] /* chicken.base#call/cc */,0,C_SCHEME_UNDEFINED);
t175=C_set_block_item(lf[198] /* chicken.base#char-name */,0,C_SCHEME_UNDEFINED);
t176=C_set_block_item(lf[199] /* chicken.base#getter-with-setter */,0,C_SCHEME_UNDEFINED);
t177=C_set_block_item(lf[200] /* chicken.base#make-parameter */,0,C_SCHEME_UNDEFINED);
t178=C_set_block_item(lf[201] /* chicken.base#procedure-information */,0,C_SCHEME_UNDEFINED);
t179=C_set_block_item(lf[202] /* chicken.base#setter */,0,C_SCHEME_UNDEFINED);
t180=C_set_block_item(lf[203] /* chicken.base#vector-copy! */,0,C_SCHEME_UNDEFINED);
t181=C_set_block_item(lf[204] /* chicken.base#subvector */,0,C_SCHEME_UNDEFINED);
t182=C_set_block_item(lf[205] /* chicken.base#vector-resize */,0,C_SCHEME_UNDEFINED);
t183=C_set_block_item(lf[206] /* chicken.base#port? */,0,C_SCHEME_UNDEFINED);
t184=C_set_block_item(lf[207] /* chicken.base#port-closed? */,0,C_SCHEME_UNDEFINED);
t185=C_set_block_item(lf[208] /* chicken.base#input-port-open? */,0,C_SCHEME_UNDEFINED);
t186=C_set_block_item(lf[209] /* chicken.base#output-port-open? */,0,C_SCHEME_UNDEFINED);
t187=C_set_block_item(lf[210] /* chicken.base#get-output-string */,0,C_SCHEME_UNDEFINED);
t188=C_set_block_item(lf[211] /* chicken.base#open-input-string */,0,C_SCHEME_UNDEFINED);
t189=C_set_block_item(lf[212] /* chicken.base#open-output-string */,0,C_SCHEME_UNDEFINED);
t190=C_set_block_item(lf[213] /* chicken.base#flush-output */,0,C_SCHEME_UNDEFINED);
t191=C_mutate((C_word*)lf[214]+1 /* (set! chicken.base#promise? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9255,a[2]=((C_word)li134),tmp=(C_word)a,a+=3,tmp));
t192=C_mutate((C_word*)lf[216]+1 /* (set! ##sys#make-promise ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9261,a[2]=((C_word)li135),tmp=(C_word)a,a+=3,tmp));
t193=C_mutate((C_word*)lf[217]+1 /* (set! chicken.base#make-promise ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9267,a[2]=((C_word)li137),tmp=(C_word)a,a+=3,tmp));
t194=C_mutate((C_word*)lf[218]+1 /* (set! chicken.base#foldl ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9282,a[2]=((C_word)li139),tmp=(C_word)a,a+=3,tmp));
t195=C_mutate((C_word*)lf[220]+1 /* (set! chicken.base#foldr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9319,a[2]=((C_word)li141),tmp=(C_word)a,a+=3,tmp));
t196=C_set_block_item(lf[222] /* chicken.base#implicit-exit-handler */,0,C_SCHEME_UNDEFINED);
t197=C_set_block_item(lf[223] /* chicken.base#exit-handler */,0,C_SCHEME_UNDEFINED);
t198=C_set_block_item(lf[224] /* chicken.base#cleanup-tasks */,0,C_SCHEME_END_OF_LIST);
t199=C_mutate((C_word*)lf[225]+1 /* (set! chicken.base#on-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9359,a[2]=((C_word)li142),tmp=(C_word)a,a+=3,tmp));
t200=C_mutate((C_word*)lf[226]+1 /* (set! chicken.base#exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9366,a[2]=((C_word)li143),tmp=(C_word)a,a+=3,tmp));
t201=C_mutate((C_word*)lf[227]+1 /* (set! chicken.base#emergency-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9384,a[2]=((C_word)li144),tmp=(C_word)a,a+=3,tmp));
t202=C_set_block_item(lf[229] /* chicken.base#case-sensitive */,0,C_SCHEME_UNDEFINED);
t203=C_set_block_item(lf[230] /* chicken.base#keyword-style */,0,C_SCHEME_UNDEFINED);
t204=C_set_block_item(lf[231] /* chicken.base#parentheses-synonyms */,0,C_SCHEME_UNDEFINED);
t205=C_set_block_item(lf[232] /* chicken.base#symbol-escape */,0,C_SCHEME_UNDEFINED);
t206=C_mutate((C_word*)lf[233]+1 /* (set! chicken.base#identity ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9403,a[2]=((C_word)li145),tmp=(C_word)a,a+=3,tmp));
t207=C_mutate((C_word*)lf[234]+1 /* (set! chicken.base#conjoin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9406,a[2]=((C_word)li148),tmp=(C_word)a,a+=3,tmp));
t208=C_mutate((C_word*)lf[235]+1 /* (set! chicken.base#disjoin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9439,a[2]=((C_word)li151),tmp=(C_word)a,a+=3,tmp));
t209=C_mutate((C_word*)lf[236]+1 /* (set! chicken.base#constantly ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9476,a[2]=((C_word)li154),tmp=(C_word)a,a+=3,tmp));
t210=C_mutate((C_word*)lf[237]+1 /* (set! chicken.base#flip ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9497,a[2]=((C_word)li156),tmp=(C_word)a,a+=3,tmp));
t211=C_mutate((C_word*)lf[238]+1 /* (set! chicken.base#complement ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9505,a[2]=((C_word)li158),tmp=(C_word)a,a+=3,tmp));
t212=C_mutate((C_word*)lf[239]+1 /* (set! chicken.base#compose ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9517,a[2]=((C_word)li162),tmp=(C_word)a,a+=3,tmp));
t213=C_mutate((C_word*)lf[240]+1 /* (set! chicken.base#o ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9553,a[2]=((C_word)li165),tmp=(C_word)a,a+=3,tmp));
t214=C_mutate((C_word*)lf[241]+1 /* (set! chicken.base#list-of? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9592,a[2]=((C_word)li168),tmp=(C_word)a,a+=3,tmp));
t215=C_mutate((C_word*)lf[242]+1 /* (set! chicken.base#each ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9636,a[2]=((C_word)li172),tmp=(C_word)a,a+=3,tmp));
t216=C_mutate((C_word*)lf[244]+1 /* (set! chicken.base#atom? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9692,a[2]=((C_word)li173),tmp=(C_word)a,a+=3,tmp));
t217=C_mutate((C_word*)lf[245]+1 /* (set! chicken.base#tail? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9695,a[2]=((C_word)li175),tmp=(C_word)a,a+=3,tmp));
t218=C_mutate((C_word*)lf[247]+1 /* (set! chicken.base#intersperse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9723,a[2]=((C_word)li177),tmp=(C_word)a,a+=3,tmp));
t219=C_mutate((C_word*)lf[248]+1 /* (set! chicken.base#butlast ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9756,a[2]=((C_word)li179),tmp=(C_word)a,a+=3,tmp));
t220=C_mutate((C_word*)lf[250]+1 /* (set! chicken.base#flatten ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9788,a[2]=((C_word)li181),tmp=(C_word)a,a+=3,tmp));
t221=C_mutate((C_word*)lf[251]+1 /* (set! chicken.base#join ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9829,a[2]=((C_word)li183),tmp=(C_word)a,a+=3,tmp));
t222=C_mutate((C_word*)lf[254]+1 /* (set! chicken.base#compress ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9886,a[2]=((C_word)li185),tmp=(C_word)a,a+=3,tmp));
t223=C_mutate((C_word*)lf[258]+1 /* (set! chicken.base#alist-update! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9966,a[2]=((C_word)li188),tmp=(C_word)a,a+=3,tmp));
t224=C_mutate((C_word*)lf[259]+1 /* (set! chicken.base#alist-update ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10052,a[2]=((C_word)li190),tmp=(C_word)a,a+=3,tmp));
t225=C_mutate((C_word*)lf[263]+1 /* (set! chicken.base#alist-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10156,a[2]=((C_word)li193),tmp=(C_word)a,a+=3,tmp));
t226=C_mutate((C_word*)lf[266]+1 /* (set! chicken.base#rassoc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10268,a[2]=((C_word)li195),tmp=(C_word)a,a+=3,tmp));
t227=C_mutate(&lf[268] /* (set! maximal-string-length ...) */,C_unsigned_long_to_num(&a,C_HEADER_SIZE_MASK));
t228=C_a_i_provide(&a,1,lf[269]);
t229=C_set_block_item(lf[270] /* chicken.fixnum#most-positive-fixnum */,0,C_fix((C_word)C_MOST_POSITIVE_FIXNUM));
t230=C_set_block_item(lf[271] /* chicken.fixnum#most-negative-fixnum */,0,C_fix((C_word)C_MOST_NEGATIVE_FIXNUM));
t231=C_set_block_item(lf[272] /* chicken.fixnum#fixnum-bits */,0,C_fix((C_word)(C_WORD_SIZE - 1)));
t232=C_set_block_item(lf[273] /* chicken.fixnum#fixnum-precision */,0,C_fix((C_word)(C_WORD_SIZE - (1 + 1))));
t233=C_mutate((C_word*)lf[274]+1 /* (set! chicken.fixnum#fx+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10321,a[2]=((C_word)li196),tmp=(C_word)a,a+=3,tmp));
t234=C_mutate((C_word*)lf[275]+1 /* (set! chicken.fixnum#fx- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10324,a[2]=((C_word)li197),tmp=(C_word)a,a+=3,tmp));
t235=C_mutate((C_word*)lf[276]+1 /* (set! chicken.fixnum#fx* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10327,a[2]=((C_word)li198),tmp=(C_word)a,a+=3,tmp));
t236=C_mutate((C_word*)lf[277]+1 /* (set! chicken.fixnum#fx= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10330,a[2]=((C_word)li199),tmp=(C_word)a,a+=3,tmp));
t237=C_mutate((C_word*)lf[278]+1 /* (set! chicken.fixnum#fx> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10336,a[2]=((C_word)li200),tmp=(C_word)a,a+=3,tmp));
t238=C_mutate((C_word*)lf[279]+1 /* (set! chicken.fixnum#fx< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10339,a[2]=((C_word)li201),tmp=(C_word)a,a+=3,tmp));
t239=C_mutate((C_word*)lf[280]+1 /* (set! chicken.fixnum#fx>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10342,a[2]=((C_word)li202),tmp=(C_word)a,a+=3,tmp));
t240=C_mutate((C_word*)lf[281]+1 /* (set! chicken.fixnum#fx<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10345,a[2]=((C_word)li203),tmp=(C_word)a,a+=3,tmp));
t241=C_mutate((C_word*)lf[282]+1 /* (set! chicken.fixnum#fxmin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10348,a[2]=((C_word)li204),tmp=(C_word)a,a+=3,tmp));
t242=C_mutate((C_word*)lf[283]+1 /* (set! chicken.fixnum#fxmax ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10351,a[2]=((C_word)li205),tmp=(C_word)a,a+=3,tmp));
t243=C_mutate((C_word*)lf[284]+1 /* (set! chicken.fixnum#fxneg ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10354,a[2]=((C_word)li206),tmp=(C_word)a,a+=3,tmp));
t244=C_mutate((C_word*)lf[285]+1 /* (set! chicken.fixnum#fxand ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10357,a[2]=((C_word)li207),tmp=(C_word)a,a+=3,tmp));
t245=C_mutate((C_word*)lf[286]+1 /* (set! chicken.fixnum#fxior ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10360,a[2]=((C_word)li208),tmp=(C_word)a,a+=3,tmp));
t246=C_mutate((C_word*)lf[287]+1 /* (set! chicken.fixnum#fxxor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10363,a[2]=((C_word)li209),tmp=(C_word)a,a+=3,tmp));
t247=C_mutate((C_word*)lf[288]+1 /* (set! chicken.fixnum#fxnot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10366,a[2]=((C_word)li210),tmp=(C_word)a,a+=3,tmp));
t248=C_mutate((C_word*)lf[289]+1 /* (set! chicken.fixnum#fxshl ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10369,a[2]=((C_word)li211),tmp=(C_word)a,a+=3,tmp));
t249=C_mutate((C_word*)lf[290]+1 /* (set! chicken.fixnum#fxshr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10372,a[2]=((C_word)li212),tmp=(C_word)a,a+=3,tmp));
t250=C_mutate((C_word*)lf[291]+1 /* (set! chicken.fixnum#fxodd? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10375,a[2]=((C_word)li213),tmp=(C_word)a,a+=3,tmp));
t251=C_mutate((C_word*)lf[292]+1 /* (set! chicken.fixnum#fxeven? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10378,a[2]=((C_word)li214),tmp=(C_word)a,a+=3,tmp));
t252=C_mutate((C_word*)lf[293]+1 /* (set! chicken.fixnum#fxlen ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10381,a[2]=((C_word)li215),tmp=(C_word)a,a+=3,tmp));
t253=C_mutate((C_word*)lf[294]+1 /* (set! chicken.fixnum#fx/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10384,a[2]=((C_word)li216),tmp=(C_word)a,a+=3,tmp));
t254=C_mutate((C_word*)lf[295]+1 /* (set! chicken.fixnum#fxgcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10387,a[2]=((C_word)li217),tmp=(C_word)a,a+=3,tmp));
t255=C_mutate((C_word*)lf[296]+1 /* (set! chicken.fixnum#fxmod ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10390,a[2]=((C_word)li218),tmp=(C_word)a,a+=3,tmp));
t256=C_mutate((C_word*)lf[297]+1 /* (set! chicken.fixnum#fxrem ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10393,a[2]=((C_word)li219),tmp=(C_word)a,a+=3,tmp));
t257=C_mutate((C_word*)lf[298]+1 /* (set! chicken.fixnum#fx+? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10396,a[2]=((C_word)li220),tmp=(C_word)a,a+=3,tmp));
t258=C_mutate((C_word*)lf[299]+1 /* (set! chicken.fixnum#fx-? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10399,a[2]=((C_word)li221),tmp=(C_word)a,a+=3,tmp));
t259=C_mutate((C_word*)lf[300]+1 /* (set! chicken.fixnum#fx*? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10402,a[2]=((C_word)li222),tmp=(C_word)a,a+=3,tmp));
t260=C_mutate((C_word*)lf[301]+1 /* (set! chicken.fixnum#fx/? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10405,a[2]=((C_word)li223),tmp=(C_word)a,a+=3,tmp));
t261=C_mutate((C_word*)lf[302]+1 /* (set! ##sys#debug-mode? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10408,a[2]=((C_word)li224),tmp=(C_word)a,a+=3,tmp));
t262=C_set_block_item(lf[303] /* ##sys#warnings-enabled */,0,C_SCHEME_TRUE);
t263=C_set_block_item(lf[304] /* ##sys#notices-enabled */,0,C_i_debug_modep());
t264=C_mutate((C_word*)lf[305]+1 /* (set! chicken.base#warning ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10413,a[2]=((C_word)li225),tmp=(C_word)a,a+=3,tmp));
t265=C_mutate((C_word*)lf[307]+1 /* (set! chicken.base#notice ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10422,a[2]=((C_word)li226),tmp=(C_word)a,a+=3,tmp));
t266=C_mutate((C_word*)lf[309]+1 /* (set! chicken.base#enable-warnings ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10434,a[2]=((C_word)li227),tmp=(C_word)a,a+=3,tmp));
t267=C_mutate((C_word*)lf[155]+1 /* (set! ##sys#error ...) */,*((C_word*)lf[193]+1));
t268=C_mutate((C_word*)lf[310]+1 /* (set! ##sys#warn ...) */,*((C_word*)lf[305]+1));
t269=C_mutate((C_word*)lf[311]+1 /* (set! ##sys#notice ...) */,*((C_word*)lf[307]+1));
t270=C_mutate((C_word*)lf[312]+1 /* (set! ##sys#gc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_gc,a[2]=((C_word)li228),tmp=(C_word)a,a+=3,tmp));
t271=C_mutate((C_word*)lf[313]+1 /* (set! ##sys#setslot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10449,a[2]=((C_word)li229),tmp=(C_word)a,a+=3,tmp));
t272=C_mutate((C_word*)lf[314]+1 /* (set! ##sys#setislot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10452,a[2]=((C_word)li230),tmp=(C_word)a,a+=3,tmp));
t273=C_mutate((C_word*)lf[315]+1 /* (set! ##sys#allocate-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_allocate_vector,a[2]=((C_word)li231),tmp=(C_word)a,a+=3,tmp));
t274=C_mutate((C_word*)lf[316]+1 /* (set! ##sys#make-structure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_structure,a[2]=((C_word)li232),tmp=(C_word)a,a+=3,tmp));
t275=C_mutate((C_word*)lf[317]+1 /* (set! ##sys#ensure-heap-reserve ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_ensure_heap_reserve,a[2]=((C_word)li233),tmp=(C_word)a,a+=3,tmp));
t276=C_mutate((C_word*)lf[318]+1 /* (set! ##sys#symbol-table-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_get_symbol_table_info,a[2]=((C_word)li234),tmp=(C_word)a,a+=3,tmp));
t277=C_mutate((C_word*)lf[319]+1 /* (set! ##sys#memory-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_get_memory_info,a[2]=((C_word)li235),tmp=(C_word)a,a+=3,tmp));
t278=C_mutate((C_word*)lf[320]+1 /* (set! ##sys#decode-seconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_decode_seconds,a[2]=((C_word)li236),tmp=(C_word)a,a+=3,tmp));
t279=C_mutate((C_word*)lf[321]+1 /* (set! ##sys#start-timer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10461,a[2]=((C_word)li237),tmp=(C_word)a,a+=3,tmp));
t280=C_mutate((C_word*)lf[322]+1 /* (set! ##sys#stop-timer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10467,a[2]=((C_word)li240),tmp=(C_word)a,a+=3,tmp));
t281=C_mutate((C_word*)lf[323]+1 /* (set! ##sys#immediate? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10487,a[2]=((C_word)li241),tmp=(C_word)a,a+=3,tmp));
t282=C_mutate((C_word*)lf[324]+1 /* (set! ##sys#message ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10494,a[2]=((C_word)li242),tmp=(C_word)a,a+=3,tmp));
t283=C_mutate((C_word*)lf[325]+1 /* (set! ##sys#byte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10497,a[2]=((C_word)li243),tmp=(C_word)a,a+=3,tmp));
t284=C_mutate((C_word*)lf[326]+1 /* (set! ##sys#setbyte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10500,a[2]=((C_word)li244),tmp=(C_word)a,a+=3,tmp));
t285=C_mutate((C_word*)lf[327]+1 /* (set! ##sys#void ...) */,*((C_word*)lf[196]+1));
t286=C_set_block_item(lf[243] /* ##sys#undefined-value */,0,C_SCHEME_UNDEFINED);
t287=C_mutate((C_word*)lf[328]+1 /* (set! ##sys#halt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10505,a[2]=((C_word)li245),tmp=(C_word)a,a+=3,tmp));
t288=C_mutate((C_word*)lf[329]+1 /* (set! ##sys#become! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_become,a[2]=((C_word)li246),tmp=(C_word)a,a+=3,tmp));
t289=C_mutate((C_word*)lf[330]+1 /* (set! ##sys#block-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10509,a[2]=((C_word)li247),tmp=(C_word)a,a+=3,tmp));
t290=C_mutate((C_word*)lf[331]+1 /* (set! ##sys#apply-values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_apply_values,a[2]=((C_word)li248),tmp=(C_word)a,a+=3,tmp));
t291=C_mutate((C_word*)lf[332]+1 /* (set! ##sys#copy-closure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_copy_closure,a[2]=((C_word)li249),tmp=(C_word)a,a+=3,tmp));
t292=C_mutate((C_word*)lf[333]+1 /* (set! ##sys#block-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10514,a[2]=((C_word)li250),tmp=(C_word)a,a+=3,tmp));
t293=C_a_i_provide(&a,1,lf[336]);
t294=C_mutate((C_word*)lf[337]+1 /* (set! chicken.time#current-milliseconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10549,a[2]=((C_word)li251),tmp=(C_word)a,a+=3,tmp));
t295=C_mutate((C_word*)lf[338]+1 /* (set! chicken.time#current-seconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10552,a[2]=((C_word)li252),tmp=(C_word)a,a+=3,tmp));
t296=C_mutate((C_word*)lf[339]+1 /* (set! chicken.time#cpu-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10555,a[2]=((C_word)li253),tmp=(C_word)a,a+=3,tmp));
t297=C_mutate((C_word*)lf[340]+1 /* (set! ##sys#check-structure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10572,a[2]=((C_word)li254),tmp=(C_word)a,a+=3,tmp));
t298=C_mutate((C_word*)lf[341]+1 /* (set! ##sys#check-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10583,a[2]=((C_word)li255),tmp=(C_word)a,a+=3,tmp));
t299=C_mutate((C_word*)lf[342]+1 /* (set! ##sys#check-byte-vector ...) */,*((C_word*)lf[341]+1));
t300=C_mutate((C_word*)lf[343]+1 /* (set! ##sys#check-pair ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10595,a[2]=((C_word)li256),tmp=(C_word)a,a+=3,tmp));
t301=C_mutate((C_word*)lf[344]+1 /* (set! ##sys#check-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10606,a[2]=((C_word)li257),tmp=(C_word)a,a+=3,tmp));
t302=C_mutate((C_word*)lf[345]+1 /* (set! ##sys#check-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10617,a[2]=((C_word)li258),tmp=(C_word)a,a+=3,tmp));
t303=C_mutate((C_word*)lf[346]+1 /* (set! ##sys#check-number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10628,a[2]=((C_word)li259),tmp=(C_word)a,a+=3,tmp));
t304=C_mutate((C_word*)lf[102]+1 /* (set! ##sys#check-fixnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10639,a[2]=((C_word)li260),tmp=(C_word)a,a+=3,tmp));
t305=C_mutate((C_word*)lf[347]+1 /* (set! ##sys#check-exact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10650,a[2]=((C_word)li261),tmp=(C_word)a,a+=3,tmp));
t306=C_mutate((C_word*)lf[348]+1 /* (set! ##sys#check-inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10661,a[2]=((C_word)li262),tmp=(C_word)a,a+=3,tmp));
t307=C_mutate((C_word*)lf[349]+1 /* (set! ##sys#check-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10672,a[2]=((C_word)li263),tmp=(C_word)a,a+=3,tmp));
t308=C_mutate((C_word*)lf[350]+1 /* (set! ##sys#check-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10683,a[2]=((C_word)li264),tmp=(C_word)a,a+=3,tmp));
t309=C_mutate((C_word*)lf[351]+1 /* (set! ##sys#check-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10694,a[2]=((C_word)li265),tmp=(C_word)a,a+=3,tmp));
t310=C_mutate((C_word*)lf[352]+1 /* (set! ##sys#check-boolean ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10705,a[2]=((C_word)li266),tmp=(C_word)a,a+=3,tmp));
t311=C_mutate((C_word*)lf[353]+1 /* (set! ##sys#check-locative ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10716,a[2]=((C_word)li267),tmp=(C_word)a,a+=3,tmp));
t312=C_mutate((C_word*)lf[354]+1 /* (set! ##sys#check-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10727,a[2]=((C_word)li268),tmp=(C_word)a,a+=3,tmp));
t313=C_mutate((C_word*)lf[356]+1 /* (set! ##sys#check-exact-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10744,a[2]=((C_word)li269),tmp=(C_word)a,a+=3,tmp));
t314=C_mutate((C_word*)lf[358]+1 /* (set! ##sys#check-exact-uinteger ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10761,a[2]=((C_word)li270),tmp=(C_word)a,a+=3,tmp));
t315=C_mutate((C_word*)lf[360]+1 /* (set! ##sys#check-real ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10785,a[2]=((C_word)li271),tmp=(C_word)a,a+=3,tmp));
t316=C_mutate((C_word*)lf[334]+1 /* (set! ##sys#check-range ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10802,a[2]=((C_word)li272),tmp=(C_word)a,a+=3,tmp));
t317=C_mutate((C_word*)lf[363]+1 /* (set! ##sys#check-special ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10832,a[2]=((C_word)li273),tmp=(C_word)a,a+=3,tmp));
t318=C_mutate((C_word*)lf[365]+1 /* (set! ##sys#check-closure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10852,a[2]=((C_word)li274),tmp=(C_word)a,a+=3,tmp));
t319=C_mutate((C_word*)lf[366]+1 /* (set! scheme#force ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10863,a[2]=((C_word)li276),tmp=(C_word)a,a+=3,tmp));
t320=C_mutate((C_word*)lf[368]+1 /* (set! ##sys#dload ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_dload,a[2]=((C_word)li277),tmp=(C_word)a,a+=3,tmp));
t321=C_mutate((C_word*)lf[369]+1 /* (set! ##sys#set-dlopen-flags! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_set_dlopen_flags,a[2]=((C_word)li278),tmp=(C_word)a,a+=3,tmp));
t322=C_mutate((C_word*)lf[47]+1 /* (set! ##sys#error-not-a-proper-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10991,a[2]=((C_word)li279),tmp=(C_word)a,a+=3,tmp));
t323=C_mutate((C_word*)lf[370]+1 /* (set! ##sys#error-bad-number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11007,a[2]=((C_word)li280),tmp=(C_word)a,a+=3,tmp));
t324=C_mutate((C_word*)lf[355]+1 /* (set! ##sys#error-bad-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11023,a[2]=((C_word)li281),tmp=(C_word)a,a+=3,tmp));
t325=C_mutate((C_word*)lf[357]+1 /* (set! ##sys#error-bad-exact-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11039,a[2]=((C_word)li282),tmp=(C_word)a,a+=3,tmp));
t326=C_mutate((C_word*)lf[359]+1 /* (set! ##sys#error-bad-exact-uinteger ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11055,a[2]=((C_word)li283),tmp=(C_word)a,a+=3,tmp));
t327=C_mutate((C_word*)lf[371]+1 /* (set! ##sys#error-bad-inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11071,a[2]=((C_word)li284),tmp=(C_word)a,a+=3,tmp));
t328=C_mutate((C_word*)lf[361]+1 /* (set! ##sys#error-bad-real ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11087,a[2]=((C_word)li285),tmp=(C_word)a,a+=3,tmp));
t329=C_mutate((C_word*)lf[372]+1 /* (set! ##sys#error-bad-base ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11103,a[2]=((C_word)li286),tmp=(C_word)a,a+=3,tmp));
t330=C_mutate((C_word*)lf[373]+1 /* (set! scheme#append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11119,a[2]=((C_word)li289),tmp=(C_word)a,a+=3,tmp));
t331=C_mutate((C_word*)lf[375]+1 /* (set! ##sys#fast-reverse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11198,a[2]=((C_word)li291),tmp=(C_word)a,a+=3,tmp));
t332=C_mutate((C_word*)lf[376]+1 /* (set! ##sys#make-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11228,a[2]=((C_word)li292),tmp=(C_word)a,a+=3,tmp));
t333=C_mutate((C_word*)lf[377]+1 /* (set! scheme#make-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11248,a[2]=((C_word)li293),tmp=(C_word)a,a+=3,tmp));
t334=C_mutate((C_word*)lf[381]+1 /* (set! scheme#string->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11284,a[2]=((C_word)li295),tmp=(C_word)a,a+=3,tmp));
t335=C_mutate((C_word*)lf[383]+1 /* (set! ##sys#string->list ...) */,*((C_word*)lf[381]+1));
t336=C_mutate((C_word*)lf[384]+1 /* (set! scheme#list->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11322,a[2]=((C_word)li297),tmp=(C_word)a,a+=3,tmp));
t337=C_mutate((C_word*)lf[386]+1 /* (set! ##sys#list->string ...) */,*((C_word*)lf[384]+1));
t338=C_mutate((C_word*)lf[387]+1 /* (set! ##sys#reverse-list->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11374,a[2]=((C_word)li299),tmp=(C_word)a,a+=3,tmp));
t339=C_mutate((C_word*)lf[389]+1 /* (set! scheme#string-fill! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11423,a[2]=((C_word)li300),tmp=(C_word)a,a+=3,tmp));
t340=C_mutate((C_word*)lf[391]+1 /* (set! scheme#string-copy ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11436,a[2]=((C_word)li301),tmp=(C_word)a,a+=3,tmp));
t341=C_mutate((C_word*)lf[393]+1 /* (set! scheme#substring ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11448,a[2]=((C_word)li302),tmp=(C_word)a,a+=3,tmp));
t342=C_mutate((C_word*)lf[395]+1 /* (set! ##sys#substring ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11498,a[2]=((C_word)li303),tmp=(C_word)a,a+=3,tmp));
t343=C_SCHEME_UNDEFINED;
t344=(*a=C_VECTOR_TYPE|1,a[1]=t343,tmp=(C_word)a,a+=2,tmp);
t345=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11507,a[2]=((C_word)li304),tmp=(C_word)a,a+=3,tmp);
t346=C_set_block_item(t344,0,t345);
t347=C_mutate((C_word*)lf[396]+1 /* (set! scheme#string<? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11528,a[2]=t344,a[3]=((C_word)li306),tmp=(C_word)a,a+=4,tmp));
t348=C_mutate((C_word*)lf[398]+1 /* (set! scheme#string>? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11552,a[2]=t344,a[3]=((C_word)li308),tmp=(C_word)a,a+=4,tmp));
t349=C_mutate((C_word*)lf[400]+1 /* (set! scheme#string<=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11576,a[2]=t344,a[3]=((C_word)li310),tmp=(C_word)a,a+=4,tmp));
t350=C_mutate((C_word*)lf[402]+1 /* (set! scheme#string>=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11597,a[2]=t344,a[3]=((C_word)li312),tmp=(C_word)a,a+=4,tmp));
t351=C_SCHEME_UNDEFINED;
t352=(*a=C_VECTOR_TYPE|1,a[1]=t351,tmp=(C_word)a,a+=2,tmp);
t353=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11617,a[2]=((C_word)li313),tmp=(C_word)a,a+=3,tmp);
t354=C_set_block_item(t352,0,t353);
t355=C_mutate((C_word*)lf[404]+1 /* (set! scheme#string-ci<? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11638,a[2]=t352,a[3]=((C_word)li315),tmp=(C_word)a,a+=4,tmp));
t356=C_mutate((C_word*)lf[406]+1 /* (set! scheme#string-ci>? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11662,a[2]=t352,a[3]=((C_word)li317),tmp=(C_word)a,a+=4,tmp));
t357=C_mutate((C_word*)lf[408]+1 /* (set! scheme#string-ci<=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11686,a[2]=t352,a[3]=((C_word)li319),tmp=(C_word)a,a+=4,tmp));
t358=C_mutate((C_word*)lf[410]+1 /* (set! scheme#string-ci>=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11707,a[2]=t352,a[3]=((C_word)li321),tmp=(C_word)a,a+=4,tmp));
t359=C_mutate((C_word*)lf[412]+1 /* (set! ##sys#string-append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11728,a[2]=((C_word)li322),tmp=(C_word)a,a+=3,tmp));
t360=C_mutate((C_word*)lf[413]+1 /* (set! scheme#string-append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11744,a[2]=((C_word)li324),tmp=(C_word)a,a+=3,tmp));
t361=C_mutate((C_word*)lf[415]+1 /* (set! scheme#string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11783,a[2]=((C_word)li325),tmp=(C_word)a,a+=3,tmp));
t362=C_mutate((C_word*)lf[416]+1 /* (set! ##sys#fragments->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11789,a[2]=((C_word)li327),tmp=(C_word)a,a+=3,tmp));
t363=C_mutate((C_word*)lf[417]+1 /* (set! chicken.base#chop ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11824,a[2]=((C_word)li330),tmp=(C_word)a,a+=3,tmp));
t364=C_a_i_provide(&a,1,lf[420]);
t365=C_mutate((C_word*)lf[421]+1 /* (set! chicken.flonum#maximum-flonum ...) */,C_flonum(&a,DBL_MAX));
t366=C_mutate((C_word*)lf[422]+1 /* (set! chicken.flonum#minimum-flonum ...) */,C_flonum(&a,DBL_MIN));
t367=C_set_block_item(lf[423] /* chicken.flonum#flonum-radix */,0,C_fix((C_word)FLT_RADIX));
t368=C_mutate((C_word*)lf[424]+1 /* (set! chicken.flonum#flonum-epsilon ...) */,C_flonum(&a,DBL_EPSILON));
t369=C_set_block_item(lf[425] /* chicken.flonum#flonum-precision */,0,C_fix((C_word)DBL_MANT_DIG));
t370=C_set_block_item(lf[426] /* chicken.flonum#flonum-decimal-precision */,0,C_fix((C_word)DBL_DIG));
t371=C_set_block_item(lf[427] /* chicken.flonum#flonum-maximum-exponent */,0,C_fix((C_word)DBL_MAX_EXP));
t372=C_set_block_item(lf[428] /* chicken.flonum#flonum-minimum-exponent */,0,C_fix((C_word)DBL_MIN_EXP));
t373=C_set_block_item(lf[429] /* chicken.flonum#flonum-maximum-decimal-exponent */,0,C_fix((C_word)DBL_MAX_10_EXP));
t374=C_set_block_item(lf[430] /* chicken.flonum#flonum-minimum-decimal-exponent */,0,C_fix((C_word)DBL_MIN_10_EXP));
t375=C_mutate((C_word*)lf[431]+1 /* (set! chicken.flonum#fp+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11919,a[2]=((C_word)li331),tmp=(C_word)a,a+=3,tmp));
t376=C_mutate((C_word*)lf[433]+1 /* (set! chicken.flonum#fp- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11943,a[2]=((C_word)li332),tmp=(C_word)a,a+=3,tmp));
t377=C_mutate((C_word*)lf[435]+1 /* (set! chicken.flonum#fp* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11967,a[2]=((C_word)li333),tmp=(C_word)a,a+=3,tmp));
t378=C_mutate((C_word*)lf[437]+1 /* (set! chicken.flonum#fp/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11991,a[2]=((C_word)li334),tmp=(C_word)a,a+=3,tmp));
t379=C_mutate((C_word*)lf[439]+1 /* (set! chicken.flonum#fpgcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12015,a[2]=((C_word)li335),tmp=(C_word)a,a+=3,tmp));
t380=C_mutate((C_word*)lf[441]+1 /* (set! chicken.flonum#fp/? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12039,a[2]=((C_word)li336),tmp=(C_word)a,a+=3,tmp));
t381=C_mutate((C_word*)lf[443]+1 /* (set! chicken.flonum#fp= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12063,a[2]=((C_word)li337),tmp=(C_word)a,a+=3,tmp));
t382=C_mutate((C_word*)lf[445]+1 /* (set! chicken.flonum#fp> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12087,a[2]=((C_word)li338),tmp=(C_word)a,a+=3,tmp));
t383=C_mutate((C_word*)lf[447]+1 /* (set! chicken.flonum#fp< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12111,a[2]=((C_word)li339),tmp=(C_word)a,a+=3,tmp));
t384=C_mutate((C_word*)lf[449]+1 /* (set! chicken.flonum#fp>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12135,a[2]=((C_word)li340),tmp=(C_word)a,a+=3,tmp));
t385=C_mutate((C_word*)lf[451]+1 /* (set! chicken.flonum#fp<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12159,a[2]=((C_word)li341),tmp=(C_word)a,a+=3,tmp));
t386=C_mutate((C_word*)lf[453]+1 /* (set! chicken.flonum#fpneg ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12183,a[2]=((C_word)li342),tmp=(C_word)a,a+=3,tmp));
t387=C_mutate((C_word*)lf[455]+1 /* (set! chicken.flonum#fpmax ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12201,a[2]=((C_word)li343),tmp=(C_word)a,a+=3,tmp));
t388=C_mutate((C_word*)lf[457]+1 /* (set! chicken.flonum#fpmin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12225,a[2]=((C_word)li344),tmp=(C_word)a,a+=3,tmp));
t389=C_mutate((C_word*)lf[459]+1 /* (set! chicken.flonum#fpfloor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12249,a[2]=((C_word)li345),tmp=(C_word)a,a+=3,tmp));
t390=C_mutate((C_word*)lf[461]+1 /* (set! chicken.flonum#fptruncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12267,a[2]=((C_word)li346),tmp=(C_word)a,a+=3,tmp));
t391=C_mutate((C_word*)lf[463]+1 /* (set! chicken.flonum#fpround ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12285,a[2]=((C_word)li347),tmp=(C_word)a,a+=3,tmp));
t392=C_mutate((C_word*)lf[465]+1 /* (set! chicken.flonum#fpceiling ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12303,a[2]=((C_word)li348),tmp=(C_word)a,a+=3,tmp));
t393=C_mutate((C_word*)lf[467]+1 /* (set! chicken.flonum#fpsin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12321,a[2]=((C_word)li349),tmp=(C_word)a,a+=3,tmp));
t394=C_mutate((C_word*)lf[469]+1 /* (set! chicken.flonum#fpcos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12339,a[2]=((C_word)li350),tmp=(C_word)a,a+=3,tmp));
t395=C_mutate((C_word*)lf[471]+1 /* (set! chicken.flonum#fptan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12357,a[2]=((C_word)li351),tmp=(C_word)a,a+=3,tmp));
t396=C_mutate((C_word*)lf[473]+1 /* (set! chicken.flonum#fpasin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12375,a[2]=((C_word)li352),tmp=(C_word)a,a+=3,tmp));
t397=C_mutate((C_word*)lf[475]+1 /* (set! chicken.flonum#fpacos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12393,a[2]=((C_word)li353),tmp=(C_word)a,a+=3,tmp));
t398=C_mutate((C_word*)lf[477]+1 /* (set! chicken.flonum#fpatan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12411,a[2]=((C_word)li354),tmp=(C_word)a,a+=3,tmp));
t399=C_mutate((C_word*)lf[479]+1 /* (set! chicken.flonum#fpatan2 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12429,a[2]=((C_word)li355),tmp=(C_word)a,a+=3,tmp));
t400=C_mutate((C_word*)lf[481]+1 /* (set! chicken.flonum#fpexp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12453,a[2]=((C_word)li356),tmp=(C_word)a,a+=3,tmp));
t401=C_mutate((C_word*)lf[483]+1 /* (set! chicken.flonum#fpexpt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12471,a[2]=((C_word)li357),tmp=(C_word)a,a+=3,tmp));
t402=C_mutate((C_word*)lf[485]+1 /* (set! chicken.flonum#fplog ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12495,a[2]=((C_word)li358),tmp=(C_word)a,a+=3,tmp));
t403=C_mutate((C_word*)lf[487]+1 /* (set! chicken.flonum#fpsqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12513,a[2]=((C_word)li359),tmp=(C_word)a,a+=3,tmp));
t404=C_mutate((C_word*)lf[489]+1 /* (set! chicken.flonum#fpabs ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12531,a[2]=((C_word)li360),tmp=(C_word)a,a+=3,tmp));
t405=C_mutate((C_word*)lf[491]+1 /* (set! chicken.flonum#fpinteger? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12549,a[2]=((C_word)li361),tmp=(C_word)a,a+=3,tmp));
t406=C_mutate((C_word*)lf[493]+1 /* (set! chicken.flonum#flonum-print-precision ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12567,a[2]=((C_word)li362),tmp=(C_word)a,a+=3,tmp));
t407=C_mutate((C_word*)lf[495]+1 /* (set! ##sys#number? ...) */,*((C_word*)lf[77]+1));
t408=C_mutate((C_word*)lf[496]+1 /* (set! ##sys#integer? ...) */,*((C_word*)lf[81]+1));
t409=C_mutate((C_word*)lf[497]+1 /* (set! ##sys#exact? ...) */,*((C_word*)lf[82]+1));
t410=C_mutate((C_word*)lf[498]+1 /* (set! ##sys#inexact? ...) */,*((C_word*)lf[83]+1));
t411=C_mutate(&lf[499] /* (set! make-complex ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12589,a[2]=((C_word)li363),tmp=(C_word)a,a+=3,tmp));
t412=C_mutate((C_word*)lf[501]+1 /* (set! scheme#make-rectangular ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12625,a[2]=((C_word)li364),tmp=(C_word)a,a+=3,tmp));
t413=C_mutate((C_word*)lf[503]+1 /* (set! scheme#make-polar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12637,a[2]=((C_word)li365),tmp=(C_word)a,a+=3,tmp));
t414=C_mutate((C_word*)lf[505]+1 /* (set! scheme#real-part ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12658,a[2]=((C_word)li366),tmp=(C_word)a,a+=3,tmp));
t415=C_mutate((C_word*)lf[507]+1 /* (set! scheme#imag-part ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12681,a[2]=((C_word)li367),tmp=(C_word)a,a+=3,tmp));
t416=C_mutate((C_word*)lf[509]+1 /* (set! scheme#angle ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12707,a[2]=((C_word)li368),tmp=(C_word)a,a+=3,tmp));
t417=C_mutate((C_word*)lf[511]+1 /* (set! scheme#magnitude ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12723,a[2]=((C_word)li369),tmp=(C_word)a,a+=3,tmp));
t418=C_mutate(&lf[514] /* (set! ratnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12762,a[2]=((C_word)li370),tmp=(C_word)a,a+=3,tmp));
t419=C_mutate((C_word*)lf[515]+1 /* (set! scheme#numerator ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12808,a[2]=((C_word)li371),tmp=(C_word)a,a+=3,tmp));
t420=C_mutate((C_word*)lf[520]+1 /* (set! scheme#denominator ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12854,a[2]=((C_word)li372),tmp=(C_word)a,a+=3,tmp));
t421=C_mutate((C_word*)lf[524]+1 /* (set! ##sys#extended-signum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12900,a[2]=((C_word)li373),tmp=(C_word)a,a+=3,tmp));
t422=C_mutate((C_word*)lf[518]+1 /* (set! scheme#inexact->exact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13020,a[2]=((C_word)li376),tmp=(C_word)a,a+=3,tmp));
t423=C_mutate((C_word*)lf[532]+1 /* (set! ##sys#exact->inexact ...) */,*((C_word*)lf[62]+1));
t424=C_mutate((C_word*)lf[533]+1 /* (set! ##sys#inexact->exact ...) */,*((C_word*)lf[518]+1));
t425=C_a_i_provide(&a,1,lf[534]);
t426=C_mutate((C_word*)lf[535]+1 /* (set! chicken.bitwise#bitwise-and ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_and,a[2]=((C_word)li377),tmp=(C_word)a,a+=3,tmp));
t427=C_mutate((C_word*)lf[536]+1 /* (set! chicken.bitwise#bitwise-ior ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_ior,a[2]=((C_word)li378),tmp=(C_word)a,a+=3,tmp));
t428=C_mutate((C_word*)lf[537]+1 /* (set! chicken.bitwise#bitwise-xor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_xor,a[2]=((C_word)li379),tmp=(C_word)a,a+=3,tmp));
t429=C_mutate((C_word*)lf[538]+1 /* (set! chicken.bitwise#bitwise-not ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13086,a[2]=((C_word)li380),tmp=(C_word)a,a+=3,tmp));
t430=C_mutate((C_word*)lf[539]+1 /* (set! chicken.bitwise#bit->boolean ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13089,a[2]=((C_word)li381),tmp=(C_word)a,a+=3,tmp));
t431=C_mutate((C_word*)lf[540]+1 /* (set! chicken.bitwise#integer-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13092,a[2]=((C_word)li382),tmp=(C_word)a,a+=3,tmp));
t432=C_mutate((C_word*)lf[541]+1 /* (set! chicken.bitwise#arithmetic-shift ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13095,a[2]=((C_word)li383),tmp=(C_word)a,a+=3,tmp));
t433=C_mutate((C_word*)lf[542]+1 /* (set! scheme#/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13098,a[2]=((C_word)li385),tmp=(C_word)a,a+=3,tmp));
t434=C_mutate((C_word*)lf[526]+1 /* (set! ##sys#/-2 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13149,a[2]=((C_word)li386),tmp=(C_word)a,a+=3,tmp));
t435=C_mutate((C_word*)lf[545]+1 /* (set! scheme#floor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13397,a[2]=((C_word)li387),tmp=(C_word)a,a+=3,tmp));
t436=C_mutate((C_word*)lf[547]+1 /* (set! scheme#ceiling ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13438,a[2]=((C_word)li388),tmp=(C_word)a,a+=3,tmp));
t437=C_mutate((C_word*)lf[549]+1 /* (set! scheme#truncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13479,a[2]=((C_word)li389),tmp=(C_word)a,a+=3,tmp));
t438=C_mutate((C_word*)lf[551]+1 /* (set! scheme#round ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13513,a[2]=((C_word)li390),tmp=(C_word)a,a+=3,tmp));
t439=C_mutate(&lf[553] /* (set! find-ratio-between ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13553,a[2]=((C_word)li392),tmp=(C_word)a,a+=3,tmp));
t440=C_mutate((C_word*)lf[555]+1 /* (set! scheme#rationalize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13689,a[2]=((C_word)li393),tmp=(C_word)a,a+=3,tmp));
t441=C_mutate((C_word*)lf[556]+1 /* (set! scheme#max ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13714,a[2]=((C_word)li395),tmp=(C_word)a,a+=3,tmp));
t442=C_mutate((C_word*)lf[558]+1 /* (set! scheme#min ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13757,a[2]=((C_word)li397),tmp=(C_word)a,a+=3,tmp));
t443=C_mutate((C_word*)lf[560]+1 /* (set! scheme#exp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13800,a[2]=((C_word)li398),tmp=(C_word)a,a+=3,tmp));
t444=C_mutate((C_word*)lf[562]+1 /* (set! ##sys#log-1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13842,a[2]=((C_word)li399),tmp=(C_word)a,a+=3,tmp));
t445=C_mutate((C_word*)lf[566]+1 /* (set! scheme#log ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13885,a[2]=((C_word)li400),tmp=(C_word)a,a+=3,tmp));
t446=C_mutate((C_word*)lf[567]+1 /* (set! scheme#sin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13914,a[2]=((C_word)li401),tmp=(C_word)a,a+=3,tmp));
t447=C_mutate((C_word*)lf[571]+1 /* (set! scheme#cos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13944,a[2]=((C_word)li402),tmp=(C_word)a,a+=3,tmp));
t448=C_mutate((C_word*)lf[573]+1 /* (set! scheme#tan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13974,a[2]=((C_word)li403),tmp=(C_word)a,a+=3,tmp));
t449=C_mutate((C_word*)lf[575]+1 /* (set! scheme#asin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13999,a[2]=((C_word)li404),tmp=(C_word)a,a+=3,tmp));
t450=C_a_i_asin(&a,1,C_fix(1));
t451=C_mutate((C_word*)lf[579]+1 /* (set! scheme#acos ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14052,a[2]=t450,a[3]=((C_word)li405),tmp=(C_word)a,a+=4,tmp));
t452=C_mutate((C_word*)lf[581]+1 /* (set! scheme#atan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14092,a[2]=((C_word)li406),tmp=(C_word)a,a+=3,tmp));
t453=C_mutate((C_word*)lf[583]+1 /* (set! ##sys#exact-integer-sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14150,a[2]=((C_word)li412),tmp=(C_word)a,a+=3,tmp));
t454=C_mutate((C_word*)lf[585]+1 /* (set! chicken.base#exact-integer-sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14325,a[2]=((C_word)li413),tmp=(C_word)a,a+=3,tmp));
t455=C_mutate((C_word*)lf[578]+1 /* (set! ##sys#sqrt/loc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14334,a[2]=((C_word)li420),tmp=(C_word)a,a+=3,tmp));
t456=C_mutate((C_word*)lf[512]+1 /* (set! scheme#sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14485,a[2]=((C_word)li421),tmp=(C_word)a,a+=3,tmp));
t457=C_mutate((C_word*)lf[588]+1 /* (set! chicken.base#exact-integer-nth-root ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14491,a[2]=((C_word)li422),tmp=(C_word)a,a+=3,tmp));
t458=C_mutate((C_word*)lf[589]+1 /* (set! ##sys#exact-integer-nth-root/loc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14503,a[2]=((C_word)li424),tmp=(C_word)a,a+=3,tmp));
t459=C_mutate((C_word*)lf[528]+1 /* (set! ##sys#integer-power ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14607,a[2]=((C_word)li426),tmp=(C_word)a,a+=3,tmp));
t460=C_mutate((C_word*)lf[531]+1 /* (set! scheme#expt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14670,a[2]=((C_word)li431),tmp=(C_word)a,a+=3,tmp));
t461=C_mutate(&lf[543] /* (set! ##sys#internal-gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14930,a[2]=((C_word)li432),tmp=(C_word)a,a+=3,tmp));
t462=C_mutate((C_word*)lf[593]+1 /* (set! ##sys#gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15000,a[2]=((C_word)li433),tmp=(C_word)a,a+=3,tmp));
t463=C_mutate((C_word*)lf[595]+1 /* (set! scheme#gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15006,a[2]=((C_word)li435),tmp=(C_word)a,a+=3,tmp));
t464=C_mutate((C_word*)lf[596]+1 /* (set! ##sys#lcm ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15057,a[2]=((C_word)li436),tmp=(C_word)a,a+=3,tmp));
t465=C_mutate((C_word*)lf[598]+1 /* (set! scheme#lcm ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15068,a[2]=((C_word)li438),tmp=(C_word)a,a+=3,tmp));
t466=C_mutate((C_word*)lf[599]+1 /* (set! ##sys#integer->string/recursive ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15123,a[2]=((C_word)li442),tmp=(C_word)a,a+=3,tmp));
t467=C_mutate((C_word*)lf[601]+1 /* (set! ##sys#extended-number->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15176,a[2]=((C_word)li443),tmp=(C_word)a,a+=3,tmp));
t468=C_mutate(&lf[607] /* (set! round-quotient ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15345,a[2]=((C_word)li444),tmp=(C_word)a,a+=3,tmp));
t469=C_mutate(&lf[608] /* (set! ##sys#string->compnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15383,a[2]=((C_word)li455),tmp=(C_word)a,a+=3,tmp));
t470=C_mutate((C_word*)lf[617]+1 /* (set! scheme#string->number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_16784,a[2]=((C_word)li457),tmp=(C_word)a,a+=3,tmp));
t471=C_mutate((C_word*)lf[619]+1 /* (set! ##sys#string->number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17039,a[2]=((C_word)li458),tmp=(C_word)a,a+=3,tmp));
t472=C_mutate((C_word*)lf[620]+1 /* (set! ##sys#fixnum->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_fixnum_to_string,a[2]=((C_word)li459),tmp=(C_word)a,a+=3,tmp));
t473=C_mutate((C_word*)lf[621]+1 /* (set! ##sys#flonum->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_flonum_to_string,a[2]=((C_word)li460),tmp=(C_word)a,a+=3,tmp));
t474=C_mutate((C_word*)lf[622]+1 /* (set! ##sys#integer->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_integer_to_string,a[2]=((C_word)li461),tmp=(C_word)a,a+=3,tmp));
t475=C_mutate((C_word*)lf[600]+1 /* (set! ##sys#number->string ...) */,*((C_word*)lf[87]+1));
t476=C_mutate((C_word*)lf[623]+1 /* (set! chicken.base#equal=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17085,a[2]=((C_word)li465),tmp=(C_word)a,a+=3,tmp));
t477=C_mutate((C_word*)lf[624]+1 /* (set! ##sys#snafu ...) */,lf[625]);
t478=C_mutate((C_word*)lf[626]+1 /* (set! ##sys#intern-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_string_to_symbol,a[2]=((C_word)li466),tmp=(C_word)a,a+=3,tmp));
t479=C_mutate((C_word*)lf[627]+1 /* (set! ##sys#interned-symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17255,a[2]=((C_word)li467),tmp=(C_word)a,a+=3,tmp));
t480=C_mutate((C_word*)lf[628]+1 /* (set! ##sys#string->symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17258,a[2]=((C_word)li468),tmp=(C_word)a,a+=3,tmp));
t481=*((C_word*)lf[391]+1);
t482=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17267,a[2]=((C_word)li469),tmp=(C_word)a,a+=3,tmp);
t483=C_mutate((C_word*)lf[629]+1 /* (set! ##sys#symbol->string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17294,a[2]=t482,a[3]=((C_word)li470),tmp=(C_word)a,a+=4,tmp));
t484=C_mutate((C_word*)lf[630]+1 /* (set! ##sys#symbol->qualified-string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17312,a[2]=t482,a[3]=((C_word)li471),tmp=(C_word)a,a+=4,tmp));
t485=C_mutate((C_word*)lf[633]+1 /* (set! ##sys#qualified-symbol-prefix ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17338,a[2]=t482,a[3]=((C_word)li472),tmp=(C_word)a,a+=4,tmp));
t486=C_mutate((C_word*)lf[634]+1 /* (set! ##sys#qualified-symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17356,a[2]=((C_word)li473),tmp=(C_word)a,a+=3,tmp));
t487=C_mutate((C_word*)lf[635]+1 /* (set! ##sys#string->qualified-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17379,a[2]=((C_word)li474),tmp=(C_word)a,a+=3,tmp));
t488=C_mutate((C_word*)lf[636]+1 /* (set! scheme#symbol->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17392,a[2]=((C_word)li475),tmp=(C_word)a,a+=3,tmp));
t489=*((C_word*)lf[391]+1);
t490=C_mutate((C_word*)lf[638]+1 /* (set! scheme#string->symbol ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17405,a[2]=t489,a[3]=((C_word)li476),tmp=(C_word)a,a+=4,tmp));
t491=*((C_word*)lf[391]+1);
t492=C_mutate((C_word*)lf[640]+1 /* (set! chicken.base#string->uninterned-symbol ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17418,a[2]=t491,a[3]=((C_word)li478),tmp=(C_word)a,a+=4,tmp));
t493=C_fix(-1);
t494=(*a=C_VECTOR_TYPE|1,a[1]=t493,tmp=(C_word)a,a+=2,tmp);
t495=C_mutate((C_word*)lf[642]+1 /* (set! chicken.base#gensym ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17431,a[2]=t494,a[3]=((C_word)li480),tmp=(C_word)a,a+=4,tmp));
t496=*((C_word*)lf[413]+1);
t497=C_mutate((C_word*)lf[646]+1 /* (set! chicken.base#symbol-append ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17485,a[2]=t496,a[3]=((C_word)li482),tmp=(C_word)a,a+=4,tmp));
t498=C_a_i_provide(&a,1,lf[648]);
t499=C_mutate((C_word*)lf[649]+1 /* (set! chicken.keyword#keyword? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17544,a[2]=((C_word)li483),tmp=(C_word)a,a+=3,tmp));
t500=C_mutate((C_word*)lf[650]+1 /* (set! chicken.keyword#string->keyword ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17553,a[2]=((C_word)li484),tmp=(C_word)a,a+=3,tmp));
t501=*((C_word*)lf[649]+1);
t502=C_mutate((C_word*)lf[652]+1 /* (set! chicken.keyword#keyword->string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17574,a[2]=t501,a[3]=((C_word)li485),tmp=(C_word)a,a+=4,tmp));
t503=C_a_i_list1(&a,1,lf[655]);
t504=t503;
t505=C_mutate((C_word*)lf[656]+1 /* (set! chicken.keyword#get-keyword ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17592,a[2]=t504,a[3]=((C_word)li486),tmp=(C_word)a,a+=4,tmp));
t506=C_mutate((C_word*)lf[658]+1 /* (set! ##sys#get-keyword ...) */,*((C_word*)lf[656]+1));
t507=C_a_i_provide(&a,1,lf[659]);
t508=C_mutate((C_word*)lf[660]+1 /* (set! ##sys#make-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17620,a[2]=((C_word)li487),tmp=(C_word)a,a+=3,tmp));
t509=C_mutate((C_word*)lf[661]+1 /* (set! chicken.blob#make-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17626,a[2]=((C_word)li488),tmp=(C_word)a,a+=3,tmp));
t510=C_mutate((C_word*)lf[663]+1 /* (set! chicken.blob#blob? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17635,a[2]=((C_word)li489),tmp=(C_word)a,a+=3,tmp));
t511=C_mutate((C_word*)lf[664]+1 /* (set! chicken.blob#blob-size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17641,a[2]=((C_word)li490),tmp=(C_word)a,a+=3,tmp));
t512=C_mutate((C_word*)lf[666]+1 /* (set! chicken.blob#string->blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17650,a[2]=((C_word)li491),tmp=(C_word)a,a+=3,tmp));
t513=C_mutate((C_word*)lf[668]+1 /* (set! chicken.blob#blob->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17662,a[2]=((C_word)li492),tmp=(C_word)a,a+=3,tmp));
t514=C_mutate((C_word*)lf[670]+1 /* (set! chicken.blob#blob=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17674,a[2]=((C_word)li493),tmp=(C_word)a,a+=3,tmp));
t515=C_mutate((C_word*)lf[93]+1 /* (set! scheme#make-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17697,a[2]=((C_word)li494),tmp=(C_word)a,a+=3,tmp));
t516=C_mutate((C_word*)lf[674]+1 /* (set! ##sys#make-vector ...) */,*((C_word*)lf[93]+1));
t517=C_mutate((C_word*)lf[94]+1 /* (set! scheme#list->vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17726,a[2]=((C_word)li496),tmp=(C_word)a,a+=3,tmp));
t518=C_mutate((C_word*)lf[95]+1 /* (set! scheme#vector->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17778,a[2]=((C_word)li498),tmp=(C_word)a,a+=3,tmp));
t519=C_mutate((C_word*)lf[96]+1 /* (set! scheme#vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17811,a[2]=((C_word)li499),tmp=(C_word)a,a+=3,tmp));
t520=C_mutate((C_word*)lf[97]+1 /* (set! scheme#vector-fill! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17817,a[2]=((C_word)li501),tmp=(C_word)a,a+=3,tmp));
t521=C_mutate((C_word*)lf[203]+1 /* (set! chicken.base#vector-copy! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17845,a[2]=((C_word)li503),tmp=(C_word)a,a+=3,tmp));
t522=C_mutate((C_word*)lf[204]+1 /* (set! chicken.base#subvector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17914,a[2]=((C_word)li505),tmp=(C_word)a,a+=3,tmp));
t523=C_mutate((C_word*)lf[205]+1 /* (set! chicken.base#vector-resize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17985,a[2]=((C_word)li506),tmp=(C_word)a,a+=3,tmp));
t524=C_mutate(&lf[682] /* (set! ##sys#vector-resize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18006,a[2]=((C_word)li508),tmp=(C_word)a,a+=3,tmp));
t525=C_mutate((C_word*)lf[113]+1 /* (set! scheme#char-ci=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18045,a[2]=((C_word)li509),tmp=(C_word)a,a+=3,tmp));
t526=C_mutate((C_word*)lf[114]+1 /* (set! scheme#char-ci>? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18059,a[2]=((C_word)li510),tmp=(C_word)a,a+=3,tmp));
t527=C_mutate((C_word*)lf[115]+1 /* (set! scheme#char-ci<? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18070,a[2]=((C_word)li511),tmp=(C_word)a,a+=3,tmp));
t528=C_mutate((C_word*)lf[116]+1 /* (set! scheme#char-ci>=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18081,a[2]=((C_word)li512),tmp=(C_word)a,a+=3,tmp));
t529=C_mutate((C_word*)lf[117]+1 /* (set! scheme#char-ci<=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18092,a[2]=((C_word)li513),tmp=(C_word)a,a+=3,tmp));
t530=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18105,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2966: scheme#make-vector */
t531=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t531;
av2[1]=t530;
av2[2]=C_fix(37);
av2[3]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t531+1)))(4,av2);}}

/* scheme#not in k8506 */
static void C_ccall f_8510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8510,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#boolean? in k8506 */
static void C_ccall f_8513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8513,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_booleanp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#eq? in k8506 */
static void C_ccall f_8516(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8516,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#eqv? in k8506 */
static void C_ccall f_8519(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8519,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_eqvp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#equal? in k8506 */
static void C_ccall f_8522(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8522,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#pair? in k8506 */
static void C_ccall f_8525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8525,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_pairp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cons in k8506 */
static void C_ccall f_8528(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_8528,4,av);}
a=C_alloc(3);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f_8531 in k8506 */
static void C_ccall f_8531(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8531,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_8534 in k8506 */
static void C_ccall f_8534(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8534,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#set-car! in k8506 */
static void C_ccall f_8537(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8537,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_car(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#set-cdr! in k8506 */
static void C_ccall f_8540(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8540,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_cdr(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f_8543 in k8506 */
static void C_ccall f_8543(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8543,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cadr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_8546 in k8506 */
static void C_ccall f_8546(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8546,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_caddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cadddr in k8506 */
static void C_ccall f_8549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8549,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cadddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cddddr in k8506 */
static void C_ccall f_8552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8552,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cddddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_8555 in k8506 */
static void C_ccall f_8555(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8555,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_caar(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_8558 in k8506 */
static void C_ccall f_8558(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8558,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdar(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_8561 in k8506 */
static void C_ccall f_8561(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8561,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_8564 in k8506 */
static void C_ccall f_8564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8564,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* f_8578 in k8506 */
static void C_ccall f_8578(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8578,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f_8585 in k8506 */
static void C_ccall f_8585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8585,3,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cadr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f_8592 in k8506 */
static void C_ccall f_8592(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8592,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* f_8606 in k8506 */
static void C_ccall f_8606(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8606,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f_8613 in k8506 */
static void C_ccall f_8613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8613,3,av);}
t3=C_i_car(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* f_8627 in k8506 */
static void C_ccall f_8627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8627,3,av);}
t3=C_i_cdr(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caaaar in k8506 */
static void C_ccall f_8641(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8641,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_car(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_car(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#caaadr in k8506 */
static void C_ccall f_8659(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8659,3,av);}
t3=C_i_cadr(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caadar in k8506 */
static void C_ccall f_8670(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8670,3,av);}
t3=C_i_car(t2);
t4=C_i_cadr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caaddr in k8506 */
static void C_ccall f_8681(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8681,3,av);}
t3=C_i_caddr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadaar in k8506 */
static void C_ccall f_8688(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8688,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cadr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cadadr in k8506 */
static void C_ccall f_8699(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8699,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cadr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#caddar in k8506 */
static void C_ccall f_8703(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8703,3,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_caddr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cdaaar in k8506 */
static void C_ccall f_8710(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8710,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_car(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#cdaadr in k8506 */
static void C_ccall f_8728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8728,3,av);}
t3=C_i_cadr(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdadar in k8506 */
static void C_ccall f_8739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8739,3,av);}
t3=C_i_car(t2);
t4=C_i_cadr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdaddr in k8506 */
static void C_ccall f_8750(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8750,3,av);}
t3=C_i_caddr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cddaar in k8506 */
static void C_ccall f_8757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8757,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_cdr(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#cddadr in k8506 */
static void C_ccall f_8775(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8775,3,av);}
t3=C_i_cadr(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdddar in k8506 */
static void C_ccall f_8786(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8786,3,av);}
t3=C_i_car(t2);
t4=C_i_cdr(t3);
t5=C_i_cdr(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#null? in k8506 */
static void C_ccall f_8804(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8804,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eqp(t2,C_SCHEME_END_OF_LIST);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#list in k8506 */
static void C_ccall f_8810(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_8810,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#length in k8506 */
static void C_ccall f_8813(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8813,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#list-tail in k8506 */
static void C_ccall f_8816(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8816,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_list_tail(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f_8819 in k8506 */
static void C_ccall f_8819(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8819,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_list_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#reverse in k8506 */
static void C_ccall f_8822(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_8822,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_8828,a[2]=t4,a[3]=t2,a[4]=((C_word)li44),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_8828(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in scheme#reverse in k8506 */
static void C_fcall f_8828(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_8828,4,t0,t1,t2,t3);}
a=C_alloc(3);
t4=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t5=C_slot(t2,C_fix(1));
t6=C_slot(t2,C_fix(0));
t7=C_a_i_cons(&a,2,t6,t3);
/* library.scm:313: loop */
t9=t1;
t10=t5;
t11=t7;
t1=t9;
t2=t10;
t3=t11;
goto loop;}
else{
/* library.scm:314: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[48];
tp(4,av2);}}}}

/* scheme#memq in k8506 */
static void C_ccall f_8861(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8861,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_memq(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#memv in k8506 */
static void C_ccall f_8864(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8864,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_memv(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#member in k8506 */
static void C_ccall f_8867(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8867,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_member(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assq in k8506 */
static void C_ccall f_8870(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8870,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assq(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assv in k8506 */
static void C_ccall f_8873(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8873,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assv(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assoc in k8506 */
static void C_ccall f_8876(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8876,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assoc(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#list? in k8506 */
static void C_ccall f_8879(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8879,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_listp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string? in k8506 */
static void C_ccall f_8882(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8882,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_stringp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string-length in k8506 */
static void C_ccall f_8885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8885,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_string_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_8888 in k8506 */
static void C_ccall f_8888(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8888,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-set! in k8506 */
static void C_ccall f_8891(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8891,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_string_set(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#string=? in k8506 */
static void C_ccall f_8894(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8894,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-ci=? in k8506 */
static void C_ccall f_8897(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8897,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_ci_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#exact->inexact in k8506 */
static void C_ccall f_8901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,1)))){
C_save_and_reclaim((void *)f_8901,3,av);}
a=C_alloc(12);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_exact_to_inexact(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#abs in k8506 */
static void C_ccall f_8904(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_8904,3,av);}
a=C_alloc(7);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_abs(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#quotient in k8506 */
static void C_ccall f_8910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8910,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_quotient(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#remainder in k8506 */
static void C_ccall f_8913(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8913,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_remainder(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#modulo in k8506 */
static void C_ccall f_8916(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8916,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_modulo(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#even? in k8506 */
static void C_ccall f_8919(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8919,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_evenp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#odd? in k8506 */
static void C_ccall f_8922(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8922,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_oddp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#number? in k8506 */
static void C_ccall f_8930(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8930,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_numberp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#real? in k8506 */
static void C_ccall f_8934(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8934,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_realp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#rational? in k8506 */
static void C_ccall f_8937(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8937,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_rationalp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#integer? in k8506 */
static void C_ccall f_8940(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8940,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_integerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#exact? in k8506 */
static void C_ccall f_8943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8943,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_exactp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#inexact? in k8506 */
static void C_ccall f_8946(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8946,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_inexactp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#zero? in k8506 */
static void C_ccall f_8949(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8949,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_zerop(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#positive? in k8506 */
static void C_ccall f_8952(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8952,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_positivep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#negative? in k8506 */
static void C_ccall f_8955(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8955,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_negativep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#symbol? in k8506 */
static void C_ccall f_8959(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8959,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_symbolp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector? in k8506 */
static void C_ccall f_8962(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8962,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_vectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector-length in k8506 */
static void C_ccall f_8965(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8965,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_vector_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_8968 in k8506 */
static void C_ccall f_8968(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8968,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_vector_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#vector-set! in k8506 */
static void C_ccall f_8971(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8971,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_vector_set(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#char? in k8506 */
static void C_ccall f_8979(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8979,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_charp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char->integer in k8506 */
static void C_ccall f_8982(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8982,3,av);}
t3=C_i_check_char_2(t2,lf[100]);
t4=C_character_code(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_fix(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#integer->char in k8506 */
static void C_ccall f_8989(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_8989,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_8993,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:454: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[103];
tp(4,av2);}}

/* k8991 in scheme#integer->char in k8506 */
static void C_ccall f_8993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8993,2,av);}
t2=C_unfix(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_make_character(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char=? in k8506 */
static void C_ccall f_8996(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8996,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char>? in k8506 */
static void C_ccall f_8999(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8999,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char<? in k8506 */
static void C_ccall f_9002(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9002,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char>=? in k8506 */
static void C_ccall f_9005(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9005,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char<=? in k8506 */
static void C_ccall f_9008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9008,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-upcase in k8506 */
static void C_ccall f_9011(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9011,3,av);}
t3=C_i_check_char_2(t2,lf[110]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_upcase(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-downcase in k8506 */
static void C_ccall f_9017(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9017,3,av);}
t3=C_i_check_char_2(t2,lf[112]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_downcase(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-upper-case? in k8506 */
static void C_ccall f_9028(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9028,3,av);}
t3=C_i_check_char_2(t2,lf[119]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_upper_casep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-lower-case? in k8506 */
static void C_ccall f_9034(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9034,3,av);}
t3=C_i_check_char_2(t2,lf[121]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_lower_casep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-numeric? in k8506 */
static void C_ccall f_9040(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9040,3,av);}
t3=C_i_check_char_2(t2,lf[123]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_numericp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-whitespace? in k8506 */
static void C_ccall f_9046(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9046,3,av);}
t3=C_i_check_char_2(t2,lf[125]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_whitespacep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-alphabetic? in k8506 */
static void C_ccall f_9052(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9052,3,av);}
t3=C_i_check_char_2(t2,lf[127]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_alphabeticp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#procedure? in k8506 */
static void C_ccall f_9058(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9058,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_closurep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#input-port? in k8506 */
static void C_ccall f_9065(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9065,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_input_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scheme#output-port? in k8506 */
static void C_ccall f_9071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9071,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_output_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scheme#eof-object? in k8506 */
static void C_ccall f_9087(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9087,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eofp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#eval in k8506 */
static void C_ccall f_9098(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9098,3,av);}
/* library.scm:547: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[156];
av2[3]=lf[157];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* scheme#interaction-environment in k8506 */
static void C_ccall f_9104(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9104,2,av);}
/* library.scm:550: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[159];
av2[3]=lf[160];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* scheme#scheme-report-environment in k8506 */
static void C_ccall f_9110(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9110,3,av);}
/* library.scm:553: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[162];
av2[3]=lf[163];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* scheme#null-environment in k8506 */
static void C_ccall f_9116(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9116,2,av);}
/* library.scm:556: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[165];
av2[3]=lf[166];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* scheme#load in k8506 */
static void C_ccall f_9122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9122,3,av);}
/* library.scm:559: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[168];
av2[3]=lf[169];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* chicken.base#fixnum? in k8506 */
static void C_ccall f_9131(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9131,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#flonum? in k8506 */
static void C_ccall f_9134(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9134,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_flonump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#bignum? in k8506 */
static void C_ccall f_9137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9137,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_bignump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#ratnum? in k8506 */
static void C_ccall f_9140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9140,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_ratnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#cplxnum? in k8506 */
static void C_ccall f_9143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9143,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cplxnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#exact-integer? in k8506 */
static void C_ccall f_9146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9146,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_exact_integerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#quotient&modulo in k8506 */
static void C_ccall f_9150(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_9150,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9156,a[2]=t2,a[3]=t3,a[4]=((C_word)li123),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9162,a[2]=t3,a[3]=((C_word)li124),tmp=(C_word)a,a+=4,tmp);
/* library.scm:619: scheme#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}

/* a9155 in chicken.base#quotient&modulo in k8506 */
static void C_ccall f_9156(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9156,2,av);}
/* library.scm:619: quotient&remainder */
t2=*((C_word*)lf[180]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* a9161 in chicken.base#quotient&modulo in k8506 */
static void C_ccall f_9162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_9162,4,av);}
a=C_alloc(29);
t4=((C_word*)t0)[2];
if(C_truep(C_i_positivep(t4))){
t5=t3;
if(C_truep(C_i_negativep(t5))){
t6=t3;
t7=((C_word*)t0)[2];
t8=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:623: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
C_values(4,av2);}}
else{
/* library.scm:624: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_values(4,av2);}}}
else{
t5=t3;
if(C_truep(C_i_positivep(t5))){
t6=t3;
t7=((C_word*)t0)[2];
t8=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:626: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
C_values(4,av2);}}
else{
/* library.scm:627: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_values(4,av2);}}}}

/* chicken.base#finite? in k8506 */
static void C_ccall f_9195(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9195,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_finitep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#infinite? in k8506 */
static void C_ccall f_9198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9198,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_infinitep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#nan? in k8506 */
static void C_ccall f_9201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9201,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_nanp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#add1 in k8506 */
static void C_ccall f_9209(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_9209,3,av);}
a=C_alloc(29);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_plus(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#sub1 in k8506 */
static void C_ccall f_9214(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_9214,3,av);}
a=C_alloc(29);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_minus(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#error in k8506 */
static void C_ccall f_9220(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_9220,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_pairp(t2))){{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[195];
av2[4]=t2;
C_apply(5,av2);}}
else{
/* library.scm:648: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[195];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}

/* chicken.base#void in k8506 */
static void C_ccall f_9235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9235,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#promise? in k8506 */
static void C_ccall f_9255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9255,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_structurep(t2,lf[215]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-promise in k8506 */
static void C_ccall f_9261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9261,3,av);}
a=C_alloc(3);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_record2(&a,2,lf[215],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#make-promise in k8506 */
static void C_ccall f_9267(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9267,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9274,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:690: promise? */
t4=*((C_word*)lf[214]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k9272 in chicken.base#make-promise in k8506 */
static void C_ccall f_9274(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9274,2,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9279,a[2]=((C_word*)t0)[2],a[3]=((C_word)li136),tmp=(C_word)a,a+=4,tmp);
/* library.scm:691: ##sys#make-promise */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[216]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[216]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
tp(3,av2);}}}

/* a9278 in k9272 in chicken.base#make-promise in k8506 */
static void C_ccall f_9279(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9279,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#foldl in k8506 */
static void C_ccall f_9282(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_9282,5,av);}
a=C_alloc(7);
t5=C_i_check_list_2(t4,lf[219]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9291,a[2]=t7,a[3]=t2,a[4]=((C_word)li138),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_9291(t9,t1,t4,t3);}

/* loop in chicken.base#foldl in k8506 */
static void C_fcall f_9291(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9291,4,t0,t1,t2,t3);}
a=C_alloc(5);
t4=C_i_pairp(t2);
if(C_truep(C_i_not(t4))){
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9309,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
t8=C_slot(t2,C_fix(0));
/* library.scm:700: f */
t9=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t9;
av2[1]=t7;
av2[2]=t3;
av2[3]=t8;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k9307 in loop in chicken.base#foldl in k8506 */
static void C_ccall f_9309(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9309,2,av);}
/* library.scm:700: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9291(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* chicken.base#foldr in k8506 */
static void C_ccall f_9319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_9319,5,av);}
a=C_alloc(8);
t5=C_i_check_list_2(t4,lf[221]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9328,a[2]=t3,a[3]=t2,a[4]=t7,a[5]=((C_word)li140),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_9328(t9,t1,t4);}

/* loop in chicken.base#foldr in k8506 */
static void C_fcall f_9328(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9328,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
t4=((C_word*)t0)[2];
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9346,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t7=C_slot(t2,C_fix(1));
/* library.scm:707: loop */
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* k9344 in loop in chicken.base#foldr in k8506 */
static void C_ccall f_9346(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9346,2,av);}
/* library.scm:707: f */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t1;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* chicken.base#on-exit in k8506 */
static void C_ccall f_9359(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9359,3,av);}
a=C_alloc(3);
t3=C_a_i_cons(&a,2,t2,*((C_word*)lf[224]+1));
t4=C_mutate((C_word*)lf[224]+1 /* (set! chicken.base#cleanup-tasks ...) */,t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#exit in k8506 */
static void C_ccall f_9366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9366,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f34463,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:720: chicken.base#exit-handler */
t4=*((C_word*)lf[223]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9373,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:720: chicken.base#exit-handler */
t6=*((C_word*)lf[223]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k9371 in chicken.base#exit in k8506 */
static void C_ccall f_9373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9373,2,av);}
/* library.scm:719: g670 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* chicken.base#emergency-exit in k8506 */
static void C_ccall f_9384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9384,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f33934,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:723: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=C_fix(0);
av2[3]=lf[228];
tp(4,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9391,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:723: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[228];
tp(4,av2);}}}

/* k9389 in chicken.base#emergency-exit in k8506 */
static void C_ccall f_9391(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9391,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_exit_runtime(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#identity in k8506 */
static void C_ccall f_9403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9403,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#conjoin in k8506 */
static void C_ccall f_9406(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9406,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9408,a[2]=t2,a[3]=((C_word)li147),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9408 in chicken.base#conjoin in k8506 */
static void C_ccall f_9408(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9408,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9414,a[2]=t4,a[3]=t2,a[4]=((C_word)li146),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9414(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9414(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9414,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9430,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:741: g699 */
t6=t4;{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k9428 in loop */
static void C_ccall f_9430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9430,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:742: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_9414(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.base#disjoin in k8506 */
static void C_ccall f_9439(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9439,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9441,a[2]=t2,a[3]=((C_word)li150),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9441 in chicken.base#disjoin in k8506 */
static void C_ccall f_9441(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9441,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9447,a[2]=t4,a[3]=t2,a[4]=((C_word)li149),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9447(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9447(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9447,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(C_i_not(t3))){
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9460,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:748: g711 */
t6=t4;{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k9458 in loop */
static void C_ccall f_9460(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9460,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:749: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_9447(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#constantly in k8506 */
static void C_ccall f_9476(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9476,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=t2;
t4=C_u_i_length(t3);
t5=C_eqp(C_fix(1),t4);
if(C_truep(t5)){
t6=C_i_car(t2);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9487,a[2]=t7,a[3]=((C_word)li152),tmp=(C_word)a,a+=4,tmp);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9489,a[2]=t2,a[3]=((C_word)li153),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* f_9487 in chicken.base#constantly in k8506 */
static void C_ccall f_9487(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9487,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_9489 in chicken.base#constantly in k8506 */
static void C_ccall f_9489(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9489,2,av);}{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=*((C_word*)lf[130]+1);
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}

/* chicken.base#flip in k8506 */
static void C_ccall f_9497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_9497,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9499,a[2]=t2,a[3]=((C_word)li155),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9499 in chicken.base#flip in k8506 */
static void C_ccall f_9499(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9499,4,av);}
/* library.scm:757: proc */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* chicken.base#complement in k8506 */
static void C_ccall f_9505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9505,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9507,a[2]=t2,a[3]=((C_word)li157),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9507 in chicken.base#complement in k8506 */
static void C_ccall f_9507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +3,c,3)))){
C_save_and_reclaim((void*)f_9507,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9515,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
C_apply(4,av2);}}

/* k9513 */
static void C_ccall f_9515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9515,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_not(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#compose in k8506 */
static void C_ccall f_9517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9517,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9520,a[2]=t4,a[3]=((C_word)li161),tmp=(C_word)a,a+=4,tmp));
if(C_truep(C_i_nullp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=*((C_word*)lf[130]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t4)[1];
av2[3]=t2;
C_apply(4,av2);}}}

/* rec in chicken.base#compose in k8506 */
static void C_ccall f_9520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_9520,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9528,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=t2,a[5]=((C_word)li160),tmp=(C_word)a,a+=6,tmp);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* f_9528 in rec in chicken.base#compose in k8506 */
static void C_ccall f_9528(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9528,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9534,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li159),tmp=(C_word)a,a+=6,tmp);
/* library.scm:768: scheme#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[4];
C_call_with_values(4,av2);}}

/* a9533 */
static void C_ccall f_9534(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9534,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9542,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
av2[3]=((C_word*)t0)[4];
C_apply(4,av2);}}

/* k9540 in a9533 */
static void C_ccall f_9542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9542,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
C_apply(4,av2);}}

/* chicken.base#o in k8506 */
static void C_ccall f_9553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9553,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=*((C_word*)lf[233]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9565,a[2]=t4,a[3]=((C_word)li164),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_9565(t6,t1,t2);}}

/* loop in chicken.base#o in k8506 */
static void C_fcall f_9565(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_9565,3,t0,t1,t2);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
t6=t5;
if(C_truep(C_i_nullp(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9579,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word)li163),tmp=(C_word)a,a+=6,tmp);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* f_9579 in loop in chicken.base#o in k8506 */
static void C_ccall f_9579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_9579,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9587,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:783: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_9565(t4,t3,((C_word*)t0)[4]);}

/* k9585 */
static void C_ccall f_9587(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9587,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9590,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:783: g740 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* k9588 in k9585 */
static void C_ccall f_9590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9590,2,av);}
/* library.scm:783: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* chicken.base#list-of? in k8506 */
static void C_ccall f_9592(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9592,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9594,a[2]=t2,a[3]=((C_word)li167),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9594 in chicken.base#list-of? in k8506 */
static void C_ccall f_9594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9594,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9600,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=((C_word)li166),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9600(t6,t1,t2);}

/* loop */
static void C_fcall f_9600(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9600,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9619,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:790: pred */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}}

/* k9617 in loop */
static void C_ccall f_9619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9619,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:790: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_9600(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.base#each in k8506 */
static void C_ccall f_9636(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9636,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9644,a[2]=((C_word)li169),tmp=(C_word)a,a+=3,tmp);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(1));
t4=C_i_nullp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_slot(t2,C_fix(0)):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9658,a[2]=t2,a[3]=((C_word)li171),tmp=(C_word)a,a+=4,tmp));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* f_9644 in chicken.base#each in k8506 */
static void C_ccall f_9644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9644,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[243]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_9658 in chicken.base#each in k8506 */
static void C_ccall f_9658(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_9658,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+7);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9664,a[2]=t2,a[3]=t4,a[4]=((C_word)li170),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9664(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9664(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9664,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=t4;
if(C_truep(C_i_nullp(t5))){{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9683,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);{
C_word av2[4];
av2[0]=0;
av2[1]=t6;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}}

/* k9681 in loop */
static void C_ccall f_9683(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9683,2,av);}
/* library.scm:805: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9664(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* chicken.base#atom? in k8506 */
static void C_ccall f_9692(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9692,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_not_pair_p(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#tail? in k8506 */
static void C_ccall f_9695(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9695,4,av);}
a=C_alloc(4);
t4=C_i_check_list_2(t3,lf[246]);
t5=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9707,a[2]=t2,a[3]=((C_word)li174),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(
  f_9707(t6,t3)
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* loop in chicken.base#tail? in k8506 */
static C_word C_fcall f_9707(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_stack_overflow_check;
loop:{}
if(C_truep(C_eqp(t1,C_SCHEME_END_OF_LIST))){
return(C_SCHEME_FALSE);}
else{
if(C_truep(C_eqp(((C_word*)t0)[2],t1))){
return(C_SCHEME_TRUE);}
else{
t2=C_slot(t1,C_fix(1));
t4=t2;
t1=t4;
goto loop;}}}

/* chicken.base#intersperse in k8506 */
static void C_ccall f_9723(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9723,4,av);}
a=C_alloc(7);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9729,a[2]=t3,a[3]=t5,a[4]=((C_word)li176),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_9729(t7,t1,t2);}

/* loop in chicken.base#intersperse in k8506 */
static void C_fcall f_9729(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9729,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_eqp(t2,C_SCHEME_END_OF_LIST))){
t3=t2;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_cdr(t2);
if(C_truep(C_eqp(t3,C_SCHEME_END_OF_LIST))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9754,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
/* library.scm:828: loop */
t8=t6;
t9=t3;
t1=t8;
t2=t9;
goto loop;}}}

/* k9752 in loop in chicken.base#intersperse in k8506 */
static void C_ccall f_9754(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_9754,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#butlast in k8506 */
static void C_ccall f_9756(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_9756,3,av);}
a=C_alloc(6);
t3=C_i_check_pair_2(t2,lf[249]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9765,a[2]=t5,a[3]=((C_word)li178),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_9765(t7,t1,t2);}

/* loop in chicken.base#butlast in k8506 */
static void C_fcall f_9765(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_9765,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_slot(t2,C_fix(1));
t4=(C_truep(C_blockp(t3))?C_pairp(t3):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9786,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:835: loop */
t9=t7;
t10=t3;
t1=t9;
t2=t10;
goto loop;}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k9784 in loop in chicken.base#butlast in k8506 */
static void C_ccall f_9786(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9786,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#flatten in k8506 */
static void C_ccall f_9788(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_9788,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9794,a[2]=t4,a[3]=((C_word)li180),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_9794(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in chicken.base#flatten in k8506 */
static void C_fcall f_9794(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9794,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_slot(t2,C_fix(1));
if(C_truep(C_i_listp(t5))){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9820,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
/* library.scm:845: loop */
t9=t7;
t10=t6;
t11=t3;
t1=t9;
t2=t10;
t3=t11;
goto loop;}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9827,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:846: loop */
t9=t7;
t10=t6;
t11=t3;
t1=t9;
t2=t10;
t3=t11;
goto loop;}}}

/* k9818 in loop in chicken.base#flatten in k8506 */
static void C_ccall f_9820(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9820,2,av);}
/* library.scm:845: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9794(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k9825 in loop in chicken.base#flatten in k8506 */
static void C_ccall f_9827(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9827,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#join in k8506 */
static void C_ccall f_9829(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9829,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9833,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=t4;
f_9833(t6,C_u_i_car(t5));}
else{
t5=t4;
f_9833(t5,C_SCHEME_END_OF_LIST);}}

/* k9831 in chicken.base#join in k8506 */
static void C_fcall f_9833(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_9833,2,t0,t1);}
a=C_alloc(7);
t2=t1;
t3=C_i_check_list_2(t2,lf[252]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9841,a[2]=t2,a[3]=t5,a[4]=((C_word)li182),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_9841(t7,((C_word*)t0)[2],((C_word*)t0)[3]);}

/* loop in k9831 in chicken.base#join in k8506 */
static void C_fcall f_9841(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9841,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:856: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_slot(t2,C_fix(1));
if(C_truep(C_i_nullp(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9876,a[2]=t1,a[3]=t5,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:862: loop */
t9=t7;
t10=t6;
t1=t9;
t2=t10;
goto loop;}}}}

/* k9874 in loop in k9831 in chicken.base#join in k8506 */
static void C_ccall f_9876(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_9876,2,av);}
/* library.scm:862: ##sys#append */
t2=*((C_word*)lf[253]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* chicken.base#compress in k8506 */
static void C_ccall f_9886(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_9886,4,av);}
a=C_alloc(7);
t4=lf[255];
t5=C_i_check_list_2(t3,lf[256]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9895,a[2]=t4,a[3]=t7,a[4]=((C_word)li184),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_9895(t9,t1,t2,t3);}

/* loop in chicken.base#compress in k8506 */
static void C_fcall f_9895(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,5)))){
C_save_and_reclaim_args((void *)trf_9895,4,t0,t1,t2,t3);}
a=C_alloc(4);
if(C_truep(C_i_nullp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_pairp(t2);
if(C_truep(C_i_not(t4))){
/* library.scm:871: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[257];
av2[3]=lf[256];
av2[4]=((C_word*)t0)[2];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}
else{
t5=C_i_pairp(t3);
if(C_truep(C_i_not(t5))){
/* library.scm:873: ##sys#signal-hook */
t6=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[257];
av2[3]=lf[256];
av2[4]=((C_word*)t0)[2];
av2[5]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
if(C_truep(C_slot(t2,C_fix(0)))){
t6=C_slot(t3,C_fix(0));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9937,a[2]=t1,a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=C_slot(t2,C_fix(1));
t10=C_slot(t3,C_fix(1));
/* library.scm:875: loop */
t12=t8;
t13=t9;
t14=t10;
t1=t12;
t2=t13;
t3=t14;
goto loop;}
else{
t6=C_slot(t2,C_fix(1));
t7=C_slot(t3,C_fix(1));
/* library.scm:876: loop */
t12=t1;
t13=t6;
t14=t7;
t1=t12;
t2=t13;
t3=t14;
goto loop;}}}}}

/* k9935 in loop in chicken.base#compress in k8506 */
static void C_ccall f_9937(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9937,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#alist-update! in k8506 */
static void C_ccall f_9966(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +10,c,4)))){
C_save_and_reclaim((void*)f_9966,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+10);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
t6=C_i_nullp(t5);
t7=(C_truep(t6)?*((C_word*)lf[5]+1):C_i_car(t5));
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9973,a[2]=t3,a[3]=t4,a[4]=t1,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t10=C_eqp(*((C_word*)lf[4]+1),t8);
if(C_truep(t10)){
t11=t9;
f_9973(t11,*((C_word*)lf[52]+1));}
else{
t11=C_eqp(*((C_word*)lf[5]+1),t8);
if(C_truep(t11)){
t12=t9;
f_9973(t12,*((C_word*)lf[53]+1));}
else{
t12=C_eqp(*((C_word*)lf[6]+1),t8);
t13=t9;
f_9973(t13,(C_truep(t12)?*((C_word*)lf[54]+1):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10005,a[2]=t8,a[3]=((C_word)li187),tmp=(C_word)a,a+=4,tmp)));}}}

/* k9971 in chicken.base#alist-update! in k8506 */
static void C_fcall f_9973(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_9973,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9976,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:893: aq */
t3=t1;{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k9974 in k9971 in chicken.base#alist-update! in k8506 */
static void C_ccall f_9976(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_9976,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=C_i_setslot(t1,C_fix(1),((C_word*)t0)[2]);
t3=((C_word*)t0)[3];
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_a_i_cons(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t2,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* toplevel */
static C_TLS int toplevel_initialized=0;

void C_ccall C_library_toplevel(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(toplevel_initialized) {C_kontinue(t1,C_SCHEME_UNDEFINED);}
else C_toplevel_entry(C_text("library"));
C_check_nursery_minimum(C_calculate_demand(3,c,2));
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void*)C_library_toplevel,c,av);}
toplevel_initialized=1;
if(C_unlikely(!C_demand_2(7873))){
C_save(t1);
C_rereclaim2(7873*sizeof(C_word),1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,1403);
lf[0]=C_h_intern(&lf[0],7, C_text("library"));
lf[1]=C_h_intern(&lf[1],7, C_text("scheme#"));
lf[2]=C_h_intern(&lf[2],10, C_text("scheme#not"));
lf[3]=C_h_intern(&lf[3],15, C_text("scheme#boolean\077"));
lf[4]=C_h_intern(&lf[4],10, C_text("scheme#eq\077"));
lf[5]=C_h_intern(&lf[5],11, C_text("scheme#eqv\077"));
lf[6]=C_h_intern(&lf[6],13, C_text("scheme#equal\077"));
lf[7]=C_h_intern(&lf[7],12, C_text("scheme#pair\077"));
lf[8]=C_h_intern(&lf[8],11, C_text("scheme#cons"));
lf[9]=C_h_intern(&lf[9],10, C_text("scheme#car"));
lf[10]=C_h_intern(&lf[10],10, C_text("scheme#cdr"));
lf[11]=C_h_intern(&lf[11],15, C_text("scheme#set-car!"));
lf[12]=C_h_intern(&lf[12],15, C_text("scheme#set-cdr!"));
lf[13]=C_h_intern(&lf[13],11, C_text("scheme#cadr"));
lf[14]=C_h_intern(&lf[14],12, C_text("scheme#caddr"));
lf[15]=C_h_intern(&lf[15],13, C_text("scheme#cadddr"));
lf[16]=C_h_intern(&lf[16],13, C_text("scheme#cddddr"));
lf[17]=C_h_intern(&lf[17],11, C_text("scheme#caar"));
lf[18]=C_h_intern(&lf[18],11, C_text("scheme#cdar"));
lf[19]=C_h_intern(&lf[19],11, C_text("scheme#cddr"));
lf[20]=C_h_intern(&lf[20],12, C_text("scheme#caaar"));
lf[21]=C_h_intern(&lf[21],12, C_text("scheme#caadr"));
lf[22]=C_h_intern(&lf[22],12, C_text("scheme#cadar"));
lf[23]=C_h_intern(&lf[23],12, C_text("scheme#cdaar"));
lf[24]=C_h_intern(&lf[24],12, C_text("scheme#cdadr"));
lf[25]=C_h_intern(&lf[25],12, C_text("scheme#cddar"));
lf[26]=C_h_intern(&lf[26],12, C_text("scheme#cdddr"));
lf[27]=C_h_intern(&lf[27],13, C_text("scheme#caaaar"));
lf[28]=C_h_intern(&lf[28],13, C_text("scheme#caaadr"));
lf[29]=C_h_intern(&lf[29],13, C_text("scheme#caadar"));
lf[30]=C_h_intern(&lf[30],13, C_text("scheme#caaddr"));
lf[31]=C_h_intern(&lf[31],13, C_text("scheme#cadaar"));
lf[32]=C_h_intern(&lf[32],13, C_text("scheme#cadadr"));
lf[33]=C_h_intern(&lf[33],13, C_text("scheme#caddar"));
lf[34]=C_h_intern(&lf[34],13, C_text("scheme#cdaaar"));
lf[35]=C_h_intern(&lf[35],13, C_text("scheme#cdaadr"));
lf[36]=C_h_intern(&lf[36],13, C_text("scheme#cdadar"));
lf[37]=C_h_intern(&lf[37],13, C_text("scheme#cdaddr"));
lf[38]=C_h_intern(&lf[38],13, C_text("scheme#cddaar"));
lf[39]=C_h_intern(&lf[39],13, C_text("scheme#cddadr"));
lf[40]=C_h_intern(&lf[40],13, C_text("scheme#cdddar"));
lf[41]=C_h_intern(&lf[41],12, C_text("scheme#null\077"));
lf[42]=C_h_intern(&lf[42],11, C_text("scheme#list"));
lf[43]=C_h_intern(&lf[43],13, C_text("scheme#length"));
lf[44]=C_h_intern(&lf[44],16, C_text("scheme#list-tail"));
lf[45]=C_h_intern(&lf[45],15, C_text("scheme#list-ref"));
lf[46]=C_h_intern(&lf[46],14, C_text("scheme#reverse"));
lf[47]=C_h_intern(&lf[47],27, C_text("\003syserror-not-a-proper-list"));
lf[48]=C_h_intern(&lf[48],7, C_text("reverse"));
lf[49]=C_h_intern(&lf[49],11, C_text("scheme#memq"));
lf[50]=C_h_intern(&lf[50],11, C_text("scheme#memv"));
lf[51]=C_h_intern(&lf[51],13, C_text("scheme#member"));
lf[52]=C_h_intern(&lf[52],11, C_text("scheme#assq"));
lf[53]=C_h_intern(&lf[53],11, C_text("scheme#assv"));
lf[54]=C_h_intern(&lf[54],12, C_text("scheme#assoc"));
lf[55]=C_h_intern(&lf[55],12, C_text("scheme#list\077"));
lf[56]=C_h_intern(&lf[56],14, C_text("scheme#string\077"));
lf[57]=C_h_intern(&lf[57],20, C_text("scheme#string-length"));
lf[58]=C_h_intern(&lf[58],17, C_text("scheme#string-ref"));
lf[59]=C_h_intern(&lf[59],18, C_text("scheme#string-set!"));
lf[60]=C_h_intern(&lf[60],15, C_text("scheme#string=\077"));
lf[61]=C_h_intern(&lf[61],18, C_text("scheme#string-ci=\077"));
lf[62]=C_h_intern(&lf[62],21, C_text("scheme#exact->inexact"));
lf[63]=C_h_intern(&lf[63],10, C_text("scheme#abs"));
lf[64]=C_h_intern(&lf[64],8, C_text("scheme#+"));
lf[65]=C_h_intern(&lf[65],8, C_text("scheme#-"));
lf[66]=C_h_intern(&lf[66],8, C_text("scheme#\052"));
lf[67]=C_h_intern(&lf[67],15, C_text("scheme#quotient"));
lf[68]=C_h_intern(&lf[68],16, C_text("scheme#remainder"));
lf[69]=C_h_intern(&lf[69],13, C_text("scheme#modulo"));
lf[70]=C_h_intern(&lf[70],12, C_text("scheme#even\077"));
lf[71]=C_h_intern(&lf[71],11, C_text("scheme#odd\077"));
lf[72]=C_h_intern(&lf[72],8, C_text("scheme#="));
lf[73]=C_h_intern(&lf[73],8, C_text("scheme#>"));
lf[74]=C_h_intern(&lf[74],8, C_text("scheme#<"));
lf[75]=C_h_intern(&lf[75],9, C_text("scheme#>="));
lf[76]=C_h_intern(&lf[76],9, C_text("scheme#<="));
lf[77]=C_h_intern(&lf[77],14, C_text("scheme#number\077"));
lf[78]=C_h_intern(&lf[78],15, C_text("scheme#complex\077"));
lf[79]=C_h_intern(&lf[79],12, C_text("scheme#real\077"));
lf[80]=C_h_intern(&lf[80],16, C_text("scheme#rational\077"));
lf[81]=C_h_intern(&lf[81],15, C_text("scheme#integer\077"));
lf[82]=C_h_intern(&lf[82],13, C_text("scheme#exact\077"));
lf[83]=C_h_intern(&lf[83],15, C_text("scheme#inexact\077"));
lf[84]=C_h_intern(&lf[84],12, C_text("scheme#zero\077"));
lf[85]=C_h_intern(&lf[85],16, C_text("scheme#positive\077"));
lf[86]=C_h_intern(&lf[86],16, C_text("scheme#negative\077"));
lf[87]=C_h_intern(&lf[87],21, C_text("scheme#number->string"));
lf[88]=C_h_intern(&lf[88],14, C_text("scheme#symbol\077"));
lf[89]=C_h_intern(&lf[89],14, C_text("scheme#vector\077"));
lf[90]=C_h_intern(&lf[90],20, C_text("scheme#vector-length"));
lf[91]=C_h_intern(&lf[91],17, C_text("scheme#vector-ref"));
lf[92]=C_h_intern(&lf[92],18, C_text("scheme#vector-set!"));
lf[93]=C_h_intern(&lf[93],18, C_text("scheme#make-vector"));
lf[94]=C_h_intern(&lf[94],19, C_text("scheme#list->vector"));
lf[95]=C_h_intern(&lf[95],19, C_text("scheme#vector->list"));
lf[96]=C_h_intern(&lf[96],13, C_text("scheme#vector"));
lf[97]=C_h_intern(&lf[97],19, C_text("scheme#vector-fill!"));
lf[98]=C_h_intern(&lf[98],12, C_text("scheme#char\077"));
lf[99]=C_h_intern(&lf[99],20, C_text("scheme#char->integer"));
lf[100]=C_h_intern(&lf[100],13, C_text("char->integer"));
lf[101]=C_h_intern(&lf[101],20, C_text("scheme#integer->char"));
lf[102]=C_h_intern(&lf[102],16, C_text("\003syscheck-fixnum"));
lf[103]=C_h_intern(&lf[103],13, C_text("integer->char"));
lf[104]=C_h_intern(&lf[104],13, C_text("scheme#char=\077"));
lf[105]=C_h_intern(&lf[105],13, C_text("scheme#char>\077"));
lf[106]=C_h_intern(&lf[106],13, C_text("scheme#char<\077"));
lf[107]=C_h_intern(&lf[107],14, C_text("scheme#char>=\077"));
lf[108]=C_h_intern(&lf[108],14, C_text("scheme#char<=\077"));
lf[109]=C_h_intern(&lf[109],18, C_text("scheme#char-upcase"));
lf[110]=C_h_intern(&lf[110],11, C_text("char-upcase"));
lf[111]=C_h_intern(&lf[111],20, C_text("scheme#char-downcase"));
lf[112]=C_h_intern(&lf[112],13, C_text("char-downcase"));
lf[113]=C_h_intern(&lf[113],16, C_text("scheme#char-ci=\077"));
lf[114]=C_h_intern(&lf[114],16, C_text("scheme#char-ci>\077"));
lf[115]=C_h_intern(&lf[115],16, C_text("scheme#char-ci<\077"));
lf[116]=C_h_intern(&lf[116],17, C_text("scheme#char-ci>=\077"));
lf[117]=C_h_intern(&lf[117],17, C_text("scheme#char-ci<=\077"));
lf[118]=C_h_intern(&lf[118],23, C_text("scheme#char-upper-case\077"));
lf[119]=C_h_intern(&lf[119],16, C_text("char-upper-case\077"));
lf[120]=C_h_intern(&lf[120],23, C_text("scheme#char-lower-case\077"));
lf[121]=C_h_intern(&lf[121],16, C_text("char-lower-case\077"));
lf[122]=C_h_intern(&lf[122],20, C_text("scheme#char-numeric\077"));
lf[123]=C_h_intern(&lf[123],13, C_text("char-numeric\077"));
lf[124]=C_h_intern(&lf[124],23, C_text("scheme#char-whitespace\077"));
lf[125]=C_h_intern(&lf[125],16, C_text("char-whitespace\077"));
lf[126]=C_h_intern(&lf[126],23, C_text("scheme#char-alphabetic\077"));
lf[127]=C_h_intern(&lf[127],16, C_text("char-alphabetic\077"));
lf[128]=C_h_intern(&lf[128],17, C_text("scheme#procedure\077"));
lf[129]=C_h_intern(&lf[129],12, C_text("scheme#apply"));
lf[130]=C_h_intern(&lf[130],13, C_text("scheme#values"));
lf[131]=C_h_intern(&lf[131],23, C_text("scheme#call-with-values"));
lf[132]=C_h_intern(&lf[132],37, C_text("scheme#call-with-current-continuation"));
lf[133]=C_h_intern(&lf[133],18, C_text("scheme#input-port\077"));
lf[134]=C_h_intern(&lf[134],19, C_text("scheme#output-port\077"));
lf[135]=C_h_intern(&lf[135],25, C_text("scheme#current-input-port"));
lf[136]=C_h_intern(&lf[136],26, C_text("scheme#current-output-port"));
lf[137]=C_h_intern(&lf[137],22, C_text("scheme#open-input-file"));
lf[138]=C_h_intern(&lf[138],23, C_text("scheme#open-output-file"));
lf[139]=C_h_intern(&lf[139],23, C_text("scheme#close-input-port"));
lf[140]=C_h_intern(&lf[140],24, C_text("scheme#close-output-port"));
lf[141]=C_h_intern(&lf[141],27, C_text("scheme#call-with-input-file"));
lf[142]=C_h_intern(&lf[142],28, C_text("scheme#call-with-output-file"));
lf[143]=C_h_intern(&lf[143],27, C_text("scheme#with-input-from-file"));
lf[144]=C_h_intern(&lf[144],26, C_text("scheme#with-output-to-file"));
lf[145]=C_h_intern(&lf[145],18, C_text("scheme#eof-object\077"));
lf[146]=C_h_intern(&lf[146],18, C_text("scheme#char-ready\077"));
lf[147]=C_h_intern(&lf[147],16, C_text("scheme#read-char"));
lf[148]=C_h_intern(&lf[148],16, C_text("scheme#peek-char"));
lf[149]=C_h_intern(&lf[149],11, C_text("scheme#read"));
lf[150]=C_h_intern(&lf[150],17, C_text("scheme#write-char"));
lf[151]=C_h_intern(&lf[151],14, C_text("scheme#newline"));
lf[152]=C_h_intern(&lf[152],12, C_text("scheme#write"));
lf[153]=C_h_intern(&lf[153],14, C_text("scheme#display"));
lf[154]=C_h_intern(&lf[154],11, C_text("scheme#eval"));
lf[155]=C_h_intern(&lf[155],9, C_text("\003syserror"));
lf[156]=C_h_intern(&lf[156],4, C_text("eval"));
lf[157]=C_decode_literal(C_heaptop,C_text("\376B\000\000T`eval\047 is not defined - the `eval\047 unit was probably not linked with this e"
"xecutable"));
lf[158]=C_h_intern(&lf[158],30, C_text("scheme#interaction-environment"));
lf[159]=C_h_intern(&lf[159],23, C_text("interaction-environment"));
lf[160]=C_decode_literal(C_heaptop,C_text("\376B\000\000g`interaction-environment\047 is not defined - the `eval\047 unit was probably not"
" linked with this executable"));
lf[161]=C_h_intern(&lf[161],32, C_text("scheme#scheme-report-environment"));
lf[162]=C_h_intern(&lf[162],25, C_text("scheme-report-environment"));
lf[163]=C_decode_literal(C_heaptop,C_text("\376B\000\000i`scheme-report-environment\047 is not defined - the `eval\047 unit was probably n"
"ot linked with this executable"));
lf[164]=C_h_intern(&lf[164],23, C_text("scheme#null-environment"));
lf[165]=C_h_intern(&lf[165],16, C_text("null-environment"));
lf[166]=C_decode_literal(C_heaptop,C_text("\376B\000\000``null-environment\047 is not defined - the `eval\047 unit was probably not linked"
" with this executable"));
lf[167]=C_h_intern(&lf[167],11, C_text("scheme#load"));
lf[168]=C_h_intern(&lf[168],4, C_text("load"));
lf[169]=C_decode_literal(C_heaptop,C_text("\376B\000\000T`load\047 is not defined - the `eval\047 unit was probably not linked with this e"
"xecutable"));
lf[170]=C_h_intern(&lf[170],15, C_text("scheme#for-each"));
lf[171]=C_h_intern(&lf[171],10, C_text("scheme#map"));
lf[172]=C_h_intern(&lf[172],19, C_text("scheme#dynamic-wind"));
lf[173]=C_h_intern(&lf[173],13, C_text("chicken.base#"));
lf[174]=C_h_intern(&lf[174],20, C_text("chicken.base#fixnum\077"));
lf[175]=C_h_intern(&lf[175],20, C_text("chicken.base#flonum\077"));
lf[176]=C_h_intern(&lf[176],20, C_text("chicken.base#bignum\077"));
lf[177]=C_h_intern(&lf[177],20, C_text("chicken.base#ratnum\077"));
lf[178]=C_h_intern(&lf[178],21, C_text("chicken.base#cplxnum\077"));
lf[179]=C_h_intern(&lf[179],27, C_text("chicken.base#exact-integer\077"));
lf[180]=C_h_intern(&lf[180],31, C_text("chicken.base#quotient&remainder"));
lf[181]=C_h_intern(&lf[181],28, C_text("chicken.base#quotient&modulo"));
lf[182]=C_h_intern(&lf[182],20, C_text("chicken.base#finite\077"));
lf[183]=C_h_intern(&lf[183],22, C_text("chicken.base#infinite\077"));
lf[184]=C_h_intern(&lf[184],17, C_text("chicken.base#nan\077"));
lf[185]=C_h_intern(&lf[185],19, C_text("chicken.base#signum"));
lf[186]=C_h_intern(&lf[186],27, C_text("chicken.base#get-call-chain"));
lf[187]=C_h_intern(&lf[187],29, C_text("chicken.base#print-call-chain"));
lf[188]=C_h_intern(&lf[188],18, C_text("chicken.base#print"));
lf[189]=C_h_intern(&lf[189],19, C_text("chicken.base#print\052"));
lf[190]=C_h_intern(&lf[190],17, C_text("chicken.base#add1"));
lf[191]=C_h_intern(&lf[191],17, C_text("chicken.base#sub1"));
lf[192]=C_h_intern(&lf[192],31, C_text("chicken.base#current-error-port"));
lf[193]=C_h_intern(&lf[193],18, C_text("chicken.base#error"));
lf[194]=C_h_intern(&lf[194],15, C_text("\003syssignal-hook"));
lf[195]=C_h_intern(&lf[195],6, C_text("\000error"));
lf[196]=C_h_intern(&lf[196],17, C_text("chicken.base#void"));
lf[197]=C_h_intern(&lf[197],20, C_text("chicken.base#call/cc"));
lf[198]=C_h_intern(&lf[198],22, C_text("chicken.base#char-name"));
lf[199]=C_h_intern(&lf[199],31, C_text("chicken.base#getter-with-setter"));
lf[200]=C_h_intern(&lf[200],27, C_text("chicken.base#make-parameter"));
lf[201]=C_h_intern(&lf[201],34, C_text("chicken.base#procedure-information"));
lf[202]=C_h_intern(&lf[202],19, C_text("chicken.base#setter"));
lf[203]=C_h_intern(&lf[203],25, C_text("chicken.base#vector-copy!"));
lf[204]=C_h_intern(&lf[204],22, C_text("chicken.base#subvector"));
lf[205]=C_h_intern(&lf[205],26, C_text("chicken.base#vector-resize"));
lf[206]=C_h_intern(&lf[206],18, C_text("chicken.base#port\077"));
lf[207]=C_h_intern(&lf[207],25, C_text("chicken.base#port-closed\077"));
lf[208]=C_h_intern(&lf[208],29, C_text("chicken.base#input-port-open\077"));
lf[209]=C_h_intern(&lf[209],30, C_text("chicken.base#output-port-open\077"));
lf[210]=C_h_intern(&lf[210],30, C_text("chicken.base#get-output-string"));
lf[211]=C_h_intern(&lf[211],30, C_text("chicken.base#open-input-string"));
lf[212]=C_h_intern(&lf[212],31, C_text("chicken.base#open-output-string"));
lf[213]=C_h_intern(&lf[213],25, C_text("chicken.base#flush-output"));
lf[214]=C_h_intern(&lf[214],21, C_text("chicken.base#promise\077"));
lf[215]=C_h_intern(&lf[215],7, C_text("promise"));
lf[216]=C_h_intern(&lf[216],16, C_text("\003sysmake-promise"));
lf[217]=C_h_intern(&lf[217],25, C_text("chicken.base#make-promise"));
lf[218]=C_h_intern(&lf[218],18, C_text("chicken.base#foldl"));
lf[219]=C_h_intern(&lf[219],5, C_text("foldl"));
lf[220]=C_h_intern(&lf[220],18, C_text("chicken.base#foldr"));
lf[221]=C_h_intern(&lf[221],5, C_text("foldr"));
lf[222]=C_h_intern(&lf[222],34, C_text("chicken.base#implicit-exit-handler"));
lf[223]=C_h_intern(&lf[223],25, C_text("chicken.base#exit-handler"));
lf[224]=C_h_intern(&lf[224],26, C_text("chicken.base#cleanup-tasks"));
lf[225]=C_h_intern(&lf[225],20, C_text("chicken.base#on-exit"));
lf[226]=C_h_intern(&lf[226],17, C_text("chicken.base#exit"));
lf[227]=C_h_intern(&lf[227],27, C_text("chicken.base#emergency-exit"));
lf[228]=C_h_intern(&lf[228],14, C_text("emergency-exit"));
lf[229]=C_h_intern(&lf[229],27, C_text("chicken.base#case-sensitive"));
lf[230]=C_h_intern(&lf[230],26, C_text("chicken.base#keyword-style"));
lf[231]=C_h_intern(&lf[231],33, C_text("chicken.base#parentheses-synonyms"));
lf[232]=C_h_intern(&lf[232],26, C_text("chicken.base#symbol-escape"));
lf[233]=C_h_intern(&lf[233],21, C_text("chicken.base#identity"));
lf[234]=C_h_intern(&lf[234],20, C_text("chicken.base#conjoin"));
lf[235]=C_h_intern(&lf[235],20, C_text("chicken.base#disjoin"));
lf[236]=C_h_intern(&lf[236],23, C_text("chicken.base#constantly"));
lf[237]=C_h_intern(&lf[237],17, C_text("chicken.base#flip"));
lf[238]=C_h_intern(&lf[238],23, C_text("chicken.base#complement"));
lf[239]=C_h_intern(&lf[239],20, C_text("chicken.base#compose"));
lf[240]=C_h_intern(&lf[240],14, C_text("chicken.base#o"));
lf[241]=C_h_intern(&lf[241],21, C_text("chicken.base#list-of\077"));
lf[242]=C_h_intern(&lf[242],17, C_text("chicken.base#each"));
lf[243]=C_h_intern(&lf[243],19, C_text("\003sysundefined-value"));
lf[244]=C_h_intern(&lf[244],18, C_text("chicken.base#atom\077"));
lf[245]=C_h_intern(&lf[245],18, C_text("chicken.base#tail\077"));
lf[246]=C_h_intern(&lf[246],5, C_text("tail\077"));
lf[247]=C_h_intern(&lf[247],24, C_text("chicken.base#intersperse"));
lf[248]=C_h_intern(&lf[248],20, C_text("chicken.base#butlast"));
lf[249]=C_h_intern(&lf[249],7, C_text("butlast"));
lf[250]=C_h_intern(&lf[250],20, C_text("chicken.base#flatten"));
lf[251]=C_h_intern(&lf[251],17, C_text("chicken.base#join"));
lf[252]=C_h_intern(&lf[252],4, C_text("join"));
lf[253]=C_h_intern(&lf[253],10, C_text("\003sysappend"));
lf[254]=C_h_intern(&lf[254],21, C_text("chicken.base#compress"));
lf[255]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not a proper list"));
lf[256]=C_h_intern(&lf[256],8, C_text("compress"));
lf[257]=C_h_intern(&lf[257],11, C_text("\000type-error"));
lf[258]=C_h_intern(&lf[258],26, C_text("chicken.base#alist-update!"));
lf[259]=C_h_intern(&lf[259],25, C_text("chicken.base#alist-update"));
lf[260]=C_h_intern(&lf[260],12, C_text("alist-update"));
lf[261]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[262]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[263]=C_h_intern(&lf[263],22, C_text("chicken.base#alist-ref"));
lf[264]=C_h_intern(&lf[264],9, C_text("alist-ref"));
lf[265]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[266]=C_h_intern(&lf[266],19, C_text("chicken.base#rassoc"));
lf[267]=C_h_intern(&lf[267],6, C_text("rassoc"));
lf[269]=C_h_intern(&lf[269],15, C_text("chicken.fixnum#"));
lf[270]=C_h_intern(&lf[270],35, C_text("chicken.fixnum#most-positive-fixnum"));
lf[271]=C_h_intern(&lf[271],35, C_text("chicken.fixnum#most-negative-fixnum"));
lf[272]=C_h_intern(&lf[272],26, C_text("chicken.fixnum#fixnum-bits"));
lf[273]=C_h_intern(&lf[273],31, C_text("chicken.fixnum#fixnum-precision"));
lf[274]=C_h_intern(&lf[274],18, C_text("chicken.fixnum#fx+"));
lf[275]=C_h_intern(&lf[275],18, C_text("chicken.fixnum#fx-"));
lf[276]=C_h_intern(&lf[276],18, C_text("chicken.fixnum#fx\052"));
lf[277]=C_h_intern(&lf[277],18, C_text("chicken.fixnum#fx="));
lf[278]=C_h_intern(&lf[278],18, C_text("chicken.fixnum#fx>"));
lf[279]=C_h_intern(&lf[279],18, C_text("chicken.fixnum#fx<"));
lf[280]=C_h_intern(&lf[280],19, C_text("chicken.fixnum#fx>="));
lf[281]=C_h_intern(&lf[281],19, C_text("chicken.fixnum#fx<="));
lf[282]=C_h_intern(&lf[282],20, C_text("chicken.fixnum#fxmin"));
lf[283]=C_h_intern(&lf[283],20, C_text("chicken.fixnum#fxmax"));
lf[284]=C_h_intern(&lf[284],20, C_text("chicken.fixnum#fxneg"));
lf[285]=C_h_intern(&lf[285],20, C_text("chicken.fixnum#fxand"));
lf[286]=C_h_intern(&lf[286],20, C_text("chicken.fixnum#fxior"));
lf[287]=C_h_intern(&lf[287],20, C_text("chicken.fixnum#fxxor"));
lf[288]=C_h_intern(&lf[288],20, C_text("chicken.fixnum#fxnot"));
lf[289]=C_h_intern(&lf[289],20, C_text("chicken.fixnum#fxshl"));
lf[290]=C_h_intern(&lf[290],20, C_text("chicken.fixnum#fxshr"));
lf[291]=C_h_intern(&lf[291],21, C_text("chicken.fixnum#fxodd\077"));
lf[292]=C_h_intern(&lf[292],22, C_text("chicken.fixnum#fxeven\077"));
lf[293]=C_h_intern(&lf[293],20, C_text("chicken.fixnum#fxlen"));
lf[294]=C_h_intern(&lf[294],18, C_text("chicken.fixnum#fx/"));
lf[295]=C_h_intern(&lf[295],20, C_text("chicken.fixnum#fxgcd"));
lf[296]=C_h_intern(&lf[296],20, C_text("chicken.fixnum#fxmod"));
lf[297]=C_h_intern(&lf[297],20, C_text("chicken.fixnum#fxrem"));
lf[298]=C_h_intern(&lf[298],19, C_text("chicken.fixnum#fx+\077"));
lf[299]=C_h_intern(&lf[299],19, C_text("chicken.fixnum#fx-\077"));
lf[300]=C_h_intern(&lf[300],19, C_text("chicken.fixnum#fx\052\077"));
lf[301]=C_h_intern(&lf[301],19, C_text("chicken.fixnum#fx/\077"));
lf[302]=C_h_intern(&lf[302],15, C_text("\003sysdebug-mode\077"));
lf[303]=C_h_intern(&lf[303],20, C_text("\003syswarnings-enabled"));
lf[304]=C_h_intern(&lf[304],19, C_text("\003sysnotices-enabled"));
lf[305]=C_h_intern(&lf[305],20, C_text("chicken.base#warning"));
lf[306]=C_h_intern(&lf[306],8, C_text("\000warning"));
lf[307]=C_h_intern(&lf[307],19, C_text("chicken.base#notice"));
lf[308]=C_h_intern(&lf[308],7, C_text("\000notice"));
lf[309]=C_h_intern(&lf[309],28, C_text("chicken.base#enable-warnings"));
lf[310]=C_h_intern(&lf[310],8, C_text("\003syswarn"));
lf[311]=C_h_intern(&lf[311],10, C_text("\003sysnotice"));
lf[312]=C_h_intern(&lf[312],6, C_text("\003sysgc"));
lf[313]=C_h_intern(&lf[313],11, C_text("\003syssetslot"));
lf[314]=C_h_intern(&lf[314],12, C_text("\003syssetislot"));
lf[315]=C_h_intern(&lf[315],19, C_text("\003sysallocate-vector"));
lf[316]=C_h_intern(&lf[316],18, C_text("\003sysmake-structure"));
lf[317]=C_h_intern(&lf[317],23, C_text("\003sysensure-heap-reserve"));
lf[318]=C_h_intern(&lf[318],21, C_text("\003syssymbol-table-info"));
lf[319]=C_h_intern(&lf[319],15, C_text("\003sysmemory-info"));
lf[320]=C_h_intern(&lf[320],18, C_text("\003sysdecode-seconds"));
lf[321]=C_h_intern(&lf[321],15, C_text("\003sysstart-timer"));
lf[322]=C_h_intern(&lf[322],14, C_text("\003sysstop-timer"));
lf[323]=C_h_intern(&lf[323],14, C_text("\003sysimmediate\077"));
lf[324]=C_h_intern(&lf[324],11, C_text("\003sysmessage"));
lf[325]=C_h_intern(&lf[325],8, C_text("\003sysbyte"));
lf[326]=C_h_intern(&lf[326],11, C_text("\003syssetbyte"));
lf[327]=C_h_intern(&lf[327],8, C_text("\003sysvoid"));
lf[328]=C_h_intern(&lf[328],8, C_text("\003syshalt"));
lf[329]=C_h_intern(&lf[329],11, C_text("\003sysbecome!"));
lf[330]=C_h_intern(&lf[330],13, C_text("\003sysblock-ref"));
lf[331]=C_h_intern(&lf[331],16, C_text("\003sysapply-values"));
lf[332]=C_h_intern(&lf[332],16, C_text("\003syscopy-closure"));
lf[333]=C_h_intern(&lf[333],14, C_text("\003sysblock-set!"));
lf[334]=C_h_intern(&lf[334],15, C_text("\003syscheck-range"));
lf[335]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023slot not accessible"));
lf[336]=C_h_intern(&lf[336],13, C_text("chicken.time#"));
lf[337]=C_h_intern(&lf[337],33, C_text("chicken.time#current-milliseconds"));
lf[338]=C_h_intern(&lf[338],28, C_text("chicken.time#current-seconds"));
lf[339]=C_h_intern(&lf[339],21, C_text("chicken.time#cpu-time"));
lf[340]=C_h_intern(&lf[340],19, C_text("\003syscheck-structure"));
lf[341]=C_h_intern(&lf[341],14, C_text("\003syscheck-blob"));
lf[342]=C_h_intern(&lf[342],21, C_text("\003syscheck-byte-vector"));
lf[343]=C_h_intern(&lf[343],14, C_text("\003syscheck-pair"));
lf[344]=C_h_intern(&lf[344],14, C_text("\003syscheck-list"));
lf[345]=C_h_intern(&lf[345],16, C_text("\003syscheck-string"));
lf[346]=C_h_intern(&lf[346],16, C_text("\003syscheck-number"));
lf[347]=C_h_intern(&lf[347],15, C_text("\003syscheck-exact"));
lf[348]=C_h_intern(&lf[348],17, C_text("\003syscheck-inexact"));
lf[349]=C_h_intern(&lf[349],16, C_text("\003syscheck-symbol"));
lf[350]=C_h_intern(&lf[350],16, C_text("\003syscheck-vector"));
lf[351]=C_h_intern(&lf[351],14, C_text("\003syscheck-char"));
lf[352]=C_h_intern(&lf[352],17, C_text("\003syscheck-boolean"));
lf[353]=C_h_intern(&lf[353],18, C_text("\003syscheck-locative"));
lf[354]=C_h_intern(&lf[354],17, C_text("\003syscheck-integer"));
lf[355]=C_h_intern(&lf[355],21, C_text("\003syserror-bad-integer"));
lf[356]=C_h_intern(&lf[356],23, C_text("\003syscheck-exact-integer"));
lf[357]=C_h_intern(&lf[357],27, C_text("\003syserror-bad-exact-integer"));
lf[358]=C_h_intern(&lf[358],24, C_text("\003syscheck-exact-uinteger"));
lf[359]=C_h_intern(&lf[359],28, C_text("\003syserror-bad-exact-uinteger"));
lf[360]=C_h_intern(&lf[360],14, C_text("\003syscheck-real"));
lf[361]=C_h_intern(&lf[361],18, C_text("\003syserror-bad-real"));
lf[362]=C_h_intern(&lf[362],14, C_text("\003syserror-hook"));
lf[363]=C_h_intern(&lf[363],17, C_text("\003syscheck-special"));
lf[364]=C_decode_literal(C_heaptop,C_text("\376B\000\000-bad argument type - not a pointer-like object"));
lf[365]=C_h_intern(&lf[365],17, C_text("\003syscheck-closure"));
lf[366]=C_h_intern(&lf[366],12, C_text("scheme#force"));
lf[367]=C_h_intern(&lf[367],8, C_text("\003syslist"));
lf[368]=C_h_intern(&lf[368],9, C_text("\003sysdload"));
lf[369]=C_h_intern(&lf[369],21, C_text("\003sysset-dlopen-flags!"));
lf[370]=C_h_intern(&lf[370],20, C_text("\003syserror-bad-number"));
lf[371]=C_h_intern(&lf[371],21, C_text("\003syserror-bad-inexact"));
lf[372]=C_h_intern(&lf[372],18, C_text("\003syserror-bad-base"));
lf[373]=C_h_intern(&lf[373],13, C_text("scheme#append"));
lf[374]=C_h_intern(&lf[374],6, C_text("append"));
lf[375]=C_h_intern(&lf[375],16, C_text("\003sysfast-reverse"));
lf[376]=C_h_intern(&lf[376],15, C_text("\003sysmake-string"));
lf[377]=C_h_intern(&lf[377],18, C_text("scheme#make-string"));
lf[378]=C_h_intern(&lf[378],11, C_text("make-string"));
lf[379]=C_h_intern(&lf[379],13, C_text("\000bounds-error"));
lf[380]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020size is negative"));
lf[381]=C_h_intern(&lf[381],19, C_text("scheme#string->list"));
lf[382]=C_h_intern(&lf[382],12, C_text("string->list"));
lf[383]=C_h_intern(&lf[383],16, C_text("\003sysstring->list"));
lf[384]=C_h_intern(&lf[384],19, C_text("scheme#list->string"));
lf[385]=C_h_intern(&lf[385],12, C_text("list->string"));
lf[386]=C_h_intern(&lf[386],16, C_text("\003syslist->string"));
lf[387]=C_h_intern(&lf[387],24, C_text("\003sysreverse-list->string"));
lf[388]=C_h_intern(&lf[388],20, C_text("reverse-list->string"));
lf[389]=C_h_intern(&lf[389],19, C_text("scheme#string-fill!"));
lf[390]=C_h_intern(&lf[390],12, C_text("string-fill!"));
lf[391]=C_h_intern(&lf[391],18, C_text("scheme#string-copy"));
lf[392]=C_h_intern(&lf[392],11, C_text("string-copy"));
lf[393]=C_h_intern(&lf[393],16, C_text("scheme#substring"));
lf[394]=C_h_intern(&lf[394],9, C_text("substring"));
lf[395]=C_h_intern(&lf[395],13, C_text("\003syssubstring"));
lf[396]=C_h_intern(&lf[396],15, C_text("scheme#string<\077"));
lf[397]=C_h_intern(&lf[397],8, C_text("string<\077"));
lf[398]=C_h_intern(&lf[398],15, C_text("scheme#string>\077"));
lf[399]=C_h_intern(&lf[399],8, C_text("string>\077"));
lf[400]=C_h_intern(&lf[400],16, C_text("scheme#string<=\077"));
lf[401]=C_h_intern(&lf[401],9, C_text("string<=\077"));
lf[402]=C_h_intern(&lf[402],16, C_text("scheme#string>=\077"));
lf[403]=C_h_intern(&lf[403],9, C_text("string>=\077"));
lf[404]=C_h_intern(&lf[404],18, C_text("scheme#string-ci<\077"));
lf[405]=C_h_intern(&lf[405],11, C_text("string-ci<\077"));
lf[406]=C_h_intern(&lf[406],18, C_text("scheme#string-ci>\077"));
lf[407]=C_h_intern(&lf[407],11, C_text("string-ci>\077"));
lf[408]=C_h_intern(&lf[408],19, C_text("scheme#string-ci<=\077"));
lf[409]=C_h_intern(&lf[409],12, C_text("string-ci<=\077"));
lf[410]=C_h_intern(&lf[410],19, C_text("scheme#string-ci>=\077"));
lf[411]=C_h_intern(&lf[411],12, C_text("string-ci>=\077"));
lf[412]=C_h_intern(&lf[412],17, C_text("\003sysstring-append"));
lf[413]=C_h_intern(&lf[413],20, C_text("scheme#string-append"));
lf[414]=C_h_intern(&lf[414],13, C_text("string-append"));
lf[415]=C_h_intern(&lf[415],13, C_text("scheme#string"));
lf[416]=C_h_intern(&lf[416],21, C_text("\003sysfragments->string"));
lf[417]=C_h_intern(&lf[417],17, C_text("chicken.base#chop"));
lf[418]=C_h_intern(&lf[418],4, C_text("chop"));
lf[419]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030invalid numeric argument"));
lf[420]=C_h_intern(&lf[420],15, C_text("chicken.flonum#"));
lf[421]=C_h_intern(&lf[421],29, C_text("chicken.flonum#maximum-flonum"));
lf[422]=C_h_intern(&lf[422],29, C_text("chicken.flonum#minimum-flonum"));
lf[423]=C_h_intern(&lf[423],27, C_text("chicken.flonum#flonum-radix"));
lf[424]=C_h_intern(&lf[424],29, C_text("chicken.flonum#flonum-epsilon"));
lf[425]=C_h_intern(&lf[425],31, C_text("chicken.flonum#flonum-precision"));
lf[426]=C_h_intern(&lf[426],39, C_text("chicken.flonum#flonum-decimal-precision"));
lf[427]=C_h_intern(&lf[427],38, C_text("chicken.flonum#flonum-maximum-exponent"));
lf[428]=C_h_intern(&lf[428],38, C_text("chicken.flonum#flonum-minimum-exponent"));
lf[429]=C_h_intern(&lf[429],46, C_text("chicken.flonum#flonum-maximum-decimal-exponent"));
lf[430]=C_h_intern(&lf[430],46, C_text("chicken.flonum#flonum-minimum-decimal-exponent"));
lf[431]=C_h_intern(&lf[431],18, C_text("chicken.flonum#fp+"));
lf[432]=C_h_intern(&lf[432],3, C_text("fp+"));
lf[433]=C_h_intern(&lf[433],18, C_text("chicken.flonum#fp-"));
lf[434]=C_h_intern(&lf[434],3, C_text("fp-"));
lf[435]=C_h_intern(&lf[435],18, C_text("chicken.flonum#fp\052"));
lf[436]=C_h_intern(&lf[436],3, C_text("fp\052"));
lf[437]=C_h_intern(&lf[437],18, C_text("chicken.flonum#fp/"));
lf[438]=C_h_intern(&lf[438],3, C_text("fp/"));
lf[439]=C_h_intern(&lf[439],20, C_text("chicken.flonum#fpgcd"));
lf[440]=C_h_intern(&lf[440],5, C_text("fpgcd"));
lf[441]=C_h_intern(&lf[441],19, C_text("chicken.flonum#fp/\077"));
lf[442]=C_h_intern(&lf[442],4, C_text("fp/\077"));
lf[443]=C_h_intern(&lf[443],18, C_text("chicken.flonum#fp="));
lf[444]=C_h_intern(&lf[444],3, C_text("fp="));
lf[445]=C_h_intern(&lf[445],18, C_text("chicken.flonum#fp>"));
lf[446]=C_h_intern(&lf[446],3, C_text("fp>"));
lf[447]=C_h_intern(&lf[447],18, C_text("chicken.flonum#fp<"));
lf[448]=C_h_intern(&lf[448],3, C_text("fp<"));
lf[449]=C_h_intern(&lf[449],19, C_text("chicken.flonum#fp>="));
lf[450]=C_h_intern(&lf[450],4, C_text("fp>="));
lf[451]=C_h_intern(&lf[451],19, C_text("chicken.flonum#fp<="));
lf[452]=C_h_intern(&lf[452],4, C_text("fp<="));
lf[453]=C_h_intern(&lf[453],20, C_text("chicken.flonum#fpneg"));
lf[454]=C_h_intern(&lf[454],5, C_text("fpneg"));
lf[455]=C_h_intern(&lf[455],20, C_text("chicken.flonum#fpmax"));
lf[456]=C_h_intern(&lf[456],5, C_text("fpmax"));
lf[457]=C_h_intern(&lf[457],20, C_text("chicken.flonum#fpmin"));
lf[458]=C_h_intern(&lf[458],5, C_text("fpmin"));
lf[459]=C_h_intern(&lf[459],22, C_text("chicken.flonum#fpfloor"));
lf[460]=C_h_intern(&lf[460],7, C_text("fpfloor"));
lf[461]=C_h_intern(&lf[461],25, C_text("chicken.flonum#fptruncate"));
lf[462]=C_h_intern(&lf[462],10, C_text("fptruncate"));
lf[463]=C_h_intern(&lf[463],22, C_text("chicken.flonum#fpround"));
lf[464]=C_h_intern(&lf[464],7, C_text("fpround"));
lf[465]=C_h_intern(&lf[465],24, C_text("chicken.flonum#fpceiling"));
lf[466]=C_h_intern(&lf[466],9, C_text("fpceiling"));
lf[467]=C_h_intern(&lf[467],20, C_text("chicken.flonum#fpsin"));
lf[468]=C_h_intern(&lf[468],5, C_text("fpsin"));
lf[469]=C_h_intern(&lf[469],20, C_text("chicken.flonum#fpcos"));
lf[470]=C_h_intern(&lf[470],5, C_text("fpcos"));
lf[471]=C_h_intern(&lf[471],20, C_text("chicken.flonum#fptan"));
lf[472]=C_h_intern(&lf[472],5, C_text("fptan"));
lf[473]=C_h_intern(&lf[473],21, C_text("chicken.flonum#fpasin"));
lf[474]=C_h_intern(&lf[474],6, C_text("fpasin"));
lf[475]=C_h_intern(&lf[475],21, C_text("chicken.flonum#fpacos"));
lf[476]=C_h_intern(&lf[476],6, C_text("fpacos"));
lf[477]=C_h_intern(&lf[477],21, C_text("chicken.flonum#fpatan"));
lf[478]=C_h_intern(&lf[478],6, C_text("fpatan"));
lf[479]=C_h_intern(&lf[479],22, C_text("chicken.flonum#fpatan2"));
lf[480]=C_h_intern(&lf[480],7, C_text("fpatan2"));
lf[481]=C_h_intern(&lf[481],20, C_text("chicken.flonum#fpexp"));
lf[482]=C_h_intern(&lf[482],5, C_text("fpexp"));
lf[483]=C_h_intern(&lf[483],21, C_text("chicken.flonum#fpexpt"));
lf[484]=C_h_intern(&lf[484],6, C_text("fpexpt"));
lf[485]=C_h_intern(&lf[485],20, C_text("chicken.flonum#fplog"));
lf[486]=C_h_intern(&lf[486],5, C_text("fplog"));
lf[487]=C_h_intern(&lf[487],21, C_text("chicken.flonum#fpsqrt"));
lf[488]=C_h_intern(&lf[488],6, C_text("fpsqrt"));
lf[489]=C_h_intern(&lf[489],20, C_text("chicken.flonum#fpabs"));
lf[490]=C_h_intern(&lf[490],5, C_text("fpabs"));
lf[491]=C_h_intern(&lf[491],25, C_text("chicken.flonum#fpinteger\077"));
lf[492]=C_h_intern(&lf[492],10, C_text("fpinteger\077"));
lf[493]=C_h_intern(&lf[493],37, C_text("chicken.flonum#flonum-print-precision"));
lf[494]=C_h_intern(&lf[494],22, C_text("flonum-print-precision"));
lf[495]=C_h_intern(&lf[495],11, C_text("\003sysnumber\077"));
lf[496]=C_h_intern(&lf[496],12, C_text("\003sysinteger\077"));
lf[497]=C_h_intern(&lf[497],10, C_text("\003sysexact\077"));
lf[498]=C_h_intern(&lf[498],12, C_text("\003sysinexact\077"));
lf[500]=C_decode_literal(C_heaptop,C_text("\376U0.0\000"));
lf[501]=C_h_intern(&lf[501],23, C_text("scheme#make-rectangular"));
lf[502]=C_h_intern(&lf[502],16, C_text("make-rectangular"));
lf[503]=C_h_intern(&lf[503],17, C_text("scheme#make-polar"));
lf[504]=C_h_intern(&lf[504],10, C_text("make-polar"));
lf[505]=C_h_intern(&lf[505],16, C_text("scheme#real-part"));
lf[506]=C_h_intern(&lf[506],9, C_text("real-part"));
lf[507]=C_h_intern(&lf[507],16, C_text("scheme#imag-part"));
lf[508]=C_h_intern(&lf[508],9, C_text("imag-part"));
lf[509]=C_h_intern(&lf[509],12, C_text("scheme#angle"));
lf[510]=C_h_intern(&lf[510],5, C_text("angle"));
lf[511]=C_h_intern(&lf[511],16, C_text("scheme#magnitude"));
lf[512]=C_h_intern(&lf[512],11, C_text("scheme#sqrt"));
lf[513]=C_h_intern(&lf[513],9, C_text("magnitude"));
lf[515]=C_h_intern(&lf[515],16, C_text("scheme#numerator"));
lf[516]=C_h_intern(&lf[516],11, C_text("bad-inexact"));
lf[517]=C_h_intern(&lf[517],9, C_text("numerator"));
lf[518]=C_h_intern(&lf[518],21, C_text("scheme#inexact->exact"));
lf[519]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a rational number"));
lf[520]=C_h_intern(&lf[520],18, C_text("scheme#denominator"));
lf[521]=C_h_intern(&lf[521],11, C_text("denominator"));
lf[522]=C_decode_literal(C_heaptop,C_text("\376U1.0\000"));
lf[523]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a rational number"));
lf[524]=C_h_intern(&lf[524],19, C_text("\003sysextended-signum"));
lf[525]=C_h_intern(&lf[525],6, C_text("signum"));
lf[526]=C_h_intern(&lf[526],7, C_text("\003sys/-2"));
lf[527]=C_h_intern(&lf[527],14, C_text("inexact->exact"));
lf[528]=C_h_intern(&lf[528],17, C_text("\003sysinteger-power"));
lf[529]=C_decode_literal(C_heaptop,C_text("\376U2.0\000"));
lf[530]=C_decode_literal(C_heaptop,C_text("\376U-1.0\000"));
lf[531]=C_h_intern(&lf[531],11, C_text("scheme#expt"));
lf[532]=C_h_intern(&lf[532],18, C_text("\003sysexact->inexact"));
lf[533]=C_h_intern(&lf[533],18, C_text("\003sysinexact->exact"));
lf[534]=C_h_intern(&lf[534],16, C_text("chicken.bitwise#"));
lf[535]=C_h_intern(&lf[535],27, C_text("chicken.bitwise#bitwise-and"));
lf[536]=C_h_intern(&lf[536],27, C_text("chicken.bitwise#bitwise-ior"));
lf[537]=C_h_intern(&lf[537],27, C_text("chicken.bitwise#bitwise-xor"));
lf[538]=C_h_intern(&lf[538],27, C_text("chicken.bitwise#bitwise-not"));
lf[539]=C_h_intern(&lf[539],28, C_text("chicken.bitwise#bit->boolean"));
lf[540]=C_h_intern(&lf[540],30, C_text("chicken.bitwise#integer-length"));
lf[541]=C_h_intern(&lf[541],32, C_text("chicken.bitwise#arithmetic-shift"));
lf[542]=C_h_intern(&lf[542],8, C_text("scheme#/"));
lf[544]=C_h_intern(&lf[544],1, C_text("/"));
lf[545]=C_h_intern(&lf[545],12, C_text("scheme#floor"));
lf[546]=C_h_intern(&lf[546],5, C_text("floor"));
lf[547]=C_h_intern(&lf[547],14, C_text("scheme#ceiling"));
lf[548]=C_h_intern(&lf[548],7, C_text("ceiling"));
lf[549]=C_h_intern(&lf[549],15, C_text("scheme#truncate"));
lf[550]=C_h_intern(&lf[550],8, C_text("truncate"));
lf[551]=C_h_intern(&lf[551],12, C_text("scheme#round"));
lf[552]=C_h_intern(&lf[552],5, C_text("round"));
lf[554]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\001\000\000\000\000\376\003\000\000\002\376\377\001\000\000\000\001\376\377\016"));
lf[555]=C_h_intern(&lf[555],18, C_text("scheme#rationalize"));
lf[556]=C_h_intern(&lf[556],10, C_text("scheme#max"));
lf[557]=C_h_intern(&lf[557],3, C_text("max"));
lf[558]=C_h_intern(&lf[558],10, C_text("scheme#min"));
lf[559]=C_h_intern(&lf[559],3, C_text("min"));
lf[560]=C_h_intern(&lf[560],10, C_text("scheme#exp"));
lf[561]=C_h_intern(&lf[561],3, C_text("exp"));
lf[562]=C_h_intern(&lf[562],9, C_text("\003syslog-1"));
lf[563]=C_h_intern(&lf[563],17, C_text("\000arithmetic-error"));
lf[564]=C_h_intern(&lf[564],3, C_text("log"));
lf[565]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033log of exact 0 is undefined"));
lf[566]=C_h_intern(&lf[566],10, C_text("scheme#log"));
lf[567]=C_h_intern(&lf[567],10, C_text("scheme#sin"));
lf[568]=C_h_intern(&lf[568],3, C_text("sin"));
lf[569]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\000\000\000\001"));
lf[570]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\000\000\000\002"));
lf[571]=C_h_intern(&lf[571],10, C_text("scheme#cos"));
lf[572]=C_h_intern(&lf[572],3, C_text("cos"));
lf[573]=C_h_intern(&lf[573],10, C_text("scheme#tan"));
lf[574]=C_h_intern(&lf[574],3, C_text("tan"));
lf[575]=C_h_intern(&lf[575],11, C_text("scheme#asin"));
lf[576]=C_h_intern(&lf[576],4, C_text("asin"));
lf[577]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\377\377\377\377"));
lf[578]=C_h_intern(&lf[578],12, C_text("\003syssqrt/loc"));
lf[579]=C_h_intern(&lf[579],11, C_text("scheme#acos"));
lf[580]=C_h_intern(&lf[580],4, C_text("acos"));
lf[581]=C_h_intern(&lf[581],11, C_text("scheme#atan"));
lf[582]=C_h_intern(&lf[582],4, C_text("atan"));
lf[583]=C_h_intern(&lf[583],22, C_text("\003sysexact-integer-sqrt"));
lf[584]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030this should never happen"));
lf[585]=C_h_intern(&lf[585],31, C_text("chicken.base#exact-integer-sqrt"));
lf[586]=C_h_intern(&lf[586],18, C_text("exact-integer-sqrt"));
lf[587]=C_h_intern(&lf[587],4, C_text("sqrt"));
lf[588]=C_h_intern(&lf[588],35, C_text("chicken.base#exact-integer-nth-root"));
lf[589]=C_h_intern(&lf[589],30, C_text("\003sysexact-integer-nth-root/loc"));
lf[590]=C_h_intern(&lf[590],22, C_text("exact-integer-nth-root"));
lf[591]=C_h_intern(&lf[591],4, C_text("expt"));
lf[592]=C_decode_literal(C_heaptop,C_text("\376B\000\0006exponent of exact 0 with complex argument is undefined"));
lf[593]=C_h_intern(&lf[593],7, C_text("\003sysgcd"));
lf[594]=C_h_intern(&lf[594],3, C_text("gcd"));
lf[595]=C_h_intern(&lf[595],10, C_text("scheme#gcd"));
lf[596]=C_h_intern(&lf[596],7, C_text("\003syslcm"));
lf[597]=C_h_intern(&lf[597],3, C_text("lcm"));
lf[598]=C_h_intern(&lf[598],10, C_text("scheme#lcm"));
lf[599]=C_h_intern(&lf[599],29, C_text("\003sysinteger->string/recursive"));
lf[600]=C_h_intern(&lf[600],18, C_text("\003sysnumber->string"));
lf[601]=C_h_intern(&lf[601],27, C_text("\003sysextended-number->string"));
lf[602]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001/"));
lf[603]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001+"));
lf[604]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[605]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001i"));
lf[606]=C_h_intern(&lf[606],14, C_text("number->string"));
lf[609]=C_h_intern(&lf[609],1, C_text("e"));
lf[610]=C_h_intern(&lf[610],1, C_text("i"));
lf[611]=C_decode_literal(C_heaptop,C_text("\376U+inf.0\000"));
lf[612]=C_decode_literal(C_heaptop,C_text("\376U-inf.0\000"));
lf[613]=C_h_intern(&lf[613],3, C_text("neg"));
lf[614]=C_h_intern(&lf[614],3, C_text("pos"));
lf[615]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005inf.0"));
lf[616]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005nan.0"));
lf[617]=C_h_intern(&lf[617],21, C_text("scheme#string->number"));
lf[618]=C_h_intern(&lf[618],14, C_text("string->number"));
lf[619]=C_h_intern(&lf[619],18, C_text("\003sysstring->number"));
lf[620]=C_h_intern(&lf[620],18, C_text("\003sysfixnum->string"));
lf[621]=C_h_intern(&lf[621],18, C_text("\003sysflonum->string"));
lf[622]=C_h_intern(&lf[622],19, C_text("\003sysinteger->string"));
lf[623]=C_h_intern(&lf[623],20, C_text("chicken.base#equal=\077"));
lf[624]=C_h_intern(&lf[624],9, C_text("\003syssnafu"));
lf[625]=C_h_intern(&lf[625],9, C_text("\003sysfnord"));
lf[626]=C_h_intern(&lf[626],17, C_text("\003sysintern-symbol"));
lf[627]=C_h_intern(&lf[627],20, C_text("\003sysinterned-symbol\077"));
lf[628]=C_h_intern(&lf[628],18, C_text("\003sysstring->symbol"));
lf[629]=C_h_intern(&lf[629],18, C_text("\003syssymbol->string"));
lf[630]=C_h_intern(&lf[630],28, C_text("\003syssymbol->qualified-string"));
lf[631]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002##"));
lf[632]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001#"));
lf[633]=C_h_intern(&lf[633],27, C_text("\003sysqualified-symbol-prefix"));
lf[634]=C_h_intern(&lf[634],21, C_text("\003sysqualified-symbol\077"));
lf[635]=C_h_intern(&lf[635],28, C_text("\003sysstring->qualified-symbol"));
lf[636]=C_h_intern(&lf[636],21, C_text("scheme#symbol->string"));
lf[637]=C_h_intern(&lf[637],14, C_text("symbol->string"));
lf[638]=C_h_intern(&lf[638],21, C_text("scheme#string->symbol"));
lf[639]=C_h_intern(&lf[639],14, C_text("string->symbol"));
lf[640]=C_h_intern(&lf[640],38, C_text("chicken.base#string->uninterned-symbol"));
lf[641]=C_h_intern(&lf[641],25, C_text("string->uninterned-symbol"));
lf[642]=C_h_intern(&lf[642],19, C_text("chicken.base#gensym"));
lf[643]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001g"));
lf[644]=C_h_intern(&lf[644],6, C_text("gensym"));
lf[645]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042argument is not a string or symbol"));
lf[646]=C_h_intern(&lf[646],26, C_text("chicken.base#symbol-append"));
lf[647]=C_h_intern(&lf[647],13, C_text("symbol-append"));
lf[648]=C_h_intern(&lf[648],16, C_text("chicken.keyword#"));
lf[649]=C_h_intern(&lf[649],24, C_text("chicken.keyword#keyword\077"));
lf[650]=C_h_intern(&lf[650],31, C_text("chicken.keyword#string->keyword"));
lf[651]=C_h_intern(&lf[651],15, C_text("string->keyword"));
lf[652]=C_h_intern(&lf[652],31, C_text("chicken.keyword#keyword->string"));
lf[653]=C_h_intern(&lf[653],15, C_text("keyword->string"));
lf[654]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a keyword"));
lf[655]=C_h_intern(&lf[655],3, C_text("tag"));
lf[656]=C_h_intern(&lf[656],27, C_text("chicken.keyword#get-keyword"));
lf[657]=C_h_intern(&lf[657],11, C_text("get-keyword"));
lf[658]=C_h_intern(&lf[658],15, C_text("\003sysget-keyword"));
lf[659]=C_h_intern(&lf[659],13, C_text("chicken.blob#"));
lf[660]=C_h_intern(&lf[660],13, C_text("\003sysmake-blob"));
lf[661]=C_h_intern(&lf[661],22, C_text("chicken.blob#make-blob"));
lf[662]=C_h_intern(&lf[662],9, C_text("make-blob"));
lf[663]=C_h_intern(&lf[663],18, C_text("chicken.blob#blob\077"));
lf[664]=C_h_intern(&lf[664],22, C_text("chicken.blob#blob-size"));
lf[665]=C_h_intern(&lf[665],9, C_text("blob-size"));
lf[666]=C_h_intern(&lf[666],25, C_text("chicken.blob#string->blob"));
lf[667]=C_h_intern(&lf[667],12, C_text("string->blob"));
lf[668]=C_h_intern(&lf[668],25, C_text("chicken.blob#blob->string"));
lf[669]=C_h_intern(&lf[669],12, C_text("blob->string"));
lf[670]=C_h_intern(&lf[670],19, C_text("chicken.blob#blob=\077"));
lf[671]=C_h_intern(&lf[671],6, C_text("blob=\077"));
lf[672]=C_h_intern(&lf[672],11, C_text("make-vector"));
lf[673]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020size is negative"));
lf[674]=C_h_intern(&lf[674],15, C_text("\003sysmake-vector"));
lf[675]=C_h_intern(&lf[675],12, C_text("list->vector"));
lf[676]=C_h_intern(&lf[676],12, C_text("vector->list"));
lf[677]=C_h_intern(&lf[677],12, C_text("vector-fill!"));
lf[678]=C_h_intern(&lf[678],12, C_text("vector-copy!"));
lf[679]=C_decode_literal(C_heaptop,C_text("\376B\000\000)cannot copy vector - count exceeds length"));
lf[680]=C_h_intern(&lf[680],9, C_text("subvector"));
lf[681]=C_h_intern(&lf[681],13, C_text("vector-resize"));
lf[683]=C_h_intern(&lf[683],9, C_text("char-name"));
lf[684]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026invalid character name"));
lf[685]=C_h_intern(&lf[685],34, C_text("\003syscall-with-current-continuation"));
lf[686]=C_h_intern(&lf[686],21, C_text("\003syscall-with-cthulhu"));
lf[687]=C_h_intern(&lf[687],20, C_text("\003syscall-with-values"));
lf[688]=C_h_intern(&lf[688],12, C_text("\003sysfor-each"));
lf[689]=C_h_intern(&lf[689],8, C_text("for-each"));
lf[690]=C_h_intern(&lf[690],7, C_text("\003sysmap"));
lf[691]=C_h_intern(&lf[691],3, C_text("map"));
lf[692]=C_decode_literal(C_heaptop,C_text("\376B\000\000\034lists are not of same length"));
lf[693]=C_h_intern(&lf[693],17, C_text("\003sysdynamic-winds"));
lf[694]=C_h_intern(&lf[694],16, C_text("\003sysdynamic-wind"));
lf[696]=C_h_intern(&lf[696],16, C_text("input-port-open\077"));
lf[697]=C_h_intern(&lf[697],17, C_text("output-port-open\077"));
lf[698]=C_h_intern(&lf[698],14, C_text("\003syscheck-port"));
lf[699]=C_h_intern(&lf[699],12, C_text("port-closed\077"));
lf[700]=C_h_intern(&lf[700],13, C_text("\003sysmake-port"));
lf[701]=C_h_intern(&lf[701],22, C_text("\003sysdispatch-interrupt"));
lf[702]=C_h_intern(&lf[702],11, C_text("\000file-error"));
lf[703]=C_h_intern(&lf[703],9, C_text("read-char"));
lf[704]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[705]=C_h_intern(&lf[705],17, C_text("\003syspeek-c-string"));
lf[706]=C_h_intern(&lf[706],16, C_text("\003sysupdate-errno"));
lf[707]=C_h_intern(&lf[707],9, C_text("peek-char"));
lf[708]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[709]=C_h_intern(&lf[709],12, C_text("read-string!"));
lf[710]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[711]=C_h_intern(&lf[711],9, C_text("read-line"));
lf[712]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[713]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[714]=C_h_intern(&lf[714],21, C_text("\003sysstream-port-class"));
lf[715]=C_h_intern(&lf[715],18, C_text("\003sysopen-file-port"));
lf[716]=C_h_intern(&lf[716],18, C_text("\003sysstandard-input"));
lf[717]=C_h_intern(&lf[717],19, C_text("\003sysstandard-output"));
lf[718]=C_h_intern(&lf[718],18, C_text("\003sysstandard-error"));
lf[719]=C_h_intern(&lf[719],20, C_text("\003syscheck-input-port"));
lf[720]=C_h_intern(&lf[720],21, C_text("\003syscheck-output-port"));
lf[721]=C_h_intern(&lf[721],19, C_text("\003syscheck-open-port"));
lf[722]=C_h_intern(&lf[722],18, C_text("current-input-port"));
lf[723]=C_h_intern(&lf[723],19, C_text("current-output-port"));
lf[724]=C_h_intern(&lf[724],18, C_text("current-error-port"));
lf[725]=C_h_intern(&lf[725],13, C_text("\003systty-port\077"));
lf[726]=C_h_intern(&lf[726],25, C_text("\003syspeek-unsigned-integer"));
lf[727]=C_h_intern(&lf[727],13, C_text("\003sysport-data"));
lf[728]=C_h_intern(&lf[728],18, C_text("\003sysset-port-data!"));
lf[729]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001r"));
lf[730]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001w"));
lf[731]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[732]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023cannot open file - "));
lf[733]=C_h_intern(&lf[733],6, C_text("stream"));
lf[734]=C_h_intern(&lf[734],7, C_text("\000binary"));
lf[735]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001b"));
lf[736]=C_h_intern(&lf[736],5, C_text("\000text"));
lf[737]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[738]=C_h_intern(&lf[738],7, C_text("\000append"));
lf[739]=C_decode_literal(C_heaptop,C_text("\376B\000\000&cannot use append mode with input file"));
lf[740]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001a"));
lf[741]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023invalid file option"));
lf[742]=C_h_intern(&lf[742],15, C_text("open-input-file"));
lf[743]=C_h_intern(&lf[743],16, C_text("open-output-file"));
lf[744]=C_h_intern(&lf[744],16, C_text("close-input-port"));
lf[745]=C_h_intern(&lf[745],17, C_text("close-output-port"));
lf[746]=C_h_intern(&lf[746],16, C_text("\003sysfile-exists\077"));
lf[747]=C_decode_literal(C_heaptop,C_text("\376B\000\000(system error while trying to access file"));
lf[748]=C_h_intern(&lf[748],17, C_text("\003sysmake-c-string"));
lf[749]=C_h_intern(&lf[749],16, C_text("\003sysflush-output"));
lf[750]=C_h_intern(&lf[750],12, C_text("flush-output"));
lf[751]=C_h_intern(&lf[751],13, C_text("\003sysport-line"));
lf[752]=C_h_intern(&lf[752],19, C_text("\003sysdecorate-lambda"));
lf[753]=C_h_intern(&lf[753],21, C_text("\003syslambda-decoration"));
lf[754]=C_h_intern(&lf[754],20, C_text("\003sysmake-lambda-info"));
lf[755]=C_h_intern(&lf[755],16, C_text("\003syslambda-info\077"));
lf[756]=C_h_intern(&lf[756],15, C_text("\003syslambda-info"));
lf[757]=C_h_intern(&lf[757],23, C_text("\003syslambda-info->string"));
lf[758]=C_h_intern(&lf[758],8, C_text("\003sysread"));
lf[759]=C_h_intern(&lf[759],21, C_text("procedure-information"));
lf[760]=C_h_intern(&lf[760],6, C_text("setter"));
lf[762]=C_h_intern(&lf[762],10, C_text("\003syssetter"));
lf[763]=C_h_intern(&lf[763],18, C_text("getter-with-setter"));
lf[765]=C_h_intern(&lf[765],28, C_text("\003syscurrent-parameter-vector"));
lf[766]=C_decode_literal(C_heaptop,C_text("\376\000\000\000\000"));
lf[767]=C_h_intern(&lf[767],11, C_text("char-ready\077"));
lf[768]=C_h_intern(&lf[768],15, C_text("\003sysread-char-0"));
lf[769]=C_h_intern(&lf[769],18, C_text("\003sysread-char/port"));
lf[770]=C_h_intern(&lf[770],15, C_text("\003syspeek-char-0"));
lf[771]=C_h_intern(&lf[771],4, C_text("read"));
lf[772]=C_h_intern(&lf[772],26, C_text("\003sysdefault-read-info-hook"));
lf[773]=C_h_intern(&lf[773],31, C_text("\003sysread-error-with-line-number"));
lf[774]=C_h_intern(&lf[774],21, C_text("\003sysenable-qualifiers"));
lf[775]=C_h_intern(&lf[775],20, C_text("\003sysread-prompt-hook"));
lf[776]=C_h_intern(&lf[776],19, C_text("\003sysinfix-list-hook"));
lf[777]=C_h_intern(&lf[777],21, C_text("\003syssharp-number-hook"));
lf[778]=C_h_intern(&lf[778],14, C_text("\003sysread-error"));
lf[779]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid `#...\047 read syntax"));
lf[780]=C_h_intern(&lf[780],22, C_text("\003syscurrent-read-table"));
lf[781]=C_h_intern(&lf[781],16, C_text("\003sysread-warning"));
lf[782]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006(line "));
lf[783]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[784]=C_h_intern(&lf[784],13, C_text("\000syntax-error"));
lf[785]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006(line "));
lf[786]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[787]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000,\376\003\000\000\002\376\377\012\000\000;\376\003\000\000\002\376\377\012\000\000(\376\003\000\000\002\376\377\012\000\000)\376\003\000\000\002\376\377\012\000\000\047\376\003\000\000\002\376\377\012\000\000\042\376\003\000\000\002\376\377\012\000\000[\376\003\000"
"\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\377\016"));
lf[788]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unexpected list terminator"));
lf[789]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022reserved character"));
lf[790]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid escape-sequence \047\134"));
lf[791]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\047"));
lf[792]=C_decode_literal(C_heaptop,C_text("\376B\000\000\034unterminated string constant"));
lf[793]=C_h_intern(&lf[793],21, C_text("\003syschar->utf8-string"));
lf[794]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023unterminated string"));
lf[795]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001x"));
lf[796]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022bad surrogate pair"));
lf[797]=C_h_intern(&lf[797],25, C_text("\003syssurrogates->codepoint"));
lf[798]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001u"));
lf[799]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unpaired escaped surrogate"));
lf[800]=C_h_intern(&lf[800],22, C_text("\003sysunicode-surrogate\077"));
lf[801]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001u"));
lf[802]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid escape (surrogate)"));
lf[803]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001U"));
lf[804]=C_decode_literal(C_heaptop,C_text("\376B\000\0006escaped whitespace, but no newline - collapsing anyway"));
lf[805]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023unterminated string"));
lf[806]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[807]=C_decode_literal(C_heaptop,C_text("\376B\000\000\077undefined escape sequence in string - probably forgot backslash"));
lf[808]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023, starting in line "));
lf[809]=C_h_intern(&lf[809],9, C_text("list-info"));
lf[810]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030list-terminator mismatch"));
lf[811]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021unterminated list"));
lf[812]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027missing list terminator"));
lf[813]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid use of `.\047"));
lf[814]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002.:"));
lf[815]=C_h_intern(&lf[815],7, C_text("\000suffix"));
lf[816]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[817]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[818]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015missing token"));
lf[819]=C_h_intern(&lf[819],16, C_text("\003syslist->vector"));
lf[820]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025invalid vector syntax"));
lf[821]=C_h_intern(&lf[821],11, C_text("symbol-info"));
lf[822]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[823]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid use of `.\047"));
lf[824]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042unexpected prefix in number syntax"));
lf[825]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025illegal number syntax"));
lf[826]=C_decode_literal(C_heaptop,C_text("\376B\000\000!unexpected end of numeric literal"));
lf[827]=C_decode_literal(C_heaptop,C_text("\376B\000\0000illegal number syntax - invalid exactness prefix"));
lf[828]=C_decode_literal(C_heaptop,C_text("\376B\000\000!unexpected end of numeric literal"));
lf[829]=C_decode_literal(C_heaptop,C_text("\376B\000\000%illegal number syntax - invalid radix"));
lf[830]=C_decode_literal(C_heaptop,C_text("\376B\000\000Eattempt to read expression from something that looks like binary data"));
lf[831]=C_decode_literal(C_heaptop,C_text("\376B\000\000\052escaped symbol syntax spans multiple lines"));
lf[832]=C_h_intern(&lf[832],7, C_text("\000prefix"));
lf[833]=C_decode_literal(C_heaptop,C_text("\376B\000\0006unexpected end of file while reading escaped character"));
lf[834]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027unknown named character"));
lf[835]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unterminated block-comment"));
lf[836]=C_decode_literal(C_heaptop,C_text("\376B\000\000\037invalid qualified symbol syntax"));
lf[837]=C_decode_literal(C_heaptop,C_text("\376B\000\000&qualified symbol syntax is not allowed"));
lf[838]=C_h_intern(&lf[838],5, C_text("quote"));
lf[839]=C_h_intern(&lf[839],10, C_text("quasiquote"));
lf[840]=C_h_intern(&lf[840],16, C_text("unquote-splicing"));
lf[841]=C_h_intern(&lf[841],7, C_text("unquote"));
lf[842]=C_decode_literal(C_heaptop,C_text("\376B\000\000,unexpected end of input after reading #-sign"));
lf[843]=C_decode_literal(C_heaptop,C_text("\376B\000\000%unexpected end of input after reading"));
lf[844]=C_decode_literal(C_heaptop,C_text("\376B\000\000!invalid parameterized read syntax"));
lf[845]=C_decode_literal(C_heaptop,C_text("\376B\000\0006unexpected end of input while reading `#c...\047 sequence"));
lf[846]=C_decode_literal(C_heaptop,C_text("\376B\000\000\052invalid case specifier in `#c...\047 sequence"));
lf[847]=C_h_intern(&lf[847],11, C_text("quasisyntax"));
lf[848]=C_h_intern(&lf[848],27, C_text("\003sysread-bytevector-literal"));
lf[849]=C_h_intern(&lf[849],8, C_text("location"));
lf[850]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015empty keyword"));
lf[851]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001#"));
lf[852]=C_h_intern(&lf[852],11, C_text("cond-expand"));
lf[853]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\004else\376\377\016"));
lf[854]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003eof"));
lf[855]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010optional"));
lf[856]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004rest"));
lf[857]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003key"));
lf[858]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#!"));
lf[859]=C_h_intern(&lf[859],14, C_text("\003sysread-marks"));
lf[860]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid `#!\047 token"));
lf[861]=C_h_intern(&lf[861],18, C_text("\003sysuser-read-hook"));
lf[862]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000[\376\003\000\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\377\016"));
lf[863]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000|\376\377\016"));
lf[864]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035UTF-8 codepoint out of range:"));
lf[865]=C_decode_literal(C_heaptop,C_text("\376B\000\000 invalid hex-code in blob-literal"));
lf[866]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036unexpected end of blob literal"));
lf[867]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036invalid sharp-sign read syntax"));
lf[868]=C_h_intern(&lf[868],16, C_text("\003syswrite-char-0"));
lf[869]=C_h_intern(&lf[869],19, C_text("\003syswrite-char/port"));
lf[870]=C_h_intern(&lf[870],10, C_text("write-char"));
lf[871]=C_h_intern(&lf[871],5, C_text("write"));
lf[872]=C_h_intern(&lf[872],9, C_text("\003sysprint"));
lf[873]=C_h_intern(&lf[873],7, C_text("display"));
lf[874]=C_h_intern(&lf[874],5, C_text("print"));
lf[876]=C_h_intern(&lf[876],22, C_text("\003sysprint-length-limit"));
lf[878]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003..."));
lf[879]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003..."));
lf[880]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134x"));
lf[881]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000(\376\003\000\000\002\376\377\012\000\000)\376\003\000\000\002\376\377\012\000\000,\376\003\000\000\002\376\377\012\000\000[\376\003\000\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\003\000"
"\000\002\376\377\012\000\000\047\376\003\000\000\002\376\377\012\000\000\042\376\003\000\000\002\376\377\012\000\000;\376\003\000\000\002\376\377\012\000\000 \376\003\000\000\002\376\377\012\000\000`\376\003\000\000\002\376\377\012\000\000|\376\003\000\000\002\376\377\012\000\000\134\376\377\016"));
lf[882]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002()"));
lf[883]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#t"));
lf[884]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#f"));
lf[885]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005#!eof"));
lf[886]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<unspecified>"));
lf[887]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#\134"));
lf[888]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020#<unbound value>"));
lf[889]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033#<invalid immediate object>"));
lf[890]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033#<invalid forwarded object>"));
lf[891]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#:"));
lf[892]=C_h_intern(&lf[892],19, C_text("\003syspointer->string"));
lf[893]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134\042"));
lf[894]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134\134"));
lf[895]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003 . "));
lf[896]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003#${"));
lf[897]=C_h_intern(&lf[897],19, C_text("\003sysuser-print-hook"));
lf[898]=C_h_intern(&lf[898],21, C_text("\003sysprocedure->string"));
lf[899]=C_decode_literal(C_heaptop,C_text("\376B\000\000\013#<locative>"));
lf[900]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<lambda info "));
lf[901]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\042>"));
lf[902]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<input port \042"));
lf[903]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017#<output port \042"));
lf[904]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010#<port \042"));
lf[905]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003#()"));
lf[906]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#("));
lf[907]=C_decode_literal(C_heaptop,C_text("\376B\000\000,unprintable non-immediate object encountered"));
lf[908]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<procedure "));
lf[909]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[910]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<procedure>"));
lf[911]=C_h_intern(&lf[911],19, C_text("\003sysrecord-printers"));
lf[912]=C_h_intern(&lf[912],27, C_text("\003sysregister-record-printer"));
lf[913]=C_h_intern(&lf[913],9, C_text("condition"));
lf[914]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[915]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003\047: "));
lf[916]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\047>"));
lf[917]=C_decode_literal(C_heaptop,C_text("\376B\000\000##<Error in printer of record type `"));
lf[918]=C_h_intern(&lf[918],40, C_text("chicken.condition#with-exception-handler"));
lf[919]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[920]=C_h_intern(&lf[920],6, C_text("thread"));
lf[921]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[922]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#<"));
lf[923]=C_h_intern(&lf[923],27, C_text("\003syswith-print-length-limit"));
lf[924]=C_h_intern(&lf[924],14, C_text("\003syscopy-bytes"));
lf[925]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022string buffer full"));
lf[926]=C_h_intern(&lf[926],20, C_text("\003sysscan-buffer-line"));
lf[927]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[928]=C_h_intern(&lf[928],21, C_text("\003sysstring-port-class"));
lf[929]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\015"));
lf[930]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\015"));
lf[931]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[932]=C_h_intern(&lf[932],17, C_text("open-input-string"));
lf[933]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(string)"));
lf[934]=C_h_intern(&lf[934],6, C_text("string"));
lf[935]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(string)"));
lf[936]=C_h_intern(&lf[936],17, C_text("get-output-string"));
lf[937]=C_decode_literal(C_heaptop,C_text("\376B\000\000$argument is not a string-output-port"));
lf[938]=C_h_intern(&lf[938],19, C_text("\003sysprint-to-string"));
lf[939]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021#<tagged pointer "));
lf[940]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001 "));
lf[941]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[942]=C_h_intern(&lf[942],20, C_text("\003syspointer->address"));
lf[943]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<pointer 0x"));
lf[944]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[945]=C_h_intern(&lf[945],18, C_text("\003syscurrent-thread"));
lf[946]=C_h_intern(&lf[946],25, C_text("\003syspeek-nonnull-c-string"));
lf[947]=C_h_intern(&lf[947],27, C_text("\003sysreally-print-call-chain"));
lf[948]=C_h_intern(&lf[948],9, C_text("frameinfo"));
lf[949]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002] "));
lf[950]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003\011  "));
lf[951]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\012\011"));
lf[952]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005\011<--\012"));
lf[953]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020\012\011Call history:\012"));
lf[954]=C_h_intern(&lf[954],16, C_text("print-call-chain"));
lf[955]=C_h_intern(&lf[955],23, C_text("\003sysuser-interrupt-hook"));
lf[956]=C_h_intern(&lf[956],15, C_text("\000user-interrupt"));
lf[957]=C_h_intern(&lf[957],21, C_text("\003sysprimordial-thread"));
lf[960]=C_h_intern(&lf[960],20, C_text("\003sysforce-finalizers"));
lf[961]=C_h_intern(&lf[961],27, C_text("chicken.gc#force-finalizers"));
lf[962]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036[debug] forcing finalizers...\012"));
lf[963]=C_h_intern(&lf[963],19, C_text("\003sysdump-heap-state"));
lf[964]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[965]=C_h_intern(&lf[965],17, C_text("\003sysreset-handler"));
lf[966]=C_h_intern(&lf[966],18, C_text("chicken.condition#"));
lf[967]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\016user-interrupt\376\377\016"));
lf[968]=C_h_intern(&lf[968],23, C_text("chicken.condition#abort"));
lf[969]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[970]=C_decode_literal(C_heaptop,C_text("\376B\000\000\012\012Warning: "));
lf[971]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007\012Note: "));
lf[972]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[973]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\011arguments"));
lf[974]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\012call-chain"));
lf[975]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\010location"));
lf[976]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\004type\376\377\016"));
lf[977]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006syntax\376\377\016"));
lf[978]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006bounds\376\377\016"));
lf[979]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\012arithmetic\376\377\016"));
lf[980]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\003i/o\376\003\000\000\002\376\001\000\000\004file\376\377\016"));
lf[981]=C_h_intern(&lf[981],14, C_text("\000runtime-error"));
lf[982]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\007runtime\376\377\016"));
lf[983]=C_h_intern(&lf[983],14, C_text("\000process-error"));
lf[984]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\007process\376\377\016"));
lf[985]=C_h_intern(&lf[985],14, C_text("\000network-error"));
lf[986]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\003i/o\376\003\000\000\002\376\001\000\000\003net\376\377\016"));
lf[987]=C_h_intern(&lf[987],22, C_text("\000network-timeout-error"));
lf[988]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\003i/o\376\003\000\000\002\376\001\000\000\003net\376\003\000\000\002\376\001\000\000\007timeout\376\377\016"));
lf[989]=C_h_intern(&lf[989],12, C_text("\000limit-error"));
lf[990]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\007runtime\376\003\000\000\002\376\001\000\000\005limit\376\377\016"));
lf[991]=C_h_intern(&lf[991],12, C_text("\000arity-error"));
lf[992]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\005arity\376\377\016"));
lf[993]=C_h_intern(&lf[993],13, C_text("\000access-error"));
lf[994]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006access\376\377\016"));
lf[995]=C_h_intern(&lf[995],13, C_text("\000domain-error"));
lf[996]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006domain\376\377\016"));
lf[997]=C_h_intern(&lf[997],13, C_text("\000memory-error"));
lf[998]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006memory\376\377\016"));
lf[999]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\377\016"));
lf[1000]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[1001]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032exception handler returned"));
lf[1002]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\011arguments"));
lf[1003]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\010location"));
lf[1004]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\377\016"));
lf[1005]=C_h_intern(&lf[1005],29, C_text("\003syscurrent-exception-handler"));
lf[1006]=C_h_intern(&lf[1006],24, C_text("chicken.condition#signal"));
lf[1007]=C_h_intern(&lf[1007],18, C_text("\003sysbreak-on-error"));
lf[1008]=C_h_intern(&lf[1008],17, C_text("\003syserror-handler"));
lf[1009]=C_h_intern(&lf[1009],18, C_text("\003syslast-exception"));
lf[1010]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022uncaught-exception\376\001\000\000\006reason"));
lf[1011]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022uncaught-exception\376\377\016"));
lf[1012]=C_h_intern(&lf[1012],3, C_text("exn"));
lf[1013]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[1014]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\011arguments"));
lf[1015]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\010location"));
lf[1016]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001("));
lf[1017]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[1018]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1019]=C_decode_literal(C_heaptop,C_text("\376B\000\000 <exn: has no `message\047 property>"));
lf[1020]=C_h_intern(&lf[1020],14, C_text("user-interrupt"));
lf[1021]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030\012\052\052\052 user interrupt \052\052\052\012"));
lf[1022]=C_h_intern(&lf[1022],18, C_text("uncaught-exception"));
lf[1023]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022uncaught-exception\376\001\000\000\006reason"));
lf[1024]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022uncaught exception"));
lf[1025]=C_h_intern(&lf[1025],43, C_text("chicken.condition#current-exception-handler"));
lf[1026]=C_h_intern(&lf[1026],25, C_text("current-exception-handler"));
lf[1028]=C_decode_literal(C_heaptop,C_text("\376B\000\000%argument is not an even property list"));
lf[1029]=C_h_intern(&lf[1029],41, C_text("chicken.condition#make-property-condition"));
lf[1030]=C_h_intern(&lf[1030],23, C_text("make-property-condition"));
lf[1031]=C_h_intern(&lf[1031],42, C_text("chicken.condition#make-composite-condition"));
lf[1032]=C_h_intern(&lf[1032],24, C_text("make-composite-condition"));
lf[1033]=C_h_intern(&lf[1033],27, C_text("chicken.condition#condition"));
lf[1034]=C_h_intern(&lf[1034],28, C_text("chicken.condition#condition\077"));
lf[1035]=C_h_intern(&lf[1035],33, C_text("chicken.condition#condition->list"));
lf[1036]=C_h_intern(&lf[1036],15, C_text("condition->list"));
lf[1037]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042argument is not a condition object"));
lf[1038]=C_h_intern(&lf[1038],37, C_text("chicken.condition#condition-predicate"));
lf[1039]=C_h_intern(&lf[1039],45, C_text("chicken.condition#condition-property-accessor"));
lf[1040]=C_h_intern(&lf[1040],27, C_text("condition-property-accessor"));
lf[1041]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036condition has no such property"));
lf[1042]=C_h_intern(&lf[1042],40, C_text("chicken.condition#get-condition-property"));
lf[1043]=C_h_intern(&lf[1043],37, C_text("chicken.condition#print-error-message"));
lf[1044]=C_h_intern(&lf[1044],19, C_text("print-error-message"));
lf[1045]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1046]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001("));
lf[1047]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[1048]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1049]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\016user-interrupt\376\377\016"));
lf[1050]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030: \052\052\052 user interrupt \052\052\052"));
lf[1051]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016: <condition> "));
lf[1052]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1053]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026: uncaught exception: "));
lf[1054]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005Error"));
lf[1055]=C_h_intern(&lf[1055],26, C_text("\003sysshow-exception-warning"));
lf[1056]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1057]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ("));
lf[1058]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007Warning"));
lf[1059]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument count - received "));
lf[1060]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016 but expected "));
lf[1061]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035too few arguments - received "));
lf[1062]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016 but expected "));
lf[1063]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[1064]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020unbound variable"));
lf[1065]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015out of memory"));
lf[1066]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020division by zero"));
lf[1067]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014out of range"));
lf[1068]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025call of non-procedure"));
lf[1069]=C_decode_literal(C_heaptop,C_text("\376B\000\000+continuation cannot receive multiple values"));
lf[1070]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a non-cyclic list"));
lf[1071]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022recursion too deep"));
lf[1072]=C_decode_literal(C_heaptop,C_text("\376B\000\0007inexact number cannot be represented as an exact number"));
lf[1073]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not a proper list"));
lf[1074]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a fixnum"));
lf[1075]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a number"));
lf[1076]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a string"));
lf[1077]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a pair"));
lf[1078]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a list"));
lf[1079]=C_decode_literal(C_heaptop,C_text("\376B\000\000#bad argument type - not a character"));
lf[1080]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a vector"));
lf[1081]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a symbol"));
lf[1082]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016stack overflow"));
lf[1083]=C_decode_literal(C_heaptop,C_text("\376B\000\0008bad argument type - not a structure of the required type"));
lf[1084]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a blob"));
lf[1085]=C_decode_literal(C_heaptop,C_text("\376B\000\000#locative refers to reclaimed object"));
lf[1086]=C_decode_literal(C_heaptop,C_text("\376B\000\000-bad argument type - not a non-immediate value"));
lf[1087]=C_decode_literal(C_heaptop,C_text("\376B\000\000\047bad argument type - not a number vector"));
lf[1088]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042bad argument type - not an integer"));
lf[1089]=C_decode_literal(C_heaptop,C_text("\376B\000\000+bad argument type - not an unsigned integer"));
lf[1090]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a pointer"));
lf[1091]=C_decode_literal(C_heaptop,C_text("\376B\000\000(bad argument type - not a tagged pointer"));
lf[1092]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a flonum"));
lf[1093]=C_decode_literal(C_heaptop,C_text("\376B\000\000#bad argument type - not a procedure"));
lf[1094]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - invalid base"));
lf[1095]=C_decode_literal(C_heaptop,C_text("\376B\000\000/recursion too deep or circular data encountered"));
lf[1096]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a boolean"));
lf[1097]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042bad argument type - not a locative"));
lf[1098]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a port"));
lf[1099]=C_decode_literal(C_heaptop,C_text("\376B\000\0002bad argument type - not a port of the correct type"));
lf[1100]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not an input-port"));
lf[1101]=C_decode_literal(C_heaptop,C_text("\376B\000\000&bad argument type - not an output-port"));
lf[1102]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023port already closed"));
lf[1103]=C_decode_literal(C_heaptop,C_text("\376B\000\0002cannot represent string with NUL bytes as C string"));
lf[1104]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026segmentation violation"));
lf[1105]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030floating-point exception"));
lf[1106]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023illegal instruction"));
lf[1107]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011bus error"));
lf[1108]=C_decode_literal(C_heaptop,C_text("\376B\000\000\047bad argument type - not an exact number"));
lf[1109]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not an inexact number"));
lf[1110]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a real"));
lf[1111]=C_decode_literal(C_heaptop,C_text("\376B\000\0002bad argument type - complex number has no ordering"));
lf[1112]=C_decode_literal(C_heaptop,C_text("\376B\000\000(bad argument type - not an exact integer"));
lf[1113]=C_decode_literal(C_heaptop,C_text("\376B\000\000#number does not fit in foreign type"));
lf[1114]=C_decode_literal(C_heaptop,C_text("\376B\000\000/cannot compute absolute value of complex number"));
lf[1115]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026unknown internal error"));
lf[1116]=C_h_intern(&lf[1116],14, C_text("\003sysstructure\077"));
lf[1117]=C_h_intern(&lf[1117],22, C_text("\003sysgeneric-structure\077"));
lf[1118]=C_h_intern(&lf[1118],8, C_text("\003sysslot"));
lf[1119]=C_h_intern(&lf[1119],8, C_text("\003syssize"));
lf[1120]=C_h_intern(&lf[1120],16, C_text("\003sysmake-pointer"));
lf[1121]=C_h_intern(&lf[1121],23, C_text("\003sysmake-tagged-pointer"));
lf[1122]=C_h_intern(&lf[1122],12, C_text("\003syspointer\077"));
lf[1123]=C_h_intern(&lf[1123],24, C_text("\003sysset-pointer-address!"));
lf[1124]=C_h_intern(&lf[1124],15, C_text("\003sysbytevector\077"));
lf[1125]=C_h_intern(&lf[1125],23, C_text("\003sysstring->pbytevector"));
lf[1126]=C_h_intern(&lf[1126],14, C_text("\003syspermanent\077"));
lf[1127]=C_h_intern(&lf[1127],17, C_text("\003sysblock-address"));
lf[1128]=C_h_intern(&lf[1128],13, C_text("\003syslocative\077"));
lf[1129]=C_h_intern(&lf[1129],18, C_text("\003syssrfi-4-vector\077"));
lf[1130]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\010u8vector\376\003\000\000\002\376\001\000\000\011u16vector\376\003\000\000\002\376\001\000\000\010s8vector\376\003\000\000\002\376\001\000\000\011s16vector\376\003\000\000\002\376"
"\001\000\000\011u32vector\376\003\000\000\002\376\001\000\000\011s32vector\376\003\000\000\002\376\001\000\000\011u64vector\376\003\000\000\002\376\001\000\000\011s64vector\376\003\000\000\002\376\001\000\000\011"
"f32vector\376\003\000\000\002\376\001\000\000\011f64vector\376\377\016"));
lf[1131]=C_h_intern(&lf[1131],16, C_text("\003sysnull-pointer"));
lf[1132]=C_h_intern(&lf[1132],17, C_text("\003sysnull-pointer\077"));
lf[1133]=C_h_intern(&lf[1133],20, C_text("\003sysaddress->pointer"));
lf[1134]=C_h_intern(&lf[1134],23, C_text("\003syspeek-signed-integer"));
lf[1135]=C_h_intern(&lf[1135],15, C_text("\003syspeek-fixnum"));
lf[1136]=C_h_intern(&lf[1136],13, C_text("\003syspeek-byte"));
lf[1137]=C_h_intern(&lf[1137],22, C_text("\003sysvector->structure!"));
lf[1138]=C_h_intern(&lf[1138],15, C_text("\003syspeek-double"));
lf[1139]=C_h_intern(&lf[1139],26, C_text("\003syspeek-and-free-c-string"));
lf[1140]=C_h_intern(&lf[1140],34, C_text("\003syspeek-and-free-nonnull-c-string"));
lf[1141]=C_h_intern(&lf[1141],17, C_text("\003syspoke-c-string"));
lf[1142]=C_h_intern(&lf[1142],16, C_text("\003syspoke-integer"));
lf[1143]=C_h_intern(&lf[1143],15, C_text("\003syspoke-double"));
lf[1144]=C_h_intern(&lf[1144],22, C_text("\003syspeek-c-string-list"));
lf[1145]=C_h_intern(&lf[1145],31, C_text("\003syspeek-and-free-c-string-list"));
lf[1146]=C_h_intern(&lf[1146],20, C_text("\003sysvector->closure!"));
lf[1147]=C_h_intern(&lf[1147],32, C_text("\003syssymbol-has-toplevel-binding\077"));
lf[1148]=C_h_intern(&lf[1148],14, C_text("\003syscopy-words"));
lf[1149]=C_h_intern(&lf[1149],17, C_text("\003syscompare-bytes"));
lf[1150]=C_h_intern(&lf[1150],17, C_text("\003sysblock-pointer"));
lf[1151]=C_h_intern(&lf[1151],25, C_text("\003sysforeign-char-argument"));
lf[1152]=C_h_intern(&lf[1152],27, C_text("\003sysforeign-fixnum-argument"));
lf[1153]=C_h_intern(&lf[1153],27, C_text("\003sysforeign-flonum-argument"));
lf[1154]=C_h_intern(&lf[1154],26, C_text("\003sysforeign-block-argument"));
lf[1155]=C_h_intern(&lf[1155],35, C_text("\003sysforeign-struct-wrapper-argument"));
lf[1156]=C_h_intern(&lf[1156],27, C_text("\003sysforeign-string-argument"));
lf[1157]=C_h_intern(&lf[1157],27, C_text("\003sysforeign-symbol-argument"));
lf[1158]=C_h_intern(&lf[1158],28, C_text("\003sysforeign-pointer-argument"));
lf[1159]=C_h_intern(&lf[1159],35, C_text("\003sysforeign-tagged-pointer-argument"));
lf[1160]=C_h_intern(&lf[1160],35, C_text("\003sysforeign-ranged-integer-argument"));
lf[1161]=C_h_intern(&lf[1161],44, C_text("\003sysforeign-unsigned-ranged-integer-argument"));
lf[1162]=C_h_intern(&lf[1162],26, C_text("\003sysdefault-thread-quantum"));
lf[1163]=C_h_intern(&lf[1163],29, C_text("\003sysdefault-exception-handler"));
lf[1164]=C_decode_literal(C_heaptop,C_text("\376B\000\000>internal error: default exception handler shouldn\047t be called!"));
lf[1165]=C_h_intern(&lf[1165],15, C_text("\003sysmake-thread"));
lf[1166]=C_h_intern(&lf[1166],14, C_text("\003sysmake-mutex"));
lf[1167]=C_h_intern(&lf[1167],5, C_text("mutex"));
lf[1168]=C_h_intern(&lf[1168],12, C_text("\003sysschedule"));
lf[1169]=C_h_intern(&lf[1169],17, C_text("\003systhread-yield!"));
lf[1170]=C_h_intern(&lf[1170],22, C_text("\003syskill-other-threads"));
lf[1171]=C_h_intern(&lf[1171],23, C_text("chicken.base#sleep-hook"));
lf[1172]=C_h_intern(&lf[1172],5, C_text("sleep"));
lf[1173]=C_h_intern(&lf[1173],18, C_text("\003syscontext-switch"));
lf[1174]=C_h_intern(&lf[1174],17, C_text("\003syssignal-vector"));
lf[1175]=C_h_intern(&lf[1175],18, C_text("\003sysinterrupt-hook"));
lf[1176]=C_h_intern(&lf[1176],22, C_text("\003syspending-finalizers"));
lf[1177]=C_h_intern(&lf[1177],26, C_text("\003sysrun-pending-finalizers"));
lf[1178]=C_h_intern(&lf[1178],9, C_text("\003syserrno"));
lf[1179]=C_decode_literal(C_heaptop,C_text("\376B\000\000Lunexpected end of file - unterminated `#{...}\047 item in `here\047 string litera"
"l"));
lf[1180]=C_decode_literal(C_heaptop,C_text("\376B\000\000&unterminated here-doc string literal `"));
lf[1181]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\047"));
lf[1182]=C_decode_literal(C_heaptop,C_text("\376B\000\000$Missing tag after #<< here-doc token"));
lf[1183]=C_decode_literal(C_heaptop,C_text("\376B\000\000!Whitespace after #<< here-doc tag"));
lf[1184]=C_h_intern(&lf[1184],4, C_text("cons"));
lf[1185]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\005quote\376\003\000\000\002\376\377\016\376\377\016"));
lf[1186]=C_decode_literal(C_heaptop,C_text("\376B\000\000$Missing tag after #<# here-doc token"));
lf[1187]=C_decode_literal(C_heaptop,C_text("\376B\000\000!Whitespace after #<# here-doc tag"));
lf[1188]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021unreadable object"));
lf[1189]=C_h_intern(&lf[1189],24, C_text("chicken.process-context#"));
lf[1190]=C_h_intern(&lf[1190],40, C_text("chicken.process-context#change-directory"));
lf[1191]=C_h_intern(&lf[1191],16, C_text("change-directory"));
lf[1192]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042cannot change current directory - "));
lf[1193]=C_h_intern(&lf[1193],25, C_text("\003syschange-directory-hook"));
lf[1194]=C_h_intern(&lf[1194],41, C_text("chicken.process-context#current-directory"));
lf[1195]=C_h_intern(&lf[1195],48, C_text("chicken.process-context#get-environment-variable"));
lf[1196]=C_h_intern(&lf[1196],49, C_text("chicken.process-context#set-environment-variable!"));
lf[1197]=C_h_intern(&lf[1197],25, C_text("set-environment-variable!"));
lf[1198]=C_h_intern(&lf[1198],51, C_text("chicken.process-context#unset-environment-variable!"));
lf[1199]=C_h_intern(&lf[1199],27, C_text("unset-environment-variable!"));
lf[1200]=C_h_intern(&lf[1200],49, C_text("chicken.process-context#get-environment-variables"));
lf[1201]=C_h_intern(&lf[1201],43, C_text("chicken.process-context#executable-pathname"));
lf[1202]=C_h_intern(&lf[1202],33, C_text("chicken.process-context#argc+argv"));
lf[1203]=C_h_intern(&lf[1203],28, C_text("chicken.process-context#argv"));
lf[1204]=C_h_intern(&lf[1204],36, C_text("chicken.process-context#program-name"));
lf[1205]=C_h_intern(&lf[1205],46, C_text("chicken.process-context#command-line-arguments"));
lf[1206]=C_h_intern(&lf[1206],11, C_text("chicken.gc#"));
lf[1207]=C_h_intern(&lf[1207],34, C_text("chicken.gc#current-gc-milliseconds"));
lf[1208]=C_h_intern(&lf[1208],25, C_text("chicken.gc#set-gc-report!"));
lf[1209]=C_h_intern(&lf[1209],28, C_text("chicken.gc#memory-statistics"));
lf[1210]=C_h_intern(&lf[1210],18, C_text("\003sysset-finalizer!"));
lf[1211]=C_h_intern(&lf[1211],25, C_text("chicken.gc#set-finalizer!"));
lf[1212]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035[debug] too many finalizers ("));
lf[1213]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035), resized max finalizers to "));
lf[1214]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[1215]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035[debug] too many finalizers ("));
lf[1216]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017), forcing ...\012"));
lf[1217]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014in finalizer"));
lf[1218]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020[debug] running "));
lf[1219]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017 finalizer(s) ("));
lf[1220]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007 live, "));
lf[1221]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020 allocated) ...\012"));
lf[1222]=C_h_intern(&lf[1222],13, C_text("chicken.gc#gc"));
lf[1223]=C_h_intern(&lf[1223],10, C_text("\003syslength"));
lf[1224]=C_h_intern(&lf[1224],8, C_text("\003syscons"));
lf[1225]=C_h_intern(&lf[1225],10, C_text("\003sysvector"));
lf[1226]=C_h_intern(&lf[1226],9, C_text("\003sysapply"));
lf[1227]=C_h_intern(&lf[1227],10, C_text("\003sysvalues"));
lf[1228]=C_h_intern(&lf[1228],10, C_text("\003sysequal\077"));
lf[1229]=C_h_intern(&lf[1229],7, C_text("\003syscar"));
lf[1230]=C_h_intern(&lf[1230],7, C_text("\003syscdr"));
lf[1231]=C_h_intern(&lf[1231],9, C_text("\003syspair\077"));
lf[1232]=C_h_intern(&lf[1232],11, C_text("\003sysvector\077"));
lf[1233]=C_h_intern(&lf[1233],16, C_text("\003sysvector->list"));
lf[1234]=C_h_intern(&lf[1234],17, C_text("\003sysvector-length"));
lf[1235]=C_h_intern(&lf[1235],14, C_text("\003sysvector-ref"));
lf[1236]=C_h_intern(&lf[1236],6, C_text("\003sys>="));
lf[1237]=C_h_intern(&lf[1237],5, C_text("\003sys="));
lf[1238]=C_h_intern(&lf[1238],5, C_text("\003sys+"));
lf[1239]=C_h_intern(&lf[1239],7, C_text("\003syseq\077"));
lf[1240]=C_h_intern(&lf[1240],8, C_text("\003syseqv\077"));
lf[1241]=C_h_intern(&lf[1241],9, C_text("\003syslist\077"));
lf[1242]=C_h_intern(&lf[1242],9, C_text("\003sysnull\077"));
lf[1243]=C_h_intern(&lf[1243],9, C_text("\003sysmap-n"));
lf[1244]=C_h_intern(&lf[1244],17, C_text("\003sysmake-locative"));
lf[1245]=C_decode_literal(C_heaptop,C_text("\376B\000\000)locative cannot refer to immediate object"));
lf[1246]=C_h_intern(&lf[1246],8, C_text("u8vector"));
lf[1247]=C_h_intern(&lf[1247],8, C_text("s8vector"));
lf[1248]=C_h_intern(&lf[1248],9, C_text("u16vector"));
lf[1249]=C_h_intern(&lf[1249],9, C_text("s16vector"));
lf[1250]=C_h_intern(&lf[1250],9, C_text("u32vector"));
lf[1251]=C_h_intern(&lf[1251],9, C_text("s32vector"));
lf[1252]=C_h_intern(&lf[1252],9, C_text("u64vector"));
lf[1253]=C_h_intern(&lf[1253],9, C_text("s64vector"));
lf[1254]=C_h_intern(&lf[1254],9, C_text("f32vector"));
lf[1255]=C_h_intern(&lf[1255],9, C_text("f64vector"));
lf[1256]=C_decode_literal(C_heaptop,C_text("\376B\000\000Abad argument type - locative cannot refer to objects of this type"));
lf[1257]=C_h_intern(&lf[1257],14, C_text("chicken.plist#"));
lf[1258]=C_h_intern(&lf[1258],18, C_text("chicken.plist#put!"));
lf[1259]=C_h_intern(&lf[1259],4, C_text("put!"));
lf[1260]=C_h_intern(&lf[1260],8, C_text("\003sysput!"));
lf[1261]=C_h_intern(&lf[1261],7, C_text("\003sysget"));
lf[1262]=C_h_intern(&lf[1262],3, C_text("get"));
lf[1263]=C_h_intern(&lf[1263],17, C_text("chicken.plist#get"));
lf[1264]=C_h_intern(&lf[1264],22, C_text("chicken.plist#remprop!"));
lf[1265]=C_h_intern(&lf[1265],8, C_text("remprop!"));
lf[1266]=C_h_intern(&lf[1266],26, C_text("chicken.plist#symbol-plist"));
lf[1267]=C_h_intern(&lf[1267],28, C_text("chicken.plist#get-properties"));
lf[1268]=C_h_intern(&lf[1268],14, C_text("get-properties"));
lf[1269]=C_h_intern(&lf[1269],17, C_text("\003sysdisplay-times"));
lf[1270]=C_decode_literal(C_heaptop,C_text("\376B\000\000\0010"));
lf[1271]=C_decode_literal(C_heaptop,C_text("\376U10.0\000"));
lf[1272]=C_decode_literal(C_heaptop,C_text("\376\302\000\000\01040000000"));
lf[1273]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 GiB"));
lf[1274]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 MiB"));
lf[1275]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 KiB"));
lf[1276]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 bytes"));
lf[1277]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025, maximum live heap: "));
lf[1278]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022 GCs (major/minor)"));
lf[1279]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1280]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032 mutations (total/tracked)"));
lf[1281]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1282]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021s GC time (major)"));
lf[1283]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1284]=C_decode_literal(C_heaptop,C_text("\376B\000\000\012s CPU time"));
lf[1285]=C_h_intern(&lf[1285],23, C_text("\003sysfilter-heap-objects"));
lf[1286]=C_h_intern(&lf[1286],17, C_text("chicken.platform#"));
lf[1287]=C_h_intern(&lf[1287],30, C_text("chicken.platform#software-type"));
lf[1288]=C_h_intern(&lf[1288],29, C_text("chicken.platform#machine-type"));
lf[1289]=C_h_intern(&lf[1289],35, C_text("chicken.platform#machine-byte-order"));
lf[1290]=C_h_intern(&lf[1290],33, C_text("chicken.platform#software-version"));
lf[1291]=C_h_intern(&lf[1291],31, C_text("chicken.platform#build-platform"));
lf[1292]=C_h_intern(&lf[1292],20, C_text("\003syswindows-platform"));
lf[1293]=C_h_intern(&lf[1293],32, C_text("chicken.platform#chicken-version"));
lf[1294]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010Version "));
lf[1295]=C_h_intern(&lf[1295],17, C_text("\003sysbuild-version"));
lf[1296]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[1297]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1298]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ["));
lf[1299]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ]"));
lf[1300]=C_h_intern(&lf[1300],7, C_text("unknown"));
lf[1301]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1302]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001-"));
lf[1303]=C_h_intern(&lf[1303],12, C_text("\003sysbuild-id"));
lf[1304]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 (rev "));
lf[1305]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001)"));
lf[1306]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1307]=C_h_intern(&lf[1307],16, C_text("\003sysbuild-branch"));
lf[1308]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ("));
lf[1309]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001)"));
lf[1310]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1311]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 64bit"));
lf[1312]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1313]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 dload"));
lf[1314]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1315]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010 ptables"));
lf[1316]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1317]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010 gchooks"));
lf[1318]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1319]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 cross"));
lf[1320]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1321]=C_h_intern(&lf[1321],25, C_text("chicken.platform#feature\077"));
lf[1322]=C_h_intern(&lf[1322],14, C_text("\000cross-chicken"));
lf[1323]=C_h_intern(&lf[1323],8, C_text("\000gchooks"));
lf[1324]=C_h_intern(&lf[1324],8, C_text("\000ptables"));
lf[1325]=C_h_intern(&lf[1325],6, C_text("\000dload"));
lf[1326]=C_h_intern(&lf[1326],6, C_text("\00064bit"));
lf[1327]=C_h_intern(&lf[1327],29, C_text("chicken.platform#chicken-home"));
lf[1328]=C_h_intern(&lf[1328],32, C_text("chicken.platform#repository-path"));
lf[1329]=C_h_intern(&lf[1329],40, C_text("chicken.platform#installation-repository"));
lf[1331]=C_decode_literal(C_heaptop,C_text("\376B\000\0001bad argument type - not a valid feature identifer"));
lf[1332]=C_h_intern(&lf[1332],12, C_text("\003sysfeatures"));
lf[1333]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\010\000chicken\376\003\000\000\002\376\001\000\000\007\000srfi-6\376\003\000\000\002\376\001\000\000\010\000srfi-12\376\003\000\000\002\376\001\000\000\010\000srfi-17\376\003\000\000\002\376\001\000\000"
"\010\000srfi-23\376\003\000\000\002\376\001\000\000\010\000srfi-30\376\003\000\000\002\376\001\000\000\010\000srfi-39\376\003\000\000\002\376\001\000\000\010\000srfi-62\376\003\000\000\002\376\001\000\000\025\000irrege"
"x-is-core-unit\376\003\000\000\002\376\001\000\000\023\000full-numeric-tower\376\003\000\000\002\376\001\000\000\011\000manyargs\376\377\016"));
lf[1334]=C_h_intern(&lf[1334],34, C_text("chicken.platform#register-feature!"));
lf[1335]=C_h_intern(&lf[1335],36, C_text("chicken.platform#unregister-feature!"));
lf[1336]=C_h_intern(&lf[1336],25, C_text("chicken.platform#features"));
lf[1337]=C_h_intern(&lf[1337],31, C_text("chicken.platform#return-to-host"));
lf[1338]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010chicken-"));
lf[1339]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[1340]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010chicken-"));
lf[1341]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032CHICKEN_INSTALL_REPOSITORY"));
lf[1342]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027CHICKEN_REPOSITORY_PATH"));
lf[1343]=C_h_intern(&lf[1343],7, C_text("windows"));
lf[1344]=C_h_intern(&lf[1344],6, C_text("cygwin"));
lf[1345]=C_h_intern(&lf[1345],12, C_text("symbol-plist"));
lf[1346]=C_h_intern(&lf[1346],19, C_text("symbol-plist/setter"));
lf[1347]=C_decode_literal(C_heaptop,C_text("\376B\000\000$property-list must be of even length"));
lf[1348]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022(symbol-plist sym)"));
lf[1349]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030(get sym prop . default)"));
lf[1350]=C_h_intern(&lf[1350],22, C_text("command-line-arguments"));
lf[1351]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002-:"));
lf[1352]=C_h_intern(&lf[1352],12, C_text("program-name"));
lf[1353]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011<unknown>"));
lf[1354]=C_h_intern(&lf[1354],17, C_text("current-directory"));
lf[1355]=C_decode_literal(C_heaptop,C_text("\376B\000\000!cannot retrieve current directory"));
lf[1356]=C_h_intern(&lf[1356],7, C_text("running"));
lf[1357]=C_h_intern(&lf[1357],10, C_text("primordial"));
lf[1358]=C_h_intern(&lf[1358],9, C_text("arguments"));
lf[1359]=C_h_intern(&lf[1359],7, C_text("message"));
lf[1360]=C_h_intern(&lf[1360],17, C_text("chicken.repl#repl"));
lf[1361]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1362]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1363]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006\012Error"));
lf[1364]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016error in error"));
lf[1365]=C_decode_literal(C_heaptop,C_text("\376B\000\000,\042exit\042 called while processing on-exit tasks"));
lf[1366]=C_h_intern(&lf[1366],10, C_text("read-table"));
lf[1367]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020(list-ref lst i)"));
lf[1368]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022(vector-ref vec i)"));
lf[1369]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022(string-ref str i)"));
lf[1370]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011(cdddr p)"));
lf[1371]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011(cddar p)"));
lf[1372]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011(cdadr p)"));
lf[1373]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011(cdaar p)"));
lf[1374]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011(caddr p)"));
lf[1375]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011(cadar p)"));
lf[1376]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011(caadr p)"));
lf[1377]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011(caaar p)"));
lf[1378]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(cddr p)"));
lf[1379]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(cdar p)"));
lf[1380]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(cadr p)"));
lf[1381]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(caar p)"));
lf[1382]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007(cdr p)"));
lf[1383]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007(car p)"));
lf[1384]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021no setter defined"));
lf[1385]=C_decode_literal(C_heaptop,C_text("\376B\000\000#can not set setter of non-procedure"));
lf[1386]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(stderr)"));
lf[1387]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(stdout)"));
lf[1388]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007(stdin)"));
lf[1389]=C_h_intern(&lf[1389],9, C_text("backspace"));
lf[1390]=C_h_intern(&lf[1390],4, C_text("page"));
lf[1391]=C_h_intern(&lf[1391],6, C_text("return"));
lf[1392]=C_h_intern(&lf[1392],4, C_text("null"));
lf[1393]=C_h_intern(&lf[1393],3, C_text("nul"));
lf[1394]=C_h_intern(&lf[1394],5, C_text("alarm"));
lf[1395]=C_h_intern(&lf[1395],6, C_text("escape"));
lf[1396]=C_h_intern(&lf[1396],3, C_text("esc"));
lf[1397]=C_h_intern(&lf[1397],6, C_text("delete"));
lf[1398]=C_h_intern(&lf[1398],4, C_text("vtab"));
lf[1399]=C_h_intern(&lf[1399],7, C_text("newline"));
lf[1400]=C_h_intern(&lf[1400],8, C_text("linefeed"));
lf[1401]=C_h_intern(&lf[1401],3, C_text("tab"));
lf[1402]=C_h_intern(&lf[1402],5, C_text("space"));
C_register_lf2(lf,1403,create_ptable());{}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8508,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_build_2dversion_toplevel(2,av2);}}

#ifdef C_ENABLE_PTABLES
static C_PTABLE_ENTRY ptable[2115] = {
{C_text("f33934:library_2escm"),(void*)f33934},
{C_text("f34463:library_2escm"),(void*)f34463},
{C_text("f36684:library_2escm"),(void*)f36684},
{C_text("f36690:library_2escm"),(void*)f36690},
{C_text("f36696:library_2escm"),(void*)f36696},
{C_text("f_10005:library_2escm"),(void*)f_10005},
{C_text("f_10011:library_2escm"),(void*)f_10011},
{C_text("f_10027:library_2escm"),(void*)f_10027},
{C_text("f_10052:library_2escm"),(void*)f_10052},
{C_text("f_10061:library_2escm"),(void*)f_10061},
{C_text("f_10102:library_2escm"),(void*)f_10102},
{C_text("f_10124:library_2escm"),(void*)f_10124},
{C_text("f_10156:library_2escm"),(void*)f_10156},
{C_text("f_10172:library_2escm"),(void*)f_10172},
{C_text("f_10175:library_2escm"),(void*)f_10175},
{C_text("f_10197:library_2escm"),(void*)f_10197},
{C_text("f_10203:library_2escm"),(void*)f_10203},
{C_text("f_10228:library_2escm"),(void*)f_10228},
{C_text("f_10268:library_2escm"),(void*)f_10268},
{C_text("f_10275:library_2escm"),(void*)f_10275},
{C_text("f_10280:library_2escm"),(void*)f_10280},
{C_text("f_10299:library_2escm"),(void*)f_10299},
{C_text("f_10321:library_2escm"),(void*)f_10321},
{C_text("f_10324:library_2escm"),(void*)f_10324},
{C_text("f_10327:library_2escm"),(void*)f_10327},
{C_text("f_10330:library_2escm"),(void*)f_10330},
{C_text("f_10336:library_2escm"),(void*)f_10336},
{C_text("f_10339:library_2escm"),(void*)f_10339},
{C_text("f_10342:library_2escm"),(void*)f_10342},
{C_text("f_10345:library_2escm"),(void*)f_10345},
{C_text("f_10348:library_2escm"),(void*)f_10348},
{C_text("f_10351:library_2escm"),(void*)f_10351},
{C_text("f_10354:library_2escm"),(void*)f_10354},
{C_text("f_10357:library_2escm"),(void*)f_10357},
{C_text("f_10360:library_2escm"),(void*)f_10360},
{C_text("f_10363:library_2escm"),(void*)f_10363},
{C_text("f_10366:library_2escm"),(void*)f_10366},
{C_text("f_10369:library_2escm"),(void*)f_10369},
{C_text("f_10372:library_2escm"),(void*)f_10372},
{C_text("f_10375:library_2escm"),(void*)f_10375},
{C_text("f_10378:library_2escm"),(void*)f_10378},
{C_text("f_10381:library_2escm"),(void*)f_10381},
{C_text("f_10384:library_2escm"),(void*)f_10384},
{C_text("f_10387:library_2escm"),(void*)f_10387},
{C_text("f_10390:library_2escm"),(void*)f_10390},
{C_text("f_10393:library_2escm"),(void*)f_10393},
{C_text("f_10396:library_2escm"),(void*)f_10396},
{C_text("f_10399:library_2escm"),(void*)f_10399},
{C_text("f_10402:library_2escm"),(void*)f_10402},
{C_text("f_10405:library_2escm"),(void*)f_10405},
{C_text("f_10408:library_2escm"),(void*)f_10408},
{C_text("f_10413:library_2escm"),(void*)f_10413},
{C_text("f_10422:library_2escm"),(void*)f_10422},
{C_text("f_10434:library_2escm"),(void*)f_10434},
{C_text("f_10449:library_2escm"),(void*)f_10449},
{C_text("f_10452:library_2escm"),(void*)f_10452},
{C_text("f_10461:library_2escm"),(void*)f_10461},
{C_text("f_10465:library_2escm"),(void*)f_10465},
{C_text("f_10467:library_2escm"),(void*)f_10467},
{C_text("f_10471:library_2escm"),(void*)f_10471},
{C_text("f_10474:library_2escm"),(void*)f_10474},
{C_text("f_10485:library_2escm"),(void*)f_10485},
{C_text("f_10487:library_2escm"),(void*)f_10487},
{C_text("f_10494:library_2escm"),(void*)f_10494},
{C_text("f_10497:library_2escm"),(void*)f_10497},
{C_text("f_10500:library_2escm"),(void*)f_10500},
{C_text("f_10505:library_2escm"),(void*)f_10505},
{C_text("f_10509:library_2escm"),(void*)f_10509},
{C_text("f_10514:library_2escm"),(void*)f_10514},
{C_text("f_10518:library_2escm"),(void*)f_10518},
{C_text("f_10521:library_2escm"),(void*)f_10521},
{C_text("f_10549:library_2escm"),(void*)f_10549},
{C_text("f_10552:library_2escm"),(void*)f_10552},
{C_text("f_10555:library_2escm"),(void*)f_10555},
{C_text("f_10572:library_2escm"),(void*)f_10572},
{C_text("f_10583:library_2escm"),(void*)f_10583},
{C_text("f_10595:library_2escm"),(void*)f_10595},
{C_text("f_10606:library_2escm"),(void*)f_10606},
{C_text("f_10617:library_2escm"),(void*)f_10617},
{C_text("f_10628:library_2escm"),(void*)f_10628},
{C_text("f_10639:library_2escm"),(void*)f_10639},
{C_text("f_10650:library_2escm"),(void*)f_10650},
{C_text("f_10661:library_2escm"),(void*)f_10661},
{C_text("f_10672:library_2escm"),(void*)f_10672},
{C_text("f_10683:library_2escm"),(void*)f_10683},
{C_text("f_10694:library_2escm"),(void*)f_10694},
{C_text("f_10705:library_2escm"),(void*)f_10705},
{C_text("f_10716:library_2escm"),(void*)f_10716},
{C_text("f_10727:library_2escm"),(void*)f_10727},
{C_text("f_10744:library_2escm"),(void*)f_10744},
{C_text("f_10761:library_2escm"),(void*)f_10761},
{C_text("f_10785:library_2escm"),(void*)f_10785},
{C_text("f_10802:library_2escm"),(void*)f_10802},
{C_text("f_10806:library_2escm"),(void*)f_10806},
{C_text("f_10832:library_2escm"),(void*)f_10832},
{C_text("f_10852:library_2escm"),(void*)f_10852},
{C_text("f_10863:library_2escm"),(void*)f_10863},
{C_text("f_10875:library_2escm"),(void*)f_10875},
{C_text("f_10909:library_2escm"),(void*)f_10909},
{C_text("f_10924:library_2escm"),(void*)f_10924},
{C_text("f_10991:library_2escm"),(void*)f_10991},
{C_text("f_11007:library_2escm"),(void*)f_11007},
{C_text("f_11023:library_2escm"),(void*)f_11023},
{C_text("f_11039:library_2escm"),(void*)f_11039},
{C_text("f_11055:library_2escm"),(void*)f_11055},
{C_text("f_11071:library_2escm"),(void*)f_11071},
{C_text("f_11087:library_2escm"),(void*)f_11087},
{C_text("f_11103:library_2escm"),(void*)f_11103},
{C_text("f_11119:library_2escm"),(void*)f_11119},
{C_text("f_11131:library_2escm"),(void*)f_11131},
{C_text("f_11150:library_2escm"),(void*)f_11150},
{C_text("f_11181:library_2escm"),(void*)f_11181},
{C_text("f_11198:library_2escm"),(void*)f_11198},
{C_text("f_11204:library_2escm"),(void*)f_11204},
{C_text("f_11228:library_2escm"),(void*)f_11228},
{C_text("f_11248:library_2escm"),(void*)f_11248},
{C_text("f_11252:library_2escm"),(void*)f_11252},
{C_text("f_11255:library_2escm"),(void*)f_11255},
{C_text("f_11284:library_2escm"),(void*)f_11284},
{C_text("f_11300:library_2escm"),(void*)f_11300},
{C_text("f_11322:library_2escm"),(void*)f_11322},
{C_text("f_11338:library_2escm"),(void*)f_11338},
{C_text("f_11343:library_2escm"),(void*)f_11343},
{C_text("f_11374:library_2escm"),(void*)f_11374},
{C_text("f_11385:library_2escm"),(void*)f_11385},
{C_text("f_11394:library_2escm"),(void*)f_11394},
{C_text("f_11423:library_2escm"),(void*)f_11423},
{C_text("f_11436:library_2escm"),(void*)f_11436},
{C_text("f_11446:library_2escm"),(void*)f_11446},
{C_text("f_11448:library_2escm"),(void*)f_11448},
{C_text("f_11455:library_2escm"),(void*)f_11455},
{C_text("f_11458:library_2escm"),(void*)f_11458},
{C_text("f_11467:library_2escm"),(void*)f_11467},
{C_text("f_11493:library_2escm"),(void*)f_11493},
{C_text("f_11498:library_2escm"),(void*)f_11498},
{C_text("f_11502:library_2escm"),(void*)f_11502},
{C_text("f_11507:library_2escm"),(void*)f_11507},
{C_text("f_11528:library_2escm"),(void*)f_11528},
{C_text("f_11534:library_2escm"),(void*)f_11534},
{C_text("f_11552:library_2escm"),(void*)f_11552},
{C_text("f_11558:library_2escm"),(void*)f_11558},
{C_text("f_11576:library_2escm"),(void*)f_11576},
{C_text("f_11582:library_2escm"),(void*)f_11582},
{C_text("f_11597:library_2escm"),(void*)f_11597},
{C_text("f_11603:library_2escm"),(void*)f_11603},
{C_text("f_11617:library_2escm"),(void*)f_11617},
{C_text("f_11638:library_2escm"),(void*)f_11638},
{C_text("f_11644:library_2escm"),(void*)f_11644},
{C_text("f_11662:library_2escm"),(void*)f_11662},
{C_text("f_11668:library_2escm"),(void*)f_11668},
{C_text("f_11686:library_2escm"),(void*)f_11686},
{C_text("f_11692:library_2escm"),(void*)f_11692},
{C_text("f_11707:library_2escm"),(void*)f_11707},
{C_text("f_11713:library_2escm"),(void*)f_11713},
{C_text("f_11728:library_2escm"),(void*)f_11728},
{C_text("f_11738:library_2escm"),(void*)f_11738},
{C_text("f_11744:library_2escm"),(void*)f_11744},
{C_text("f_11748:library_2escm"),(void*)f_11748},
{C_text("f_11750:library_2escm"),(void*)f_11750},
{C_text("f_11761:library_2escm"),(void*)f_11761},
{C_text("f_11773:library_2escm"),(void*)f_11773},
{C_text("f_11783:library_2escm"),(void*)f_11783},
{C_text("f_11789:library_2escm"),(void*)f_11789},
{C_text("f_11793:library_2escm"),(void*)f_11793},
{C_text("f_11798:library_2escm"),(void*)f_11798},
{C_text("f_11824:library_2escm"),(void*)f_11824},
{C_text("f_11828:library_2escm"),(void*)f_11828},
{C_text("f_11831:library_2escm"),(void*)f_11831},
{C_text("f_11839:library_2escm"),(void*)f_11839},
{C_text("f_11860:library_2escm"),(void*)f_11860},
{C_text("f_11874:library_2escm"),(void*)f_11874},
{C_text("f_11878:library_2escm"),(void*)f_11878},
{C_text("f_11919:library_2escm"),(void*)f_11919},
{C_text("f_11941:library_2escm"),(void*)f_11941},
{C_text("f_11943:library_2escm"),(void*)f_11943},
{C_text("f_11965:library_2escm"),(void*)f_11965},
{C_text("f_11967:library_2escm"),(void*)f_11967},
{C_text("f_11989:library_2escm"),(void*)f_11989},
{C_text("f_11991:library_2escm"),(void*)f_11991},
{C_text("f_12013:library_2escm"),(void*)f_12013},
{C_text("f_12015:library_2escm"),(void*)f_12015},
{C_text("f_12037:library_2escm"),(void*)f_12037},
{C_text("f_12039:library_2escm"),(void*)f_12039},
{C_text("f_12061:library_2escm"),(void*)f_12061},
{C_text("f_12063:library_2escm"),(void*)f_12063},
{C_text("f_12085:library_2escm"),(void*)f_12085},
{C_text("f_12087:library_2escm"),(void*)f_12087},
{C_text("f_12109:library_2escm"),(void*)f_12109},
{C_text("f_12111:library_2escm"),(void*)f_12111},
{C_text("f_12133:library_2escm"),(void*)f_12133},
{C_text("f_12135:library_2escm"),(void*)f_12135},
{C_text("f_12157:library_2escm"),(void*)f_12157},
{C_text("f_12159:library_2escm"),(void*)f_12159},
{C_text("f_12181:library_2escm"),(void*)f_12181},
{C_text("f_12183:library_2escm"),(void*)f_12183},
{C_text("f_12199:library_2escm"),(void*)f_12199},
{C_text("f_12201:library_2escm"),(void*)f_12201},
{C_text("f_12223:library_2escm"),(void*)f_12223},
{C_text("f_12225:library_2escm"),(void*)f_12225},
{C_text("f_12247:library_2escm"),(void*)f_12247},
{C_text("f_12249:library_2escm"),(void*)f_12249},
{C_text("f_12265:library_2escm"),(void*)f_12265},
{C_text("f_12267:library_2escm"),(void*)f_12267},
{C_text("f_12283:library_2escm"),(void*)f_12283},
{C_text("f_12285:library_2escm"),(void*)f_12285},
{C_text("f_12301:library_2escm"),(void*)f_12301},
{C_text("f_12303:library_2escm"),(void*)f_12303},
{C_text("f_12319:library_2escm"),(void*)f_12319},
{C_text("f_12321:library_2escm"),(void*)f_12321},
{C_text("f_12337:library_2escm"),(void*)f_12337},
{C_text("f_12339:library_2escm"),(void*)f_12339},
{C_text("f_12355:library_2escm"),(void*)f_12355},
{C_text("f_12357:library_2escm"),(void*)f_12357},
{C_text("f_12373:library_2escm"),(void*)f_12373},
{C_text("f_12375:library_2escm"),(void*)f_12375},
{C_text("f_12391:library_2escm"),(void*)f_12391},
{C_text("f_12393:library_2escm"),(void*)f_12393},
{C_text("f_12409:library_2escm"),(void*)f_12409},
{C_text("f_12411:library_2escm"),(void*)f_12411},
{C_text("f_12427:library_2escm"),(void*)f_12427},
{C_text("f_12429:library_2escm"),(void*)f_12429},
{C_text("f_12451:library_2escm"),(void*)f_12451},
{C_text("f_12453:library_2escm"),(void*)f_12453},
{C_text("f_12469:library_2escm"),(void*)f_12469},
{C_text("f_12471:library_2escm"),(void*)f_12471},
{C_text("f_12493:library_2escm"),(void*)f_12493},
{C_text("f_12495:library_2escm"),(void*)f_12495},
{C_text("f_12511:library_2escm"),(void*)f_12511},
{C_text("f_12513:library_2escm"),(void*)f_12513},
{C_text("f_12529:library_2escm"),(void*)f_12529},
{C_text("f_12531:library_2escm"),(void*)f_12531},
{C_text("f_12547:library_2escm"),(void*)f_12547},
{C_text("f_12549:library_2escm"),(void*)f_12549},
{C_text("f_12565:library_2escm"),(void*)f_12565},
{C_text("f_12567:library_2escm"),(void*)f_12567},
{C_text("f_12577:library_2escm"),(void*)f_12577},
{C_text("f_12589:library_2escm"),(void*)f_12589},
{C_text("f_12599:library_2escm"),(void*)f_12599},
{C_text("f_12603:library_2escm"),(void*)f_12603},
{C_text("f_12625:library_2escm"),(void*)f_12625},
{C_text("f_12629:library_2escm"),(void*)f_12629},
{C_text("f_12632:library_2escm"),(void*)f_12632},
{C_text("f_12637:library_2escm"),(void*)f_12637},
{C_text("f_12641:library_2escm"),(void*)f_12641},
{C_text("f_12644:library_2escm"),(void*)f_12644},
{C_text("f_12647:library_2escm"),(void*)f_12647},
{C_text("f_12658:library_2escm"),(void*)f_12658},
{C_text("f_12681:library_2escm"),(void*)f_12681},
{C_text("f_12707:library_2escm"),(void*)f_12707},
{C_text("f_12716:library_2escm"),(void*)f_12716},
{C_text("f_12721:library_2escm"),(void*)f_12721},
{C_text("f_12723:library_2escm"),(void*)f_12723},
{C_text("f_12762:library_2escm"),(void*)f_12762},
{C_text("f_12808:library_2escm"),(void*)f_12808},
{C_text("f_12832:library_2escm"),(void*)f_12832},
{C_text("f_12836:library_2escm"),(void*)f_12836},
{C_text("f_12854:library_2escm"),(void*)f_12854},
{C_text("f_12878:library_2escm"),(void*)f_12878},
{C_text("f_12882:library_2escm"),(void*)f_12882},
{C_text("f_12900:library_2escm"),(void*)f_12900},
{C_text("f_12941:library_2escm"),(void*)f_12941},
{C_text("f_12952:library_2escm"),(void*)f_12952},
{C_text("f_12958:library_2escm"),(void*)f_12958},
{C_text("f_12962:library_2escm"),(void*)f_12962},
{C_text("f_12967:library_2escm"),(void*)f_12967},
{C_text("f_12978:library_2escm"),(void*)f_12978},
{C_text("f_12991:library_2escm"),(void*)f_12991},
{C_text("f_13006:library_2escm"),(void*)f_13006},
{C_text("f_13010:library_2escm"),(void*)f_13010},
{C_text("f_13016:library_2escm"),(void*)f_13016},
{C_text("f_13020:library_2escm"),(void*)f_13020},
{C_text("f_13060:library_2escm"),(void*)f_13060},
{C_text("f_13064:library_2escm"),(void*)f_13064},
{C_text("f_13086:library_2escm"),(void*)f_13086},
{C_text("f_13089:library_2escm"),(void*)f_13089},
{C_text("f_13092:library_2escm"),(void*)f_13092},
{C_text("f_13095:library_2escm"),(void*)f_13095},
{C_text("f_13098:library_2escm"),(void*)f_13098},
{C_text("f_13119:library_2escm"),(void*)f_13119},
{C_text("f_13121:library_2escm"),(void*)f_13121},
{C_text("f_13139:library_2escm"),(void*)f_13139},
{C_text("f_13149:library_2escm"),(void*)f_13149},
{C_text("f_13153:library_2escm"),(void*)f_13153},
{C_text("f_13159:library_2escm"),(void*)f_13159},
{C_text("f_13191:library_2escm"),(void*)f_13191},
{C_text("f_13194:library_2escm"),(void*)f_13194},
{C_text("f_13197:library_2escm"),(void*)f_13197},
{C_text("f_13200:library_2escm"),(void*)f_13200},
{C_text("f_13209:library_2escm"),(void*)f_13209},
{C_text("f_13212:library_2escm"),(void*)f_13212},
{C_text("f_13242:library_2escm"),(void*)f_13242},
{C_text("f_13246:library_2escm"),(void*)f_13246},
{C_text("f_13313:library_2escm"),(void*)f_13313},
{C_text("f_13347:library_2escm"),(void*)f_13347},
{C_text("f_13397:library_2escm"),(void*)f_13397},
{C_text("f_13438:library_2escm"),(void*)f_13438},
{C_text("f_13479:library_2escm"),(void*)f_13479},
{C_text("f_13513:library_2escm"),(void*)f_13513},
{C_text("f_13537:library_2escm"),(void*)f_13537},
{C_text("f_13553:library_2escm"),(void*)f_13553},
{C_text("f_13556:library_2escm"),(void*)f_13556},
{C_text("f_13560:library_2escm"),(void*)f_13560},
{C_text("f_13563:library_2escm"),(void*)f_13563},
{C_text("f_13580:library_2escm"),(void*)f_13580},
{C_text("f_13598:library_2escm"),(void*)f_13598},
{C_text("f_13602:library_2escm"),(void*)f_13602},
{C_text("f_13621:library_2escm"),(void*)f_13621},
{C_text("f_13625:library_2escm"),(void*)f_13625},
{C_text("f_13656:library_2escm"),(void*)f_13656},
{C_text("f_13689:library_2escm"),(void*)f_13689},
{C_text("f_13693:library_2escm"),(void*)f_13693},
{C_text("f_13712:library_2escm"),(void*)f_13712},
{C_text("f_13714:library_2escm"),(void*)f_13714},
{C_text("f_13721:library_2escm"),(void*)f_13721},
{C_text("f_13757:library_2escm"),(void*)f_13757},
{C_text("f_13764:library_2escm"),(void*)f_13764},
{C_text("f_13800:library_2escm"),(void*)f_13800},
{C_text("f_13815:library_2escm"),(void*)f_13815},
{C_text("f_13824:library_2escm"),(void*)f_13824},
{C_text("f_13829:library_2escm"),(void*)f_13829},
{C_text("f_13842:library_2escm"),(void*)f_13842},
{C_text("f_13861:library_2escm"),(void*)f_13861},
{C_text("f_13865:library_2escm"),(void*)f_13865},
{C_text("f_13870:library_2escm"),(void*)f_13870},
{C_text("f_13874:library_2escm"),(void*)f_13874},
{C_text("f_13878:library_2escm"),(void*)f_13878},
{C_text("f_13882:library_2escm"),(void*)f_13882},
{C_text("f_13885:library_2escm"),(void*)f_13885},
{C_text("f_13899:library_2escm"),(void*)f_13899},
{C_text("f_13903:library_2escm"),(void*)f_13903},
{C_text("f_13914:library_2escm"),(void*)f_13914},
{C_text("f_13934:library_2escm"),(void*)f_13934},
{C_text("f_13938:library_2escm"),(void*)f_13938},
{C_text("f_13944:library_2escm"),(void*)f_13944},
{C_text("f_13964:library_2escm"),(void*)f_13964},
{C_text("f_13968:library_2escm"),(void*)f_13968},
{C_text("f_13974:library_2escm"),(void*)f_13974},
{C_text("f_13991:library_2escm"),(void*)f_13991},
{C_text("f_13995:library_2escm"),(void*)f_13995},
{C_text("f_13999:library_2escm"),(void*)f_13999},
{C_text("f_14009:library_2escm"),(void*)f_14009},
{C_text("f_14015:library_2escm"),(void*)f_14015},
{C_text("f_14020:library_2escm"),(void*)f_14020},
{C_text("f_14028:library_2escm"),(void*)f_14028},
{C_text("f_14048:library_2escm"),(void*)f_14048},
{C_text("f_14052:library_2escm"),(void*)f_14052},
{C_text("f_14062:library_2escm"),(void*)f_14062},
{C_text("f_14068:library_2escm"),(void*)f_14068},
{C_text("f_14073:library_2escm"),(void*)f_14073},
{C_text("f_14088:library_2escm"),(void*)f_14088},
{C_text("f_14092:library_2escm"),(void*)f_14092},
{C_text("f_14121:library_2escm"),(void*)f_14121},
{C_text("f_14125:library_2escm"),(void*)f_14125},
{C_text("f_14140:library_2escm"),(void*)f_14140},
{C_text("f_14150:library_2escm"),(void*)f_14150},
{C_text("f_14223:library_2escm"),(void*)f_14223},
{C_text("f_14237:library_2escm"),(void*)f_14237},
{C_text("f_14255:library_2escm"),(void*)f_14255},
{C_text("f_14271:library_2escm"),(void*)f_14271},
{C_text("f_14325:library_2escm"),(void*)f_14325},
{C_text("f_14329:library_2escm"),(void*)f_14329},
{C_text("f_14334:library_2escm"),(void*)f_14334},
{C_text("f_14344:library_2escm"),(void*)f_14344},
{C_text("f_14348:library_2escm"),(void*)f_14348},
{C_text("f_14357:library_2escm"),(void*)f_14357},
{C_text("f_14363:library_2escm"),(void*)f_14363},
{C_text("f_14380:library_2escm"),(void*)f_14380},
{C_text("f_14391:library_2escm"),(void*)f_14391},
{C_text("f_14397:library_2escm"),(void*)f_14397},
{C_text("f_14408:library_2escm"),(void*)f_14408},
{C_text("f_14419:library_2escm"),(void*)f_14419},
{C_text("f_14431:library_2escm"),(void*)f_14431},
{C_text("f_14443:library_2escm"),(void*)f_14443},
{C_text("f_14455:library_2escm"),(void*)f_14455},
{C_text("f_14472:library_2escm"),(void*)f_14472},
{C_text("f_14479:library_2escm"),(void*)f_14479},
{C_text("f_14483:library_2escm"),(void*)f_14483},
{C_text("f_14485:library_2escm"),(void*)f_14485},
{C_text("f_14491:library_2escm"),(void*)f_14491},
{C_text("f_14495:library_2escm"),(void*)f_14495},
{C_text("f_14498:library_2escm"),(void*)f_14498},
{C_text("f_14503:library_2escm"),(void*)f_14503},
{C_text("f_14513:library_2escm"),(void*)f_14513},
{C_text("f_14531:library_2escm"),(void*)f_14531},
{C_text("f_14550:library_2escm"),(void*)f_14550},
{C_text("f_14553:library_2escm"),(void*)f_14553},
{C_text("f_14573:library_2escm"),(void*)f_14573},
{C_text("f_14583:library_2escm"),(void*)f_14583},
{C_text("f_14587:library_2escm"),(void*)f_14587},
{C_text("f_14591:library_2escm"),(void*)f_14591},
{C_text("f_14607:library_2escm"),(void*)f_14607},
{C_text("f_14624:library_2escm"),(void*)f_14624},
{C_text("f_14635:library_2escm"),(void*)f_14635},
{C_text("f_14655:library_2escm"),(void*)f_14655},
{C_text("f_14670:library_2escm"),(void*)f_14670},
{C_text("f_14673:library_2escm"),(void*)f_14673},
{C_text("f_14683:library_2escm"),(void*)f_14683},
{C_text("f_14685:library_2escm"),(void*)f_14685},
{C_text("f_14704:library_2escm"),(void*)f_14704},
{C_text("f_14728:library_2escm"),(void*)f_14728},
{C_text("f_14732:library_2escm"),(void*)f_14732},
{C_text("f_14736:library_2escm"),(void*)f_14736},
{C_text("f_14771:library_2escm"),(void*)f_14771},
{C_text("f_14778:library_2escm"),(void*)f_14778},
{C_text("f_14790:library_2escm"),(void*)f_14790},
{C_text("f_14810:library_2escm"),(void*)f_14810},
{C_text("f_14814:library_2escm"),(void*)f_14814},
{C_text("f_14834:library_2escm"),(void*)f_14834},
{C_text("f_14843:library_2escm"),(void*)f_14843},
{C_text("f_14854:library_2escm"),(void*)f_14854},
{C_text("f_14858:library_2escm"),(void*)f_14858},
{C_text("f_14862:library_2escm"),(void*)f_14862},
{C_text("f_14869:library_2escm"),(void*)f_14869},
{C_text("f_14885:library_2escm"),(void*)f_14885},
{C_text("f_14889:library_2escm"),(void*)f_14889},
{C_text("f_14930:library_2escm"),(void*)f_14930},
{C_text("f_14963:library_2escm"),(void*)f_14963},
{C_text("f_14992:library_2escm"),(void*)f_14992},
{C_text("f_15000:library_2escm"),(void*)f_15000},
{C_text("f_15006:library_2escm"),(void*)f_15006},
{C_text("f_15026:library_2escm"),(void*)f_15026},
{C_text("f_15051:library_2escm"),(void*)f_15051},
{C_text("f_15057:library_2escm"),(void*)f_15057},
{C_text("f_15061:library_2escm"),(void*)f_15061},
{C_text("f_15068:library_2escm"),(void*)f_15068},
{C_text("f_15088:library_2escm"),(void*)f_15088},
{C_text("f_15109:library_2escm"),(void*)f_15109},
{C_text("f_15123:library_2escm"),(void*)f_15123},
{C_text("f_15130:library_2escm"),(void*)f_15130},
{C_text("f_15135:library_2escm"),(void*)f_15135},
{C_text("f_15141:library_2escm"),(void*)f_15141},
{C_text("f_15145:library_2escm"),(void*)f_15145},
{C_text("f_15148:library_2escm"),(void*)f_15148},
{C_text("f_15155:library_2escm"),(void*)f_15155},
{C_text("f_15176:library_2escm"),(void*)f_15176},
{C_text("f_15190:library_2escm"),(void*)f_15190},
{C_text("f_15194:library_2escm"),(void*)f_15194},
{C_text("f_15231:library_2escm"),(void*)f_15231},
{C_text("f_15239:library_2escm"),(void*)f_15239},
{C_text("f_15266:library_2escm"),(void*)f_15266},
{C_text("f_15269:library_2escm"),(void*)f_15269},
{C_text("f_15284:library_2escm"),(void*)f_15284},
{C_text("f_15287:library_2escm"),(void*)f_15287},
{C_text("f_15294:library_2escm"),(void*)f_15294},
{C_text("f_15305:library_2escm"),(void*)f_15305},
{C_text("f_15320:library_2escm"),(void*)f_15320},
{C_text("f_15345:library_2escm"),(void*)f_15345},
{C_text("f_15360:library_2escm"),(void*)f_15360},
{C_text("f_15383:library_2escm"),(void*)f_15383},
{C_text("f_15386:library_2escm"),(void*)f_15386},
{C_text("f_15396:library_2escm"),(void*)f_15396},
{C_text("f_15454:library_2escm"),(void*)f_15454},
{C_text("f_15470:library_2escm"),(void*)f_15470},
{C_text("f_15476:library_2escm"),(void*)f_15476},
{C_text("f_15539:library_2escm"),(void*)f_15539},
{C_text("f_15578:library_2escm"),(void*)f_15578},
{C_text("f_15584:library_2escm"),(void*)f_15584},
{C_text("f_15628:library_2escm"),(void*)f_15628},
{C_text("f_15632:library_2escm"),(void*)f_15632},
{C_text("f_15635:library_2escm"),(void*)f_15635},
{C_text("f_15684:library_2escm"),(void*)f_15684},
{C_text("f_15699:library_2escm"),(void*)f_15699},
{C_text("f_15708:library_2escm"),(void*)f_15708},
{C_text("f_15745:library_2escm"),(void*)f_15745},
{C_text("f_15755:library_2escm"),(void*)f_15755},
{C_text("f_15764:library_2escm"),(void*)f_15764},
{C_text("f_15767:library_2escm"),(void*)f_15767},
{C_text("f_15776:library_2escm"),(void*)f_15776},
{C_text("f_15785:library_2escm"),(void*)f_15785},
{C_text("f_15797:library_2escm"),(void*)f_15797},
{C_text("f_15803:library_2escm"),(void*)f_15803},
{C_text("f_15809:library_2escm"),(void*)f_15809},
{C_text("f_15850:library_2escm"),(void*)f_15850},
{C_text("f_15957:library_2escm"),(void*)f_15957},
{C_text("f_15964:library_2escm"),(void*)f_15964},
{C_text("f_15977:library_2escm"),(void*)f_15977},
{C_text("f_15983:library_2escm"),(void*)f_15983},
{C_text("f_16035:library_2escm"),(void*)f_16035},
{C_text("f_16050:library_2escm"),(void*)f_16050},
{C_text("f_16060:library_2escm"),(void*)f_16060},
{C_text("f_16096:library_2escm"),(void*)f_16096},
{C_text("f_16122:library_2escm"),(void*)f_16122},
{C_text("f_16133:library_2escm"),(void*)f_16133},
{C_text("f_16300:library_2escm"),(void*)f_16300},
{C_text("f_16315:library_2escm"),(void*)f_16315},
{C_text("f_16341:library_2escm"),(void*)f_16341},
{C_text("f_16373:library_2escm"),(void*)f_16373},
{C_text("f_16410:library_2escm"),(void*)f_16410},
{C_text("f_16434:library_2escm"),(void*)f_16434},
{C_text("f_16484:library_2escm"),(void*)f_16484},
{C_text("f_16532:library_2escm"),(void*)f_16532},
{C_text("f_16535:library_2escm"),(void*)f_16535},
{C_text("f_16554:library_2escm"),(void*)f_16554},
{C_text("f_16624:library_2escm"),(void*)f_16624},
{C_text("f_16645:library_2escm"),(void*)f_16645},
{C_text("f_16692:library_2escm"),(void*)f_16692},
{C_text("f_16784:library_2escm"),(void*)f_16784},
{C_text("f_16794:library_2escm"),(void*)f_16794},
{C_text("f_16803:library_2escm"),(void*)f_16803},
{C_text("f_16810:library_2escm"),(void*)f_16810},
{C_text("f_17039:library_2escm"),(void*)f_17039},
{C_text("f_17085:library_2escm"),(void*)f_17085},
{C_text("f_17088:library_2escm"),(void*)f_17088},
{C_text("f_17115:library_2escm"),(void*)f_17115},
{C_text("f_17139:library_2escm"),(void*)f_17139},
{C_text("f_17156:library_2escm"),(void*)f_17156},
{C_text("f_17255:library_2escm"),(void*)f_17255},
{C_text("f_17258:library_2escm"),(void*)f_17258},
{C_text("f_17267:library_2escm"),(void*)f_17267},
{C_text("f_17294:library_2escm"),(void*)f_17294},
{C_text("f_17312:library_2escm"),(void*)f_17312},
{C_text("f_17332:library_2escm"),(void*)f_17332},
{C_text("f_17336:library_2escm"),(void*)f_17336},
{C_text("f_17338:library_2escm"),(void*)f_17338},
{C_text("f_17356:library_2escm"),(void*)f_17356},
{C_text("f_17379:library_2escm"),(void*)f_17379},
{C_text("f_17387:library_2escm"),(void*)f_17387},
{C_text("f_17392:library_2escm"),(void*)f_17392},
{C_text("f_17403:library_2escm"),(void*)f_17403},
{C_text("f_17405:library_2escm"),(void*)f_17405},
{C_text("f_17416:library_2escm"),(void*)f_17416},
{C_text("f_17418:library_2escm"),(void*)f_17418},
{C_text("f_17429:library_2escm"),(void*)f_17429},
{C_text("f_17431:library_2escm"),(void*)f_17431},
{C_text("f_17448:library_2escm"),(void*)f_17448},
{C_text("f_17452:library_2escm"),(void*)f_17452},
{C_text("f_17456:library_2escm"),(void*)f_17456},
{C_text("f_17465:library_2escm"),(void*)f_17465},
{C_text("f_17485:library_2escm"),(void*)f_17485},
{C_text("f_17493:library_2escm"),(void*)f_17493},
{C_text("f_17508:library_2escm"),(void*)f_17508},
{C_text("f_17510:library_2escm"),(void*)f_17510},
{C_text("f_17535:library_2escm"),(void*)f_17535},
{C_text("f_17544:library_2escm"),(void*)f_17544},
{C_text("f_17553:library_2escm"),(void*)f_17553},
{C_text("f_17564:library_2escm"),(void*)f_17564},
{C_text("f_17574:library_2escm"),(void*)f_17574},
{C_text("f_17581:library_2escm"),(void*)f_17581},
{C_text("f_17592:library_2escm"),(void*)f_17592},
{C_text("f_17620:library_2escm"),(void*)f_17620},
{C_text("f_17624:library_2escm"),(void*)f_17624},
{C_text("f_17626:library_2escm"),(void*)f_17626},
{C_text("f_17630:library_2escm"),(void*)f_17630},
{C_text("f_17635:library_2escm"),(void*)f_17635},
{C_text("f_17641:library_2escm"),(void*)f_17641},
{C_text("f_17645:library_2escm"),(void*)f_17645},
{C_text("f_17650:library_2escm"),(void*)f_17650},
{C_text("f_17660:library_2escm"),(void*)f_17660},
{C_text("f_17662:library_2escm"),(void*)f_17662},
{C_text("f_17666:library_2escm"),(void*)f_17666},
{C_text("f_17672:library_2escm"),(void*)f_17672},
{C_text("f_17674:library_2escm"),(void*)f_17674},
{C_text("f_17678:library_2escm"),(void*)f_17678},
{C_text("f_17681:library_2escm"),(void*)f_17681},
{C_text("f_17697:library_2escm"),(void*)f_17697},
{C_text("f_17701:library_2escm"),(void*)f_17701},
{C_text("f_17704:library_2escm"),(void*)f_17704},
{C_text("f_17726:library_2escm"),(void*)f_17726},
{C_text("f_17742:library_2escm"),(void*)f_17742},
{C_text("f_17747:library_2escm"),(void*)f_17747},
{C_text("f_17778:library_2escm"),(void*)f_17778},
{C_text("f_17787:library_2escm"),(void*)f_17787},
{C_text("f_17805:library_2escm"),(void*)f_17805},
{C_text("f_17811:library_2escm"),(void*)f_17811},
{C_text("f_17817:library_2escm"),(void*)f_17817},
{C_text("f_17826:library_2escm"),(void*)f_17826},
{C_text("f_17845:library_2escm"),(void*)f_17845},
{C_text("f_17861:library_2escm"),(void*)f_17861},
{C_text("f_17864:library_2escm"),(void*)f_17864},
{C_text("f_17867:library_2escm"),(void*)f_17867},
{C_text("f_17872:library_2escm"),(void*)f_17872},
{C_text("f_17914:library_2escm"),(void*)f_17914},
{C_text("f_17933:library_2escm"),(void*)f_17933},
{C_text("f_17936:library_2escm"),(void*)f_17936},
{C_text("f_17939:library_2escm"),(void*)f_17939},
{C_text("f_17944:library_2escm"),(void*)f_17944},
{C_text("f_17985:library_2escm"),(void*)f_17985},
{C_text("f_17995:library_2escm"),(void*)f_17995},
{C_text("f_18006:library_2escm"),(void*)f_18006},
{C_text("f_18010:library_2escm"),(void*)f_18010},
{C_text("f_18013:library_2escm"),(void*)f_18013},
{C_text("f_18018:library_2escm"),(void*)f_18018},
{C_text("f_18045:library_2escm"),(void*)f_18045},
{C_text("f_18059:library_2escm"),(void*)f_18059},
{C_text("f_18070:library_2escm"),(void*)f_18070},
{C_text("f_18081:library_2escm"),(void*)f_18081},
{C_text("f_18092:library_2escm"),(void*)f_18092},
{C_text("f_18105:library_2escm"),(void*)f_18105},
{C_text("f_18107:library_2escm"),(void*)f_18107},
{C_text("f_18120:library_2escm"),(void*)f_18120},
{C_text("f_18148:library_2escm"),(void*)f_18148},
{C_text("f_18152:library_2escm"),(void*)f_18152},
{C_text("f_18161:library_2escm"),(void*)f_18161},
{C_text("f_18179:library_2escm"),(void*)f_18179},
{C_text("f_18182:library_2escm"),(void*)f_18182},
{C_text("f_18265:library_2escm"),(void*)f_18265},
{C_text("f_18268:library_2escm"),(void*)f_18268},
{C_text("f_18271:library_2escm"),(void*)f_18271},
{C_text("f_18274:library_2escm"),(void*)f_18274},
{C_text("f_18277:library_2escm"),(void*)f_18277},
{C_text("f_18280:library_2escm"),(void*)f_18280},
{C_text("f_18283:library_2escm"),(void*)f_18283},
{C_text("f_18286:library_2escm"),(void*)f_18286},
{C_text("f_18289:library_2escm"),(void*)f_18289},
{C_text("f_18292:library_2escm"),(void*)f_18292},
{C_text("f_18295:library_2escm"),(void*)f_18295},
{C_text("f_18298:library_2escm"),(void*)f_18298},
{C_text("f_18301:library_2escm"),(void*)f_18301},
{C_text("f_18304:library_2escm"),(void*)f_18304},
{C_text("f_18309:library_2escm"),(void*)f_18309},
{C_text("f_18315:library_2escm"),(void*)f_18315},
{C_text("f_18331:library_2escm"),(void*)f_18331},
{C_text("f_18347:library_2escm"),(void*)f_18347},
{C_text("f_18353:library_2escm"),(void*)f_18353},
{C_text("f_18373:library_2escm"),(void*)f_18373},
{C_text("f_18377:library_2escm"),(void*)f_18377},
{C_text("f_18389:library_2escm"),(void*)f_18389},
{C_text("f_18421:library_2escm"),(void*)f_18421},
{C_text("f_18425:library_2escm"),(void*)f_18425},
{C_text("f_18433:library_2escm"),(void*)f_18433},
{C_text("f_18443:library_2escm"),(void*)f_18443},
{C_text("f_18451:library_2escm"),(void*)f_18451},
{C_text("f_18487:library_2escm"),(void*)f_18487},
{C_text("f_18502:library_2escm"),(void*)f_18502},
{C_text("f_18512:library_2escm"),(void*)f_18512},
{C_text("f_18532:library_2escm"),(void*)f_18532},
{C_text("f_18545:library_2escm"),(void*)f_18545},
{C_text("f_18552:library_2escm"),(void*)f_18552},
{C_text("f_18554:library_2escm"),(void*)f_18554},
{C_text("f_18562:library_2escm"),(void*)f_18562},
{C_text("f_18564:library_2escm"),(void*)f_18564},
{C_text("f_18573:library_2escm"),(void*)f_18573},
{C_text("f_18591:library_2escm"),(void*)f_18591},
{C_text("f_18616:library_2escm"),(void*)f_18616},
{C_text("f_18632:library_2escm"),(void*)f_18632},
{C_text("f_18649:library_2escm"),(void*)f_18649},
{C_text("f_18653:library_2escm"),(void*)f_18653},
{C_text("f_18657:library_2escm"),(void*)f_18657},
{C_text("f_18659:library_2escm"),(void*)f_18659},
{C_text("f_18667:library_2escm"),(void*)f_18667},
{C_text("f_18669:library_2escm"),(void*)f_18669},
{C_text("f_18676:library_2escm"),(void*)f_18676},
{C_text("f_18680:library_2escm"),(void*)f_18680},
{C_text("f_18684:library_2escm"),(void*)f_18684},
{C_text("f_18693:library_2escm"),(void*)f_18693},
{C_text("f_18701:library_2escm"),(void*)f_18701},
{C_text("f_18711:library_2escm"),(void*)f_18711},
{C_text("f_18717:library_2escm"),(void*)f_18717},
{C_text("f_18720:library_2escm"),(void*)f_18720},
{C_text("f_18724:library_2escm"),(void*)f_18724},
{C_text("f_18751:library_2escm"),(void*)f_18751},
{C_text("f_18767:library_2escm"),(void*)f_18767},
{C_text("f_18773:library_2escm"),(void*)f_18773},
{C_text("f_18796:library_2escm"),(void*)f_18796},
{C_text("f_18809:library_2escm"),(void*)f_18809},
{C_text("f_18815:library_2escm"),(void*)f_18815},
{C_text("f_18820:library_2escm"),(void*)f_18820},
{C_text("f_18825:library_2escm"),(void*)f_18825},
{C_text("f_18829:library_2escm"),(void*)f_18829},
{C_text("f_18838:library_2escm"),(void*)f_18838},
{C_text("f_18869:library_2escm"),(void*)f_18869},
{C_text("f_18873:library_2escm"),(void*)f_18873},
{C_text("f_18877:library_2escm"),(void*)f_18877},
{C_text("f_18880:library_2escm"),(void*)f_18880},
{C_text("f_18883:library_2escm"),(void*)f_18883},
{C_text("f_18886:library_2escm"),(void*)f_18886},
{C_text("f_18888:library_2escm"),(void*)f_18888},
{C_text("f_18899:library_2escm"),(void*)f_18899},
{C_text("f_18910:library_2escm"),(void*)f_18910},
{C_text("f_18921:library_2escm"),(void*)f_18921},
{C_text("f_18932:library_2escm"),(void*)f_18932},
{C_text("f_18945:library_2escm"),(void*)f_18945},
{C_text("f_18947:library_2escm"),(void*)f_18947},
{C_text("f_18953:library_2escm"),(void*)f_18953},
{C_text("f_18958:library_2escm"),(void*)f_18958},
{C_text("f_18993:library_2escm"),(void*)f_18993},
{C_text("f_19006:library_2escm"),(void*)f_19006},
{C_text("f_19008:library_2escm"),(void*)f_19008},
{C_text("f_19014:library_2escm"),(void*)f_19014},
{C_text("f_19019:library_2escm"),(void*)f_19019},
{C_text("f_19054:library_2escm"),(void*)f_19054},
{C_text("f_19067:library_2escm"),(void*)f_19067},
{C_text("f_19069:library_2escm"),(void*)f_19069},
{C_text("f_19075:library_2escm"),(void*)f_19075},
{C_text("f_19080:library_2escm"),(void*)f_19080},
{C_text("f_19115:library_2escm"),(void*)f_19115},
{C_text("f_19127:library_2escm"),(void*)f_19127},
{C_text("f_19129:library_2escm"),(void*)f_19129},
{C_text("f_19135:library_2escm"),(void*)f_19135},
{C_text("f_19141:library_2escm"),(void*)f_19141},
{C_text("f_19151:library_2escm"),(void*)f_19151},
{C_text("f_19154:library_2escm"),(void*)f_19154},
{C_text("f_19157:library_2escm"),(void*)f_19157},
{C_text("f_19160:library_2escm"),(void*)f_19160},
{C_text("f_19163:library_2escm"),(void*)f_19163},
{C_text("f_19170:library_2escm"),(void*)f_19170},
{C_text("f_19174:library_2escm"),(void*)f_19174},
{C_text("f_19178:library_2escm"),(void*)f_19178},
{C_text("f_19184:library_2escm"),(void*)f_19184},
{C_text("f_19197:library_2escm"),(void*)f_19197},
{C_text("f_19239:library_2escm"),(void*)f_19239},
{C_text("f_19243:library_2escm"),(void*)f_19243},
{C_text("f_19276:library_2escm"),(void*)f_19276},
{C_text("f_19282:library_2escm"),(void*)f_19282},
{C_text("f_19288:library_2escm"),(void*)f_19288},
{C_text("f_19294:library_2escm"),(void*)f_19294},
{C_text("f_19300:library_2escm"),(void*)f_19300},
{C_text("f_19304:library_2escm"),(void*)f_19304},
{C_text("f_19309:library_2escm"),(void*)f_19309},
{C_text("f_19315:library_2escm"),(void*)f_19315},
{C_text("f_19319:library_2escm"),(void*)f_19319},
{C_text("f_19324:library_2escm"),(void*)f_19324},
{C_text("f_19328:library_2escm"),(void*)f_19328},
{C_text("f_19333:library_2escm"),(void*)f_19333},
{C_text("f_19339:library_2escm"),(void*)f_19339},
{C_text("f_19343:library_2escm"),(void*)f_19343},
{C_text("f_19348:library_2escm"),(void*)f_19348},
{C_text("f_19352:library_2escm"),(void*)f_19352},
{C_text("f_19357:library_2escm"),(void*)f_19357},
{C_text("f_19362:library_2escm"),(void*)f_19362},
{C_text("f_19368:library_2escm"),(void*)f_19368},
{C_text("f_19372:library_2escm"),(void*)f_19372},
{C_text("f_19377:library_2escm"),(void*)f_19377},
{C_text("f_19382:library_2escm"),(void*)f_19382},
{C_text("f_19386:library_2escm"),(void*)f_19386},
{C_text("f_19391:library_2escm"),(void*)f_19391},
{C_text("f_19396:library_2escm"),(void*)f_19396},
{C_text("f_19402:library_2escm"),(void*)f_19402},
{C_text("f_19406:library_2escm"),(void*)f_19406},
{C_text("f_19411:library_2escm"),(void*)f_19411},
{C_text("f_19416:library_2escm"),(void*)f_19416},
{C_text("f_19421:library_2escm"),(void*)f_19421},
{C_text("f_19442:library_2escm"),(void*)f_19442},
{C_text("f_19449:library_2escm"),(void*)f_19449},
{C_text("f_19455:library_2escm"),(void*)f_19455},
{C_text("f_19473:library_2escm"),(void*)f_19473},
{C_text("f_19482:library_2escm"),(void*)f_19482},
{C_text("f_19495:library_2escm"),(void*)f_19495},
{C_text("f_19503:library_2escm"),(void*)f_19503},
{C_text("f_19508:library_2escm"),(void*)f_19508},
{C_text("f_19545:library_2escm"),(void*)f_19545},
{C_text("f_19557:library_2escm"),(void*)f_19557},
{C_text("f_19567:library_2escm"),(void*)f_19567},
{C_text("f_19583:library_2escm"),(void*)f_19583},
{C_text("f_19596:library_2escm"),(void*)f_19596},
{C_text("f_19603:library_2escm"),(void*)f_19603},
{C_text("f_19605:library_2escm"),(void*)f_19605},
{C_text("f_19618:library_2escm"),(void*)f_19618},
{C_text("f_19624:library_2escm"),(void*)f_19624},
{C_text("f_19631:library_2escm"),(void*)f_19631},
{C_text("f_19633:library_2escm"),(void*)f_19633},
{C_text("f_19637:library_2escm"),(void*)f_19637},
{C_text("f_19640:library_2escm"),(void*)f_19640},
{C_text("f_19650:library_2escm"),(void*)f_19650},
{C_text("f_19654:library_2escm"),(void*)f_19654},
{C_text("f_19662:library_2escm"),(void*)f_19662},
{C_text("f_19665:library_2escm"),(void*)f_19665},
{C_text("f_19672:library_2escm"),(void*)f_19672},
{C_text("f_19675:library_2escm"),(void*)f_19675},
{C_text("f_19678:library_2escm"),(void*)f_19678},
{C_text("f_19681:library_2escm"),(void*)f_19681},
{C_text("f_19689:library_2escm"),(void*)f_19689},
{C_text("f_19697:library_2escm"),(void*)f_19697},
{C_text("f_19699:library_2escm"),(void*)f_19699},
{C_text("f_19715:library_2escm"),(void*)f_19715},
{C_text("f_19742:library_2escm"),(void*)f_19742},
{C_text("f_19746:library_2escm"),(void*)f_19746},
{C_text("f_19750:library_2escm"),(void*)f_19750},
{C_text("f_19754:library_2escm"),(void*)f_19754},
{C_text("f_19758:library_2escm"),(void*)f_19758},
{C_text("f_19762:library_2escm"),(void*)f_19762},
{C_text("f_19766:library_2escm"),(void*)f_19766},
{C_text("f_19770:library_2escm"),(void*)f_19770},
{C_text("f_19774:library_2escm"),(void*)f_19774},
{C_text("f_19778:library_2escm"),(void*)f_19778},
{C_text("f_19782:library_2escm"),(void*)f_19782},
{C_text("f_19786:library_2escm"),(void*)f_19786},
{C_text("f_19790:library_2escm"),(void*)f_19790},
{C_text("f_19794:library_2escm"),(void*)f_19794},
{C_text("f_19798:library_2escm"),(void*)f_19798},
{C_text("f_19802:library_2escm"),(void*)f_19802},
{C_text("f_19806:library_2escm"),(void*)f_19806},
{C_text("f_19813:library_2escm"),(void*)f_19813},
{C_text("f_19820:library_2escm"),(void*)f_19820},
{C_text("f_19821:library_2escm"),(void*)f_19821},
{C_text("f_19825:library_2escm"),(void*)f_19825},
{C_text("f_19828:library_2escm"),(void*)f_19828},
{C_text("f_19844:library_2escm"),(void*)f_19844},
{C_text("f_19855:library_2escm"),(void*)f_19855},
{C_text("f_19863:library_2escm"),(void*)f_19863},
{C_text("f_19875:library_2escm"),(void*)f_19875},
{C_text("f_19884:library_2escm"),(void*)f_19884},
{C_text("f_19889:library_2escm"),(void*)f_19889},
{C_text("f_19945:library_2escm"),(void*)f_19945},
{C_text("f_19959:library_2escm"),(void*)f_19959},
{C_text("f_19971:library_2escm"),(void*)f_19971},
{C_text("f_19977:library_2escm"),(void*)f_19977},
{C_text("f_20002:library_2escm"),(void*)f_20002},
{C_text("f_20020:library_2escm"),(void*)f_20020},
{C_text("f_20024:library_2escm"),(void*)f_20024},
{C_text("f_20080:library_2escm"),(void*)f_20080},
{C_text("f_20089:library_2escm"),(void*)f_20089},
{C_text("f_20102:library_2escm"),(void*)f_20102},
{C_text("f_20114:library_2escm"),(void*)f_20114},
{C_text("f_20132:library_2escm"),(void*)f_20132},
{C_text("f_20153:library_2escm"),(void*)f_20153},
{C_text("f_20156:library_2escm"),(void*)f_20156},
{C_text("f_20159:library_2escm"),(void*)f_20159},
{C_text("f_20167:library_2escm"),(void*)f_20167},
{C_text("f_20171:library_2escm"),(void*)f_20171},
{C_text("f_20175:library_2escm"),(void*)f_20175},
{C_text("f_20179:library_2escm"),(void*)f_20179},
{C_text("f_20183:library_2escm"),(void*)f_20183},
{C_text("f_20185:library_2escm"),(void*)f_20185},
{C_text("f_20193:library_2escm"),(void*)f_20193},
{C_text("f_20196:library_2escm"),(void*)f_20196},
{C_text("f_20206:library_2escm"),(void*)f_20206},
{C_text("f_20208:library_2escm"),(void*)f_20208},
{C_text("f_20216:library_2escm"),(void*)f_20216},
{C_text("f_20219:library_2escm"),(void*)f_20219},
{C_text("f_20229:library_2escm"),(void*)f_20229},
{C_text("f_20234:library_2escm"),(void*)f_20234},
{C_text("f_20238:library_2escm"),(void*)f_20238},
{C_text("f_20241:library_2escm"),(void*)f_20241},
{C_text("f_20244:library_2escm"),(void*)f_20244},
{C_text("f_20247:library_2escm"),(void*)f_20247},
{C_text("f_20250:library_2escm"),(void*)f_20250},
{C_text("f_20252:library_2escm"),(void*)f_20252},
{C_text("f_20258:library_2escm"),(void*)f_20258},
{C_text("f_20267:library_2escm"),(void*)f_20267},
{C_text("f_20275:library_2escm"),(void*)f_20275},
{C_text("f_20277:library_2escm"),(void*)f_20277},
{C_text("f_20284:library_2escm"),(void*)f_20284},
{C_text("f_20291:library_2escm"),(void*)f_20291},
{C_text("f_20304:library_2escm"),(void*)f_20304},
{C_text("f_20308:library_2escm"),(void*)f_20308},
{C_text("f_20313:library_2escm"),(void*)f_20313},
{C_text("f_20317:library_2escm"),(void*)f_20317},
{C_text("f_20328:library_2escm"),(void*)f_20328},
{C_text("f_20331:library_2escm"),(void*)f_20331},
{C_text("f_20339:library_2escm"),(void*)f_20339},
{C_text("f_20341:library_2escm"),(void*)f_20341},
{C_text("f_20354:library_2escm"),(void*)f_20354},
{C_text("f_20361:library_2escm"),(void*)f_20361},
{C_text("f_20370:library_2escm"),(void*)f_20370},
{C_text("f_20377:library_2escm"),(void*)f_20377},
{C_text("f_20379:library_2escm"),(void*)f_20379},
{C_text("f_20385:library_2escm"),(void*)f_20385},
{C_text("f_20395:library_2escm"),(void*)f_20395},
{C_text("f_20398:library_2escm"),(void*)f_20398},
{C_text("f_20408:library_2escm"),(void*)f_20408},
{C_text("f_20411:library_2escm"),(void*)f_20411},
{C_text("f_20439:library_2escm"),(void*)f_20439},
{C_text("f_20443:library_2escm"),(void*)f_20443},
{C_text("f_20451:library_2escm"),(void*)f_20451},
{C_text("f_20476:library_2escm"),(void*)f_20476},
{C_text("f_20484:library_2escm"),(void*)f_20484},
{C_text("f_20486:library_2escm"),(void*)f_20486},
{C_text("f_20503:library_2escm"),(void*)f_20503},
{C_text("f_20516:library_2escm"),(void*)f_20516},
{C_text("f_20533:library_2escm"),(void*)f_20533},
{C_text("f_20550:library_2escm"),(void*)f_20550},
{C_text("f_20567:library_2escm"),(void*)f_20567},
{C_text("f_20584:library_2escm"),(void*)f_20584},
{C_text("f_20605:library_2escm"),(void*)f_20605},
{C_text("f_20626:library_2escm"),(void*)f_20626},
{C_text("f_20650:library_2escm"),(void*)f_20650},
{C_text("f_20658:library_2escm"),(void*)f_20658},
{C_text("f_20667:library_2escm"),(void*)f_20667},
{C_text("f_20673:library_2escm"),(void*)f_20673},
{C_text("f_20679:library_2escm"),(void*)f_20679},
{C_text("f_20682:library_2escm"),(void*)f_20682},
{C_text("f_20685:library_2escm"),(void*)f_20685},
{C_text("f_20695:library_2escm"),(void*)f_20695},
{C_text("f_20699:library_2escm"),(void*)f_20699},
{C_text("f_20716:library_2escm"),(void*)f_20716},
{C_text("f_20721:library_2escm"),(void*)f_20721},
{C_text("f_20728:library_2escm"),(void*)f_20728},
{C_text("f_20732:library_2escm"),(void*)f_20732},
{C_text("f_20741:library_2escm"),(void*)f_20741},
{C_text("f_20747:library_2escm"),(void*)f_20747},
{C_text("f_20757:library_2escm"),(void*)f_20757},
{C_text("f_20761:library_2escm"),(void*)f_20761},
{C_text("f_20770:library_2escm"),(void*)f_20770},
{C_text("f_20777:library_2escm"),(void*)f_20777},
{C_text("f_20790:library_2escm"),(void*)f_20790},
{C_text("f_20795:library_2escm"),(void*)f_20795},
{C_text("f_20812:library_2escm"),(void*)f_20812},
{C_text("f_20827:library_2escm"),(void*)f_20827},
{C_text("f_20840:library_2escm"),(void*)f_20840},
{C_text("f_20862:library_2escm"),(void*)f_20862},
{C_text("f_20865:library_2escm"),(void*)f_20865},
{C_text("f_20894:library_2escm"),(void*)f_20894},
{C_text("f_20904:library_2escm"),(void*)f_20904},
{C_text("f_20920:library_2escm"),(void*)f_20920},
{C_text("f_20931:library_2escm"),(void*)f_20931},
{C_text("f_20938:library_2escm"),(void*)f_20938},
{C_text("f_21036:library_2escm"),(void*)f_21036},
{C_text("f_21042:library_2escm"),(void*)f_21042},
{C_text("f_21051:library_2escm"),(void*)f_21051},
{C_text("f_21065:library_2escm"),(void*)f_21065},
{C_text("f_21068:library_2escm"),(void*)f_21068},
{C_text("f_21079:library_2escm"),(void*)f_21079},
{C_text("f_21081:library_2escm"),(void*)f_21081},
{C_text("f_21084:library_2escm"),(void*)f_21084},
{C_text("f_21101:library_2escm"),(void*)f_21101},
{C_text("f_21106:library_2escm"),(void*)f_21106},
{C_text("f_21110:library_2escm"),(void*)f_21110},
{C_text("f_21113:library_2escm"),(void*)f_21113},
{C_text("f_21116:library_2escm"),(void*)f_21116},
{C_text("f_21126:library_2escm"),(void*)f_21126},
{C_text("f_21144:library_2escm"),(void*)f_21144},
{C_text("f_21147:library_2escm"),(void*)f_21147},
{C_text("f_21156:library_2escm"),(void*)f_21156},
{C_text("f_21159:library_2escm"),(void*)f_21159},
{C_text("f_21162:library_2escm"),(void*)f_21162},
{C_text("f_21168:library_2escm"),(void*)f_21168},
{C_text("f_21181:library_2escm"),(void*)f_21181},
{C_text("f_21185:library_2escm"),(void*)f_21185},
{C_text("f_21189:library_2escm"),(void*)f_21189},
{C_text("f_21200:library_2escm"),(void*)f_21200},
{C_text("f_21204:library_2escm"),(void*)f_21204},
{C_text("f_21207:library_2escm"),(void*)f_21207},
{C_text("f_21235:library_2escm"),(void*)f_21235},
{C_text("f_21291:library_2escm"),(void*)f_21291},
{C_text("f_21295:library_2escm"),(void*)f_21295},
{C_text("f_21302:library_2escm"),(void*)f_21302},
{C_text("f_21304:library_2escm"),(void*)f_21304},
{C_text("f_21308:library_2escm"),(void*)f_21308},
{C_text("f_21322:library_2escm"),(void*)f_21322},
{C_text("f_21328:library_2escm"),(void*)f_21328},
{C_text("f_21335:library_2escm"),(void*)f_21335},
{C_text("f_21342:library_2escm"),(void*)f_21342},
{C_text("f_21357:library_2escm"),(void*)f_21357},
{C_text("f_21363:library_2escm"),(void*)f_21363},
{C_text("f_21392:library_2escm"),(void*)f_21392},
{C_text("f_21402:library_2escm"),(void*)f_21402},
{C_text("f_21405:library_2escm"),(void*)f_21405},
{C_text("f_21441:library_2escm"),(void*)f_21441},
{C_text("f_21443:library_2escm"),(void*)f_21443},
{C_text("f_21453:library_2escm"),(void*)f_21453},
{C_text("f_21456:library_2escm"),(void*)f_21456},
{C_text("f_21508:library_2escm"),(void*)f_21508},
{C_text("f_21510:library_2escm"),(void*)f_21510},
{C_text("f_21518:library_2escm"),(void*)f_21518},
{C_text("f_21520:library_2escm"),(void*)f_21520},
{C_text("f_21530:library_2escm"),(void*)f_21530},
{C_text("f_21545:library_2escm"),(void*)f_21545},
{C_text("f_21552:library_2escm"),(void*)f_21552},
{C_text("f_21574:library_2escm"),(void*)f_21574},
{C_text("f_21582:library_2escm"),(void*)f_21582},
{C_text("f_21584:library_2escm"),(void*)f_21584},
{C_text("f_21594:library_2escm"),(void*)f_21594},
{C_text("f_21600:library_2escm"),(void*)f_21600},
{C_text("f_21607:library_2escm"),(void*)f_21607},
{C_text("f_21620:library_2escm"),(void*)f_21620},
{C_text("f_21626:library_2escm"),(void*)f_21626},
{C_text("f_21630:library_2escm"),(void*)f_21630},
{C_text("f_21637:library_2escm"),(void*)f_21637},
{C_text("f_21645:library_2escm"),(void*)f_21645},
{C_text("f_21651:library_2escm"),(void*)f_21651},
{C_text("f_21655:library_2escm"),(void*)f_21655},
{C_text("f_21664:library_2escm"),(void*)f_21664},
{C_text("f_21670:library_2escm"),(void*)f_21670},
{C_text("f_21677:library_2escm"),(void*)f_21677},
{C_text("f_21688:library_2escm"),(void*)f_21688},
{C_text("f_21728:library_2escm"),(void*)f_21728},
{C_text("f_21737:library_2escm"),(void*)f_21737},
{C_text("f_21744:library_2escm"),(void*)f_21744},
{C_text("f_21748:library_2escm"),(void*)f_21748},
{C_text("f_21752:library_2escm"),(void*)f_21752},
{C_text("f_21761:library_2escm"),(void*)f_21761},
{C_text("f_21772:library_2escm"),(void*)f_21772},
{C_text("f_21810:library_2escm"),(void*)f_21810},
{C_text("f_21859:library_2escm"),(void*)f_21859},
{C_text("f_21863:library_2escm"),(void*)f_21863},
{C_text("f_21866:library_2escm"),(void*)f_21866},
{C_text("f_21878:library_2escm"),(void*)f_21878},
{C_text("f_21898:library_2escm"),(void*)f_21898},
{C_text("f_21904:library_2escm"),(void*)f_21904},
{C_text("f_21914:library_2escm"),(void*)f_21914},
{C_text("f_22043:library_2escm"),(void*)f_22043},
{C_text("f_22050:library_2escm"),(void*)f_22050},
{C_text("f_22068:library_2escm"),(void*)f_22068},
{C_text("f_22074:library_2escm"),(void*)f_22074},
{C_text("f_22078:library_2escm"),(void*)f_22078},
{C_text("f_22114:library_2escm"),(void*)f_22114},
{C_text("f_22137:library_2escm"),(void*)f_22137},
{C_text("f_22155:library_2escm"),(void*)f_22155},
{C_text("f_22159:library_2escm"),(void*)f_22159},
{C_text("f_22162:library_2escm"),(void*)f_22162},
{C_text("f_22168:library_2escm"),(void*)f_22168},
{C_text("f_22173:library_2escm"),(void*)f_22173},
{C_text("f_22192:library_2escm"),(void*)f_22192},
{C_text("f_22202:library_2escm"),(void*)f_22202},
{C_text("f_22206:library_2escm"),(void*)f_22206},
{C_text("f_22210:library_2escm"),(void*)f_22210},
{C_text("f_22221:library_2escm"),(void*)f_22221},
{C_text("f_22247:library_2escm"),(void*)f_22247},
{C_text("f_22255:library_2escm"),(void*)f_22255},
{C_text("f_22259:library_2escm"),(void*)f_22259},
{C_text("f_22262:library_2escm"),(void*)f_22262},
{C_text("f_22265:library_2escm"),(void*)f_22265},
{C_text("f_22271:library_2escm"),(void*)f_22271},
{C_text("f_22279:library_2escm"),(void*)f_22279},
{C_text("f_22285:library_2escm"),(void*)f_22285},
{C_text("f_22307:library_2escm"),(void*)f_22307},
{C_text("f_22314:library_2escm"),(void*)f_22314},
{C_text("f_22323:library_2escm"),(void*)f_22323},
{C_text("f_22330:library_2escm"),(void*)f_22330},
{C_text("f_22339:library_2escm"),(void*)f_22339},
{C_text("f_22348:library_2escm"),(void*)f_22348},
{C_text("f_22355:library_2escm"),(void*)f_22355},
{C_text("f_22362:library_2escm"),(void*)f_22362},
{C_text("f_22366:library_2escm"),(void*)f_22366},
{C_text("f_22375:library_2escm"),(void*)f_22375},
{C_text("f_22378:library_2escm"),(void*)f_22378},
{C_text("f_22396:library_2escm"),(void*)f_22396},
{C_text("f_22399:library_2escm"),(void*)f_22399},
{C_text("f_22405:library_2escm"),(void*)f_22405},
{C_text("f_22422:library_2escm"),(void*)f_22422},
{C_text("f_22428:library_2escm"),(void*)f_22428},
{C_text("f_22456:library_2escm"),(void*)f_22456},
{C_text("f_22479:library_2escm"),(void*)f_22479},
{C_text("f_22485:library_2escm"),(void*)f_22485},
{C_text("f_22493:library_2escm"),(void*)f_22493},
{C_text("f_22499:library_2escm"),(void*)f_22499},
{C_text("f_22524:library_2escm"),(void*)f_22524},
{C_text("f_22536:library_2escm"),(void*)f_22536},
{C_text("f_22548:library_2escm"),(void*)f_22548},
{C_text("f_22560:library_2escm"),(void*)f_22560},
{C_text("f_22572:library_2escm"),(void*)f_22572},
{C_text("f_22584:library_2escm"),(void*)f_22584},
{C_text("f_22596:library_2escm"),(void*)f_22596},
{C_text("f_22599:library_2escm"),(void*)f_22599},
{C_text("f_22602:library_2escm"),(void*)f_22602},
{C_text("f_22607:library_2escm"),(void*)f_22607},
{C_text("f_22612:library_2escm"),(void*)f_22612},
{C_text("f_22618:library_2escm"),(void*)f_22618},
{C_text("f_22660:library_2escm"),(void*)f_22660},
{C_text("f_22672:library_2escm"),(void*)f_22672},
{C_text("f_22675:library_2escm"),(void*)f_22675},
{C_text("f_22687:library_2escm"),(void*)f_22687},
{C_text("f_22699:library_2escm"),(void*)f_22699},
{C_text("f_22702:library_2escm"),(void*)f_22702},
{C_text("f_22714:library_2escm"),(void*)f_22714},
{C_text("f_22721:library_2escm"),(void*)f_22721},
{C_text("f_22730:library_2escm"),(void*)f_22730},
{C_text("f_22733:library_2escm"),(void*)f_22733},
{C_text("f_22742:library_2escm"),(void*)f_22742},
{C_text("f_22752:library_2escm"),(void*)f_22752},
{C_text("f_22761:library_2escm"),(void*)f_22761},
{C_text("f_22764:library_2escm"),(void*)f_22764},
{C_text("f_22769:library_2escm"),(void*)f_22769},
{C_text("f_22774:library_2escm"),(void*)f_22774},
{C_text("f_22780:library_2escm"),(void*)f_22780},
{C_text("f_22809:library_2escm"),(void*)f_22809},
{C_text("f_22825:library_2escm"),(void*)f_22825},
{C_text("f_22829:library_2escm"),(void*)f_22829},
{C_text("f_22838:library_2escm"),(void*)f_22838},
{C_text("f_22841:library_2escm"),(void*)f_22841},
{C_text("f_22852:library_2escm"),(void*)f_22852},
{C_text("f_22861:library_2escm"),(void*)f_22861},
{C_text("f_22864:library_2escm"),(void*)f_22864},
{C_text("f_22870:library_2escm"),(void*)f_22870},
{C_text("f_22873:library_2escm"),(void*)f_22873},
{C_text("f_22879:library_2escm"),(void*)f_22879},
{C_text("f_22898:library_2escm"),(void*)f_22898},
{C_text("f_22917:library_2escm"),(void*)f_22917},
{C_text("f_22933:library_2escm"),(void*)f_22933},
{C_text("f_22939:library_2escm"),(void*)f_22939},
{C_text("f_23013:library_2escm"),(void*)f_23013},
{C_text("f_23025:library_2escm"),(void*)f_23025},
{C_text("f_23103:library_2escm"),(void*)f_23103},
{C_text("f_23179:library_2escm"),(void*)f_23179},
{C_text("f_23344:library_2escm"),(void*)f_23344},
{C_text("f_23356:library_2escm"),(void*)f_23356},
{C_text("f_23418:library_2escm"),(void*)f_23418},
{C_text("f_23421:library_2escm"),(void*)f_23421},
{C_text("f_23467:library_2escm"),(void*)f_23467},
{C_text("f_23471:library_2escm"),(void*)f_23471},
{C_text("f_23489:library_2escm"),(void*)f_23489},
{C_text("f_23553:library_2escm"),(void*)f_23553},
{C_text("f_23564:library_2escm"),(void*)f_23564},
{C_text("f_23566:library_2escm"),(void*)f_23566},
{C_text("f_23579:library_2escm"),(void*)f_23579},
{C_text("f_23591:library_2escm"),(void*)f_23591},
{C_text("f_23611:library_2escm"),(void*)f_23611},
{C_text("f_23618:library_2escm"),(void*)f_23618},
{C_text("f_23627:library_2escm"),(void*)f_23627},
{C_text("f_23639:library_2escm"),(void*)f_23639},
{C_text("f_23660:library_2escm"),(void*)f_23660},
{C_text("f_23675:library_2escm"),(void*)f_23675},
{C_text("f_23693:library_2escm"),(void*)f_23693},
{C_text("f_23711:library_2escm"),(void*)f_23711},
{C_text("f_23730:library_2escm"),(void*)f_23730},
{C_text("f_23740:library_2escm"),(void*)f_23740},
{C_text("f_23754:library_2escm"),(void*)f_23754},
{C_text("f_23757:library_2escm"),(void*)f_23757},
{C_text("f_23762:library_2escm"),(void*)f_23762},
{C_text("f_23781:library_2escm"),(void*)f_23781},
{C_text("f_23791:library_2escm"),(void*)f_23791},
{C_text("f_23805:library_2escm"),(void*)f_23805},
{C_text("f_23808:library_2escm"),(void*)f_23808},
{C_text("f_23815:library_2escm"),(void*)f_23815},
{C_text("f_23819:library_2escm"),(void*)f_23819},
{C_text("f_23823:library_2escm"),(void*)f_23823},
{C_text("f_23825:library_2escm"),(void*)f_23825},
{C_text("f_23832:library_2escm"),(void*)f_23832},
{C_text("f_23835:library_2escm"),(void*)f_23835},
{C_text("f_23838:library_2escm"),(void*)f_23838},
{C_text("f_23840:library_2escm"),(void*)f_23840},
{C_text("f_23850:library_2escm"),(void*)f_23850},
{C_text("f_23856:library_2escm"),(void*)f_23856},
{C_text("f_23868:library_2escm"),(void*)f_23868},
{C_text("f_23871:library_2escm"),(void*)f_23871},
{C_text("f_23874:library_2escm"),(void*)f_23874},
{C_text("f_23891:library_2escm"),(void*)f_23891},
{C_text("f_23912:library_2escm"),(void*)f_23912},
{C_text("f_23916:library_2escm"),(void*)f_23916},
{C_text("f_23929:library_2escm"),(void*)f_23929},
{C_text("f_23932:library_2escm"),(void*)f_23932},
{C_text("f_23941:library_2escm"),(void*)f_23941},
{C_text("f_23944:library_2escm"),(void*)f_23944},
{C_text("f_23972:library_2escm"),(void*)f_23972},
{C_text("f_23976:library_2escm"),(void*)f_23976},
{C_text("f_23985:library_2escm"),(void*)f_23985},
{C_text("f_23996:library_2escm"),(void*)f_23996},
{C_text("f_24003:library_2escm"),(void*)f_24003},
{C_text("f_24008:library_2escm"),(void*)f_24008},
{C_text("f_24030:library_2escm"),(void*)f_24030},
{C_text("f_24036:library_2escm"),(void*)f_24036},
{C_text("f_24039:library_2escm"),(void*)f_24039},
{C_text("f_24050:library_2escm"),(void*)f_24050},
{C_text("f_24059:library_2escm"),(void*)f_24059},
{C_text("f_24062:library_2escm"),(void*)f_24062},
{C_text("f_24085:library_2escm"),(void*)f_24085},
{C_text("f_24134:library_2escm"),(void*)f_24134},
{C_text("f_24150:library_2escm"),(void*)f_24150},
{C_text("f_24157:library_2escm"),(void*)f_24157},
{C_text("f_24176:library_2escm"),(void*)f_24176},
{C_text("f_24214:library_2escm"),(void*)f_24214},
{C_text("f_24271:library_2escm"),(void*)f_24271},
{C_text("f_24276:library_2escm"),(void*)f_24276},
{C_text("f_24325:library_2escm"),(void*)f_24325},
{C_text("f_24331:library_2escm"),(void*)f_24331},
{C_text("f_24335:library_2escm"),(void*)f_24335},
{C_text("f_24358:library_2escm"),(void*)f_24358},
{C_text("f_24365:library_2escm"),(void*)f_24365},
{C_text("f_24384:library_2escm"),(void*)f_24384},
{C_text("f_24423:library_2escm"),(void*)f_24423},
{C_text("f_24435:library_2escm"),(void*)f_24435},
{C_text("f_24441:library_2escm"),(void*)f_24441},
{C_text("f_24457:library_2escm"),(void*)f_24457},
{C_text("f_24464:library_2escm"),(void*)f_24464},
{C_text("f_24473:library_2escm"),(void*)f_24473},
{C_text("f_24480:library_2escm"),(void*)f_24480},
{C_text("f_24490:library_2escm"),(void*)f_24490},
{C_text("f_24499:library_2escm"),(void*)f_24499},
{C_text("f_24505:library_2escm"),(void*)f_24505},
{C_text("f_24518:library_2escm"),(void*)f_24518},
{C_text("f_24556:library_2escm"),(void*)f_24556},
{C_text("f_24622:library_2escm"),(void*)f_24622},
{C_text("f_24625:library_2escm"),(void*)f_24625},
{C_text("f_24632:library_2escm"),(void*)f_24632},
{C_text("f_24672:library_2escm"),(void*)f_24672},
{C_text("f_24675:library_2escm"),(void*)f_24675},
{C_text("f_24684:library_2escm"),(void*)f_24684},
{C_text("f_24694:library_2escm"),(void*)f_24694},
{C_text("f_24697:library_2escm"),(void*)f_24697},
{C_text("f_24706:library_2escm"),(void*)f_24706},
{C_text("f_24716:library_2escm"),(void*)f_24716},
{C_text("f_24719:library_2escm"),(void*)f_24719},
{C_text("f_24745:library_2escm"),(void*)f_24745},
{C_text("f_24751:library_2escm"),(void*)f_24751},
{C_text("f_24756:library_2escm"),(void*)f_24756},
{C_text("f_24769:library_2escm"),(void*)f_24769},
{C_text("f_24772:library_2escm"),(void*)f_24772},
{C_text("f_24783:library_2escm"),(void*)f_24783},
{C_text("f_24805:library_2escm"),(void*)f_24805},
{C_text("f_24817:library_2escm"),(void*)f_24817},
{C_text("f_24820:library_2escm"),(void*)f_24820},
{C_text("f_24827:library_2escm"),(void*)f_24827},
{C_text("f_24836:library_2escm"),(void*)f_24836},
{C_text("f_24839:library_2escm"),(void*)f_24839},
{C_text("f_24883:library_2escm"),(void*)f_24883},
{C_text("f_24886:library_2escm"),(void*)f_24886},
{C_text("f_24895:library_2escm"),(void*)f_24895},
{C_text("f_24908:library_2escm"),(void*)f_24908},
{C_text("f_24911:library_2escm"),(void*)f_24911},
{C_text("f_24936:library_2escm"),(void*)f_24936},
{C_text("f_24940:library_2escm"),(void*)f_24940},
{C_text("f_24950:library_2escm"),(void*)f_24950},
{C_text("f_24953:library_2escm"),(void*)f_24953},
{C_text("f_24973:library_2escm"),(void*)f_24973},
{C_text("f_24986:library_2escm"),(void*)f_24986},
{C_text("f_24991:library_2escm"),(void*)f_24991},
{C_text("f_24997:library_2escm"),(void*)f_24997},
{C_text("f_25003:library_2escm"),(void*)f_25003},
{C_text("f_25007:library_2escm"),(void*)f_25007},
{C_text("f_25010:library_2escm"),(void*)f_25010},
{C_text("f_25025:library_2escm"),(void*)f_25025},
{C_text("f_25028:library_2escm"),(void*)f_25028},
{C_text("f_25046:library_2escm"),(void*)f_25046},
{C_text("f_25048:library_2escm"),(void*)f_25048},
{C_text("f_25054:library_2escm"),(void*)f_25054},
{C_text("f_25063:library_2escm"),(void*)f_25063},
{C_text("f_25069:library_2escm"),(void*)f_25069},
{C_text("f_25076:library_2escm"),(void*)f_25076},
{C_text("f_25079:library_2escm"),(void*)f_25079},
{C_text("f_25082:library_2escm"),(void*)f_25082},
{C_text("f_25091:library_2escm"),(void*)f_25091},
{C_text("f_25107:library_2escm"),(void*)f_25107},
{C_text("f_25122:library_2escm"),(void*)f_25122},
{C_text("f_25124:library_2escm"),(void*)f_25124},
{C_text("f_25130:library_2escm"),(void*)f_25130},
{C_text("f_25136:library_2escm"),(void*)f_25136},
{C_text("f_25140:library_2escm"),(void*)f_25140},
{C_text("f_25143:library_2escm"),(void*)f_25143},
{C_text("f_25146:library_2escm"),(void*)f_25146},
{C_text("f_25150:library_2escm"),(void*)f_25150},
{C_text("f_25154:library_2escm"),(void*)f_25154},
{C_text("f_25158:library_2escm"),(void*)f_25158},
{C_text("f_25161:library_2escm"),(void*)f_25161},
{C_text("f_25164:library_2escm"),(void*)f_25164},
{C_text("f_25167:library_2escm"),(void*)f_25167},
{C_text("f_25179:library_2escm"),(void*)f_25179},
{C_text("f_25185:library_2escm"),(void*)f_25185},
{C_text("f_25189:library_2escm"),(void*)f_25189},
{C_text("f_25192:library_2escm"),(void*)f_25192},
{C_text("f_25195:library_2escm"),(void*)f_25195},
{C_text("f_25198:library_2escm"),(void*)f_25198},
{C_text("f_25201:library_2escm"),(void*)f_25201},
{C_text("f_25204:library_2escm"),(void*)f_25204},
{C_text("f_25209:library_2escm"),(void*)f_25209},
{C_text("f_25231:library_2escm"),(void*)f_25231},
{C_text("f_25237:library_2escm"),(void*)f_25237},
{C_text("f_25240:library_2escm"),(void*)f_25240},
{C_text("f_25265:library_2escm"),(void*)f_25265},
{C_text("f_25268:library_2escm"),(void*)f_25268},
{C_text("f_25275:library_2escm"),(void*)f_25275},
{C_text("f_25288:library_2escm"),(void*)f_25288},
{C_text("f_25298:library_2escm"),(void*)f_25298},
{C_text("f_25303:library_2escm"),(void*)f_25303},
{C_text("f_25309:library_2escm"),(void*)f_25309},
{C_text("f_25336:library_2escm"),(void*)f_25336},
{C_text("f_25342:library_2escm"),(void*)f_25342},
{C_text("f_25353:library_2escm"),(void*)f_25353},
{C_text("f_25359:library_2escm"),(void*)f_25359},
{C_text("f_25362:library_2escm"),(void*)f_25362},
{C_text("f_25367:library_2escm"),(void*)f_25367},
{C_text("f_25373:library_2escm"),(void*)f_25373},
{C_text("f_25397:library_2escm"),(void*)f_25397},
{C_text("f_25405:library_2escm"),(void*)f_25405},
{C_text("f_25422:library_2escm"),(void*)f_25422},
{C_text("f_25462:library_2escm"),(void*)f_25462},
{C_text("f_25469:library_2escm"),(void*)f_25469},
{C_text("f_25481:library_2escm"),(void*)f_25481},
{C_text("f_25485:library_2escm"),(void*)f_25485},
{C_text("f_25498:library_2escm"),(void*)f_25498},
{C_text("f_25500:library_2escm"),(void*)f_25500},
{C_text("f_25534:library_2escm"),(void*)f_25534},
{C_text("f_25538:library_2escm"),(void*)f_25538},
{C_text("f_25539:library_2escm"),(void*)f_25539},
{C_text("f_25549:library_2escm"),(void*)f_25549},
{C_text("f_25554:library_2escm"),(void*)f_25554},
{C_text("f_25564:library_2escm"),(void*)f_25564},
{C_text("f_25577:library_2escm"),(void*)f_25577},
{C_text("f_25588:library_2escm"),(void*)f_25588},
{C_text("f_25592:library_2escm"),(void*)f_25592},
{C_text("f_25596:library_2escm"),(void*)f_25596},
{C_text("f_25618:library_2escm"),(void*)f_25618},
{C_text("f_25622:library_2escm"),(void*)f_25622},
{C_text("f_25630:library_2escm"),(void*)f_25630},
{C_text("f_25646:library_2escm"),(void*)f_25646},
{C_text("f_25657:library_2escm"),(void*)f_25657},
{C_text("f_25676:library_2escm"),(void*)f_25676},
{C_text("f_25687:library_2escm"),(void*)f_25687},
{C_text("f_25695:library_2escm"),(void*)f_25695},
{C_text("f_25774:library_2escm"),(void*)f_25774},
{C_text("f_25784:library_2escm"),(void*)f_25784},
{C_text("f_25785:library_2escm"),(void*)f_25785},
{C_text("f_25798:library_2escm"),(void*)f_25798},
{C_text("f_25801:library_2escm"),(void*)f_25801},
{C_text("f_25804:library_2escm"),(void*)f_25804},
{C_text("f_25807:library_2escm"),(void*)f_25807},
{C_text("f_25815:library_2escm"),(void*)f_25815},
{C_text("f_25822:library_2escm"),(void*)f_25822},
{C_text("f_25825:library_2escm"),(void*)f_25825},
{C_text("f_25828:library_2escm"),(void*)f_25828},
{C_text("f_25851:library_2escm"),(void*)f_25851},
{C_text("f_25856:library_2escm"),(void*)f_25856},
{C_text("f_25866:library_2escm"),(void*)f_25866},
{C_text("f_25879:library_2escm"),(void*)f_25879},
{C_text("f_25910:library_2escm"),(void*)f_25910},
{C_text("f_25920:library_2escm"),(void*)f_25920},
{C_text("f_25970:library_2escm"),(void*)f_25970},
{C_text("f_25973:library_2escm"),(void*)f_25973},
{C_text("f_25992:library_2escm"),(void*)f_25992},
{C_text("f_25997:library_2escm"),(void*)f_25997},
{C_text("f_26003:library_2escm"),(void*)f_26003},
{C_text("f_26006:library_2escm"),(void*)f_26006},
{C_text("f_26012:library_2escm"),(void*)f_26012},
{C_text("f_26020:library_2escm"),(void*)f_26020},
{C_text("f_26039:library_2escm"),(void*)f_26039},
{C_text("f_26044:library_2escm"),(void*)f_26044},
{C_text("f_26054:library_2escm"),(void*)f_26054},
{C_text("f_26068:library_2escm"),(void*)f_26068},
{C_text("f_26075:library_2escm"),(void*)f_26075},
{C_text("f_26079:library_2escm"),(void*)f_26079},
{C_text("f_26083:library_2escm"),(void*)f_26083},
{C_text("f_26085:library_2escm"),(void*)f_26085},
{C_text("f_26111:library_2escm"),(void*)f_26111},
{C_text("f_26114:library_2escm"),(void*)f_26114},
{C_text("f_26117:library_2escm"),(void*)f_26117},
{C_text("f_26124:library_2escm"),(void*)f_26124},
{C_text("f_26128:library_2escm"),(void*)f_26128},
{C_text("f_26134:library_2escm"),(void*)f_26134},
{C_text("f_26139:library_2escm"),(void*)f_26139},
{C_text("f_26149:library_2escm"),(void*)f_26149},
{C_text("f_26166:library_2escm"),(void*)f_26166},
{C_text("f_26187:library_2escm"),(void*)f_26187},
{C_text("f_26190:library_2escm"),(void*)f_26190},
{C_text("f_26210:library_2escm"),(void*)f_26210},
{C_text("f_26218:library_2escm"),(void*)f_26218},
{C_text("f_26352:library_2escm"),(void*)f_26352},
{C_text("f_26369:library_2escm"),(void*)f_26369},
{C_text("f_26373:library_2escm"),(void*)f_26373},
{C_text("f_26386:library_2escm"),(void*)f_26386},
{C_text("f_26395:library_2escm"),(void*)f_26395},
{C_text("f_26398:library_2escm"),(void*)f_26398},
{C_text("f_26402:library_2escm"),(void*)f_26402},
{C_text("f_26441:library_2escm"),(void*)f_26441},
{C_text("f_26444:library_2escm"),(void*)f_26444},
{C_text("f_26451:library_2escm"),(void*)f_26451},
{C_text("f_26455:library_2escm"),(void*)f_26455},
{C_text("f_26481:library_2escm"),(void*)f_26481},
{C_text("f_26512:library_2escm"),(void*)f_26512},
{C_text("f_26515:library_2escm"),(void*)f_26515},
{C_text("f_26527:library_2escm"),(void*)f_26527},
{C_text("f_26530:library_2escm"),(void*)f_26530},
{C_text("f_26533:library_2escm"),(void*)f_26533},
{C_text("f_26558:library_2escm"),(void*)f_26558},
{C_text("f_26564:library_2escm"),(void*)f_26564},
{C_text("f_26568:library_2escm"),(void*)f_26568},
{C_text("f_26572:library_2escm"),(void*)f_26572},
{C_text("f_26585:library_2escm"),(void*)f_26585},
{C_text("f_26587:library_2escm"),(void*)f_26587},
{C_text("f_26593:library_2escm"),(void*)f_26593},
{C_text("f_26598:library_2escm"),(void*)f_26598},
{C_text("f_26633:library_2escm"),(void*)f_26633},
{C_text("f_26639:library_2escm"),(void*)f_26639},
{C_text("f_26655:library_2escm"),(void*)f_26655},
{C_text("f_26677:library_2escm"),(void*)f_26677},
{C_text("f_26701:library_2escm"),(void*)f_26701},
{C_text("f_26713:library_2escm"),(void*)f_26713},
{C_text("f_26715:library_2escm"),(void*)f_26715},
{C_text("f_26734:library_2escm"),(void*)f_26734},
{C_text("f_26738:library_2escm"),(void*)f_26738},
{C_text("f_26750:library_2escm"),(void*)f_26750},
{C_text("f_26752:library_2escm"),(void*)f_26752},
{C_text("f_26796:library_2escm"),(void*)f_26796},
{C_text("f_26798:library_2escm"),(void*)f_26798},
{C_text("f_26832:library_2escm"),(void*)f_26832},
{C_text("f_26855:library_2escm"),(void*)f_26855},
{C_text("f_26862:library_2escm"),(void*)f_26862},
{C_text("f_26872:library_2escm"),(void*)f_26872},
{C_text("f_26874:library_2escm"),(void*)f_26874},
{C_text("f_26924:library_2escm"),(void*)f_26924},
{C_text("f_26926:library_2escm"),(void*)f_26926},
{C_text("f_26951:library_2escm"),(void*)f_26951},
{C_text("f_26960:library_2escm"),(void*)f_26960},
{C_text("f_26966:library_2escm"),(void*)f_26966},
{C_text("f_26970:library_2escm"),(void*)f_26970},
{C_text("f_26974:library_2escm"),(void*)f_26974},
{C_text("f_26982:library_2escm"),(void*)f_26982},
{C_text("f_26988:library_2escm"),(void*)f_26988},
{C_text("f_27019:library_2escm"),(void*)f_27019},
{C_text("f_27044:library_2escm"),(void*)f_27044},
{C_text("f_27069:library_2escm"),(void*)f_27069},
{C_text("f_27079:library_2escm"),(void*)f_27079},
{C_text("f_27084:library_2escm"),(void*)f_27084},
{C_text("f_27086:library_2escm"),(void*)f_27086},
{C_text("f_27093:library_2escm"),(void*)f_27093},
{C_text("f_27105:library_2escm"),(void*)f_27105},
{C_text("f_27113:library_2escm"),(void*)f_27113},
{C_text("f_27151:library_2escm"),(void*)f_27151},
{C_text("f_27155:library_2escm"),(void*)f_27155},
{C_text("f_27162:library_2escm"),(void*)f_27162},
{C_text("f_27165:library_2escm"),(void*)f_27165},
{C_text("f_27168:library_2escm"),(void*)f_27168},
{C_text("f_27169:library_2escm"),(void*)f_27169},
{C_text("f_27171:library_2escm"),(void*)f_27171},
{C_text("f_27175:library_2escm"),(void*)f_27175},
{C_text("f_27180:library_2escm"),(void*)f_27180},
{C_text("f_27192:library_2escm"),(void*)f_27192},
{C_text("f_27202:library_2escm"),(void*)f_27202},
{C_text("f_27214:library_2escm"),(void*)f_27214},
{C_text("f_27216:library_2escm"),(void*)f_27216},
{C_text("f_27223:library_2escm"),(void*)f_27223},
{C_text("f_27226:library_2escm"),(void*)f_27226},
{C_text("f_27232:library_2escm"),(void*)f_27232},
{C_text("f_27235:library_2escm"),(void*)f_27235},
{C_text("f_27238:library_2escm"),(void*)f_27238},
{C_text("f_27241:library_2escm"),(void*)f_27241},
{C_text("f_27256:library_2escm"),(void*)f_27256},
{C_text("f_27262:library_2escm"),(void*)f_27262},
{C_text("f_27270:library_2escm"),(void*)f_27270},
{C_text("f_27274:library_2escm"),(void*)f_27274},
{C_text("f_27277:library_2escm"),(void*)f_27277},
{C_text("f_27280:library_2escm"),(void*)f_27280},
{C_text("f_27293:library_2escm"),(void*)f_27293},
{C_text("f_27297:library_2escm"),(void*)f_27297},
{C_text("f_27318:library_2escm"),(void*)f_27318},
{C_text("f_27334:library_2escm"),(void*)f_27334},
{C_text("f_27337:library_2escm"),(void*)f_27337},
{C_text("f_27343:library_2escm"),(void*)f_27343},
{C_text("f_27365:library_2escm"),(void*)f_27365},
{C_text("f_27370:library_2escm"),(void*)f_27370},
{C_text("f_27405:library_2escm"),(void*)f_27405},
{C_text("f_27415:library_2escm"),(void*)f_27415},
{C_text("f_27418:library_2escm"),(void*)f_27418},
{C_text("f_27421:library_2escm"),(void*)f_27421},
{C_text("f_27424:library_2escm"),(void*)f_27424},
{C_text("f_27427:library_2escm"),(void*)f_27427},
{C_text("f_27430:library_2escm"),(void*)f_27430},
{C_text("f_27437:library_2escm"),(void*)f_27437},
{C_text("f_27440:library_2escm"),(void*)f_27440},
{C_text("f_27443:library_2escm"),(void*)f_27443},
{C_text("f_27454:library_2escm"),(void*)f_27454},
{C_text("f_27477:library_2escm"),(void*)f_27477},
{C_text("f_27488:library_2escm"),(void*)f_27488},
{C_text("f_27492:library_2escm"),(void*)f_27492},
{C_text("f_27514:library_2escm"),(void*)f_27514},
{C_text("f_27525:library_2escm"),(void*)f_27525},
{C_text("f_27529:library_2escm"),(void*)f_27529},
{C_text("f_28110:library_2escm"),(void*)f_28110},
{C_text("f_28113:library_2escm"),(void*)f_28113},
{C_text("f_28116:library_2escm"),(void*)f_28116},
{C_text("f_28119:library_2escm"),(void*)f_28119},
{C_text("f_28124:library_2escm"),(void*)f_28124},
{C_text("f_28127:library_2escm"),(void*)f_28127},
{C_text("f_28130:library_2escm"),(void*)f_28130},
{C_text("f_28133:library_2escm"),(void*)f_28133},
{C_text("f_28136:library_2escm"),(void*)f_28136},
{C_text("f_28139:library_2escm"),(void*)f_28139},
{C_text("f_28142:library_2escm"),(void*)f_28142},
{C_text("f_28145:library_2escm"),(void*)f_28145},
{C_text("f_28162:library_2escm"),(void*)f_28162},
{C_text("f_28166:library_2escm"),(void*)f_28166},
{C_text("f_28168:library_2escm"),(void*)f_28168},
{C_text("f_28176:library_2escm"),(void*)f_28176},
{C_text("f_28178:library_2escm"),(void*)f_28178},
{C_text("f_28182:library_2escm"),(void*)f_28182},
{C_text("f_28184:library_2escm"),(void*)f_28184},
{C_text("f_28191:library_2escm"),(void*)f_28191},
{C_text("f_28201:library_2escm"),(void*)f_28201},
{C_text("f_28226:library_2escm"),(void*)f_28226},
{C_text("f_28229:library_2escm"),(void*)f_28229},
{C_text("f_28232:library_2escm"),(void*)f_28232},
{C_text("f_28235:library_2escm"),(void*)f_28235},
{C_text("f_28238:library_2escm"),(void*)f_28238},
{C_text("f_28248:library_2escm"),(void*)f_28248},
{C_text("f_28254:library_2escm"),(void*)f_28254},
{C_text("f_28258:library_2escm"),(void*)f_28258},
{C_text("f_28260:library_2escm"),(void*)f_28260},
{C_text("f_28270:library_2escm"),(void*)f_28270},
{C_text("f_28276:library_2escm"),(void*)f_28276},
{C_text("f_28280:library_2escm"),(void*)f_28280},
{C_text("f_28282:library_2escm"),(void*)f_28282},
{C_text("f_28287:library_2escm"),(void*)f_28287},
{C_text("f_28289:library_2escm"),(void*)f_28289},
{C_text("f_28292:library_2escm"),(void*)f_28292},
{C_text("f_28312:library_2escm"),(void*)f_28312},
{C_text("f_28318:library_2escm"),(void*)f_28318},
{C_text("f_28328:library_2escm"),(void*)f_28328},
{C_text("f_28338:library_2escm"),(void*)f_28338},
{C_text("f_28373:library_2escm"),(void*)f_28373},
{C_text("f_28377:library_2escm"),(void*)f_28377},
{C_text("f_28382:library_2escm"),(void*)f_28382},
{C_text("f_28392:library_2escm"),(void*)f_28392},
{C_text("f_28402:library_2escm"),(void*)f_28402},
{C_text("f_28411:library_2escm"),(void*)f_28411},
{C_text("f_28414:library_2escm"),(void*)f_28414},
{C_text("f_28417:library_2escm"),(void*)f_28417},
{C_text("f_28424:library_2escm"),(void*)f_28424},
{C_text("f_28431:library_2escm"),(void*)f_28431},
{C_text("f_28434:library_2escm"),(void*)f_28434},
{C_text("f_28438:library_2escm"),(void*)f_28438},
{C_text("f_28440:library_2escm"),(void*)f_28440},
{C_text("f_28443:library_2escm"),(void*)f_28443},
{C_text("f_28446:library_2escm"),(void*)f_28446},
{C_text("f_28449:library_2escm"),(void*)f_28449},
{C_text("f_28452:library_2escm"),(void*)f_28452},
{C_text("f_28455:library_2escm"),(void*)f_28455},
{C_text("f_28458:library_2escm"),(void*)f_28458},
{C_text("f_28461:library_2escm"),(void*)f_28461},
{C_text("f_28464:library_2escm"),(void*)f_28464},
{C_text("f_28467:library_2escm"),(void*)f_28467},
{C_text("f_28470:library_2escm"),(void*)f_28470},
{C_text("f_28474:library_2escm"),(void*)f_28474},
{C_text("f_28477:library_2escm"),(void*)f_28477},
{C_text("f_28493:library_2escm"),(void*)f_28493},
{C_text("f_28501:library_2escm"),(void*)f_28501},
{C_text("f_28504:library_2escm"),(void*)f_28504},
{C_text("f_28510:library_2escm"),(void*)f_28510},
{C_text("f_28519:library_2escm"),(void*)f_28519},
{C_text("f_28525:library_2escm"),(void*)f_28525},
{C_text("f_28534:library_2escm"),(void*)f_28534},
{C_text("f_28540:library_2escm"),(void*)f_28540},
{C_text("f_28546:library_2escm"),(void*)f_28546},
{C_text("f_28549:library_2escm"),(void*)f_28549},
{C_text("f_28553:library_2escm"),(void*)f_28553},
{C_text("f_28556:library_2escm"),(void*)f_28556},
{C_text("f_28561:library_2escm"),(void*)f_28561},
{C_text("f_28563:library_2escm"),(void*)f_28563},
{C_text("f_28567:library_2escm"),(void*)f_28567},
{C_text("f_28594:library_2escm"),(void*)f_28594},
{C_text("f_28604:library_2escm"),(void*)f_28604},
{C_text("f_28613:library_2escm"),(void*)f_28613},
{C_text("f_28620:library_2escm"),(void*)f_28620},
{C_text("f_28624:library_2escm"),(void*)f_28624},
{C_text("f_28638:library_2escm"),(void*)f_28638},
{C_text("f_28642:library_2escm"),(void*)f_28642},
{C_text("f_28649:library_2escm"),(void*)f_28649},
{C_text("f_28651:library_2escm"),(void*)f_28651},
{C_text("f_28673:library_2escm"),(void*)f_28673},
{C_text("f_28680:library_2escm"),(void*)f_28680},
{C_text("f_28685:library_2escm"),(void*)f_28685},
{C_text("f_28689:library_2escm"),(void*)f_28689},
{C_text("f_28692:library_2escm"),(void*)f_28692},
{C_text("f_28695:library_2escm"),(void*)f_28695},
{C_text("f_28700:library_2escm"),(void*)f_28700},
{C_text("f_28704:library_2escm"),(void*)f_28704},
{C_text("f_28730:library_2escm"),(void*)f_28730},
{C_text("f_28743:library_2escm"),(void*)f_28743},
{C_text("f_28746:library_2escm"),(void*)f_28746},
{C_text("f_28755:library_2escm"),(void*)f_28755},
{C_text("f_28758:library_2escm"),(void*)f_28758},
{C_text("f_28761:library_2escm"),(void*)f_28761},
{C_text("f_28767:library_2escm"),(void*)f_28767},
{C_text("f_28774:library_2escm"),(void*)f_28774},
{C_text("f_28776:library_2escm"),(void*)f_28776},
{C_text("f_28789:library_2escm"),(void*)f_28789},
{C_text("f_28802:library_2escm"),(void*)f_28802},
{C_text("f_28805:library_2escm"),(void*)f_28805},
{C_text("f_28808:library_2escm"),(void*)f_28808},
{C_text("f_28815:library_2escm"),(void*)f_28815},
{C_text("f_28868:library_2escm"),(void*)f_28868},
{C_text("f_28871:library_2escm"),(void*)f_28871},
{C_text("f_28874:library_2escm"),(void*)f_28874},
{C_text("f_28876:library_2escm"),(void*)f_28876},
{C_text("f_28880:library_2escm"),(void*)f_28880},
{C_text("f_28884:library_2escm"),(void*)f_28884},
{C_text("f_28890:library_2escm"),(void*)f_28890},
{C_text("f_28895:library_2escm"),(void*)f_28895},
{C_text("f_28899:library_2escm"),(void*)f_28899},
{C_text("f_28911:library_2escm"),(void*)f_28911},
{C_text("f_28923:library_2escm"),(void*)f_28923},
{C_text("f_28930:library_2escm"),(void*)f_28930},
{C_text("f_28936:library_2escm"),(void*)f_28936},
{C_text("f_28950:library_2escm"),(void*)f_28950},
{C_text("f_28959:library_2escm"),(void*)f_28959},
{C_text("f_28989:library_2escm"),(void*)f_28989},
{C_text("f_29008:library_2escm"),(void*)f_29008},
{C_text("f_29031:library_2escm"),(void*)f_29031},
{C_text("f_29040:library_2escm"),(void*)f_29040},
{C_text("f_29047:library_2escm"),(void*)f_29047},
{C_text("f_29064:library_2escm"),(void*)f_29064},
{C_text("f_29072:library_2escm"),(void*)f_29072},
{C_text("f_29083:library_2escm"),(void*)f_29083},
{C_text("f_29091:library_2escm"),(void*)f_29091},
{C_text("f_29098:library_2escm"),(void*)f_29098},
{C_text("f_29160:library_2escm"),(void*)f_29160},
{C_text("f_29167:library_2escm"),(void*)f_29167},
{C_text("f_29170:library_2escm"),(void*)f_29170},
{C_text("f_29176:library_2escm"),(void*)f_29176},
{C_text("f_29183:library_2escm"),(void*)f_29183},
{C_text("f_29187:library_2escm"),(void*)f_29187},
{C_text("f_29190:library_2escm"),(void*)f_29190},
{C_text("f_29198:library_2escm"),(void*)f_29198},
{C_text("f_29200:library_2escm"),(void*)f_29200},
{C_text("f_29209:library_2escm"),(void*)f_29209},
{C_text("f_29218:library_2escm"),(void*)f_29218},
{C_text("f_29229:library_2escm"),(void*)f_29229},
{C_text("f_29233:library_2escm"),(void*)f_29233},
{C_text("f_29235:library_2escm"),(void*)f_29235},
{C_text("f_29243:library_2escm"),(void*)f_29243},
{C_text("f_29255:library_2escm"),(void*)f_29255},
{C_text("f_29261:library_2escm"),(void*)f_29261},
{C_text("f_29265:library_2escm"),(void*)f_29265},
{C_text("f_29273:library_2escm"),(void*)f_29273},
{C_text("f_29291:library_2escm"),(void*)f_29291},
{C_text("f_29299:library_2escm"),(void*)f_29299},
{C_text("f_29303:library_2escm"),(void*)f_29303},
{C_text("f_29321:library_2escm"),(void*)f_29321},
{C_text("f_29328:library_2escm"),(void*)f_29328},
{C_text("f_29340:library_2escm"),(void*)f_29340},
{C_text("f_29348:library_2escm"),(void*)f_29348},
{C_text("f_29354:library_2escm"),(void*)f_29354},
{C_text("f_29376:library_2escm"),(void*)f_29376},
{C_text("f_29380:library_2escm"),(void*)f_29380},
{C_text("f_29384:library_2escm"),(void*)f_29384},
{C_text("f_29386:library_2escm"),(void*)f_29386},
{C_text("f_29389:library_2escm"),(void*)f_29389},
{C_text("f_29392:library_2escm"),(void*)f_29392},
{C_text("f_29396:library_2escm"),(void*)f_29396},
{C_text("f_29399:library_2escm"),(void*)f_29399},
{C_text("f_29417:library_2escm"),(void*)f_29417},
{C_text("f_29423:library_2escm"),(void*)f_29423},
{C_text("f_29427:library_2escm"),(void*)f_29427},
{C_text("f_29444:library_2escm"),(void*)f_29444},
{C_text("f_29454:library_2escm"),(void*)f_29454},
{C_text("f_29458:library_2escm"),(void*)f_29458},
{C_text("f_29462:library_2escm"),(void*)f_29462},
{C_text("f_29474:library_2escm"),(void*)f_29474},
{C_text("f_29484:library_2escm"),(void*)f_29484},
{C_text("f_29488:library_2escm"),(void*)f_29488},
{C_text("f_29492:library_2escm"),(void*)f_29492},
{C_text("f_29520:library_2escm"),(void*)f_29520},
{C_text("f_29523:library_2escm"),(void*)f_29523},
{C_text("f_29526:library_2escm"),(void*)f_29526},
{C_text("f_29532:library_2escm"),(void*)f_29532},
{C_text("f_29545:library_2escm"),(void*)f_29545},
{C_text("f_29548:library_2escm"),(void*)f_29548},
{C_text("f_29557:library_2escm"),(void*)f_29557},
{C_text("f_29563:library_2escm"),(void*)f_29563},
{C_text("f_29569:library_2escm"),(void*)f_29569},
{C_text("f_29575:library_2escm"),(void*)f_29575},
{C_text("f_29581:library_2escm"),(void*)f_29581},
{C_text("f_29598:library_2escm"),(void*)f_29598},
{C_text("f_29604:library_2escm"),(void*)f_29604},
{C_text("f_29619:library_2escm"),(void*)f_29619},
{C_text("f_29623:library_2escm"),(void*)f_29623},
{C_text("f_29627:library_2escm"),(void*)f_29627},
{C_text("f_29631:library_2escm"),(void*)f_29631},
{C_text("f_29637:library_2escm"),(void*)f_29637},
{C_text("f_29639:library_2escm"),(void*)f_29639},
{C_text("f_29645:library_2escm"),(void*)f_29645},
{C_text("f_29649:library_2escm"),(void*)f_29649},
{C_text("f_29658:library_2escm"),(void*)f_29658},
{C_text("f_29667:library_2escm"),(void*)f_29667},
{C_text("f_29710:library_2escm"),(void*)f_29710},
{C_text("f_29732:library_2escm"),(void*)f_29732},
{C_text("f_29745:library_2escm"),(void*)f_29745},
{C_text("f_29770:library_2escm"),(void*)f_29770},
{C_text("f_29786:library_2escm"),(void*)f_29786},
{C_text("f_29802:library_2escm"),(void*)f_29802},
{C_text("f_29818:library_2escm"),(void*)f_29818},
{C_text("f_29834:library_2escm"),(void*)f_29834},
{C_text("f_29850:library_2escm"),(void*)f_29850},
{C_text("f_29866:library_2escm"),(void*)f_29866},
{C_text("f_29882:library_2escm"),(void*)f_29882},
{C_text("f_29898:library_2escm"),(void*)f_29898},
{C_text("f_29914:library_2escm"),(void*)f_29914},
{C_text("f_29921:library_2escm"),(void*)f_29921},
{C_text("f_29962:library_2escm"),(void*)f_29962},
{C_text("f_29974:library_2escm"),(void*)f_29974},
{C_text("f_29981:library_2escm"),(void*)f_29981},
{C_text("f_29998:library_2escm"),(void*)f_29998},
{C_text("f_30000:library_2escm"),(void*)f_30000},
{C_text("f_30023:library_2escm"),(void*)f_30023},
{C_text("f_30069:library_2escm"),(void*)f_30069},
{C_text("f_30071:library_2escm"),(void*)f_30071},
{C_text("f_30078:library_2escm"),(void*)f_30078},
{C_text("f_30090:library_2escm"),(void*)f_30090},
{C_text("f_30134:library_2escm"),(void*)f_30134},
{C_text("f_30149:library_2escm"),(void*)f_30149},
{C_text("f_30157:library_2escm"),(void*)f_30157},
{C_text("f_30163:library_2escm"),(void*)f_30163},
{C_text("f_30171:library_2escm"),(void*)f_30171},
{C_text("f_30175:library_2escm"),(void*)f_30175},
{C_text("f_30181:library_2escm"),(void*)f_30181},
{C_text("f_30183:library_2escm"),(void*)f_30183},
{C_text("f_30195:library_2escm"),(void*)f_30195},
{C_text("f_30202:library_2escm"),(void*)f_30202},
{C_text("f_30206:library_2escm"),(void*)f_30206},
{C_text("f_30222:library_2escm"),(void*)f_30222},
{C_text("f_30229:library_2escm"),(void*)f_30229},
{C_text("f_30233:library_2escm"),(void*)f_30233},
{C_text("f_30246:library_2escm"),(void*)f_30246},
{C_text("f_30253:library_2escm"),(void*)f_30253},
{C_text("f_30257:library_2escm"),(void*)f_30257},
{C_text("f_30262:library_2escm"),(void*)f_30262},
{C_text("f_30268:library_2escm"),(void*)f_30268},
{C_text("f_30271:library_2escm"),(void*)f_30271},
{C_text("f_30274:library_2escm"),(void*)f_30274},
{C_text("f_30280:library_2escm"),(void*)f_30280},
{C_text("f_30289:library_2escm"),(void*)f_30289},
{C_text("f_30298:library_2escm"),(void*)f_30298},
{C_text("f_30304:library_2escm"),(void*)f_30304},
{C_text("f_30307:library_2escm"),(void*)f_30307},
{C_text("f_30310:library_2escm"),(void*)f_30310},
{C_text("f_30322:library_2escm"),(void*)f_30322},
{C_text("f_30325:library_2escm"),(void*)f_30325},
{C_text("f_30328:library_2escm"),(void*)f_30328},
{C_text("f_30331:library_2escm"),(void*)f_30331},
{C_text("f_30343:library_2escm"),(void*)f_30343},
{C_text("f_30346:library_2escm"),(void*)f_30346},
{C_text("f_30349:library_2escm"),(void*)f_30349},
{C_text("f_30352:library_2escm"),(void*)f_30352},
{C_text("f_30360:library_2escm"),(void*)f_30360},
{C_text("f_30363:library_2escm"),(void*)f_30363},
{C_text("f_30376:library_2escm"),(void*)f_30376},
{C_text("f_30377:library_2escm"),(void*)f_30377},
{C_text("f_30382:library_2escm"),(void*)f_30382},
{C_text("f_30383:library_2escm"),(void*)f_30383},
{C_text("f_30388:library_2escm"),(void*)f_30388},
{C_text("f_30389:library_2escm"),(void*)f_30389},
{C_text("f_30394:library_2escm"),(void*)f_30394},
{C_text("f_30395:library_2escm"),(void*)f_30395},
{C_text("f_30400:library_2escm"),(void*)f_30400},
{C_text("f_30401:library_2escm"),(void*)f_30401},
{C_text("f_30406:library_2escm"),(void*)f_30406},
{C_text("f_30408:library_2escm"),(void*)f_30408},
{C_text("f_30418:library_2escm"),(void*)f_30418},
{C_text("f_30421:library_2escm"),(void*)f_30421},
{C_text("f_30424:library_2escm"),(void*)f_30424},
{C_text("f_30427:library_2escm"),(void*)f_30427},
{C_text("f_30429:library_2escm"),(void*)f_30429},
{C_text("f_30443:library_2escm"),(void*)f_30443},
{C_text("f_30451:library_2escm"),(void*)f_30451},
{C_text("f_30455:library_2escm"),(void*)f_30455},
{C_text("f_30459:library_2escm"),(void*)f_30459},
{C_text("f_30463:library_2escm"),(void*)f_30463},
{C_text("f_30469:library_2escm"),(void*)f_30469},
{C_text("f_30476:library_2escm"),(void*)f_30476},
{C_text("f_30480:library_2escm"),(void*)f_30480},
{C_text("f_30484:library_2escm"),(void*)f_30484},
{C_text("f_30488:library_2escm"),(void*)f_30488},
{C_text("f_30527:library_2escm"),(void*)f_30527},
{C_text("f_30530:library_2escm"),(void*)f_30530},
{C_text("f_30533:library_2escm"),(void*)f_30533},
{C_text("f_30536:library_2escm"),(void*)f_30536},
{C_text("f_30539:library_2escm"),(void*)f_30539},
{C_text("f_30547:library_2escm"),(void*)f_30547},
{C_text("f_30555:library_2escm"),(void*)f_30555},
{C_text("f_30559:library_2escm"),(void*)f_30559},
{C_text("f_30576:library_2escm"),(void*)f_30576},
{C_text("f_30583:library_2escm"),(void*)f_30583},
{C_text("f_30605:library_2escm"),(void*)f_30605},
{C_text("f_30610:library_2escm"),(void*)f_30610},
{C_text("f_30625:library_2escm"),(void*)f_30625},
{C_text("f_30628:library_2escm"),(void*)f_30628},
{C_text("f_30631:library_2escm"),(void*)f_30631},
{C_text("f_30634:library_2escm"),(void*)f_30634},
{C_text("f_30637:library_2escm"),(void*)f_30637},
{C_text("f_30640:library_2escm"),(void*)f_30640},
{C_text("f_30643:library_2escm"),(void*)f_30643},
{C_text("f_30646:library_2escm"),(void*)f_30646},
{C_text("f_30649:library_2escm"),(void*)f_30649},
{C_text("f_30652:library_2escm"),(void*)f_30652},
{C_text("f_30655:library_2escm"),(void*)f_30655},
{C_text("f_30659:library_2escm"),(void*)f_30659},
{C_text("f_30662:library_2escm"),(void*)f_30662},
{C_text("f_30667:library_2escm"),(void*)f_30667},
{C_text("f_30673:library_2escm"),(void*)f_30673},
{C_text("f_30686:library_2escm"),(void*)f_30686},
{C_text("f_30688:library_2escm"),(void*)f_30688},
{C_text("f_30698:library_2escm"),(void*)f_30698},
{C_text("f_30711:library_2escm"),(void*)f_30711},
{C_text("f_30718:library_2escm"),(void*)f_30718},
{C_text("f_30722:library_2escm"),(void*)f_30722},
{C_text("f_30724:library_2escm"),(void*)f_30724},
{C_text("f_30753:library_2escm"),(void*)f_30753},
{C_text("f_30755:library_2escm"),(void*)f_30755},
{C_text("f_30780:library_2escm"),(void*)f_30780},
{C_text("f_30789:library_2escm"),(void*)f_30789},
{C_text("f_30792:library_2escm"),(void*)f_30792},
{C_text("f_30798:library_2escm"),(void*)f_30798},
{C_text("f_30822:library_2escm"),(void*)f_30822},
{C_text("f_30831:library_2escm"),(void*)f_30831},
{C_text("f_30839:library_2escm"),(void*)f_30839},
{C_text("f_30843:library_2escm"),(void*)f_30843},
{C_text("f_30847:library_2escm"),(void*)f_30847},
{C_text("f_30877:library_2escm"),(void*)f_30877},
{C_text("f_30881:library_2escm"),(void*)f_30881},
{C_text("f_30885:library_2escm"),(void*)f_30885},
{C_text("f_30889:library_2escm"),(void*)f_30889},
{C_text("f_30893:library_2escm"),(void*)f_30893},
{C_text("f_30897:library_2escm"),(void*)f_30897},
{C_text("f_30900:library_2escm"),(void*)f_30900},
{C_text("f_30903:library_2escm"),(void*)f_30903},
{C_text("f_30913:library_2escm"),(void*)f_30913},
{C_text("f_30916:library_2escm"),(void*)f_30916},
{C_text("f_30919:library_2escm"),(void*)f_30919},
{C_text("f_30939:library_2escm"),(void*)f_30939},
{C_text("f_30943:library_2escm"),(void*)f_30943},
{C_text("f_30947:library_2escm"),(void*)f_30947},
{C_text("f_30951:library_2escm"),(void*)f_30951},
{C_text("f_30955:library_2escm"),(void*)f_30955},
{C_text("f_30959:library_2escm"),(void*)f_30959},
{C_text("f_30963:library_2escm"),(void*)f_30963},
{C_text("f_30965:library_2escm"),(void*)f_30965},
{C_text("f_30974:library_2escm"),(void*)f_30974},
{C_text("f_30984:library_2escm"),(void*)f_30984},
{C_text("f_31009:library_2escm"),(void*)f_31009},
{C_text("f_31012:library_2escm"),(void*)f_31012},
{C_text("f_31014:library_2escm"),(void*)f_31014},
{C_text("f_31030:library_2escm"),(void*)f_31030},
{C_text("f_31049:library_2escm"),(void*)f_31049},
{C_text("f_31059:library_2escm"),(void*)f_31059},
{C_text("f_31069:library_2escm"),(void*)f_31069},
{C_text("f_31093:library_2escm"),(void*)f_31093},
{C_text("f_31097:library_2escm"),(void*)f_31097},
{C_text("f_31099:library_2escm"),(void*)f_31099},
{C_text("f_31103:library_2escm"),(void*)f_31103},
{C_text("f_31106:library_2escm"),(void*)f_31106},
{C_text("f_31121:library_2escm"),(void*)f_31121},
{C_text("f_31127:library_2escm"),(void*)f_31127},
{C_text("f_31131:library_2escm"),(void*)f_31131},
{C_text("f_31140:library_2escm"),(void*)f_31140},
{C_text("f_31143:library_2escm"),(void*)f_31143},
{C_text("f_31146:library_2escm"),(void*)f_31146},
{C_text("f_31149:library_2escm"),(void*)f_31149},
{C_text("f_31152:library_2escm"),(void*)f_31152},
{C_text("f_31158:library_2escm"),(void*)f_31158},
{C_text("f_31164:library_2escm"),(void*)f_31164},
{C_text("f_31167:library_2escm"),(void*)f_31167},
{C_text("f_31172:library_2escm"),(void*)f_31172},
{C_text("f_31182:library_2escm"),(void*)f_31182},
{C_text("f_31194:library_2escm"),(void*)f_31194},
{C_text("f_31202:library_2escm"),(void*)f_31202},
{C_text("f_31212:library_2escm"),(void*)f_31212},
{C_text("f_31228:library_2escm"),(void*)f_31228},
{C_text("f_31234:library_2escm"),(void*)f_31234},
{C_text("f_31237:library_2escm"),(void*)f_31237},
{C_text("f_31240:library_2escm"),(void*)f_31240},
{C_text("f_31241:library_2escm"),(void*)f_31241},
{C_text("f_31245:library_2escm"),(void*)f_31245},
{C_text("f_31251:library_2escm"),(void*)f_31251},
{C_text("f_31255:library_2escm"),(void*)f_31255},
{C_text("f_31257:library_2escm"),(void*)f_31257},
{C_text("f_31267:library_2escm"),(void*)f_31267},
{C_text("f_31284:library_2escm"),(void*)f_31284},
{C_text("f_31287:library_2escm"),(void*)f_31287},
{C_text("f_31291:library_2escm"),(void*)f_31291},
{C_text("f_31296:library_2escm"),(void*)f_31296},
{C_text("f_31302:library_2escm"),(void*)f_31302},
{C_text("f_31309:library_2escm"),(void*)f_31309},
{C_text("f_31318:library_2escm"),(void*)f_31318},
{C_text("f_31326:library_2escm"),(void*)f_31326},
{C_text("f_31351:library_2escm"),(void*)f_31351},
{C_text("f_31369:library_2escm"),(void*)f_31369},
{C_text("f_31373:library_2escm"),(void*)f_31373},
{C_text("f_31388:library_2escm"),(void*)f_31388},
{C_text("f_31392:library_2escm"),(void*)f_31392},
{C_text("f_31407:library_2escm"),(void*)f_31407},
{C_text("f_31410:library_2escm"),(void*)f_31410},
{C_text("f_31413:library_2escm"),(void*)f_31413},
{C_text("f_31423:library_2escm"),(void*)f_31423},
{C_text("f_31454:library_2escm"),(void*)f_31454},
{C_text("f_31478:library_2escm"),(void*)f_31478},
{C_text("f_31488:library_2escm"),(void*)f_31488},
{C_text("f_31497:library_2escm"),(void*)f_31497},
{C_text("f_31538:library_2escm"),(void*)f_31538},
{C_text("f_31557:library_2escm"),(void*)f_31557},
{C_text("f_31570:library_2escm"),(void*)f_31570},
{C_text("f_31580:library_2escm"),(void*)f_31580},
{C_text("f_31590:library_2escm"),(void*)f_31590},
{C_text("f_31600:library_2escm"),(void*)f_31600},
{C_text("f_31610:library_2escm"),(void*)f_31610},
{C_text("f_31620:library_2escm"),(void*)f_31620},
{C_text("f_31630:library_2escm"),(void*)f_31630},
{C_text("f_31640:library_2escm"),(void*)f_31640},
{C_text("f_31650:library_2escm"),(void*)f_31650},
{C_text("f_31660:library_2escm"),(void*)f_31660},
{C_text("f_31670:library_2escm"),(void*)f_31670},
{C_text("f_31680:library_2escm"),(void*)f_31680},
{C_text("f_31690:library_2escm"),(void*)f_31690},
{C_text("f_31700:library_2escm"),(void*)f_31700},
{C_text("f_31716:library_2escm"),(void*)f_31716},
{C_text("f_31724:library_2escm"),(void*)f_31724},
{C_text("f_31740:library_2escm"),(void*)f_31740},
{C_text("f_31756:library_2escm"),(void*)f_31756},
{C_text("f_31766:library_2escm"),(void*)f_31766},
{C_text("f_31776:library_2escm"),(void*)f_31776},
{C_text("f_31795:library_2escm"),(void*)f_31795},
{C_text("f_31811:library_2escm"),(void*)f_31811},
{C_text("f_31824:library_2escm"),(void*)f_31824},
{C_text("f_31830:library_2escm"),(void*)f_31830},
{C_text("f_31853:library_2escm"),(void*)f_31853},
{C_text("f_31857:library_2escm"),(void*)f_31857},
{C_text("f_31861:library_2escm"),(void*)f_31861},
{C_text("f_31864:library_2escm"),(void*)f_31864},
{C_text("f_31870:library_2escm"),(void*)f_31870},
{C_text("f_31893:library_2escm"),(void*)f_31893},
{C_text("f_31897:library_2escm"),(void*)f_31897},
{C_text("f_31901:library_2escm"),(void*)f_31901},
{C_text("f_31904:library_2escm"),(void*)f_31904},
{C_text("f_31907:library_2escm"),(void*)f_31907},
{C_text("f_31910:library_2escm"),(void*)f_31910},
{C_text("f_31916:library_2escm"),(void*)f_31916},
{C_text("f_31919:library_2escm"),(void*)f_31919},
{C_text("f_31922:library_2escm"),(void*)f_31922},
{C_text("f_31930:library_2escm"),(void*)f_31930},
{C_text("f_31932:library_2escm"),(void*)f_31932},
{C_text("f_31956:library_2escm"),(void*)f_31956},
{C_text("f_31979:library_2escm"),(void*)f_31979},
{C_text("f_31983:library_2escm"),(void*)f_31983},
{C_text("f_31987:library_2escm"),(void*)f_31987},
{C_text("f_32021:library_2escm"),(void*)f_32021},
{C_text("f_32025:library_2escm"),(void*)f_32025},
{C_text("f_32028:library_2escm"),(void*)f_32028},
{C_text("f_32041:library_2escm"),(void*)f_32041},
{C_text("f_32074:library_2escm"),(void*)f_32074},
{C_text("f_32089:library_2escm"),(void*)f_32089},
{C_text("f_32093:library_2escm"),(void*)f_32093},
{C_text("f_32117:library_2escm"),(void*)f_32117},
{C_text("f_32125:library_2escm"),(void*)f_32125},
{C_text("f_32129:library_2escm"),(void*)f_32129},
{C_text("f_32140:library_2escm"),(void*)f_32140},
{C_text("f_32144:library_2escm"),(void*)f_32144},
{C_text("f_32148:library_2escm"),(void*)f_32148},
{C_text("f_32162:library_2escm"),(void*)f_32162},
{C_text("f_32194:library_2escm"),(void*)f_32194},
{C_text("f_8508:library_2escm"),(void*)f_8508},
{C_text("f_8510:library_2escm"),(void*)f_8510},
{C_text("f_8513:library_2escm"),(void*)f_8513},
{C_text("f_8516:library_2escm"),(void*)f_8516},
{C_text("f_8519:library_2escm"),(void*)f_8519},
{C_text("f_8522:library_2escm"),(void*)f_8522},
{C_text("f_8525:library_2escm"),(void*)f_8525},
{C_text("f_8528:library_2escm"),(void*)f_8528},
{C_text("f_8531:library_2escm"),(void*)f_8531},
{C_text("f_8534:library_2escm"),(void*)f_8534},
{C_text("f_8537:library_2escm"),(void*)f_8537},
{C_text("f_8540:library_2escm"),(void*)f_8540},
{C_text("f_8543:library_2escm"),(void*)f_8543},
{C_text("f_8546:library_2escm"),(void*)f_8546},
{C_text("f_8549:library_2escm"),(void*)f_8549},
{C_text("f_8552:library_2escm"),(void*)f_8552},
{C_text("f_8555:library_2escm"),(void*)f_8555},
{C_text("f_8558:library_2escm"),(void*)f_8558},
{C_text("f_8561:library_2escm"),(void*)f_8561},
{C_text("f_8564:library_2escm"),(void*)f_8564},
{C_text("f_8578:library_2escm"),(void*)f_8578},
{C_text("f_8585:library_2escm"),(void*)f_8585},
{C_text("f_8592:library_2escm"),(void*)f_8592},
{C_text("f_8606:library_2escm"),(void*)f_8606},
{C_text("f_8613:library_2escm"),(void*)f_8613},
{C_text("f_8627:library_2escm"),(void*)f_8627},
{C_text("f_8641:library_2escm"),(void*)f_8641},
{C_text("f_8659:library_2escm"),(void*)f_8659},
{C_text("f_8670:library_2escm"),(void*)f_8670},
{C_text("f_8681:library_2escm"),(void*)f_8681},
{C_text("f_8688:library_2escm"),(void*)f_8688},
{C_text("f_8699:library_2escm"),(void*)f_8699},
{C_text("f_8703:library_2escm"),(void*)f_8703},
{C_text("f_8710:library_2escm"),(void*)f_8710},
{C_text("f_8728:library_2escm"),(void*)f_8728},
{C_text("f_8739:library_2escm"),(void*)f_8739},
{C_text("f_8750:library_2escm"),(void*)f_8750},
{C_text("f_8757:library_2escm"),(void*)f_8757},
{C_text("f_8775:library_2escm"),(void*)f_8775},
{C_text("f_8786:library_2escm"),(void*)f_8786},
{C_text("f_8804:library_2escm"),(void*)f_8804},
{C_text("f_8810:library_2escm"),(void*)f_8810},
{C_text("f_8813:library_2escm"),(void*)f_8813},
{C_text("f_8816:library_2escm"),(void*)f_8816},
{C_text("f_8819:library_2escm"),(void*)f_8819},
{C_text("f_8822:library_2escm"),(void*)f_8822},
{C_text("f_8828:library_2escm"),(void*)f_8828},
{C_text("f_8861:library_2escm"),(void*)f_8861},
{C_text("f_8864:library_2escm"),(void*)f_8864},
{C_text("f_8867:library_2escm"),(void*)f_8867},
{C_text("f_8870:library_2escm"),(void*)f_8870},
{C_text("f_8873:library_2escm"),(void*)f_8873},
{C_text("f_8876:library_2escm"),(void*)f_8876},
{C_text("f_8879:library_2escm"),(void*)f_8879},
{C_text("f_8882:library_2escm"),(void*)f_8882},
{C_text("f_8885:library_2escm"),(void*)f_8885},
{C_text("f_8888:library_2escm"),(void*)f_8888},
{C_text("f_8891:library_2escm"),(void*)f_8891},
{C_text("f_8894:library_2escm"),(void*)f_8894},
{C_text("f_8897:library_2escm"),(void*)f_8897},
{C_text("f_8901:library_2escm"),(void*)f_8901},
{C_text("f_8904:library_2escm"),(void*)f_8904},
{C_text("f_8910:library_2escm"),(void*)f_8910},
{C_text("f_8913:library_2escm"),(void*)f_8913},
{C_text("f_8916:library_2escm"),(void*)f_8916},
{C_text("f_8919:library_2escm"),(void*)f_8919},
{C_text("f_8922:library_2escm"),(void*)f_8922},
{C_text("f_8930:library_2escm"),(void*)f_8930},
{C_text("f_8934:library_2escm"),(void*)f_8934},
{C_text("f_8937:library_2escm"),(void*)f_8937},
{C_text("f_8940:library_2escm"),(void*)f_8940},
{C_text("f_8943:library_2escm"),(void*)f_8943},
{C_text("f_8946:library_2escm"),(void*)f_8946},
{C_text("f_8949:library_2escm"),(void*)f_8949},
{C_text("f_8952:library_2escm"),(void*)f_8952},
{C_text("f_8955:library_2escm"),(void*)f_8955},
{C_text("f_8959:library_2escm"),(void*)f_8959},
{C_text("f_8962:library_2escm"),(void*)f_8962},
{C_text("f_8965:library_2escm"),(void*)f_8965},
{C_text("f_8968:library_2escm"),(void*)f_8968},
{C_text("f_8971:library_2escm"),(void*)f_8971},
{C_text("f_8979:library_2escm"),(void*)f_8979},
{C_text("f_8982:library_2escm"),(void*)f_8982},
{C_text("f_8989:library_2escm"),(void*)f_8989},
{C_text("f_8993:library_2escm"),(void*)f_8993},
{C_text("f_8996:library_2escm"),(void*)f_8996},
{C_text("f_8999:library_2escm"),(void*)f_8999},
{C_text("f_9002:library_2escm"),(void*)f_9002},
{C_text("f_9005:library_2escm"),(void*)f_9005},
{C_text("f_9008:library_2escm"),(void*)f_9008},
{C_text("f_9011:library_2escm"),(void*)f_9011},
{C_text("f_9017:library_2escm"),(void*)f_9017},
{C_text("f_9028:library_2escm"),(void*)f_9028},
{C_text("f_9034:library_2escm"),(void*)f_9034},
{C_text("f_9040:library_2escm"),(void*)f_9040},
{C_text("f_9046:library_2escm"),(void*)f_9046},
{C_text("f_9052:library_2escm"),(void*)f_9052},
{C_text("f_9058:library_2escm"),(void*)f_9058},
{C_text("f_9065:library_2escm"),(void*)f_9065},
{C_text("f_9071:library_2escm"),(void*)f_9071},
{C_text("f_9087:library_2escm"),(void*)f_9087},
{C_text("f_9098:library_2escm"),(void*)f_9098},
{C_text("f_9104:library_2escm"),(void*)f_9104},
{C_text("f_9110:library_2escm"),(void*)f_9110},
{C_text("f_9116:library_2escm"),(void*)f_9116},
{C_text("f_9122:library_2escm"),(void*)f_9122},
{C_text("f_9131:library_2escm"),(void*)f_9131},
{C_text("f_9134:library_2escm"),(void*)f_9134},
{C_text("f_9137:library_2escm"),(void*)f_9137},
{C_text("f_9140:library_2escm"),(void*)f_9140},
{C_text("f_9143:library_2escm"),(void*)f_9143},
{C_text("f_9146:library_2escm"),(void*)f_9146},
{C_text("f_9150:library_2escm"),(void*)f_9150},
{C_text("f_9156:library_2escm"),(void*)f_9156},
{C_text("f_9162:library_2escm"),(void*)f_9162},
{C_text("f_9195:library_2escm"),(void*)f_9195},
{C_text("f_9198:library_2escm"),(void*)f_9198},
{C_text("f_9201:library_2escm"),(void*)f_9201},
{C_text("f_9209:library_2escm"),(void*)f_9209},
{C_text("f_9214:library_2escm"),(void*)f_9214},
{C_text("f_9220:library_2escm"),(void*)f_9220},
{C_text("f_9235:library_2escm"),(void*)f_9235},
{C_text("f_9255:library_2escm"),(void*)f_9255},
{C_text("f_9261:library_2escm"),(void*)f_9261},
{C_text("f_9267:library_2escm"),(void*)f_9267},
{C_text("f_9274:library_2escm"),(void*)f_9274},
{C_text("f_9279:library_2escm"),(void*)f_9279},
{C_text("f_9282:library_2escm"),(void*)f_9282},
{C_text("f_9291:library_2escm"),(void*)f_9291},
{C_text("f_9309:library_2escm"),(void*)f_9309},
{C_text("f_9319:library_2escm"),(void*)f_9319},
{C_text("f_9328:library_2escm"),(void*)f_9328},
{C_text("f_9346:library_2escm"),(void*)f_9346},
{C_text("f_9359:library_2escm"),(void*)f_9359},
{C_text("f_9366:library_2escm"),(void*)f_9366},
{C_text("f_9373:library_2escm"),(void*)f_9373},
{C_text("f_9384:library_2escm"),(void*)f_9384},
{C_text("f_9391:library_2escm"),(void*)f_9391},
{C_text("f_9403:library_2escm"),(void*)f_9403},
{C_text("f_9406:library_2escm"),(void*)f_9406},
{C_text("f_9408:library_2escm"),(void*)f_9408},
{C_text("f_9414:library_2escm"),(void*)f_9414},
{C_text("f_9430:library_2escm"),(void*)f_9430},
{C_text("f_9439:library_2escm"),(void*)f_9439},
{C_text("f_9441:library_2escm"),(void*)f_9441},
{C_text("f_9447:library_2escm"),(void*)f_9447},
{C_text("f_9460:library_2escm"),(void*)f_9460},
{C_text("f_9476:library_2escm"),(void*)f_9476},
{C_text("f_9487:library_2escm"),(void*)f_9487},
{C_text("f_9489:library_2escm"),(void*)f_9489},
{C_text("f_9497:library_2escm"),(void*)f_9497},
{C_text("f_9499:library_2escm"),(void*)f_9499},
{C_text("f_9505:library_2escm"),(void*)f_9505},
{C_text("f_9507:library_2escm"),(void*)f_9507},
{C_text("f_9515:library_2escm"),(void*)f_9515},
{C_text("f_9517:library_2escm"),(void*)f_9517},
{C_text("f_9520:library_2escm"),(void*)f_9520},
{C_text("f_9528:library_2escm"),(void*)f_9528},
{C_text("f_9534:library_2escm"),(void*)f_9534},
{C_text("f_9542:library_2escm"),(void*)f_9542},
{C_text("f_9553:library_2escm"),(void*)f_9553},
{C_text("f_9565:library_2escm"),(void*)f_9565},
{C_text("f_9579:library_2escm"),(void*)f_9579},
{C_text("f_9587:library_2escm"),(void*)f_9587},
{C_text("f_9590:library_2escm"),(void*)f_9590},
{C_text("f_9592:library_2escm"),(void*)f_9592},
{C_text("f_9594:library_2escm"),(void*)f_9594},
{C_text("f_9600:library_2escm"),(void*)f_9600},
{C_text("f_9619:library_2escm"),(void*)f_9619},
{C_text("f_9636:library_2escm"),(void*)f_9636},
{C_text("f_9644:library_2escm"),(void*)f_9644},
{C_text("f_9658:library_2escm"),(void*)f_9658},
{C_text("f_9664:library_2escm"),(void*)f_9664},
{C_text("f_9683:library_2escm"),(void*)f_9683},
{C_text("f_9692:library_2escm"),(void*)f_9692},
{C_text("f_9695:library_2escm"),(void*)f_9695},
{C_text("f_9707:library_2escm"),(void*)f_9707},
{C_text("f_9723:library_2escm"),(void*)f_9723},
{C_text("f_9729:library_2escm"),(void*)f_9729},
{C_text("f_9754:library_2escm"),(void*)f_9754},
{C_text("f_9756:library_2escm"),(void*)f_9756},
{C_text("f_9765:library_2escm"),(void*)f_9765},
{C_text("f_9786:library_2escm"),(void*)f_9786},
{C_text("f_9788:library_2escm"),(void*)f_9788},
{C_text("f_9794:library_2escm"),(void*)f_9794},
{C_text("f_9820:library_2escm"),(void*)f_9820},
{C_text("f_9827:library_2escm"),(void*)f_9827},
{C_text("f_9829:library_2escm"),(void*)f_9829},
{C_text("f_9833:library_2escm"),(void*)f_9833},
{C_text("f_9841:library_2escm"),(void*)f_9841},
{C_text("f_9876:library_2escm"),(void*)f_9876},
{C_text("f_9886:library_2escm"),(void*)f_9886},
{C_text("f_9895:library_2escm"),(void*)f_9895},
{C_text("f_9937:library_2escm"),(void*)f_9937},
{C_text("f_9966:library_2escm"),(void*)f_9966},
{C_text("f_9973:library_2escm"),(void*)f_9973},
{C_text("f_9976:library_2escm"),(void*)f_9976},
{C_text("toplevel:library_2escm"),(void*)C_library_toplevel},
{NULL,NULL}};
#endif

static C_PTABLE_ENTRY *create_ptable(void){
#ifdef C_ENABLE_PTABLES
return ptable;
#else
return NULL;
#endif
}

/*
o|hiding unexported module binding: scheme#string-fill 
o|hiding unexported module binding: chicken.condition#prop-list->kind-prefixed-prop-list 
o|hiding unexported module binding: chicken.platform#->feature-id 
S|applied compiler syntax:
S|  for-each		8
S|  ##sys#map		1
S|  ##sys#for-each		4
S|  map		7
o|eliminated procedure checks: 528 
o|specializations:
o|  1 (scheme#zero? integer)
o|  1 (scheme#string-append string string)
o|  1 (scheme#make-string fixnum)
o|  1 (scheme#memq * list)
o|  1 (scheme#cdar (pair pair *))
o|  2 (scheme#cddr (pair * pair))
o|  1 (scheme#char>? char char)
o|  12 (scheme#char=? char char)
o|  3 (scheme#string-ref string fixnum)
o|  5 (##sys#check-input-port * * *)
o|  11 (##sys#check-output-port * * *)
o|  1 (##sys#check-output-port * *)
o|  1 (##sys#check-input-port * *)
o|  12 (##sys#check-list (or pair list) *)
o|  43 (scheme#cdr pair)
o|  4 (scheme#char>=? char char)
o|  6 (scheme#char<=? char char)
o|  5 (scheme#zero? *)
o|  27 (scheme#eqv? (or eof null fixnum char boolean symbol) *)
o|  1 (scheme#remainder * *)
o|  1 (scheme#> fixnum fixnum)
o|  1 (scheme#make-string fixnum char)
o|  1 (scheme#string-length string)
o|  6 (scheme#number->string * *)
o|  3 (scheme#integer? *)
o|  2 (scheme#even? *)
o|  5 (scheme#/ * *)
o|  2 (chicken.bitwise#bitwise-and * *)
o|  5 (chicken.bitwise#integer-length *)
o|  204 (scheme#eqv? * (or eof null fixnum char boolean symbol))
o|  2 (chicken.flonum#fp<= float float)
o|  7 (scheme#> * *)
o|  7 (scheme#- *)
o|  7 (scheme#< * *)
o|  1 (scheme#odd? *)
o|  3 (scheme#= * *)
o|  2 (scheme#>= * *)
o|  17 (scheme#quotient * *)
o|  1 (chicken.flonum#fp> float float)
o|  2 (scheme#angle cplxnum)
o|  5 (chicken.base#finite? *)
o|  13 (chicken.base#exact-integer? *)
o|  8 (scheme#abs *)
o|  44 (scheme#* * *)
o|  17 (scheme#exact->inexact number)
o|  5 (##sys#debug-mode?)
o|  48 (scheme#car pair)
o|  4 (scheme#length list)
o|  20 (scheme#- * *)
o|  24 (scheme#+ * *)
o|  12 (scheme#negative? *)
o|  4 (scheme#positive? *)
(o e)|safe calls: 3115 
(o e)|dropped branches: 3 
(o e)|assignments to immediate values: 26 
o|dropping redundant toplevel assignment: chicken.base#warning 
o|dropping redundant toplevel assignment: chicken.base#notice 
o|dropping redundant toplevel assignment: chicken.base#enable-warnings 
o|dropping redundant toplevel assignment: scheme#force 
o|dropping redundant toplevel assignment: scheme#append 
o|dropping redundant toplevel assignment: scheme#make-string 
o|dropping redundant toplevel assignment: scheme#string->list 
o|dropping redundant toplevel assignment: scheme#list->string 
o|dropping redundant toplevel assignment: scheme#string-fill! 
o|dropping redundant toplevel assignment: scheme#string-copy 
o|dropping redundant toplevel assignment: scheme#substring 
o|dropping redundant toplevel assignment: scheme#string<? 
o|dropping redundant toplevel assignment: scheme#string>? 
o|dropping redundant toplevel assignment: scheme#string<=? 
o|dropping redundant toplevel assignment: scheme#string>=? 
o|dropping redundant toplevel assignment: scheme#string-ci<? 
o|dropping redundant toplevel assignment: scheme#string-ci>? 
o|dropping redundant toplevel assignment: scheme#string-ci<=? 
o|dropping redundant toplevel assignment: scheme#string-ci>=? 
o|dropping redundant toplevel assignment: scheme#string-append 
o|dropping redundant toplevel assignment: scheme#string 
o|dropping redundant toplevel assignment: chicken.base#chop 
o|dropping redundant toplevel assignment: scheme#make-rectangular 
o|dropping redundant toplevel assignment: scheme#make-polar 
o|dropping redundant toplevel assignment: scheme#real-part 
o|dropping redundant toplevel assignment: scheme#imag-part 
o|dropping redundant toplevel assignment: scheme#angle 
o|dropping redundant toplevel assignment: scheme#magnitude 
o|dropping redundant toplevel assignment: scheme#numerator 
o|dropping redundant toplevel assignment: scheme#denominator 
o|dropping redundant toplevel assignment: scheme#inexact->exact 
o|dropping redundant toplevel assignment: scheme#/ 
o|dropping redundant toplevel assignment: scheme#floor 
o|dropping redundant toplevel assignment: scheme#ceiling 
o|dropping redundant toplevel assignment: scheme#truncate 
o|dropping redundant toplevel assignment: scheme#round 
o|dropping redundant toplevel assignment: scheme#rationalize 
o|dropping redundant toplevel assignment: scheme#max 
o|dropping redundant toplevel assignment: scheme#min 
o|dropping redundant toplevel assignment: scheme#exp 
o|dropping redundant toplevel assignment: scheme#log 
o|dropping redundant toplevel assignment: scheme#sin 
o|dropping redundant toplevel assignment: scheme#cos 
o|dropping redundant toplevel assignment: scheme#tan 
o|dropping redundant toplevel assignment: scheme#asin 
o|dropping redundant toplevel assignment: scheme#acos 
o|dropping redundant toplevel assignment: scheme#atan 
o|dropping redundant toplevel assignment: chicken.base#exact-integer-sqrt 
o|dropping redundant toplevel assignment: scheme#sqrt 
o|dropping redundant toplevel assignment: chicken.base#exact-integer-nth-root 
o|dropping redundant toplevel assignment: scheme#expt 
o|dropping redundant toplevel assignment: scheme#gcd 
o|dropping redundant toplevel assignment: scheme#lcm 
o|dropping redundant toplevel assignment: scheme#string->number 
o|dropping redundant toplevel assignment: ##sys#number->string 
o|dropping redundant toplevel assignment: chicken.base#equal=? 
o|dropping redundant toplevel assignment: ##sys#symbol->string 
o|dropping redundant toplevel assignment: ##sys#symbol->qualified-string 
o|dropping redundant toplevel assignment: ##sys#qualified-symbol-prefix 
o|dropping redundant toplevel assignment: scheme#symbol->string 
o|dropping redundant toplevel assignment: scheme#string->symbol 
o|dropping redundant toplevel assignment: chicken.base#string->uninterned-symbol 
o|dropping redundant toplevel assignment: chicken.base#gensym 
o|dropping redundant toplevel assignment: chicken.base#symbol-append 
o|dropping redundant toplevel assignment: ##sys#update-errno 
o|dropping redundant toplevel assignment: ##sys#errno 
o|safe globals: (chicken.keyword#keyword->string chicken.keyword#string->keyword chicken.keyword#keyword? chicken.base#symbol-append chicken.base#gensym chicken.base#string->uninterned-symbol scheme#string->symbol scheme#symbol->string ##sys#string->qualified-symbol ##sys#qualified-symbol? ##sys#qualified-symbol-prefix ##sys#symbol->qualified-string ##sys#symbol->string ##sys#string->symbol ##sys#interned-symbol? ##sys#intern-symbol ##sys#snafu chicken.base#equal=? ##sys#number->string ##sys#integer->string ##sys#flonum->string ##sys#fixnum->string ##sys#string->number scheme#string->number ##sys#string->compnum round-quotient ldexp mantexp->dbl ##sys#extended-number->string ##sys#integer->string/recursive scheme#lcm ##sys#lcm scheme#gcd ##sys#gcd ##sys#internal-gcd scheme#expt ##sys#integer-power ##sys#exact-integer-nth-root/loc chicken.base#exact-integer-nth-root scheme#sqrt ##sys#sqrt/loc chicken.base#exact-integer-sqrt ##sys#exact-integer-sqrt scheme#atan scheme#acos scheme#asin scheme#tan scheme#cos scheme#sin scheme#log ##sys#log-1 scheme#exp scheme#min scheme#max scheme#rationalize find-ratio find-ratio-between scheme#round scheme#truncate scheme#ceiling scheme#floor ##sys#/-2 scheme#/ chicken.bitwise#arithmetic-shift chicken.bitwise#integer-length chicken.bitwise#bit->boolean chicken.bitwise#bitwise-not chicken.bitwise#bitwise-xor chicken.bitwise#bitwise-ior chicken.bitwise#bitwise-and ##sys#inexact->exact ##sys#exact->inexact scheme#inexact->exact flonum->ratnum ##sys#extended-signum scheme#denominator scheme#numerator ratnum scheme#magnitude scheme#angle scheme#imag-part scheme#real-part scheme#make-polar scheme#make-rectangular make-complex ##sys#inexact? ##sys#exact? ##sys#integer? ##sys#number? chicken.flonum#flonum-print-precision chicken.flonum#fpinteger? chicken.flonum#fpabs chicken.flonum#fpsqrt chicken.flonum#fplog chicken.flonum#fpexpt chicken.flonum#fpexp chicken.flonum#fpatan2 chicken.flonum#fpatan chicken.flonum#fpacos chicken.flonum#fpasin chicken.flonum#fptan chicken.flonum#fpcos chicken.flonum#fpsin chicken.flonum#fpceiling chicken.flonum#fpround chicken.flonum#fptruncate chicken.flonum#fpfloor chicken.flonum#fpmin chicken.flonum#fpmax chicken.flonum#fpneg chicken.flonum#fp<= chicken.flonum#fp>= chicken.flonum#fp< chicken.flonum#fp> chicken.flonum#fp= chicken.flonum#fp/? chicken.flonum#fpgcd chicken.flonum#fp/ chicken.flonum#fp* chicken.flonum#fp- chicken.flonum#fp+ chicken.flonum#flonum-minimum-decimal-exponent chicken.flonum#flonum-maximum-decimal-exponent chicken.flonum#flonum-minimum-exponent chicken.flonum#flonum-maximum-exponent chicken.flonum#flonum-decimal-precision chicken.flonum#flonum-precision chicken.flonum#flonum-epsilon chicken.flonum#flonum-radix chicken.flonum#minimum-flonum chicken.flonum#maximum-flonum chicken.base#chop ##sys#fragments->string scheme#string scheme#string-append ##sys#string-append scheme#string-ci>=? scheme#string-ci<=? scheme#string-ci>? scheme#string-ci<? scheme#string>=? scheme#string<=? scheme#string>? scheme#string<? ##sys#substring scheme#substring scheme#string-copy scheme#string-fill! ##sys#reverse-list->string ##sys#list->string scheme#list->string ##sys#string->list scheme#string->list scheme#make-string ##sys#make-string ##sys#fast-reverse scheme#append ##sys#error-bad-base ##sys#error-bad-real ##sys#error-bad-inexact ##sys#error-bad-exact-uinteger ##sys#error-bad-exact-integer ##sys#error-bad-integer ##sys#error-bad-number ##sys#error-not-a-proper-list ##sys#set-dlopen-flags! ##sys#dload scheme#force ##sys#check-closure ##sys#check-special ##sys#check-range ##sys#check-real ##sys#check-exact-uinteger ##sys#check-exact-integer ##sys#check-integer ##sys#check-locative ##sys#check-boolean ##sys#check-char ##sys#check-vector ##sys#check-symbol ##sys#check-inexact ##sys#check-exact ##sys#check-fixnum ##sys#check-number ##sys#check-string ##sys#check-list ##sys#check-pair ##sys#check-byte-vector ##sys#check-blob ##sys#check-structure chicken.time#cpu-time chicken.time#current-seconds chicken.time#current-milliseconds ##sys#block-set! ##sys#copy-closure ##sys#apply-values ##sys#block-ref ##sys#become! ##sys#halt ##sys#undefined-value ##sys#void ##sys#setbyte ##sys#byte ##sys#message ##sys#immediate? ##sys#stop-timer ##sys#start-timer ##sys#decode-seconds ##sys#memory-info ##sys#symbol-table-info ##sys#ensure-heap-reserve ##sys#make-structure ##sys#allocate-vector ##sys#setislot ##sys#setslot ##sys#gc ##sys#notice ##sys#warn ##sys#error chicken.base#enable-warnings chicken.base#notice chicken.base#warning ##sys#notices-enabled ##sys#warnings-enabled ##sys#debug-mode? chicken.fixnum#fx/? chicken.fixnum#fx*? chicken.fixnum#fx-? chicken.fixnum#fx+? chicken.fixnum#fxrem chicken.fixnum#fxmod chicken.fixnum#fxgcd chicken.fixnum#fx/ chicken.fixnum#fxlen chicken.fixnum#fxeven? chicken.fixnum#fxodd? chicken.fixnum#fxshr chicken.fixnum#fxshl chicken.fixnum#fxnot chicken.fixnum#fxxor chicken.fixnum#fxior chicken.fixnum#fxand chicken.fixnum#fxneg chicken.fixnum#fxmax chicken.fixnum#fxmin chicken.fixnum#fx<= chicken.fixnum#fx>= chicken.fixnum#fx< chicken.fixnum#fx> chicken.fixnum#fx= chicken.fixnum#fx* chicken.fixnum#fx- chicken.fixnum#fx+ chicken.fixnum#fixnum-precision chicken.fixnum#fixnum-bits chicken.fixnum#most-negative-fixnum chicken.fixnum#most-positive-fixnum maximal-string-length chicken.base#rassoc chicken.base#alist-ref chicken.base#alist-update chicken.base#alist-update! chicken.base#compress chicken.base#join chicken.base#flatten chicken.base#butlast chicken.base#intersperse chicken.base#tail? chicken.base#atom? chicken.base#each chicken.base#list-of? chicken.base#o chicken.base#compose chicken.base#complement chicken.base#flip chicken.base#constantly chicken.base#disjoin chicken.base#conjoin chicken.base#identity chicken.base#symbol-escape chicken.base#parentheses-synonyms chicken.base#keyword-style chicken.base#case-sensitive chicken.base#emergency-exit chicken.base#exit chicken.base#on-exit chicken.base#cleanup-tasks chicken.base#exit-handler chicken.base#implicit-exit-handler chicken.base#foldr chicken.base#foldl chicken.base#make-promise ##sys#make-promise chicken.base#promise? chicken.base#flush-output chicken.base#open-output-string chicken.base#open-input-string chicken.base#get-output-string chicken.base#output-port-open? chicken.base#input-port-open? chicken.base#port-closed? chicken.base#port? chicken.base#vector-resize chicken.base#subvector chicken.base#vector-copy! chicken.base#setter chicken.base#procedure-information chicken.base#make-parameter chicken.base#getter-with-setter chicken.base#char-name chicken.base#call/cc chicken.base#void chicken.base#error chicken.base#current-error-port chicken.base#sub1 chicken.base#add1 chicken.base#print* chicken.base#print chicken.base#print-call-chain chicken.base#get-call-chain chicken.base#signum chicken.base#nan? chicken.base#infinite? chicken.base#finite? chicken.base#quotient&modulo chicken.base#quotient&remainder chicken.base#exact-integer? chicken.base#cplxnum? chicken.base#ratnum? chicken.base#bignum? chicken.base#flonum? chicken.base#fixnum? scheme#dynamic-wind scheme#map scheme#for-each scheme#load scheme#null-environment scheme#scheme-report-environment scheme#interaction-environment scheme#eval scheme#display scheme#write scheme#newline scheme#write-char scheme#read scheme#peek-char scheme#read-char scheme#char-ready? scheme#eof-object? scheme#with-output-to-file scheme#with-input-from-file scheme#call-with-output-file scheme#call-with-input-file scheme#close-output-port scheme#close-input-port scheme#open-output-file scheme#open-input-file scheme#current-output-port scheme#current-input-port scheme#output-port? scheme#input-port? scheme#call-with-current-continuation scheme#call-with-values scheme#values scheme#apply scheme#procedure? scheme#char-alphabetic? scheme#char-whitespace? scheme#char-numeric? scheme#char-lower-case? scheme#char-upper-case? scheme#char-ci<=? scheme#char-ci>=? scheme#char-ci<? scheme#char-ci>? scheme#char-ci=? scheme#char-downcase scheme#char-upcase scheme#char<=? scheme#char>=? scheme#char<? scheme#char>? scheme#char=? scheme#integer->char scheme#char->integer scheme#char? scheme#vector-fill! scheme#vector scheme#vector->list scheme#list->vector scheme#make-vector scheme#vector-set! scheme#vector-ref scheme#vector-length scheme#vector? scheme#symbol? scheme#number->string scheme#negative? scheme#positive? scheme#zero? scheme#inexact? scheme#exact? scheme#integer? scheme#rational? scheme#real? scheme#complex? scheme#number? scheme#<= scheme#>= scheme#< scheme#> scheme#= scheme#odd? scheme#even? scheme#modulo scheme#remainder scheme#quotient scheme#* scheme#- scheme#+ scheme#abs scheme#exact->inexact scheme#string-fill scheme#string-ci=? scheme#string=? scheme#string-set! scheme#string-ref scheme#string-length scheme#string? scheme#list? scheme#assoc scheme#assv scheme#assq scheme#member scheme#memv scheme#memq scheme#reverse scheme#list-ref scheme#list-tail scheme#length scheme#list scheme#null? scheme#cdddar scheme#cddadr scheme#cddaar scheme#cdaddr scheme#cdadar scheme#cdaadr scheme#cdaaar scheme#caddar scheme#cadadr scheme#cadaar scheme#caaddr scheme#caadar scheme#caaadr scheme#caaaar scheme#cdddr scheme#cddar scheme#cdadr scheme#cdaar scheme#cadar scheme#caadr scheme#caaar scheme#cddr scheme#cdar scheme#caar scheme#cddddr scheme#cadddr scheme#caddr scheme#cadr scheme#set-cdr! scheme#set-car! scheme#cdr scheme#car scheme#cons scheme#pair? scheme#equal? scheme#eqv? scheme#eq? scheme#boolean? scheme#not) 
o|inlining procedure: k8830 
o|inlining procedure: k8830 
o|removed side-effect free assignment to unused variable: scheme#string-fill 
o|inlining procedure: k9067 
o|inlining procedure: k9067 
o|inlining procedure: k9073 
o|inlining procedure: k9073 
o|inlining procedure: k9164 
o|inlining procedure: k9164 
o|substituted constant variable: a9212 
o|substituted constant variable: a9217 
o|inlining procedure: k9222 
o|inlining procedure: k9222 
o|inlining procedure: k9269 
o|inlining procedure: k9269 
o|inlining procedure: k9293 
o|inlining procedure: k9293 
o|inlining procedure: k9330 
o|inlining procedure: k9330 
o|inlining procedure: k9419 
o|inlining procedure: k9419 
o|inlining procedure: k9449 
o|inlining procedure: k9449 
o|inlining procedure: k9478 
o|inlining procedure: k9478 
o|inlining procedure: k9522 
o|inlining procedure: k9522 
o|inlining procedure: k9543 
o|propagated global variable: r954432258 scheme#values 
o|inlining procedure: k9543 
o|inlining procedure: k9555 
o|propagated global variable: r955632260 chicken.base#identity 
o|inlining procedure: k9555 
o|inlining procedure: k9573 
o|inlining procedure: k9573 
o|inlining procedure: k9602 
o|inlining procedure: k9602 
o|inlining procedure: k9614 
o|inlining procedure: k9614 
o|inlining procedure: k9638 
o|inlining procedure: k9638 
o|inlining procedure: k9672 
o|inlining procedure: k9672 
o|inlining procedure: k9700 
o|inlining procedure: k9700 
o|inlining procedure: k9709 
o|inlining procedure: k9709 
o|inlining procedure: k9731 
o|inlining procedure: k9731 
o|inlining procedure: k9770 
o|inlining procedure: k9770 
o|inlining procedure: k9796 
o|inlining procedure: k9796 
o|inlining procedure: k9843 
o|inlining procedure: k9843 
o|inlining procedure: k9864 
o|inlining procedure: k9864 
o|inlining procedure: k9897 
o|inlining procedure: k9897 
o|inlining procedure: k9912 
o|inlining procedure: k9912 
o|inlining procedure: k9977 
o|inlining procedure: k9977 
o|inlining procedure: k9993 
o|propagated global variable: r999432292 scheme#assv 
o|inlining procedure: k9993 
o|inlining procedure: k10013 
o|inlining procedure: k10013 
o|inlining procedure: k10063 
o|inlining procedure: k10063 
o|inlining procedure: k10088 
o|inlining procedure: k10088 
o|inlining procedure: k10176 
o|inlining procedure: k10176 
o|inlining procedure: k10185 
o|propagated global variable: r1018632302 scheme#assv 
o|inlining procedure: k10185 
o|inlining procedure: k10205 
o|inlining procedure: k10205 
o|inlining procedure: k10223 
o|inlining procedure: k10223 
o|inlining procedure: k10282 
o|inlining procedure: k10282 
o|inlining procedure: k10415 
o|inlining procedure: k10415 
o|inlining procedure: k10424 
o|inlining procedure: k10424 
o|inlining procedure: k10436 
o|inlining procedure: k10436 
o|propagated global variable: r1043732315 ##sys#warnings-enabled 
o|inlining procedure: k10541 
o|inlining procedure: k10541 
o|inlining procedure: k10574 
o|inlining procedure: k10574 
o|inlining procedure: k10585 
o|inlining procedure: k10585 
o|inlining procedure: k10597 
o|inlining procedure: k10597 
o|inlining procedure: k10608 
o|inlining procedure: k10608 
o|inlining procedure: k10619 
o|inlining procedure: k10619 
o|inlining procedure: k10630 
o|inlining procedure: k10630 
o|inlining procedure: k10641 
o|inlining procedure: k10641 
o|inlining procedure: k10652 
o|inlining procedure: k10652 
o|inlining procedure: k10663 
o|inlining procedure: k10663 
o|inlining procedure: k10674 
o|inlining procedure: k10674 
o|inlining procedure: k10685 
o|inlining procedure: k10685 
o|inlining procedure: k10696 
o|inlining procedure: k10696 
o|inlining procedure: k10707 
o|inlining procedure: k10707 
o|inlining procedure: k10718 
o|inlining procedure: k10718 
o|inlining procedure: k10729 
o|inlining procedure: k10729 
o|inlining procedure: k10736 
o|inlining procedure: k10736 
o|inlining procedure: k10746 
o|inlining procedure: k10746 
o|inlining procedure: k10753 
o|inlining procedure: k10753 
o|inlining procedure: k10763 
o|inlining procedure: k10776 
o|inlining procedure: k10776 
o|inlining procedure: k10763 
o|inlining procedure: k10787 
o|inlining procedure: k10787 
o|inlining procedure: k10794 
o|inlining procedure: k10794 
o|inlining procedure: k10807 
o|inlining procedure: k10807 
o|inlining procedure: k10818 
o|inlining procedure: k10818 
o|inlining procedure: k10834 
o|inlining procedure: k10834 
o|inlining procedure: k10844 
o|inlining procedure: k10844 
o|inlining procedure: k10854 
o|inlining procedure: k10854 
o|inlining procedure: k10865 
o|inlining procedure: k10880 
o|inlining procedure: k10880 
o|inlining procedure: k10898 
o|inlining procedure: k10919 
o|inlining procedure: k10919 
o|inlining procedure: k10947 
o|inlining procedure: k10947 
o|inlining procedure: k10898 
o|inlining procedure: k10865 
o|inlining procedure: k11121 
o|inlining procedure: k11121 
o|inlining procedure: k11133 
o|inlining procedure: k11133 
o|inlining procedure: k11152 
o|inlining procedure: k11152 
o|inlining procedure: k11206 
o|inlining procedure: k11206 
o|contracted procedure: "(library.scm:1300) g15061507" 
o|contracted procedure: "(library.scm:1307) g15121513" 
o|inlining procedure: k11302 
o|inlining procedure: k11302 
o|inlining procedure: k11324 
o|inlining procedure: k11324 
o|inlining procedure: k11345 
o|inlining procedure: k11345 
o|inlining procedure: k11376 
o|inlining procedure: k11396 
o|inlining procedure: k11396 
o|inlining procedure: k11376 
o|inlining procedure: k11462 
o|inlining procedure: k11462 
o|inlining procedure: k11478 
o|inlining procedure: k11478 
o|inlining procedure: k11539 
o|inlining procedure: k11539 
o|inlining procedure: k11563 
o|inlining procedure: k11563 
o|inlining procedure: k11584 
o|inlining procedure: k11584 
o|inlining procedure: k11605 
o|inlining procedure: k11605 
o|inlining procedure: k11649 
o|inlining procedure: k11649 
o|inlining procedure: k11673 
o|inlining procedure: k11673 
o|inlining procedure: k11694 
o|inlining procedure: k11694 
o|inlining procedure: k11715 
o|inlining procedure: k11715 
o|inlining procedure: k11752 
o|inlining procedure: k11752 
o|inlining procedure: k11800 
o|inlining procedure: k11800 
o|inlining procedure: k11841 
o|inlining procedure: k11841 
o|inlining procedure: k11862 
o|inlining procedure: k11862 
o|contracted procedure: "(library.scm:1561) g17601761" 
o|inlining procedure: k11923 
o|inlining procedure: k11923 
o|contracted procedure: "(library.scm:1565) g17711772" 
o|inlining procedure: k11947 
o|inlining procedure: k11947 
o|contracted procedure: "(library.scm:1569) g17821783" 
o|inlining procedure: k11971 
o|inlining procedure: k11971 
o|contracted procedure: "(library.scm:1573) g17931794" 
o|inlining procedure: k11995 
o|inlining procedure: k11995 
o|contracted procedure: "(library.scm:1577) g18041805" 
o|inlining procedure: k12019 
o|inlining procedure: k12019 
o|contracted procedure: "(library.scm:1581) g18151816" 
o|inlining procedure: k12043 
o|inlining procedure: k12043 
o|contracted procedure: "(library.scm:1585) g18261827" 
o|inlining procedure: k12067 
o|inlining procedure: k12067 
o|contracted procedure: "(library.scm:1589) g18371838" 
o|inlining procedure: k12091 
o|inlining procedure: k12091 
o|contracted procedure: "(library.scm:1593) g18481849" 
o|inlining procedure: k12115 
o|inlining procedure: k12115 
o|contracted procedure: "(library.scm:1597) g18591860" 
o|inlining procedure: k12139 
o|inlining procedure: k12139 
o|contracted procedure: "(library.scm:1601) g18701871" 
o|inlining procedure: k12163 
o|inlining procedure: k12163 
o|contracted procedure: "(library.scm:1605) g18801881" 
o|inlining procedure: k12187 
o|inlining procedure: k12187 
o|contracted procedure: "(library.scm:1609) g18891890" 
o|inlining procedure: k12205 
o|inlining procedure: k12205 
o|contracted procedure: "(library.scm:1613) g19001901" 
o|inlining procedure: k12229 
o|inlining procedure: k12229 
o|contracted procedure: "(library.scm:1617) g19101911" 
o|inlining procedure: k12253 
o|inlining procedure: k12253 
o|contracted procedure: "(library.scm:1621) g19181919" 
o|inlining procedure: k12271 
o|inlining procedure: k12271 
o|contracted procedure: "(library.scm:1625) g19261927" 
o|inlining procedure: k12289 
o|inlining procedure: k12289 
o|contracted procedure: "(library.scm:1629) g19341935" 
o|inlining procedure: k12307 
o|inlining procedure: k12307 
o|contracted procedure: "(library.scm:1633) g19421943" 
o|inlining procedure: k12325 
o|inlining procedure: k12325 
o|contracted procedure: "(library.scm:1637) g19501951" 
o|inlining procedure: k12343 
o|inlining procedure: k12343 
o|contracted procedure: "(library.scm:1641) g19581959" 
o|inlining procedure: k12361 
o|inlining procedure: k12361 
o|contracted procedure: "(library.scm:1645) g19661967" 
o|inlining procedure: k12379 
o|inlining procedure: k12379 
o|contracted procedure: "(library.scm:1649) g19741975" 
o|inlining procedure: k12397 
o|inlining procedure: k12397 
o|contracted procedure: "(library.scm:1653) g19821983" 
o|inlining procedure: k12415 
o|inlining procedure: k12415 
o|contracted procedure: "(library.scm:1657) g19911992" 
o|inlining procedure: k12433 
o|inlining procedure: k12433 
o|contracted procedure: "(library.scm:1661) g20012002" 
o|inlining procedure: k12457 
o|inlining procedure: k12457 
o|contracted procedure: "(library.scm:1665) g20102011" 
o|inlining procedure: k12475 
o|inlining procedure: k12475 
o|contracted procedure: "(library.scm:1669) g20202021" 
o|inlining procedure: k12499 
o|inlining procedure: k12499 
o|contracted procedure: "(library.scm:1673) g20282029" 
o|inlining procedure: k12517 
o|inlining procedure: k12517 
o|contracted procedure: "(library.scm:1677) g20362037" 
o|inlining procedure: k12535 
o|inlining procedure: k12535 
o|contracted procedure: "(library.scm:1681) g20442045" 
o|inlining procedure: k12553 
o|inlining procedure: k12553 
o|inlining procedure: k12572 
o|inlining procedure: k12572 
o|inlining procedure: k12591 
o|inlining procedure: k12591 
o|inlining procedure: k12618 
o|inlining procedure: k12618 
o|inlining procedure: k12660 
o|contracted procedure: "(library.scm:1730) g21352136" 
o|inlining procedure: k12660 
o|inlining procedure: k12683 
o|contracted procedure: "(library.scm:1736) g21432144" 
o|inlining procedure: k12683 
o|inlining procedure: k12697 
o|inlining procedure: k12697 
o|inlining procedure: k12725 
o|contracted procedure: "(library.scm:1752) g21582159" 
o|contracted procedure: "(library.scm:1751) g21552156" 
o|inlining procedure: k12725 
o|inlining procedure: k12764 
o|inlining procedure: k12764 
o|contracted procedure: "(library.scm:1766) g21682169" 
o|inlining procedure: k12781 
o|contracted procedure: "(library.scm:1768) g21712172" 
o|contracted procedure: "(library.scm:1768) g21782179" 
o|contracted procedure: "(library.scm:1768) g21752176" 
o|inlining procedure: k12781 
o|contracted procedure: "(library.scm:1769) g21812182" 
o|inlining procedure: k12810 
o|inlining procedure: k12810 
o|inlining procedure: k12817 
o|inlining procedure: k12817 
o|inlining procedure: k12839 
o|contracted procedure: "(library.scm:1778) g21942195" 
o|inlining procedure: k12839 
o|inlining procedure: k12856 
o|inlining procedure: k12856 
o|inlining procedure: k12863 
o|inlining procedure: k12863 
o|inlining procedure: k12885 
o|contracted procedure: "(library.scm:1790) g22062207" 
o|inlining procedure: k12885 
o|inlining procedure: k12902 
o|contracted procedure: "(library.scm:1797) g22152216" 
o|inlining procedure: k12902 
o|inlining procedure: k13022 
o|inlining procedure: k13022 
o|inlining procedure: k13031 
o|contracted procedure: "(library.scm:1830) g22472248" 
o|inlining procedure: k13031 
o|contracted procedure: "(library.scm:1831) flonum->ratnum" 
o|inlining procedure: k12968 
o|contracted procedure: "(library.scm:1815) g22322233" 
o|inlining procedure: k12968 
o|contracted procedure: "(library.scm:1812) float-fraction-length2220" 
o|inlining procedure: k12943 
o|inlining procedure: k12943 
o|inlining procedure: k12992 
o|inlining procedure: k12992 
o|substituted constant variable: a13018 
o|inlining procedure: k13048 
o|contracted procedure: "(library.scm:1835) g22532254" 
o|contracted procedure: "(library.scm:1834) g22502251" 
o|inlining procedure: k13048 
o|inlining procedure: k13100 
o|inlining procedure: k13100 
o|inlining procedure: k13123 
o|inlining procedure: k13123 
o|inlining procedure: k13154 
o|contracted procedure: "(library.scm:1887) g23102311" 
o|contracted procedure: "(library.scm:1887) g23062307" 
o|contracted procedure: "(library.scm:1886) g23022303" 
o|inlining procedure: k13154 
o|inlining procedure: k13230 
o|inlining procedure: k13230 
o|inlining procedure: k13253 
o|contracted procedure: "(library.scm:1907) g23492350" 
o|contracted procedure: "(library.scm:1906) g23442345" 
o|contracted procedure: "(library.scm:1905) g23402341" 
o|contracted procedure: "(library.scm:1905) g23362337" 
o|contracted procedure: "(library.scm:1904) g23322333" 
o|contracted procedure: "(library.scm:1904) g23282329" 
o|inlining procedure: k13253 
o|contracted procedure: "(library.scm:1916) g23602361" 
o|contracted procedure: "(library.scm:1913) g23542355" 
o|inlining procedure: k13334 
o|contracted procedure: "(library.scm:1926) g23692370" 
o|contracted procedure: "(library.scm:1924) g23642365" 
o|inlining procedure: k13334 
o|inlining procedure: k13399 
o|inlining procedure: k13399 
o|inlining procedure: k13409 
o|substituted constant variable: a13431 
o|substituted constant variable: a13433 
o|contracted procedure: "(library.scm:1940) g23842385" 
o|contracted procedure: "(library.scm:1939) g23802381" 
o|inlining procedure: k13409 
o|inlining procedure: k13440 
o|inlining procedure: k13440 
o|inlining procedure: k13450 
o|substituted constant variable: a13472 
o|substituted constant variable: a13474 
o|contracted procedure: "(library.scm:1950) g23972398" 
o|contracted procedure: "(library.scm:1949) g23932394" 
o|inlining procedure: k13450 
o|inlining procedure: k13481 
o|inlining procedure: k13481 
o|inlining procedure: k13491 
o|contracted procedure: "(library.scm:1960) g24082409" 
o|contracted procedure: "(library.scm:1959) g24052406" 
o|inlining procedure: k13491 
o|inlining procedure: k13515 
o|inlining procedure: k13515 
o|inlining procedure: k13522 
o|substituted constant variable: a13545 
o|contracted procedure: "(library.scm:1969) g24172418" 
o|inlining procedure: k13522 
o|inlining procedure: k13564 
o|inlining procedure: k13564 
o|substituted constant variable: a13613 
o|inlining procedure: k13626 
o|inlining procedure: k13626 
o|inlining procedure: k13643 
o|inlining procedure: k13643 
o|inlining procedure: k13694 
o|inlining procedure: k13694 
o|contracted procedure: "(library.scm:1996) find-ratio" 
o|inlining procedure: k13726 
o|inlining procedure: k13726 
o|inlining procedure: k13769 
o|inlining procedure: k13769 
o|inlining procedure: k13805 
o|contracted procedure: "(library.scm:2029) g24802481" 
o|contracted procedure: "(library.scm:2028) g24762477" 
o|inlining procedure: k13805 
o|inlining procedure: k13844 
o|inlining procedure: k13844 
o|inlining procedure: k13890 
o|inlining procedure: k13890 
o|substituted constant variable: a13925 
o|inlining procedure: k13919 
o|inlining procedure: k13919 
o|substituted constant variable: a13955 
o|inlining procedure: k13949 
o|inlining procedure: k13949 
o|inlining procedure: k13979 
o|inlining procedure: k13979 
o|inlining procedure: k14004 
o|inlining procedure: k14004 
o|substituted constant variable: a14016 
o|substituted constant variable: a14023 
o|substituted constant variable: a14030 
o|inlining procedure: k14034 
o|inlining procedure: k14034 
o|inlining procedure: k14043 
o|substituted constant variable: a14050 
o|inlining procedure: k14043 
o|inlining procedure: k14057 
o|inlining procedure: k14057 
o|inlining procedure: k14074 
o|inlining procedure: k14074 
o|inlining procedure: k14083 
o|substituted constant variable: a14090 
o|inlining procedure: k14083 
o|inlining procedure: k14100 
o|substituted constant variable: a14112 
o|substituted constant variable: a14127 
o|substituted constant variable: a14130 
o|inlining procedure: k14100 
o|inlining procedure: k14152 
o|inlining procedure: k14170 
o|inlining procedure: k14170 
o|inlining procedure: k14188 
o|inlining procedure: k14188 
o|substituted constant variable: a14201 
o|substituted constant variable: a14203 
o|substituted constant variable: a14205 
o|substituted constant variable: a14210 
o|substituted constant variable: a14212 
o|inlining procedure: k14152 
o|substituted constant variable: a14243 
o|inlining procedure: k14287 
o|substituted constant variable: a14296 
o|substituted constant variable: a14304 
o|inlining procedure: k14287 
o|inlining procedure: k14336 
o|inlining procedure: k14336 
o|inlining procedure: k14383 
o|inlining procedure: k14399 
o|inlining procedure: k14399 
o|inlining procedure: k14383 
o|contracted procedure: "(library.scm:2170) g26222623" 
o|inlining procedure: k14433 
o|contracted procedure: "(library.scm:2173) g26272628" 
o|inlining procedure: k14457 
o|inlining procedure: k14457 
o|inlining procedure: k14433 
o|inlining procedure: k14505 
o|inlining procedure: k14505 
o|substituted constant variable: a14528 
o|substituted constant variable: a14536 
o|inlining procedure: k14555 
o|inlining procedure: k14555 
o|inlining procedure: k14600 
o|inlining procedure: k14600 
o|inlining procedure: k14614 
o|contracted procedure: "(library.scm:2215) g26602661" 
o|inlining procedure: k14614 
o|inlining procedure: k14637 
o|inlining procedure: k14637 
o|contracted procedure: "(library.scm:2220) square2658" 
o|substituted constant variable: a14668 
o|inlining procedure: k14687 
o|inlining procedure: k14687 
o|inlining procedure: k14705 
o|inlining procedure: k14705 
o|inlining procedure: k14723 
o|contracted procedure: "(library.scm:2240) g26882689" 
o|contracted procedure: "(library.scm:2239) g26852686" 
o|inlining procedure: k14723 
o|inlining procedure: k14757 
o|contracted procedure: "(library.scm:2249) g26952696" 
o|inlining procedure: k14792 
o|contracted procedure: "(library.scm:2251) g27002701" 
o|inlining procedure: k14792 
o|inlining procedure: k14757 
o|inlining procedure: k14826 
o|inlining procedure: k14826 
o|inlining procedure: k14844 
o|inlining procedure: k14844 
o|inlining procedure: k14863 
o|inlining procedure: k14863 
o|inlining procedure: k14900 
o|inlining procedure: k14900 
o|inlining procedure: k14932 
o|contracted procedure: "(library.scm:2277) g27252726" 
o|inlining procedure: k14945 
o|contracted procedure: "(library.scm:2280) g27302731" 
o|inlining procedure: k14945 
o|inlining procedure: k14932 
o|inlining procedure: k14973 
o|inlining procedure: k14973 
o|contracted procedure: "(library.scm:2287) g27392740" 
o|inlining procedure: k15008 
o|inlining procedure: k15008 
o|inlining procedure: k15028 
o|inlining procedure: k15028 
o|inlining procedure: k15070 
o|inlining procedure: k15070 
o|inlining procedure: k15090 
o|inlining procedure: k15090 
o|substituted constant variable: a15160 
o|inlining procedure: k15178 
o|contracted procedure: "(library.scm:2343) g28052806" 
o|contracted procedure: "(library.scm:2341) g28022803" 
o|inlining procedure: k15178 
o|inlining procedure: k15242 
o|inlining procedure: k15242 
o|contracted procedure: "(library.scm:2347) g28132814" 
o|contracted procedure: "(library.scm:2346) g28102811" 
o|inlining procedure: k15352 
o|inlining procedure: k15352 
o|substituted constant variable: a15378 
o|contracted procedure: "(library.scm:2385) g28432844" 
o|inlining procedure: k15388 
o|inlining procedure: k15388 
o|inlining procedure: k15398 
o|substituted constant variable: a15411 
o|inlining procedure: k15407 
o|inlining procedure: k15418 
o|inlining procedure: k15418 
o|substituted constant variable: a15426 
o|inlining procedure: k15407 
o|inlining procedure: k15435 
o|inlining procedure: k15435 
o|inlining procedure: k15441 
o|contracted procedure: "(library.scm:2406) mantexp->dbl" 
o|inlining procedure: k15255 
o|inlining procedure: k15255 
o|contracted procedure: "(library.scm:2377) ldexp" 
o|substituted constant variable: a15308 
o|propagated global variable: a15311 chicken.flonum#flonum-precision 
o|inlining procedure: k15441 
o|inlining procedure: k15398 
o|inlining procedure: k15478 
o|inlining procedure: k15478 
o|inlining procedure: k15504 
o|inlining procedure: k15504 
o|inlining procedure: k15531 
o|inlining procedure: k15531 
o|inlining procedure: k15559 
o|inlining procedure: k15559 
o|substituted constant variable: a15566 
o|substituted constant variable: a15570 
o|substituted constant variable: a15577 
o|contracted procedure: "(library.scm:2428) g28812882" 
o|inlining procedure: k15586 
o|inlining procedure: k15586 
o|inlining procedure: k15619 
o|inlining procedure: k15619 
o|contracted procedure: "(library.scm:2443) g29042905" 
o|inlining procedure: k15639 
o|inlining procedure: k15639 
o|inlining procedure: k15661 
o|inlining procedure: k15661 
o|inlining procedure: k15672 
o|inlining procedure: k15672 
o|inlining procedure: k15686 
o|inlining procedure: k15709 
o|inlining procedure: k15709 
o|inlining procedure: k15735 
o|inlining procedure: k15735 
o|substituted constant variable: a15742 
o|substituted constant variable: a15744 
o|contracted procedure: "(library.scm:2465) g29402941" 
o|inlining procedure: k15686 
o|inlining procedure: k15747 
o|inlining procedure: k15768 
o|inlining procedure: k15786 
o|inlining procedure: k15798 
o|inlining procedure: k15814 
o|inlining procedure: k15814 
o|inlining procedure: k15798 
o|inlining procedure: k15786 
o|inlining procedure: k15768 
o|inlining procedure: k15858 
o|inlining procedure: k15858 
o|inlining procedure: k15872 
o|inlining procedure: k15872 
o|inlining procedure: k15884 
o|inlining procedure: k15884 
o|inlining procedure: k15896 
o|inlining procedure: k15896 
o|inlining procedure: k15908 
o|inlining procedure: k15908 
o|substituted constant variable: a15921 
o|substituted constant variable: a15923 
o|substituted constant variable: a15925 
o|substituted constant variable: a15927 
o|substituted constant variable: a15929 
o|substituted constant variable: a15931 
o|substituted constant variable: a15933 
o|substituted constant variable: a15935 
o|substituted constant variable: a15937 
o|substituted constant variable: a15939 
o|contracted procedure: "(library.scm:2481) g29692970" 
o|inlining procedure: k15948 
o|inlining procedure: k15948 
o|inlining procedure: k15747 
o|inlining procedure: k15959 
o|inlining procedure: k15959 
o|inlining procedure: k15984 
o|inlining procedure: k15999 
o|inlining procedure: k15999 
o|inlining procedure: k15984 
o|inlining procedure: k16039 
o|inlining procedure: k16051 
o|inlining procedure: k16061 
o|inlining procedure: k16061 
o|inlining procedure: k16051 
o|inlining procedure: k16039 
o|inlining procedure: k16081 
o|inlining procedure: k16097 
o|inlining procedure: k16107 
o|inlining procedure: k16125 
o|inlining procedure: k16145 
o|inlining procedure: "(library.scm:2534) make-nan2856" 
o|inlining procedure: k16145 
o|substituted constant variable: a16172 
o|substituted constant variable: a16174 
o|substituted constant variable: a16176 
o|inlining procedure: k16125 
o|inlining procedure: k16107 
o|inlining procedure: k16097 
o|inlining procedure: k16081 
o|substituted constant variable: a16194 
o|inlining procedure: k16198 
o|inlining procedure: k16198 
o|inlining procedure: k16210 
o|inlining procedure: k16210 
o|inlining procedure: k16222 
o|inlining procedure: k16222 
o|inlining procedure: k16234 
o|inlining procedure: k16234 
o|substituted constant variable: a16247 
o|substituted constant variable: a16249 
o|substituted constant variable: a16251 
o|substituted constant variable: a16253 
o|substituted constant variable: a16255 
o|substituted constant variable: a16257 
o|substituted constant variable: a16259 
o|substituted constant variable: a16261 
o|substituted constant variable: a16263 
o|substituted constant variable: a16265 
o|substituted constant variable: a16267 
o|contracted procedure: "(library.scm:2506) g30433044" 
o|inlining procedure: k16281 
o|contracted procedure: "(library.scm:2501) g30303031" 
o|inlining procedure: k16281 
o|inlining procedure: k16302 
o|inlining procedure: k16330 
o|inlining procedure: k16352 
o|inlining procedure: k16362 
o|inlining procedure: k16362 
o|inlining procedure: k16352 
o|inlining procedure: k16385 
o|inlining procedure: k16385 
o|inlining procedure: k16330 
o|inlining procedure: k16435 
o|inlining procedure: k16435 
o|inlining procedure: k16445 
o|inlining procedure: k16468 
o|inlining procedure: k16468 
o|inlining procedure: "(library.scm:2563) make-nan2856" 
o|inlining procedure: k16445 
o|substituted constant variable: a16504 
o|substituted constant variable: a16506 
o|substituted constant variable: a16511 
o|substituted constant variable: a16513 
o|contracted procedure: "(library.scm:2544) g31243125" 
o|inlining procedure: k16520 
o|inlining procedure: k16520 
o|substituted constant variable: a16527 
o|substituted constant variable: a16529 
o|contracted procedure: "(library.scm:2540) g31123113" 
o|inlining procedure: k16302 
o|inlining procedure: k16536 
o|inlining procedure: k16548 
o|inlining procedure: k16548 
o|inlining procedure: k16536 
o|inlining procedure: k16555 
o|inlining procedure: k16555 
o|inlining procedure: k16571 
o|contracted procedure: "(library.scm:2573) g31783179" 
o|contracted procedure: "(library.scm:2572) g31743175" 
o|inlining procedure: k16571 
o|inlining procedure: k16612 
o|inlining procedure: k16631 
o|inlining procedure: k16646 
o|inlining procedure: k16646 
o|contracted procedure: "(library.scm:2581) g32023203" 
o|contracted procedure: "(library.scm:2580) g31983199" 
o|inlining procedure: k16631 
o|inlining procedure: k16612 
o|inlining procedure: k16693 
o|inlining procedure: k16693 
o|substituted constant variable: a16720 
o|substituted constant variable: a16725 
o|substituted constant variable: a16727 
o|substituted constant variable: a16732 
o|substituted constant variable: a16734 
o|substituted constant variable: a16736 
o|contracted procedure: "(library.scm:2569) g31623163" 
o|folded constant expression: (scheme#char->integer (quote #\A)) 
o|folded constant expression: (scheme#char->integer (quote #\a)) 
o|folded constant expression: (scheme#char->integer (quote #\0)) 
o|inlining procedure: k16805 
o|inlining procedure: k16825 
o|inlining procedure: k16825 
o|inlining procedure: k16838 
o|inlining procedure: k16838 
o|inlining procedure: k16869 
o|inlining procedure: k16869 
o|inlining procedure: k16882 
o|inlining procedure: k16882 
o|inlining procedure: k16913 
o|inlining procedure: k16913 
o|inlining procedure: k16926 
o|inlining procedure: k16926 
o|substituted constant variable: a16952 
o|substituted constant variable: a16954 
o|substituted constant variable: a16959 
o|substituted constant variable: a16961 
o|substituted constant variable: a16966 
o|substituted constant variable: a16968 
o|substituted constant variable: a16973 
o|substituted constant variable: a16975 
o|substituted constant variable: a16980 
o|substituted constant variable: a16982 
o|substituted constant variable: a16987 
o|substituted constant variable: a16989 
o|contracted procedure: "(library.scm:2605) g32493250" 
o|inlining procedure: k16805 
o|inlining procedure: k16998 
o|inlining procedure: k16998 
o|contracted procedure: "(library.scm:2604) g32393240" 
o|inlining procedure: k17023 
o|inlining procedure: k17023 
o|inlining procedure: k17096 
o|inlining procedure: k17117 
o|inlining procedure: k17117 
o|inlining procedure: k17096 
o|inlining procedure: k17161 
o|inlining procedure: k17161 
o|inlining procedure: k17170 
o|inlining procedure: k17170 
o|inlining procedure: k17181 
o|inlining procedure: k17181 
o|inlining procedure: k17193 
o|inlining procedure: k17193 
o|inlining procedure: k17202 
o|inlining procedure: k17202 
o|inlining procedure: k17211 
o|inlining procedure: k17220 
o|inlining procedure: k17220 
o|inlining procedure: k17211 
o|inlining procedure: k17272 
o|inlining procedure: k17272 
o|inlining procedure: k17284 
o|inlining procedure: k17284 
o|inlining procedure: k17305 
o|inlining procedure: k17305 
o|inlining procedure: k17323 
o|inlining procedure: k17323 
o|inlining procedure: k17349 
o|inlining procedure: k17349 
o|inlining procedure: k17361 
o|inlining procedure: k17361 
o|inlining procedure: k17385 
o|inlining procedure: k17385 
o|inlining procedure: k17466 
o|inlining procedure: k17466 
o|inlining procedure: "(library.scm:2751) err3392" 
o|inlining procedure: k17472 
o|inlining procedure: k17472 
o|inlining procedure: "(library.scm:2750) err3392" 
o|inlining procedure: k17512 
o|contracted procedure: "(library.scm:2760) g34163425" 
o|inlining procedure: k17512 
o|inlining procedure: k17546 
o|inlining procedure: k17546 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|inlining procedure: k17576 
o|inlining procedure: k17576 
o|inlining procedure: k17600 
o|inlining procedure: k17600 
o|inlining procedure: k17637 
o|inlining procedure: k17637 
o|inlining procedure: k17685 
o|inlining procedure: k17685 
o|inlining procedure: k17709 
o|inlining procedure: k17709 
o|inlining procedure: k17728 
o|inlining procedure: k17728 
o|inlining procedure: k17749 
o|inlining procedure: k17749 
o|inlining procedure: k17789 
o|inlining procedure: k17789 
o|inlining procedure: k17828 
o|inlining procedure: k17828 
o|inlining procedure: k17874 
o|inlining procedure: k17874 
o|inlining procedure: k17946 
o|inlining procedure: k17946 
o|inlining procedure: k18020 
o|inlining procedure: k18020 
o|inlining procedure: k18122 
o|inlining procedure: k18122 
o|inlining procedure: k18153 
o|inlining procedure: k18153 
o|inlining procedure: k18183 
o|inlining procedure: k18183 
o|inlining procedure: k18253 
o|inlining procedure: k18253 
o|inlining procedure: k18317 
o|inlining procedure: k18317 
o|inlining procedure: k18355 
o|inlining procedure: k18355 
o|inlining procedure: k18391 
o|inlining procedure: k18391 
o|inlining procedure: k18409 
o|inlining procedure: k18409 
o|inlining procedure: k18435 
o|inlining procedure: k18435 
o|inlining procedure: k18453 
o|inlining procedure: k18453 
o|inlining procedure: k18489 
o|inlining procedure: k18504 
o|inlining procedure: k18504 
o|inlining procedure: k18489 
o|inlining procedure: k18537 
o|inlining procedure: k18537 
o|inlining procedure: k18575 
o|inlining procedure: k18593 
o|inlining procedure: k18593 
o|inlining procedure: k18575 
o|inlining procedure: k18637 
o|inlining procedure: k18637 
o|inlining procedure: k18722 
o|inlining procedure: k18722 
o|inlining procedure: k18756 
o|inlining procedure: k18756 
o|inlining procedure: k18811 
o|inlining procedure: k18811 
o|substituted constant variable: a18818 
o|substituted constant variable: a18823 
o|inlining procedure: k18890 
o|inlining procedure: k18890 
o|inlining procedure: k18901 
o|inlining procedure: k18901 
o|inlining procedure: k18912 
o|inlining procedure: k18912 
o|inlining procedure: k18923 
o|inlining procedure: k18923 
o|inlining procedure: k18934 
o|propagated global variable: r1893532974 ##sys#standard-input 
o|removed unused formal parameters: (convert?3951) 
o|inlining procedure: k18949 
o|inlining procedure: k18949 
o|removed unused parameter to known procedure: convert?3951 "(library.scm:3337) body39413950" 
o|inlining procedure: k18934 
o|inlining procedure: k18976 
o|inlining procedure: k18976 
o|removed unused parameter to known procedure: convert?3951 "(library.scm:3337) body39413950" 
o|inlining procedure: k18995 
o|propagated global variable: r1899632980 ##sys#standard-output 
o|removed unused formal parameters: (convert?3976) 
o|inlining procedure: k19010 
o|inlining procedure: k19010 
o|removed unused parameter to known procedure: convert?3976 "(library.scm:3347) body39663975" 
o|inlining procedure: k18995 
o|inlining procedure: k19037 
o|inlining procedure: k19037 
o|removed unused parameter to known procedure: convert?3976 "(library.scm:3347) body39663975" 
o|inlining procedure: k19056 
o|propagated global variable: r1905732986 ##sys#standard-error 
o|removed unused formal parameters: (convert?4001) 
o|inlining procedure: k19071 
o|inlining procedure: k19071 
o|removed unused parameter to known procedure: convert?4001 "(library.scm:3357) body39914000" 
o|inlining procedure: k19056 
o|inlining procedure: k19098 
o|inlining procedure: k19098 
o|removed unused parameter to known procedure: convert?4001 "(library.scm:3357) body39914000" 
o|inlining procedure: k19117 
o|inlining procedure: k19117 
o|inlining procedure: k19155 
o|inlining procedure: k19155 
o|inlining procedure: k19180 
o|inlining procedure: k19180 
o|inlining procedure: k19186 
o|inlining procedure: k19186 
o|inlining procedure: k19209 
o|inlining procedure: k19209 
o|inlining procedure: k19222 
o|inlining procedure: k19222 
o|substituted constant variable: a19233 
o|substituted constant variable: a19235 
o|substituted constant variable: a19237 
o|inlining procedure: k19247 
o|inlining procedure: k19247 
o|inlining procedure: k19422 
o|inlining procedure: k19422 
o|substituted constant variable: a19438 
o|substituted constant variable: a19440 
o|substituted constant variable: a19461 
o|substituted constant variable: a19462 
o|inlining procedure: k19475 
o|inlining procedure: k19475 
o|inlining procedure: k19497 
o|inlining procedure: k19510 
o|inlining procedure: k19510 
o|inlining procedure: k19497 
o|inlining procedure: k19569 
o|inlining procedure: k19569 
o|inlining procedure: k19607 
o|inlining procedure: k19607 
o|inlining procedure: k19641 
o|inlining procedure: k19641 
o|inlining procedure: k19682 
o|inlining procedure: k19682 
o|inlining procedure: k19701 
o|inlining procedure: k19701 
o|inlining procedure: k19829 
o|inlining procedure: k19829 
o|inlining procedure: k19868 
o|inlining procedure: k19907 
o|inlining procedure: k19907 
o|inlining procedure: k19868 
o|inlining procedure: k19935 
o|inlining procedure: k19935 
o|substituted constant variable: a19983 
o|substituted constant variable: a19984 
o|substituted constant variable: a20008 
o|substituted constant variable: a20009 
o|inlining procedure: k20025 
o|inlining procedure: k20025 
o|substituted constant variable: a20083 
o|substituted constant variable: a20084 
o|inlining procedure: k20091 
o|inlining procedure: k20091 
o|substituted constant variable: a20120 
o|substituted constant variable: a20121 
o|substituted constant variable: a20138 
o|substituted constant variable: a20139 
o|inlining procedure: k20194 
o|inlining procedure: k20194 
o|inlining procedure: k20217 
o|inlining procedure: k20217 
o|inlining procedure: k20260 
o|inlining procedure: k20260 
o|inlining procedure: k20279 
o|inlining procedure: k20279 
o|inlining procedure: k20318 
o|inlining procedure: k20318 
o|inlining procedure: k20343 
o|inlining procedure: k20343 
o|inlining procedure: k20362 
o|inlining procedure: k20362 
o|inlining procedure: k20387 
o|inlining procedure: k20387 
o|inlining procedure: k20453 
o|inlining procedure: k20453 
o|inlining procedure: k20488 
o|inlining procedure: k20488 
o|inlining procedure: k20504 
o|inlining procedure: k20504 
o|inlining procedure: k20538 
o|inlining procedure: k20538 
o|inlining procedure: k20572 
o|folded constant expression: (scheme#integer->char (quote 7)) 
o|inlining procedure: k20572 
o|folded constant expression: (scheme#integer->char (quote 11)) 
o|inlining procedure: k20614 
o|folded constant expression: (scheme#integer->char (quote 12)) 
o|inlining procedure: k20614 
o|inlining procedure: k20659 
o|inlining procedure: k20674 
o|inlining procedure: k20674 
o|substituted constant variable: a20712 
o|substituted constant variable: a20717 
o|inlining procedure: k20659 
o|inlining procedure: k20742 
o|inlining procedure: k20742 
o|inlining procedure: k20762 
o|inlining procedure: k20762 
o|inlining procedure: k20797 
o|inlining procedure: k20797 
o|inlining procedure: k20819 
o|inlining procedure: k20819 
o|inlining procedure: k20844 
o|inlining procedure: k20844 
o|substituted constant variable: a20873 
o|substituted constant variable: a20875 
o|substituted constant variable: a20880 
o|substituted constant variable: a20882 
o|inlining procedure: k20883 
o|inlining procedure: k20883 
o|inlining procedure: k20946 
o|inlining procedure: k20946 
o|inlining procedure: k20958 
o|inlining procedure: k20958 
o|substituted constant variable: a20971 
o|substituted constant variable: a20973 
o|substituted constant variable: a20975 
o|substituted constant variable: a20977 
o|inlining procedure: k20981 
o|inlining procedure: k20981 
o|substituted constant variable: a20994 
o|substituted constant variable: a20996 
o|substituted constant variable: a20998 
o|substituted constant variable: a21000 
o|substituted constant variable: a21002 
o|substituted constant variable: a21004 
o|substituted constant variable: a21006 
o|substituted constant variable: a21008 
o|substituted constant variable: a21010 
o|substituted constant variable: a21012 
o|substituted constant variable: a21014 
o|substituted constant variable: a21016 
o|substituted constant variable: a21018 
o|substituted constant variable: a21020 
o|inlining procedure: k21021 
o|inlining procedure: k21021 
o|inlining procedure: k21053 
o|inlining procedure: k21053 
o|inlining procedure: k21044 
o|inlining procedure: k21086 
o|inlining procedure: k21086 
o|inlining procedure: k21117 
o|inlining procedure: k21117 
o|inlining procedure: k21136 
o|inlining procedure: k21169 
o|inlining procedure: k21169 
o|inlining procedure: k21211 
o|inlining procedure: k21211 
o|inlining procedure: k21227 
o|inlining procedure: k21227 
o|inlining procedure: "(library.scm:3964) build-symbol4476" 
o|inlining procedure: k21257 
o|inlining procedure: k21257 
o|inlining procedure: k21269 
o|inlining procedure: k21269 
o|inlining procedure: k21136 
o|inlining procedure: k21044 
o|inlining procedure: k21309 
o|inlining procedure: k21309 
o|inlining procedure: k21330 
o|inlining procedure: k21330 
o|inlining procedure: k21352 
o|inlining procedure: k21352 
o|inlining procedure: k21367 
o|inlining procedure: k21367 
o|inlining procedure: "(library.scm:4000) build-symbol4476" 
o|inlining procedure: k21377 
o|inlining procedure: k21377 
o|substituted constant variable: a21385 
o|substituted constant variable: a21386 
o|inlining procedure: k21394 
o|inlining procedure: k21415 
o|inlining procedure: k21415 
o|substituted constant variable: a21428 
o|inlining procedure: k21394 
o|inlining procedure: k21445 
o|inlining procedure: k21466 
o|inlining procedure: k21466 
o|substituted constant variable: a21479 
o|substituted constant variable: a21487 
o|inlining procedure: k21483 
o|inlining procedure: k21483 
o|substituted constant variable: a21495 
o|inlining procedure: k21445 
o|inlining procedure: k21522 
o|inlining procedure: k21522 
o|inlining procedure: k21558 
o|inlining procedure: k21558 
o|inlining procedure: k21567 
o|inlining procedure: k21567 
o|inlining procedure: k21586 
o|inlining procedure: k21586 
o|inlining procedure: "(library.scm:4052) build-symbol4476" 
o|inlining procedure: k21656 
o|inlining procedure: k21690 
o|inlining procedure: k21690 
o|inlining procedure: k21700 
o|inlining procedure: k21700 
o|inlining procedure: k21656 
o|inlining procedure: k21729 
o|inlining procedure: k21729 
o|inlining procedure: k21773 
o|inlining procedure: k21773 
o|inlining procedure: k21811 
o|inlining procedure: k21811 
o|inlining procedure: k21835 
o|inlining procedure: k21835 
o|substituted constant variable: a21842 
o|substituted constant variable: a21844 
o|substituted constant variable: a21846 
o|substituted constant variable: a21848 
o|inlining procedure: k21852 
o|inlining procedure: k21852 
o|inlining procedure: k21870 
o|contracted procedure: "(library.scm:4106) g47654766" 
o|inlining procedure: k21899 
o|inlining procedure: k21899 
o|inlining procedure: k21918 
o|inlining procedure: k21936 
o|inlining procedure: k21952 
o|inlining procedure: k21952 
o|inlining procedure: k21936 
o|inlining procedure: k21918 
o|substituted constant variable: a22051 
o|inlining procedure: k22053 
o|inlining procedure: k22053 
o|substituted constant variable: a22056 
o|inlining procedure: k21870 
o|inlining procedure: k22079 
o|inlining procedure: k22091 
o|inlining procedure: k22091 
o|inlining procedure: k22079 
o|inlining procedure: k22125 
o|inlining procedure: k22125 
o|inlining procedure: k22138 
o|inlining procedure: k22138 
o|substituted constant variable: a22151 
o|substituted constant variable: a22153 
o|inlining procedure: k22175 
o|inlining procedure: k22175 
o|folded constant expression: (scheme#char->integer (quote #\#)) 
o|inlining procedure: k22272 
o|inlining procedure: k22287 
o|inlining procedure: k22287 
o|inlining procedure: k22272 
o|inlining procedure: k22315 
o|inlining procedure: k22315 
o|inlining procedure: k22340 
o|inlining procedure: k22340 
o|inlining procedure: k22367 
o|inlining procedure: k22388 
o|inlining procedure: k22415 
o|inlining procedure: k22430 
o|inlining procedure: k22430 
o|inlining procedure: k22415 
o|inlining procedure: k22466 
o|inlining procedure: k22466 
o|inlining procedure: k22388 
o|inlining procedure: k22501 
o|inlining procedure: k22501 
o|inlining procedure: k22516 
o|inlining procedure: k22516 
o|inlining procedure: k22540 
o|inlining procedure: k22540 
o|inlining procedure: k22564 
o|inlining procedure: k22564 
o|inlining procedure: k22588 
o|inlining procedure: k22628 
o|inlining procedure: k22628 
o|inlining procedure: k22588 
o|inlining procedure: k22652 
o|inlining procedure: k22652 
o|inlining procedure: k22679 
o|inlining procedure: k22679 
o|inlining procedure: k22706 
o|inlining procedure: k22706 
o|inlining procedure: k22734 
o|inlining procedure: k22734 
o|inlining procedure: k22753 
o|inlining procedure: k22782 
o|inlining procedure: k22782 
o|inlining procedure: k22753 
o|inlining procedure: "(library.scm:4293) build-symbol4476" 
o|inlining procedure: k22830 
o|inlining procedure: k22830 
o|inlining procedure: k22865 
o|inlining procedure: k22865 
o|inlining procedure: k22886 
o|inlining procedure: "(library.scm:4309) build-symbol4476" 
o|inlining procedure: k22886 
o|inlining procedure: k22924 
o|inlining procedure: k22924 
o|substituted constant variable: a22927 
o|inlining procedure: k22941 
o|inlining procedure: k22941 
o|substituted constant variable: a22954 
o|substituted constant variable: a22956 
o|substituted constant variable: a22958 
o|substituted constant variable: a22960 
o|substituted constant variable: a22962 
o|substituted constant variable: a22964 
o|substituted constant variable: a22966 
o|substituted constant variable: a22968 
o|substituted constant variable: a22970 
o|substituted constant variable: a22972 
o|substituted constant variable: a22974 
o|substituted constant variable: a22976 
o|substituted constant variable: a22978 
o|substituted constant variable: a22980 
o|substituted constant variable: a22982 
o|substituted constant variable: a22984 
o|substituted constant variable: a22986 
o|substituted constant variable: a22988 
o|inlining procedure: k22367 
o|inlining procedure: k23005 
o|inlining procedure: k23005 
o|inlining procedure: k23029 
o|inlining procedure: k23029 
o|inlining procedure: k23050 
o|inlining procedure: k23050 
o|inlining procedure: k23065 
o|inlining procedure: k23065 
o|inlining procedure: k23083 
o|inlining procedure: k23083 
o|substituted constant variable: a23114 
o|substituted constant variable: a23116 
o|substituted constant variable: a23118 
o|substituted constant variable: a23120 
o|substituted constant variable: a23125 
o|substituted constant variable: a23127 
o|substituted constant variable: a23129 
o|substituted constant variable: a23131 
o|substituted constant variable: a23133 
o|substituted constant variable: a23135 
o|substituted constant variable: a23137 
o|substituted constant variable: a23139 
o|substituted constant variable: a23141 
o|substituted constant variable: a23143 
o|inlining procedure: k23147 
o|inlining procedure: k23147 
o|inlining procedure: k23166 
o|inlining procedure: k23166 
o|inlining procedure: k23184 
o|inlining procedure: k23184 
o|inlining procedure: k23226 
o|inlining procedure: k23226 
o|inlining procedure: k23346 
o|inlining procedure: k23346 
o|inlining procedure: k23358 
o|inlining procedure: k23370 
o|inlining procedure: k23370 
o|inlining procedure: k23358 
o|inlining procedure: k23426 
o|inlining procedure: k23426 
o|substituted constant variable: a23456 
o|substituted constant variable: a23458 
o|substituted constant variable: a23460 
o|substituted constant variable: a23462 
o|inlining procedure: k23472 
o|inlining procedure: k23472 
o|inlining procedure: k23491 
o|inlining procedure: k23491 
o|inlining procedure: k23505 
o|inlining procedure: k23505 
o|inlining procedure: k23568 
o|inlining procedure: k23568 
o|substituted constant variable: a23599 
o|substituted constant variable: a23601 
o|substituted constant variable: a23606 
o|substituted constant variable: a23608 
o|substituted constant variable: a23630 
o|substituted constant variable: a23631 
o|substituted constant variable: a23648 
o|substituted constant variable: a23649 
o|inlining procedure: k23662 
o|propagated global variable: r2366333319 ##sys#standard-output 
o|inlining procedure: k23662 
o|substituted constant variable: a23681 
o|substituted constant variable: a23682 
o|substituted constant variable: a23699 
o|substituted constant variable: a23700 
o|propagated global variable: a23713 ##sys#standard-output 
o|substituted constant variable: a23714 
o|substituted constant variable: a23715 
o|contracted procedure: "(library.scm:4459) g51055106" 
o|inlining procedure: k23732 
o|contracted procedure: "(library.scm:4454) g51115118" 
o|propagated global variable: g51265127 ##sys#print 
o|inlining procedure: k23732 
o|propagated global variable: a23764 ##sys#standard-output 
o|substituted constant variable: a23765 
o|substituted constant variable: a23766 
o|contracted procedure: "(library.scm:4466) g51375138" 
o|inlining procedure: k23783 
o|contracted procedure: "(library.scm:4454) g51435150" 
o|propagated global variable: g51585159 ##sys#print 
o|inlining procedure: k23783 
o|substituted constant variable: a23828 
o|substituted constant variable: a23829 
o|inlining procedure: k23842 
o|inlining procedure: k23842 
o|inlining procedure: k23933 
o|inlining procedure: k23933 
o|inlining procedure: k23965 
o|inlining procedure: k23965 
o|substituted constant variable: special-characters5180 
o|inlining procedure: k23977 
o|inlining procedure: k23977 
o|inlining procedure: k24010 
o|inlining procedure: k24010 
o|substituted constant variable: a24083 
o|inlining procedure: k24090 
o|inlining procedure: k24090 
o|inlining procedure: k24102 
o|inlining procedure: k24102 
o|inlining procedure: k24117 
o|inlining procedure: k24117 
o|inlining procedure: k24136 
o|inlining procedure: k24158 
o|inlining procedure: k24158 
o|inlining procedure: k24177 
o|inlining procedure: k24177 
o|inlining procedure: k24197 
o|inlining procedure: k24197 
o|inlining procedure: k24136 
o|inlining procedure: k24215 
o|inlining procedure: k24240 
o|inlining procedure: k24240 
o|inlining procedure: k24215 
o|inlining procedure: k24278 
o|inlining procedure: k24278 
o|inlining procedure: k24296 
o|inlining procedure: k24296 
o|inlining procedure: k24311 
o|inlining procedure: k24311 
o|inlining procedure: k24320 
o|inlining procedure: k24347 
o|inlining procedure: k24347 
o|inlining procedure: k24320 
o|inlining procedure: k24375 
o|inlining procedure: k24375 
o|inlining procedure: k24391 
o|inlining procedure: k24391 
o|inlining procedure: k24406 
o|inlining procedure: k24415 
o|inlining procedure: k24415 
o|substituted constant variable: a24446 
o|substituted constant variable: a24448 
o|inlining procedure: k24452 
o|inlining procedure: k24452 
o|inlining procedure: k24406 
o|inlining procedure: k24481 
o|inlining procedure: k24481 
o|inlining procedure: k24494 
o|inlining procedure: k24507 
o|inlining procedure: k24507 
o|inlining procedure: k24536 
o|inlining procedure: k24536 
o|inlining procedure: k24557 
o|inlining procedure: k24557 
o|inlining procedure: k24575 
o|inlining procedure: k24575 
o|inlining procedure: k24593 
o|inlining procedure: k24593 
o|inlining procedure: k24611 
o|inlining procedure: k24611 
o|substituted constant variable: a24640 
o|substituted constant variable: a24642 
o|substituted constant variable: a24644 
o|substituted constant variable: a24646 
o|substituted constant variable: a24648 
o|substituted constant variable: a24650 
o|substituted constant variable: a24652 
o|substituted constant variable: a24661 
o|substituted constant variable: a24663 
o|inlining procedure: k24494 
o|inlining procedure: k24667 
o|inlining procedure: k24686 
o|inlining procedure: k24686 
o|inlining procedure: k24667 
o|inlining procedure: k24758 
o|inlining procedure: k24758 
o|inlining procedure: k24790 
o|inlining procedure: k24790 
o|inlining procedure: k24806 
o|inlining procedure: k24806 
o|inlining procedure: k24828 
o|inlining procedure: k24853 
o|inlining procedure: k24853 
o|substituted constant variable: a24866 
o|substituted constant variable: a24868 
o|inlining procedure: k24828 
o|inlining procedure: k24872 
o|inlining procedure: k24872 
o|inlining procedure: k24897 
o|inlining procedure: k24897 
o|inlining procedure: k24941 
o|inlining procedure: k24941 
o|inlining procedure: k24958 
o|inlining procedure: k24958 
o|inlining procedure: k24981 
o|inlining procedure: k25011 
o|inlining procedure: k25011 
o|inlining procedure: k24981 
o|inlining procedure: k25099 
o|inlining procedure: k25099 
o|substituted constant variable: a25116 
o|substituted constant variable: a25118 
o|substituted constant variable: saved548554865498 
o|inlining procedure: k25223 
o|inlining procedure: k25223 
o|inlining procedure: k25290 
o|inlining procedure: k25311 
o|inlining procedure: k25311 
o|inlining procedure: k25290 
o|inlining procedure: k25337 
o|inlining procedure: k25337 
o|inlining procedure: k25375 
o|inlining procedure: k25375 
o|inlining procedure: k25406 
o|inlining procedure: k25406 
o|inlining procedure: k25443 
o|inlining procedure: k25443 
o|substituted constant variable: a25503 
o|substituted constant variable: a25504 
o|inlining procedure: k25505 
o|inlining procedure: k25505 
o|inlining procedure: k25556 
o|inlining procedure: k25556 
o|inlining procedure: k25579 
o|inlining procedure: k25605 
o|inlining procedure: k25605 
o|inlining procedure: k25579 
o|inlining procedure: k25659 
o|inlining procedure: k25659 
o|substituted constant variable: c5694 
o|contracted procedure: "(library.scm:4962) extract5671" 
o|substituted constant variable: c5694 
o|inlining procedure: k25726 
o|inlining procedure: k25726 
o|substituted constant variable: c5694 
o|substituted constant variable: c5694 
o|inlining procedure: k25808 
o|inlining procedure: k25808 
o|inlining procedure: k25833 
o|inlining procedure: k25833 
o|inlining procedure: k25839 
o|inlining procedure: k25839 
o|inlining procedure: k25776 
o|inlining procedure: k25858 
o|inlining procedure: k25858 
o|inlining procedure: k25776 
o|substituted constant variable: a25906 
o|substituted constant variable: a25907 
o|inlining procedure: k25978 
o|inlining procedure: "(library.scm:5010) break5767" 
o|inlining procedure: k25978 
o|inlining procedure: k26007 
o|inlining procedure: k26007 
o|inlining procedure: k26023 
o|inlining procedure: k26023 
o|inlining procedure: k26046 
o|contracted procedure: "(library.scm:5031) g57775784" 
o|inlining procedure: k26046 
o|inlining procedure: k26087 
o|inlining procedure: k26087 
o|inlining procedure: k26141 
o|contracted procedure: "(library.scm:5095) g58455852" 
o|inlining procedure: k26141 
o|inlining procedure: k26179 
o|inlining procedure: k26179 
o|inlining procedure: k26222 
o|inlining procedure: k26222 
o|inlining procedure: k26234 
o|inlining procedure: k26234 
o|inlining procedure: k26246 
o|inlining procedure: k26246 
o|inlining procedure: k26258 
o|inlining procedure: k26258 
o|inlining procedure: k26270 
o|inlining procedure: k26270 
o|inlining procedure: k26282 
o|inlining procedure: k26282 
o|inlining procedure: k26294 
o|inlining procedure: k26294 
o|substituted constant variable: a26301 
o|substituted constant variable: a26303 
o|substituted constant variable: a26305 
o|substituted constant variable: a26307 
o|substituted constant variable: a26309 
o|substituted constant variable: a26311 
o|substituted constant variable: a26313 
o|substituted constant variable: a26315 
o|substituted constant variable: a26317 
o|substituted constant variable: a26319 
o|substituted constant variable: a26321 
o|substituted constant variable: a26323 
o|substituted constant variable: a26325 
o|substituted constant variable: a26327 
o|substituted constant variable: a26363 
o|substituted constant variable: a26365 
o|substituted constant variable: a26367 
o|inlining procedure: k26421 
o|inlining procedure: k26457 
o|inlining procedure: k26457 
o|inlining procedure: k26469 
o|inlining procedure: k26483 
o|inlining procedure: k26483 
o|inlining procedure: k26469 
o|inlining procedure: k26421 
o|inlining procedure: k26519 
o|inlining procedure: k26519 
o|inlining procedure: k26574 
o|propagated global variable: r2657533515 ##sys#current-exception-handler 
o|removed unused formal parameters: (convert?6014) 
o|inlining procedure: k26589 
o|inlining procedure: k26589 
o|removed unused parameter to known procedure: convert?6014 "(library.scm:5247) body60046013" 
o|inlining procedure: k26574 
o|inlining procedure: k26616 
o|inlining procedure: k26616 
o|removed unused parameter to known procedure: convert?6014 "(library.scm:5247) body60046013" 
o|inlining procedure: k26641 
o|inlining procedure: k26641 
o|inlining procedure: k26754 
o|contracted procedure: "(library.scm:5275) g60996108" 
o|inlining procedure: k26754 
o|inlining procedure: k26800 
o|contracted procedure: "(library.scm:5274) g60726081" 
o|inlining procedure: k26800 
o|inlining procedure: k26834 
o|contracted procedure: "(library.scm:5271) g60496056" 
o|inlining procedure: k26834 
o|inlining procedure: k26876 
o|inlining procedure: k26876 
o|inlining procedure: k26928 
o|contracted procedure: "(library.scm:5280) g61326141" 
o|inlining procedure: k26928 
o|inlining procedure: k26990 
o|inlining procedure: k26990 
o|inlining procedure: k27046 
o|inlining procedure: k27046 
o|inlining procedure: k27088 
o|inlining procedure: k27088 
o|inlining procedure: k27118 
o|inlining procedure: k27133 
o|inlining procedure: k27133 
o|inlining procedure: k27118 
o|inlining procedure: k27194 
o|inlining procedure: k27194 
o|substituted constant variable: a27219 
o|substituted constant variable: a27220 
o|inlining procedure: k27227 
o|inlining procedure: k27248 
o|inlining procedure: k27248 
o|inlining procedure: k27278 
o|inlining procedure: k27278 
o|inlining procedure: k27307 
o|inlining procedure: k27307 
o|inlining procedure: k27227 
o|inlining procedure: k27375 
o|inlining procedure: k27375 
o|inlining procedure: k27410 
o|inlining procedure: k27410 
o|inlining procedure: k27456 
o|inlining procedure: k27479 
o|inlining procedure: k27479 
o|inlining procedure: k27456 
o|inlining procedure: k27516 
o|inlining procedure: k27516 
o|inlining procedure: k27530 
o|inlining procedure: k27530 
o|inlining procedure: k27548 
o|inlining procedure: k27548 
o|inlining procedure: k27566 
o|inlining procedure: k27566 
o|inlining procedure: k27584 
o|inlining procedure: k27584 
o|inlining procedure: k27602 
o|inlining procedure: k27602 
o|inlining procedure: k27620 
o|inlining procedure: k27620 
o|inlining procedure: k27638 
o|inlining procedure: k27638 
o|inlining procedure: k27656 
o|inlining procedure: k27656 
o|inlining procedure: k27674 
o|inlining procedure: k27674 
o|inlining procedure: k27692 
o|inlining procedure: k27692 
o|inlining procedure: k27710 
o|inlining procedure: k27710 
o|inlining procedure: k27728 
o|inlining procedure: k27728 
o|inlining procedure: k27746 
o|inlining procedure: k27746 
o|inlining procedure: k27764 
o|inlining procedure: k27764 
o|inlining procedure: k27782 
o|inlining procedure: k27782 
o|inlining procedure: k27800 
o|inlining procedure: k27800 
o|inlining procedure: k27818 
o|inlining procedure: k27818 
o|inlining procedure: k27836 
o|inlining procedure: k27836 
o|inlining procedure: k27854 
o|inlining procedure: k27854 
o|inlining procedure: k27872 
o|inlining procedure: k27872 
o|inlining procedure: k27890 
o|inlining procedure: k27890 
o|inlining procedure: k27908 
o|inlining procedure: k27908 
o|inlining procedure: k27926 
o|inlining procedure: k27926 
o|inlining procedure: k27944 
o|inlining procedure: k27944 
o|inlining procedure: k27962 
o|inlining procedure: k27962 
o|inlining procedure: k27980 
o|inlining procedure: k27980 
o|substituted constant variable: a28002 
o|substituted constant variable: a28004 
o|substituted constant variable: a28006 
o|substituted constant variable: a28008 
o|substituted constant variable: a28010 
o|substituted constant variable: a28012 
o|substituted constant variable: a28014 
o|substituted constant variable: a28016 
o|substituted constant variable: a28018 
o|substituted constant variable: a28020 
o|substituted constant variable: a28022 
o|substituted constant variable: a28024 
o|substituted constant variable: a28026 
o|substituted constant variable: a28028 
o|substituted constant variable: a28030 
o|substituted constant variable: a28032 
o|substituted constant variable: a28034 
o|substituted constant variable: a28036 
o|substituted constant variable: a28038 
o|substituted constant variable: a28040 
o|substituted constant variable: a28042 
o|substituted constant variable: a28044 
o|substituted constant variable: a28046 
o|substituted constant variable: a28048 
o|substituted constant variable: a28050 
o|substituted constant variable: a28052 
o|substituted constant variable: a28054 
o|substituted constant variable: a28056 
o|substituted constant variable: a28058 
o|substituted constant variable: a28060 
o|substituted constant variable: a28062 
o|substituted constant variable: a28064 
o|substituted constant variable: a28066 
o|substituted constant variable: a28068 
o|substituted constant variable: a28070 
o|substituted constant variable: a28072 
o|substituted constant variable: a28074 
o|substituted constant variable: a28076 
o|substituted constant variable: a28078 
o|substituted constant variable: a28080 
o|substituted constant variable: a28082 
o|substituted constant variable: a28084 
o|substituted constant variable: a28086 
o|substituted constant variable: a28088 
o|substituted constant variable: a28090 
o|substituted constant variable: a28092 
o|substituted constant variable: a28094 
o|substituted constant variable: a28096 
o|substituted constant variable: a28098 
o|substituted constant variable: a28100 
o|substituted constant variable: a28102 
o|substituted constant variable: a28104 
o|substituted constant variable: a28106 
o|substituted constant variable: a28108 
o|inlining procedure: k28147 
o|substituted constant variable: a28160 
o|inlining procedure: k28147 
o|inlining procedure: k28202 
o|inlining procedure: k28202 
o|inlining procedure: k28240 
o|inlining procedure: k28240 
o|inlining procedure: k28262 
o|inlining procedure: k28262 
o|inlining procedure: k28320 
o|inlining procedure: k28320 
o|contracted procedure: "(library.scm:5588) fetch6512" 
o|contracted procedure: "(library.scm:5605) free6531" 
o|inlining procedure: k28367 
o|inlining procedure: k28367 
o|inlining procedure: k28384 
o|inlining procedure: k28384 
o|contracted procedure: "(library.scm:5600) fetch6530" 
o|propagated global variable: ct6632 ##sys#current-thread 
o|inlining procedure: k28568 
o|inlining procedure: k28568 
o|inlining procedure: k28596 
o|inlining procedure: k28596 
o|inlining procedure: k28653 
o|inlining procedure: k28653 
o|inlining procedure: k28693 
o|inlining procedure: k28705 
o|inlining procedure: k28705 
o|inlining procedure: k28693 
o|inlining procedure: k28732 
o|inlining procedure: k28732 
o|inlining procedure: k28778 
o|inlining procedure: k28778 
o|substituted constant variable: a28836 
o|inlining procedure: k28829 
o|inlining procedure: k28829 
o|substituted constant variable: a28849 
o|inlining procedure: k28860 
o|inlining procedure: k28900 
o|inlining procedure: k28938 
o|inlining procedure: k28938 
o|inlining procedure: k28900 
o|inlining procedure: k29032 
o|inlining procedure: k29032 
o|substituted constant variable: a29093 
o|substituted constant variable: a29095 
o|substituted constant variable: a29103 
o|substituted constant variable: a29108 
o|substituted constant variable: a29110 
o|substituted constant variable: a29124 
o|inlining procedure: k29117 
o|inlining procedure: k29117 
o|substituted constant variable: a29137 
o|inlining procedure: k28860 
o|substituted constant variable: a29152 
o|substituted constant variable: a29154 
o|inlining procedure: k29168 
o|inlining procedure: k29168 
o|inlining procedure: k29207 
o|inlining procedure: k29207 
o|inlining procedure: k29266 
o|inlining procedure: k29275 
o|inlining procedure: k29275 
o|inlining procedure: k29266 
o|contracted procedure: "(library.scm:5992) get6846" 
o|inlining procedure: k29342 
o|inlining procedure: k29342 
o|inlining procedure: k29356 
o|inlining procedure: k29356 
o|contracted procedure: "(library.scm:6021) fetch-arg6866" 
o|inlining procedure: k29425 
o|inlining procedure: k29445 
o|inlining procedure: k29445 
o|inlining procedure: k29472 
o|inlining procedure: k29472 
o|inlining procedure: k29425 
o|inlining procedure: k29496 
o|inlining procedure: k29496 
o|inlining procedure: k29508 
o|inlining procedure: k29508 
o|inlining procedure: k29534 
o|inlining procedure: k29534 
o|inlining procedure: k29650 
o|inlining procedure: k29650 
o|inlining procedure: k29672 
o|inlining procedure: k29672 
o|inlining procedure: k29712 
o|inlining procedure: k29712 
o|inlining procedure: k29737 
o|inlining procedure: k29737 
o|inlining procedure: k29759 
o|inlining procedure: k29759 
o|inlining procedure: k29791 
o|inlining procedure: k29791 
o|inlining procedure: k29823 
o|inlining procedure: k29823 
o|inlining procedure: k29855 
o|inlining procedure: k29855 
o|inlining procedure: k29887 
o|inlining procedure: k29887 
o|substituted constant variable: a29935 
o|substituted constant variable: a29937 
o|substituted constant variable: a29939 
o|substituted constant variable: a29941 
o|substituted constant variable: a29943 
o|substituted constant variable: a29945 
o|substituted constant variable: a29947 
o|substituted constant variable: a29949 
o|substituted constant variable: a29951 
o|substituted constant variable: a29953 
o|inlining procedure: k29954 
o|inlining procedure: k29954 
o|inlining procedure: k30008 
o|inlining procedure: k30008 
o|inlining procedure: k30025 
o|inlining procedure: k30049 
o|inlining procedure: k30049 
o|inlining procedure: k30025 
o|inlining procedure: k30092 
o|inlining procedure: k30092 
o|inlining procedure: k30155 
o|inlining procedure: k30155 
o|inlining procedure: k30185 
o|inlining procedure: "(library.scm:6352) pstr7141" 
o|folded constant expression: (scheme#expt (quote 1024) (quote 3)) 
o|inlining procedure: k30185 
o|inlining procedure: "(library.scm:6354) pstr7141" 
o|folded constant expression: (scheme#expt (quote 1024) (quote 2)) 
o|substituted constant variable: a30243 
o|inlining procedure: k30239 
o|inlining procedure: "(library.scm:6356) pstr7141" 
o|substituted constant variable: a30259 
o|inlining procedure: k30239 
o|inlining procedure: "(library.scm:6357) pstr7141" 
o|folded constant expression: (scheme#expt (quote 1024) (quote 2)) 
o|folded constant expression: (scheme#expt (quote 1024) (quote 3)) 
o|inlining procedure: "(library.scm:6383) pstr7141" 
o|inlining procedure: "(library.scm:6381) pstr7141" 
o|inlining procedure: "(library.scm:6379) pchr7142" 
o|inlining procedure: "(library.scm:6377) pstr7141" 
o|inlining procedure: "(library.scm:6373) pstr7141" 
o|inlining procedure: "(library.scm:6371) pchr7142" 
o|inlining procedure: "(library.scm:6369) pstr7141" 
o|substituted constant variable: a30357 
o|inlining procedure: "(library.scm:6365) pstr7141" 
o|inlining procedure: "(library.scm:6363) pstr7141" 
o|inlining procedure: "(library.scm:6360) pstr7141" 
o|inlining procedure: k30464 
o|inlining procedure: k30486 
o|inlining procedure: k30486 
o|contracted procedure: "(library.scm:6458) get-config7244" 
o|inlining procedure: k30431 
o|inlining procedure: k30431 
o|substituted constant variable: a30444 
o|inlining procedure: k30522 
o|inlining procedure: k30522 
o|inlining procedure: k30464 
o|propagated global variable: r3046533838 ##sys#build-version 
o|removed side-effect free assignment to unused variable: prefix7273 
o|inlining procedure: k30578 
o|inlining procedure: k30578 
o|inlining procedure: k30593 
o|inlining procedure: k30593 
o|contracted procedure: "(library.scm:6497) err7272" 
o|inlining procedure: k30612 
o|inlining procedure: k30612 
o|inlining procedure: k30690 
o|contracted procedure: "(library.scm:6535) g73047311" 
o|inlining procedure: k30674 
o|inlining procedure: k30674 
o|inlining procedure: k30690 
o|inlining procedure: k30726 
o|inlining procedure: k30726 
o|inlining procedure: k30757 
o|inlining procedure: k30757 
o|inlining procedure: k30803 
o|inlining procedure: k30803 
o|inlining procedure: k30898 
o|inlining procedure: k30898 
o|inlining procedure: k30914 
o|inlining procedure: k30914 
o|inlining procedure: k30985 
o|inlining procedure: k30985 
o|inlining procedure: k31032 
o|inlining procedure: k31032 
o|inlining procedure: k31107 
o|inlining procedure: k31107 
o|substituted constant variable: a31119 
o|inlining procedure: k31132 
o|inlining procedure: k31174 
o|inlining procedure: k31174 
o|inlining procedure: k31204 
o|contracted procedure: "(library.scm:5167) g59105917" 
o|inlining procedure: k31204 
o|inlining procedure: k31132 
o|inlining procedure: k31259 
o|inlining procedure: k31259 
o|inlining procedure: k31310 
o|inlining procedure: k31310 
o|inlining procedure: k31337 
o|inlining procedure: k31337 
o|inlining procedure: k31362 
o|inlining procedure: k31362 
o|inlining procedure: k31442 
o|inlining procedure: k31442 
o|inlining procedure: k31468 
o|inlining procedure: k31468 
o|inlining procedure: k31549 
o|inlining procedure: k31549 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|inlining procedure: k31708 
o|inlining procedure: k31708 
o|inlining procedure: k31717 
o|inlining procedure: k31717 
o|inlining procedure: k31726 
o|inlining procedure: k31726 
o|inlining procedure: k31742 
o|inlining procedure: k31742 
o|inlining procedure: k31768 
o|inlining procedure: k31797 
o|inlining procedure: k31797 
o|inlining procedure: k31768 
o|inlining procedure: k31832 
o|inlining procedure: k31832 
o|inlining procedure: k31872 
o|inlining procedure: k31872 
o|inlining procedure: k31934 
o|inlining procedure: k31934 
o|inlining procedure: k31946 
o|inlining procedure: k31946 
o|inlining procedure: k31989 
o|inlining procedure: k31989 
o|inlining procedure: k32047 
o|inlining procedure: k32047 
o|inlining procedure: k32062 
o|inlining procedure: k32062 
o|inlining procedure: k32098 
o|inlining procedure: k32098 
o|substituted constant variable: sblen3897 
o|substituted constant variable: sblen3897 
o|folded constant expression: (scheme#integer->char (quote 8)) 
o|folded constant expression: (scheme#integer->char (quote 12)) 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|folded constant expression: (scheme#integer->char (quote 7)) 
o|folded constant expression: (scheme#integer->char (quote 27)) 
o|folded constant expression: (scheme#integer->char (quote 27)) 
o|folded constant expression: (scheme#integer->char (quote 127)) 
o|folded constant expression: (scheme#integer->char (quote 11)) 
o|replaced variables: 4505 
o|removed binding forms: 1853 
o|substituted constant variable: r906832237 
o|substituted constant variable: r907432239 
o|inlining procedure: k9386 
o|substituted constant variable: r945032253 
o|substituted constant variable: r960332264 
o|substituted constant variable: r961532267 
o|substituted constant variable: r971032274 
o|substituted constant variable: r977132279 
o|substituted constant variable: r984432282 
o|substituted constant variable: r989832286 
o|substituted constant variable: r1001432295 
o|substituted constant variable: r1020632304 
o|substituted constant variable: r1028332309 
o|substituted constant variable: r1073732350 
o|substituted constant variable: r1073732350 
o|substituted constant variable: r1075432356 
o|substituted constant variable: r1075432356 
o|substituted constant variable: r1077732361 
o|substituted constant variable: r1077732361 
o|substituted constant variable: r1079532368 
o|substituted constant variable: r1079532368 
o|substituted constant variable: r1081932374 
o|substituted constant variable: r1081932374 
o|substituted constant variable: r1084532380 
o|substituted constant variable: r1084532380 
o|substituted constant variable: r1094832391 
o|substituted constant variable: r1147932415 
o|substituted constant variable: r1184232436 
o|substituted constant variable: loc1764 
o|substituted constant variable: loc1775 
o|substituted constant variable: loc1786 
o|substituted constant variable: loc1797 
o|substituted constant variable: loc1808 
o|substituted constant variable: loc1819 
o|substituted constant variable: loc1830 
o|substituted constant variable: loc1841 
o|substituted constant variable: loc1852 
o|substituted constant variable: loc1863 
o|substituted constant variable: loc1874 
o|substituted constant variable: loc1883 
o|substituted constant variable: loc1893 
o|substituted constant variable: loc1904 
o|substituted constant variable: loc1913 
o|substituted constant variable: loc1921 
o|substituted constant variable: loc1929 
o|substituted constant variable: loc1937 
o|substituted constant variable: loc1945 
o|substituted constant variable: loc1953 
o|substituted constant variable: loc1961 
o|substituted constant variable: loc1969 
o|substituted constant variable: loc1977 
o|substituted constant variable: loc1985 
o|substituted constant variable: loc1995 
o|substituted constant variable: loc2004 
o|substituted constant variable: loc2014 
o|substituted constant variable: loc2023 
o|substituted constant variable: loc2031 
o|substituted constant variable: loc2039 
o|substituted constant variable: loc2047 
o|inlining procedure: k12605 
o|inlining procedure: k12605 
o|substituted constant variable: r1261932509 
o|substituted constant variable: r1269832514 
o|substituted constant variable: r1285732528 
o|converted assignments to bindings: (deliver2221) 
o|substituted constant variable: n2419 
o|substituted constant variable: d2420 
o|substituted constant variable: r1403532603 
o|substituted constant variable: r1404432605 
o|substituted constant variable: r1407532609 
o|substituted constant variable: r1408432611 
o|substituted constant variable: r1490132659 
o|substituted constant variable: r1500932666 
o|substituted constant variable: r1507132670 
o|substituted constant variable: r1524332677 
o|inlining procedure: k15363 
o|inlining procedure: k15363 
o|substituted constant variable: r1541932684 
o|substituted constant variable: r1543632687 
o|substituted constant variable: r1543632688 
o|substituted constant variable: r1539932693 
o|removed side-effect free assignment to unused variable: make-nan2856 
o|substituted constant variable: r1562032705 
o|substituted constant variable: r1564032707 
o|substituted constant variable: r1566232709 
o|substituted constant variable: r1567332711 
o|substituted constant variable: r1571032714 
o|substituted constant variable: r1573632715 
o|substituted constant variable: r1573632716 
o|substituted constant variable: r1568732717 
o|substituted constant variable: r1579932730 
o|substituted constant variable: r1578732731 
o|substituted constant variable: r1574832747 
o|substituted constant variable: r1606232757 
o|substituted constant variable: r1605232758 
o|substituted constant variable: r1604032759 
o|substituted constant variable: r1612632767 
o|substituted constant variable: r1610832768 
o|substituted constant variable: r1609832769 
o|substituted constant variable: r1628232780 
o|substituted constant variable: r1636332784 
o|substituted constant variable: r1636332784 
o|substituted constant variable: r1636332786 
o|substituted constant variable: r1636332786 
o|substituted constant variable: r1638632791 
o|substituted constant variable: r1638632791 
o|substituted constant variable: r1646932799 
o|substituted constant variable: r1646932799 
o|substituted constant variable: r1644632802 
o|substituted constant variable: r1652132803 
o|substituted constant variable: r1652132804 
o|substituted constant variable: r1630332805 
o|substituted constant variable: r1654932808 
o|substituted constant variable: r1653732809 
o|substituted constant variable: r1657232813 
o|substituted constant variable: r1664732817 
o|substituted constant variable: r1663232818 
o|substituted constant variable: r1669432821 
o|contracted procedure: k16752 
o|contracted procedure: k16764 
o|contracted procedure: k16776 
o|substituted constant variable: r1682632824 
o|substituted constant variable: r1687032828 
o|substituted constant variable: r1691432832 
o|substituted constant variable: r1692732834 
o|substituted constant variable: r1702432841 
o|substituted constant variable: r1709732845 
o|substituted constant variable: r1718232850 
o|substituted constant variable: r1719432852 
o|substituted constant variable: r1720332855 
o|substituted constant variable: r1722132858 
o|substituted constant variable: r1727332861 
o|substituted constant variable: r1728532863 
o|substituted constant variable: r1735032869 
o|substituted constant variable: r1736232871 
o|substituted constant variable: r1754732893 
o|contracted procedure: k17570 
o|substituted constant variable: r1763832899 
o|substituted constant variable: r1768632901 
o|substituted constant variable: r1779032910 
o|substituted constant variable: r1812332921 
o|substituted constant variable: r1825432927 
o|substituted constant variable: r1845432939 
o|substituted constant variable: r1863832951 
o|converted assignments to bindings: (continuation3807) 
o|substituted constant variable: r1881232965 
o|removed unused formal parameters: (%convert?39393954) 
o|removed unused parameter to known procedure: %convert?39393954 "(library.scm:3337) def-set?39443953" 
o|removed unused parameter to known procedure: %convert?39393954 "(library.scm:3337) def-set?39443953" 
o|removed unused formal parameters: (%convert?39643979) 
o|removed unused parameter to known procedure: %convert?39643979 "(library.scm:3347) def-set?39693978" 
o|removed unused parameter to known procedure: %convert?39643979 "(library.scm:3347) def-set?39693978" 
o|removed unused formal parameters: (%convert?39894004) 
o|removed unused parameter to known procedure: %convert?39894004 "(library.scm:3357) def-set?39944003" 
o|removed unused parameter to known procedure: %convert?39894004 "(library.scm:3357) def-set?39944003" 
o|substituted constant variable: r1911832993 
o|substituted constant variable: r1918132998 
o|substituted constant variable: r1918132998 
o|substituted constant variable: r1918133000 
o|substituted constant variable: r1918133000 
o|substituted constant variable: r1942333010 
o|substituted constant variable: r1947633013 
o|substituted constant variable: r1957033019 
o|substituted constant variable: r1960833021 
o|substituted constant variable: r1964233023 
o|substituted constant variable: r1970233027 
o|inlining procedure: k20025 
o|substituted constant variable: r2009233042 
o|inlining procedure: k20103 
o|contracted procedure: k20590 
o|contracted procedure: k20611 
o|contracted procedure: k20632 
o|substituted constant variable: r2094733093 
o|inlining procedure: k21278 
o|converted assignments to bindings: (starting-line4582) 
o|substituted constant variable: r2137833148 
o|substituted constant variable: r2137833148 
o|substituted constant variable: r2169133178 
o|substituted constant variable: r2169133178 
o|substituted constant variable: r2170133181 
o|inlining procedure: k21939 
o|inlining procedure: k21939 
o|inlining procedure: k21939 
o|substituted constant variable: r2193733202 
o|substituted constant variable: r2191933203 
o|contracted procedure: k22234 
o|removed side-effect free assignment to unused variable: build-symbol4476 
o|substituted constant variable: r2246733234 
o|substituted constant variable: r2262933245 
o|substituted constant variable: r2314833292 
o|substituted constant variable: r2316733293 
o|substituted constant variable: r2316733293 
o|substituted constant variable: r2316733295 
o|substituted constant variable: r2316733295 
o|substituted constant variable: r2334733302 
o|substituted constant variable: r2337133305 
o|substituted constant variable: r2335933306 
o|converted assignments to bindings: (hex5007) 
o|substituted constant variable: r2356933317 
o|propagated global variable: port507533320 ##sys#standard-output 
o|substituted constant variable: r2409133343 
o|substituted constant variable: r2410333345 
o|substituted constant variable: r2411833347 
o|substituted constant variable: r2411833348 
o|substituted constant variable: r2417833352 
o|substituted constant variable: r2417833353 
o|substituted constant variable: r2421633360 
o|inlining procedure: k24695 
o|substituted constant variable: r2494233416 
o|inlining procedure: k25080 
o|substituted constant variable: r2544433440 
o|converted assignments to bindings: (copy&append5598) 
o|substituted constant variable: r2566033451 
o|converted assignments to bindings: (break5767) 
o|substituted constant variable: r2618033483 
o|substituted constant variable: r2618033483 
o|substituted constant variable: r2618033485 
o|substituted constant variable: r2618033485 
o|substituted constant variable: r2622333487 
o|substituted constant variable: r2623533489 
o|substituted constant variable: r2624733491 
o|substituted constant variable: r2625933493 
o|substituted constant variable: r2627133495 
o|substituted constant variable: r2628333497 
o|substituted constant variable: r2629533499 
o|substituted constant variable: r2629533500 
o|substituted constant variable: r2645833504 
o|substituted constant variable: r2645833504 
o|inlining procedure: k26483 
o|inlining procedure: k26483 
o|removed unused formal parameters: (%convert?60026017) 
o|removed unused parameter to known procedure: %convert?60026017 "(library.scm:5247) def-set?60076016" 
o|removed unused parameter to known procedure: %convert?60026017 "(library.scm:5247) def-set?60076016" 
o|substituted constant variable: r2664233521 
o|substituted constant variable: r2699133533 
o|substituted constant variable: r2708933538 
o|substituted constant variable: r2711933542 
o|substituted constant variable: r2748033568 
o|substituted constant variable: r2748033568 
o|substituted constant variable: r2751733573 
o|substituted constant variable: r2751733573 
o|substituted constant variable: r2814833628 
o|substituted constant variable: r2824133632 
o|substituted constant variable: r2826333634 
o|substituted constant variable: r2832133635 
o|substituted constant variable: r2836833639 
o|substituted constant variable: r2836833639 
o|substituted constant variable: r2838533641 
o|inlining procedure: k28787 
o|converted assignments to bindings: (get/clear-str6733) 
o|substituted constant variable: r2920833678 
o|substituted constant variable: r2920833678 
o|substituted constant variable: r2926733684 
o|inlining procedure: k29425 
o|inlining procedure: k29425 
o|substituted constant variable: r3002633746 
o|removed side-effect free assignment to unused variable: pstr7141 
o|removed side-effect free assignment to unused variable: pchr7142 
o|substituted constant variable: r3015633749 
o|substituted constant variable: r3015633749 
o|contracted procedure: k30190 
o|substituted constant variable: str714633755 
o|contracted procedure: k30209 
o|contracted procedure: k30217 
o|substituted constant variable: str714633761 
o|contracted procedure: k30236 
o|substituted constant variable: str714633767 
o|substituted constant variable: str714633773 
o|substituted constant variable: str714633778 
o|substituted constant variable: str714633783 
o|substituted constant variable: chr714733788 
o|substituted constant variable: str714633793 
o|substituted constant variable: str714633798 
o|substituted constant variable: chr714733803 
o|substituted constant variable: str714633808 
o|substituted constant variable: str714633813 
o|substituted constant variable: str714633818 
o|substituted constant variable: str714633823 
o|substituted constant variable: r3048733828 
o|substituted constant variable: r3048733828 
o|substituted constant variable: r3043233832 
o|converted assignments to bindings: (str7249) 
o|substituted constant variable: r3052333834 
o|substituted constant variable: r3052333834 
o|substituted constant variable: r3052333836 
o|substituted constant variable: r3052333836 
o|substituted constant variable: r3072733849 
o|inlining procedure: k30898 
o|inlining procedure: k30914 
o|substituted constant variable: r3103333865 
o|inlining procedure: k31153 
o|inlining procedure: k31153 
o|substituted constant variable: r3133833879 
o|substituted constant variable: r3136333881 
o|substituted constant variable: r3146933887 
o|substituted constant variable: r3155033889 
o|contracted procedure: k31562 
o|substituted constant variable: r3171833894 
o|substituted constant variable: r3172733896 
o|substituted constant variable: r3174333898 
o|substituted constant variable: r3179833901 
o|contracted procedure: k32199 
o|contracted procedure: k32203 
o|contracted procedure: k32207 
o|contracted procedure: k32211 
o|contracted procedure: k32215 
o|contracted procedure: k32219 
o|contracted procedure: k32223 
o|contracted procedure: k32227 
o|contracted procedure: k32231 
o|converted assignments to bindings: (lookup-char3640) 
o|converted assignments to bindings: (split3351) 
o|simplifications: ((let . 11)) 
o|replaced variables: 203 
o|removed binding forms: 4550 
o|removed conditional forms: 1 
o|inlining procedure: k9368 
o|substituted constant variable: r938733931 
o|inlining procedure: k10532 
o|inlining procedure: k10532 
o|inlining procedure: k10532 
o|inlining procedure: k10993 
o|inlining procedure: k11009 
o|inlining procedure: k11025 
o|inlining procedure: k11041 
o|inlining procedure: k11057 
o|inlining procedure: k11073 
o|inlining procedure: k11089 
o|inlining procedure: k11105 
o|inlining procedure: k11230 
o|inlining procedure: k11265 
o|inlining procedure: k11265 
o|inlining procedure: k11520 
o|inlining procedure: k11520 
o|inlining procedure: k11630 
o|inlining procedure: k11630 
o|inlining procedure: k12799 
o|inlining procedure: k12911 
o|inlining procedure: k12982 
o|inlining procedure: k13068 
o|inlining procedure: k13074 
o|inlining procedure: k13177 
o|inlining procedure: k13506 
o|inlining procedure: k13541 
o|inlining procedure: k13541 
o|inlining procedure: k13700 
o|inlining procedure: k13836 
o|inlining procedure: k14427 
o|inlining procedure: k14451 
o|inlining procedure: k14628 
o|inlining procedure: k14649 
o|inlining procedure: k14740 
o|inlining procedure: k14748 
o|inlining procedure: k14786 
o|inlining procedure: k14804 
o|inlining procedure: k14957 
o|inlining procedure: k14986 
o|inlining procedure: k15198 
o|inlining procedure: k15205 
o|substituted constant variable: r1536434077 
o|substituted constant variable: r1536434080 
o|inlining procedure: k15649 
o|inlining procedure: k16155 
o|inlining procedure: k16293 
o|inlining procedure: k16583 
o|inlining procedure: k16597 
o|inlining procedure: k16603 
o|inlining procedure: k16662 
o|inlining procedure: k16670 
o|substituted constant variable: r16753 
o|substituted constant variable: r16765 
o|substituted constant variable: r16777 
o|inlining procedure: k17010 
o|inlining procedure: k17017 
o|inlining procedure: k17017 
o|inlining procedure: k17050 
o|inlining procedure: k17275 
o|inlining procedure: k17275 
o|substituted constant variable: r17571 
o|inlining procedure: k19195 
o|inlining procedure: k19195 
o|inlining procedure: k19195 
o|inlining procedure: k19457 
o|propagated global variable: r1945834680 ##sys#standard-output 
o|propagated global variable: r1945834680 ##sys#standard-output 
o|inlining procedure: k20004 
o|propagated global variable: r2000534688 ##sys#standard-input 
o|propagated global variable: r2000534688 ##sys#standard-input 
o|inlining procedure: k20116 
o|propagated global variable: r2011734690 ##sys#standard-input 
o|propagated global variable: r2011734690 ##sys#standard-input 
o|inlining procedure: k20134 
o|propagated global variable: r2013534692 ##sys#standard-input 
o|propagated global variable: r2013534692 ##sys#standard-input 
o|substituted constant variable: r20591 
o|substituted constant variable: r20612 
o|substituted constant variable: r20633 
o|inlining procedure: k20863 
o|substituted constant variable: r22235 
o|inlining procedure: k22785 
o|inlining procedure: k23677 
o|propagated global variable: r2367834722 ##sys#standard-output 
o|propagated global variable: r2367834722 ##sys#standard-output 
o|inlining procedure: k23695 
o|propagated global variable: r2369634724 ##sys#standard-output 
o|propagated global variable: r2369634724 ##sys#standard-output 
o|inlining procedure: k24073 
o|inlining procedure: k26337 
o|inlining procedure: k28602 
o|inlining procedure: "(library.scm:5820) format-here-doc-warning" 
o|inlining procedure: k28837 
o|inlining procedure: k28837 
o|inlining procedure: "(library.scm:5854) format-here-doc-warning" 
o|inlining procedure: k29125 
o|inlining procedure: k29125 
o|inlining procedure: k29669 
o|inlining procedure: k29669 
o|inlining procedure: k30037 
o|inlining procedure: k30037 
o|substituted constant variable: r30191 
o|substituted constant variable: r30210 
o|substituted constant variable: r30218 
o|substituted constant variable: r30237 
o|substituted constant variable: r31563 
o|inlining procedure: k31705 
o|inlining procedure: k31705 
o|substituted constant variable: r32200 
o|substituted constant variable: r32204 
o|substituted constant variable: r32208 
o|substituted constant variable: r32212 
o|substituted constant variable: r32216 
o|substituted constant variable: r32220 
o|substituted constant variable: r32224 
o|substituted constant variable: r32228 
o|substituted constant variable: r32232 
o|replaced variables: 33 
o|removed binding forms: 500 
o|substituted constant variable: r936934460 
o|substituted constant variable: code67833932 
o|substituted constant variable: code67833932 
o|substituted constant variable: r1099434502 
o|substituted constant variable: r1101034504 
o|substituted constant variable: r1102634506 
o|substituted constant variable: r1104234508 
o|substituted constant variable: r1105834510 
o|substituted constant variable: r1107434512 
o|substituted constant variable: r1109034514 
o|substituted constant variable: r1110634516 
o|substituted constant variable: r1123134524 
o|substituted constant variable: r1123134524 
o|substituted constant variable: r1126634528 
o|substituted constant variable: r1126634528 
o|contracted procedure: k12733 
o|contracted procedure: k12738 
o|contracted procedure: k12793 
o|contracted procedure: k13162 
o|contracted procedure: k13171 
o|contracted procedure: k13261 
o|contracted procedure: k13266 
o|contracted procedure: k13271 
o|contracted procedure: k13276 
o|contracted procedure: k13281 
o|contracted procedure: k13286 
o|contracted procedure: k13308 
o|contracted procedure: k13319 
o|contracted procedure: k13342 
o|contracted procedure: k13354 
o|contracted procedure: k13417 
o|contracted procedure: k13424 
o|contracted procedure: k13458 
o|contracted procedure: k13465 
o|contracted procedure: k13500 
o|contracted procedure: k13532 
o|substituted constant variable: r1354234575 
o|contracted procedure: k13819 
o|contracted procedure: k15217 
o|contracted procedure: k15222 
o|contracted procedure: k15349 
o|contracted procedure: k15495 
o|contracted procedure: k15603 
o|contracted procedure: k15694 
o|contracted procedure: k16310 
o|contracted procedure: k16327 
o|contracted procedure: k16464 
o|substituted constant variable: a16751 
o|substituted constant variable: a16763 
o|substituted constant variable: a16775 
o|contracted procedure: k16813 
o|substituted constant variable: r1701834627 
o|substituted constant variable: r1701834628 
o|substituted constant variable: r1727634632 
o|substituted constant variable: r1727634634 
o|inlining procedure: k21233 
o|substituted constant variable: r2278634719 
o|substituted constant variable: r2648434311 
o|removed side-effect free assignment to unused variable: ##sys#format-here-doc-warning 
o|substituted constant variable: r2967034825 
o|substituted constant variable: r2967034825 
o|substituted constant variable: r3003834826 
o|substituted constant variable: r3003834826 
o|substituted constant variable: r3003834827 
o|substituted constant variable: r3003834827 
o|substituted constant variable: r3170634846 
o|substituted constant variable: r3170634846 
o|substituted constant variable: r3170634846 
o|substituted constant variable: r3170634848 
o|substituted constant variable: r3170634848 
o|substituted constant variable: r3170634848 
o|simplifications: ((let . 3)) 
o|replaced variables: 27 
o|removed binding forms: 137 
o|removed conditional forms: 11 
o|substituted constant variable: code66534461 
o|substituted constant variable: r2123434994 
o|substituted constant variable: r2123434994 
o|replaced variables: 34 
o|removed binding forms: 57 
o|removed conditional forms: 1 
o|simplifications: ((let . 1)) 
o|removed binding forms: 21 
o|simplifications: ((if . 203) (##core#call . 2581)) 
o|  call simplifications:
o|    scheme#cdar	2
o|    scheme#set-cdr!	6
o|    scheme#list-tail
o|    scheme#set-car!	7
o|    ##sys#make-vector
o|    scheme#vector?
o|    ##sys#foreign-string-argument
o|    scheme#read-char
o|    scheme#string-length	2
o|    scheme#string-ref	2
o|    ##sys#list	6
o|    ##sys#context-switch	2
o|    ##sys#foreign-pointer-argument	3
o|    ##sys#null-pointer?	2
o|    ##sys#generic-structure?	2
o|    scheme#caddr	2
o|    scheme#write-char
o|    scheme#equal?
o|    scheme#memv	2
o|    scheme#caar	3
o|    scheme#cddr	3
o|    ##sys#check-structure	2
o|    scheme#string?	5
o|    ##sys#apply	2
o|    scheme#char-upper-case?
o|    scheme#char<?
o|    ##sys#void	4
o|    scheme#member	7
o|    ##sys#setbyte
o|    chicken.fixnum#fxior	13
o|    scheme#string=?	6
o|    scheme#char-numeric?	7
o|    scheme#char<=?
o|    chicken.fixnum#fx*	9
o|    scheme#eof-object?	25
o|    scheme#char=?	12
o|    scheme#char-whitespace?	7
o|    scheme#memq	12
o|    ##sys#immediate?	3
o|    chicken.fixnum#fxnot
o|    chicken.fixnum#fxand	16
o|    ##sys#call-with-current-continuation	3
o|    scheme#char?	4
o|    scheme#assq	5
o|    ##sys#setislot	28
o|    scheme#char->integer	16
o|    scheme#char-downcase	14
o|    chicken.fixnum#fxmin	3
o|    ##sys#check-vector	6
o|    scheme#string	6
o|    scheme#symbol?	8
o|    ##sys#check-symbol	10
o|    ##sys#byte	4
o|    ##sys#intern-symbol	13
o|    scheme#integer->char	22
o|    scheme#string-ci=?	2
o|    scheme#char>=?	3
o|    ##sys#foreign-flonum-argument
o|    ##sys#foreign-fixnum-argument	4
o|    chicken.base#fixnum?	2
o|    chicken.fixnum#fxshr	13
o|    chicken.fixnum#fxshl	8
o|    chicken.fixnum#fxneg	5
o|    chicken.bitwise#arithmetic-shift	11
o|    scheme#cadr	14
o|    scheme#exact?
o|    chicken.base#ratnum?	14
o|    ##sys#check-number	10
o|    chicken.base#cplxnum?	17
o|    scheme#number?	8
o|    scheme#inexact?	7
o|    chicken.base#flonum?	46
o|    scheme#list->string
o|    chicken.fixnum#fx>	36
o|    scheme#length	6
o|    chicken.fixnum#fx>=	34
o|    chicken.fixnum#fx+	126
o|    ##sys#check-string	24
o|    chicken.fixnum#fx-	54
o|    ##sys#call-with-values	22
o|    scheme#procedure?	6
o|    ##sys#values	2
o|    chicken.fixnum#fx<=	28
o|    chicken.fixnum#fx<	39
o|    scheme#vector	7
o|    chicken.fixnum#fx=	21
o|    ##sys#size	71
o|    scheme#list	27
o|    ##sys#setslot	46
o|    scheme#list?	5
o|    ##sys#check-pair	3
o|    chicken.base#void	3
o|    scheme#null?	128
o|    ##sys#check-list	18
o|    scheme#not	90
o|    ##sys#make-structure	11
o|    ##sys#structure?	8
o|    scheme#apply	95
o|    scheme#call-with-values	2
o|    scheme#values	23
o|    ##sys#check-char	15
o|    scheme#pair?	89
o|    ##sys#slot	348
o|    scheme#cons	140
o|    scheme#eq?	395
o|    scheme#cdr	45
o|    scheme#car	119
o|contracted procedure: k8574 
o|contracted procedure: k8570 
o|contracted procedure: k8588 
o|contracted procedure: k8602 
o|contracted procedure: k8598 
o|contracted procedure: k8623 
o|contracted procedure: k8619 
o|contracted procedure: k8637 
o|contracted procedure: k8633 
o|contracted procedure: k8655 
o|contracted procedure: k8651 
o|contracted procedure: k8647 
o|contracted procedure: k8665 
o|contracted procedure: k8677 
o|contracted procedure: k8695 
o|contracted procedure: k8691 
o|contracted procedure: k8706 
o|contracted procedure: k8724 
o|contracted procedure: k8720 
o|contracted procedure: k8716 
o|contracted procedure: k8734 
o|contracted procedure: k8746 
o|contracted procedure: k8771 
o|contracted procedure: k8767 
o|contracted procedure: k8763 
o|contracted procedure: k8781 
o|contracted procedure: k8800 
o|contracted procedure: k8796 
o|contracted procedure: k8792 
o|contracted procedure: k8833 
o|contracted procedure: k8839 
o|contracted procedure: k8846 
o|contracted procedure: k8854 
o|contracted procedure: k8850 
o|contracted procedure: k8984 
o|contracted procedure: k9013 
o|contracted procedure: k9019 
o|contracted procedure: k9030 
o|contracted procedure: k9036 
o|contracted procedure: k9042 
o|contracted procedure: k9048 
o|contracted procedure: k9054 
o|contracted procedure: k9225 
o|contracted procedure: k9284 
o|contracted procedure: k9315 
o|contracted procedure: k9296 
o|contracted procedure: k9303 
o|contracted procedure: k9311 
o|contracted procedure: k9321 
o|contracted procedure: k9352 
o|contracted procedure: k9333 
o|contracted procedure: k9340 
o|contracted procedure: k9348 
o|contracted procedure: k9362 
o|contracted procedure: k9377 
o|contracted procedure: k9368 
o|contracted procedure: k9392 
o|contracted procedure: k9386 
o|contracted procedure: k9416 
o|contracted procedure: k9425 
o|contracted procedure: k9435 
o|contracted procedure: k9472 
o|contracted procedure: k9452 
o|contracted procedure: k9455 
o|contracted procedure: k9468 
o|contracted procedure: k9481 
o|contracted procedure: k9484 
o|contracted procedure: k9525 
o|contracted procedure: k9546 
o|contracted procedure: k9558 
o|contracted procedure: k9567 
o|contracted procedure: k9570 
o|contracted procedure: k9576 
o|contracted procedure: k9605 
o|contracted procedure: k9632 
o|contracted procedure: k9611 
o|contracted procedure: k9624 
o|contracted procedure: k9628 
o|contracted procedure: k9641 
o|contracted procedure: k9688 
o|contracted procedure: k9652 
o|contracted procedure: k9666 
o|contracted procedure: k9669 
o|contracted procedure: k9675 
o|contracted procedure: k9697 
o|contracted procedure: k9719 
o|contracted procedure: k9734 
o|contracted procedure: k9744 
o|contracted procedure: k9748 
o|contracted procedure: k9758 
o|contracted procedure: k9767 
o|contracted procedure: k9773 
o|contracted procedure: k9780 
o|contracted procedure: k9799 
o|contracted procedure: k9802 
o|contracted procedure: k9805 
o|contracted procedure: k9811 
o|contracted procedure: k9834 
o|contracted procedure: k9846 
o|contracted procedure: k9878 
o|contracted procedure: k9852 
o|contracted procedure: k9858 
o|contracted procedure: k9861 
o|contracted procedure: k9867 
o|contracted procedure: k9881 
o|contracted procedure: k9888 
o|contracted procedure: k9900 
o|contracted procedure: k9962 
o|contracted procedure: k9906 
o|contracted procedure: k9958 
o|contracted procedure: k9915 
o|contracted procedure: k9924 
o|contracted procedure: k9931 
o|contracted procedure: k9939 
o|contracted procedure: k9943 
o|contracted procedure: k9950 
o|contracted procedure: k9954 
o|contracted procedure: k10045 
o|contracted procedure: k9968 
o|contracted procedure: k9980 
o|contracted procedure: k9987 
o|contracted procedure: k9990 
o|contracted procedure: k9996 
o|contracted procedure: k10002 
o|contracted procedure: k10016 
o|contracted procedure: k10019 
o|contracted procedure: k10032 
o|contracted procedure: k10035 
o|contracted procedure: k10042 
o|contracted procedure: k10149 
o|contracted procedure: k10054 
o|contracted procedure: k10066 
o|contracted procedure: k10073 
o|contracted procedure: k10146 
o|contracted procedure: k10079 
o|contracted procedure: k10085 
o|contracted procedure: k10142 
o|contracted procedure: k10091 
o|contracted procedure: k10107 
o|contracted procedure: k10111 
o|contracted procedure: k10130 
o|contracted procedure: k10134 
o|contracted procedure: k10118 
o|contracted procedure: k10126 
o|contracted procedure: k10138 
o|contracted procedure: k10261 
o|contracted procedure: k10158 
o|contracted procedure: k10255 
o|contracted procedure: k10161 
o|contracted procedure: k10249 
o|contracted procedure: k10164 
o|contracted procedure: k10243 
o|contracted procedure: k10167 
o|contracted procedure: k10182 
o|contracted procedure: k10188 
o|contracted procedure: k10194 
o|contracted procedure: k10208 
o|contracted procedure: k10214 
o|contracted procedure: k10217 
o|contracted procedure: k10220 
o|contracted procedure: k10233 
o|contracted procedure: k10237 
o|contracted procedure: k10270 
o|contracted procedure: k10285 
o|contracted procedure: k10288 
o|contracted procedure: k10291 
o|contracted procedure: k10304 
o|contracted procedure: k10308 
o|contracted procedure: k10311 
o|contracted procedure: k10427 
o|contracted procedure: k10439 
o|contracted procedure: k10479 
o|contracted procedure: k10475 
o|contracted procedure: k10526 
o|contracted procedure: k10529 
o|contracted procedure: k10538 
o|contracted procedure: k10557 
o|contracted procedure: k10564 
o|contracted procedure: k10568 
o|contracted procedure: k10577 
o|contracted procedure: k10588 
o|contracted procedure: k10600 
o|contracted procedure: k10611 
o|contracted procedure: k10622 
o|contracted procedure: k10633 
o|contracted procedure: k10644 
o|contracted procedure: k10655 
o|contracted procedure: k10666 
o|contracted procedure: k10677 
o|contracted procedure: k10688 
o|contracted procedure: k10699 
o|contracted procedure: k10710 
o|contracted procedure: k10721 
o|contracted procedure: k10739 
o|contracted procedure: k10756 
o|contracted procedure: k10766 
o|contracted procedure: k10769 
o|contracted procedure: k10779 
o|contracted procedure: k10797 
o|contracted procedure: k10825 
o|contracted procedure: k10810 
o|contracted procedure: k10821 
o|contracted procedure: k10837 
o|contracted procedure: k10847 
o|contracted procedure: k10857 
o|contracted procedure: k10868 
o|contracted procedure: k10877 
o|contracted procedure: k10883 
o|contracted procedure: k10892 
o|contracted procedure: k10901 
o|contracted procedure: k10904 
o|contracted procedure: k10973 
o|contracted procedure: k10969 
o|contracted procedure: k10913 
o|contracted procedure: k10925 
o|contracted procedure: k10935 
o|contracted procedure: k10928 
o|contracted procedure: k10938 
o|contracted procedure: k10965 
o|contracted procedure: k10944 
o|contracted procedure: k10961 
o|contracted procedure: k10950 
o|contracted procedure: k10957 
o|contracted procedure: k10982 
o|contracted procedure: k11000 
o|contracted procedure: k10993 
o|contracted procedure: k11016 
o|contracted procedure: k11009 
o|contracted procedure: k11032 
o|contracted procedure: k11025 
o|contracted procedure: k11048 
o|contracted procedure: k11041 
o|contracted procedure: k11064 
o|contracted procedure: k11057 
o|contracted procedure: k11080 
o|contracted procedure: k11073 
o|contracted procedure: k11096 
o|contracted procedure: k11089 
o|contracted procedure: k11112 
o|contracted procedure: k11105 
o|contracted procedure: k11124 
o|contracted procedure: k11194 
o|contracted procedure: k11136 
o|contracted procedure: k11146 
o|contracted procedure: k11155 
o|contracted procedure: k11162 
o|contracted procedure: k11168 
o|contracted procedure: k11175 
o|contracted procedure: k11183 
o|contracted procedure: k11190 
o|contracted procedure: k11209 
o|contracted procedure: k11216 
o|contracted procedure: k11224 
o|contracted procedure: k11220 
o|contracted procedure: k11241 
o|contracted procedure: k11230 
o|contracted procedure: k11268 
o|contracted procedure: k11271 
o|contracted procedure: k11274 
o|contracted procedure: k11277 
o|contracted procedure: k11286 
o|contracted procedure: k11289 
o|contracted procedure: k11296 
o|contracted procedure: k11305 
o|contracted procedure: k11312 
o|contracted procedure: k11316 
o|contracted procedure: k11369 
o|contracted procedure: k11327 
o|contracted procedure: k11333 
o|contracted procedure: k11348 
o|contracted procedure: k11351 
o|contracted procedure: k11354 
o|contracted procedure: k11361 
o|contracted procedure: k11365 
o|contracted procedure: k11379 
o|contracted procedure: k11390 
o|contracted procedure: k11399 
o|contracted procedure: k11402 
o|contracted procedure: k11405 
o|contracted procedure: k11412 
o|contracted procedure: k11416 
o|contracted procedure: k11425 
o|contracted procedure: k11428 
o|contracted procedure: k11432 
o|contracted procedure: k11438 
o|contracted procedure: k11441 
o|contracted procedure: k11450 
o|contracted procedure: k11459 
o|contracted procedure: k11475 
o|contracted procedure: k11481 
o|contracted procedure: k11487 
o|contracted procedure: k11504 
o|contracted procedure: k11509 
o|contracted procedure: k11512 
o|contracted procedure: k11523 
o|contracted procedure: k11536 
o|contracted procedure: k11545 
o|contracted procedure: k11560 
o|contracted procedure: k11569 
o|contracted procedure: k11587 
o|contracted procedure: k11608 
o|contracted procedure: k11619 
o|contracted procedure: k11622 
o|contracted procedure: k11633 
o|contracted procedure: k11646 
o|contracted procedure: k11655 
o|contracted procedure: k11670 
o|contracted procedure: k11679 
o|contracted procedure: k11697 
o|contracted procedure: k11718 
o|contracted procedure: k11730 
o|contracted procedure: k11733 
o|contracted procedure: k11740 
o|contracted procedure: k11755 
o|contracted procedure: k11762 
o|contracted procedure: k11765 
o|contracted procedure: k11768 
o|contracted procedure: k11775 
o|contracted procedure: k11779 
o|contracted procedure: k11803 
o|contracted procedure: k11806 
o|contracted procedure: k11809 
o|contracted procedure: k11816 
o|contracted procedure: k11820 
o|contracted procedure: k11832 
o|contracted procedure: k11844 
o|contracted procedure: k11850 
o|contracted procedure: k11865 
o|contracted procedure: k11880 
o|contracted procedure: k11899 
o|contracted procedure: k11887 
o|contracted procedure: k11891 
o|contracted procedure: k11895 
o|contracted procedure: k11902 
o|contracted procedure: k11933 
o|contracted procedure: k11926 
o|contracted procedure: k11957 
o|contracted procedure: k11950 
o|contracted procedure: k11981 
o|contracted procedure: k11974 
o|contracted procedure: k12005 
o|contracted procedure: k11998 
o|contracted procedure: k12029 
o|contracted procedure: k12022 
o|contracted procedure: k12053 
o|contracted procedure: k12046 
o|contracted procedure: k12077 
o|contracted procedure: k12070 
o|contracted procedure: k12101 
o|contracted procedure: k12094 
o|contracted procedure: k12125 
o|contracted procedure: k12118 
o|contracted procedure: k12149 
o|contracted procedure: k12142 
o|contracted procedure: k12173 
o|contracted procedure: k12166 
o|contracted procedure: k12190 
o|contracted procedure: k12215 
o|contracted procedure: k12208 
o|contracted procedure: k12239 
o|contracted procedure: k12232 
o|contracted procedure: k12256 
o|contracted procedure: k12274 
o|contracted procedure: k12292 
o|contracted procedure: k12310 
o|contracted procedure: k12328 
o|contracted procedure: k12346 
o|contracted procedure: k12364 
o|contracted procedure: k12382 
o|contracted procedure: k12400 
o|contracted procedure: k12418 
o|contracted procedure: k12443 
o|contracted procedure: k12436 
o|contracted procedure: k12460 
o|contracted procedure: k12485 
o|contracted procedure: k12478 
o|contracted procedure: k12502 
o|contracted procedure: k12520 
o|contracted procedure: k12538 
o|contracted procedure: k12556 
o|contracted procedure: k12578 
o|contracted procedure: k12569 
o|contracted procedure: k12594 
o|contracted procedure: k12608 
o|contracted procedure: k12612 
o|contracted procedure: k12663 
o|contracted procedure: k12674 
o|contracted procedure: k12686 
o|contracted procedure: k12700 
o|contracted procedure: k12709 
o|contracted procedure: k12728 
o|contracted procedure: k12754 
o|contracted procedure: k12767 
o|contracted procedure: k12773 
o|contracted procedure: k12820 
o|contracted procedure: k12842 
o|contracted procedure: k12866 
o|contracted procedure: k12888 
o|contracted procedure: k12905 
o|contracted procedure: k12917 
o|contracted procedure: k13025 
o|contracted procedure: k12954 
o|contracted procedure: k12995 
o|contracted procedure: k13051 
o|contracted procedure: k13103 
o|contracted procedure: k13113 
o|contracted procedure: k13126 
o|contracted procedure: k13133 
o|contracted procedure: k13141 
o|contracted procedure: k13145 
o|contracted procedure: k13183 
o|contracted procedure: k13186 
o|contracted procedure: k13233 
o|contracted procedure: k13250 
o|contracted procedure: k13256 
o|contracted procedure: k13337 
o|contracted procedure: k13381 
o|contracted procedure: k13371 
o|contracted procedure: k13389 
o|contracted procedure: k13412 
o|contracted procedure: k13453 
o|contracted procedure: k13494 
o|contracted procedure: k13525 
o|contracted procedure: k13567 
o|contracted procedure: k13586 
o|contracted procedure: k13637 
o|contracted procedure: k13662 
o|contracted procedure: k13666 
o|contracted procedure: k13697 
o|contracted procedure: k13700 
o|contracted procedure: k13723 
o|contracted procedure: k13729 
o|contracted procedure: k13736 
o|contracted procedure: k13743 
o|contracted procedure: k13747 
o|contracted procedure: k13751 
o|contracted procedure: k13766 
o|contracted procedure: k13772 
o|contracted procedure: k13779 
o|contracted procedure: k13786 
o|contracted procedure: k13790 
o|contracted procedure: k13794 
o|contracted procedure: k13802 
o|contracted procedure: k13808 
o|contracted procedure: k13847 
o|contracted procedure: k13856 
o|contracted procedure: k13907 
o|contracted procedure: k13887 
o|contracted procedure: k13916 
o|contracted procedure: k13922 
o|contracted procedure: k13946 
o|contracted procedure: k13952 
o|contracted procedure: k13976 
o|contracted procedure: k13982 
o|contracted procedure: k14001 
o|contracted procedure: k14037 
o|contracted procedure: k14054 
o|contracted procedure: k14077 
o|contracted procedure: k14143 
o|contracted procedure: k14094 
o|contracted procedure: k14097 
o|contracted procedure: k14103 
o|contracted procedure: k14318 
o|contracted procedure: k14155 
o|contracted procedure: k14161 
o|contracted procedure: k14164 
o|contracted procedure: k14173 
o|contracted procedure: k14182 
o|contracted procedure: k14191 
o|contracted procedure: k14313 
o|contracted procedure: k14213 
o|contracted procedure: k14216 
o|contracted procedure: k14233 
o|contracted procedure: k14229 
o|contracted procedure: k14240 
o|contracted procedure: k14309 
o|contracted procedure: k14247 
o|contracted procedure: k14262 
o|contracted procedure: k14267 
o|contracted procedure: k14274 
o|contracted procedure: k14279 
o|contracted procedure: k14301 
o|contracted procedure: k14339 
o|contracted procedure: k14402 
o|contracted procedure: k14412 
o|contracted procedure: k14436 
o|contracted procedure: k14460 
o|contracted procedure: k14508 
o|contracted procedure: k14532 
o|contracted procedure: k14593 
o|contracted procedure: k14597 
o|contracted procedure: k14640 
o|contracted procedure: k14657 
o|contracted procedure: k14690 
o|contracted procedure: k14926 
o|contracted procedure: k14708 
o|contracted procedure: k14922 
o|contracted procedure: k14717 
o|contracted procedure: k14754 
o|contracted procedure: k14795 
o|contracted procedure: k14829 
o|contracted procedure: k14873 
o|contracted procedure: k14876 
o|contracted procedure: k14903 
o|contracted procedure: k14911 
o|contracted procedure: k14918 
o|contracted procedure: k14948 
o|contracted procedure: k14970 
o|contracted procedure: k15011 
o|contracted procedure: k15018 
o|contracted procedure: k15022 
o|contracted procedure: k15031 
o|contracted procedure: k15042 
o|contracted procedure: k15053 
o|contracted procedure: k15073 
o|contracted procedure: k15080 
o|contracted procedure: k15084 
o|contracted procedure: k15093 
o|contracted procedure: k15104 
o|contracted procedure: k15119 
o|contracted procedure: k15172 
o|contracted procedure: k15125 
o|contracted procedure: k15162 
o|contracted procedure: k15157 
o|contracted procedure: k15181 
o|contracted procedure: k15212 
o|contracted procedure: k15233 
o|contracted procedure: k15355 
o|contracted procedure: k15366 
o|contracted procedure: k15391 
o|contracted procedure: k15404 
o|contracted procedure: k15415 
o|contracted procedure: k15432 
o|contracted procedure: k15438 
o|contracted procedure: k15444 
o|contracted procedure: k15258 
o|contracted procedure: k15322 
o|contracted procedure: k15270 
o|contracted procedure: k15276 
o|contracted procedure: k15313 
o|contracted procedure: k15279 
o|contracted procedure: k15337 
o|contracted procedure: k15341 
o|contracted procedure: k15295 
o|contracted procedure: k15299 
o|contracted procedure: k15458 
o|contracted procedure: k16780 
o|contracted procedure: k16772 
o|contracted procedure: k15461 
o|contracted procedure: k16768 
o|contracted procedure: k16760 
o|contracted procedure: k15464 
o|contracted procedure: k16756 
o|contracted procedure: k16748 
o|contracted procedure: k15467 
o|contracted procedure: k15481 
o|contracted procedure: k15487 
o|contracted procedure: k15501 
o|contracted procedure: k15526 
o|contracted procedure: k15507 
o|contracted procedure: k15514 
o|contracted procedure: k15520 
o|contracted procedure: k15573 
o|contracted procedure: k15534 
o|contracted procedure: k15544 
o|contracted procedure: k15550 
o|contracted procedure: k15556 
o|contracted procedure: k15589 
o|contracted procedure: k15595 
o|contracted procedure: k15609 
o|contracted procedure: k15616 
o|contracted procedure: k15622 
o|contracted procedure: k15636 
o|contracted procedure: k15643 
o|contracted procedure: k15664 
o|contracted procedure: k15678 
o|contracted procedure: k15689 
o|contracted procedure: k15700 
o|contracted procedure: k15720 
o|contracted procedure: k15724 
o|contracted procedure: k15732 
o|contracted procedure: k15738 
o|contracted procedure: k15750 
o|contracted procedure: k15756 
o|contracted procedure: k15771 
o|contracted procedure: k15777 
o|contracted procedure: k15789 
o|contracted procedure: k15804 
o|contracted procedure: k15832 
o|contracted procedure: k15828 
o|contracted procedure: k15836 
o|contracted procedure: k15839 
o|contracted procedure: k15842 
o|contracted procedure: k15845 
o|contracted procedure: k15851 
o|contracted procedure: k15869 
o|contracted procedure: k15875 
o|contracted procedure: k15881 
o|contracted procedure: k15887 
o|contracted procedure: k15893 
o|contracted procedure: k15899 
o|contracted procedure: k15905 
o|contracted procedure: k15911 
o|contracted procedure: k15945 
o|contracted procedure: k15972 
o|contracted procedure: k15987 
o|contracted procedure: k15996 
o|contracted procedure: k16022 
o|contracted procedure: k16002 
o|contracted procedure: k16009 
o|contracted procedure: k16030 
o|contracted procedure: k16036 
o|contracted procedure: k16042 
o|contracted procedure: k16070 
o|contracted procedure: k16074 
o|contracted procedure: k16084 
o|contracted procedure: k16088 
o|contracted procedure: k16104 
o|contracted procedure: k16182 
o|contracted procedure: k16113 
o|contracted procedure: k16178 
o|contracted procedure: k16128 
o|contracted procedure: k16137 
o|contracted procedure: k16148 
o|contracted procedure: k16163 
o|contracted procedure: k16186 
o|contracted procedure: k16195 
o|contracted procedure: k16201 
o|contracted procedure: k16207 
o|contracted procedure: k16213 
o|contracted procedure: k16219 
o|contracted procedure: k16225 
o|contracted procedure: k16231 
o|contracted procedure: k16237 
o|contracted procedure: k16268 
o|contracted procedure: k16297 
o|contracted procedure: k16278 
o|contracted procedure: k16284 
o|contracted procedure: k16305 
o|contracted procedure: k16316 
o|contracted procedure: k16322 
o|contracted procedure: k16333 
o|contracted procedure: k16336 
o|contracted procedure: k16349 
o|contracted procedure: k16420 
o|contracted procedure: k16355 
o|contracted procedure: k16365 
o|contracted procedure: k16398 
o|contracted procedure: k16381 
o|contracted procedure: k16395 
o|contracted procedure: k16388 
o|contracted procedure: k16385 
o|contracted procedure: k16416 
o|contracted procedure: k16401 
o|contracted procedure: k16412 
o|contracted procedure: k16426 
o|contracted procedure: k16429 
o|contracted procedure: k16442 
o|contracted procedure: k16490 
o|contracted procedure: k16448 
o|contracted procedure: k16454 
o|contracted procedure: k16478 
o|contracted procedure: k16471 
o|contracted procedure: k16468 
o|contracted procedure: k16486 
o|contracted procedure: k16497 
o|contracted procedure: k16517 
o|contracted procedure: k16523 
o|contracted procedure: k16542 
o|contracted procedure: k16558 
o|contracted procedure: k16565 
o|contracted procedure: k16568 
o|contracted procedure: k16607 
o|contracted procedure: k16574 
o|contracted procedure: k16580 
o|contracted procedure: k16583 
o|contracted procedure: k16615 
o|contracted procedure: k16618 
o|contracted procedure: k16628 
o|contracted procedure: k16676 
o|contracted procedure: k16634 
o|contracted procedure: k16640 
o|contracted procedure: k16686 
o|contracted procedure: k16710 
o|contracted procedure: k16696 
o|contracted procedure: k16714 
o|contracted procedure: k16737 
o|contracted procedure: k17032 
o|contracted procedure: k16786 
o|contracted procedure: k16789 
o|contracted procedure: k16799 
o|contracted procedure: k16991 
o|contracted procedure: k16819 
o|contracted procedure: k16822 
o|contracted procedure: k16828 
o|contracted procedure: k16835 
o|contracted procedure: k16841 
o|contracted procedure: k16844 
o|contracted procedure: k16850 
o|contracted procedure: k16857 
o|contracted procedure: k16863 
o|contracted procedure: k16866 
o|contracted procedure: k16872 
o|contracted procedure: k16879 
o|contracted procedure: k16885 
o|contracted procedure: k16888 
o|contracted procedure: k16894 
o|contracted procedure: k16901 
o|contracted procedure: k16907 
o|contracted procedure: k16910 
o|contracted procedure: k16916 
o|contracted procedure: k16923 
o|contracted procedure: k16929 
o|contracted procedure: k16932 
o|contracted procedure: k16938 
o|contracted procedure: k16945 
o|contracted procedure: k17014 
o|contracted procedure: k17001 
o|contracted procedure: k17026 
o|contracted procedure: k17017 
o|contracted procedure: k17074 
o|contracted procedure: k17041 
o|contracted procedure: k17068 
o|contracted procedure: k17044 
o|contracted procedure: k17062 
o|contracted procedure: k17047 
o|contracted procedure: k17056 
o|contracted procedure: k17050 
o|contracted procedure: k17090 
o|contracted procedure: k17093 
o|contracted procedure: k17099 
o|contracted procedure: k17102 
o|contracted procedure: k17108 
o|contracted procedure: k17120 
o|contracted procedure: k17127 
o|contracted procedure: k17131 
o|contracted procedure: k17144 
o|contracted procedure: k17148 
o|contracted procedure: k17152 
o|contracted procedure: k17158 
o|contracted procedure: k17167 
o|contracted procedure: k17173 
o|contracted procedure: k17184 
o|contracted procedure: k17190 
o|contracted procedure: k17196 
o|contracted procedure: k17217 
o|contracted procedure: k17227 
o|contracted procedure: k17223 
o|contracted procedure: k17230 
o|contracted procedure: k17243 
o|contracted procedure: k17236 
o|contracted procedure: k17260 
o|contracted procedure: k17269 
o|contracted procedure: k17281 
o|contracted procedure: k17287 
o|contracted procedure: k17275 
o|contracted procedure: k17296 
o|contracted procedure: k17299 
o|contracted procedure: k17314 
o|contracted procedure: k17317 
o|contracted procedure: k17340 
o|contracted procedure: k17343 
o|contracted procedure: k17358 
o|contracted procedure: k17375 
o|contracted procedure: k17364 
o|contracted procedure: k17371 
o|contracted procedure: k17394 
o|contracted procedure: k17407 
o|contracted procedure: k17420 
o|contracted procedure: k17439 
o|contracted procedure: k17457 
o|contracted procedure: k17460 
o|contracted procedure: k17495 
o|contracted procedure: k17515 
o|contracted procedure: k17518 
o|contracted procedure: k17521 
o|contracted procedure: k17529 
o|contracted procedure: k17537 
o|contracted procedure: k17500 
o|contracted procedure: k17549 
o|contracted procedure: k17555 
o|contracted procedure: k17566 
o|contracted procedure: k17589 
o|contracted procedure: k17612 
o|contracted procedure: k17594 
o|contracted procedure: k17597 
o|contracted procedure: k17603 
o|contracted procedure: k17652 
o|contracted procedure: k17655 
o|contracted procedure: k17667 
o|contracted procedure: k17682 
o|contracted procedure: k17693 
o|contracted procedure: k17688 
o|contracted procedure: k17712 
o|contracted procedure: k17709 
o|contracted procedure: k17718 
o|contracted procedure: k17774 
o|contracted procedure: k17731 
o|contracted procedure: k17737 
o|contracted procedure: k17752 
o|contracted procedure: k17770 
o|contracted procedure: k17755 
o|contracted procedure: k17762 
o|contracted procedure: k17766 
o|contracted procedure: k17780 
o|contracted procedure: k17792 
o|contracted procedure: k17799 
o|contracted procedure: k17807 
o|contracted procedure: k17819 
o|contracted procedure: k17831 
o|contracted procedure: k17834 
o|contracted procedure: k17841 
o|contracted procedure: k17847 
o|contracted procedure: k17850 
o|contracted procedure: k17853 
o|contracted procedure: k17856 
o|contracted procedure: k17877 
o|contracted procedure: k17891 
o|contracted procedure: k17880 
o|contracted procedure: k17887 
o|contracted procedure: k17894 
o|contracted procedure: k17897 
o|contracted procedure: k17906 
o|contracted procedure: k17978 
o|contracted procedure: k17916 
o|contracted procedure: k17919 
o|contracted procedure: k17922 
o|contracted procedure: k17925 
o|contracted procedure: k17928 
o|contracted procedure: k17949 
o|contracted procedure: k17967 
o|contracted procedure: k17963 
o|contracted procedure: k17952 
o|contracted procedure: k17959 
o|contracted procedure: k17971 
o|contracted procedure: k17975 
o|contracted procedure: k17999 
o|contracted procedure: k17987 
o|contracted procedure: k17990 
o|contracted procedure: k18023 
o|contracted procedure: k18037 
o|contracted procedure: k18026 
o|contracted procedure: k18033 
o|contracted procedure: k18041 
o|contracted procedure: k18051 
o|contracted procedure: k18055 
o|contracted procedure: k18062 
o|contracted procedure: k18066 
o|contracted procedure: k18073 
o|contracted procedure: k18077 
o|contracted procedure: k18084 
o|contracted procedure: k18088 
o|contracted procedure: k18095 
o|contracted procedure: k18099 
o|contracted procedure: k18109 
o|contracted procedure: k18116 
o|contracted procedure: k18125 
o|contracted procedure: k18128 
o|contracted procedure: k18145 
o|contracted procedure: k18134 
o|contracted procedure: k18141 
o|contracted procedure: k18156 
o|contracted procedure: k18171 
o|contracted procedure: k18174 
o|contracted procedure: k18186 
o|contracted procedure: k18189 
o|contracted procedure: k18203 
o|contracted procedure: k18199 
o|contracted procedure: k18207 
o|contracted procedure: k18230 
o|contracted procedure: k18211 
o|contracted procedure: k18222 
o|contracted procedure: k18226 
o|contracted procedure: k18218 
o|contracted procedure: k18244 
o|contracted procedure: k18240 
o|contracted procedure: k18233 
o|contracted procedure: k18247 
o|contracted procedure: k18250 
o|contracted procedure: k18259 
o|contracted procedure: k18320 
o|contracted procedure: k18326 
o|contracted procedure: k18336 
o|contracted procedure: k18340 
o|contracted procedure: k18358 
o|contracted procedure: k18364 
o|contracted procedure: k18379 
o|contracted procedure: k18383 
o|contracted procedure: k18394 
o|contracted procedure: k18397 
o|contracted procedure: k18403 
o|contracted procedure: k18412 
o|contracted procedure: k18427 
o|contracted procedure: k18438 
o|contracted procedure: k18481 
o|contracted procedure: k18456 
o|contracted procedure: k18477 
o|contracted procedure: k18473 
o|contracted procedure: k18462 
o|contracted procedure: k18469 
o|contracted procedure: k18492 
o|contracted procedure: k18495 
o|contracted procedure: k18507 
o|contracted procedure: k18517 
o|contracted procedure: k18521 
o|contracted procedure: k18528 
o|contracted procedure: k18534 
o|contracted procedure: k18540 
o|contracted procedure: k18578 
o|contracted procedure: k18581 
o|contracted procedure: k18584 
o|contracted procedure: k18596 
o|contracted procedure: k18599 
o|contracted procedure: k18602 
o|contracted procedure: k18610 
o|contracted procedure: k18618 
o|contracted procedure: k18628 
o|contracted procedure: k18634 
o|contracted procedure: k18640 
o|contracted procedure: k18706 
o|contracted procedure: k18686 
o|contracted procedure: k18696 
o|contracted procedure: k18728 
o|contracted procedure: k18739 
o|contracted procedure: k18743 
o|contracted procedure: k18735 
o|contracted procedure: k18753 
o|contracted procedure: k18762 
o|contracted procedure: k18776 
o|contracted procedure: k18768 
o|contracted procedure: k18780 
o|contracted procedure: k18784 
o|contracted procedure: k18805 
o|contracted procedure: k18787 
o|contracted procedure: k18791 
o|contracted procedure: k18801 
o|contracted procedure: k18834 
o|contracted procedure: k18840 
o|contracted procedure: k18843 
o|contracted procedure: k18846 
o|contracted procedure: k18849 
o|contracted procedure: k18852 
o|contracted procedure: k18855 
o|contracted procedure: k18858 
o|contracted procedure: k31835 
o|contracted procedure: k31841 
o|contracted procedure: k31875 
o|contracted procedure: k31881 
o|contracted procedure: k31937 
o|contracted procedure: k31943 
o|contracted procedure: k31949 
o|contracted procedure: k31962 
o|contracted procedure: k31966 
o|contracted procedure: k31970 
o|contracted procedure: k31992 
o|contracted procedure: k31999 
o|contracted procedure: k32003 
o|contracted procedure: k32007 
o|contracted procedure: k32017 
o|contracted procedure: k32033 
o|contracted procedure: k32037 
o|contracted procedure: k32044 
o|contracted procedure: k32050 
o|contracted procedure: k32059 
o|contracted procedure: k32065 
o|contracted procedure: k32079 
o|contracted procedure: k32083 
o|contracted procedure: k32095 
o|contracted procedure: k32101 
o|contracted procedure: k32107 
o|contracted procedure: k32131 
o|contracted procedure: k32110 
o|contracted procedure: k32168 
o|contracted procedure: k32164 
o|contracted procedure: k32153 
o|contracted procedure: k32182 
o|contracted procedure: k32178 
o|contracted procedure: k32171 
o|contracted procedure: k32185 
o|contracted procedure: k18862 
o|contracted procedure: k18893 
o|contracted procedure: k18904 
o|contracted procedure: k18915 
o|contracted procedure: k18926 
o|contracted procedure: k18937 
o|contracted procedure: k18940 
o|contracted procedure: k18966 
o|contracted procedure: k18972 
o|contracted procedure: k18979 
o|contracted procedure: k18985 
o|contracted procedure: k18998 
o|contracted procedure: k19001 
o|contracted procedure: k19027 
o|contracted procedure: k19033 
o|contracted procedure: k19040 
o|contracted procedure: k19046 
o|contracted procedure: k19059 
o|contracted procedure: k19062 
o|contracted procedure: k19088 
o|contracted procedure: k19094 
o|contracted procedure: k19101 
o|contracted procedure: k19107 
o|contracted procedure: k19120 
o|contracted procedure: k19143 
o|contracted procedure: k19146 
o|contracted procedure: k19189 
o|contracted procedure: k19192 
o|contracted procedure: k19202 
o|contracted procedure: k19205 
o|contracted procedure: k1920234669 
o|contracted procedure: k19212 
o|contracted procedure: k1920234673 
o|contracted procedure: k19219 
o|contracted procedure: k1920234677 
o|contracted procedure: k19244 
o|contracted procedure: k19268 
o|contracted procedure: k19272 
o|contracted procedure: k19264 
o|contracted procedure: k19250 
o|contracted procedure: k19260 
o|contracted procedure: k19253 
o|contracted procedure: k19425 
o|contracted procedure: k19431 
o|contracted procedure: k19451 
o|contracted procedure: k19444 
o|contracted procedure: k19466 
o|contracted procedure: k19457 
o|contracted procedure: k19484 
o|contracted procedure: k19491 
o|contracted procedure: k19513 
o|contracted procedure: k19530 
o|contracted procedure: k19519 
o|contracted procedure: k19526 
o|contracted procedure: k19534 
o|contracted procedure: k19537 
o|contracted procedure: k19553 
o|contracted procedure: k19592 
o|contracted procedure: k19563 
o|contracted procedure: k19572 
o|contracted procedure: k19575 
o|contracted procedure: k19588 
o|contracted procedure: k19598 
o|contracted procedure: k19614 
o|contracted procedure: k19610 
o|contracted procedure: k19626 
o|contracted procedure: k19656 
o|contracted procedure: k19733 
o|contracted procedure: k19667 
o|contracted procedure: k19691 
o|contracted procedure: k19704 
o|contracted procedure: k19711 
o|contracted procedure: k19721 
o|contracted procedure: k19717 
o|contracted procedure: k19724 
o|contracted procedure: k19808 
o|contracted procedure: k19968 
o|contracted procedure: k19815 
o|contracted procedure: k19829 
o|contracted procedure: k19838 
o|contracted procedure: k19846 
o|contracted procedure: k19850 
o|contracted procedure: k19856 
o|contracted procedure: k19865 
o|contracted procedure: k19871 
o|contracted procedure: k19881 
o|contracted procedure: k19897 
o|contracted procedure: k19903 
o|contracted procedure: k19910 
o|contracted procedure: k19916 
o|contracted procedure: k19926 
o|contracted procedure: k19932 
o|contracted procedure: k19938 
o|contracted procedure: k19947 
o|contracted procedure: k19965 
o|contracted procedure: k19953 
o|contracted procedure: k19961 
o|contracted procedure: k19995 
o|contracted procedure: k19979 
o|contracted procedure: k19992 
o|contracted procedure: k19985 
o|contracted procedure: k20013 
o|contracted procedure: k20004 
o|contracted procedure: k20028 
o|contracted procedure: k20042 
o|contracted procedure: k20038 
o|contracted procedure: k20031 
o|inlining procedure: k20025 
o|contracted procedure: k20048 
o|contracted procedure: k20059 
o|contracted procedure: k20055 
o|inlining procedure: k20025 
o|contracted procedure: k20063 
o|contracted procedure: k20066 
o|contracted procedure: k20076 
o|contracted procedure: k20069 
o|contracted procedure: k20094 
o|contracted procedure: k20110 
o|contracted procedure: k20097 
o|contracted procedure: k20103 
o|contracted procedure: k20125 
o|contracted procedure: k20116 
o|contracted procedure: k20143 
o|contracted procedure: k20134 
o|contracted procedure: k20197 
o|contracted procedure: k20220 
o|contracted procedure: k20231 
o|contracted procedure: k20292 
o|contracted procedure: k20299 
o|contracted procedure: k20321 
o|contracted procedure: k20349 
o|contracted procedure: k20365 
o|contracted procedure: k20390 
o|contracted procedure: k20415 
o|contracted procedure: k20418 
o|contracted procedure: k20428 
o|contracted procedure: k20432 
o|contracted procedure: k20444 
o|contracted procedure: k20456 
o|contracted procedure: k20463 
o|contracted procedure: k20467 
o|contracted procedure: k20472 
o|contracted procedure: k20497 
o|contracted procedure: k20507 
o|contracted procedure: k20518 
o|contracted procedure: k20524 
o|contracted procedure: k20535 
o|contracted procedure: k20541 
o|contracted procedure: k20552 
o|contracted procedure: k20558 
o|contracted procedure: k20569 
o|contracted procedure: k20575 
o|contracted procedure: k20586 
o|contracted procedure: k20596 
o|contracted procedure: k20607 
o|contracted procedure: k20617 
o|contracted procedure: k20628 
o|contracted procedure: k20638 
o|contracted procedure: k20641 
o|contracted procedure: k20652 
o|contracted procedure: k20662 
o|contracted procedure: k20706 
o|contracted procedure: k20736 
o|contracted procedure: k20765 
o|contracted procedure: k20779 
o|contracted procedure: k20785 
o|contracted procedure: k20800 
o|contracted procedure: k20803 
o|contracted procedure: k20816 
o|contracted procedure: k20831 
o|contracted procedure: k20847 
o|contracted procedure: k20926 
o|contracted procedure: k20922 
o|contracted procedure: k20914 
o|contracted procedure: k20910 
o|contracted procedure: k20895 
o|contracted procedure: k20906 
o|contracted procedure: k20940 
o|contracted procedure: k20943 
o|contracted procedure: k20949 
o|contracted procedure: k20955 
o|contracted procedure: k20961 
o|contracted procedure: k20978 
o|contracted procedure: k20984 
o|contracted procedure: k21024 
o|contracted procedure: k21038 
o|contracted procedure: k21047 
o|contracted procedure: k21056 
o|contracted procedure: k21089 
o|contracted procedure: k21130 
o|contracted procedure: k21139 
o|contracted procedure: k21151 
o|contracted procedure: k21163 
o|contracted procedure: k21172 
o|contracted procedure: k21190 
o|contracted procedure: k21208 
o|contracted procedure: k21211 
o|contracted procedure: k21248 
o|contracted procedure: k21221 
o|contracted procedure: k21242 
o|contracted procedure: k21254 
o|contracted procedure: k21260 
o|contracted procedure: k21266 
o|contracted procedure: k21275 
o|contracted procedure: k21278 
o|contracted procedure: k21312 
o|contracted procedure: k21346 
o|contracted procedure: k21388 
o|contracted procedure: k21380 
o|contracted procedure: k21397 
o|contracted procedure: k21409 
o|contracted procedure: k21418 
o|contracted procedure: k21448 
o|contracted procedure: k21460 
o|contracted procedure: k21469 
o|contracted procedure: k21525 
o|contracted procedure: k21537 
o|inlining procedure: k21554 
o|contracted procedure: k21558 
o|inlining procedure: k21554 
o|contracted procedure: k21564 
o|contracted procedure: k21589 
o|contracted procedure: k21609 
o|contracted procedure: k21616 
o|contracted procedure: k21659 
o|contracted procedure: k21679 
o|contracted procedure: k21697 
o|contracted procedure: k21690 
o|contracted procedure: k21703 
o|contracted procedure: k21714 
o|contracted procedure: k21710 
o|contracted procedure: k21720 
o|contracted procedure: k21732 
o|contracted procedure: k21756 
o|contracted procedure: k21766 
o|contracted procedure: k21776 
o|contracted procedure: k21796 
o|contracted procedure: k21782 
o|contracted procedure: k21793 
o|contracted procedure: k21805 
o|contracted procedure: k21814 
o|contracted procedure: k21824 
o|inlining procedure: k21831 
o|contracted procedure: k21835 
o|inlining procedure: k21831 
o|contracted procedure: k21849 
o|contracted procedure: k21867 
o|contracted procedure: k21873 
o|contracted procedure: k21890 
o|contracted procedure: k21893 
o|contracted procedure: k21915 
o|contracted procedure: k22034 
o|contracted procedure: k21921 
o|contracted procedure: k22030 
o|contracted procedure: k22022 
o|contracted procedure: k22026 
o|contracted procedure: k22018 
o|contracted procedure: k21924 
o|contracted procedure: k21927 
o|contracted procedure: k22014 
o|contracted procedure: k22010 
o|contracted procedure: k22006 
o|contracted procedure: k22002 
o|contracted procedure: k21989 
o|contracted procedure: k21997 
o|contracted procedure: k21993 
o|contracted procedure: k21933 
o|contracted procedure: k21945 
o|contracted procedure: k21976 
o|contracted procedure: k21984 
o|contracted procedure: k21980 
o|contracted procedure: k21949 
o|contracted procedure: k21955 
o|contracted procedure: k21963 
o|contracted procedure: k21971 
o|contracted procedure: k21967 
o|contracted procedure: k21959 
o|contracted procedure: k22038 
o|contracted procedure: k22061 
o|contracted procedure: k22082 
o|contracted procedure: k22088 
o|contracted procedure: k22105 
o|contracted procedure: k22094 
o|contracted procedure: k22101 
o|contracted procedure: k22118 
o|contracted procedure: k22128 
o|contracted procedure: k22125 
o|contracted procedure: k22141 
o|contracted procedure: k22163 
o|contracted procedure: k22178 
o|contracted procedure: k22230 
o|contracted procedure: k22187 
o|contracted procedure: k22193 
o|contracted procedure: k22212 
o|contracted procedure: k22215 
o|contracted procedure: k22226 
o|contracted procedure: k22266 
o|contracted procedure: k22290 
o|contracted procedure: k22302 
o|contracted procedure: k22318 
o|contracted procedure: k22334 
o|contracted procedure: k22343 
o|contracted procedure: k22370 
o|contracted procedure: k22382 
o|contracted procedure: k22391 
o|contracted procedure: k22400 
o|contracted procedure: k22409 
o|contracted procedure: k22433 
o|contracted procedure: k22445 
o|contracted procedure: k22448 
o|contracted procedure: k22463 
o|contracted procedure: k22473 
o|contracted procedure: k22480 
o|contracted procedure: k22504 
o|contracted procedure: k22513 
o|contracted procedure: k22519 
o|contracted procedure: k22531 
o|contracted procedure: k22543 
o|contracted procedure: k22555 
o|contracted procedure: k22567 
o|contracted procedure: k22579 
o|contracted procedure: k22591 
o|contracted procedure: k22622 
o|contracted procedure: k22631 
o|contracted procedure: k22637 
o|contracted procedure: k22646 
o|contracted procedure: k22655 
o|contracted procedure: k22667 
o|contracted procedure: k22682 
o|contracted procedure: k22694 
o|contracted procedure: k22709 
o|contracted procedure: k22725 
o|contracted procedure: k22737 
o|contracted procedure: k22756 
o|contracted procedure: k22805 
o|contracted procedure: k22794 
o|contracted procedure: k22801 
o|contracted procedure: k22785 
o|contracted procedure: k22816 
o|contracted procedure: k22833 
o|contracted procedure: k22846 
o|contracted procedure: k22856 
o|contracted procedure: k22883 
o|contracted procedure: k22889 
o|contracted procedure: k22899 
o|contracted procedure: k22905 
o|contracted procedure: k22918 
o|contracted procedure: k22921 
o|contracted procedure: k22944 
o|contracted procedure: k22993 
o|contracted procedure: k22999 
o|contracted procedure: k23008 
o|contracted procedure: k23020 
o|contracted procedure: k23032 
o|contracted procedure: k23041 
o|contracted procedure: k23044 
o|contracted procedure: k23053 
o|contracted procedure: k23059 
o|contracted procedure: k23068 
o|contracted procedure: k23077 
o|contracted procedure: k23086 
o|contracted procedure: k23095 
o|contracted procedure: k23098 
o|contracted procedure: k23158 
o|contracted procedure: k23144 
o|contracted procedure: k23154 
o|contracted procedure: k23172 
o|contracted procedure: k23162 
o|contracted procedure: k23169 
o|contracted procedure: k23181 
o|contracted procedure: k23187 
o|contracted procedure: k23196 
o|contracted procedure: k23223 
o|contracted procedure: k23219 
o|contracted procedure: k23203 
o|contracted procedure: k23215 
o|contracted procedure: k23211 
o|contracted procedure: k23207 
o|contracted procedure: k23229 
o|contracted procedure: k23272 
o|contracted procedure: k23268 
o|contracted procedure: k23236 
o|contracted procedure: k23264 
o|contracted procedure: k23260 
o|contracted procedure: k23256 
o|contracted procedure: k23240 
o|contracted procedure: k23252 
o|contracted procedure: k23248 
o|contracted procedure: k23244 
o|contracted procedure: k23278 
o|contracted procedure: k23337 
o|contracted procedure: k23333 
o|contracted procedure: k23285 
o|contracted procedure: k23329 
o|contracted procedure: k23325 
o|contracted procedure: k23321 
o|contracted procedure: k23289 
o|contracted procedure: k23317 
o|contracted procedure: k23313 
o|contracted procedure: k23309 
o|contracted procedure: k23293 
o|contracted procedure: k23305 
o|contracted procedure: k23301 
o|contracted procedure: k23297 
o|contracted procedure: k23349 
o|contracted procedure: k23361 
o|contracted procedure: k23367 
o|contracted procedure: k23373 
o|contracted procedure: k23379 
o|contracted procedure: k23414 
o|contracted procedure: k23410 
o|contracted procedure: k23406 
o|contracted procedure: k23386 
o|contracted procedure: k23402 
o|contracted procedure: k23394 
o|contracted procedure: k23398 
o|contracted procedure: k23390 
o|contracted procedure: k23423 
o|contracted procedure: k23429 
o|contracted procedure: k23436 
o|contracted procedure: k23442 
o|contracted procedure: k23449 
o|contracted procedure: k23475 
o|contracted procedure: k23484 
o|contracted procedure: k23502 
o|contracted procedure: k23498 
o|contracted procedure: k23491 
o|contracted procedure: k23508 
o|contracted procedure: k23526 
o|contracted procedure: k23522 
o|contracted procedure: k23518 
o|contracted procedure: k23547 
o|contracted procedure: k23543 
o|contracted procedure: k23539 
o|contracted procedure: k23558 
o|contracted procedure: k23571 
o|contracted procedure: k23574 
o|contracted procedure: k23583 
o|contracted procedure: k23586 
o|contracted procedure: k23623 
o|contracted procedure: k23613 
o|contracted procedure: k23632 
o|contracted procedure: k23653 
o|contracted procedure: k23641 
o|contracted procedure: k23644 
o|contracted procedure: k23668 
o|contracted procedure: k23662 
o|contracted procedure: k23686 
o|contracted procedure: k23677 
o|contracted procedure: k23704 
o|contracted procedure: k23695 
o|contracted procedure: k23723 
o|contracted procedure: k23735 
o|contracted procedure: k23745 
o|contracted procedure: k23749 
o|contracted procedure: k23774 
o|contracted procedure: k23786 
o|contracted procedure: k23796 
o|contracted procedure: k23800 
o|contracted procedure: k23845 
o|contracted procedure: k23851 
o|contracted procedure: k23860 
o|contracted procedure: k23863 
o|contracted procedure: k23879 
o|propagated global variable: r23880 ##sys#undefined-value 
o|contracted procedure: k23882 
o|contracted procedure: k23908 
o|contracted procedure: k23901 
o|contracted procedure: k23924 
o|contracted procedure: k23917 
o|contracted procedure: k23936 
o|contracted procedure: k23949 
o|propagated global variable: r23950 ##sys#undefined-value 
o|contracted procedure: k23953 
o|contracted procedure: k23959 
o|contracted procedure: k23962 
o|contracted procedure: k23980 
o|contracted procedure: k23998 
o|contracted procedure: k24013 
o|contracted procedure: k24022 
o|contracted procedure: k24025 
o|contracted procedure: k24031 
o|contracted procedure: k24044 
o|contracted procedure: k24051 
o|contracted procedure: k24067 
o|contracted procedure: k24070 
o|contracted procedure: k24073 
o|contracted procedure: k24087 
o|contracted procedure: k24093 
o|contracted procedure: k24099 
o|contracted procedure: k24105 
o|contracted procedure: k24108 
o|contracted procedure: k24120 
o|contracted procedure: k24130 
o|contracted procedure: k24139 
o|contracted procedure: k24145 
o|contracted procedure: k24161 
o|contracted procedure: k24168 
o|contracted procedure: k24183 
o|contracted procedure: k24190 
o|contracted procedure: k24194 
o|contracted procedure: k24200 
o|contracted procedure: k24218 
o|contracted procedure: k24255 
o|contracted procedure: k24224 
o|contracted procedure: k24234 
o|contracted procedure: k24251 
o|contracted procedure: k24237 
o|contracted procedure: k24247 
o|contracted procedure: k24266 
o|contracted procedure: k24281 
o|contracted procedure: k24290 
o|contracted procedure: k24299 
o|contracted procedure: k24326 
o|contracted procedure: k24341 
o|contracted procedure: k24350 
o|contracted procedure: k24353 
o|contracted procedure: k24394 
o|contracted procedure: k24449 
o|contracted procedure: k24412 
o|contracted procedure: k24418 
o|contracted procedure: k24430 
o|contracted procedure: k24510 
o|contracted procedure: k24523 
o|contracted procedure: k24527 
o|contracted procedure: k24530 
o|contracted procedure: k24539 
o|contracted procedure: k24548 
o|contracted procedure: k24551 
o|contracted procedure: k24560 
o|contracted procedure: k24569 
o|contracted procedure: k24578 
o|contracted procedure: k24587 
o|contracted procedure: k24596 
o|contracted procedure: k24605 
o|contracted procedure: k24614 
o|contracted procedure: k24633 
o|contracted procedure: k24680 
o|contracted procedure: k24689 
o|contracted procedure: k24711 
o|contracted procedure: k24701 
o|contracted procedure: k24724 
o|contracted procedure: k24728 
o|contracted procedure: k24737 
o|contracted procedure: k24746 
o|contracted procedure: k24761 
o|contracted procedure: k24764 
o|contracted procedure: k24777 
o|contracted procedure: k24784 
o|contracted procedure: k24831 
o|contracted procedure: k24844 
o|contracted procedure: k24847 
o|contracted procedure: k24856 
o|contracted procedure: k24875 
o|contracted procedure: k24891 
o|contracted procedure: k24900 
o|contracted procedure: k24916 
o|contracted procedure: k24920 
o|contracted procedure: k24924 
o|contracted procedure: k24928 
o|contracted procedure: k24955 
o|contracted procedure: k24958 
o|contracted procedure: k24969 
o|contracted procedure: k24965 
o|contracted procedure: k24975 
o|contracted procedure: k24978 
o|contracted procedure: k25014 
o|contracted procedure: k25037 
o|contracted procedure: k25017 
o|contracted procedure: k25033 
o|contracted procedure: k25056 
o|contracted procedure: k25086 
o|contracted procedure: k25096 
o|contracted procedure: k25102 
o|contracted procedure: k25112 
o|contracted procedure: k25211 
o|contracted procedure: k25214 
o|contracted procedure: k25217 
o|contracted procedure: k25220 
o|contracted procedure: k25226 
o|contracted procedure: k25251 
o|contracted procedure: k25232 
o|contracted procedure: k25241 
o|contracted procedure: k25244 
o|contracted procedure: k25254 
o|contracted procedure: k31328 
o|contracted procedure: k31331 
o|contracted procedure: k31334 
o|contracted procedure: k31340 
o|contracted procedure: k31347 
o|contracted procedure: k31343 
o|contracted procedure: k31353 
o|contracted procedure: k31356 
o|contracted procedure: k31359 
o|contracted procedure: k31365 
o|contracted procedure: k31374 
o|contracted procedure: k31377 
o|contracted procedure: k31384 
o|contracted procedure: k31393 
o|contracted procedure: k31396 
o|contracted procedure: k31403 
o|contracted procedure: k31415 
o|contracted procedure: k31450 
o|contracted procedure: k31418 
o|contracted procedure: k31425 
o|contracted procedure: k31429 
o|contracted procedure: k31436 
o|contracted procedure: k31432 
o|contracted procedure: k31439 
o|contracted procedure: k31442 
o|contracted procedure: k31456 
o|contracted procedure: k31459 
o|contracted procedure: k31462 
o|contracted procedure: k31465 
o|contracted procedure: k31471 
o|contracted procedure: k31493 
o|contracted procedure: k31484 
o|contracted procedure: k31502 
o|contracted procedure: k31516 
o|contracted procedure: k31512 
o|contracted procedure: k31505 
o|contracted procedure: k31527 
o|contracted procedure: k31531 
o|contracted procedure: k31523 
o|contracted procedure: k31540 
o|contracted procedure: k31543 
o|contracted procedure: k31546 
o|contracted procedure: k31552 
o|contracted procedure: k31558 
o|contracted procedure: k25261 
o|contracted procedure: k25270 
o|contracted procedure: k25281 
o|contracted procedure: k25277 
o|contracted procedure: k25293 
o|contracted procedure: k25323 
o|contracted procedure: k25330 
o|contracted procedure: k25347 
o|contracted procedure: k25381 
o|contracted procedure: k25388 
o|contracted procedure: k25409 
o|contracted procedure: k25416 
o|contracted procedure: k25427 
o|contracted procedure: k25430 
o|contracted procedure: k25437 
o|contracted procedure: k25440 
o|contracted procedure: k25458 
o|contracted procedure: k25446 
o|contracted procedure: k25454 
o|contracted procedure: k25464 
o|contracted procedure: k25470 
o|contracted procedure: k25473 
o|contracted procedure: k25476 
o|contracted procedure: k25486 
o|contracted procedure: k25489 
o|contracted procedure: k25492 
o|contracted procedure: k25530 
o|contracted procedure: k25526 
o|contracted procedure: k25508 
o|contracted procedure: k25518 
o|contracted procedure: k25522 
o|contracted procedure: k25544 
o|contracted procedure: k25559 
o|contracted procedure: k25569 
o|contracted procedure: k25573 
o|contracted procedure: k25598 
o|contracted procedure: k25608 
o|inlining procedure: k25601 
o|inlining procedure: k25601 
o|contracted procedure: k25767 
o|contracted procedure: k25632 
o|contracted procedure: k25761 
o|contracted procedure: k25635 
o|contracted procedure: k25755 
o|contracted procedure: k25638 
o|contracted procedure: k25749 
o|contracted procedure: k25641 
o|contracted procedure: k25739 
o|contracted procedure: k25647 
o|contracted procedure: k25650 
o|contracted procedure: k25662 
o|contracted procedure: k25733 
o|contracted procedure: k25665 
o|contracted procedure: k25671 
o|contracted procedure: k25709 
o|contracted procedure: k25697 
o|contracted procedure: k25705 
o|contracted procedure: k25701 
o|contracted procedure: k25681 
o|contracted procedure: k25689 
o|contracted procedure: k25713 
o|contracted procedure: k25720 
o|contracted procedure: k25723 
o|contracted procedure: k25746 
o|contracted procedure: k25779 
o|contracted procedure: k25787 
o|contracted procedure: k25790 
o|contracted procedure: k25793 
o|contracted procedure: k25833 
o|contracted procedure: k25846 
o|contracted procedure: k25861 
o|contracted procedure: k25871 
o|contracted procedure: k25875 
o|contracted procedure: k25963 
o|contracted procedure: k25881 
o|contracted procedure: k25957 
o|contracted procedure: k25884 
o|contracted procedure: k25951 
o|contracted procedure: k25887 
o|contracted procedure: k25945 
o|contracted procedure: k25890 
o|contracted procedure: k25939 
o|contracted procedure: k25893 
o|contracted procedure: k25933 
o|contracted procedure: k25896 
o|contracted procedure: k25927 
o|contracted procedure: k25899 
o|contracted procedure: k25921 
o|contracted procedure: k25902 
o|contracted procedure: k25911 
o|contracted procedure: k25981 
o|contracted procedure: k25998 
o|contracted procedure: k26026 
o|contracted procedure: k26034 
o|contracted procedure: k26049 
o|contracted procedure: k26059 
o|contracted procedure: k26063 
o|contracted procedure: k26090 
o|contracted procedure: k26097 
o|contracted procedure: k26103 
o|contracted procedure: k26106 
o|contracted procedure: k26144 
o|contracted procedure: k26154 
o|contracted procedure: k26158 
o|contracted procedure: k26161 
o|contracted procedure: k26182 
o|contracted procedure: k26191 
o|contracted procedure: k26194 
o|contracted procedure: k26197 
o|contracted procedure: k26212 
o|contracted procedure: k26204 
o|contracted procedure: k26219 
o|contracted procedure: k26225 
o|contracted procedure: k26231 
o|contracted procedure: k26237 
o|contracted procedure: k26243 
o|contracted procedure: k26249 
o|contracted procedure: k26255 
o|contracted procedure: k26261 
o|contracted procedure: k26267 
o|contracted procedure: k26273 
o|contracted procedure: k26279 
o|contracted procedure: k26285 
o|contracted procedure: k26291 
o|contracted procedure: k26297 
o|contracted procedure: k26334 
o|contracted procedure: k26337 
o|contracted procedure: k26353 
o|contracted procedure: k26346 
o|contracted procedure: k26382 
o|contracted procedure: k26378 
o|contracted procedure: k26411 
o|contracted procedure: k26407 
o|contracted procedure: k26414 
o|contracted procedure: k26418 
o|contracted procedure: k26424 
o|contracted procedure: k26427 
o|contracted procedure: k26430 
o|contracted procedure: k26433 
o|contracted procedure: k26436 
o|contracted procedure: k26457 
o|contracted procedure: k26463 
o|contracted procedure: k26466 
o|contracted procedure: k26472 
o|contracted procedure: k26486 
o|contracted procedure: k26483 
o|contracted procedure: k26495 
o|contracted procedure: k26554 
o|contracted procedure: k26507 
o|contracted procedure: k26550 
o|contracted procedure: k26522 
o|contracted procedure: k26546 
o|contracted procedure: k26542 
o|contracted procedure: k26538 
o|contracted procedure: k26577 
o|contracted procedure: k26580 
o|contracted procedure: k26606 
o|contracted procedure: k26612 
o|contracted procedure: k26619 
o|contracted procedure: k26625 
o|contracted procedure: k26644 
o|contracted procedure: k26697 
o|contracted procedure: k26650 
o|contracted procedure: k26682 
o|contracted procedure: k26663 
o|contracted procedure: k26671 
o|contracted procedure: k26667 
o|contracted procedure: k26693 
o|contracted procedure: k26689 
o|contracted procedure: k26707 
o|contracted procedure: k26717 
o|contracted procedure: k26740 
o|contracted procedure: k26757 
o|contracted procedure: k26779 
o|contracted procedure: k26775 
o|contracted procedure: k26760 
o|contracted procedure: k26763 
o|contracted procedure: k26771 
o|contracted procedure: k26786 
o|contracted procedure: k26803 
o|contracted procedure: k26825 
o|contracted procedure: k26821 
o|contracted procedure: k26806 
o|contracted procedure: k26809 
o|contracted procedure: k26817 
o|contracted procedure: k26837 
o|contracted procedure: k26851 
o|contracted procedure: k26840 
o|contracted procedure: k26847 
o|contracted procedure: k26857 
o|contracted procedure: k26867 
o|contracted procedure: k26879 
o|contracted procedure: k26901 
o|contracted procedure: k26897 
o|contracted procedure: k26882 
o|contracted procedure: k26885 
o|contracted procedure: k26893 
o|contracted procedure: k26908 
o|contracted procedure: k26931 
o|contracted procedure: k26934 
o|contracted procedure: k26937 
o|contracted procedure: k26945 
o|contracted procedure: k26953 
o|contracted procedure: k26917 
o|contracted procedure: k26971 
o|contracted procedure: k26984 
o|contracted procedure: k26993 
o|contracted procedure: k27031 
o|contracted procedure: k26999 
o|contracted procedure: k27013 
o|contracted procedure: k27009 
o|contracted procedure: k27027 
o|contracted procedure: k27034 
o|contracted procedure: k27037 
o|contracted procedure: k27049 
o|contracted procedure: k27052 
o|contracted procedure: k27055 
o|contracted procedure: k27063 
o|contracted procedure: k27071 
o|contracted procedure: k27101 
o|contracted procedure: k27097 
o|contracted procedure: k27107 
o|contracted procedure: k27110 
o|contracted procedure: k27115 
o|contracted procedure: k27147 
o|contracted procedure: k27121 
o|contracted procedure: k27143 
o|contracted procedure: k27124 
o|contracted procedure: k27185 
o|contracted procedure: k27197 
o|contracted procedure: k27207 
o|contracted procedure: k27211 
o|contracted procedure: k27242 
o|contracted procedure: k27267 
o|contracted procedure: k27251 
o|contracted procedure: k27284 
o|contracted procedure: k27304 
o|contracted procedure: k27310 
o|contracted procedure: k27323 
o|contracted procedure: k27329 
o|contracted procedure: k27348 
o|contracted procedure: k27362 
o|contracted procedure: k27351 
o|contracted procedure: k27358 
o|contracted procedure: k27378 
o|contracted procedure: k27384 
o|contracted procedure: k27391 
o|contracted procedure: k27397 
o|contracted procedure: k27447 
o|contracted procedure: k27407 
o|contracted procedure: k27459 
o|contracted procedure: k27462 
o|contracted procedure: k27465 
o|contracted procedure: k27468 
o|contracted procedure: k27479 
o|contracted procedure: k27496 
o|contracted procedure: k27499 
o|contracted procedure: k27502 
o|contracted procedure: k27505 
o|contracted procedure: k27516 
o|contracted procedure: k27533 
o|contracted procedure: k27542 
o|contracted procedure: k27551 
o|contracted procedure: k27560 
o|contracted procedure: k27569 
o|contracted procedure: k27578 
o|contracted procedure: k27587 
o|contracted procedure: k27596 
o|contracted procedure: k27605 
o|contracted procedure: k27614 
o|contracted procedure: k27623 
o|contracted procedure: k27632 
o|contracted procedure: k27641 
o|contracted procedure: k27650 
o|contracted procedure: k27659 
o|contracted procedure: k27668 
o|contracted procedure: k27677 
o|contracted procedure: k27686 
o|contracted procedure: k27695 
o|contracted procedure: k27704 
o|contracted procedure: k27713 
o|contracted procedure: k27722 
o|contracted procedure: k27731 
o|contracted procedure: k27740 
o|contracted procedure: k27749 
o|contracted procedure: k27758 
o|contracted procedure: k27767 
o|contracted procedure: k27776 
o|contracted procedure: k27785 
o|contracted procedure: k27794 
o|contracted procedure: k27803 
o|contracted procedure: k27812 
o|contracted procedure: k27821 
o|contracted procedure: k27830 
o|contracted procedure: k27839 
o|contracted procedure: k27848 
o|contracted procedure: k27857 
o|contracted procedure: k27866 
o|contracted procedure: k27875 
o|contracted procedure: k27884 
o|contracted procedure: k27893 
o|contracted procedure: k27902 
o|contracted procedure: k27911 
o|contracted procedure: k27920 
o|contracted procedure: k27929 
o|contracted procedure: k27938 
o|contracted procedure: k27947 
o|contracted procedure: k27956 
o|contracted procedure: k27965 
o|contracted procedure: k27974 
o|contracted procedure: k27983 
o|contracted procedure: k27992 
o|contracted procedure: k28153 
o|contracted procedure: k28157 
o|contracted procedure: k28187 
o|contracted procedure: k28217 
o|contracted procedure: k28193 
o|contracted procedure: k28196 
o|contracted procedure: k28205 
o|contracted procedure: k28214 
o|contracted procedure: k28250 
o|contracted procedure: k28243 
o|contracted procedure: k28272 
o|contracted procedure: k28265 
o|contracted procedure: k28323 
o|contracted procedure: k28340 
o|contracted procedure: k28302 
o|contracted procedure: k28306 
o|contracted procedure: k28367 
o|contracted procedure: k28387 
o|contracted procedure: k28404 
o|contracted procedure: k28354 
o|contracted procedure: k28358 
o|contracted procedure: k28420 
o|contracted procedure: k28427 
o|contracted procedure: k28483 
o|contracted procedure: k28487 
o|contracted procedure: k28495 
o|contracted procedure: k28512 
o|contracted procedure: k28527 
o|contracted procedure: k28590 
o|contracted procedure: k28571 
o|contracted procedure: k28580 
o|contracted procedure: k28599 
o|contracted procedure: k28656 
o|contracted procedure: k28659 
o|contracted procedure: k28665 
o|contracted procedure: k28708 
o|contracted procedure: k28724 
o|contracted procedure: k28717 
o|contracted procedure: k29156 
o|contracted procedure: k28735 
o|contracted procedure: k28750 
o|contracted procedure: k28854 
o|contracted procedure: k28762 
o|contracted procedure: k28781 
o|contracted procedure: k28784 
o|contracted procedure: k28793 
o|contracted procedure: k2863334794 
o|contracted procedure: k28823 
o|contracted procedure: k28851 
o|contracted procedure: k28833 
o|contracted procedure: k28846 
o|contracted procedure: k28863 
o|contracted procedure: k29142 
o|contracted procedure: k28885 
o|contracted procedure: k28903 
o|contracted procedure: k28906 
o|contracted procedure: k28915 
o|contracted procedure: k28918 
o|contracted procedure: k28932 
o|contracted procedure: k28941 
o|contracted procedure: k28996 
o|contracted procedure: k28954 
o|contracted procedure: k28966 
o|contracted procedure: k28983 
o|contracted procedure: k28977 
o|contracted procedure: k28999 
o|contracted procedure: k2863334807 
o|contracted procedure: k29017 
o|contracted procedure: k29013 
o|contracted procedure: k29026 
o|contracted procedure: k29035 
o|contracted procedure: k29051 
o|contracted procedure: k29066 
o|contracted procedure: k29058 
o|contracted procedure: k29085 
o|contracted procedure: k29077 
o|contracted procedure: k29111 
o|contracted procedure: k29139 
o|contracted procedure: k29121 
o|contracted procedure: k29134 
o|contracted procedure: k29162 
o|contracted procedure: k29171 
o|contracted procedure: k29214 
o|contracted procedure: k29220 
o|contracted procedure: k29223 
o|contracted procedure: k29237 
o|contracted procedure: k29278 
o|contracted procedure: k29285 
o|contracted procedure: k29293 
o|contracted procedure: k29305 
o|contracted procedure: k29309 
o|contracted procedure: k29316 
o|contracted procedure: k29252 
o|contracted procedure: k29350 
o|contracted procedure: k29359 
o|contracted procedure: k29366 
o|contracted procedure: k29370 
o|contracted procedure: k29400 
o|contracted procedure: k29407 
o|contracted procedure: k29411 
o|contracted procedure: k29418 
o|contracted procedure: k29431 
o|contracted procedure: k29438 
o|contracted procedure: k29469 
o|contracted procedure: k29465 
o|contracted procedure: k29493 
o|contracted procedure: k29502 
o|contracted procedure: k29515 
o|contracted procedure: k29527 
o|contracted procedure: k29537 
o|contracted procedure: k29610 
o|contracted procedure: k29540 
o|contracted procedure: k29553 
o|contracted procedure: k29594 
o|contracted procedure: k29583 
o|contracted procedure: k29590 
o|contracted procedure: k29663 
o|contracted procedure: k29653 
o|contracted procedure: k29681 
o|contracted procedure: k29715 
o|contracted procedure: k29724 
o|contracted procedure: k29727 
o|contracted procedure: k29734 
o|contracted procedure: k29740 
o|contracted procedure: k29747 
o|contracted procedure: k29753 
o|contracted procedure: k29756 
o|contracted procedure: k29762 
o|contracted procedure: k29765 
o|contracted procedure: k29772 
o|contracted procedure: k29778 
o|contracted procedure: k29781 
o|contracted procedure: k29788 
o|contracted procedure: k29794 
o|contracted procedure: k29797 
o|contracted procedure: k29804 
o|contracted procedure: k29810 
o|contracted procedure: k29813 
o|contracted procedure: k29820 
o|contracted procedure: k29826 
o|contracted procedure: k29829 
o|contracted procedure: k29836 
o|contracted procedure: k29842 
o|contracted procedure: k29845 
o|contracted procedure: k29852 
o|contracted procedure: k29858 
o|contracted procedure: k29861 
o|contracted procedure: k29868 
o|contracted procedure: k29874 
o|contracted procedure: k29877 
o|contracted procedure: k29884 
o|contracted procedure: k29890 
o|contracted procedure: k29893 
o|contracted procedure: k29900 
o|contracted procedure: k29906 
o|contracted procedure: k29909 
o|contracted procedure: k29916 
o|contracted procedure: k29923 
o|contracted procedure: k29931 
o|contracted procedure: k29927 
o|contracted procedure: k29957 
o|contracted procedure: k29964 
o|contracted procedure: k29976 
o|contracted procedure: k29989 
o|contracted procedure: k29983 
o|contracted procedure: k29986 
o|contracted procedure: k30002 
o|contracted procedure: k30015 
o|contracted procedure: k30011 
o|contracted procedure: k30019 
o|contracted procedure: k30063 
o|contracted procedure: k30028 
o|contracted procedure: k30031 
o|contracted procedure: k30034 
o|contracted procedure: k30059 
o|contracted procedure: k30046 
o|contracted procedure: k30049 
o|contracted procedure: k30073 
o|contracted procedure: k30079 
o|contracted procedure: k30086 
o|contracted procedure: k30095 
o|contracted procedure: k30101 
o|contracted procedure: k30104 
o|contracted procedure: k30107 
o|contracted procedure: k30113 
o|contracted procedure: k30120 
o|contracted procedure: k30126 
o|contracted procedure: k30130 
o|contracted procedure: k30275 
o|contracted procedure: k30281 
o|contracted procedure: k30284 
o|contracted procedure: k30290 
o|contracted procedure: k30293 
o|contracted procedure: k30299 
o|contracted procedure: k30314 
o|contracted procedure: k30317 
o|contracted procedure: k30338 
o|contracted procedure: k30368 
o|contracted procedure: k30540 
o|contracted procedure: k30410 
o|contracted procedure: k30496 
o|contracted procedure: k30489 
o|contracted procedure: k30434 
o|contracted procedure: k30506 
o|contracted procedure: k30510 
o|contracted procedure: k30514 
o|contracted procedure: k30518 
o|contracted procedure: k30587 
o|contracted procedure: k30596 
o|contracted procedure: k30615 
o|contracted procedure: k30619 
o|contracted procedure: k30833 
o|contracted procedure: k30663 
o|contracted procedure: k30693 
o|contracted procedure: k30703 
o|contracted procedure: k30707 
o|contracted procedure: k30677 
o|contracted procedure: k30681 
o|contracted procedure: k30713 
o|contracted procedure: k30729 
o|contracted procedure: k30732 
o|contracted procedure: k30735 
o|contracted procedure: k30741 
o|contracted procedure: k30760 
o|contracted procedure: k30763 
o|contracted procedure: k30766 
o|contracted procedure: k30774 
o|contracted procedure: k30782 
o|contracted procedure: k30800 
o|contracted procedure: k30809 
o|contracted procedure: k30816 
o|contracted procedure: k30824 
o|contracted procedure: k30850 
o|contracted procedure: k30854 
o|contracted procedure: k30859 
o|contracted procedure: k30863 
o|contracted procedure: k30867 
o|contracted procedure: k30871 
o|contracted procedure: k30926 
o|contracted procedure: k30933 
o|contracted procedure: k30967 
o|contracted procedure: k30976 
o|contracted procedure: k30979 
o|contracted procedure: k30988 
o|contracted procedure: k31003 
o|contracted procedure: k30999 
o|contracted procedure: k31016 
o|contracted procedure: k31019 
o|contracted procedure: k31026 
o|contracted procedure: k31035 
o|contracted procedure: k31038 
o|contracted procedure: k31041 
o|contracted procedure: k31071 
o|contracted procedure: k31060 
o|contracted procedure: k31081 
o|contracted procedure: k31084 
o|contracted procedure: k31135 
o|contracted procedure: k31159 
o|contracted procedure: k31177 
o|contracted procedure: k31187 
o|contracted procedure: k31207 
o|contracted procedure: k31217 
o|contracted procedure: k31221 
o|contracted procedure: k31262 
o|contracted procedure: k31272 
o|contracted procedure: k31276 
o|contracted procedure: k31319 
o|contracted procedure: k31304 
o|contracted procedure: k31566 
o|contracted procedure: k31576 
o|contracted procedure: k31586 
o|contracted procedure: k31596 
o|contracted procedure: k31606 
o|contracted procedure: k31616 
o|contracted procedure: k31626 
o|contracted procedure: k31636 
o|contracted procedure: k31646 
o|contracted procedure: k31656 
o|contracted procedure: k31666 
o|contracted procedure: k31676 
o|contracted procedure: k31686 
o|contracted procedure: k31696 
o|contracted procedure: k31702 
o|contracted procedure: k31705 
o|contracted procedure: k31729 
o|contracted procedure: k31736 
o|contracted procedure: k31745 
o|contracted procedure: k31752 
o|contracted procedure: k31771 
o|contracted procedure: k31780 
o|contracted procedure: k31791 
o|contracted procedure: k31787 
o|contracted procedure: k31800 
o|contracted procedure: k31807 
o|contracted procedure: k31817 
o|contracted procedure: k31813 
o|contracted procedure: k31762 
o|contracted procedure: k31758 
o|simplifications: ((if . 1) (let . 539)) 
o|removed binding forms: 2208 
o|inlining procedure: "(library.scm:4492) outstr05182" 
o|inlining procedure: "(library.scm:4491) outstr05182" 
o|inlining procedure: "(library.scm:4494) outstr05182" 
o|inlining procedure: "(library.scm:4496) outstr05182" 
o|inlining procedure: "(library.scm:4506) outstr05182" 
o|inlining procedure: k23914 
o|inlining procedure: k23914 
o|inlining procedure: k24227 
o|inlining procedure: k24227 
o|inlining procedure: k24227 
o|inlining procedure: k31499 
o|inlining procedure: k31499 
o|inlining procedure: k26400 
o|inlining procedure: k26400 
o|inlining procedure: k31010 
o|inlining procedure: k31075 
o|inlining procedure: k31075 
o|replaced variables: 768 
o|removed binding forms: 4 
o|inlining procedure: k11939 
o|inlining procedure: k11963 
o|inlining procedure: k11987 
o|inlining procedure: k12011 
o|inlining procedure: k12035 
o|inlining procedure: k12059 
o|inlining procedure: k12083 
o|inlining procedure: k12107 
o|inlining procedure: k12131 
o|inlining procedure: k12155 
o|inlining procedure: k12179 
o|inlining procedure: k12197 
o|inlining procedure: k12221 
o|inlining procedure: k12245 
o|inlining procedure: k12263 
o|inlining procedure: k12281 
o|inlining procedure: k12299 
o|inlining procedure: k12317 
o|inlining procedure: k12335 
o|inlining procedure: k12353 
o|inlining procedure: k12371 
o|inlining procedure: k12389 
o|inlining procedure: k12407 
o|inlining procedure: k12425 
o|inlining procedure: k12449 
o|inlining procedure: k12467 
o|inlining procedure: k12491 
o|inlining procedure: k12509 
o|inlining procedure: k12527 
o|inlining procedure: k12545 
o|inlining procedure: k12563 
o|substituted constant variable: str520036550 
o|removed side-effect free assignment to unused variable: outstr05182 
o|substituted constant variable: str520036570 
o|inlining procedure: k28378 
o|inlining procedure: k28378 
o|substituted constant variable: r3107636687 
o|simplifications: ((let . 1) (if . 8)) 
o|replaced variables: 14 
o|removed binding forms: 398 
o|inlining procedure: "(library.scm:4545) specialchar?5184" 
o|inlining procedure: "(library.scm:4561) specialchar?5184" 
o|inlining procedure: "(library.scm:4565) specialchar?5184" 
o|removed binding forms: 48 
o|removed side-effect free assignment to unused variable: specialchar?5184 
o|replaced variables: 11 
o|removed binding forms: 31 
o|inlining procedure: k24114 
o|inlining procedure: k24180 
o|removed binding forms: 9 
o|contracted procedure: k24259 
o|removed binding forms: 3 
o|direct leaf routine/allocation: loop775 0 
o|direct leaf routine/allocation: doloop15311532 0 
o|direct leaf routine/allocation: iter1544 0 
o|direct leaf routine/allocation: loop1695 0 
o|direct leaf routine/allocation: go-inexact!2854 0 
o|direct leaf routine/allocation: split3351 0 
o|direct leaf routine/allocation: loop3532 0 
o|direct leaf routine/allocation: doloop35473548 0 
o|direct leaf routine/allocation: doloop35593563 0 
o|direct leaf routine/allocation: doloop35903591 0 
o|direct leaf routine/allocation: doloop36183619 0 
o|direct leaf routine/allocation: loop3644 0 
o|direct leaf routine/allocation: loop3715 0 
o|direct leaf routine/allocation: body39413950 0 
o|direct leaf routine/allocation: def-set?39443953 0 
o|direct leaf routine/allocation: def-convert?39433955 0 
o|direct leaf routine/allocation: body39663975 0 
o|direct leaf routine/allocation: def-set?39693978 0 
o|direct leaf routine/allocation: def-convert?39683980 0 
o|direct leaf routine/allocation: body39914000 0 
o|direct leaf routine/allocation: def-set?39944003 0 
o|direct leaf routine/allocation: def-convert?39934005 0 
o|direct leaf routine/allocation: body60046013 0 
o|direct leaf routine/allocation: def-set?60076016 0 
o|direct leaf routine/allocation: def-convert?60066018 0 
o|direct leaf routine/allocation: for-each-loop60486059 0 
o|direct leaf routine/allocation: loop7098 0 
o|converted assignments to bindings: (loop775) 
o|converted assignments to bindings: (doloop15311532) 
o|contracted procedure: k11386 
o|converted assignments to bindings: (iter1544) 
o|converted assignments to bindings: (loop1695) 
o|contracted procedure: "(library.scm:2460) k15649" 
o|contracted procedure: "(library.scm:2469) k15712" 
o|contracted procedure: "(library.scm:2503) k15965" 
o|contracted procedure: "(library.scm:2508) k15990" 
o|contracted procedure: "(library.scm:2552) k16374" 
o|contracted procedure: "(library.scm:2562) k16457" 
o|contracted procedure: "(library.scm:2689) k17302" 
o|contracted procedure: "(library.scm:2696) k17320" 
o|contracted procedure: "(library.scm:2705) k17346" 
o|converted assignments to bindings: (loop3532) 
o|converted assignments to bindings: (doloop35473548) 
o|converted assignments to bindings: (doloop35593563) 
o|converted assignments to bindings: (doloop35903591) 
o|converted assignments to bindings: (doloop36183619) 
o|converted assignments to bindings: (loop3644) 
o|converted assignments to bindings: (loop3715) 
o|inlining procedure: "(library.scm:3337) k18963" 
o|inlining procedure: "(library.scm:3337) k18963" 
o|inlining procedure: "(library.scm:3337) k18963" 
o|inlining procedure: "(library.scm:3347) k19024" 
o|inlining procedure: "(library.scm:3347) k19024" 
o|inlining procedure: "(library.scm:3347) k19024" 
o|inlining procedure: "(library.scm:3357) k19085" 
o|inlining procedure: "(library.scm:3357) k19085" 
o|inlining procedure: "(library.scm:3357) k19085" 
o|inlining procedure: "(library.scm:5247) k26603" 
o|inlining procedure: "(library.scm:5247) k26603" 
o|inlining procedure: "(library.scm:5247) k26603" 
o|contracted procedure: k26725 
o|converted assignments to bindings: (for-each-loop60486059) 
o|contracted procedure: k30005 
o|converted assignments to bindings: (loop7098) 
o|simplifications: ((let . 13)) 
o|removed binding forms: 12 
o|replaced variables: 16 
o|removed binding forms: 4 
o|removed binding forms: 5 
o|customizable procedures: (cleanup-before-exit g59415948 for-each-loop59405952 for-each-loop59095921 k31047 loop6883 k30404 check7284 k30641 k30644 k30647 k30650 k30653 loop7359 map-loop73267343 loop7350 for-each-loop73037315 str7249 pmem7145 round-to7144 pnum7143 k30076 loop7123 loop6972 doloop69476948 k29490 doloop68726873 scan6855 loop6852 read-escaped-sexp6673 get/clear-str6733 loop6744 k28957 loop26767 readln6672 doloop67116720 loop6687 doloop66766677 loop6651 loop6550 loop6524 def-port62766325 def-header62776323 body62746283 k27230 g62976298 writeargs6248 g62546261 for-each-loop62536265 g61896198 map-loop61836208 loop6201 map-loop61266144 map-loop61536170 map-loop60666084 map-loop60936111 chicken.condition#prop-list->kind-prefixed-prop-list k26653 loop6029 k26185 k26188 k26208 k26164 for-each-loop58445856 for-each-loop57765787 loop5772 g57175724 for-each-loop57165737 k25820 k25674 loop5700 g56515658 for-each-loop56505661 k25340 k25357 copy&append5598 loop5607 k31421 doloop54025403 doloop53785379 k24692 doloop53645365 out5293 doloop53345335 outsym5185 g53095310 k24212 loop5262 k24148 k24174 loop5227 outchr5183 sym-is-readable?5187 outreadablesym5186 outstr5181 for-each-loop51425160 for-each-loop51105128 hex5007 loop5016 k22269 r-symbol4471 k22483 k22868 r-ext-symbol4475 r-comment4474 r-char4473 r-vector4465 r-number-with-radix4468 r-number-with-exactness4467 r-digits4470 k22403 loop4807 k22190 loop4794 r-token4469 k22041 k21896 k21662 r-string4463 loop4711 k21668 k21592 loop4694 k21528 read-unreserved-char-04446 loop4679 r-number4466 k21355 r-list4464 k21111 k21154 r-xtoken4472 build-keyword4477 loop4587 readrec4447 r-spaces4460 starting-line4582 info4443 k20768 k20788 k20892 eat-ws4552 k20677 r-cons-codepoint4462 r-usequence4461 loop4515 lp4510 loop4493 skip-to-eol4444 loop4478 reserved-character4445 k20282 skip4452 k19853 def-convert?43114323 def-set?43124321 body43094318 assign4293 k19823 loop4170 loop4151 doloop41584159 close4021 open4020 doloop40284029 k32026 loop3898 k31928 loop3881 ##sys#dynamic-unwind loop3780 map-loop37563773 loop3740 for-each-loop37253735 k18441 loop3687 loop3676 k18150 lookup-char3640 ##sys#vector-resize k17859 loop3539 map-loop34103429 compare-slots3306 loop3318 walk3307 k16808 ##sys#string->compnum scan-prefix3233 k16552 scan-real3102 k16643 k16313 k16432 k16371 k16339 scan-ureal3025 k15962 k15981 k16033 scan-decimal-tail2948 scan-digits+hashes2910 k15762 k15765 k15774 scan-exponent2930 k15801 safe-exponent2855 k15697 scan-digits2875 scan-hashes2898 lp2900 k15537 lp2877 round-quotient k15285 loop2757 loop2747 k14726 k14832 k14841 slow-expt2679 log-expt2678 lp2663 k14511 lp2651 k14060 k14066 k14007 k14013 k13859 loop2465 loop2453 find-ratio-between sr2430 k13157 ##sys#internal-gcd ratnum loop2288 deliver2221 doloop22232224 make-complex doloop17121713 loop1705 loop1680 k11456 k11465 loop1522 loop1490 copy1480 loop1478 k10922 lp1351 k10273 loop933 loop918 k10170 loop881 loop859 k9971 loop829 k9831 loop815 loop800 loop792 loop786 loop761 loop746 loop735 loop705 loop693 loop650 loop641 loop108) 
o|calls to known targets: 909 
o|identified direct recursive calls: f_8828 1 
o|unused rest argument: env348 f_9098 
o|unused rest argument: evaluator355 f_9122 
o|unused rest argument: _607 f_9235 
o|identified direct recursive calls: f_9328 1 
o|unused rest argument: _717 f_9487 
o|unused rest argument: _718 f_9489 
o|unused rest argument: _759 f_9644 
o|identified direct recursive calls: f_9707 1 
o|identified direct recursive calls: f_9729 1 
o|identified direct recursive calls: f_9765 1 
o|identified direct recursive calls: f_9794 2 
o|identified direct recursive calls: f_9841 1 
o|identified direct recursive calls: f_9895 2 
o|identified direct recursive calls: f_10875 1 
o|identified direct recursive calls: f_11150 1 
o|identified direct recursive calls: f_11204 1 
o|identified direct recursive calls: f_11300 1 
o|identified direct recursive calls: f_11343 1 
o|identified direct recursive calls: f_11394 1 
o|identified direct recursive calls: f_11750 1 
o|identified direct recursive calls: f_11798 1 
o|identified direct recursive calls: f_11860 1 
o|identified direct recursive calls: f_13553 1 
o|identified direct recursive calls: f_13721 1 
o|identified direct recursive calls: f_13764 1 
o|identified direct recursive calls: f_14635 2 
o|identified direct recursive calls: f_15476 1 
o|identified direct recursive calls: f_15584 1 
o|identified direct recursive calls: f_17747 1 
o|identified direct recursive calls: f_17787 1 
o|identified direct recursive calls: f_17826 1 
o|identified direct recursive calls: f_17872 1 
o|identified direct recursive calls: f_17944 1 
o|identified direct recursive calls: f_18018 1 
o|identified direct recursive calls: f_18120 1 
o|identified direct recursive calls: f_18451 1 
o|identified direct recursive calls: f_18751 1 
o|identified direct recursive calls: f_31932 1 
o|identified direct recursive calls: f_19184 3 
o|identified direct recursive calls: f_19508 1 
o|identified direct recursive calls: f_20451 1 
o|identified direct recursive calls: f_22173 1 
o|identified direct recursive calls: f_26832 1 
o|identified direct recursive calls: f_26752 1 
o|identified direct recursive calls: f_26798 1 
o|identified direct recursive calls: f_26874 1 
o|identified direct recursive calls: f_26988 2 
o|identified direct recursive calls: f_28594 1 
o|identified direct recursive calls: f_29273 1 
o|identified direct recursive calls: f_30023 1 
o|identified direct recursive calls: f_30090 1 
o|identified direct recursive calls: f_30724 2 
o|unused rest argument: args5899 f_31284 
o|fast box initializations: 161 
o|fast global references: 68 
o|fast global assignments: 19 
o|dropping unused closure argument: f_12589 
o|dropping unused closure argument: f_12762 
o|dropping unused closure argument: f_13553 
o|dropping unused closure argument: f_14673 
o|dropping unused closure argument: f_14685 
o|dropping unused closure argument: f_14930 
o|dropping unused closure argument: f_15345 
o|dropping unused closure argument: f_15383 
o|dropping unused closure argument: f_17267 
o|dropping unused closure argument: f_18006 
o|dropping unused closure argument: f_18451 
o|dropping unused closure argument: f_18751 
o|dropping unused closure argument: f_19141 
o|dropping unused closure argument: f_19239 
o|dropping unused closure argument: f_20439 
o|dropping unused closure argument: f_25268 
o|dropping unused closure argument: f_25992 
o|dropping unused closure argument: f_26633 
o|dropping unused closure argument: f_26832 
o|dropping unused closure argument: f_27169 
o|dropping unused closure argument: f_28638 
o|dropping unused closure argument: f_28685 
o|dropping unused closure argument: f_30149 
o|dropping unused closure argument: f_30163 
o|dropping unused closure argument: f_30429 
o|dropping unused closure argument: f_30610 
*/
/* end of file */
